#include <attica_includes.h>

#include <smoke.h>
#include <attica_smoke.h>

namespace __smokeattica {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Attica::AccountBalance
      switch(to) {
        case 1: return (void*)(Attica::AccountBalance*)xptr;
        default: return xptr;
      }
    case 2:   //Attica::Activity
      switch(to) {
        case 2: return (void*)(Attica::Activity*)xptr;
        default: return xptr;
      }
    case 3:   //Attica::BaseJob
      switch(to) {
        case 31: return (void*)(QObject*)(Attica::BaseJob*)xptr;
        case 3: return (void*)(Attica::BaseJob*)xptr;
        case 10: return (void*)(Attica::GetJob*)(Attica::BaseJob*)xptr;
        case 17: return (void*)(Attica::PostJob*)(Attica::BaseJob*)xptr;
        default: return xptr;
      }
    case 4:   //Attica::Category
      switch(to) {
        case 4: return (void*)(Attica::Category*)xptr;
        default: return xptr;
      }
    case 5:   //Attica::Content
      switch(to) {
        case 5: return (void*)(Attica::Content*)xptr;
        default: return xptr;
      }
    case 6:   //Attica::DownloadDescription
      switch(to) {
        case 6: return (void*)(Attica::DownloadDescription*)xptr;
        default: return xptr;
      }
    case 7:   //Attica::DownloadItem
      switch(to) {
        case 7: return (void*)(Attica::DownloadItem*)xptr;
        default: return xptr;
      }
    case 8:   //Attica::Event
      switch(to) {
        case 8: return (void*)(Attica::Event*)xptr;
        default: return xptr;
      }
    case 9:   //Attica::Folder
      switch(to) {
        case 9: return (void*)(Attica::Folder*)xptr;
        default: return xptr;
      }
    case 10:   //Attica::GetJob
      switch(to) {
        case 3: return (void*)(Attica::BaseJob*)(Attica::GetJob*)xptr;
        case 31: return (void*)(QObject*)(Attica::GetJob*)xptr;
        case 10: return (void*)(Attica::GetJob*)xptr;
        default: return xptr;
      }
    case 11:   //Attica::KnowledgeBaseEntry
      switch(to) {
        case 11: return (void*)(Attica::KnowledgeBaseEntry*)xptr;
        default: return xptr;
      }
    case 12:   //Attica::License
      switch(to) {
        case 12: return (void*)(Attica::License*)xptr;
        default: return xptr;
      }
    case 13:   //Attica::Message
      switch(to) {
        case 13: return (void*)(Attica::Message*)xptr;
        default: return xptr;
      }
    case 14:   //Attica::Metadata
      switch(to) {
        case 14: return (void*)(Attica::Metadata*)xptr;
        default: return xptr;
      }
    case 15:   //Attica::Person
      switch(to) {
        case 15: return (void*)(Attica::Person*)xptr;
        default: return xptr;
      }
    case 16:   //Attica::PlatformDependent
      switch(to) {
        case 16: return (void*)(Attica::PlatformDependent*)xptr;
        default: return xptr;
      }
    case 17:   //Attica::PostJob
      switch(to) {
        case 3: return (void*)(Attica::BaseJob*)(Attica::PostJob*)xptr;
        case 31: return (void*)(QObject*)(Attica::PostJob*)xptr;
        case 17: return (void*)(Attica::PostJob*)xptr;
        default: return xptr;
      }
    case 18:   //Attica::Provider
      switch(to) {
        case 18: return (void*)(Attica::Provider*)xptr;
        default: return xptr;
      }
    case 19:   //Attica::ProviderManager
      switch(to) {
        case 31: return (void*)(QObject*)(Attica::ProviderManager*)xptr;
        case 19: return (void*)(Attica::ProviderManager*)xptr;
        default: return xptr;
      }
    case 20:   //QByteArray
      switch(to) {
        case 20: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 21:   //QChildEvent
      switch(to) {
        case 21: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QDate
      switch(to) {
        case 22: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 23:   //QDateTime
      switch(to) {
        case 23: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 24:   //QEvent
      switch(to) {
        case 24: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QIODevice
      switch(to) {
        case 31: return (void*)(QObject*)(QIODevice*)xptr;
        case 26: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 27:   //QMetaObject
      switch(to) {
        case 27: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 28:   //QNetworkAccessManager
      switch(to) {
        case 31: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 28: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 29:   //QNetworkReply
      switch(to) {
        case 29: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 30:   //QNetworkRequest
      switch(to) {
        case 30: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 31:   //QObject
      switch(to) {
        case 31: return (void*)(QObject*)xptr;
        case 19: return (void*)(Attica::ProviderManager*)(QObject*)xptr;
        case 3: return (void*)(Attica::BaseJob*)(QObject*)xptr;
        case 10: return (void*)(Attica::GetJob*)(QObject*)xptr;
        case 17: return (void*)(Attica::PostJob*)(QObject*)xptr;
        default: return xptr;
      }
    case 32:   //QTimerEvent
      switch(to) {
        case 32: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QUrl
      switch(to) {
        case 33: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    31, 0,	// 1: QObject
    3, 0,	// 3: Attica::BaseJob
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Message(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Metadata(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Provider(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Attica__AccountBalance(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Activity(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__BaseJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Category(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Content(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__DownloadDescription(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__DownloadItem(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Event(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Folder(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__GetJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__KnowledgeBaseEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__License(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Message(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Metadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Person(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PlatformDependent(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PostJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Provider(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__ProviderManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Attica::AccountBalance", false, 0, xcall_Attica__AccountBalance, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::AccountBalance) },	//1
    { "Attica::Activity", false, 0, xcall_Attica__Activity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Activity) },	//2
    { "Attica::BaseJob", false, 1, xcall_Attica__BaseJob, 0, Smoke::cf_virtual, sizeof(Attica::BaseJob) },	//3
    { "Attica::Category", false, 0, xcall_Attica__Category, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Category) },	//4
    { "Attica::Content", false, 0, xcall_Attica__Content, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Content) },	//5
    { "Attica::DownloadDescription", false, 0, xcall_Attica__DownloadDescription, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::DownloadDescription) },	//6
    { "Attica::DownloadItem", false, 0, xcall_Attica__DownloadItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::DownloadItem) },	//7
    { "Attica::Event", false, 0, xcall_Attica__Event, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Event) },	//8
    { "Attica::Folder", false, 0, xcall_Attica__Folder, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Folder) },	//9
    { "Attica::GetJob", false, 3, xcall_Attica__GetJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::GetJob) },	//10
    { "Attica::KnowledgeBaseEntry", false, 0, xcall_Attica__KnowledgeBaseEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::KnowledgeBaseEntry) },	//11
    { "Attica::License", false, 0, xcall_Attica__License, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::License) },	//12
    { "Attica::Message", false, 0, xcall_Attica__Message, xenum_Attica__Message, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Message) },	//13
    { "Attica::Metadata", false, 0, xcall_Attica__Metadata, xenum_Attica__Metadata, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Metadata) },	//14
    { "Attica::Person", false, 0, xcall_Attica__Person, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Person) },	//15
    { "Attica::PlatformDependent", false, 0, xcall_Attica__PlatformDependent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Attica::PlatformDependent) },	//16
    { "Attica::PostJob", false, 3, xcall_Attica__PostJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::PostJob) },	//17
    { "Attica::Provider", false, 0, xcall_Attica__Provider, xenum_Attica__Provider, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Provider) },	//18
    { "Attica::ProviderManager", false, 1, xcall_Attica__ProviderManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::ProviderManager) },	//19
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//20
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QDate", true, 0, 0, 0, 0, 0 },	//22
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//23
    { "QEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//25
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//26
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//27
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//28
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//29
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//30
    { "QObject", true, 0, 0, 0, 0, 0 },	//31
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QUrl", true, 0, 0, 0, 0, 0 },	//33
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Attica::AccountBalance&", 1, Smoke::t_class|Smoke::tf_ref },	//1
    { "Attica::AccountBalance*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Attica::Activity&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "Attica::Activity*", 2, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Attica::BaseJob*", 3, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Attica::Category&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "Attica::Category*", 4, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Attica::Content&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "Attica::Content*", 5, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Attica::DownloadDescription", 6, Smoke::t_class|Smoke::tf_stack },	//10
    { "Attica::DownloadDescription&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "Attica::DownloadDescription*", 6, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Attica::DownloadItem&", 7, Smoke::t_class|Smoke::tf_ref },	//13
    { "Attica::DownloadItem*", 7, Smoke::t_class|Smoke::tf_ptr },	//14
    { "Attica::Event&", 8, Smoke::t_class|Smoke::tf_ref },	//15
    { "Attica::Event*", 8, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Attica::Folder&", 9, Smoke::t_class|Smoke::tf_ref },	//17
    { "Attica::Folder*", 9, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Attica::ItemJob<Attica::AccountBalance>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//19
    { "Attica::ItemJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//20
    { "Attica::ItemJob<Attica::DownloadItem>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//21
    { "Attica::ItemJob<Attica::Event>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//22
    { "Attica::ItemJob<Attica::KnowledgeBaseEntry>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//23
    { "Attica::ItemJob<Attica::Message>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//24
    { "Attica::ItemJob<Attica::Person>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//25
    { "Attica::ItemPostJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//26
    { "Attica::KnowledgeBaseEntry&", 11, Smoke::t_class|Smoke::tf_ref },	//27
    { "Attica::KnowledgeBaseEntry*", 11, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Attica::License&", 12, Smoke::t_class|Smoke::tf_ref },	//29
    { "Attica::License*", 12, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Attica::ListJob<Attica::Activity>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//31
    { "Attica::ListJob<Attica::Category>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//32
    { "Attica::ListJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//33
    { "Attica::ListJob<Attica::Event>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//34
    { "Attica::ListJob<Attica::Folder>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//35
    { "Attica::ListJob<Attica::KnowledgeBaseEntry>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//36
    { "Attica::ListJob<Attica::License>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//37
    { "Attica::ListJob<Attica::Message>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//38
    { "Attica::ListJob<Attica::Person>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//39
    { "Attica::Message&", 13, Smoke::t_class|Smoke::tf_ref },	//40
    { "Attica::Message*", 13, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Attica::Message::Status", 13, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Attica::Metadata", 14, Smoke::t_class|Smoke::tf_stack },	//43
    { "Attica::Metadata&", 14, Smoke::t_class|Smoke::tf_ref },	//44
    { "Attica::Metadata*", 14, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Attica::Metadata::Error", 14, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Attica::Person", 15, Smoke::t_class|Smoke::tf_stack },	//47
    { "Attica::Person&", 15, Smoke::t_class|Smoke::tf_ref },	//48
    { "Attica::Person*", 15, Smoke::t_class|Smoke::tf_ptr },	//49
    { "Attica::PlatformDependent*", 16, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Attica::PostJob*", 17, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Attica::Provider", 18, Smoke::t_class|Smoke::tf_stack },	//52
    { "Attica::Provider&", 18, Smoke::t_class|Smoke::tf_ref },	//53
    { "Attica::Provider*", 18, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Attica::Provider::SortMode", 18, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Attica::ProviderManager*", 19, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QChildEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QDate", 22, Smoke::t_class|Smoke::tf_stack },	//58
    { "QDateTime", 23, Smoke::t_class|Smoke::tf_stack },	//59
    { "QEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QIODevice*", 26, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QList<Attica::DownloadDescription>", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QList<Attica::Provider>", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//64
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//65
    { "QMetaObject::Call", 27, Smoke::t_enum|Smoke::tf_stack },	//66
    { "QNetworkAccessManager*", 28, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QNetworkReply*", 29, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QNetworkRequest", 30, Smoke::t_class|Smoke::tf_stack },	//69
    { "QObject*", 31, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//72
    { "QTimerEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QUrl", 33, Smoke::t_class|Smoke::tf_stack },	//74
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "QtMsgType", 25, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QtValidLicenseForActiveQtModule", 25, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QtValidLicenseForCoreModule", 25, Smoke::t_enum|Smoke::tf_stack },	//148
    { "QtValidLicenseForDBusModule", 25, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QtValidLicenseForDeclarativeModule", 25, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QtValidLicenseForGuiModule", 25, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QtValidLicenseForHelpModule", 25, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QtValidLicenseForMultimediaModule", 25, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QtValidLicenseForNetworkModule", 25, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QtValidLicenseForOpenGLModule", 25, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QtValidLicenseForOpenVGModule", 25, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QtValidLicenseForQt3SupportLightModule", 25, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QtValidLicenseForQt3SupportModule", 25, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QtValidLicenseForScriptModule", 25, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QtValidLicenseForScriptToolsModule", 25, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QtValidLicenseForSqlModule", 25, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QtValidLicenseForSvgModule", 25, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QtValidLicenseForTestModule", 25, Smoke::t_enum|Smoke::tf_stack },	//163
    { "QtValidLicenseForXmlModule", 25, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QtValidLicenseForXmlPatternsModule", 25, Smoke::t_enum|Smoke::tf_stack },	//165
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//166
    { "const Attica::AccountBalance&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//167
    { "const Attica::Activity&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//168
    { "const Attica::Category&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//169
    { "const Attica::Content&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//170
    { "const Attica::DownloadDescription&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//171
    { "const Attica::DownloadItem&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//172
    { "const Attica::Event&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//173
    { "const Attica::Folder&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//174
    { "const Attica::KnowledgeBaseEntry&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//175
    { "const Attica::License&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const Attica::Message&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const Attica::Metadata&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const Attica::Person&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Attica::PlatformDependent&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Attica::Provider&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const QByteArray&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const QDate&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const QDateTime&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const QList<Attica::Category>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const QMetaObject&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const QMetaObject*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//187
    { "const QNetworkRequest&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//189
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const QUrl&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//192
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//193
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//194
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//195
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//196
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//197
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//198
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//199
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//200
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    167, 0,	//1  const Attica::AccountBalance&
    190, 0,	//3  const QString&
    168, 0,	//5  const Attica::Activity&
    179, 0,	//7  const Attica::Person&
    184, 0,	//9  const QDateTime&
    191, 0,	//11  const QUrl&
    192, 0,	//13  const char*
    192, 192, 0,	//15  const char*, const char*
    192, 192, 195, 0,	//18  const char*, const char*, int
    66, 195, 199, 0,	//22  QMetaObject::Call, int, void**
    5, 0,	//26  Attica::BaseJob*
    178, 0,	//28  const Attica::Metadata&
    169, 0,	//30  const Attica::Category&
    170, 0,	//32  const Attica::Content&
    195, 0,	//34  int
    190, 190, 0,	//36  const QString&, const QString&
    171, 0,	//39  const Attica::DownloadDescription&
    166, 0,	//41  bool
    172, 0,	//43  const Attica::DownloadItem&
    173, 0,	//45  const Attica::Event&
    183, 0,	//47  const QDate&
    194, 0,	//49  double
    174, 0,	//51  const Attica::Folder&
    175, 0,	//53  const Attica::KnowledgeBaseEntry&
    71, 0,	//55  QString
    189, 0,	//57  const QString
    176, 0,	//59  const Attica::License&
    197, 0,	//61  unsigned int
    177, 0,	//63  const Attica::Message&
    42, 0,	//65  Attica::Message::Status
    46, 0,	//67  Attica::Metadata::Error
    191, 166, 0,	//69  const QUrl&, bool
    191, 72, 72, 0,	//72  const QUrl&, QString&, QString&
    191, 190, 190, 0,	//76  const QUrl&, const QString&, const QString&
    188, 0,	//80  const QNetworkRequest&
    188, 61, 0,	//82  const QNetworkRequest&, QIODevice*
    188, 182, 0,	//85  const QNetworkRequest&, const QByteArray&
    180, 0,	//88  const Attica::PlatformDependent&
    181, 0,	//90  const Attica::Provider&
    72, 72, 0,	//92  QString&, QString&
    190, 190, 190, 190, 190, 0,	//95  const QString&, const QString&, const QString&, const QString&, const QString&
    194, 194, 194, 195, 195, 0,	//101  double, double, double, int, int
    194, 194, 190, 190, 0,	//107  double, double, const QString&, const QString&
    190, 195, 195, 0,	//112  const QString&, int, int
    195, 195, 0,	//116  int, int
    174, 42, 0,	//119  const Attica::Folder&, Attica::Message::Status
    174, 190, 0,	//122  const Attica::Folder&, const QString&
    185, 190, 55, 197, 197, 0,	//125  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    185, 190, 190, 55, 197, 197, 0,	//131  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    190, 166, 0,	//138  const QString&, bool
    169, 170, 0,	//141  const Attica::Category&, const Attica::Content&
    169, 190, 170, 0,	//144  const Attica::Category&, const QString&, const Attica::Content&
    190, 190, 182, 0,	//148  const QString&, const QString&, const QByteArray&
    190, 190, 190, 182, 0,	//152  const QString&, const QString&, const QString&, const QByteArray&
    170, 190, 55, 195, 195, 0,	//157  const Attica::Content&, const QString&, Attica::Provider::SortMode, int, int
    190, 190, 183, 55, 195, 195, 0,	//163  const QString&, const QString&, const QDate&, Attica::Provider::SortMode, int, int
    190, 197, 197, 0,	//170  const QString&, unsigned int, unsigned int
    194, 194, 0,	//174  double, double
    194, 194, 194, 0,	//177  double, double, double
    194, 194, 194, 195, 0,	//181  double, double, double, int
    194, 194, 190, 0,	//186  double, double, const QString&
    190, 195, 0,	//190  const QString&, int
    185, 0,	//193  const QList<Attica::Category>&
    185, 190, 0,	//195  const QList<Attica::Category>&, const QString&
    185, 190, 55, 0,	//198  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode
    185, 190, 55, 197, 0,	//202  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int
    185, 190, 190, 0,	//207  const QList<Attica::Category>&, const QString&, const QString&
    185, 190, 190, 55, 0,	//211  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode
    185, 190, 190, 55, 197, 0,	//216  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int
    190, 197, 0,	//222  const QString&, unsigned int
    60, 0,	//225  QEvent*
    70, 60, 0,	//227  QObject*, QEvent*
    73, 0,	//230  QTimerEvent*
    57, 0,	//232  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccountBalance",	//1
    "AccountBalance#",	//2
    "Activity",	//3
    "Activity#",	//4
    "Alphabetical",	//5
    "Answered",	//6
    "Category",	//7
    "Category#",	//8
    "Content",	//9
    "Content#",	//10
    "DownloadDescription",	//11
    "DownloadDescription#",	//12
    "DownloadItem",	//13
    "DownloadItem#",	//14
    "Downloads",	//15
    "Event",	//16
    "Event#",	//17
    "Folder",	//18
    "Folder#",	//19
    "KnowledgeBaseEntry",	//20
    "KnowledgeBaseEntry#",	//21
    "License",	//22
    "License#",	//23
    "LicensedActiveQt",	//24
    "LicensedCore",	//25
    "LicensedDBus",	//26
    "LicensedDeclarative",	//27
    "LicensedGui",	//28
    "LicensedHelp",	//29
    "LicensedMultimedia",	//30
    "LicensedNetwork",	//31
    "LicensedOpenGL",	//32
    "LicensedOpenVG",	//33
    "LicensedQt3Support",	//34
    "LicensedQt3SupportLight",	//35
    "LicensedScript",	//36
    "LicensedScriptTools",	//37
    "LicensedSql",	//38
    "LicensedSvg",	//39
    "LicensedTest",	//40
    "LicensedXml",	//41
    "LicensedXmlPatterns",	//42
    "Message",	//43
    "Message#",	//44
    "Metadata",	//45
    "Metadata#",	//46
    "NetworkError",	//47
    "Newest",	//48
    "NoError",	//49
    "OcsError",	//50
    "Person",	//51
    "Person#",	//52
    "PlatformDependent",	//53
    "PlatformDependent#",	//54
    "Provider",	//55
    "Provider#",	//56
    "ProviderManager",	//57
    "Q_COMPLEX_TYPE",	//58
    "Q_DUMMY_TYPE",	//59
    "Q_MOVABLE_TYPE",	//60
    "Q_PRIMITIVE_TYPE",	//61
    "Q_STATIC_TYPE",	//62
    "QtCriticalMsg",	//63
    "QtDebugMsg",	//64
    "QtFatalMsg",	//65
    "QtSystemMsg",	//66
    "QtWarningMsg",	//67
    "Rating",	//68
    "Read",	//69
    "Unread",	//70
    "abort",	//71
    "activityServiceVersion",	//72
    "addAttribute",	//73
    "addAttribute$$",	//74
    "addDefaultProviderFile",	//75
    "addDefaultProviderFile#",	//76
    "addExtendedAttribute",	//77
    "addExtendedAttribute$$",	//78
    "addNewContent",	//79
    "addNewContent##",	//80
    "addProviderFile",	//81
    "addProviderFile#",	//82
    "addProviderFileToDefaultProviders",	//83
    "addProviderFileToDefaultProviders#",	//84
    "addProviderFromXml",	//85
    "addProviderFromXml$",	//86
    "answer",	//87
    "approveFriendship",	//88
    "approveFriendship$",	//89
    "askForCredentials",	//90
    "askForCredentials#$$",	//91
    "associatedPerson",	//92
    "attribute",	//93
    "attribute$",	//94
    "attributes",	//95
    "authenticationCredentialsMissing",	//96
    "authenticationCredentialsMissing#",	//97
    "author",	//98
    "avatarUrl",	//99
    "balance",	//100
    "baseUrl",	//101
    "becomeFan",	//102
    "becomeFan$",	//103
    "birthday",	//104
    "body",	//105
    "cancelFriendship",	//106
    "cancelFriendship$",	//107
    "category",	//108
    "changed",	//109
    "changelog",	//110
    "checkLogin",	//111
    "checkLogin$$",	//112
    "childEvent",	//113
    "city",	//114
    "clear",	//115
    "commentServiceVersion",	//116
    "comments",	//117
    "connectNotify",	//118
    "contains",	//119
    "contains$",	//120
    "contentId",	//121
    "contentServiceVersion",	//122
    "country",	//123
    "createRequest",	//124
    "createRequest#",	//125
    "createRequest$",	//126
    "createUrl",	//127
    "createUrl$",	//128
    "created",	//129
    "currency",	//130
    "customEvent",	//131
    "dataFinished",	//132
    "declineFriendship",	//133
    "declineFriendship$",	//134
    "defaultProviderFiles",	//135
    "defaultProvidersLoaded",	//136
    "deleteContent",	//137
    "deleteContent$",	//138
    "deleteDownloadFile",	//139
    "deleteDownloadFile$",	//140
    "deletePreviewImage",	//141
    "deletePreviewImage$$",	//142
    "depend",	//143
    "description",	//144
    "detailPage",	//145
    "detailpage",	//146
    "disconnectNotify",	//147
    "distributionType",	//148
    "doRequestAccountBalance",	//149
    "doRequestAccountBalance#",	//150
    "doRequestActivityList",	//151
    "doRequestActivityList#",	//152
    "doRequestFolderList",	//153
    "doRequestFolderList#",	//154
    "doRequestMessageList",	//155
    "doRequestMessageList#",	//156
    "doRequestPerson",	//157
    "doRequestPerson#",	//158
    "doRequestPersonList",	//159
    "doRequestPersonList#",	//160
    "downloadLink",	//161
    "downloadLink$",	//162
    "downloadLink$$",	//163
    "downloadUrlDescription",	//164
    "downloadUrlDescription$",	//165
    "downloadUrlDescriptions",	//166
    "downloads",	//167
    "editContent",	//168
    "editContent#$#",	//169
    "enableProvider",	//170
    "enableProvider#$",	//171
    "endDate",	//172
    "error",	//173
    "event",	//174
    "eventFilter",	//175
    "executeRequest",	//176
    "extendedAttribute",	//177
    "extendedAttribute$",	//178
    "extendedAttributes",	//179
    "fanServiceVersion",	//180
    "finished",	//181
    "finished#",	//182
    "firstName",	//183
    "friendServiceVersion",	//184
    "from",	//185
    "get",	//186
    "get#",	//187
    "getDefaultProviderFiles",	//188
    "hasActivityService",	//189
    "hasCommentService",	//190
    "hasContentService",	//191
    "hasCredentials",	//192
    "hasCredentials#",	//193
    "hasFanService",	//194
    "hasFriendService",	//195
    "hasKnowledgebaseService",	//196
    "hasMessageService",	//197
    "hasPersonService",	//198
    "hasPrice",	//199
    "homepage",	//200
    "id",	//201
    "internals",	//202
    "inviteFriend",	//203
    "inviteFriend$$",	//204
    "isDownloadtypLink",	//205
    "isEnabled",	//206
    "isEnabled#",	//207
    "isValid",	//208
    "itemsPerPage",	//209
    "knowledgebaseServiceVersion",	//210
    "lastName",	//211
    "latitude",	//212
    "license",	//213
    "link",	//214
    "loadCredentials",	//215
    "loadCredentials#$$",	//216
    "loadCredentials$$",	//217
    "loadDefaultProviders",	//218
    "longitude",	//219
    "message",	//220
    "messageCount",	//221
    "messageServiceVersion",	//222
    "metaObject",	//223
    "metadata",	//224
    "nam",	//225
    "name",	//226
    "operator=",	//227
    "operator=#",	//228
    "parse",	//229
    "parse$",	//230
    "personServiceVersion",	//231
    "post",	//232
    "post##",	//233
    "postActivity",	//234
    "postActivity$",	//235
    "postLocation",	//236
    "postLocation$$",	//237
    "postLocation$$$",	//238
    "postLocation$$$$",	//239
    "postMessage",	//240
    "postMessage#",	//241
    "previewPicture",	//242
    "previewPicture$",	//243
    "priceAmount",	//244
    "priceReason",	//245
    "providerAdded",	//246
    "providerAdded#",	//247
    "providerByUrl",	//248
    "providerByUrl#",	//249
    "providerFiles",	//250
    "providers",	//251
    "qt_metacall",	//252
    "qt_metacall$$?",	//253
    "qt_metacast",	//254
    "qt_metacast$",	//255
    "rating",	//256
    "registerAccount",	//257
    "registerAccount$$$$$",	//258
    "removeDefaultProviderFile",	//259
    "removeDefaultProviderFile#",	//260
    "removeProviderFileFromDefaultProviders",	//261
    "removeProviderFileFromDefaultProviders#",	//262
    "requestAccountBalance",	//263
    "requestActivities",	//264
    "requestCategories",	//265
    "requestContent",	//266
    "requestContent$",	//267
    "requestEvent",	//268
    "requestEvent$",	//269
    "requestEvent$$#$$$",	//270
    "requestFans",	//271
    "requestFans$",	//272
    "requestFans$$",	//273
    "requestFans$$$",	//274
    "requestFolders",	//275
    "requestFriends",	//276
    "requestFriends$",	//277
    "requestFriends$$",	//278
    "requestFriends$$$",	//279
    "requestKnowledgeBaseEntry",	//280
    "requestKnowledgeBaseEntry$",	//281
    "requestLicenses",	//282
    "requestMessage",	//283
    "requestMessage#$",	//284
    "requestMessages",	//285
    "requestMessages#",	//286
    "requestMessages#$",	//287
    "requestPerson",	//288
    "requestPerson$",	//289
    "requestPersonSearchByLocation",	//290
    "requestPersonSearchByLocation$$",	//291
    "requestPersonSearchByLocation$$$",	//292
    "requestPersonSearchByLocation$$$$",	//293
    "requestPersonSearchByLocation$$$$$",	//294
    "requestPersonSearchByName",	//295
    "requestPersonSearchByName$",	//296
    "requestPersonSelf",	//297
    "requestReceivedInvitations",	//298
    "requestReceivedInvitations$",	//299
    "requestReceivedInvitations$$",	//300
    "requestSentInvitations",	//301
    "requestSentInvitations$",	//302
    "requestSentInvitations$$",	//303
    "saveCredentials",	//304
    "saveCredentials#$$",	//305
    "saveCredentials$$",	//306
    "searchContents",	//307
    "searchContents?",	//308
    "searchContents?$",	//309
    "searchContents?$$",	//310
    "searchContents?$$$",	//311
    "searchContents?$$$$",	//312
    "searchContentsByPerson",	//313
    "searchContentsByPerson?$",	//314
    "searchContentsByPerson?$$",	//315
    "searchContentsByPerson?$$$",	//316
    "searchContentsByPerson?$$$$",	//317
    "searchContentsByPerson?$$$$$",	//318
    "searchKnowledgeBase",	//319
    "searchKnowledgeBase#$$$$",	//320
    "sent",	//321
    "setAnswer",	//322
    "setAnswer$",	//323
    "setAssociatedPerson",	//324
    "setAssociatedPerson#",	//325
    "setAuthenticationSuppressed",	//326
    "setAuthenticationSuppressed$",	//327
    "setAvatarUrl",	//328
    "setAvatarUrl#",	//329
    "setBalance",	//330
    "setBalance$",	//331
    "setBirthday",	//332
    "setBirthday#",	//333
    "setBody",	//334
    "setBody$",	//335
    "setCategory",	//336
    "setCategory$",	//337
    "setChanged",	//338
    "setChanged#",	//339
    "setCity",	//340
    "setCity$",	//341
    "setComments",	//342
    "setComments$",	//343
    "setContentId",	//344
    "setContentId$",	//345
    "setCountry",	//346
    "setCountry$",	//347
    "setCreated",	//348
    "setCreated#",	//349
    "setCurrency",	//350
    "setCurrency$",	//351
    "setDescription",	//352
    "setDescription$",	//353
    "setDetailPage",	//354
    "setDetailPage#",	//355
    "setDistributionType",	//356
    "setDistributionType$",	//357
    "setDownloadFile",	//358
    "setDownloadFile$$#",	//359
    "setDownloads",	//360
    "setDownloads$",	//361
    "setDownloadtypLink",	//362
    "setDownloadtypLink$",	//363
    "setEnabled",	//364
    "setEnabled$",	//365
    "setEndDate",	//366
    "setEndDate#",	//367
    "setError",	//368
    "setError$",	//369
    "setFirstName",	//370
    "setFirstName$",	//371
    "setFrom",	//372
    "setFrom$",	//373
    "setHasPrice",	//374
    "setHasPrice$",	//375
    "setHomepage",	//376
    "setHomepage#",	//377
    "setHomepage$",	//378
    "setId",	//379
    "setId$",	//380
    "setItemsPerPage",	//381
    "setItemsPerPage$",	//382
    "setLastName",	//383
    "setLastName$",	//384
    "setLatitude",	//385
    "setLatitude$",	//386
    "setLink",	//387
    "setLink#",	//388
    "setLink$",	//389
    "setLongitude",	//390
    "setLongitude$",	//391
    "setMessage",	//392
    "setMessage$",	//393
    "setMessageCount",	//394
    "setMessageCount$",	//395
    "setMetadata",	//396
    "setMetadata#",	//397
    "setName",	//398
    "setName$",	//399
    "setPreviewImage",	//400
    "setPreviewImage$$$#",	//401
    "setPriceAmount",	//402
    "setPriceAmount$",	//403
    "setPriceReason",	//404
    "setPriceReason$",	//405
    "setRating",	//406
    "setRating$",	//407
    "setSent",	//408
    "setSent#",	//409
    "setStartDate",	//410
    "setStartDate#",	//411
    "setStatus",	//412
    "setStatus$",	//413
    "setStatusCode",	//414
    "setStatusCode$",	//415
    "setStatusString",	//416
    "setStatusString$",	//417
    "setSubject",	//418
    "setSubject$",	//419
    "setTimestamp",	//420
    "setTimestamp#",	//421
    "setTo",	//422
    "setTo$",	//423
    "setTotalItems",	//424
    "setTotalItems$",	//425
    "setType",	//426
    "setType$",	//427
    "setUpdated",	//428
    "setUpdated#",	//429
    "setUrl",	//430
    "setUrl#",	//431
    "setUser",	//432
    "setUser$",	//433
    "smallPreviewPicture",	//434
    "smallPreviewPicture$",	//435
    "start",	//436
    "startDate",	//437
    "staticMetaObject",	//438
    "status",	//439
    "statusCode",	//440
    "statusString",	//441
    "subject",	//442
    "timerEvent",	//443
    "timestamp",	//444
    "to",	//445
    "totalItems",	//446
    "tr",	//447
    "tr$",	//448
    "tr$$",	//449
    "tr$$$",	//450
    "trUtf8",	//451
    "trUtf8$",	//452
    "trUtf8$$",	//453
    "trUtf8$$$",	//454
    "type",	//455
    "updated",	//456
    "url",	//457
    "user",	//458
    "version",	//459
    "voteForContent",	//460
    "voteForContent$$",	//461
    "~AccountBalance",	//462
    "~Activity",	//463
    "~BaseJob",	//464
    "~Category",	//465
    "~Content",	//466
    "~DownloadDescription",	//467
    "~DownloadItem",	//468
    "~Event",	//469
    "~Folder",	//470
    "~GetJob",	//471
    "~KnowledgeBaseEntry",	//472
    "~License",	//473
    "~Message",	//474
    "~Metadata",	//475
    "~Person",	//476
    "~PlatformDependent",	//477
    "~PostJob",	//478
    "~Provider",	//479
    "~ProviderManager",	//480
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1, 0, 0, Smoke::mf_ctor, 2, 1},	//1 Attica::AccountBalance::AccountBalance()
    {1, 1, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 2},	//2 Attica::AccountBalance::AccountBalance(const Attica::AccountBalance&)
    {1, 227, 1, 1, 0, 1, 3},	//3 Attica::AccountBalance::operator=(const Attica::AccountBalance&)
    {1, 350, 3, 1, 0, 0, 4},	//4 Attica::AccountBalance::setCurrency(const QString&)
    {1, 130, 0, 0, Smoke::mf_const, 71, 5},	//5 Attica::AccountBalance::currency() const
    {1, 330, 3, 1, 0, 0, 6},	//6 Attica::AccountBalance::setBalance(const QString&)
    {1, 100, 0, 0, Smoke::mf_const, 71, 7},	//7 Attica::AccountBalance::balance() const
    {1, 462, 0, 0, Smoke::mf_dtor, 0, 8 },	//8 Attica::AccountBalance::~AccountBalance()
    {2, 3, 0, 0, Smoke::mf_ctor, 4, 1},	//9 Attica::Activity::Activity()
    {2, 3, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 2},	//10 Attica::Activity::Activity(const Attica::Activity&)
    {2, 227, 5, 1, 0, 3, 3},	//11 Attica::Activity::operator=(const Attica::Activity&)
    {2, 379, 3, 1, 0, 0, 4},	//12 Attica::Activity::setId(const QString&)
    {2, 201, 0, 0, Smoke::mf_const, 71, 5},	//13 Attica::Activity::id() const
    {2, 324, 7, 1, 0, 0, 6},	//14 Attica::Activity::setAssociatedPerson(const Attica::Person&)
    {2, 92, 0, 0, Smoke::mf_const, 47, 7},	//15 Attica::Activity::associatedPerson() const
    {2, 420, 9, 1, 0, 0, 8},	//16 Attica::Activity::setTimestamp(const QDateTime&)
    {2, 444, 0, 0, Smoke::mf_const, 59, 9},	//17 Attica::Activity::timestamp() const
    {2, 392, 3, 1, 0, 0, 10},	//18 Attica::Activity::setMessage(const QString&)
    {2, 220, 0, 0, Smoke::mf_const, 71, 11},	//19 Attica::Activity::message() const
    {2, 387, 11, 1, 0, 0, 12},	//20 Attica::Activity::setLink(const QUrl&)
    {2, 214, 0, 0, Smoke::mf_const, 74, 13},	//21 Attica::Activity::link() const
    {2, 208, 0, 0, Smoke::mf_const, 166, 14},	//22 Attica::Activity::isValid() const
    {2, 463, 0, 0, Smoke::mf_dtor, 0, 15 },	//23 Attica::Activity::~Activity()
    {3, 223, 0, 0, Smoke::mf_const, 187, 1},	//24 Attica::BaseJob::metaObject() const
    {3, 254, 13, 1, 0, 198, 2},	//25 Attica::BaseJob::qt_metacast(const char*)
    {3, 447, 15, 2, Smoke::mf_static, 71, 3},	//26 Attica::BaseJob::tr(const char*, const char*)
    {3, 451, 15, 2, Smoke::mf_static, 71, 4},	//27 Attica::BaseJob::trUtf8(const char*, const char*)
    {3, 447, 18, 3, Smoke::mf_static, 71, 5},	//28 Attica::BaseJob::tr(const char*, const char*, int)
    {3, 451, 18, 3, Smoke::mf_static, 71, 6},	//29 Attica::BaseJob::trUtf8(const char*, const char*, int)
    {3, 252, 22, 3, 0, 195, 7},	//30 Attica::BaseJob::qt_metacall(QMetaObject::Call, int, void**)
    {3, 224, 0, 0, Smoke::mf_const, 43, 8},	//31 Attica::BaseJob::metadata() const
    {3, 436, 0, 0, Smoke::mf_slot, 0, 9},	//32 Attica::BaseJob::start()
    {3, 71, 0, 0, Smoke::mf_slot, 0, 10},	//33 Attica::BaseJob::abort()
    {3, 181, 26, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//34 Attica::BaseJob::finished(Attica::BaseJob*)
    {3, 132, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 12},	//35 Attica::BaseJob::dataFinished()
    {3, 396, 28, 1, Smoke::mf_const|Smoke::mf_protected, 0, 13},	//36 Attica::BaseJob::setMetadata(const Attica::Metadata&) const
    {3, 176, 0, 0, Smoke::mf_protected|Smoke::mf_purevirtual, 68, 14},	//37 Attica::BaseJob::executeRequest() [pure virtual]
    {3, 229, 3, 1, Smoke::mf_protected|Smoke::mf_purevirtual, 0, 15},	//38 Attica::BaseJob::parse(const QString&) [pure virtual]
    {3, 202, 0, 0, Smoke::mf_protected, 50, 16},	//39 Attica::BaseJob::internals()
    {3, 447, 13, 1, Smoke::mf_static, 71, 17},	//40 Attica::BaseJob::tr(const char*)
    {3, 451, 13, 1, Smoke::mf_static, 71, 18},	//41 Attica::BaseJob::trUtf8(const char*)
    {3, 438, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 19},	//42 Attica::BaseJob::staticMetaObject() const
    {3, 464, 0, 0, Smoke::mf_dtor, 0, 20 },	//43 Attica::BaseJob::~BaseJob()
    {4, 7, 0, 0, Smoke::mf_ctor, 7, 1},	//44 Attica::Category::Category()
    {4, 7, 30, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 7, 2},	//45 Attica::Category::Category(const Attica::Category&)
    {4, 227, 30, 1, 0, 6, 3},	//46 Attica::Category::operator=(const Attica::Category&)
    {4, 379, 3, 1, 0, 0, 4},	//47 Attica::Category::setId(const QString&)
    {4, 201, 0, 0, Smoke::mf_const, 71, 5},	//48 Attica::Category::id() const
    {4, 398, 3, 1, 0, 0, 6},	//49 Attica::Category::setName(const QString&)
    {4, 226, 0, 0, Smoke::mf_const, 71, 7},	//50 Attica::Category::name() const
    {4, 208, 0, 0, Smoke::mf_const, 166, 8},	//51 Attica::Category::isValid() const
    {4, 465, 0, 0, Smoke::mf_dtor, 0, 9 },	//52 Attica::Category::~Category()
    {5, 9, 0, 0, Smoke::mf_ctor, 9, 1},	//53 Attica::Content::Content()
    {5, 9, 32, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//54 Attica::Content::Content(const Attica::Content&)
    {5, 227, 32, 1, 0, 8, 3},	//55 Attica::Content::operator=(const Attica::Content&)
    {5, 379, 3, 1, 0, 0, 4},	//56 Attica::Content::setId(const QString&)
    {5, 201, 0, 0, Smoke::mf_const, 71, 5},	//57 Attica::Content::id() const
    {5, 398, 3, 1, 0, 0, 6},	//58 Attica::Content::setName(const QString&)
    {5, 226, 0, 0, Smoke::mf_const, 71, 7},	//59 Attica::Content::name() const
    {5, 406, 34, 1, 0, 0, 8},	//60 Attica::Content::setRating(int)
    {5, 256, 0, 0, Smoke::mf_const, 195, 9},	//61 Attica::Content::rating() const
    {5, 360, 34, 1, 0, 0, 10},	//62 Attica::Content::setDownloads(int)
    {5, 167, 0, 0, Smoke::mf_const, 195, 11},	//63 Attica::Content::downloads() const
    {5, 348, 9, 1, 0, 0, 12},	//64 Attica::Content::setCreated(const QDateTime&)
    {5, 129, 0, 0, Smoke::mf_const, 59, 13},	//65 Attica::Content::created() const
    {5, 428, 9, 1, 0, 0, 14},	//66 Attica::Content::setUpdated(const QDateTime&)
    {5, 456, 0, 0, Smoke::mf_const, 59, 15},	//67 Attica::Content::updated() const
    {5, 144, 0, 0, Smoke::mf_const, 71, 16},	//68 Attica::Content::description() const
    {5, 146, 0, 0, Smoke::mf_const, 74, 17},	//69 Attica::Content::detailpage() const
    {5, 110, 0, 0, Smoke::mf_const, 71, 18},	//70 Attica::Content::changelog() const
    {5, 459, 0, 0, Smoke::mf_const, 71, 19},	//71 Attica::Content::version() const
    {5, 143, 0, 0, Smoke::mf_const, 71, 20},	//72 Attica::Content::depend() const
    {5, 164, 34, 1, Smoke::mf_const, 10, 21},	//73 Attica::Content::downloadUrlDescription(int) const
    {5, 166, 0, 0, Smoke::mf_const, 62, 22},	//74 Attica::Content::downloadUrlDescriptions() const
    {5, 242, 3, 1, Smoke::mf_const, 71, 23},	//75 Attica::Content::previewPicture(const QString&) const
    {5, 434, 3, 1, Smoke::mf_const, 71, 24},	//76 Attica::Content::smallPreviewPicture(const QString&) const
    {5, 213, 0, 0, Smoke::mf_const, 71, 25},	//77 Attica::Content::license() const
    {5, 98, 0, 0, Smoke::mf_const, 71, 26},	//78 Attica::Content::author() const
    {5, 73, 36, 2, 0, 0, 27},	//79 Attica::Content::addAttribute(const QString&, const QString&)
    {5, 93, 3, 1, Smoke::mf_const, 71, 28},	//80 Attica::Content::attribute(const QString&) const
    {5, 95, 0, 0, Smoke::mf_const, 65, 29},	//81 Attica::Content::attributes() const
    {5, 208, 0, 0, Smoke::mf_const, 166, 30},	//82 Attica::Content::isValid() const
    {5, 242, 0, 0, Smoke::mf_const, 71, 31},	//83 Attica::Content::previewPicture() const
    {5, 434, 0, 0, Smoke::mf_const, 71, 32},	//84 Attica::Content::smallPreviewPicture() const
    {5, 466, 0, 0, Smoke::mf_dtor, 0, 33 },	//85 Attica::Content::~Content()
    {6, 11, 0, 0, Smoke::mf_ctor, 12, 1},	//86 Attica::DownloadDescription::DownloadDescription()
    {6, 11, 39, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//87 Attica::DownloadDescription::DownloadDescription(const Attica::DownloadDescription&)
    {6, 227, 39, 1, 0, 11, 3},	//88 Attica::DownloadDescription::operator=(const Attica::DownloadDescription&)
    {6, 201, 0, 0, 0, 195, 4},	//89 Attica::DownloadDescription::id()
    {6, 205, 0, 0, 0, 166, 5},	//90 Attica::DownloadDescription::isDownloadtypLink()
    {6, 199, 0, 0, 0, 166, 6},	//91 Attica::DownloadDescription::hasPrice()
    {6, 108, 0, 0, 0, 71, 7},	//92 Attica::DownloadDescription::category()
    {6, 226, 0, 0, 0, 71, 8},	//93 Attica::DownloadDescription::name()
    {6, 214, 0, 0, 0, 71, 9},	//94 Attica::DownloadDescription::link()
    {6, 148, 0, 0, 0, 71, 10},	//95 Attica::DownloadDescription::distributionType()
    {6, 245, 0, 0, 0, 71, 11},	//96 Attica::DownloadDescription::priceReason()
    {6, 244, 0, 0, 0, 71, 12},	//97 Attica::DownloadDescription::priceAmount()
    {6, 379, 34, 1, 0, 0, 13},	//98 Attica::DownloadDescription::setId(int)
    {6, 362, 41, 1, 0, 0, 14},	//99 Attica::DownloadDescription::setDownloadtypLink(bool)
    {6, 374, 41, 1, 0, 0, 15},	//100 Attica::DownloadDescription::setHasPrice(bool)
    {6, 336, 3, 1, 0, 0, 16},	//101 Attica::DownloadDescription::setCategory(const QString&)
    {6, 398, 3, 1, 0, 0, 17},	//102 Attica::DownloadDescription::setName(const QString&)
    {6, 387, 3, 1, 0, 0, 18},	//103 Attica::DownloadDescription::setLink(const QString&)
    {6, 356, 3, 1, 0, 0, 19},	//104 Attica::DownloadDescription::setDistributionType(const QString&)
    {6, 404, 3, 1, 0, 0, 20},	//105 Attica::DownloadDescription::setPriceReason(const QString&)
    {6, 402, 3, 1, 0, 0, 21},	//106 Attica::DownloadDescription::setPriceAmount(const QString&)
    {6, 467, 0, 0, Smoke::mf_dtor, 0, 22 },	//107 Attica::DownloadDescription::~DownloadDescription()
    {7, 13, 0, 0, Smoke::mf_ctor, 14, 1},	//108 Attica::DownloadItem::DownloadItem()
    {7, 13, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 2},	//109 Attica::DownloadItem::DownloadItem(const Attica::DownloadItem&)
    {7, 227, 43, 1, 0, 13, 3},	//110 Attica::DownloadItem::operator=(const Attica::DownloadItem&)
    {7, 430, 11, 1, 0, 0, 4},	//111 Attica::DownloadItem::setUrl(const QUrl&)
    {7, 457, 0, 0, Smoke::mf_const, 74, 5},	//112 Attica::DownloadItem::url() const
    {7, 468, 0, 0, Smoke::mf_dtor, 0, 6 },	//113 Attica::DownloadItem::~DownloadItem()
    {8, 16, 0, 0, Smoke::mf_ctor, 16, 1},	//114 Attica::Event::Event()
    {8, 16, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 2},	//115 Attica::Event::Event(const Attica::Event&)
    {8, 227, 45, 1, 0, 15, 3},	//116 Attica::Event::operator=(const Attica::Event&)
    {8, 379, 3, 1, 0, 0, 4},	//117 Attica::Event::setId(const QString&)
    {8, 201, 0, 0, Smoke::mf_const, 71, 5},	//118 Attica::Event::id() const
    {8, 398, 3, 1, 0, 0, 6},	//119 Attica::Event::setName(const QString&)
    {8, 226, 0, 0, Smoke::mf_const, 71, 7},	//120 Attica::Event::name() const
    {8, 352, 3, 1, 0, 0, 8},	//121 Attica::Event::setDescription(const QString&)
    {8, 144, 0, 0, Smoke::mf_const, 71, 9},	//122 Attica::Event::description() const
    {8, 432, 3, 1, 0, 0, 10},	//123 Attica::Event::setUser(const QString&)
    {8, 458, 0, 0, Smoke::mf_const, 71, 11},	//124 Attica::Event::user() const
    {8, 410, 47, 1, 0, 0, 12},	//125 Attica::Event::setStartDate(const QDate&)
    {8, 437, 0, 0, Smoke::mf_const, 58, 13},	//126 Attica::Event::startDate() const
    {8, 366, 47, 1, 0, 0, 14},	//127 Attica::Event::setEndDate(const QDate&)
    {8, 172, 0, 0, Smoke::mf_const, 58, 15},	//128 Attica::Event::endDate() const
    {8, 385, 49, 1, 0, 0, 16},	//129 Attica::Event::setLatitude(double)
    {8, 212, 0, 0, Smoke::mf_const, 194, 17},	//130 Attica::Event::latitude() const
    {8, 390, 49, 1, 0, 0, 18},	//131 Attica::Event::setLongitude(double)
    {8, 219, 0, 0, Smoke::mf_const, 194, 19},	//132 Attica::Event::longitude() const
    {8, 376, 11, 1, 0, 0, 20},	//133 Attica::Event::setHomepage(const QUrl&)
    {8, 200, 0, 0, Smoke::mf_const, 74, 21},	//134 Attica::Event::homepage() const
    {8, 346, 3, 1, 0, 0, 22},	//135 Attica::Event::setCountry(const QString&)
    {8, 123, 0, 0, Smoke::mf_const, 71, 23},	//136 Attica::Event::country() const
    {8, 340, 3, 1, 0, 0, 24},	//137 Attica::Event::setCity(const QString&)
    {8, 114, 0, 0, Smoke::mf_const, 71, 25},	//138 Attica::Event::city() const
    {8, 77, 36, 2, 0, 0, 26},	//139 Attica::Event::addExtendedAttribute(const QString&, const QString&)
    {8, 177, 3, 1, Smoke::mf_const, 71, 27},	//140 Attica::Event::extendedAttribute(const QString&) const
    {8, 179, 0, 0, Smoke::mf_const, 65, 28},	//141 Attica::Event::extendedAttributes() const
    {8, 208, 0, 0, Smoke::mf_const, 166, 29},	//142 Attica::Event::isValid() const
    {8, 469, 0, 0, Smoke::mf_dtor, 0, 30 },	//143 Attica::Event::~Event()
    {9, 18, 0, 0, Smoke::mf_ctor, 18, 1},	//144 Attica::Folder::Folder()
    {9, 18, 51, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//145 Attica::Folder::Folder(const Attica::Folder&)
    {9, 227, 51, 1, 0, 17, 3},	//146 Attica::Folder::operator=(const Attica::Folder&)
    {9, 379, 3, 1, 0, 0, 4},	//147 Attica::Folder::setId(const QString&)
    {9, 201, 0, 0, Smoke::mf_const, 71, 5},	//148 Attica::Folder::id() const
    {9, 398, 3, 1, 0, 0, 6},	//149 Attica::Folder::setName(const QString&)
    {9, 226, 0, 0, Smoke::mf_const, 71, 7},	//150 Attica::Folder::name() const
    {9, 394, 34, 1, 0, 0, 8},	//151 Attica::Folder::setMessageCount(int)
    {9, 221, 0, 0, Smoke::mf_const, 195, 9},	//152 Attica::Folder::messageCount() const
    {9, 426, 3, 1, 0, 0, 10},	//153 Attica::Folder::setType(const QString&)
    {9, 455, 0, 0, Smoke::mf_const, 71, 11},	//154 Attica::Folder::type() const
    {9, 208, 0, 0, Smoke::mf_const, 166, 12},	//155 Attica::Folder::isValid() const
    {9, 470, 0, 0, Smoke::mf_dtor, 0, 13 },	//156 Attica::Folder::~Folder()
    {10, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//157 Attica::GetJob::metaObject() const
    {10, 254, 13, 1, Smoke::mf_virtual, 198, 2},	//158 Attica::GetJob::qt_metacast(const char*)
    {10, 447, 15, 2, Smoke::mf_static, 71, 3},	//159 Attica::GetJob::tr(const char*, const char*)
    {10, 451, 15, 2, Smoke::mf_static, 71, 4},	//160 Attica::GetJob::trUtf8(const char*, const char*)
    {10, 447, 18, 3, Smoke::mf_static, 71, 5},	//161 Attica::GetJob::tr(const char*, const char*, int)
    {10, 451, 18, 3, Smoke::mf_static, 71, 6},	//162 Attica::GetJob::trUtf8(const char*, const char*, int)
    {10, 252, 22, 3, Smoke::mf_virtual, 195, 7},	//163 Attica::GetJob::qt_metacall(QMetaObject::Call, int, void**)
    {10, 447, 13, 1, Smoke::mf_static, 71, 8},	//164 Attica::GetJob::tr(const char*)
    {10, 451, 13, 1, Smoke::mf_static, 71, 9},	//165 Attica::GetJob::trUtf8(const char*)
    {10, 438, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 10},	//166 Attica::GetJob::staticMetaObject() const
    {10, 471, 0, 0, Smoke::mf_dtor, 0, 11 },	//167 Attica::GetJob::~GetJob()
    {11, 20, 0, 0, Smoke::mf_ctor, 28, 1},	//168 Attica::KnowledgeBaseEntry::KnowledgeBaseEntry()
    {11, 20, 53, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//169 Attica::KnowledgeBaseEntry::KnowledgeBaseEntry(const Attica::KnowledgeBaseEntry&)
    {11, 227, 53, 1, 0, 27, 3},	//170 Attica::KnowledgeBaseEntry::operator=(const Attica::KnowledgeBaseEntry&)
    {11, 379, 55, 1, 0, 0, 4},	//171 Attica::KnowledgeBaseEntry::setId(QString)
    {11, 201, 0, 0, Smoke::mf_const, 71, 5},	//172 Attica::KnowledgeBaseEntry::id() const
    {11, 344, 34, 1, 0, 0, 6},	//173 Attica::KnowledgeBaseEntry::setContentId(int)
    {11, 121, 0, 0, Smoke::mf_const, 195, 7},	//174 Attica::KnowledgeBaseEntry::contentId() const
    {11, 432, 3, 1, 0, 0, 8},	//175 Attica::KnowledgeBaseEntry::setUser(const QString&)
    {11, 458, 0, 0, Smoke::mf_const, 71, 9},	//176 Attica::KnowledgeBaseEntry::user() const
    {11, 412, 57, 1, 0, 0, 10},	//177 Attica::KnowledgeBaseEntry::setStatus(const QString)
    {11, 439, 0, 0, Smoke::mf_const, 71, 11},	//178 Attica::KnowledgeBaseEntry::status() const
    {11, 338, 9, 1, 0, 0, 12},	//179 Attica::KnowledgeBaseEntry::setChanged(const QDateTime&)
    {11, 109, 0, 0, Smoke::mf_const, 59, 13},	//180 Attica::KnowledgeBaseEntry::changed() const
    {11, 398, 3, 1, 0, 0, 14},	//181 Attica::KnowledgeBaseEntry::setName(const QString&)
    {11, 226, 0, 0, Smoke::mf_const, 71, 15},	//182 Attica::KnowledgeBaseEntry::name() const
    {11, 352, 3, 1, 0, 0, 16},	//183 Attica::KnowledgeBaseEntry::setDescription(const QString&)
    {11, 144, 0, 0, Smoke::mf_const, 71, 17},	//184 Attica::KnowledgeBaseEntry::description() const
    {11, 322, 3, 1, 0, 0, 18},	//185 Attica::KnowledgeBaseEntry::setAnswer(const QString&)
    {11, 87, 0, 0, Smoke::mf_const, 71, 19},	//186 Attica::KnowledgeBaseEntry::answer() const
    {11, 342, 34, 1, 0, 0, 20},	//187 Attica::KnowledgeBaseEntry::setComments(int)
    {11, 117, 0, 0, Smoke::mf_const, 195, 21},	//188 Attica::KnowledgeBaseEntry::comments() const
    {11, 354, 11, 1, 0, 0, 22},	//189 Attica::KnowledgeBaseEntry::setDetailPage(const QUrl&)
    {11, 145, 0, 0, Smoke::mf_const, 74, 23},	//190 Attica::KnowledgeBaseEntry::detailPage() const
    {11, 77, 36, 2, 0, 0, 24},	//191 Attica::KnowledgeBaseEntry::addExtendedAttribute(const QString&, const QString&)
    {11, 177, 3, 1, Smoke::mf_const, 71, 25},	//192 Attica::KnowledgeBaseEntry::extendedAttribute(const QString&) const
    {11, 179, 0, 0, Smoke::mf_const, 65, 26},	//193 Attica::KnowledgeBaseEntry::extendedAttributes() const
    {11, 208, 0, 0, Smoke::mf_const, 166, 27},	//194 Attica::KnowledgeBaseEntry::isValid() const
    {11, 472, 0, 0, Smoke::mf_dtor, 0, 28 },	//195 Attica::KnowledgeBaseEntry::~KnowledgeBaseEntry()
    {12, 22, 0, 0, Smoke::mf_ctor, 30, 1},	//196 Attica::License::License()
    {12, 22, 59, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 2},	//197 Attica::License::License(const Attica::License&)
    {12, 227, 59, 1, 0, 29, 3},	//198 Attica::License::operator=(const Attica::License&)
    {12, 201, 0, 0, Smoke::mf_const, 197, 4},	//199 Attica::License::id() const
    {12, 379, 61, 1, 0, 0, 5},	//200 Attica::License::setId(unsigned int)
    {12, 226, 0, 0, Smoke::mf_const, 71, 6},	//201 Attica::License::name() const
    {12, 398, 3, 1, 0, 0, 7},	//202 Attica::License::setName(const QString&)
    {12, 457, 0, 0, Smoke::mf_const, 74, 8},	//203 Attica::License::url() const
    {12, 430, 11, 1, 0, 0, 9},	//204 Attica::License::setUrl(const QUrl&)
    {12, 473, 0, 0, Smoke::mf_dtor, 0, 10 },	//205 Attica::License::~License()
    {13, 43, 0, 0, Smoke::mf_ctor, 41, 1},	//206 Attica::Message::Message()
    {13, 43, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 41, 2},	//207 Attica::Message::Message(const Attica::Message&)
    {13, 227, 63, 1, 0, 40, 3},	//208 Attica::Message::operator=(const Attica::Message&)
    {13, 379, 3, 1, 0, 0, 4},	//209 Attica::Message::setId(const QString&)
    {13, 201, 0, 0, Smoke::mf_const, 71, 5},	//210 Attica::Message::id() const
    {13, 372, 3, 1, 0, 0, 6},	//211 Attica::Message::setFrom(const QString&)
    {13, 185, 0, 0, Smoke::mf_const, 71, 7},	//212 Attica::Message::from() const
    {13, 422, 3, 1, 0, 0, 8},	//213 Attica::Message::setTo(const QString&)
    {13, 445, 0, 0, Smoke::mf_const, 71, 9},	//214 Attica::Message::to() const
    {13, 408, 9, 1, 0, 0, 10},	//215 Attica::Message::setSent(const QDateTime&)
    {13, 321, 0, 0, Smoke::mf_const, 59, 11},	//216 Attica::Message::sent() const
    {13, 412, 65, 1, 0, 0, 12},	//217 Attica::Message::setStatus(Attica::Message::Status)
    {13, 439, 0, 0, Smoke::mf_const, 42, 13},	//218 Attica::Message::status() const
    {13, 418, 3, 1, 0, 0, 14},	//219 Attica::Message::setSubject(const QString&)
    {13, 442, 0, 0, Smoke::mf_const, 71, 15},	//220 Attica::Message::subject() const
    {13, 334, 3, 1, 0, 0, 16},	//221 Attica::Message::setBody(const QString&)
    {13, 105, 0, 0, Smoke::mf_const, 71, 17},	//222 Attica::Message::body() const
    {13, 208, 0, 0, Smoke::mf_const, 166, 18},	//223 Attica::Message::isValid() const
    {13, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 19},	//224 Attica::Message::Unread (enum)
    {13, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 20},	//225 Attica::Message::Read (enum)
    {13, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 21},	//226 Attica::Message::Answered (enum)
    {13, 474, 0, 0, Smoke::mf_dtor, 0, 22 },	//227 Attica::Message::~Message()
    {14, 45, 0, 0, Smoke::mf_ctor, 45, 1},	//228 Attica::Metadata::Metadata()
    {14, 45, 28, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 2},	//229 Attica::Metadata::Metadata(const Attica::Metadata&)
    {14, 227, 28, 1, 0, 44, 3},	//230 Attica::Metadata::operator=(const Attica::Metadata&)
    {14, 173, 0, 0, Smoke::mf_const, 46, 4},	//231 Attica::Metadata::error() const
    {14, 368, 67, 1, 0, 0, 5},	//232 Attica::Metadata::setError(Attica::Metadata::Error)
    {14, 440, 0, 0, Smoke::mf_const, 195, 6},	//233 Attica::Metadata::statusCode() const
    {14, 414, 34, 1, 0, 0, 7},	//234 Attica::Metadata::setStatusCode(int)
    {14, 441, 0, 0, Smoke::mf_const, 71, 8},	//235 Attica::Metadata::statusString() const
    {14, 416, 3, 1, 0, 0, 9},	//236 Attica::Metadata::setStatusString(const QString&)
    {14, 220, 0, 0, 0, 71, 10},	//237 Attica::Metadata::message()
    {14, 392, 3, 1, 0, 0, 11},	//238 Attica::Metadata::setMessage(const QString&)
    {14, 446, 0, 0, 0, 195, 12},	//239 Attica::Metadata::totalItems()
    {14, 424, 34, 1, 0, 0, 13},	//240 Attica::Metadata::setTotalItems(int)
    {14, 209, 0, 0, 0, 195, 14},	//241 Attica::Metadata::itemsPerPage()
    {14, 381, 34, 1, 0, 0, 15},	//242 Attica::Metadata::setItemsPerPage(int)
    {14, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 16},	//243 Attica::Metadata::NoError (enum)
    {14, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 17},	//244 Attica::Metadata::NetworkError (enum)
    {14, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 18},	//245 Attica::Metadata::OcsError (enum)
    {14, 475, 0, 0, Smoke::mf_dtor, 0, 19 },	//246 Attica::Metadata::~Metadata()
    {15, 51, 0, 0, Smoke::mf_ctor, 49, 1},	//247 Attica::Person::Person()
    {15, 51, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//248 Attica::Person::Person(const Attica::Person&)
    {15, 227, 7, 1, 0, 48, 3},	//249 Attica::Person::operator=(const Attica::Person&)
    {15, 379, 3, 1, 0, 0, 4},	//250 Attica::Person::setId(const QString&)
    {15, 201, 0, 0, Smoke::mf_const, 71, 5},	//251 Attica::Person::id() const
    {15, 370, 3, 1, 0, 0, 6},	//252 Attica::Person::setFirstName(const QString&)
    {15, 183, 0, 0, Smoke::mf_const, 71, 7},	//253 Attica::Person::firstName() const
    {15, 383, 3, 1, 0, 0, 8},	//254 Attica::Person::setLastName(const QString&)
    {15, 211, 0, 0, Smoke::mf_const, 71, 9},	//255 Attica::Person::lastName() const
    {15, 332, 47, 1, 0, 0, 10},	//256 Attica::Person::setBirthday(const QDate&)
    {15, 104, 0, 0, Smoke::mf_const, 58, 11},	//257 Attica::Person::birthday() const
    {15, 346, 3, 1, 0, 0, 12},	//258 Attica::Person::setCountry(const QString&)
    {15, 123, 0, 0, Smoke::mf_const, 71, 13},	//259 Attica::Person::country() const
    {15, 385, 49, 1, 0, 0, 14},	//260 Attica::Person::setLatitude(double)
    {15, 212, 0, 0, Smoke::mf_const, 194, 15},	//261 Attica::Person::latitude() const
    {15, 390, 49, 1, 0, 0, 16},	//262 Attica::Person::setLongitude(double)
    {15, 219, 0, 0, Smoke::mf_const, 194, 17},	//263 Attica::Person::longitude() const
    {15, 328, 11, 1, 0, 0, 18},	//264 Attica::Person::setAvatarUrl(const QUrl&)
    {15, 99, 0, 0, Smoke::mf_const, 74, 19},	//265 Attica::Person::avatarUrl() const
    {15, 376, 3, 1, 0, 0, 20},	//266 Attica::Person::setHomepage(const QString&)
    {15, 200, 0, 0, Smoke::mf_const, 71, 21},	//267 Attica::Person::homepage() const
    {15, 340, 3, 1, 0, 0, 22},	//268 Attica::Person::setCity(const QString&)
    {15, 114, 0, 0, Smoke::mf_const, 71, 23},	//269 Attica::Person::city() const
    {15, 77, 36, 2, 0, 0, 24},	//270 Attica::Person::addExtendedAttribute(const QString&, const QString&)
    {15, 177, 3, 1, Smoke::mf_const, 71, 25},	//271 Attica::Person::extendedAttribute(const QString&) const
    {15, 179, 0, 0, Smoke::mf_const, 65, 26},	//272 Attica::Person::extendedAttributes() const
    {15, 208, 0, 0, Smoke::mf_const, 166, 27},	//273 Attica::Person::isValid() const
    {15, 476, 0, 0, Smoke::mf_dtor, 0, 28 },	//274 Attica::Person::~Person()
    {16, 188, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 64, 1},	//275 Attica::PlatformDependent::getDefaultProviderFiles() const [pure virtual]
    {16, 75, 11, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//276 Attica::PlatformDependent::addDefaultProviderFile(const QUrl&) [pure virtual]
    {16, 259, 11, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//277 Attica::PlatformDependent::removeDefaultProviderFile(const QUrl&) [pure virtual]
    {16, 170, 69, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//278 Attica::PlatformDependent::enableProvider(const QUrl&, bool) const [pure virtual]
    {16, 206, 11, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 5},	//279 Attica::PlatformDependent::isEnabled(const QUrl&) const [pure virtual]
    {16, 192, 11, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 6},	//280 Attica::PlatformDependent::hasCredentials(const QUrl&) const [pure virtual]
    {16, 215, 72, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 7},	//281 Attica::PlatformDependent::loadCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {16, 90, 72, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 8},	//282 Attica::PlatformDependent::askForCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {16, 304, 76, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 9},	//283 Attica::PlatformDependent::saveCredentials(const QUrl&, const QString&, const QString&) [pure virtual]
    {16, 186, 80, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 68, 10},	//284 Attica::PlatformDependent::get(const QNetworkRequest&) [pure virtual]
    {16, 232, 82, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 68, 11},	//285 Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*) [pure virtual]
    {16, 232, 85, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 68, 12},	//286 Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&) [pure virtual]
    {16, 225, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 67, 13},	//287 Attica::PlatformDependent::nam() [pure virtual]
    {16, 53, 0, 0, Smoke::mf_ctor, 50, 14},	//288 Attica::PlatformDependent::PlatformDependent()
    {16, 53, 88, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 15},	//289 Attica::PlatformDependent::PlatformDependent(const Attica::PlatformDependent&)
    {16, 477, 0, 0, Smoke::mf_dtor, 0, 16 },	//290 Attica::PlatformDependent::~PlatformDependent()
    {17, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//291 Attica::PostJob::metaObject() const
    {17, 254, 13, 1, Smoke::mf_virtual, 198, 2},	//292 Attica::PostJob::qt_metacast(const char*)
    {17, 447, 15, 2, Smoke::mf_static, 71, 3},	//293 Attica::PostJob::tr(const char*, const char*)
    {17, 451, 15, 2, Smoke::mf_static, 71, 4},	//294 Attica::PostJob::trUtf8(const char*, const char*)
    {17, 447, 18, 3, Smoke::mf_static, 71, 5},	//295 Attica::PostJob::tr(const char*, const char*, int)
    {17, 451, 18, 3, Smoke::mf_static, 71, 6},	//296 Attica::PostJob::trUtf8(const char*, const char*, int)
    {17, 252, 22, 3, Smoke::mf_virtual, 195, 7},	//297 Attica::PostJob::qt_metacall(QMetaObject::Call, int, void**)
    {17, 447, 13, 1, Smoke::mf_static, 71, 8},	//298 Attica::PostJob::tr(const char*)
    {17, 451, 13, 1, Smoke::mf_static, 71, 9},	//299 Attica::PostJob::trUtf8(const char*)
    {17, 438, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 10},	//300 Attica::PostJob::staticMetaObject() const
    {17, 478, 0, 0, Smoke::mf_dtor, 0, 11 },	//301 Attica::PostJob::~PostJob()
    {18, 55, 0, 0, Smoke::mf_ctor, 54, 1},	//302 Attica::Provider::Provider()
    {18, 55, 90, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 2},	//303 Attica::Provider::Provider(const Attica::Provider&)
    {18, 227, 90, 1, 0, 53, 3},	//304 Attica::Provider::operator=(const Attica::Provider&)
    {18, 208, 0, 0, Smoke::mf_const, 166, 4},	//305 Attica::Provider::isValid() const
    {18, 206, 0, 0, Smoke::mf_const, 166, 5},	//306 Attica::Provider::isEnabled() const
    {18, 364, 41, 1, 0, 0, 6},	//307 Attica::Provider::setEnabled(bool)
    {18, 101, 0, 0, Smoke::mf_const, 74, 7},	//308 Attica::Provider::baseUrl() const
    {18, 226, 0, 0, Smoke::mf_const, 71, 8},	//309 Attica::Provider::name() const
    {18, 198, 0, 0, Smoke::mf_const, 166, 9},	//310 Attica::Provider::hasPersonService() const
    {18, 231, 0, 0, Smoke::mf_const, 71, 10},	//311 Attica::Provider::personServiceVersion() const
    {18, 195, 0, 0, Smoke::mf_const, 166, 11},	//312 Attica::Provider::hasFriendService() const
    {18, 184, 0, 0, Smoke::mf_const, 71, 12},	//313 Attica::Provider::friendServiceVersion() const
    {18, 197, 0, 0, Smoke::mf_const, 166, 13},	//314 Attica::Provider::hasMessageService() const
    {18, 222, 0, 0, Smoke::mf_const, 71, 14},	//315 Attica::Provider::messageServiceVersion() const
    {18, 189, 0, 0, Smoke::mf_const, 166, 15},	//316 Attica::Provider::hasActivityService() const
    {18, 72, 0, 0, Smoke::mf_const, 71, 16},	//317 Attica::Provider::activityServiceVersion() const
    {18, 191, 0, 0, Smoke::mf_const, 166, 17},	//318 Attica::Provider::hasContentService() const
    {18, 122, 0, 0, Smoke::mf_const, 71, 18},	//319 Attica::Provider::contentServiceVersion() const
    {18, 194, 0, 0, Smoke::mf_const, 166, 19},	//320 Attica::Provider::hasFanService() const
    {18, 180, 0, 0, Smoke::mf_const, 71, 20},	//321 Attica::Provider::fanServiceVersion() const
    {18, 196, 0, 0, Smoke::mf_const, 166, 21},	//322 Attica::Provider::hasKnowledgebaseService() const
    {18, 210, 0, 0, Smoke::mf_const, 71, 22},	//323 Attica::Provider::knowledgebaseServiceVersion() const
    {18, 190, 0, 0, Smoke::mf_const, 166, 23},	//324 Attica::Provider::hasCommentService() const
    {18, 116, 0, 0, Smoke::mf_const, 71, 24},	//325 Attica::Provider::commentServiceVersion() const
    {18, 192, 0, 0, Smoke::mf_const, 166, 25},	//326 Attica::Provider::hasCredentials() const
    {18, 192, 0, 0, 0, 166, 26},	//327 Attica::Provider::hasCredentials()
    {18, 215, 92, 2, 0, 166, 27},	//328 Attica::Provider::loadCredentials(QString&, QString&)
    {18, 304, 36, 2, 0, 166, 28},	//329 Attica::Provider::saveCredentials(const QString&, const QString&)
    {18, 111, 36, 2, 0, 51, 29},	//330 Attica::Provider::checkLogin(const QString&, const QString&)
    {18, 257, 95, 5, 0, 51, 30},	//331 Attica::Provider::registerAccount(const QString&, const QString&, const QString&, const QString&, const QString&)
    {18, 288, 3, 1, 0, 25, 31},	//332 Attica::Provider::requestPerson(const QString&)
    {18, 297, 0, 0, 0, 25, 32},	//333 Attica::Provider::requestPersonSelf()
    {18, 263, 0, 0, 0, 19, 33},	//334 Attica::Provider::requestAccountBalance()
    {18, 295, 3, 1, 0, 39, 34},	//335 Attica::Provider::requestPersonSearchByName(const QString&)
    {18, 290, 101, 5, 0, 39, 35},	//336 Attica::Provider::requestPersonSearchByLocation(double, double, double, int, int)
    {18, 236, 107, 4, 0, 51, 36},	//337 Attica::Provider::postLocation(double, double, const QString&, const QString&)
    {18, 276, 112, 3, 0, 39, 37},	//338 Attica::Provider::requestFriends(const QString&, int, int)
    {18, 301, 116, 2, 0, 39, 38},	//339 Attica::Provider::requestSentInvitations(int, int)
    {18, 298, 116, 2, 0, 39, 39},	//340 Attica::Provider::requestReceivedInvitations(int, int)
    {18, 203, 36, 2, 0, 51, 40},	//341 Attica::Provider::inviteFriend(const QString&, const QString&)
    {18, 88, 3, 1, 0, 51, 41},	//342 Attica::Provider::approveFriendship(const QString&)
    {18, 133, 3, 1, 0, 51, 42},	//343 Attica::Provider::declineFriendship(const QString&)
    {18, 106, 3, 1, 0, 51, 43},	//344 Attica::Provider::cancelFriendship(const QString&)
    {18, 275, 0, 0, 0, 35, 44},	//345 Attica::Provider::requestFolders()
    {18, 285, 51, 1, 0, 38, 45},	//346 Attica::Provider::requestMessages(const Attica::Folder&)
    {18, 285, 119, 2, 0, 38, 46},	//347 Attica::Provider::requestMessages(const Attica::Folder&, Attica::Message::Status)
    {18, 283, 122, 2, 0, 24, 47},	//348 Attica::Provider::requestMessage(const Attica::Folder&, const QString&)
    {18, 240, 63, 1, 0, 51, 48},	//349 Attica::Provider::postMessage(const Attica::Message&)
    {18, 264, 0, 0, 0, 31, 49},	//350 Attica::Provider::requestActivities()
    {18, 234, 3, 1, 0, 51, 50},	//351 Attica::Provider::postActivity(const QString&)
    {18, 265, 0, 0, 0, 32, 51},	//352 Attica::Provider::requestCategories()
    {18, 282, 0, 0, 0, 37, 52},	//353 Attica::Provider::requestLicenses()
    {18, 307, 125, 5, 0, 33, 53},	//354 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {18, 313, 131, 6, 0, 33, 54},	//355 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {18, 266, 3, 1, 0, 20, 55},	//356 Attica::Provider::requestContent(const QString&)
    {18, 161, 36, 2, 0, 21, 56},	//357 Attica::Provider::downloadLink(const QString&, const QString&)
    {18, 460, 138, 2, 0, 51, 57},	//358 Attica::Provider::voteForContent(const QString&, bool)
    {18, 79, 141, 2, 0, 26, 58},	//359 Attica::Provider::addNewContent(const Attica::Category&, const Attica::Content&)
    {18, 168, 144, 3, 0, 26, 59},	//360 Attica::Provider::editContent(const Attica::Category&, const QString&, const Attica::Content&)
    {18, 137, 3, 1, 0, 51, 60},	//361 Attica::Provider::deleteContent(const QString&)
    {18, 358, 148, 3, 0, 51, 61},	//362 Attica::Provider::setDownloadFile(const QString&, const QString&, const QByteArray&)
    {18, 139, 3, 1, 0, 51, 62},	//363 Attica::Provider::deleteDownloadFile(const QString&)
    {18, 400, 152, 4, 0, 51, 63},	//364 Attica::Provider::setPreviewImage(const QString&, const QString&, const QString&, const QByteArray&)
    {18, 141, 36, 2, 0, 51, 64},	//365 Attica::Provider::deletePreviewImage(const QString&, const QString&)
    {18, 280, 3, 1, 0, 23, 65},	//366 Attica::Provider::requestKnowledgeBaseEntry(const QString&)
    {18, 319, 157, 5, 0, 36, 66},	//367 Attica::Provider::searchKnowledgeBase(const Attica::Content&, const QString&, Attica::Provider::SortMode, int, int)
    {18, 268, 3, 1, 0, 22, 67},	//368 Attica::Provider::requestEvent(const QString&)
    {18, 268, 163, 6, 0, 34, 68},	//369 Attica::Provider::requestEvent(const QString&, const QString&, const QDate&, Attica::Provider::SortMode, int, int)
    {18, 102, 3, 1, 0, 51, 69},	//370 Attica::Provider::becomeFan(const QString&)
    {18, 271, 170, 3, 0, 39, 70},	//371 Attica::Provider::requestFans(const QString&, unsigned int, unsigned int)
    {18, 127, 3, 1, Smoke::mf_protected, 74, 71},	//372 Attica::Provider::createUrl(const QString&)
    {18, 124, 11, 1, Smoke::mf_protected, 69, 72},	//373 Attica::Provider::createRequest(const QUrl&)
    {18, 124, 3, 1, Smoke::mf_protected, 69, 73},	//374 Attica::Provider::createRequest(const QString&)
    {18, 157, 11, 1, Smoke::mf_protected, 25, 74},	//375 Attica::Provider::doRequestPerson(const QUrl&)
    {18, 149, 11, 1, Smoke::mf_protected, 19, 75},	//376 Attica::Provider::doRequestAccountBalance(const QUrl&)
    {18, 159, 11, 1, Smoke::mf_protected, 39, 76},	//377 Attica::Provider::doRequestPersonList(const QUrl&)
    {18, 151, 11, 1, Smoke::mf_protected, 31, 77},	//378 Attica::Provider::doRequestActivityList(const QUrl&)
    {18, 153, 11, 1, Smoke::mf_protected, 35, 78},	//379 Attica::Provider::doRequestFolderList(const QUrl&)
    {18, 155, 11, 1, Smoke::mf_protected, 38, 79},	//380 Attica::Provider::doRequestMessageList(const QUrl&)
    {18, 290, 174, 2, 0, 39, 80},	//381 Attica::Provider::requestPersonSearchByLocation(double, double)
    {18, 290, 177, 3, 0, 39, 81},	//382 Attica::Provider::requestPersonSearchByLocation(double, double, double)
    {18, 290, 181, 4, 0, 39, 82},	//383 Attica::Provider::requestPersonSearchByLocation(double, double, double, int)
    {18, 236, 174, 2, 0, 51, 83},	//384 Attica::Provider::postLocation(double, double)
    {18, 236, 186, 3, 0, 51, 84},	//385 Attica::Provider::postLocation(double, double, const QString&)
    {18, 276, 3, 1, 0, 39, 85},	//386 Attica::Provider::requestFriends(const QString&)
    {18, 276, 190, 2, 0, 39, 86},	//387 Attica::Provider::requestFriends(const QString&, int)
    {18, 301, 0, 0, 0, 39, 87},	//388 Attica::Provider::requestSentInvitations()
    {18, 301, 34, 1, 0, 39, 88},	//389 Attica::Provider::requestSentInvitations(int)
    {18, 298, 0, 0, 0, 39, 89},	//390 Attica::Provider::requestReceivedInvitations()
    {18, 298, 34, 1, 0, 39, 90},	//391 Attica::Provider::requestReceivedInvitations(int)
    {18, 307, 193, 1, 0, 33, 91},	//392 Attica::Provider::searchContents(const QList<Attica::Category>&)
    {18, 307, 195, 2, 0, 33, 92},	//393 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&)
    {18, 307, 198, 3, 0, 33, 93},	//394 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode)
    {18, 307, 202, 4, 0, 33, 94},	//395 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int)
    {18, 313, 195, 2, 0, 33, 95},	//396 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&)
    {18, 313, 207, 3, 0, 33, 96},	//397 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&)
    {18, 313, 211, 4, 0, 33, 97},	//398 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode)
    {18, 313, 216, 5, 0, 33, 98},	//399 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int)
    {18, 161, 3, 1, 0, 21, 99},	//400 Attica::Provider::downloadLink(const QString&)
    {18, 271, 3, 1, 0, 39, 100},	//401 Attica::Provider::requestFans(const QString&)
    {18, 271, 222, 2, 0, 39, 101},	//402 Attica::Provider::requestFans(const QString&, unsigned int)
    {18, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 102},	//403 Attica::Provider::Newest (enum)
    {18, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 103},	//404 Attica::Provider::Alphabetical (enum)
    {18, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 104},	//405 Attica::Provider::Rating (enum)
    {18, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 105},	//406 Attica::Provider::Downloads (enum)
    {18, 479, 0, 0, Smoke::mf_dtor, 0, 106 },	//407 Attica::Provider::~Provider()
    {19, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//408 Attica::ProviderManager::metaObject() const
    {19, 254, 13, 1, Smoke::mf_virtual, 198, 2},	//409 Attica::ProviderManager::qt_metacast(const char*)
    {19, 447, 15, 2, Smoke::mf_static, 71, 3},	//410 Attica::ProviderManager::tr(const char*, const char*)
    {19, 451, 15, 2, Smoke::mf_static, 71, 4},	//411 Attica::ProviderManager::trUtf8(const char*, const char*)
    {19, 447, 18, 3, Smoke::mf_static, 71, 5},	//412 Attica::ProviderManager::tr(const char*, const char*, int)
    {19, 451, 18, 3, Smoke::mf_static, 71, 6},	//413 Attica::ProviderManager::trUtf8(const char*, const char*, int)
    {19, 252, 22, 3, Smoke::mf_virtual, 195, 7},	//414 Attica::ProviderManager::qt_metacall(QMetaObject::Call, int, void**)
    {19, 57, 0, 0, Smoke::mf_ctor, 56, 8},	//415 Attica::ProviderManager::ProviderManager()
    {19, 218, 0, 0, 0, 0, 9},	//416 Attica::ProviderManager::loadDefaultProviders()
    {19, 135, 0, 0, 0, 64, 10},	//417 Attica::ProviderManager::defaultProviderFiles()
    {19, 83, 11, 1, 0, 0, 11},	//418 Attica::ProviderManager::addProviderFileToDefaultProviders(const QUrl&)
    {19, 261, 11, 1, 0, 0, 12},	//419 Attica::ProviderManager::removeProviderFileFromDefaultProviders(const QUrl&)
    {19, 326, 41, 1, 0, 0, 13},	//420 Attica::ProviderManager::setAuthenticationSuppressed(bool)
    {19, 115, 0, 0, 0, 0, 14},	//421 Attica::ProviderManager::clear()
    {19, 85, 3, 1, 0, 0, 15},	//422 Attica::ProviderManager::addProviderFromXml(const QString&)
    {19, 81, 11, 1, 0, 0, 16},	//423 Attica::ProviderManager::addProviderFile(const QUrl&)
    {19, 250, 0, 0, Smoke::mf_const, 64, 17},	//424 Attica::ProviderManager::providerFiles() const
    {19, 251, 0, 0, Smoke::mf_const, 63, 18},	//425 Attica::ProviderManager::providers() const
    {19, 119, 3, 1, Smoke::mf_const, 166, 19},	//426 Attica::ProviderManager::contains(const QString&) const
    {19, 248, 11, 1, Smoke::mf_const, 52, 20},	//427 Attica::ProviderManager::providerByUrl(const QUrl&) const
    {19, 246, 90, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//428 Attica::ProviderManager::providerAdded(const Attica::Provider&)
    {19, 136, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//429 Attica::ProviderManager::defaultProvidersLoaded()
    {19, 96, 90, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//430 Attica::ProviderManager::authenticationCredentialsMissing(const Attica::Provider&)
    {19, 447, 13, 1, Smoke::mf_static, 71, 24},	//431 Attica::ProviderManager::tr(const char*)
    {19, 451, 13, 1, Smoke::mf_static, 71, 25},	//432 Attica::ProviderManager::trUtf8(const char*)
    {19, 438, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 26},	//433 Attica::ProviderManager::staticMetaObject() const
    {19, 480, 0, 0, Smoke::mf_dtor, 0, 27 },	//434 Attica::ProviderManager::~ProviderManager()
    {25, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 1},	//435 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {25, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 2},	//436 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {25, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 3},	//437 QGlobalSpace::Q_STATIC_TYPE (enum)
    {25, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 4},	//438 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {25, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 5},	//439 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {25, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 6},	//440 QGlobalSpace::LicensedGui (enum)
    {25, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 7},	//441 QGlobalSpace::LicensedXml (enum)
    {25, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 8},	//442 QGlobalSpace::LicensedQt3SupportLight (enum)
    {25, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 9},	//443 QGlobalSpace::LicensedScript (enum)
    {25, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 10},	//444 QGlobalSpace::LicensedOpenVG (enum)
    {25, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 11},	//445 QGlobalSpace::LicensedDBus (enum)
    {25, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 12},	//446 QGlobalSpace::LicensedTest (enum)
    {25, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 13},	//447 QGlobalSpace::LicensedActiveQt (enum)
    {25, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 14},	//448 QGlobalSpace::LicensedScriptTools (enum)
    {25, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 15},	//449 QGlobalSpace::LicensedSvg (enum)
    {25, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 16},	//450 QGlobalSpace::LicensedDeclarative (enum)
    {25, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 17},	//451 QGlobalSpace::LicensedSql (enum)
    {25, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 18},	//452 QGlobalSpace::LicensedOpenGL (enum)
    {25, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 19},	//453 QGlobalSpace::LicensedCore (enum)
    {25, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 20},	//454 QGlobalSpace::QtDebugMsg (enum)
    {25, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 21},	//455 QGlobalSpace::QtWarningMsg (enum)
    {25, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 22},	//456 QGlobalSpace::QtCriticalMsg (enum)
    {25, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 23},	//457 QGlobalSpace::QtFatalMsg (enum)
    {25, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 24},	//458 QGlobalSpace::QtSystemMsg (enum)
    {25, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 25},	//459 QGlobalSpace::LicensedHelp (enum)
    {25, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 26},	//460 QGlobalSpace::LicensedMultimedia (enum)
    {25, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 27},	//461 QGlobalSpace::LicensedQt3Support (enum)
    {25, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 28},	//462 QGlobalSpace::LicensedXmlPatterns (enum)
    {25, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 29},	//463 QGlobalSpace::LicensedNetwork (enum)
    {31, 174, 225, 1, Smoke::mf_virtual, 166, 0},	//464 QObject::event(QEvent*)
    {31, 175, 227, 2, Smoke::mf_virtual, 166, 0},	//465 QObject::eventFilter(QObject*, QEvent*)
    {31, 443, 230, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//466 QObject::timerEvent(QTimerEvent*)
    {31, 113, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//467 QObject::childEvent(QChildEvent*)
    {31, 131, 225, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//468 QObject::customEvent(QEvent*)
    {31, 118, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//469 QObject::connectNotify(const char*)
    {31, 147, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//470 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    285,  // Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*)
    286,  // Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&)
    0,
    326,  // Attica::Provider::hasCredentials() const
    327,  // Attica::Provider::hasCredentials()
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 1, 1},	// Attica::AccountBalance::AccountBalance
    {1, 2, 2},	// Attica::AccountBalance::AccountBalance#
    {1, 100, 7},	// Attica::AccountBalance::balance
    {1, 130, 5},	// Attica::AccountBalance::currency
    {1, 228, 3},	// Attica::AccountBalance::operator=#
    {1, 331, 6},	// Attica::AccountBalance::setBalance$
    {1, 351, 4},	// Attica::AccountBalance::setCurrency$
    {1, 462, 8},	// Attica::AccountBalance::~AccountBalance
    {2, 3, 9},	// Attica::Activity::Activity
    {2, 4, 10},	// Attica::Activity::Activity#
    {2, 92, 15},	// Attica::Activity::associatedPerson
    {2, 201, 13},	// Attica::Activity::id
    {2, 208, 22},	// Attica::Activity::isValid
    {2, 214, 21},	// Attica::Activity::link
    {2, 220, 19},	// Attica::Activity::message
    {2, 228, 11},	// Attica::Activity::operator=#
    {2, 325, 14},	// Attica::Activity::setAssociatedPerson#
    {2, 380, 12},	// Attica::Activity::setId$
    {2, 388, 20},	// Attica::Activity::setLink#
    {2, 393, 18},	// Attica::Activity::setMessage$
    {2, 421, 16},	// Attica::Activity::setTimestamp#
    {2, 444, 17},	// Attica::Activity::timestamp
    {2, 463, 23},	// Attica::Activity::~Activity
    {3, 71, 33},	// Attica::BaseJob::abort
    {3, 132, 35},	// Attica::BaseJob::dataFinished
    {3, 176, 37},	// Attica::BaseJob::executeRequest
    {3, 182, 34},	// Attica::BaseJob::finished#
    {3, 202, 39},	// Attica::BaseJob::internals
    {3, 223, 24},	// Attica::BaseJob::metaObject
    {3, 224, 31},	// Attica::BaseJob::metadata
    {3, 230, 38},	// Attica::BaseJob::parse$
    {3, 253, 30},	// Attica::BaseJob::qt_metacall$$?
    {3, 255, 25},	// Attica::BaseJob::qt_metacast$
    {3, 397, 36},	// Attica::BaseJob::setMetadata#
    {3, 436, 32},	// Attica::BaseJob::start
    {3, 438, 42},	// Attica::BaseJob::staticMetaObject
    {3, 448, 40},	// Attica::BaseJob::tr$
    {3, 449, 26},	// Attica::BaseJob::tr$$
    {3, 450, 28},	// Attica::BaseJob::tr$$$
    {3, 452, 41},	// Attica::BaseJob::trUtf8$
    {3, 453, 27},	// Attica::BaseJob::trUtf8$$
    {3, 454, 29},	// Attica::BaseJob::trUtf8$$$
    {3, 464, 43},	// Attica::BaseJob::~BaseJob
    {4, 7, 44},	// Attica::Category::Category
    {4, 8, 45},	// Attica::Category::Category#
    {4, 201, 48},	// Attica::Category::id
    {4, 208, 51},	// Attica::Category::isValid
    {4, 226, 50},	// Attica::Category::name
    {4, 228, 46},	// Attica::Category::operator=#
    {4, 380, 47},	// Attica::Category::setId$
    {4, 399, 49},	// Attica::Category::setName$
    {4, 465, 52},	// Attica::Category::~Category
    {5, 9, 53},	// Attica::Content::Content
    {5, 10, 54},	// Attica::Content::Content#
    {5, 74, 79},	// Attica::Content::addAttribute$$
    {5, 94, 80},	// Attica::Content::attribute$
    {5, 95, 81},	// Attica::Content::attributes
    {5, 98, 78},	// Attica::Content::author
    {5, 110, 70},	// Attica::Content::changelog
    {5, 129, 65},	// Attica::Content::created
    {5, 143, 72},	// Attica::Content::depend
    {5, 144, 68},	// Attica::Content::description
    {5, 146, 69},	// Attica::Content::detailpage
    {5, 165, 73},	// Attica::Content::downloadUrlDescription$
    {5, 166, 74},	// Attica::Content::downloadUrlDescriptions
    {5, 167, 63},	// Attica::Content::downloads
    {5, 201, 57},	// Attica::Content::id
    {5, 208, 82},	// Attica::Content::isValid
    {5, 213, 77},	// Attica::Content::license
    {5, 226, 59},	// Attica::Content::name
    {5, 228, 55},	// Attica::Content::operator=#
    {5, 242, 83},	// Attica::Content::previewPicture
    {5, 243, 75},	// Attica::Content::previewPicture$
    {5, 256, 61},	// Attica::Content::rating
    {5, 349, 64},	// Attica::Content::setCreated#
    {5, 361, 62},	// Attica::Content::setDownloads$
    {5, 380, 56},	// Attica::Content::setId$
    {5, 399, 58},	// Attica::Content::setName$
    {5, 407, 60},	// Attica::Content::setRating$
    {5, 429, 66},	// Attica::Content::setUpdated#
    {5, 434, 84},	// Attica::Content::smallPreviewPicture
    {5, 435, 76},	// Attica::Content::smallPreviewPicture$
    {5, 456, 67},	// Attica::Content::updated
    {5, 459, 71},	// Attica::Content::version
    {5, 466, 85},	// Attica::Content::~Content
    {6, 11, 86},	// Attica::DownloadDescription::DownloadDescription
    {6, 12, 87},	// Attica::DownloadDescription::DownloadDescription#
    {6, 108, 92},	// Attica::DownloadDescription::category
    {6, 148, 95},	// Attica::DownloadDescription::distributionType
    {6, 199, 91},	// Attica::DownloadDescription::hasPrice
    {6, 201, 89},	// Attica::DownloadDescription::id
    {6, 205, 90},	// Attica::DownloadDescription::isDownloadtypLink
    {6, 214, 94},	// Attica::DownloadDescription::link
    {6, 226, 93},	// Attica::DownloadDescription::name
    {6, 228, 88},	// Attica::DownloadDescription::operator=#
    {6, 244, 97},	// Attica::DownloadDescription::priceAmount
    {6, 245, 96},	// Attica::DownloadDescription::priceReason
    {6, 337, 101},	// Attica::DownloadDescription::setCategory$
    {6, 357, 104},	// Attica::DownloadDescription::setDistributionType$
    {6, 363, 99},	// Attica::DownloadDescription::setDownloadtypLink$
    {6, 375, 100},	// Attica::DownloadDescription::setHasPrice$
    {6, 380, 98},	// Attica::DownloadDescription::setId$
    {6, 389, 103},	// Attica::DownloadDescription::setLink$
    {6, 399, 102},	// Attica::DownloadDescription::setName$
    {6, 403, 106},	// Attica::DownloadDescription::setPriceAmount$
    {6, 405, 105},	// Attica::DownloadDescription::setPriceReason$
    {6, 467, 107},	// Attica::DownloadDescription::~DownloadDescription
    {7, 13, 108},	// Attica::DownloadItem::DownloadItem
    {7, 14, 109},	// Attica::DownloadItem::DownloadItem#
    {7, 228, 110},	// Attica::DownloadItem::operator=#
    {7, 431, 111},	// Attica::DownloadItem::setUrl#
    {7, 457, 112},	// Attica::DownloadItem::url
    {7, 468, 113},	// Attica::DownloadItem::~DownloadItem
    {8, 16, 114},	// Attica::Event::Event
    {8, 17, 115},	// Attica::Event::Event#
    {8, 78, 139},	// Attica::Event::addExtendedAttribute$$
    {8, 114, 138},	// Attica::Event::city
    {8, 123, 136},	// Attica::Event::country
    {8, 144, 122},	// Attica::Event::description
    {8, 172, 128},	// Attica::Event::endDate
    {8, 178, 140},	// Attica::Event::extendedAttribute$
    {8, 179, 141},	// Attica::Event::extendedAttributes
    {8, 200, 134},	// Attica::Event::homepage
    {8, 201, 118},	// Attica::Event::id
    {8, 208, 142},	// Attica::Event::isValid
    {8, 212, 130},	// Attica::Event::latitude
    {8, 219, 132},	// Attica::Event::longitude
    {8, 226, 120},	// Attica::Event::name
    {8, 228, 116},	// Attica::Event::operator=#
    {8, 341, 137},	// Attica::Event::setCity$
    {8, 347, 135},	// Attica::Event::setCountry$
    {8, 353, 121},	// Attica::Event::setDescription$
    {8, 367, 127},	// Attica::Event::setEndDate#
    {8, 377, 133},	// Attica::Event::setHomepage#
    {8, 380, 117},	// Attica::Event::setId$
    {8, 386, 129},	// Attica::Event::setLatitude$
    {8, 391, 131},	// Attica::Event::setLongitude$
    {8, 399, 119},	// Attica::Event::setName$
    {8, 411, 125},	// Attica::Event::setStartDate#
    {8, 433, 123},	// Attica::Event::setUser$
    {8, 437, 126},	// Attica::Event::startDate
    {8, 458, 124},	// Attica::Event::user
    {8, 469, 143},	// Attica::Event::~Event
    {9, 18, 144},	// Attica::Folder::Folder
    {9, 19, 145},	// Attica::Folder::Folder#
    {9, 201, 148},	// Attica::Folder::id
    {9, 208, 155},	// Attica::Folder::isValid
    {9, 221, 152},	// Attica::Folder::messageCount
    {9, 226, 150},	// Attica::Folder::name
    {9, 228, 146},	// Attica::Folder::operator=#
    {9, 380, 147},	// Attica::Folder::setId$
    {9, 395, 151},	// Attica::Folder::setMessageCount$
    {9, 399, 149},	// Attica::Folder::setName$
    {9, 427, 153},	// Attica::Folder::setType$
    {9, 455, 154},	// Attica::Folder::type
    {9, 470, 156},	// Attica::Folder::~Folder
    {10, 223, 157},	// Attica::GetJob::metaObject
    {10, 253, 163},	// Attica::GetJob::qt_metacall$$?
    {10, 255, 158},	// Attica::GetJob::qt_metacast$
    {10, 438, 166},	// Attica::GetJob::staticMetaObject
    {10, 448, 164},	// Attica::GetJob::tr$
    {10, 449, 159},	// Attica::GetJob::tr$$
    {10, 450, 161},	// Attica::GetJob::tr$$$
    {10, 452, 165},	// Attica::GetJob::trUtf8$
    {10, 453, 160},	// Attica::GetJob::trUtf8$$
    {10, 454, 162},	// Attica::GetJob::trUtf8$$$
    {10, 471, 167},	// Attica::GetJob::~GetJob
    {11, 20, 168},	// Attica::KnowledgeBaseEntry::KnowledgeBaseEntry
    {11, 21, 169},	// Attica::KnowledgeBaseEntry::KnowledgeBaseEntry#
    {11, 78, 191},	// Attica::KnowledgeBaseEntry::addExtendedAttribute$$
    {11, 87, 186},	// Attica::KnowledgeBaseEntry::answer
    {11, 109, 180},	// Attica::KnowledgeBaseEntry::changed
    {11, 117, 188},	// Attica::KnowledgeBaseEntry::comments
    {11, 121, 174},	// Attica::KnowledgeBaseEntry::contentId
    {11, 144, 184},	// Attica::KnowledgeBaseEntry::description
    {11, 145, 190},	// Attica::KnowledgeBaseEntry::detailPage
    {11, 178, 192},	// Attica::KnowledgeBaseEntry::extendedAttribute$
    {11, 179, 193},	// Attica::KnowledgeBaseEntry::extendedAttributes
    {11, 201, 172},	// Attica::KnowledgeBaseEntry::id
    {11, 208, 194},	// Attica::KnowledgeBaseEntry::isValid
    {11, 226, 182},	// Attica::KnowledgeBaseEntry::name
    {11, 228, 170},	// Attica::KnowledgeBaseEntry::operator=#
    {11, 323, 185},	// Attica::KnowledgeBaseEntry::setAnswer$
    {11, 339, 179},	// Attica::KnowledgeBaseEntry::setChanged#
    {11, 343, 187},	// Attica::KnowledgeBaseEntry::setComments$
    {11, 345, 173},	// Attica::KnowledgeBaseEntry::setContentId$
    {11, 353, 183},	// Attica::KnowledgeBaseEntry::setDescription$
    {11, 355, 189},	// Attica::KnowledgeBaseEntry::setDetailPage#
    {11, 380, 171},	// Attica::KnowledgeBaseEntry::setId$
    {11, 399, 181},	// Attica::KnowledgeBaseEntry::setName$
    {11, 413, 177},	// Attica::KnowledgeBaseEntry::setStatus$
    {11, 433, 175},	// Attica::KnowledgeBaseEntry::setUser$
    {11, 439, 178},	// Attica::KnowledgeBaseEntry::status
    {11, 458, 176},	// Attica::KnowledgeBaseEntry::user
    {11, 472, 195},	// Attica::KnowledgeBaseEntry::~KnowledgeBaseEntry
    {12, 22, 196},	// Attica::License::License
    {12, 23, 197},	// Attica::License::License#
    {12, 201, 199},	// Attica::License::id
    {12, 226, 201},	// Attica::License::name
    {12, 228, 198},	// Attica::License::operator=#
    {12, 380, 200},	// Attica::License::setId$
    {12, 399, 202},	// Attica::License::setName$
    {12, 431, 204},	// Attica::License::setUrl#
    {12, 457, 203},	// Attica::License::url
    {12, 473, 205},	// Attica::License::~License
    {13, 6, 226},	// Attica::Message::Answered
    {13, 43, 206},	// Attica::Message::Message
    {13, 44, 207},	// Attica::Message::Message#
    {13, 69, 225},	// Attica::Message::Read
    {13, 70, 224},	// Attica::Message::Unread
    {13, 105, 222},	// Attica::Message::body
    {13, 185, 212},	// Attica::Message::from
    {13, 201, 210},	// Attica::Message::id
    {13, 208, 223},	// Attica::Message::isValid
    {13, 228, 208},	// Attica::Message::operator=#
    {13, 321, 216},	// Attica::Message::sent
    {13, 335, 221},	// Attica::Message::setBody$
    {13, 373, 211},	// Attica::Message::setFrom$
    {13, 380, 209},	// Attica::Message::setId$
    {13, 409, 215},	// Attica::Message::setSent#
    {13, 413, 217},	// Attica::Message::setStatus$
    {13, 419, 219},	// Attica::Message::setSubject$
    {13, 423, 213},	// Attica::Message::setTo$
    {13, 439, 218},	// Attica::Message::status
    {13, 442, 220},	// Attica::Message::subject
    {13, 445, 214},	// Attica::Message::to
    {13, 474, 227},	// Attica::Message::~Message
    {14, 45, 228},	// Attica::Metadata::Metadata
    {14, 46, 229},	// Attica::Metadata::Metadata#
    {14, 47, 244},	// Attica::Metadata::NetworkError
    {14, 49, 243},	// Attica::Metadata::NoError
    {14, 50, 245},	// Attica::Metadata::OcsError
    {14, 173, 231},	// Attica::Metadata::error
    {14, 209, 241},	// Attica::Metadata::itemsPerPage
    {14, 220, 237},	// Attica::Metadata::message
    {14, 228, 230},	// Attica::Metadata::operator=#
    {14, 369, 232},	// Attica::Metadata::setError$
    {14, 382, 242},	// Attica::Metadata::setItemsPerPage$
    {14, 393, 238},	// Attica::Metadata::setMessage$
    {14, 415, 234},	// Attica::Metadata::setStatusCode$
    {14, 417, 236},	// Attica::Metadata::setStatusString$
    {14, 425, 240},	// Attica::Metadata::setTotalItems$
    {14, 440, 233},	// Attica::Metadata::statusCode
    {14, 441, 235},	// Attica::Metadata::statusString
    {14, 446, 239},	// Attica::Metadata::totalItems
    {14, 475, 246},	// Attica::Metadata::~Metadata
    {15, 51, 247},	// Attica::Person::Person
    {15, 52, 248},	// Attica::Person::Person#
    {15, 78, 270},	// Attica::Person::addExtendedAttribute$$
    {15, 99, 265},	// Attica::Person::avatarUrl
    {15, 104, 257},	// Attica::Person::birthday
    {15, 114, 269},	// Attica::Person::city
    {15, 123, 259},	// Attica::Person::country
    {15, 178, 271},	// Attica::Person::extendedAttribute$
    {15, 179, 272},	// Attica::Person::extendedAttributes
    {15, 183, 253},	// Attica::Person::firstName
    {15, 200, 267},	// Attica::Person::homepage
    {15, 201, 251},	// Attica::Person::id
    {15, 208, 273},	// Attica::Person::isValid
    {15, 211, 255},	// Attica::Person::lastName
    {15, 212, 261},	// Attica::Person::latitude
    {15, 219, 263},	// Attica::Person::longitude
    {15, 228, 249},	// Attica::Person::operator=#
    {15, 329, 264},	// Attica::Person::setAvatarUrl#
    {15, 333, 256},	// Attica::Person::setBirthday#
    {15, 341, 268},	// Attica::Person::setCity$
    {15, 347, 258},	// Attica::Person::setCountry$
    {15, 371, 252},	// Attica::Person::setFirstName$
    {15, 378, 266},	// Attica::Person::setHomepage$
    {15, 380, 250},	// Attica::Person::setId$
    {15, 384, 254},	// Attica::Person::setLastName$
    {15, 386, 260},	// Attica::Person::setLatitude$
    {15, 391, 262},	// Attica::Person::setLongitude$
    {15, 476, 274},	// Attica::Person::~Person
    {16, 53, 288},	// Attica::PlatformDependent::PlatformDependent
    {16, 54, 289},	// Attica::PlatformDependent::PlatformDependent#
    {16, 76, 276},	// Attica::PlatformDependent::addDefaultProviderFile#
    {16, 91, 282},	// Attica::PlatformDependent::askForCredentials#$$
    {16, 171, 278},	// Attica::PlatformDependent::enableProvider#$
    {16, 187, 284},	// Attica::PlatformDependent::get#
    {16, 188, 275},	// Attica::PlatformDependent::getDefaultProviderFiles
    {16, 193, 280},	// Attica::PlatformDependent::hasCredentials#
    {16, 207, 279},	// Attica::PlatformDependent::isEnabled#
    {16, 216, 281},	// Attica::PlatformDependent::loadCredentials#$$
    {16, 225, 287},	// Attica::PlatformDependent::nam
    {16, 233, -1},	// Attica::PlatformDependent::post##
    {16, 260, 277},	// Attica::PlatformDependent::removeDefaultProviderFile#
    {16, 305, 283},	// Attica::PlatformDependent::saveCredentials#$$
    {16, 477, 290},	// Attica::PlatformDependent::~PlatformDependent
    {17, 223, 291},	// Attica::PostJob::metaObject
    {17, 253, 297},	// Attica::PostJob::qt_metacall$$?
    {17, 255, 292},	// Attica::PostJob::qt_metacast$
    {17, 438, 300},	// Attica::PostJob::staticMetaObject
    {17, 448, 298},	// Attica::PostJob::tr$
    {17, 449, 293},	// Attica::PostJob::tr$$
    {17, 450, 295},	// Attica::PostJob::tr$$$
    {17, 452, 299},	// Attica::PostJob::trUtf8$
    {17, 453, 294},	// Attica::PostJob::trUtf8$$
    {17, 454, 296},	// Attica::PostJob::trUtf8$$$
    {17, 478, 301},	// Attica::PostJob::~PostJob
    {18, 5, 404},	// Attica::Provider::Alphabetical
    {18, 15, 406},	// Attica::Provider::Downloads
    {18, 48, 403},	// Attica::Provider::Newest
    {18, 55, 302},	// Attica::Provider::Provider
    {18, 56, 303},	// Attica::Provider::Provider#
    {18, 68, 405},	// Attica::Provider::Rating
    {18, 72, 317},	// Attica::Provider::activityServiceVersion
    {18, 80, 359},	// Attica::Provider::addNewContent##
    {18, 89, 342},	// Attica::Provider::approveFriendship$
    {18, 101, 308},	// Attica::Provider::baseUrl
    {18, 103, 370},	// Attica::Provider::becomeFan$
    {18, 107, 344},	// Attica::Provider::cancelFriendship$
    {18, 112, 330},	// Attica::Provider::checkLogin$$
    {18, 116, 325},	// Attica::Provider::commentServiceVersion
    {18, 122, 319},	// Attica::Provider::contentServiceVersion
    {18, 125, 373},	// Attica::Provider::createRequest#
    {18, 126, 374},	// Attica::Provider::createRequest$
    {18, 128, 372},	// Attica::Provider::createUrl$
    {18, 134, 343},	// Attica::Provider::declineFriendship$
    {18, 138, 361},	// Attica::Provider::deleteContent$
    {18, 140, 363},	// Attica::Provider::deleteDownloadFile$
    {18, 142, 365},	// Attica::Provider::deletePreviewImage$$
    {18, 150, 376},	// Attica::Provider::doRequestAccountBalance#
    {18, 152, 378},	// Attica::Provider::doRequestActivityList#
    {18, 154, 379},	// Attica::Provider::doRequestFolderList#
    {18, 156, 380},	// Attica::Provider::doRequestMessageList#
    {18, 158, 375},	// Attica::Provider::doRequestPerson#
    {18, 160, 377},	// Attica::Provider::doRequestPersonList#
    {18, 162, 400},	// Attica::Provider::downloadLink$
    {18, 163, 357},	// Attica::Provider::downloadLink$$
    {18, 169, 360},	// Attica::Provider::editContent#$#
    {18, 180, 321},	// Attica::Provider::fanServiceVersion
    {18, 184, 313},	// Attica::Provider::friendServiceVersion
    {18, 189, 316},	// Attica::Provider::hasActivityService
    {18, 190, 324},	// Attica::Provider::hasCommentService
    {18, 191, 318},	// Attica::Provider::hasContentService
    {18, 192, -4},	// Attica::Provider::hasCredentials
    {18, 194, 320},	// Attica::Provider::hasFanService
    {18, 195, 312},	// Attica::Provider::hasFriendService
    {18, 196, 322},	// Attica::Provider::hasKnowledgebaseService
    {18, 197, 314},	// Attica::Provider::hasMessageService
    {18, 198, 310},	// Attica::Provider::hasPersonService
    {18, 204, 341},	// Attica::Provider::inviteFriend$$
    {18, 206, 306},	// Attica::Provider::isEnabled
    {18, 208, 305},	// Attica::Provider::isValid
    {18, 210, 323},	// Attica::Provider::knowledgebaseServiceVersion
    {18, 217, 328},	// Attica::Provider::loadCredentials$$
    {18, 222, 315},	// Attica::Provider::messageServiceVersion
    {18, 226, 309},	// Attica::Provider::name
    {18, 228, 304},	// Attica::Provider::operator=#
    {18, 231, 311},	// Attica::Provider::personServiceVersion
    {18, 235, 351},	// Attica::Provider::postActivity$
    {18, 237, 384},	// Attica::Provider::postLocation$$
    {18, 238, 385},	// Attica::Provider::postLocation$$$
    {18, 239, 337},	// Attica::Provider::postLocation$$$$
    {18, 241, 349},	// Attica::Provider::postMessage#
    {18, 258, 331},	// Attica::Provider::registerAccount$$$$$
    {18, 263, 334},	// Attica::Provider::requestAccountBalance
    {18, 264, 350},	// Attica::Provider::requestActivities
    {18, 265, 352},	// Attica::Provider::requestCategories
    {18, 267, 356},	// Attica::Provider::requestContent$
    {18, 269, 368},	// Attica::Provider::requestEvent$
    {18, 270, 369},	// Attica::Provider::requestEvent$$#$$$
    {18, 272, 401},	// Attica::Provider::requestFans$
    {18, 273, 402},	// Attica::Provider::requestFans$$
    {18, 274, 371},	// Attica::Provider::requestFans$$$
    {18, 275, 345},	// Attica::Provider::requestFolders
    {18, 277, 386},	// Attica::Provider::requestFriends$
    {18, 278, 387},	// Attica::Provider::requestFriends$$
    {18, 279, 338},	// Attica::Provider::requestFriends$$$
    {18, 281, 366},	// Attica::Provider::requestKnowledgeBaseEntry$
    {18, 282, 353},	// Attica::Provider::requestLicenses
    {18, 284, 348},	// Attica::Provider::requestMessage#$
    {18, 286, 346},	// Attica::Provider::requestMessages#
    {18, 287, 347},	// Attica::Provider::requestMessages#$
    {18, 289, 332},	// Attica::Provider::requestPerson$
    {18, 291, 381},	// Attica::Provider::requestPersonSearchByLocation$$
    {18, 292, 382},	// Attica::Provider::requestPersonSearchByLocation$$$
    {18, 293, 383},	// Attica::Provider::requestPersonSearchByLocation$$$$
    {18, 294, 336},	// Attica::Provider::requestPersonSearchByLocation$$$$$
    {18, 296, 335},	// Attica::Provider::requestPersonSearchByName$
    {18, 297, 333},	// Attica::Provider::requestPersonSelf
    {18, 298, 390},	// Attica::Provider::requestReceivedInvitations
    {18, 299, 391},	// Attica::Provider::requestReceivedInvitations$
    {18, 300, 340},	// Attica::Provider::requestReceivedInvitations$$
    {18, 301, 388},	// Attica::Provider::requestSentInvitations
    {18, 302, 389},	// Attica::Provider::requestSentInvitations$
    {18, 303, 339},	// Attica::Provider::requestSentInvitations$$
    {18, 306, 329},	// Attica::Provider::saveCredentials$$
    {18, 308, 392},	// Attica::Provider::searchContents?
    {18, 309, 393},	// Attica::Provider::searchContents?$
    {18, 310, 394},	// Attica::Provider::searchContents?$$
    {18, 311, 395},	// Attica::Provider::searchContents?$$$
    {18, 312, 354},	// Attica::Provider::searchContents?$$$$
    {18, 314, 396},	// Attica::Provider::searchContentsByPerson?$
    {18, 315, 397},	// Attica::Provider::searchContentsByPerson?$$
    {18, 316, 398},	// Attica::Provider::searchContentsByPerson?$$$
    {18, 317, 399},	// Attica::Provider::searchContentsByPerson?$$$$
    {18, 318, 355},	// Attica::Provider::searchContentsByPerson?$$$$$
    {18, 320, 367},	// Attica::Provider::searchKnowledgeBase#$$$$
    {18, 359, 362},	// Attica::Provider::setDownloadFile$$#
    {18, 365, 307},	// Attica::Provider::setEnabled$
    {18, 401, 364},	// Attica::Provider::setPreviewImage$$$#
    {18, 461, 358},	// Attica::Provider::voteForContent$$
    {18, 479, 407},	// Attica::Provider::~Provider
    {19, 57, 415},	// Attica::ProviderManager::ProviderManager
    {19, 82, 423},	// Attica::ProviderManager::addProviderFile#
    {19, 84, 418},	// Attica::ProviderManager::addProviderFileToDefaultProviders#
    {19, 86, 422},	// Attica::ProviderManager::addProviderFromXml$
    {19, 97, 430},	// Attica::ProviderManager::authenticationCredentialsMissing#
    {19, 115, 421},	// Attica::ProviderManager::clear
    {19, 120, 426},	// Attica::ProviderManager::contains$
    {19, 135, 417},	// Attica::ProviderManager::defaultProviderFiles
    {19, 136, 429},	// Attica::ProviderManager::defaultProvidersLoaded
    {19, 218, 416},	// Attica::ProviderManager::loadDefaultProviders
    {19, 223, 408},	// Attica::ProviderManager::metaObject
    {19, 247, 428},	// Attica::ProviderManager::providerAdded#
    {19, 249, 427},	// Attica::ProviderManager::providerByUrl#
    {19, 250, 424},	// Attica::ProviderManager::providerFiles
    {19, 251, 425},	// Attica::ProviderManager::providers
    {19, 253, 414},	// Attica::ProviderManager::qt_metacall$$?
    {19, 255, 409},	// Attica::ProviderManager::qt_metacast$
    {19, 262, 419},	// Attica::ProviderManager::removeProviderFileFromDefaultProviders#
    {19, 327, 420},	// Attica::ProviderManager::setAuthenticationSuppressed$
    {19, 438, 433},	// Attica::ProviderManager::staticMetaObject
    {19, 448, 431},	// Attica::ProviderManager::tr$
    {19, 449, 410},	// Attica::ProviderManager::tr$$
    {19, 450, 412},	// Attica::ProviderManager::tr$$$
    {19, 452, 432},	// Attica::ProviderManager::trUtf8$
    {19, 453, 411},	// Attica::ProviderManager::trUtf8$$
    {19, 454, 413},	// Attica::ProviderManager::trUtf8$$$
    {19, 480, 434},	// Attica::ProviderManager::~ProviderManager
    {25, 24, 447},	// QGlobalSpace::LicensedActiveQt
    {25, 25, 453},	// QGlobalSpace::LicensedCore
    {25, 26, 445},	// QGlobalSpace::LicensedDBus
    {25, 27, 450},	// QGlobalSpace::LicensedDeclarative
    {25, 28, 440},	// QGlobalSpace::LicensedGui
    {25, 29, 459},	// QGlobalSpace::LicensedHelp
    {25, 30, 460},	// QGlobalSpace::LicensedMultimedia
    {25, 31, 463},	// QGlobalSpace::LicensedNetwork
    {25, 32, 452},	// QGlobalSpace::LicensedOpenGL
    {25, 33, 444},	// QGlobalSpace::LicensedOpenVG
    {25, 34, 461},	// QGlobalSpace::LicensedQt3Support
    {25, 35, 442},	// QGlobalSpace::LicensedQt3SupportLight
    {25, 36, 443},	// QGlobalSpace::LicensedScript
    {25, 37, 448},	// QGlobalSpace::LicensedScriptTools
    {25, 38, 451},	// QGlobalSpace::LicensedSql
    {25, 39, 449},	// QGlobalSpace::LicensedSvg
    {25, 40, 446},	// QGlobalSpace::LicensedTest
    {25, 41, 441},	// QGlobalSpace::LicensedXml
    {25, 42, 462},	// QGlobalSpace::LicensedXmlPatterns
    {25, 58, 435},	// QGlobalSpace::Q_COMPLEX_TYPE
    {25, 59, 439},	// QGlobalSpace::Q_DUMMY_TYPE
    {25, 60, 438},	// QGlobalSpace::Q_MOVABLE_TYPE
    {25, 61, 436},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {25, 62, 437},	// QGlobalSpace::Q_STATIC_TYPE
    {25, 63, 456},	// QGlobalSpace::QtCriticalMsg
    {25, 64, 454},	// QGlobalSpace::QtDebugMsg
    {25, 65, 457},	// QGlobalSpace::QtFatalMsg
    {25, 66, 458},	// QGlobalSpace::QtSystemMsg
    {25, 67, 455},	// QGlobalSpace::QtWarningMsg
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *attica_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_attica_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    attica_Smoke = new Smoke(
        "attica",
        __smokeattica::classes, 33,
        __smokeattica::methods, 471,
        __smokeattica::methodMaps, 462,
        __smokeattica::methodNames, 480,
        __smokeattica::types, 200,
        __smokeattica::inheritanceList,
        __smokeattica::argumentList,
        __smokeattica::ambiguousMethodList,
        __smokeattica::cast );
    initialized = true;
}

void delete_attica_Smoke() { delete attica_Smoke; }

}
