#include <knewstuff2_includes.h>

#include <smoke.h>
#include <knewstuff2_smoke.h>

namespace __smokeknewstuff2 {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComponentData
      switch(to) {
        case 4: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 5:   //KGuiItem
      switch(to) {
        case 5: return (void*)(KGuiItem*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KNS::Button
      switch(to) {
        case 8: return (void*)(KPushButton*)(KNS::Button*)xptr;
        case 59: return (void*)(QPushButton*)(KNS::Button*)xptr;
        case 10: return (void*)(QAbstractButton*)(KNS::Button*)xptr;
        case 80: return (void*)(QWidget*)(KNS::Button*)xptr;
        case 49: return (void*)(QObject*)(KNS::Button*)xptr;
        case 7: return (void*)(KNS::Button*)xptr;
        default: return xptr;
      }
    case 8:   //KPushButton
      switch(to) {
        case 59: return (void*)(QPushButton*)(KPushButton*)xptr;
        case 10: return (void*)(QAbstractButton*)(KPushButton*)xptr;
        case 80: return (void*)(QWidget*)(KPushButton*)xptr;
        case 49: return (void*)(QObject*)(KPushButton*)xptr;
        case 8: return (void*)(KPushButton*)xptr;
        case 7: return (void*)(KNS::Button*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 9:   //KStandardDirs
      switch(to) {
        case 9: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 10:   //QAbstractButton
      switch(to) {
        case 80: return (void*)(QWidget*)(QAbstractButton*)xptr;
        case 49: return (void*)(QObject*)(QAbstractButton*)xptr;
        case 10: return (void*)(QAbstractButton*)xptr;
        case 7: return (void*)(KNS::Button*)(QAbstractButton*)xptr;
        default: return xptr;
      }
    case 11:   //QActionEvent
      switch(to) {
        case 11: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QBool
      switch(to) {
        case 12: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 13:   //QBrush
      switch(to) {
        case 13: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 14:   //QByteArray
      switch(to) {
        case 14: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 15:   //QChar
      switch(to) {
        case 15: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 16:   //QChildEvent
      switch(to) {
        case 16: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QCloseEvent
      switch(to) {
        case 17: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QColor
      switch(to) {
        case 18: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 19:   //QContextMenuEvent
      switch(to) {
        case 19: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QCursor
      switch(to) {
        case 20: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 21:   //QDataStream
      switch(to) {
        case 21: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 22:   //QDate
      switch(to) {
        case 22: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 23:   //QDateTime
      switch(to) {
        case 23: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 24:   //QDrag
      switch(to) {
        case 24: return (void*)(QDrag*)xptr;
        default: return xptr;
      }
    case 25:   //QDragEnterEvent
      switch(to) {
        case 25: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QDragLeaveEvent
      switch(to) {
        case 26: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QDragMoveEvent
      switch(to) {
        case 27: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QDropEvent
      switch(to) {
        case 28: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 29:   //QEvent
      switch(to) {
        case 29: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QFocusEvent
      switch(to) {
        case 30: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QFont
      switch(to) {
        case 31: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 33:   //QHashDummyValue
      switch(to) {
        case 33: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 34:   //QHideEvent
      switch(to) {
        case 34: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QIcon
      switch(to) {
        case 35: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 36:   //QImage
      switch(to) {
        case 36: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 37:   //QIncompatibleFlag
      switch(to) {
        case 37: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 38:   //QInputMethodEvent
      switch(to) {
        case 38: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QKeyEvent
      switch(to) {
        case 39: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QKeySequence
      switch(to) {
        case 40: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 41:   //QLatin1String
      switch(to) {
        case 41: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 42:   //QLine
      switch(to) {
        case 42: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 43:   //QLineF
      switch(to) {
        case 43: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 44:   //QMargins
      switch(to) {
        case 44: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 45:   //QMatrix
      switch(to) {
        case 45: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 46:   //QMetaObject
      switch(to) {
        case 46: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 47:   //QMouseEvent
      switch(to) {
        case 47: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QMoveEvent
      switch(to) {
        case 48: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QObject
      switch(to) {
        case 49: return (void*)(QObject*)xptr;
        case 7: return (void*)(KNS::Button*)(QObject*)xptr;
        default: return xptr;
      }
    case 50:   //QPaintEngine
      switch(to) {
        case 50: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 51:   //QPaintEvent
      switch(to) {
        case 51: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QPainterPath
      switch(to) {
        case 52: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 53:   //QPalette
      switch(to) {
        case 53: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 54:   //QPixmap
      switch(to) {
        case 54: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 55:   //QPoint
      switch(to) {
        case 55: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 56:   //QPointF
      switch(to) {
        case 56: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 57:   //QPolygon
      switch(to) {
        case 57: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 58:   //QPolygonF
      switch(to) {
        case 58: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 59:   //QPushButton
      switch(to) {
        case 10: return (void*)(QAbstractButton*)(QPushButton*)xptr;
        case 80: return (void*)(QWidget*)(QPushButton*)xptr;
        case 49: return (void*)(QObject*)(QPushButton*)xptr;
        case 59: return (void*)(QPushButton*)xptr;
        case 7: return (void*)(KNS::Button*)(QPushButton*)xptr;
        default: return xptr;
      }
    case 60:   //QRect
      switch(to) {
        case 60: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 61:   //QRectF
      switch(to) {
        case 61: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 62:   //QRegExp
      switch(to) {
        case 62: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 63:   //QRegion
      switch(to) {
        case 63: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 64:   //QResizeEvent
      switch(to) {
        case 64: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QShowEvent
      switch(to) {
        case 65: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 66:   //QSize
      switch(to) {
        case 66: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 67:   //QSizeF
      switch(to) {
        case 67: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 68:   //QSizePolicy
      switch(to) {
        case 68: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 69:   //QString::Null
      switch(to) {
        case 69: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 70:   //QStringRef
      switch(to) {
        case 70: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 71:   //QStyle
      switch(to) {
        case 71: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 72:   //QTabletEvent
      switch(to) {
        case 72: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QTime
      switch(to) {
        case 73: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 74:   //QTimerEvent
      switch(to) {
        case 74: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 75:   //QTransform
      switch(to) {
        case 75: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 76:   //QUrl
      switch(to) {
        case 76: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 77:   //QVariant
      switch(to) {
        case 77: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 78:   //QVariantComparisonHelper
      switch(to) {
        case 78: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 79:   //QWheelEvent
      switch(to) {
        case 79: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QWidget
      switch(to) {
        case 49: return (void*)(QObject*)(QWidget*)xptr;
        case 80: return (void*)(QWidget*)xptr;
        case 7: return (void*)(KNS::Button*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    8, 0,	// 1: KPushButton
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KNS__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//4
    { "KGuiItem", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KNS::Button", false, 1, xcall_KNS__Button, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS::Button) },	//7
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//8
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//9
    { "QAbstractButton", true, 0, 0, 0, 0, 0 },	//10
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QBool", true, 0, 0, 0, 0, 0 },	//12
    { "QBrush", true, 0, 0, 0, 0, 0 },	//13
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//14
    { "QChar", true, 0, 0, 0, 0, 0 },	//15
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//16
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QColor", true, 0, 0, 0, 0, 0 },	//18
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QCursor", true, 0, 0, 0, 0, 0 },	//20
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//21
    { "QDate", true, 0, 0, 0, 0, 0 },	//22
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//23
    { "QDrag", true, 0, 0, 0, 0, 0 },	//24
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//28
    { "QEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QFont", true, 0, 0, 0, 0, 0 },	//31
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//32
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//33
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QIcon", true, 0, 0, 0, 0, 0 },	//35
    { "QImage", true, 0, 0, 0, 0, 0 },	//36
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//37
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//40
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//41
    { "QLine", true, 0, 0, 0, 0, 0 },	//42
    { "QLineF", true, 0, 0, 0, 0, 0 },	//43
    { "QMargins", true, 0, 0, 0, 0, 0 },	//44
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//45
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//46
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QObject", true, 0, 0, 0, 0, 0 },	//49
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//50
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//52
    { "QPalette", true, 0, 0, 0, 0, 0 },	//53
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//54
    { "QPoint", true, 0, 0, 0, 0, 0 },	//55
    { "QPointF", true, 0, 0, 0, 0, 0 },	//56
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//57
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//58
    { "QPushButton", true, 0, 0, 0, 0, 0 },	//59
    { "QRect", true, 0, 0, 0, 0, 0 },	//60
    { "QRectF", true, 0, 0, 0, 0, 0 },	//61
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//62
    { "QRegion", true, 0, 0, 0, 0, 0 },	//63
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//65
    { "QSize", true, 0, 0, 0, 0, 0 },	//66
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//67
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//68
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//69
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//70
    { "QStyle", true, 0, 0, 0, 0, 0 },	//71
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QTime", true, 0, 0, 0, 0, 0 },	//73
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//74
    { "QTransform", true, 0, 0, 0, 0, 0 },	//75
    { "QUrl", true, 0, 0, 0, 0, 0 },	//76
    { "QVariant", true, 0, 0, 0, 0, 0 },	//77
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//78
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QWidget", true, 0, 0, 0, 0, 0 },	//80
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComponentData", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KGuiItem", 5, Smoke::t_class|Smoke::tf_stack },	//6
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//8
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KNS::Button*", 7, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "KStandardDirs*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KStandardGuiItem::BidiMode", 0, Smoke::t_enum|Smoke::tf_stack },	//13
    { "KStandardGuiItem::StandardItem", 0, Smoke::t_enum|Smoke::tf_stack },	//14
    { "KUrl::CleanPathOption", 0, Smoke::t_enum|Smoke::tf_stack },	//15
    { "KUrl::DirectoryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "KUrl::EncodedPathAndQueryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//17
    { "KUrl::EqualsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KUrl::QueryItemsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QActionEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QBool", 12, Smoke::t_class|Smoke::tf_stack },	//21
    { "QBrush&", 13, Smoke::t_class|Smoke::tf_ref },	//22
    { "QByteArray&", 14, Smoke::t_class|Smoke::tf_ref },	//23
    { "QChar", 15, Smoke::t_class|Smoke::tf_stack },	//24
    { "QChar&", 15, Smoke::t_class|Smoke::tf_ref },	//25
    { "QChildEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QCloseEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QColor&", 18, Smoke::t_class|Smoke::tf_ref },	//28
    { "QContextMenuEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QCursor&", 20, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDataStream&", 21, Smoke::t_class|Smoke::tf_ref },	//31
    { "QDate&", 22, Smoke::t_class|Smoke::tf_ref },	//32
    { "QDateTime&", 23, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDrag*", 24, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDragEnterEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QDragLeaveEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDragMoveEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDropEvent*", 28, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFocusEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QFont&", 31, Smoke::t_class|Smoke::tf_ref },	//67
    { "QHideEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "QIcon&", 35, Smoke::t_class|Smoke::tf_ref },	//70
    { "QImage&", 36, Smoke::t_class|Smoke::tf_ref },	//71
    { "QIncompatibleFlag", 37, Smoke::t_class|Smoke::tf_stack },	//72
    { "QInputMethodEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QKeyEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QKeySequence&", 40, Smoke::t_class|Smoke::tf_ref },	//75
    { "QLine", 42, Smoke::t_class|Smoke::tf_stack },	//76
    { "QLine&", 42, Smoke::t_class|Smoke::tf_ref },	//77
    { "QLineF", 43, Smoke::t_class|Smoke::tf_stack },	//78
    { "QLineF&", 43, Smoke::t_class|Smoke::tf_ref },	//79
    { "QMatrix&", 45, Smoke::t_class|Smoke::tf_ref },	//80
    { "QMetaObject::Call", 46, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QMouseEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QMoveEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QObject*", 49, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QPaintEngine*", 50, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QPaintEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QPainterPath", 52, Smoke::t_class|Smoke::tf_stack },	//88
    { "QPainterPath&", 52, Smoke::t_class|Smoke::tf_ref },	//89
    { "QPair<KGuiItem,KGuiItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QPalette&", 53, Smoke::t_class|Smoke::tf_ref },	//91
    { "QPixmap&", 54, Smoke::t_class|Smoke::tf_ref },	//92
    { "QPoint", 55, Smoke::t_class|Smoke::tf_stack },	//93
    { "QPoint&", 55, Smoke::t_class|Smoke::tf_ref },	//94
    { "QPointF", 56, Smoke::t_class|Smoke::tf_stack },	//95
    { "QPointF&", 56, Smoke::t_class|Smoke::tf_ref },	//96
    { "QPolygon", 57, Smoke::t_class|Smoke::tf_stack },	//97
    { "QPolygon&", 57, Smoke::t_class|Smoke::tf_ref },	//98
    { "QPolygonF", 58, Smoke::t_class|Smoke::tf_stack },	//99
    { "QPolygonF&", 58, Smoke::t_class|Smoke::tf_ref },	//100
    { "QRect&", 60, Smoke::t_class|Smoke::tf_ref },	//101
    { "QRectF&", 61, Smoke::t_class|Smoke::tf_ref },	//102
    { "QRegExp&", 62, Smoke::t_class|Smoke::tf_ref },	//103
    { "QRegion", 63, Smoke::t_class|Smoke::tf_stack },	//104
    { "QRegion&", 63, Smoke::t_class|Smoke::tf_ref },	//105
    { "QResizeEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QShowEvent*", 65, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QSize", 66, Smoke::t_class|Smoke::tf_stack },	//108
    { "QSize&", 66, Smoke::t_class|Smoke::tf_ref },	//109
    { "QSizeF&", 67, Smoke::t_class|Smoke::tf_ref },	//110
    { "QSizePolicy&", 68, Smoke::t_class|Smoke::tf_ref },	//111
    { "QSizePolicy::ControlType", 68, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//114
    { "QString::Null", 69, Smoke::t_class|Smoke::tf_stack },	//115
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//118
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//119
    { "QStyle&", 71, Smoke::t_class|Smoke::tf_ref },	//120
    { "QTabletEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QTime&", 73, Smoke::t_class|Smoke::tf_ref },	//122
    { "QTimerEvent*", 74, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QTransform", 75, Smoke::t_class|Smoke::tf_stack },	//124
    { "QTransform&", 75, Smoke::t_class|Smoke::tf_ref },	//125
    { "QUrl&", 76, Smoke::t_class|Smoke::tf_ref },	//126
    { "QUrl::FormattingOption", 76, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QVariant", 77, Smoke::t_class|Smoke::tf_stack },	//128
    { "QVariant&", 77, Smoke::t_class|Smoke::tf_ref },	//129
    { "QVariant::Type&", 77, Smoke::t_enum|Smoke::tf_ref },	//130
    { "QWheelEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QWidget*", 80, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QWidget::RenderFlag", 80, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QtMsgType", 32, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QtValidLicenseForActiveQtModule", 32, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtValidLicenseForCoreModule", 32, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtValidLicenseForDBusModule", 32, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtValidLicenseForDeclarativeModule", 32, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtValidLicenseForGuiModule", 32, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtValidLicenseForHelpModule", 32, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtValidLicenseForMultimediaModule", 32, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtValidLicenseForNetworkModule", 32, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForOpenGLModule", 32, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForOpenVGModule", 32, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForQt3SupportLightModule", 32, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForQt3SupportModule", 32, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForScriptModule", 32, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForScriptToolsModule", 32, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForSqlModule", 32, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForSvgModule", 32, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForTestModule", 32, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForXmlModule", 32, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForXmlPatternsModule", 32, Smoke::t_enum|Smoke::tf_stack },	//224
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//225
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//226
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//227
    { "const KComponentData&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QBrush&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QByteArray", 14, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//230
    { "const QByteArray&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QChar&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QColor&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QCursor&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QDate&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QDateTime&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QFont&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QHashDummyValue&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QIcon&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QImage&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QKeySequence&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QLatin1String&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QLine&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QLineF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QMargins&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QMatrix&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QMetaObject&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QMetaObject*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//248
    { "const QObject*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//249
    { "const QPainterPath&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QPalette&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QPixmap&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QPoint", 55, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//253
    { "const QPoint&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QPointF", 56, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//255
    { "const QPointF&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QPolygon&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QPolygonF&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QRect&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QRectF&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QRegExp&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QRegion&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QSize", 66, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//263
    { "const QSize&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QSizeF", 67, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//265
    { "const QSizeF&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QSizePolicy&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//268
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//271
    { "const QStringRef&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QTime&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QTransform&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QUrl&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QVariant&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QVariant::Type", 77, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//277
    { "const QVariantComparisonHelper&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//279
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//280
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//281
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//282
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//283
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//284
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//285
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//286
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//287
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    279, 0,	//1  const char*
    279, 279, 0,	//3  const char*, const char*
    279, 279, 282, 0,	//6  const char*, const char*, int
    81, 282, 286, 0,	//10  QMetaObject::Call, int, void**
    269, 269, 269, 132, 0,	//14  const QString&, const QString&, const QString&, QWidget*
    132, 0,	//19  QWidget*
    269, 0,	//21  const QString&
    82, 0,	//23  QMouseEvent*
    87, 0,	//25  QPaintEvent*
    254, 0,	//27  const QPoint&
    74, 0,	//29  QKeyEvent*
    39, 0,	//31  QEvent*
    123, 0,	//33  QTimerEvent*
    153, 282, 0,	//35  Qt::DockWidgetArea, int
    254, 281, 0,	//38  const QPoint&, double
    281, 256, 0,	//41  double, const QPointF&
    177, 59, 0,	//44  Qt::MouseButton, QFlags<Qt::MouseButton>
    245, 245, 0,	//47  const QMargins&, const QMargins&
    281, 266, 0,	//50  double, const QSizeF&
    31, 71, 0,	//53  QDataStream&, QImage&
    31, 267, 0,	//56  QDataStream&, const QSizePolicy&
    166, 282, 0,	//59  Qt::InputMethodHint, int
    259, 259, 0,	//62  const QRect&, const QRect&
    264, 264, 0,	//65  const QSize&, const QSize&
    31, 274, 0,	//68  QDataStream&, const QTransform&
    256, 246, 0,	//71  const QPointF&, const QMatrix&
    243, 274, 0,	//74  const QLine&, const QTransform&
    203, 64, 0,	//77  Qt::WindowState, QFlags<Qt::WindowState>
    266, 281, 0,	//80  const QSizeF&, double
    31, 243, 0,	//83  QDataStream&, const QLine&
    279, 242, 0,	//86  const char*, const QLatin1String&
    266, 266, 0,	//89  const QSizeF&, const QSizeF&
    231, 231, 0,	//92  const QByteArray&, const QByteArray&
    242, 272, 0,	//95  const QLatin1String&, const QStringRef&
    177, 177, 0,	//98  Qt::MouseButton, Qt::MouseButton
    15, 40, 0,	//101  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    15, 15, 0,	//104  KUrl::CleanPathOption, KUrl::CleanPathOption
    276, 278, 0,	//107  const QVariant&, const QVariantComparisonHelper&
    21, 21, 0,	//110  QBool, QBool
    134, 50, 0,	//113  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    115, 115, 0,	//116  QString::Null, QString::Null
    31, 260, 0,	//119  QDataStream&, const QRectF&
    24, 269, 0,	//122  QChar, const QString&
    69, 45, 0,	//125  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    31, 251, 0,	//128  QDataStream&, const QPalette&
    8, 0,	//131  KIconLoader::Group&
    31, 231, 0,	//133  QDataStream&, const QByteArray&
    258, 274, 0,	//136  const QPolygonF&, const QTransform&
    194, 194, 0,	//139  Qt::ToolBarArea, Qt::ToolBarArea
    19, 282, 0,	//142  KUrl::QueryItemsOption, int
    133, 282, 0,	//145  QWidget::RenderFlag, int
    155, 282, 0,	//148  Qt::DropAction, int
    31, 270, 0,	//151  QDataStream&, const QStringList&
    17, 17, 0,	//154  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    134, 134, 0,	//157  Qt::AlignmentFlag, Qt::AlignmentFlag
    31, 28, 0,	//160  QDataStream&, QColor&
    31, 261, 0,	//163  QDataStream&, const QRegExp&
    127, 282, 0,	//166  QUrl::FormattingOption, int
    231, 279, 0,	//169  const QByteArray&, const char*
    16, 16, 0,	//172  KUrl::DirectoryOption, KUrl::DirectoryOption
    153, 51, 0,	//175  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    243, 246, 0,	//178  const QLine&, const QMatrix&
    16, 41, 0,	//181  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    244, 246, 0,	//184  const QLineF&, const QMatrix&
    179, 179, 0,	//187  Qt::Orientation, Qt::Orientation
    250, 246, 0,	//190  const QPainterPath&, const QMatrix&
    194, 282, 0,	//193  Qt::ToolBarArea, int
    31, 96, 0,	//196  QDataStream&, QPointF&
    31, 241, 0,	//199  QDataStream&, const QKeySequence&
    175, 282, 0,	//202  Qt::MatchFlag, int
    269, 279, 0,	//205  const QString&, const char*
    31, 234, 0,	//208  QDataStream&, const QCursor&
    160, 160, 0,	//211  Qt::GestureFlag, Qt::GestureFlag
    31, 32, 0,	//214  QDataStream&, QDate&
    69, 69, 0,	//217  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    227, 231, 0,	//220  char, const QByteArray&
    279, 269, 0,	//223  const char*, const QString&
    279, 231, 0,	//226  const char*, const QByteArray&
    31, 23, 0,	//229  QDataStream&, QByteArray&
    31, 129, 0,	//232  QDataStream&, QVariant&
    31, 103, 0,	//235  QDataStream&, QRegExp&
    256, 256, 0,	//238  const QPointF&, const QPointF&
    274, 281, 0,	//241  const QTransform&, double
    272, 272, 0,	//244  const QStringRef&, const QStringRef&
    24, 24, 0,	//247  QChar, QChar
    250, 274, 0,	//250  const QPainterPath&, const QTransform&
    31, 229, 0,	//253  QDataStream&, const QBrush&
    31, 105, 0,	//256  QDataStream&, QRegion&
    256, 281, 0,	//259  const QPointF&, double
    17, 282, 0,	//262  KUrl::EncodedPathAndQueryOption, int
    31, 235, 0,	//265  QDataStream&, const QDate&
    175, 58, 0,	//268  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    160, 282, 0,	//271  Qt::GestureFlag, int
    112, 112, 0,	//274  QSizePolicy::ControlType, QSizePolicy::ControlType
    31, 30, 0,	//277  QDataStream&, QCursor&
    172, 57, 0,	//280  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    175, 175, 0,	//283  Qt::MatchFlag, Qt::MatchFlag
    31, 125, 0,	//286  QDataStream&, QTransform&
    257, 246, 0,	//289  const QPolygon&, const QMatrix&
    269, 115, 0,	//292  const QString&, QString::Null
    31, 110, 0,	//295  QDataStream&, QSizeF&
    256, 0,	//298  const QPointF&
    169, 169, 0,	//300  Qt::ItemFlag, Qt::ItemFlag
    31, 252, 0,	//303  QDataStream&, const QPixmap&
    231, 269, 0,	//306  const QByteArray&, const QString&
    204, 65, 0,	//309  Qt::WindowType, QFlags<Qt::WindowType>
    256, 274, 0,	//312  const QPointF&, const QTransform&
    169, 56, 0,	//315  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    197, 63, 0,	//318  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    269, 227, 0,	//321  const QString&, char
    31, 275, 0,	//324  QDataStream&, const QUrl&
    112, 46, 0,	//327  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    31, 276, 0,	//330  QDataStream&, const QVariant&
    31, 77, 0,	//333  QDataStream&, QLine&
    172, 172, 0,	//336  Qt::KeyboardModifier, Qt::KeyboardModifier
    134, 282, 0,	//339  Qt::AlignmentFlag, int
    254, 246, 0,	//342  const QPoint&, const QMatrix&
    172, 282, 0,	//345  Qt::KeyboardModifier, int
    169, 282, 0,	//348  Qt::ItemFlag, int
    164, 54, 0,	//351  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    254, 254, 0,	//354  const QPoint&, const QPoint&
    116, 282, 0,	//357  QString::SectionFlag, int
    204, 282, 0,	//360  Qt::WindowType, int
    133, 133, 0,	//363  QWidget::RenderFlag, QWidget::RenderFlag
    272, 269, 0,	//366  const QStringRef&, const QString&
    242, 242, 0,	//369  const QLatin1String&, const QLatin1String&
    238, 238, 0,	//372  const QHashDummyValue&, const QHashDummyValue&
    18, 18, 0,	//375  KUrl::EqualsOption, KUrl::EqualsOption
    127, 127, 0,	//378  QUrl::FormattingOption, QUrl::FormattingOption
    31, 70, 0,	//381  QDataStream&, QIcon&
    31, 257, 0,	//384  QDataStream&, const QPolygon&
    197, 282, 0,	//387  Qt::TouchPointState, int
    133, 49, 0,	//390  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    272, 279, 0,	//393  const QStringRef&, const char*
    15, 282, 0,	//396  KUrl::CleanPathOption, int
    19, 19, 0,	//399  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    31, 244, 0,	//402  QDataStream&, const QLineF&
    31, 22, 0,	//405  QDataStream&, QBrush&
    31, 256, 0,	//408  QDataStream&, const QPointF&
    269, 269, 0,	//411  const QString&, const QString&
    269, 272, 0,	//414  const QString&, const QStringRef&
    18, 282, 0,	//417  KUrl::EqualsOption, int
    112, 282, 0,	//420  QSizePolicy::ControlType, int
    31, 111, 0,	//423  QDataStream&, QSizePolicy&
    279, 272, 0,	//426  const char*, const QStringRef&
    31, 80, 0,	//429  QDataStream&, QMatrix&
    177, 282, 0,	//432  Qt::MouseButton, int
    31, 109, 0,	//435  QDataStream&, QSize&
    166, 166, 0,	//438  Qt::InputMethodHint, Qt::InputMethodHint
    31, 130, 0,	//441  QDataStream&, QVariant::Type&
    191, 61, 0,	//444  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    244, 274, 0,	//447  const QLineF&, const QTransform&
    272, 242, 0,	//450  const QStringRef&, const QLatin1String&
    31, 258, 0,	//453  QDataStream&, const QPolygonF&
    31, 266, 0,	//456  QDataStream&, const QSizeF&
    194, 62, 0,	//459  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    31, 237, 0,	//462  QDataStream&, const QFont&
    18, 43, 0,	//465  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    31, 246, 0,	//468  QDataStream&, const QMatrix&
    227, 269, 0,	//471  char, const QString&
    203, 203, 0,	//474  Qt::WindowState, Qt::WindowState
    127, 48, 0,	//477  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    31, 100, 0,	//480  QDataStream&, QPolygonF&
    31, 91, 0,	//483  QDataStream&, QPalette&
    31, 250, 0,	//486  QDataStream&, const QPainterPath&
    260, 260, 0,	//489  const QRectF&, const QRectF&
    281, 264, 0,	//492  double, const QSize&
    281, 254, 0,	//495  double, const QPoint&
    31, 254, 0,	//498  QDataStream&, const QPoint&
    31, 240, 0,	//501  QDataStream&, const QImage&
    231, 227, 0,	//504  const QByteArray&, char
    31, 67, 0,	//507  QDataStream&, QFont&
    116, 47, 0,	//510  QString::SectionFlag, QFlags<QString::SectionFlag>
    31, 264, 0,	//513  QDataStream&, const QSize&
    31, 102, 0,	//516  QDataStream&, QRectF&
    31, 232, 0,	//519  QDataStream&, const QChar&
    226, 21, 0,	//522  bool, QBool
    19, 44, 0,	//525  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    257, 274, 0,	//528  const QPolygon&, const QTransform&
    21, 226, 0,	//531  QBool, bool
    203, 282, 0,	//534  Qt::WindowState, int
    31, 118, 0,	//537  QDataStream&, QStringList&
    31, 259, 0,	//540  QDataStream&, const QRect&
    16, 282, 0,	//543  KUrl::DirectoryOption, int
    31, 262, 0,	//546  QDataStream&, const QRegion&
    153, 153, 0,	//549  Qt::DockWidgetArea, Qt::DockWidgetArea
    31, 233, 0,	//552  QDataStream&, const QColor&
    204, 204, 0,	//555  Qt::WindowType, Qt::WindowType
    264, 281, 0,	//558  const QSize&, double
    115, 269, 0,	//561  QString::Null, const QString&
    166, 55, 0,	//564  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    31, 94, 0,	//567  QDataStream&, QPoint&
    31, 33, 0,	//570  QDataStream&, QDateTime&
    31, 273, 0,	//573  QDataStream&, const QTime&
    31, 75, 0,	//576  QDataStream&, QKeySequence&
    262, 274, 0,	//579  const QRegion&, const QTransform&
    116, 116, 0,	//582  QString::SectionFlag, QString::SectionFlag
    69, 282, 0,	//585  QIODevice::OpenModeFlag, int
    160, 53, 0,	//588  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    258, 246, 0,	//591  const QPolygonF&, const QMatrix&
    31, 98, 0,	//594  QDataStream&, QPolygon&
    17, 42, 0,	//597  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    31, 114, 0,	//600  QDataStream&, QString&
    31, 269, 0,	//603  QDataStream&, const QString&
    31, 25, 0,	//606  QDataStream&, QChar&
    191, 191, 0,	//609  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    31, 92, 0,	//612  QDataStream&, QPixmap&
    269, 231, 0,	//615  const QString&, const QByteArray&
    31, 101, 0,	//618  QDataStream&, QRect&
    164, 282, 0,	//621  Qt::ImageConversionFlag, int
    31, 239, 0,	//624  QDataStream&, const QIcon&
    31, 277, 0,	//627  QDataStream&, const QVariant::Type
    31, 79, 0,	//630  QDataStream&, QLineF&
    31, 89, 0,	//633  QDataStream&, QPainterPath&
    197, 197, 0,	//636  Qt::TouchPointState, Qt::TouchPointState
    191, 282, 0,	//639  Qt::TextInteractionFlag, int
    254, 274, 0,	//642  const QPoint&, const QTransform&
    31, 236, 0,	//645  QDataStream&, const QDateTime&
    31, 122, 0,	//648  QDataStream&, QTime&
    164, 164, 0,	//651  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    155, 52, 0,	//654  Qt::DropAction, QFlags<Qt::DropAction>
    155, 155, 0,	//657  Qt::DropAction, Qt::DropAction
    179, 282, 0,	//660  Qt::Orientation, int
    262, 246, 0,	//663  const QRegion&, const QMatrix&
    31, 126, 0,	//666  QDataStream&, QUrl&
    269, 24, 0,	//669  const QString&, QChar
    179, 60, 0,	//672  Qt::Orientation, QFlags<Qt::Orientation>
    8, 282, 0,	//675  KIconLoader::Group&, int
    84, 39, 0,	//678  QObject*, QEvent*
    26, 0,	//681  QChildEvent*
    66, 0,	//683  QFocusEvent*
    226, 0,	//685  bool
    282, 0,	//687  int
    131, 0,	//689  QWheelEvent*
    83, 0,	//691  QMoveEvent*
    106, 0,	//693  QResizeEvent*
    27, 0,	//695  QCloseEvent*
    29, 0,	//697  QContextMenuEvent*
    121, 0,	//699  QTabletEvent*
    20, 0,	//701  QActionEvent*
    35, 0,	//703  QDragEnterEvent*
    37, 0,	//705  QDragMoveEvent*
    36, 0,	//707  QDragLeaveEvent*
    38, 0,	//709  QDropEvent*
    107, 0,	//711  QShowEvent*
    68, 0,	//713  QHideEvent*
    225, 0,	//715  _XEvent*
    85, 0,	//717  QPaintDevice::PaintDeviceMetric
    73, 0,	//719  QInputMethodEvent*
    167, 0,	//721  Qt::InputMethodQuery
    120, 0,	//723  QStyle&
    251, 0,	//725  const QPalette&
    237, 0,	//727  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Button",	//1
    "Button#",	//2
    "Button$$$#",	//3
    "DrawChildren",	//4
    "DrawWindowBackground",	//5
    "IgnoreMask",	//6
    "LicensedActiveQt",	//7
    "LicensedCore",	//8
    "LicensedDBus",	//9
    "LicensedDeclarative",	//10
    "LicensedGui",	//11
    "LicensedHelp",	//12
    "LicensedMultimedia",	//13
    "LicensedNetwork",	//14
    "LicensedOpenGL",	//15
    "LicensedOpenVG",	//16
    "LicensedQt3Support",	//17
    "LicensedQt3SupportLight",	//18
    "LicensedScript",	//19
    "LicensedScriptTools",	//20
    "LicensedSql",	//21
    "LicensedSvg",	//22
    "LicensedTest",	//23
    "LicensedXml",	//24
    "LicensedXmlPatterns",	//25
    "Q_COMPLEX_TYPE",	//26
    "Q_DUMMY_TYPE",	//27
    "Q_MOVABLE_TYPE",	//28
    "Q_PRIMITIVE_TYPE",	//29
    "Q_STATIC_TYPE",	//30
    "QtCriticalMsg",	//31
    "QtDebugMsg",	//32
    "QtFatalMsg",	//33
    "QtSystemMsg",	//34
    "QtWarningMsg",	//35
    "aboutToShowDialog",	//36
    "actionEvent",	//37
    "changeEvent",	//38
    "checkStateSet",	//39
    "childEvent",	//40
    "closeEvent",	//41
    "connectNotify",	//42
    "contextMenuEvent",	//43
    "customEvent",	//44
    "devType",	//45
    "dialogFinished",	//46
    "disconnectNotify",	//47
    "dragEnterEvent",	//48
    "dragLeaveEvent",	//49
    "dragMoveEvent",	//50
    "dragObject",	//51
    "dropEvent",	//52
    "enabledChange",	//53
    "enterEvent",	//54
    "event",	//55
    "eventFilter",	//56
    "focusInEvent",	//57
    "focusNextPrevChild",	//58
    "focusOutEvent",	//59
    "fontChange",	//60
    "heightForWidth",	//61
    "hideEvent",	//62
    "hitButton",	//63
    "inputMethodEvent",	//64
    "inputMethodQuery",	//65
    "keyPressEvent",	//66
    "keyReleaseEvent",	//67
    "languageChange",	//68
    "leaveEvent",	//69
    "metaObject",	//70
    "metric",	//71
    "minimumSizeHint",	//72
    "mouseDoubleClickEvent",	//73
    "mouseMoveEvent",	//74
    "mousePressEvent",	//75
    "mouseReleaseEvent",	//76
    "moveEvent",	//77
    "nextCheckState",	//78
    "operator!=",	//79
    "operator!=##",	//80
    "operator!=#$",	//81
    "operator!=$#",	//82
    "operator!=$$",	//83
    "operator*",	//84
    "operator*##",	//85
    "operator*#$",	//86
    "operator*$#",	//87
    "operator+",	//88
    "operator+##",	//89
    "operator+#$",	//90
    "operator+$#",	//91
    "operator+$$",	//92
    "operator++",	//93
    "operator++$",	//94
    "operator++$$",	//95
    "operator-",	//96
    "operator-#",	//97
    "operator-##",	//98
    "operator-#$",	//99
    "operator/",	//100
    "operator/#$",	//101
    "operator<",	//102
    "operator<##",	//103
    "operator<#$",	//104
    "operator<$#",	//105
    "operator<$$",	//106
    "operator<<",	//107
    "operator<<##",	//108
    "operator<<#$",	//109
    "operator<<#?",	//110
    "operator<=",	//111
    "operator<=##",	//112
    "operator<=#$",	//113
    "operator<=$#",	//114
    "operator<=$$",	//115
    "operator==",	//116
    "operator==##",	//117
    "operator==#$",	//118
    "operator==$#",	//119
    "operator==$$",	//120
    "operator>",	//121
    "operator>##",	//122
    "operator>#$",	//123
    "operator>$#",	//124
    "operator>$$",	//125
    "operator>=",	//126
    "operator>=##",	//127
    "operator>=#$",	//128
    "operator>=$#",	//129
    "operator>=$$",	//130
    "operator>>",	//131
    "operator>>##",	//132
    "operator>>#$",	//133
    "operator>>#?",	//134
    "operator|",	//135
    "operator|$$",	//136
    "paintEngine",	//137
    "paintEvent",	//138
    "paletteChange",	//139
    "qt_metacall",	//140
    "qt_metacall$$?",	//141
    "qt_metacast",	//142
    "qt_metacast$",	//143
    "resizeEvent",	//144
    "setButtonText",	//145
    "setButtonText$",	//146
    "setProviderList",	//147
    "setProviderList$",	//148
    "setResourceType",	//149
    "setResourceType$",	//150
    "setVisible",	//151
    "showDialog",	//152
    "showEvent",	//153
    "sizeHint",	//154
    "startDrag",	//155
    "staticMetaObject",	//156
    "styleChange",	//157
    "tabletEvent",	//158
    "timerEvent",	//159
    "tr",	//160
    "tr$",	//161
    "tr$$",	//162
    "tr$$$",	//163
    "trUtf8",	//164
    "trUtf8$",	//165
    "trUtf8$$",	//166
    "trUtf8$$$",	//167
    "wheelEvent",	//168
    "windowActivationChange",	//169
    "x11Event",	//170
    "~Button",	//171
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 70, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 248, 1},	//1 KNS::Button::metaObject() const
    {7, 142, 1, 1, Smoke::mf_virtual, 285, 2},	//2 KNS::Button::qt_metacast(const char*)
    {7, 160, 3, 2, Smoke::mf_static, 113, 3},	//3 KNS::Button::tr(const char*, const char*)
    {7, 164, 3, 2, Smoke::mf_static, 113, 4},	//4 KNS::Button::trUtf8(const char*, const char*)
    {7, 160, 6, 3, Smoke::mf_static, 113, 5},	//5 KNS::Button::tr(const char*, const char*, int)
    {7, 164, 6, 3, Smoke::mf_static, 113, 6},	//6 KNS::Button::trUtf8(const char*, const char*, int)
    {7, 140, 10, 3, Smoke::mf_virtual, 282, 7},	//7 KNS::Button::qt_metacall(QMetaObject::Call, int, void**)
    {7, 1, 14, 4, Smoke::mf_ctor, 10, 8},	//8 KNS::Button::Button(const QString&, const QString&, const QString&, QWidget*)
    {7, 1, 19, 1, Smoke::mf_ctor, 10, 9},	//9 KNS::Button::Button(QWidget*)
    {7, 147, 21, 1, 0, 0, 10},	//10 KNS::Button::setProviderList(const QString&)
    {7, 149, 21, 1, 0, 0, 11},	//11 KNS::Button::setResourceType(const QString&)
    {7, 145, 21, 1, 0, 0, 12},	//12 KNS::Button::setButtonText(const QString&)
    {7, 36, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//13 KNS::Button::aboutToShowDialog()
    {7, 46, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//14 KNS::Button::dialogFinished()
    {7, 152, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 15},	//15 KNS::Button::showDialog()
    {7, 160, 1, 1, Smoke::mf_static, 113, 16},	//16 KNS::Button::tr(const char*)
    {7, 164, 1, 1, Smoke::mf_static, 113, 17},	//17 KNS::Button::trUtf8(const char*)
    {7, 156, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 247, 18},	//18 KNS::Button::staticMetaObject() const
    {7, 171, 0, 0, Smoke::mf_dtor, 0, 19 },	//19 KNS::Button::~Button()
    {8, 154, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 108, 0},	//20 KPushButton::sizeHint() const
    {8, 51, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 34, 0},	//21 KPushButton::dragObject()
    {8, 75, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//22 KPushButton::mousePressEvent(QMouseEvent*)
    {8, 74, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//23 KPushButton::mouseMoveEvent(QMouseEvent*)
    {8, 138, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//24 KPushButton::paintEvent(QPaintEvent*)
    {8, 155, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//25 KPushButton::startDrag()
    {10, 63, 27, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 226, 0},	//26 QAbstractButton::hitButton(const QPoint&) const
    {10, 39, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 QAbstractButton::checkStateSet()
    {10, 78, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//28 QAbstractButton::nextCheckState()
    {10, 67, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//29 QAbstractButton::keyReleaseEvent(QKeyEvent*)
    {10, 76, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//30 QAbstractButton::mouseReleaseEvent(QMouseEvent*)
    {10, 38, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//31 QAbstractButton::changeEvent(QEvent*)
    {10, 159, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//32 QAbstractButton::timerEvent(QTimerEvent*)
    {32, 135, 35, 2, Smoke::mf_static, 72, 1},	//33 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {32, 84, 38, 2, Smoke::mf_static, 253, 2},	//34 QGlobalSpace::operator*(const QPoint&, double)
    {32, 84, 41, 2, Smoke::mf_static, 255, 3},	//35 QGlobalSpace::operator*(double, const QPointF&)
    {32, 135, 44, 2, Smoke::mf_static, 59, 4},	//36 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {32, 79, 47, 2, Smoke::mf_static, 226, 5},	//37 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {32, 84, 50, 2, Smoke::mf_static, 265, 6},	//38 QGlobalSpace::operator*(double, const QSizeF&)
    {32, 131, 53, 2, Smoke::mf_static, 31, 7},	//39 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {32, 107, 56, 2, Smoke::mf_static, 31, 8},	//40 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {32, 135, 59, 2, Smoke::mf_static, 72, 9},	//41 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {32, 79, 62, 2, Smoke::mf_static, 226, 10},	//42 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {32, 88, 65, 2, Smoke::mf_static, 263, 11},	//43 QGlobalSpace::operator+(const QSize&, const QSize&)
    {32, 107, 68, 2, Smoke::mf_static, 31, 12},	//44 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {32, 84, 71, 2, Smoke::mf_static, 95, 13},	//45 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {32, 84, 74, 2, Smoke::mf_static, 76, 14},	//46 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {32, 116, 47, 2, Smoke::mf_static, 226, 15},	//47 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {32, 135, 77, 2, Smoke::mf_static, 64, 16},	//48 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {32, 84, 80, 2, Smoke::mf_static, 265, 17},	//49 QGlobalSpace::operator*(const QSizeF&, double)
    {32, 107, 83, 2, Smoke::mf_static, 31, 18},	//50 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {32, 121, 86, 2, Smoke::mf_static, 226, 19},	//51 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {32, 96, 89, 2, Smoke::mf_static, 265, 20},	//52 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {32, 126, 92, 2, Smoke::mf_static, 226, 21},	//53 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {32, 116, 95, 2, Smoke::mf_static, 226, 22},	//54 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {32, 135, 98, 2, Smoke::mf_static, 59, 23},	//55 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {32, 135, 101, 2, Smoke::mf_static, 40, 24},	//56 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {32, 135, 104, 2, Smoke::mf_static, 40, 25},	//57 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {32, 79, 107, 2, Smoke::mf_static, 226, 26},	//58 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {32, 116, 110, 2, Smoke::mf_static, 226, 27},	//59 QGlobalSpace::operator==(QBool, QBool)
    {32, 135, 113, 2, Smoke::mf_static, 50, 28},	//60 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {32, 116, 116, 2, Smoke::mf_static, 226, 29},	//61 QGlobalSpace::operator==(QString::Null, QString::Null)
    {32, 107, 119, 2, Smoke::mf_static, 31, 30},	//62 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {32, 88, 122, 2, Smoke::mf_static, 268, 31},	//63 QGlobalSpace::operator+(QChar, const QString&)
    {32, 135, 125, 2, Smoke::mf_static, 45, 32},	//64 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {32, 107, 128, 2, Smoke::mf_static, 31, 33},	//65 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {32, 93, 131, 1, Smoke::mf_static, 8, 34},	//66 QGlobalSpace::operator++(KIconLoader::Group&)
    {32, 107, 133, 2, Smoke::mf_static, 31, 35},	//67 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {32, 84, 136, 2, Smoke::mf_static, 99, 36},	//68 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {32, 135, 139, 2, Smoke::mf_static, 62, 37},	//69 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {32, 135, 142, 2, Smoke::mf_static, 72, 38},	//70 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {32, 88, 89, 2, Smoke::mf_static, 265, 39},	//71 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {32, 135, 145, 2, Smoke::mf_static, 72, 40},	//72 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {32, 135, 148, 2, Smoke::mf_static, 72, 41},	//73 QGlobalSpace::operator|(Qt::DropAction, int)
    {32, 107, 151, 2, Smoke::mf_static, 31, 42},	//74 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {32, 135, 154, 2, Smoke::mf_static, 42, 43},	//75 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {32, 135, 157, 2, Smoke::mf_static, 50, 44},	//76 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {32, 131, 160, 2, Smoke::mf_static, 31, 45},	//77 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {32, 107, 163, 2, Smoke::mf_static, 31, 46},	//78 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {32, 135, 166, 2, Smoke::mf_static, 72, 47},	//79 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {32, 102, 169, 2, Smoke::mf_static, 226, 48},	//80 QGlobalSpace::operator<(const QByteArray&, const char*)
    {32, 135, 172, 2, Smoke::mf_static, 41, 49},	//81 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {32, 135, 175, 2, Smoke::mf_static, 51, 50},	//82 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {32, 84, 178, 2, Smoke::mf_static, 76, 51},	//83 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {32, 135, 181, 2, Smoke::mf_static, 41, 52},	//84 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {32, 84, 184, 2, Smoke::mf_static, 78, 53},	//85 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {32, 135, 187, 2, Smoke::mf_static, 60, 54},	//86 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {32, 84, 190, 2, Smoke::mf_static, 88, 55},	//87 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {32, 135, 193, 2, Smoke::mf_static, 72, 56},	//88 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {32, 131, 196, 2, Smoke::mf_static, 31, 57},	//89 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {32, 107, 199, 2, Smoke::mf_static, 31, 58},	//90 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {32, 135, 202, 2, Smoke::mf_static, 72, 59},	//91 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {32, 88, 205, 2, Smoke::mf_static, 268, 60},	//92 QGlobalSpace::operator+(const QString&, const char*)
    {32, 107, 208, 2, Smoke::mf_static, 31, 61},	//93 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {32, 135, 211, 2, Smoke::mf_static, 53, 62},	//94 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {32, 131, 214, 2, Smoke::mf_static, 31, 63},	//95 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {32, 135, 217, 2, Smoke::mf_static, 45, 64},	//96 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {32, 88, 220, 2, Smoke::mf_static, 230, 65},	//97 QGlobalSpace::operator+(char, const QByteArray&)
    {32, 100, 38, 2, Smoke::mf_static, 253, 66},	//98 QGlobalSpace::operator/(const QPoint&, double)
    {32, 88, 223, 2, Smoke::mf_static, 268, 67},	//99 QGlobalSpace::operator+(const char*, const QString&)
    {32, 116, 226, 2, Smoke::mf_static, 226, 68},	//100 QGlobalSpace::operator==(const char*, const QByteArray&)
    {32, 131, 229, 2, Smoke::mf_static, 31, 69},	//101 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {32, 131, 232, 2, Smoke::mf_static, 31, 70},	//102 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {32, 131, 235, 2, Smoke::mf_static, 31, 71},	//103 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {32, 116, 238, 2, Smoke::mf_static, 226, 72},	//104 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {32, 100, 241, 2, Smoke::mf_static, 124, 73},	//105 QGlobalSpace::operator/(const QTransform&, double)
    {32, 111, 223, 2, Smoke::mf_static, 226, 74},	//106 QGlobalSpace::operator<=(const char*, const QString&)
    {32, 79, 244, 2, Smoke::mf_static, 226, 75},	//107 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {32, 102, 247, 2, Smoke::mf_static, 226, 76},	//108 QGlobalSpace::operator<(QChar, QChar)
    {32, 84, 250, 2, Smoke::mf_static, 88, 77},	//109 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {32, 107, 253, 2, Smoke::mf_static, 31, 78},	//110 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {32, 126, 86, 2, Smoke::mf_static, 226, 79},	//111 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {32, 131, 256, 2, Smoke::mf_static, 31, 80},	//112 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {32, 84, 259, 2, Smoke::mf_static, 255, 81},	//113 QGlobalSpace::operator*(const QPointF&, double)
    {32, 135, 262, 2, Smoke::mf_static, 72, 82},	//114 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {32, 116, 65, 2, Smoke::mf_static, 226, 83},	//115 QGlobalSpace::operator==(const QSize&, const QSize&)
    {32, 107, 265, 2, Smoke::mf_static, 31, 84},	//116 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {32, 116, 86, 2, Smoke::mf_static, 226, 85},	//117 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {32, 135, 268, 2, Smoke::mf_static, 58, 86},	//118 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {32, 135, 271, 2, Smoke::mf_static, 72, 87},	//119 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {32, 79, 92, 2, Smoke::mf_static, 226, 88},	//120 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {32, 135, 274, 2, Smoke::mf_static, 46, 89},	//121 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {32, 131, 277, 2, Smoke::mf_static, 31, 90},	//122 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {32, 135, 280, 2, Smoke::mf_static, 57, 91},	//123 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {32, 100, 80, 2, Smoke::mf_static, 265, 92},	//124 QGlobalSpace::operator/(const QSizeF&, double)
    {32, 135, 283, 2, Smoke::mf_static, 58, 93},	//125 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {32, 131, 286, 2, Smoke::mf_static, 31, 94},	//126 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {32, 84, 289, 2, Smoke::mf_static, 97, 95},	//127 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {32, 121, 247, 2, Smoke::mf_static, 226, 96},	//128 QGlobalSpace::operator>(QChar, QChar)
    {32, 126, 226, 2, Smoke::mf_static, 226, 97},	//129 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {32, 116, 292, 2, Smoke::mf_static, 226, 98},	//130 QGlobalSpace::operator==(const QString&, QString::Null)
    {32, 102, 92, 2, Smoke::mf_static, 226, 99},	//131 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {32, 131, 295, 2, Smoke::mf_static, 31, 100},	//132 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {32, 96, 298, 1, Smoke::mf_static, 255, 101},	//133 QGlobalSpace::operator-(const QPointF&)
    {32, 135, 300, 2, Smoke::mf_static, 56, 102},	//134 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {32, 107, 303, 2, Smoke::mf_static, 31, 103},	//135 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {32, 88, 306, 2, Smoke::mf_static, 268, 104},	//136 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {32, 135, 309, 2, Smoke::mf_static, 65, 105},	//137 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {32, 84, 312, 2, Smoke::mf_static, 95, 106},	//138 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {32, 135, 315, 2, Smoke::mf_static, 56, 107},	//139 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {32, 135, 318, 2, Smoke::mf_static, 63, 108},	//140 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {32, 88, 321, 2, Smoke::mf_static, 268, 109},	//141 QGlobalSpace::operator+(const QString&, char)
    {32, 126, 244, 2, Smoke::mf_static, 226, 110},	//142 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {32, 116, 107, 2, Smoke::mf_static, 226, 111},	//143 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {32, 107, 324, 2, Smoke::mf_static, 31, 112},	//144 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {32, 135, 327, 2, Smoke::mf_static, 46, 113},	//145 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {32, 107, 330, 2, Smoke::mf_static, 31, 114},	//146 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {32, 131, 333, 2, Smoke::mf_static, 31, 115},	//147 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {32, 135, 336, 2, Smoke::mf_static, 57, 116},	//148 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {32, 102, 226, 2, Smoke::mf_static, 226, 117},	//149 QGlobalSpace::operator<(const char*, const QByteArray&)
    {32, 135, 339, 2, Smoke::mf_static, 72, 118},	//150 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {32, 84, 342, 2, Smoke::mf_static, 93, 119},	//151 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {32, 135, 345, 2, Smoke::mf_static, 72, 120},	//152 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {32, 135, 348, 2, Smoke::mf_static, 72, 121},	//153 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {32, 79, 65, 2, Smoke::mf_static, 226, 122},	//154 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {32, 135, 351, 2, Smoke::mf_static, 54, 123},	//155 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {32, 111, 169, 2, Smoke::mf_static, 226, 124},	//156 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {32, 79, 354, 2, Smoke::mf_static, 226, 125},	//157 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {32, 135, 357, 2, Smoke::mf_static, 72, 126},	//158 QGlobalSpace::operator|(QString::SectionFlag, int)
    {32, 135, 360, 2, Smoke::mf_static, 72, 127},	//159 QGlobalSpace::operator|(Qt::WindowType, int)
    {32, 135, 363, 2, Smoke::mf_static, 49, 128},	//160 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {32, 116, 366, 2, Smoke::mf_static, 226, 129},	//161 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {32, 126, 369, 2, Smoke::mf_static, 226, 130},	//162 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {32, 116, 372, 2, Smoke::mf_static, 226, 131},	//163 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {32, 135, 375, 2, Smoke::mf_static, 43, 132},	//164 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {32, 135, 378, 2, Smoke::mf_static, 48, 133},	//165 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {32, 131, 381, 2, Smoke::mf_static, 31, 134},	//166 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {32, 107, 384, 2, Smoke::mf_static, 31, 135},	//167 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {32, 84, 241, 2, Smoke::mf_static, 124, 136},	//168 QGlobalSpace::operator*(const QTransform&, double)
    {32, 135, 387, 2, Smoke::mf_static, 72, 137},	//169 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {32, 135, 390, 2, Smoke::mf_static, 49, 138},	//170 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {32, 102, 244, 2, Smoke::mf_static, 226, 139},	//171 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {32, 79, 393, 2, Smoke::mf_static, 226, 140},	//172 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {32, 79, 226, 2, Smoke::mf_static, 226, 141},	//173 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {32, 121, 244, 2, Smoke::mf_static, 226, 142},	//174 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {32, 135, 396, 2, Smoke::mf_static, 72, 143},	//175 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {32, 135, 399, 2, Smoke::mf_static, 44, 144},	//176 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {32, 107, 402, 2, Smoke::mf_static, 31, 145},	//177 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {32, 131, 405, 2, Smoke::mf_static, 31, 146},	//178 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {32, 107, 408, 2, Smoke::mf_static, 31, 147},	//179 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {32, 88, 411, 2, Smoke::mf_static, 268, 148},	//180 QGlobalSpace::operator+(const QString&, const QString&)
    {32, 102, 223, 2, Smoke::mf_static, 226, 149},	//181 QGlobalSpace::operator<(const char*, const QString&)
    {32, 79, 223, 2, Smoke::mf_static, 226, 150},	//182 QGlobalSpace::operator!=(const char*, const QString&)
    {32, 79, 169, 2, Smoke::mf_static, 226, 151},	//183 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {32, 79, 414, 2, Smoke::mf_static, 226, 152},	//184 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {32, 135, 417, 2, Smoke::mf_static, 72, 153},	//185 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {32, 135, 420, 2, Smoke::mf_static, 72, 154},	//186 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {32, 131, 423, 2, Smoke::mf_static, 31, 155},	//187 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {32, 121, 92, 2, Smoke::mf_static, 226, 156},	//188 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {32, 111, 86, 2, Smoke::mf_static, 226, 157},	//189 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {32, 116, 354, 2, Smoke::mf_static, 226, 158},	//190 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {32, 116, 426, 2, Smoke::mf_static, 226, 159},	//191 QGlobalSpace::operator==(const char*, const QStringRef&)
    {32, 88, 226, 2, Smoke::mf_static, 230, 160},	//192 QGlobalSpace::operator+(const char*, const QByteArray&)
    {32, 131, 429, 2, Smoke::mf_static, 31, 161},	//193 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {32, 135, 432, 2, Smoke::mf_static, 72, 162},	//194 QGlobalSpace::operator|(Qt::MouseButton, int)
    {32, 111, 244, 2, Smoke::mf_static, 226, 163},	//195 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {32, 131, 435, 2, Smoke::mf_static, 31, 164},	//196 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {32, 135, 438, 2, Smoke::mf_static, 55, 165},	//197 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {32, 131, 441, 2, Smoke::mf_static, 31, 166},	//198 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {32, 116, 247, 2, Smoke::mf_static, 226, 167},	//199 QGlobalSpace::operator==(QChar, QChar)
    {32, 135, 444, 2, Smoke::mf_static, 61, 168},	//200 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {32, 79, 366, 2, Smoke::mf_static, 226, 169},	//201 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {32, 84, 447, 2, Smoke::mf_static, 78, 170},	//202 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {32, 79, 450, 2, Smoke::mf_static, 226, 171},	//203 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {32, 107, 453, 2, Smoke::mf_static, 31, 172},	//204 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {32, 107, 456, 2, Smoke::mf_static, 31, 173},	//205 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {32, 135, 459, 2, Smoke::mf_static, 62, 174},	//206 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {32, 107, 462, 2, Smoke::mf_static, 31, 175},	//207 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {32, 135, 465, 2, Smoke::mf_static, 43, 176},	//208 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {32, 107, 468, 2, Smoke::mf_static, 31, 177},	//209 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {32, 88, 471, 2, Smoke::mf_static, 268, 178},	//210 QGlobalSpace::operator+(char, const QString&)
    {32, 79, 95, 2, Smoke::mf_static, 226, 179},	//211 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {32, 79, 247, 2, Smoke::mf_static, 226, 180},	//212 QGlobalSpace::operator!=(QChar, QChar)
    {32, 116, 369, 2, Smoke::mf_static, 226, 181},	//213 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {32, 135, 474, 2, Smoke::mf_static, 64, 182},	//214 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {32, 135, 477, 2, Smoke::mf_static, 48, 183},	//215 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {32, 116, 89, 2, Smoke::mf_static, 226, 184},	//216 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {32, 131, 480, 2, Smoke::mf_static, 31, 185},	//217 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {32, 131, 483, 2, Smoke::mf_static, 31, 186},	//218 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {32, 107, 486, 2, Smoke::mf_static, 31, 187},	//219 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {32, 116, 244, 2, Smoke::mf_static, 226, 188},	//220 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {32, 79, 489, 2, Smoke::mf_static, 226, 189},	//221 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {32, 84, 492, 2, Smoke::mf_static, 263, 190},	//222 QGlobalSpace::operator*(double, const QSize&)
    {32, 126, 169, 2, Smoke::mf_static, 226, 191},	//223 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {32, 84, 495, 2, Smoke::mf_static, 253, 192},	//224 QGlobalSpace::operator*(double, const QPoint&)
    {32, 107, 498, 2, Smoke::mf_static, 31, 193},	//225 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {32, 107, 501, 2, Smoke::mf_static, 31, 194},	//226 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {32, 88, 504, 2, Smoke::mf_static, 230, 195},	//227 QGlobalSpace::operator+(const QByteArray&, char)
    {32, 100, 259, 2, Smoke::mf_static, 255, 196},	//228 QGlobalSpace::operator/(const QPointF&, double)
    {32, 126, 247, 2, Smoke::mf_static, 226, 197},	//229 QGlobalSpace::operator>=(QChar, QChar)
    {32, 111, 92, 2, Smoke::mf_static, 226, 198},	//230 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {32, 131, 507, 2, Smoke::mf_static, 31, 199},	//231 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {32, 111, 369, 2, Smoke::mf_static, 226, 200},	//232 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {32, 135, 510, 2, Smoke::mf_static, 47, 201},	//233 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {32, 107, 513, 2, Smoke::mf_static, 31, 202},	//234 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {32, 121, 226, 2, Smoke::mf_static, 226, 203},	//235 QGlobalSpace::operator>(const char*, const QByteArray&)
    {32, 131, 516, 2, Smoke::mf_static, 31, 204},	//236 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {32, 107, 519, 2, Smoke::mf_static, 31, 205},	//237 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {32, 116, 489, 2, Smoke::mf_static, 226, 206},	//238 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {32, 79, 522, 2, Smoke::mf_static, 226, 207},	//239 QGlobalSpace::operator!=(bool, QBool)
    {32, 135, 525, 2, Smoke::mf_static, 44, 208},	//240 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {32, 84, 528, 2, Smoke::mf_static, 97, 209},	//241 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {32, 79, 531, 2, Smoke::mf_static, 226, 210},	//242 QGlobalSpace::operator!=(QBool, bool)
    {32, 135, 534, 2, Smoke::mf_static, 72, 211},	//243 QGlobalSpace::operator|(Qt::WindowState, int)
    {32, 96, 354, 2, Smoke::mf_static, 253, 212},	//244 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {32, 131, 537, 2, Smoke::mf_static, 31, 213},	//245 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {32, 88, 169, 2, Smoke::mf_static, 230, 214},	//246 QGlobalSpace::operator+(const QByteArray&, const char*)
    {32, 107, 540, 2, Smoke::mf_static, 31, 215},	//247 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {32, 79, 89, 2, Smoke::mf_static, 226, 216},	//248 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {32, 111, 226, 2, Smoke::mf_static, 226, 217},	//249 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {32, 135, 543, 2, Smoke::mf_static, 72, 218},	//250 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {32, 107, 546, 2, Smoke::mf_static, 31, 219},	//251 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {32, 135, 549, 2, Smoke::mf_static, 51, 220},	//252 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {32, 116, 414, 2, Smoke::mf_static, 226, 221},	//253 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {32, 79, 369, 2, Smoke::mf_static, 226, 222},	//254 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {32, 107, 552, 2, Smoke::mf_static, 31, 223},	//255 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {32, 135, 555, 2, Smoke::mf_static, 65, 224},	//256 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {32, 84, 558, 2, Smoke::mf_static, 263, 225},	//257 QGlobalSpace::operator*(const QSize&, double)
    {32, 116, 561, 2, Smoke::mf_static, 226, 226},	//258 QGlobalSpace::operator==(QString::Null, const QString&)
    {32, 135, 564, 2, Smoke::mf_static, 55, 227},	//259 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {32, 131, 567, 2, Smoke::mf_static, 31, 228},	//260 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {32, 116, 169, 2, Smoke::mf_static, 226, 229},	//261 QGlobalSpace::operator==(const QByteArray&, const char*)
    {32, 131, 570, 2, Smoke::mf_static, 31, 230},	//262 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {32, 121, 223, 2, Smoke::mf_static, 226, 231},	//263 QGlobalSpace::operator>(const char*, const QString&)
    {32, 107, 573, 2, Smoke::mf_static, 31, 232},	//264 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {32, 131, 576, 2, Smoke::mf_static, 31, 233},	//265 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {32, 121, 169, 2, Smoke::mf_static, 226, 234},	//266 QGlobalSpace::operator>(const QByteArray&, const char*)
    {32, 102, 86, 2, Smoke::mf_static, 226, 235},	//267 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {32, 88, 354, 2, Smoke::mf_static, 253, 236},	//268 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {32, 111, 247, 2, Smoke::mf_static, 226, 237},	//269 QGlobalSpace::operator<=(QChar, QChar)
    {32, 84, 579, 2, Smoke::mf_static, 104, 238},	//270 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {32, 79, 561, 2, Smoke::mf_static, 226, 239},	//271 QGlobalSpace::operator!=(QString::Null, const QString&)
    {32, 121, 369, 2, Smoke::mf_static, 226, 240},	//272 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {32, 135, 582, 2, Smoke::mf_static, 47, 241},	//273 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {32, 79, 292, 2, Smoke::mf_static, 226, 242},	//274 QGlobalSpace::operator!=(const QString&, QString::Null)
    {32, 135, 585, 2, Smoke::mf_static, 72, 243},	//275 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {32, 135, 588, 2, Smoke::mf_static, 53, 244},	//276 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {32, 84, 591, 2, Smoke::mf_static, 99, 245},	//277 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {32, 96, 27, 1, Smoke::mf_static, 253, 246},	//278 QGlobalSpace::operator-(const QPoint&)
    {32, 131, 594, 2, Smoke::mf_static, 31, 247},	//279 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {32, 135, 597, 2, Smoke::mf_static, 42, 248},	//280 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {32, 131, 600, 2, Smoke::mf_static, 31, 249},	//281 QGlobalSpace::operator>>(QDataStream&, QString&)
    {32, 116, 92, 2, Smoke::mf_static, 226, 250},	//282 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {32, 107, 603, 2, Smoke::mf_static, 31, 251},	//283 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {32, 96, 238, 2, Smoke::mf_static, 255, 252},	//284 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {32, 102, 369, 2, Smoke::mf_static, 226, 253},	//285 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {32, 131, 606, 2, Smoke::mf_static, 31, 254},	//286 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {32, 88, 241, 2, Smoke::mf_static, 124, 255},	//287 QGlobalSpace::operator+(const QTransform&, double)
    {32, 135, 609, 2, Smoke::mf_static, 61, 256},	//288 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {32, 116, 393, 2, Smoke::mf_static, 226, 257},	//289 QGlobalSpace::operator==(const QStringRef&, const char*)
    {32, 79, 426, 2, Smoke::mf_static, 226, 258},	//290 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {32, 131, 612, 2, Smoke::mf_static, 31, 259},	//291 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {32, 88, 92, 2, Smoke::mf_static, 230, 260},	//292 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {32, 88, 615, 2, Smoke::mf_static, 268, 261},	//293 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {32, 131, 618, 2, Smoke::mf_static, 31, 262},	//294 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {32, 135, 621, 2, Smoke::mf_static, 72, 263},	//295 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {32, 116, 223, 2, Smoke::mf_static, 226, 264},	//296 QGlobalSpace::operator==(const char*, const QString&)
    {32, 107, 624, 2, Smoke::mf_static, 31, 265},	//297 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {32, 107, 627, 2, Smoke::mf_static, 31, 266},	//298 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {32, 100, 558, 2, Smoke::mf_static, 263, 267},	//299 QGlobalSpace::operator/(const QSize&, double)
    {32, 131, 630, 2, Smoke::mf_static, 31, 268},	//300 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {32, 131, 633, 2, Smoke::mf_static, 31, 269},	//301 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {32, 116, 522, 2, Smoke::mf_static, 226, 270},	//302 QGlobalSpace::operator==(bool, QBool)
    {32, 135, 636, 2, Smoke::mf_static, 63, 271},	//303 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {32, 135, 639, 2, Smoke::mf_static, 72, 272},	//304 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {32, 84, 642, 2, Smoke::mf_static, 93, 273},	//305 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {32, 126, 223, 2, Smoke::mf_static, 226, 274},	//306 QGlobalSpace::operator>=(const char*, const QString&)
    {32, 107, 645, 2, Smoke::mf_static, 31, 275},	//307 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {32, 131, 648, 2, Smoke::mf_static, 31, 276},	//308 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {32, 79, 238, 2, Smoke::mf_static, 226, 277},	//309 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {32, 135, 651, 2, Smoke::mf_static, 54, 278},	//310 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {32, 96, 65, 2, Smoke::mf_static, 263, 279},	//311 QGlobalSpace::operator-(const QSize&, const QSize&)
    {32, 135, 654, 2, Smoke::mf_static, 52, 280},	//312 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {32, 135, 657, 2, Smoke::mf_static, 52, 281},	//313 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {32, 135, 660, 2, Smoke::mf_static, 72, 282},	//314 QGlobalSpace::operator|(Qt::Orientation, int)
    {32, 79, 86, 2, Smoke::mf_static, 226, 283},	//315 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {32, 88, 238, 2, Smoke::mf_static, 255, 284},	//316 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {32, 84, 663, 2, Smoke::mf_static, 104, 285},	//317 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {32, 116, 531, 2, Smoke::mf_static, 226, 286},	//318 QGlobalSpace::operator==(QBool, bool)
    {32, 116, 62, 2, Smoke::mf_static, 226, 287},	//319 QGlobalSpace::operator==(const QRect&, const QRect&)
    {32, 131, 666, 2, Smoke::mf_static, 31, 288},	//320 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {32, 88, 669, 2, Smoke::mf_static, 268, 289},	//321 QGlobalSpace::operator+(const QString&, QChar)
    {32, 79, 116, 2, Smoke::mf_static, 226, 290},	//322 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {32, 135, 672, 2, Smoke::mf_static, 60, 291},	//323 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {32, 79, 110, 2, Smoke::mf_static, 226, 292},	//324 QGlobalSpace::operator!=(QBool, QBool)
    {32, 116, 450, 2, Smoke::mf_static, 226, 293},	//325 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {32, 96, 241, 2, Smoke::mf_static, 124, 294},	//326 QGlobalSpace::operator-(const QTransform&, double)
    {32, 93, 675, 2, Smoke::mf_static, 7, 295},	//327 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {32, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 296},	//328 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {32, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 297},	//329 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {32, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 298},	//330 QGlobalSpace::Q_STATIC_TYPE (enum)
    {32, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 299},	//331 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {32, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 300},	//332 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {32, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 301},	//333 QGlobalSpace::LicensedGui (enum)
    {32, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 302},	//334 QGlobalSpace::LicensedXml (enum)
    {32, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 303},	//335 QGlobalSpace::LicensedQt3SupportLight (enum)
    {32, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 304},	//336 QGlobalSpace::LicensedScript (enum)
    {32, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 305},	//337 QGlobalSpace::LicensedOpenVG (enum)
    {32, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 306},	//338 QGlobalSpace::LicensedDBus (enum)
    {32, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 307},	//339 QGlobalSpace::LicensedTest (enum)
    {32, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 308},	//340 QGlobalSpace::LicensedActiveQt (enum)
    {32, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 309},	//341 QGlobalSpace::LicensedScriptTools (enum)
    {32, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 310},	//342 QGlobalSpace::LicensedSvg (enum)
    {32, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 311},	//343 QGlobalSpace::LicensedDeclarative (enum)
    {32, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 312},	//344 QGlobalSpace::LicensedSql (enum)
    {32, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 313},	//345 QGlobalSpace::LicensedOpenGL (enum)
    {32, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 314},	//346 QGlobalSpace::LicensedCore (enum)
    {32, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 315},	//347 QGlobalSpace::QtDebugMsg (enum)
    {32, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 316},	//348 QGlobalSpace::QtWarningMsg (enum)
    {32, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 317},	//349 QGlobalSpace::QtCriticalMsg (enum)
    {32, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 318},	//350 QGlobalSpace::QtFatalMsg (enum)
    {32, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 319},	//351 QGlobalSpace::QtSystemMsg (enum)
    {32, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 320},	//352 QGlobalSpace::LicensedHelp (enum)
    {32, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 321},	//353 QGlobalSpace::LicensedMultimedia (enum)
    {32, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 322},	//354 QGlobalSpace::LicensedQt3Support (enum)
    {32, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 323},	//355 QGlobalSpace::LicensedXmlPatterns (enum)
    {32, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 324},	//356 QGlobalSpace::LicensedNetwork (enum)
    {49, 56, 678, 2, Smoke::mf_virtual, 226, 0},	//357 QObject::eventFilter(QObject*, QEvent*)
    {49, 40, 681, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//358 QObject::childEvent(QChildEvent*)
    {49, 44, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//359 QObject::customEvent(QEvent*)
    {49, 42, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//360 QObject::connectNotify(const char*)
    {49, 47, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//361 QObject::disconnectNotify(const char*)
    {59, 72, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 108, 0},	//362 QPushButton::minimumSizeHint() const
    {59, 55, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 226, 0},	//363 QPushButton::event(QEvent*)
    {59, 66, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//364 QPushButton::keyPressEvent(QKeyEvent*)
    {59, 57, 683, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//365 QPushButton::focusInEvent(QFocusEvent*)
    {59, 59, 683, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//366 QPushButton::focusOutEvent(QFocusEvent*)
    {80, 45, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 282, 0},	//367 QWidget::devType() const
    {80, 151, 685, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//368 QWidget::setVisible(bool)
    {80, 61, 687, 1, Smoke::mf_const|Smoke::mf_virtual, 282, 0},	//369 QWidget::heightForWidth(int) const
    {80, 137, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 86, 0},	//370 QWidget::paintEngine() const
    {80, 73, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//371 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {80, 168, 689, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//372 QWidget::wheelEvent(QWheelEvent*)
    {80, 54, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//373 QWidget::enterEvent(QEvent*)
    {80, 69, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//374 QWidget::leaveEvent(QEvent*)
    {80, 77, 691, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//375 QWidget::moveEvent(QMoveEvent*)
    {80, 144, 693, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//376 QWidget::resizeEvent(QResizeEvent*)
    {80, 41, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//377 QWidget::closeEvent(QCloseEvent*)
    {80, 43, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//378 QWidget::contextMenuEvent(QContextMenuEvent*)
    {80, 158, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//379 QWidget::tabletEvent(QTabletEvent*)
    {80, 37, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//380 QWidget::actionEvent(QActionEvent*)
    {80, 48, 703, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//381 QWidget::dragEnterEvent(QDragEnterEvent*)
    {80, 50, 705, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//382 QWidget::dragMoveEvent(QDragMoveEvent*)
    {80, 49, 707, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//383 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {80, 52, 709, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//384 QWidget::dropEvent(QDropEvent*)
    {80, 153, 711, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//385 QWidget::showEvent(QShowEvent*)
    {80, 62, 713, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//386 QWidget::hideEvent(QHideEvent*)
    {80, 170, 715, 1, Smoke::mf_protected|Smoke::mf_virtual, 226, 0},	//387 QWidget::x11Event(_XEvent*)
    {80, 71, 717, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 282, 0},	//388 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {80, 64, 719, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//389 QWidget::inputMethodEvent(QInputMethodEvent*)
    {80, 65, 721, 1, Smoke::mf_const|Smoke::mf_virtual, 128, 0},	//390 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {80, 58, 685, 1, Smoke::mf_protected|Smoke::mf_virtual, 226, 0},	//391 QWidget::focusNextPrevChild(bool)
    {80, 157, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//392 QWidget::styleChange(QStyle&)
    {80, 53, 685, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//393 QWidget::enabledChange(bool)
    {80, 139, 725, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//394 QWidget::paletteChange(const QPalette&)
    {80, 60, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//395 QWidget::fontChange(const QFont&)
    {80, 169, 685, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//396 QWidget::windowActivationChange(bool)
    {80, 68, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//397 QWidget::languageChange()
    {80, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 32},	//398 QWidget::DrawWindowBackground (enum)
    {80, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 33},	//399 QWidget::DrawChildren (enum)
    {80, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 34},	//400 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    37,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    42,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    58,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    107,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    120,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    154,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    157,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    203,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    211,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    212,  // QGlobalSpace::operator!=(QChar, QChar)
    221,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    248,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    254,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    309,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    322,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    324,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    172,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    183,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    201,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    242,  // QGlobalSpace::operator!=(QBool, bool)
    271,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    173,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    184,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    239,  // QGlobalSpace::operator!=(bool, QBool)
    274,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    290,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    315,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    45,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    46,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    68,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    83,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    85,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    87,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    109,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    127,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    138,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    151,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    202,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    241,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    270,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    277,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    305,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    317,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    34,  // QGlobalSpace::operator*(const QPoint&, double)
    49,  // QGlobalSpace::operator*(const QSizeF&, double)
    113,  // QGlobalSpace::operator*(const QPointF&, double)
    168,  // QGlobalSpace::operator*(const QTransform&, double)
    257,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    35,  // QGlobalSpace::operator*(double, const QPointF&)
    38,  // QGlobalSpace::operator*(double, const QSizeF&)
    222,  // QGlobalSpace::operator*(double, const QSize&)
    224,  // QGlobalSpace::operator*(double, const QPoint&)
    0,
    43,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    71,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    268,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    292,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    316,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    63,  // QGlobalSpace::operator+(QChar, const QString&)
    136,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    227,  // QGlobalSpace::operator+(const QByteArray&, char)
    246,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    287,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    97,  // QGlobalSpace::operator+(char, const QByteArray&)
    192,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    293,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    321,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    92,  // QGlobalSpace::operator+(const QString&, const char*)
    99,  // QGlobalSpace::operator+(const char*, const QString&)
    141,  // QGlobalSpace::operator+(const QString&, char)
    180,  // QGlobalSpace::operator+(const QString&, const QString&)
    210,  // QGlobalSpace::operator+(char, const QString&)
    0,
    133,  // QGlobalSpace::operator-(const QPointF&)
    278,  // QGlobalSpace::operator-(const QPoint&)
    0,
    52,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    244,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    284,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    311,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    98,  // QGlobalSpace::operator/(const QPoint&, double)
    105,  // QGlobalSpace::operator/(const QTransform&, double)
    124,  // QGlobalSpace::operator/(const QSizeF&, double)
    228,  // QGlobalSpace::operator/(const QPointF&, double)
    299,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    108,  // QGlobalSpace::operator<(QChar, QChar)
    131,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    171,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    285,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    149,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    267,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    40,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    44,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    50,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    62,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    65,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    67,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    78,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    90,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    93,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    110,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    116,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    135,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    144,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    146,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    167,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    177,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    179,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    204,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    205,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    207,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    209,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    219,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    225,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    226,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    234,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    237,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    247,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    251,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    255,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    264,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    297,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    307,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    0,
    283,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    298,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    195,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    230,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    232,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    269,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    189,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    249,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    47,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    54,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    59,  // QGlobalSpace::operator==(QBool, QBool)
    61,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    104,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    115,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    143,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    163,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    190,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    199,  // QGlobalSpace::operator==(QChar, QChar)
    213,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    216,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    220,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    238,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    282,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    319,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    325,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    161,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    258,  // QGlobalSpace::operator==(QString::Null, const QString&)
    261,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    289,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    318,  // QGlobalSpace::operator==(QBool, bool)
    0,
    100,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    117,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    130,  // QGlobalSpace::operator==(const QString&, QString::Null)
    191,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    253,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    302,  // QGlobalSpace::operator==(bool, QBool)
    0,
    128,  // QGlobalSpace::operator>(QChar, QChar)
    174,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    188,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    272,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    51,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    235,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    53,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    142,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    162,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    229,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    111,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    129,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    39,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    77,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    89,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    95,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    101,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    102,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    103,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    112,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    122,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    126,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    132,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    147,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    166,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    178,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    187,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    193,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    196,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    217,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    218,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    231,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    236,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    260,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    262,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    265,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    279,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    286,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    291,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    294,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    300,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    301,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    308,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    320,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    198,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    281,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    33,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    36,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    41,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    48,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    55,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    56,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    57,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    60,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    64,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    69,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    70,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    72,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    73,  // QGlobalSpace::operator|(Qt::DropAction, int)
    75,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    76,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    79,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    81,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    82,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    84,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    86,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    88,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    91,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    94,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    96,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    114,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    118,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    119,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    121,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    123,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    125,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    134,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    137,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    139,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    140,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    145,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    148,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    150,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    152,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    153,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    155,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    158,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    159,  // QGlobalSpace::operator|(Qt::WindowType, int)
    160,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    164,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    165,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    169,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    170,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    175,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    176,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    185,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    186,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    194,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    197,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    200,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    206,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    208,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    214,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    215,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    233,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    240,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    243,  // QGlobalSpace::operator|(Qt::WindowState, int)
    250,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    252,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    256,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    259,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    273,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    275,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    276,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    280,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    288,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    295,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    303,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    304,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    310,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    312,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    313,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    314,  // QGlobalSpace::operator|(Qt::Orientation, int)
    323,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 2, 9},	// KNS::Button::Button#
    {7, 3, 8},	// KNS::Button::Button$$$#
    {7, 36, 13},	// KNS::Button::aboutToShowDialog
    {7, 46, 14},	// KNS::Button::dialogFinished
    {7, 70, 1},	// KNS::Button::metaObject
    {7, 141, 7},	// KNS::Button::qt_metacall$$?
    {7, 143, 2},	// KNS::Button::qt_metacast$
    {7, 146, 12},	// KNS::Button::setButtonText$
    {7, 148, 10},	// KNS::Button::setProviderList$
    {7, 150, 11},	// KNS::Button::setResourceType$
    {7, 152, 15},	// KNS::Button::showDialog
    {7, 156, 18},	// KNS::Button::staticMetaObject
    {7, 161, 16},	// KNS::Button::tr$
    {7, 162, 3},	// KNS::Button::tr$$
    {7, 163, 5},	// KNS::Button::tr$$$
    {7, 165, 17},	// KNS::Button::trUtf8$
    {7, 166, 4},	// KNS::Button::trUtf8$$
    {7, 167, 6},	// KNS::Button::trUtf8$$$
    {7, 171, 19},	// KNS::Button::~Button
    {32, 7, 340},	// QGlobalSpace::LicensedActiveQt
    {32, 8, 346},	// QGlobalSpace::LicensedCore
    {32, 9, 338},	// QGlobalSpace::LicensedDBus
    {32, 10, 343},	// QGlobalSpace::LicensedDeclarative
    {32, 11, 333},	// QGlobalSpace::LicensedGui
    {32, 12, 352},	// QGlobalSpace::LicensedHelp
    {32, 13, 353},	// QGlobalSpace::LicensedMultimedia
    {32, 14, 356},	// QGlobalSpace::LicensedNetwork
    {32, 15, 345},	// QGlobalSpace::LicensedOpenGL
    {32, 16, 337},	// QGlobalSpace::LicensedOpenVG
    {32, 17, 354},	// QGlobalSpace::LicensedQt3Support
    {32, 18, 335},	// QGlobalSpace::LicensedQt3SupportLight
    {32, 19, 336},	// QGlobalSpace::LicensedScript
    {32, 20, 341},	// QGlobalSpace::LicensedScriptTools
    {32, 21, 344},	// QGlobalSpace::LicensedSql
    {32, 22, 342},	// QGlobalSpace::LicensedSvg
    {32, 23, 339},	// QGlobalSpace::LicensedTest
    {32, 24, 334},	// QGlobalSpace::LicensedXml
    {32, 25, 355},	// QGlobalSpace::LicensedXmlPatterns
    {32, 26, 328},	// QGlobalSpace::Q_COMPLEX_TYPE
    {32, 27, 332},	// QGlobalSpace::Q_DUMMY_TYPE
    {32, 28, 331},	// QGlobalSpace::Q_MOVABLE_TYPE
    {32, 29, 329},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {32, 30, 330},	// QGlobalSpace::Q_STATIC_TYPE
    {32, 31, 349},	// QGlobalSpace::QtCriticalMsg
    {32, 32, 347},	// QGlobalSpace::QtDebugMsg
    {32, 33, 350},	// QGlobalSpace::QtFatalMsg
    {32, 34, 351},	// QGlobalSpace::QtSystemMsg
    {32, 35, 348},	// QGlobalSpace::QtWarningMsg
    {32, 80, -1},	// QGlobalSpace::operator!=##
    {32, 81, -18},	// QGlobalSpace::operator!=#$
    {32, 82, -24},	// QGlobalSpace::operator!=$#
    {32, 83, 182},	// QGlobalSpace::operator!=$$
    {32, 85, -31},	// QGlobalSpace::operator*##
    {32, 86, -48},	// QGlobalSpace::operator*#$
    {32, 87, -54},	// QGlobalSpace::operator*$#
    {32, 89, -59},	// QGlobalSpace::operator+##
    {32, 90, -65},	// QGlobalSpace::operator+#$
    {32, 91, -71},	// QGlobalSpace::operator+$#
    {32, 92, -76},	// QGlobalSpace::operator+$$
    {32, 94, 66},	// QGlobalSpace::operator++$
    {32, 95, 327},	// QGlobalSpace::operator++$$
    {32, 97, -82},	// QGlobalSpace::operator-#
    {32, 98, -85},	// QGlobalSpace::operator-##
    {32, 99, 326},	// QGlobalSpace::operator-#$
    {32, 101, -90},	// QGlobalSpace::operator/#$
    {32, 103, -96},	// QGlobalSpace::operator<##
    {32, 104, 80},	// QGlobalSpace::operator<#$
    {32, 105, -101},	// QGlobalSpace::operator<$#
    {32, 106, 181},	// QGlobalSpace::operator<$$
    {32, 108, -104},	// QGlobalSpace::operator<<##
    {32, 109, -137},	// QGlobalSpace::operator<<#$
    {32, 110, 74},	// QGlobalSpace::operator<<#?
    {32, 112, -140},	// QGlobalSpace::operator<=##
    {32, 113, 156},	// QGlobalSpace::operator<=#$
    {32, 114, -145},	// QGlobalSpace::operator<=$#
    {32, 115, 106},	// QGlobalSpace::operator<=$$
    {32, 117, -148},	// QGlobalSpace::operator==##
    {32, 118, -166},	// QGlobalSpace::operator==#$
    {32, 119, -172},	// QGlobalSpace::operator==$#
    {32, 120, 296},	// QGlobalSpace::operator==$$
    {32, 122, -179},	// QGlobalSpace::operator>##
    {32, 123, 266},	// QGlobalSpace::operator>#$
    {32, 124, -184},	// QGlobalSpace::operator>$#
    {32, 125, 263},	// QGlobalSpace::operator>$$
    {32, 127, -187},	// QGlobalSpace::operator>=##
    {32, 128, 223},	// QGlobalSpace::operator>=#$
    {32, 129, -192},	// QGlobalSpace::operator>=$#
    {32, 130, 306},	// QGlobalSpace::operator>=$$
    {32, 132, -195},	// QGlobalSpace::operator>>##
    {32, 133, -228},	// QGlobalSpace::operator>>#$
    {32, 134, 245},	// QGlobalSpace::operator>>#?
    {32, 136, -231},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *knewstuff2_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_knewstuff2_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    knewstuff2_Smoke = new Smoke(
        "knewstuff2",
        __smokeknewstuff2::classes, 80,
        __smokeknewstuff2::methods, 401,
        __smokeknewstuff2::methodMaps, 93,
        __smokeknewstuff2::methodNames, 171,
        __smokeknewstuff2::types, 287,
        __smokeknewstuff2::inheritanceList,
        __smokeknewstuff2::argumentList,
        __smokeknewstuff2::ambiguousMethodList,
        __smokeknewstuff2::cast );
    initialized = true;
}

void delete_knewstuff2_Smoke() { delete knewstuff2_Smoke; }

}
