#include <kdecore_includes.h>

#include <smoke.h>
#include <kdecore_smoke.h>

namespace __smokekdecore {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KAboutLicense
      switch(to) {
        case 2: return (void*)(KAboutLicense*)xptr;
        default: return xptr;
      }
    case 3:   //KAboutPerson
      switch(to) {
        case 3: return (void*)(KAboutPerson*)xptr;
        default: return xptr;
      }
    case 4:   //KAuth::Action
      switch(to) {
        case 4: return (void*)(KAuth::Action*)xptr;
        default: return xptr;
      }
    case 5:   //KAuth::ActionReply
      switch(to) {
        case 5: return (void*)(KAuth::ActionReply*)xptr;
        default: return xptr;
      }
    case 6:   //KAuth::ActionWatcher
      switch(to) {
        case 172: return (void*)(QObject*)(KAuth::ActionWatcher*)xptr;
        case 6: return (void*)(KAuth::ActionWatcher*)xptr;
        default: return xptr;
      }
    case 8:   //KAutoSaveFile
      switch(to) {
        case 156: return (void*)(QFile*)(KAutoSaveFile*)xptr;
        case 161: return (void*)(QIODevice*)(KAutoSaveFile*)xptr;
        case 172: return (void*)(QObject*)(KAutoSaveFile*)xptr;
        case 8: return (void*)(KAutoSaveFile*)xptr;
        default: return xptr;
      }
    case 9:   //KAutostart
      switch(to) {
        case 172: return (void*)(QObject*)(KAutostart*)xptr;
        case 9: return (void*)(KAutostart*)xptr;
        default: return xptr;
      }
    case 10:   //KCalendarSystem
      switch(to) {
        case 10: return (void*)(KCalendarSystem*)xptr;
        default: return xptr;
      }
    case 11:   //KCalendarSystemPrivate
      switch(to) {
        case 11: return (void*)(KCalendarSystemPrivate*)xptr;
        default: return xptr;
      }
    case 12:   //KCharMacroExpander
      switch(to) {
        case 75: return (void*)(KMacroExpanderBase*)(KCharMacroExpander*)xptr;
        case 12: return (void*)(KCharMacroExpander*)xptr;
        default: return xptr;
      }
    case 13:   //KCharsets
      switch(to) {
        case 13: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 14:   //KCmdLineArgs
      switch(to) {
        case 14: return (void*)(KCmdLineArgs*)xptr;
        default: return xptr;
      }
    case 15:   //KCmdLineOptions
      switch(to) {
        case 15: return (void*)(KCmdLineOptions*)xptr;
        default: return xptr;
      }
    case 17:   //KComponentData
      switch(to) {
        case 17: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 18:   //KCompositeJob
      switch(to) {
        case 62: return (void*)(KJob*)(KCompositeJob*)xptr;
        case 172: return (void*)(QObject*)(KCompositeJob*)xptr;
        case 18: return (void*)(KCompositeJob*)xptr;
        default: return xptr;
      }
    case 19:   //KCompositeJobPrivate
      switch(to) {
        case 19: return (void*)(KCompositeJobPrivate*)xptr;
        default: return xptr;
      }
    case 20:   //KConfig
      switch(to) {
        case 21: return (void*)(KConfigBase*)(KConfig*)xptr;
        case 20: return (void*)(KConfig*)xptr;
        case 56: return (void*)(KDesktopFile*)(KConfig*)xptr;
        case 99: return (void*)(KSharedConfig*)(KConfig*)xptr;
        default: return xptr;
      }
    case 21:   //KConfigBase
      switch(to) {
        case 21: return (void*)(KConfigBase*)xptr;
        case 22: return (void*)(KConfigGroup*)(KConfigBase*)xptr;
        case 20: return (void*)(KConfig*)(KConfigBase*)xptr;
        case 56: return (void*)(KDesktopFile*)(KConfigBase*)xptr;
        case 99: return (void*)(KSharedConfig*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 22:   //KConfigGroup
      switch(to) {
        case 21: return (void*)(KConfigBase*)(KConfigGroup*)xptr;
        case 22: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 23:   //KConfigPrivate
      switch(to) {
        case 23: return (void*)(KConfigPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //KConfigSkeletonItem
      switch(to) {
        case 24: return (void*)(KConfigSkeletonItem*)xptr;
        default: return xptr;
      }
    case 25:   //KCoreConfigSkeleton
      switch(to) {
        case 172: return (void*)(QObject*)(KCoreConfigSkeleton*)xptr;
        case 25: return (void*)(KCoreConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 26:   //KCoreConfigSkeleton::ItemBool
      switch(to) {
        case 26: return (void*)(KCoreConfigSkeleton::ItemBool*)xptr;
        default: return xptr;
      }
    case 27:   //KCoreConfigSkeleton::ItemDateTime
      switch(to) {
        case 27: return (void*)(KCoreConfigSkeleton::ItemDateTime*)xptr;
        default: return xptr;
      }
    case 28:   //KCoreConfigSkeleton::ItemDouble
      switch(to) {
        case 28: return (void*)(KCoreConfigSkeleton::ItemDouble*)xptr;
        default: return xptr;
      }
    case 29:   //KCoreConfigSkeleton::ItemEnum
      switch(to) {
        case 32: return (void*)(KCoreConfigSkeleton::ItemInt*)(KCoreConfigSkeleton::ItemEnum*)xptr;
        case 29: return (void*)(KCoreConfigSkeleton::ItemEnum*)xptr;
        default: return xptr;
      }
    case 30:   //KCoreConfigSkeleton::ItemEnum::Choice
      switch(to) {
        case 30: return (void*)(KCoreConfigSkeleton::ItemEnum::Choice*)xptr;
        default: return xptr;
      }
    case 31:   //KCoreConfigSkeleton::ItemEnum::Choice2
      switch(to) {
        case 31: return (void*)(KCoreConfigSkeleton::ItemEnum::Choice2*)xptr;
        default: return xptr;
      }
    case 32:   //KCoreConfigSkeleton::ItemInt
      switch(to) {
        case 32: return (void*)(KCoreConfigSkeleton::ItemInt*)xptr;
        case 29: return (void*)(KCoreConfigSkeleton::ItemEnum*)(KCoreConfigSkeleton::ItemInt*)xptr;
        default: return xptr;
      }
    case 33:   //KCoreConfigSkeleton::ItemIntList
      switch(to) {
        case 33: return (void*)(KCoreConfigSkeleton::ItemIntList*)xptr;
        default: return xptr;
      }
    case 34:   //KCoreConfigSkeleton::ItemLongLong
      switch(to) {
        case 34: return (void*)(KCoreConfigSkeleton::ItemLongLong*)xptr;
        default: return xptr;
      }
    case 35:   //KCoreConfigSkeleton::ItemPassword
      switch(to) {
        case 42: return (void*)(KCoreConfigSkeleton::ItemString*)(KCoreConfigSkeleton::ItemPassword*)xptr;
        case 35: return (void*)(KCoreConfigSkeleton::ItemPassword*)xptr;
        default: return xptr;
      }
    case 36:   //KCoreConfigSkeleton::ItemPath
      switch(to) {
        case 42: return (void*)(KCoreConfigSkeleton::ItemString*)(KCoreConfigSkeleton::ItemPath*)xptr;
        case 36: return (void*)(KCoreConfigSkeleton::ItemPath*)xptr;
        default: return xptr;
      }
    case 37:   //KCoreConfigSkeleton::ItemPathList
      switch(to) {
        case 43: return (void*)(KCoreConfigSkeleton::ItemStringList*)(KCoreConfigSkeleton::ItemPathList*)xptr;
        case 37: return (void*)(KCoreConfigSkeleton::ItemPathList*)xptr;
        default: return xptr;
      }
    case 38:   //KCoreConfigSkeleton::ItemPoint
      switch(to) {
        case 38: return (void*)(KCoreConfigSkeleton::ItemPoint*)xptr;
        default: return xptr;
      }
    case 39:   //KCoreConfigSkeleton::ItemProperty
      switch(to) {
        case 39: return (void*)(KCoreConfigSkeleton::ItemProperty*)xptr;
        default: return xptr;
      }
    case 40:   //KCoreConfigSkeleton::ItemRect
      switch(to) {
        case 40: return (void*)(KCoreConfigSkeleton::ItemRect*)xptr;
        default: return xptr;
      }
    case 41:   //KCoreConfigSkeleton::ItemSize
      switch(to) {
        case 41: return (void*)(KCoreConfigSkeleton::ItemSize*)xptr;
        default: return xptr;
      }
    case 42:   //KCoreConfigSkeleton::ItemString
      switch(to) {
        case 42: return (void*)(KCoreConfigSkeleton::ItemString*)xptr;
        case 36: return (void*)(KCoreConfigSkeleton::ItemPath*)(KCoreConfigSkeleton::ItemString*)xptr;
        case 35: return (void*)(KCoreConfigSkeleton::ItemPassword*)(KCoreConfigSkeleton::ItemString*)xptr;
        default: return xptr;
      }
    case 43:   //KCoreConfigSkeleton::ItemStringList
      switch(to) {
        case 43: return (void*)(KCoreConfigSkeleton::ItemStringList*)xptr;
        case 37: return (void*)(KCoreConfigSkeleton::ItemPathList*)(KCoreConfigSkeleton::ItemStringList*)xptr;
        default: return xptr;
      }
    case 44:   //KCoreConfigSkeleton::ItemUInt
      switch(to) {
        case 44: return (void*)(KCoreConfigSkeleton::ItemUInt*)xptr;
        default: return xptr;
      }
    case 45:   //KCoreConfigSkeleton::ItemULongLong
      switch(to) {
        case 45: return (void*)(KCoreConfigSkeleton::ItemULongLong*)xptr;
        default: return xptr;
      }
    case 46:   //KCoreConfigSkeleton::ItemUrl
      switch(to) {
        case 46: return (void*)(KCoreConfigSkeleton::ItemUrl*)xptr;
        default: return xptr;
      }
    case 47:   //KCoreConfigSkeleton::ItemUrlList
      switch(to) {
        case 47: return (void*)(KCoreConfigSkeleton::ItemUrlList*)xptr;
        default: return xptr;
      }
    case 48:   //KCurrencyCode
      switch(to) {
        case 48: return (void*)(KCurrencyCode*)xptr;
        default: return xptr;
      }
    case 50:   //KDEDModule
      switch(to) {
        case 172: return (void*)(QObject*)(KDEDModule*)xptr;
        case 50: return (void*)(KDEDModule*)xptr;
        default: return xptr;
      }
    case 51:   //KDEPluginVerificationData
      switch(to) {
        case 51: return (void*)(KDEPluginVerificationData*)xptr;
        default: return xptr;
      }
    case 52:   //KDateTime
      switch(to) {
        case 52: return (void*)(KDateTime*)xptr;
        default: return xptr;
      }
    case 53:   //KDateTime::Spec
      switch(to) {
        case 53: return (void*)(KDateTime::Spec*)xptr;
        default: return xptr;
      }
    case 54:   //KDebug
      switch(to) {
        case 54: return (void*)(KDebug*)xptr;
        default: return xptr;
      }
    case 55:   //KDebugTag
      switch(to) {
        case 55: return (void*)(KDebugTag*)xptr;
        default: return xptr;
      }
    case 56:   //KDesktopFile
      switch(to) {
        case 20: return (void*)(KConfig*)(KDesktopFile*)xptr;
        case 21: return (void*)(KConfigBase*)(KDesktopFile*)xptr;
        case 56: return (void*)(KDesktopFile*)xptr;
        default: return xptr;
      }
    case 57:   //KEncodingDetector
      switch(to) {
        case 57: return (void*)(KEncodingDetector*)xptr;
        default: return xptr;
      }
    case 58:   //KEncodingProber
      switch(to) {
        case 58: return (void*)(KEncodingProber*)xptr;
        default: return xptr;
      }
    case 59:   //KFilterBase
      switch(to) {
        case 59: return (void*)(KFilterBase*)xptr;
        default: return xptr;
      }
    case 60:   //KFilterDev
      switch(to) {
        case 161: return (void*)(QIODevice*)(KFilterDev*)xptr;
        case 172: return (void*)(QObject*)(KFilterDev*)xptr;
        case 60: return (void*)(KFilterDev*)xptr;
        default: return xptr;
      }
    case 62:   //KJob
      switch(to) {
        case 172: return (void*)(QObject*)(KJob*)xptr;
        case 62: return (void*)(KJob*)xptr;
        case 18: return (void*)(KCompositeJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 63:   //KJobPrivate
      switch(to) {
        case 63: return (void*)(KJobPrivate*)xptr;
        default: return xptr;
      }
    case 64:   //KJobTrackerInterface
      switch(to) {
        case 172: return (void*)(QObject*)(KJobTrackerInterface*)xptr;
        case 64: return (void*)(KJobTrackerInterface*)xptr;
        default: return xptr;
      }
    case 65:   //KJobUiDelegate
      switch(to) {
        case 172: return (void*)(QObject*)(KJobUiDelegate*)xptr;
        case 65: return (void*)(KJobUiDelegate*)xptr;
        default: return xptr;
      }
    case 66:   //KLibLoader
      switch(to) {
        case 172: return (void*)(QObject*)(KLibLoader*)xptr;
        case 66: return (void*)(KLibLoader*)xptr;
        default: return xptr;
      }
    case 67:   //KLibrary
      switch(to) {
        case 164: return (void*)(QLibrary*)(KLibrary*)xptr;
        case 172: return (void*)(QObject*)(KLibrary*)xptr;
        case 67: return (void*)(KLibrary*)xptr;
        default: return xptr;
      }
    case 68:   //KLocalSocket
      switch(to) {
        case 190: return (void*)(QTcpSocket*)(KLocalSocket*)xptr;
        case 138: return (void*)(QAbstractSocket*)(KLocalSocket*)xptr;
        case 161: return (void*)(QIODevice*)(KLocalSocket*)xptr;
        case 172: return (void*)(QObject*)(KLocalSocket*)xptr;
        case 68: return (void*)(KLocalSocket*)xptr;
        default: return xptr;
      }
    case 69:   //KLocalSocketServer
      switch(to) {
        case 172: return (void*)(QObject*)(KLocalSocketServer*)xptr;
        case 69: return (void*)(KLocalSocketServer*)xptr;
        default: return xptr;
      }
    case 70:   //KLocale
      switch(to) {
        case 70: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 71:   //KLocalizedString
      switch(to) {
        case 71: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 72:   //KLockFile
      switch(to) {
        case 180: return (void*)(QSharedData*)(KLockFile*)xptr;
        case 72: return (void*)(KLockFile*)xptr;
        default: return xptr;
      }
    case 73:   //KMD5
      switch(to) {
        case 73: return (void*)(KMD5*)xptr;
        default: return xptr;
      }
    case 75:   //KMacroExpanderBase
      switch(to) {
        case 75: return (void*)(KMacroExpanderBase*)xptr;
        case 12: return (void*)(KCharMacroExpander*)(KMacroExpanderBase*)xptr;
        case 135: return (void*)(KWordMacroExpander*)(KMacroExpanderBase*)xptr;
        default: return xptr;
      }
    case 77:   //KMessageHandler
      switch(to) {
        case 77: return (void*)(KMessageHandler*)xptr;
        default: return xptr;
      }
    case 78:   //KMimeType
      switch(to) {
        case 96: return (void*)(KServiceType*)(KMimeType*)xptr;
        case 109: return (void*)(KSycocaEntry*)(KMimeType*)xptr;
        case 180: return (void*)(QSharedData*)(KMimeType*)xptr;
        case 78: return (void*)(KMimeType*)xptr;
        default: return xptr;
      }
    case 79:   //KMimeTypePrivate
      switch(to) {
        case 79: return (void*)(KMimeTypePrivate*)xptr;
        default: return xptr;
      }
    case 80:   //KMimeTypeTrader
      switch(to) {
        case 80: return (void*)(KMimeTypeTrader*)xptr;
        default: return xptr;
      }
    case 81:   //KParts::Part
      switch(to) {
        case 81: return (void*)(KParts::Part*)xptr;
        default: return xptr;
      }
    case 82:   //KPluginFactory
      switch(to) {
        case 172: return (void*)(QObject*)(KPluginFactory*)xptr;
        case 82: return (void*)(KPluginFactory*)xptr;
        default: return xptr;
      }
    case 83:   //KPluginFactoryPrivate
      switch(to) {
        case 83: return (void*)(KPluginFactoryPrivate*)xptr;
        default: return xptr;
      }
    case 84:   //KPluginInfo
      switch(to) {
        case 84: return (void*)(KPluginInfo*)xptr;
        default: return xptr;
      }
    case 85:   //KPluginLoader
      switch(to) {
        case 173: return (void*)(QPluginLoader*)(KPluginLoader*)xptr;
        case 172: return (void*)(QObject*)(KPluginLoader*)xptr;
        case 85: return (void*)(KPluginLoader*)xptr;
        default: return xptr;
      }
    case 86:   //KProcess
      switch(to) {
        case 176: return (void*)(QProcess*)(KProcess*)xptr;
        case 161: return (void*)(QIODevice*)(KProcess*)xptr;
        case 172: return (void*)(QObject*)(KProcess*)xptr;
        case 86: return (void*)(KProcess*)xptr;
        default: return xptr;
      }
    case 87:   //KProcessPrivate
      switch(to) {
        case 87: return (void*)(KProcessPrivate*)xptr;
        default: return xptr;
      }
    case 88:   //KProtocolInfo
      switch(to) {
        case 109: return (void*)(KSycocaEntry*)(KProtocolInfo*)xptr;
        case 180: return (void*)(QSharedData*)(KProtocolInfo*)xptr;
        case 88: return (void*)(KProtocolInfo*)xptr;
        default: return xptr;
      }
    case 89:   //KProtocolInfo::ExtraField
      switch(to) {
        case 89: return (void*)(KProtocolInfo::ExtraField*)xptr;
        default: return xptr;
      }
    case 91:   //KRandomSequence
      switch(to) {
        case 91: return (void*)(KRandomSequence*)xptr;
        default: return xptr;
      }
    case 92:   //KSaveFile
      switch(to) {
        case 156: return (void*)(QFile*)(KSaveFile*)xptr;
        case 161: return (void*)(QIODevice*)(KSaveFile*)xptr;
        case 172: return (void*)(QObject*)(KSaveFile*)xptr;
        case 92: return (void*)(KSaveFile*)xptr;
        default: return xptr;
      }
    case 93:   //KService
      switch(to) {
        case 109: return (void*)(KSycocaEntry*)(KService*)xptr;
        case 180: return (void*)(QSharedData*)(KService*)xptr;
        case 93: return (void*)(KService*)xptr;
        default: return xptr;
      }
    case 94:   //KServiceAction
      switch(to) {
        case 94: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 95:   //KServiceGroup
      switch(to) {
        case 109: return (void*)(KSycocaEntry*)(KServiceGroup*)xptr;
        case 180: return (void*)(QSharedData*)(KServiceGroup*)xptr;
        case 95: return (void*)(KServiceGroup*)xptr;
        default: return xptr;
      }
    case 96:   //KServiceType
      switch(to) {
        case 109: return (void*)(KSycocaEntry*)(KServiceType*)xptr;
        case 180: return (void*)(QSharedData*)(KServiceType*)xptr;
        case 96: return (void*)(KServiceType*)xptr;
        case 78: return (void*)(KMimeType*)(KServiceType*)xptr;
        default: return xptr;
      }
    case 97:   //KServiceTypePrivate
      switch(to) {
        case 97: return (void*)(KServiceTypePrivate*)xptr;
        default: return xptr;
      }
    case 98:   //KServiceTypeTrader
      switch(to) {
        case 98: return (void*)(KServiceTypeTrader*)xptr;
        default: return xptr;
      }
    case 99:   //KSharedConfig
      switch(to) {
        case 20: return (void*)(KConfig*)(KSharedConfig*)xptr;
        case 21: return (void*)(KConfigBase*)(KSharedConfig*)xptr;
        case 180: return (void*)(QSharedData*)(KSharedConfig*)xptr;
        case 99: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 102:   //KSslCipher
      switch(to) {
        case 102: return (void*)(KSslCipher*)xptr;
        default: return xptr;
      }
    case 103:   //KSslError
      switch(to) {
        case 103: return (void*)(KSslError*)xptr;
        default: return xptr;
      }
    case 104:   //KSslErrorUiData
      switch(to) {
        case 104: return (void*)(KSslErrorUiData*)xptr;
        default: return xptr;
      }
    case 105:   //KSslKey
      switch(to) {
        case 105: return (void*)(KSslKey*)xptr;
        default: return xptr;
      }
    case 106:   //KStandardDirs
      switch(to) {
        case 106: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 108:   //KSycoca
      switch(to) {
        case 172: return (void*)(QObject*)(KSycoca*)xptr;
        case 108: return (void*)(KSycoca*)xptr;
        default: return xptr;
      }
    case 109:   //KSycocaEntry
      switch(to) {
        case 180: return (void*)(QSharedData*)(KSycocaEntry*)xptr;
        case 109: return (void*)(KSycocaEntry*)xptr;
        case 88: return (void*)(KProtocolInfo*)(KSycocaEntry*)xptr;
        case 96: return (void*)(KServiceType*)(KSycocaEntry*)xptr;
        case 93: return (void*)(KService*)(KSycocaEntry*)xptr;
        case 95: return (void*)(KServiceGroup*)(KSycocaEntry*)xptr;
        case 78: return (void*)(KMimeType*)(KSycocaEntry*)xptr;
        default: return xptr;
      }
    case 110:   //KSycocaEntryPrivate
      switch(to) {
        case 110: return (void*)(KSycocaEntryPrivate*)xptr;
        default: return xptr;
      }
    case 111:   //KSycocaFactory
      switch(to) {
        case 111: return (void*)(KSycocaFactory*)xptr;
        default: return xptr;
      }
    case 112:   //KSycocaFactoryList
      switch(to) {
        case 112: return (void*)(KSycocaFactoryList*)xptr;
        default: return xptr;
      }
    case 113:   //KSystemTimeZone
      switch(to) {
        case 120: return (void*)(KTimeZone*)(KSystemTimeZone*)xptr;
        case 113: return (void*)(KSystemTimeZone*)xptr;
        default: return xptr;
      }
    case 114:   //KSystemTimeZoneBackend
      switch(to) {
        case 124: return (void*)(KTimeZoneBackend*)(KSystemTimeZoneBackend*)xptr;
        case 114: return (void*)(KSystemTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 115:   //KSystemTimeZoneSource
      switch(to) {
        case 126: return (void*)(KTimeZoneSource*)(KSystemTimeZoneSource*)xptr;
        case 115: return (void*)(KSystemTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 116:   //KSystemTimeZones
      switch(to) {
        case 172: return (void*)(QObject*)(KSystemTimeZones*)xptr;
        case 116: return (void*)(KSystemTimeZones*)xptr;
        default: return xptr;
      }
    case 117:   //KTcpSocket
      switch(to) {
        case 161: return (void*)(QIODevice*)(KTcpSocket*)xptr;
        case 172: return (void*)(QObject*)(KTcpSocket*)xptr;
        case 117: return (void*)(KTcpSocket*)xptr;
        default: return xptr;
      }
    case 118:   //KTempDir
      switch(to) {
        case 118: return (void*)(KTempDir*)xptr;
        default: return xptr;
      }
    case 119:   //KTemporaryFile
      switch(to) {
        case 191: return (void*)(QTemporaryFile*)(KTemporaryFile*)xptr;
        case 156: return (void*)(QFile*)(KTemporaryFile*)xptr;
        case 161: return (void*)(QIODevice*)(KTemporaryFile*)xptr;
        case 172: return (void*)(QObject*)(KTemporaryFile*)xptr;
        case 119: return (void*)(KTemporaryFile*)xptr;
        default: return xptr;
      }
    case 120:   //KTimeZone
      switch(to) {
        case 120: return (void*)(KTimeZone*)xptr;
        case 113: return (void*)(KSystemTimeZone*)(KTimeZone*)xptr;
        case 129: return (void*)(KTzfileTimeZone*)(KTimeZone*)xptr;
        default: return xptr;
      }
    case 121:   //KTimeZone::LeapSeconds
      switch(to) {
        case 121: return (void*)(KTimeZone::LeapSeconds*)xptr;
        default: return xptr;
      }
    case 122:   //KTimeZone::Phase
      switch(to) {
        case 122: return (void*)(KTimeZone::Phase*)xptr;
        default: return xptr;
      }
    case 123:   //KTimeZone::Transition
      switch(to) {
        case 123: return (void*)(KTimeZone::Transition*)xptr;
        default: return xptr;
      }
    case 124:   //KTimeZoneBackend
      switch(to) {
        case 124: return (void*)(KTimeZoneBackend*)xptr;
        case 130: return (void*)(KTzfileTimeZoneBackend*)(KTimeZoneBackend*)xptr;
        case 114: return (void*)(KSystemTimeZoneBackend*)(KTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 125:   //KTimeZoneData
      switch(to) {
        case 125: return (void*)(KTimeZoneData*)xptr;
        default: return xptr;
      }
    case 126:   //KTimeZoneSource
      switch(to) {
        case 126: return (void*)(KTimeZoneSource*)xptr;
        case 131: return (void*)(KTzfileTimeZoneSource*)(KTimeZoneSource*)xptr;
        case 115: return (void*)(KSystemTimeZoneSource*)(KTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 127:   //KTimeZones
      switch(to) {
        case 127: return (void*)(KTimeZones*)xptr;
        default: return xptr;
      }
    case 128:   //KToolInvocation
      switch(to) {
        case 172: return (void*)(QObject*)(KToolInvocation*)xptr;
        case 128: return (void*)(KToolInvocation*)xptr;
        default: return xptr;
      }
    case 129:   //KTzfileTimeZone
      switch(to) {
        case 120: return (void*)(KTimeZone*)(KTzfileTimeZone*)xptr;
        case 129: return (void*)(KTzfileTimeZone*)xptr;
        default: return xptr;
      }
    case 130:   //KTzfileTimeZoneBackend
      switch(to) {
        case 124: return (void*)(KTimeZoneBackend*)(KTzfileTimeZoneBackend*)xptr;
        case 130: return (void*)(KTzfileTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 131:   //KTzfileTimeZoneSource
      switch(to) {
        case 126: return (void*)(KTimeZoneSource*)(KTzfileTimeZoneSource*)xptr;
        case 131: return (void*)(KTzfileTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 132:   //KUrl
      switch(to) {
        case 199: return (void*)(QUrl*)(KUrl*)xptr;
        case 132: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 133:   //KUser
      switch(to) {
        case 133: return (void*)(KUser*)xptr;
        default: return xptr;
      }
    case 134:   //KUserGroup
      switch(to) {
        case 134: return (void*)(KUserGroup*)xptr;
        default: return xptr;
      }
    case 135:   //KWordMacroExpander
      switch(to) {
        case 75: return (void*)(KMacroExpanderBase*)(KWordMacroExpander*)xptr;
        case 135: return (void*)(KWordMacroExpander*)xptr;
        default: return xptr;
      }
    case 136:   //OrgKdeKLauncherInterface
      switch(to) {
        case 145: return (void*)(QDBusAbstractInterface*)(OrgKdeKLauncherInterface*)xptr;
        case 172: return (void*)(QObject*)(OrgKdeKLauncherInterface*)xptr;
        case 136: return (void*)(OrgKdeKLauncherInterface*)xptr;
        default: return xptr;
      }
    case 137:   //QAbstractFileEngine
      switch(to) {
        case 137: return (void*)(QAbstractFileEngine*)xptr;
        default: return xptr;
      }
    case 138:   //QAbstractSocket
      switch(to) {
        case 161: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 172: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 138: return (void*)(QAbstractSocket*)xptr;
        case 68: return (void*)(KLocalSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 139:   //QAuthenticator
      switch(to) {
        case 139: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 140:   //QBitArray
      switch(to) {
        case 140: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 141:   //QBool
      switch(to) {
        case 141: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 142:   //QByteArray
      switch(to) {
        case 142: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 143:   //QChar
      switch(to) {
        case 143: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 144:   //QChildEvent
      switch(to) {
        case 155: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 144: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 145:   //QDBusAbstractInterface
      switch(to) {
        case 172: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 145: return (void*)(QDBusAbstractInterface*)xptr;
        case 136: return (void*)(OrgKdeKLauncherInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 146:   //QDBusArgument
      switch(to) {
        case 146: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 147:   //QDBusConnection
      switch(to) {
        case 147: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 148:   //QDBusObjectPath
      switch(to) {
        case 148: return (void*)(QDBusObjectPath*)xptr;
        default: return xptr;
      }
    case 149:   //QDBusSignature
      switch(to) {
        case 149: return (void*)(QDBusSignature*)xptr;
        default: return xptr;
      }
    case 150:   //QDBusVariant
      switch(to) {
        case 201: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 150: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 151:   //QDataStream
      switch(to) {
        case 151: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 152:   //QDate
      switch(to) {
        case 152: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 153:   //QDateTime
      switch(to) {
        case 153: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 154:   //QEasingCurve
      switch(to) {
        case 154: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 155:   //QEvent
      switch(to) {
        case 155: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 156:   //QFile
      switch(to) {
        case 161: return (void*)(QIODevice*)(QFile*)xptr;
        case 172: return (void*)(QObject*)(QFile*)xptr;
        case 156: return (void*)(QFile*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QFile*)xptr;
        case 92: return (void*)(KSaveFile*)(QFile*)xptr;
        case 119: return (void*)(KTemporaryFile*)(QFile*)xptr;
        default: return xptr;
      }
    case 157:   //QFileInfo
      switch(to) {
        case 157: return (void*)(QFileInfo*)xptr;
        default: return xptr;
      }
    case 159:   //QHashDummyValue
      switch(to) {
        case 159: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 160:   //QHostAddress
      switch(to) {
        case 160: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 161:   //QIODevice
      switch(to) {
        case 172: return (void*)(QObject*)(QIODevice*)xptr;
        case 161: return (void*)(QIODevice*)xptr;
        case 68: return (void*)(KLocalSocket*)(QIODevice*)xptr;
        case 60: return (void*)(KFilterDev*)(QIODevice*)xptr;
        case 117: return (void*)(KTcpSocket*)(QIODevice*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QIODevice*)xptr;
        case 92: return (void*)(KSaveFile*)(QIODevice*)xptr;
        case 119: return (void*)(KTemporaryFile*)(QIODevice*)xptr;
        case 86: return (void*)(KProcess*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 162:   //QIncompatibleFlag
      switch(to) {
        case 162: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 163:   //QLatin1String
      switch(to) {
        case 163: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 164:   //QLibrary
      switch(to) {
        case 172: return (void*)(QObject*)(QLibrary*)xptr;
        case 164: return (void*)(QLibrary*)xptr;
        case 67: return (void*)(KLibrary*)(QLibrary*)xptr;
        default: return xptr;
      }
    case 165:   //QLine
      switch(to) {
        case 165: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 166:   //QLineF
      switch(to) {
        case 166: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 167:   //QLocale
      switch(to) {
        case 167: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 168:   //QMargins
      switch(to) {
        case 168: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 169:   //QMetaObject
      switch(to) {
        case 169: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 170:   //QMimeData
      switch(to) {
        case 172: return (void*)(QObject*)(QMimeData*)xptr;
        case 170: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 171:   //QNetworkProxy
      switch(to) {
        case 171: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 172:   //QObject
      switch(to) {
        case 172: return (void*)(QObject*)xptr;
        case 64: return (void*)(KJobTrackerInterface*)(QObject*)xptr;
        case 18: return (void*)(KCompositeJob*)(QObject*)xptr;
        case 85: return (void*)(KPluginLoader*)(QObject*)xptr;
        case 68: return (void*)(KLocalSocket*)(QObject*)xptr;
        case 62: return (void*)(KJob*)(QObject*)xptr;
        case 69: return (void*)(KLocalSocketServer*)(QObject*)xptr;
        case 205: return (void*)(Sonnet::BackgroundChecker*)(QObject*)xptr;
        case 9: return (void*)(KAutostart*)(QObject*)xptr;
        case 66: return (void*)(KLibLoader*)(QObject*)xptr;
        case 60: return (void*)(KFilterDev*)(QObject*)xptr;
        case 82: return (void*)(KPluginFactory*)(QObject*)xptr;
        case 117: return (void*)(KTcpSocket*)(QObject*)xptr;
        case 116: return (void*)(KSystemTimeZones*)(QObject*)xptr;
        case 6: return (void*)(KAuth::ActionWatcher*)(QObject*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QObject*)xptr;
        case 128: return (void*)(KToolInvocation*)(QObject*)xptr;
        case 136: return (void*)(OrgKdeKLauncherInterface*)(QObject*)xptr;
        case 67: return (void*)(KLibrary*)(QObject*)xptr;
        case 92: return (void*)(KSaveFile*)(QObject*)xptr;
        case 25: return (void*)(KCoreConfigSkeleton*)(QObject*)xptr;
        case 65: return (void*)(KJobUiDelegate*)(QObject*)xptr;
        case 119: return (void*)(KTemporaryFile*)(QObject*)xptr;
        case 50: return (void*)(KDEDModule*)(QObject*)xptr;
        case 108: return (void*)(KSycoca*)(QObject*)xptr;
        case 86: return (void*)(KProcess*)(QObject*)xptr;
        default: return xptr;
      }
    case 173:   //QPluginLoader
      switch(to) {
        case 172: return (void*)(QObject*)(QPluginLoader*)xptr;
        case 173: return (void*)(QPluginLoader*)xptr;
        case 85: return (void*)(KPluginLoader*)(QPluginLoader*)xptr;
        default: return xptr;
      }
    case 174:   //QPoint
      switch(to) {
        case 174: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 175:   //QPointF
      switch(to) {
        case 175: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 176:   //QProcess
      switch(to) {
        case 161: return (void*)(QIODevice*)(QProcess*)xptr;
        case 172: return (void*)(QObject*)(QProcess*)xptr;
        case 176: return (void*)(QProcess*)xptr;
        case 86: return (void*)(KProcess*)(QProcess*)xptr;
        default: return xptr;
      }
    case 177:   //QRect
      switch(to) {
        case 177: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 178:   //QRectF
      switch(to) {
        case 178: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 179:   //QRegExp
      switch(to) {
        case 179: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 180:   //QSharedData
      switch(to) {
        case 180: return (void*)(QSharedData*)xptr;
        case 88: return (void*)(KProtocolInfo*)(QSharedData*)xptr;
        case 96: return (void*)(KServiceType*)(QSharedData*)xptr;
        case 93: return (void*)(KService*)(QSharedData*)xptr;
        case 72: return (void*)(KLockFile*)(QSharedData*)xptr;
        case 109: return (void*)(KSycocaEntry*)(QSharedData*)xptr;
        case 99: return (void*)(KSharedConfig*)(QSharedData*)xptr;
        case 95: return (void*)(KServiceGroup*)(QSharedData*)xptr;
        case 78: return (void*)(KMimeType*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 181:   //QSize
      switch(to) {
        case 181: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 182:   //QSizeF
      switch(to) {
        case 182: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 183:   //QSslCertificate
      switch(to) {
        case 183: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 184:   //QSslCipher
      switch(to) {
        case 184: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 185:   //QSslError
      switch(to) {
        case 185: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 186:   //QSslKey
      switch(to) {
        case 186: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 187:   //QString::Null
      switch(to) {
        case 187: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 188:   //QStringRef
      switch(to) {
        case 188: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 189:   //QTcpServer
      switch(to) {
        case 172: return (void*)(QObject*)(QTcpServer*)xptr;
        case 189: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 190:   //QTcpSocket
      switch(to) {
        case 138: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 161: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 172: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 190: return (void*)(QTcpSocket*)xptr;
        case 68: return (void*)(KLocalSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 191:   //QTemporaryFile
      switch(to) {
        case 156: return (void*)(QFile*)(QTemporaryFile*)xptr;
        case 161: return (void*)(QIODevice*)(QTemporaryFile*)xptr;
        case 172: return (void*)(QObject*)(QTemporaryFile*)xptr;
        case 191: return (void*)(QTemporaryFile*)xptr;
        case 119: return (void*)(KTemporaryFile*)(QTemporaryFile*)xptr;
        default: return xptr;
      }
    case 192:   //QTextCodec
      switch(to) {
        case 192: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 193:   //QTextDecoder
      switch(to) {
        case 193: return (void*)(QTextDecoder*)xptr;
        default: return xptr;
      }
    case 194:   //QTextStream
      switch(to) {
        case 194: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 195:   //QTextStreamManipulator
      switch(to) {
        case 195: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 196:   //QTime
      switch(to) {
        case 196: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 197:   //QTimerEvent
      switch(to) {
        case 155: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 197: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 198:   //QUdpSocket
      switch(to) {
        case 198: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 199:   //QUrl
      switch(to) {
        case 199: return (void*)(QUrl*)xptr;
        case 132: return (void*)(KUrl*)(QUrl*)xptr;
        default: return xptr;
      }
    case 200:   //QUuid
      switch(to) {
        case 200: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 201:   //QVariant
      switch(to) {
        case 201: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 202:   //QVariantComparisonHelper
      switch(to) {
        case 202: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 203:   //QWidget
      switch(to) {
        case 203: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    case 205:   //Sonnet::BackgroundChecker
      switch(to) {
        case 172: return (void*)(QObject*)(Sonnet::BackgroundChecker*)xptr;
        case 205: return (void*)(Sonnet::BackgroundChecker*)xptr;
        default: return xptr;
      }
    case 206:   //Sonnet::Speller
      switch(to) {
        case 206: return (void*)(Sonnet::Speller*)xptr;
        default: return xptr;
      }
    case 207:   //_IO_FILE
      switch(to) {
        case 207: return (void*)(_IO_FILE*)xptr;
        default: return xptr;
      }
    case 208:   //group
      switch(to) {
        case 208: return (void*)(group*)xptr;
        default: return xptr;
      }
    case 209:   //kndbgstream
      switch(to) {
        case 209: return (void*)(kndbgstream*)xptr;
        default: return xptr;
      }
    case 210:   //passwd
      switch(to) {
        case 210: return (void*)(passwd*)xptr;
        default: return xptr;
      }
    case 211:   //std::bidirectional_iterator_tag
      switch(to) {
        case 211: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 212:   //std::random_access_iterator_tag
      switch(to) {
        case 212: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    172, 0,	// 1: QObject
    156, 0,	// 3: QFile
    75, 0,	// 5: KMacroExpanderBase
    62, 0,	// 7: KJob
    21, 0,	// 9: KConfigBase
    0, 0,	// 11: KConfigSkeletonGenericItem
    32, 0,	// 13: KCoreConfigSkeleton::ItemInt
    42, 0,	// 15: KCoreConfigSkeleton::ItemString
    43, 0,	// 17: KCoreConfigSkeleton::ItemStringList
    20, 0,	// 19: KConfig
    161, 0,	// 21: QIODevice
    164, 0,	// 23: QLibrary
    190, 0,	// 25: QTcpSocket
    180, 0,	// 27: QSharedData
    96, 0,	// 29: KServiceType
    173, 0,	// 31: QPluginLoader
    176, 0,	// 33: QProcess
    109, 0,	// 35: KSycocaEntry
    20, 180, 0,	// 37: KConfig, QSharedData
    120, 0,	// 40: KTimeZone
    124, 0,	// 42: KTimeZoneBackend
    126, 0,	// 44: KTimeZoneSource
    191, 0,	// 46: QTemporaryFile
    199, 0,	// 48: QUrl
    145, 0,	// 50: QDBusAbstractInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_KAutostart(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KShell(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTcpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUser(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KServiceGroup(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KSslKey(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFilterBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLockFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KStandardDirs(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAboutData(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCalendarSystem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAuth__ActionReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProtocolInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KDateTime(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KService(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCurrencyCode(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLibLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCmdLineArgs(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEncodingProber(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KSycoca(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KMimeType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCoreConfigSkeleton__ItemString(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAuth__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProtocolInfo__ExtraField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEncodingDetector(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KGlobal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KComponentData(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Sonnet__Speller(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KAboutData(Smoke::Index, void*, Smoke::Stack);
void xcall_KAboutLicense(Smoke::Index, void*, Smoke::Stack);
void xcall_KAboutPerson(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__ActionReply(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__ActionWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuthorized(Smoke::Index, void*, Smoke::Stack);
void xcall_KAutoSaveFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KAutostart(Smoke::Index, void*, Smoke::Stack);
void xcall_KCalendarSystem(Smoke::Index, void*, Smoke::Stack);
void xcall_KCharMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_KCharsets(Smoke::Index, void*, Smoke::Stack);
void xcall_KCmdLineArgs(Smoke::Index, void*, Smoke::Stack);
void xcall_KCmdLineOptions(Smoke::Index, void*, Smoke::Stack);
void xcall_KCodecs(Smoke::Index, void*, Smoke::Stack);
void xcall_KComponentData(Smoke::Index, void*, Smoke::Stack);
void xcall_KCompositeJob(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigSkeletonItem(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemBool(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemDateTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemDouble(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum__Choice(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum__Choice2(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemInt(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemIntList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemLongLong(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPassword(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPath(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPathList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemProperty(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemRect(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemSize(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemString(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemStringList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUInt(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemULongLong(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUrl(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUrlList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCurrencyCode(Smoke::Index, void*, Smoke::Stack);
void xcall_KDE(Smoke::Index, void*, Smoke::Stack);
void xcall_KDEDModule(Smoke::Index, void*, Smoke::Stack);
void xcall_KDEPluginVerificationData(Smoke::Index, void*, Smoke::Stack);
void xcall_KDateTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KDateTime__Spec(Smoke::Index, void*, Smoke::Stack);
void xcall_KDebug(Smoke::Index, void*, Smoke::Stack);
void xcall_KDebugTag(Smoke::Index, void*, Smoke::Stack);
void xcall_KDesktopFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KEncodingDetector(Smoke::Index, void*, Smoke::Stack);
void xcall_KEncodingProber(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilterBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilterDev(Smoke::Index, void*, Smoke::Stack);
void xcall_KGlobal(Smoke::Index, void*, Smoke::Stack);
void xcall_KJob(Smoke::Index, void*, Smoke::Stack);
void xcall_KJobTrackerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KJobUiDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_KLibLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_KLibrary(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalSocketServer(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocale(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalizedString(Smoke::Index, void*, Smoke::Stack);
void xcall_KLockFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KMD5(Smoke::Index, void*, Smoke::Stack);
void xcall_KMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_KMacroExpanderBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_KMessageHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_KMimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_KMimeTypeTrader(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_KProcess(Smoke::Index, void*, Smoke::Stack);
void xcall_KProtocolInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_KProtocolInfo__ExtraField(Smoke::Index, void*, Smoke::Stack);
void xcall_KRandom(Smoke::Index, void*, Smoke::Stack);
void xcall_KRandomSequence(Smoke::Index, void*, Smoke::Stack);
void xcall_KSaveFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KService(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceAction(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceType(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceTypeTrader(Smoke::Index, void*, Smoke::Stack);
void xcall_KSharedConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_KShell(Smoke::Index, void*, Smoke::Stack);
void xcall_KSocketFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_KSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_KSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_KSslErrorUiData(Smoke::Index, void*, Smoke::Stack);
void xcall_KSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_KStandardDirs(Smoke::Index, void*, Smoke::Stack);
void xcall_KStringHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_KSycoca(Smoke::Index, void*, Smoke::Stack);
void xcall_KSycocaEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZones(Smoke::Index, void*, Smoke::Stack);
void xcall_KTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_KTempDir(Smoke::Index, void*, Smoke::Stack);
void xcall_KTemporaryFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__LeapSeconds(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__Phase(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__Transition(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneData(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZones(Smoke::Index, void*, Smoke::Stack);
void xcall_KToolInvocation(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KUrl(Smoke::Index, void*, Smoke::Stack);
void xcall_KUser(Smoke::Index, void*, Smoke::Stack);
void xcall_KUserGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KWordMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_OrgKdeKLauncherInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet__BackgroundChecker(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet__Speller(Smoke::Index, void*, Smoke::Stack);
void xcall_kndbgstream(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", false, 0, xcall_KAboutData, xenum_KAboutData, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutData) },	//1
    { "KAboutLicense", false, 0, xcall_KAboutLicense, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutLicense) },	//2
    { "KAboutPerson", false, 0, xcall_KAboutPerson, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutPerson) },	//3
    { "KAuth::Action", false, 0, xcall_KAuth__Action, xenum_KAuth__Action, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAuth::Action) },	//4
    { "KAuth::ActionReply", false, 0, xcall_KAuth__ActionReply, xenum_KAuth__ActionReply, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KAuth::ActionReply) },	//5
    { "KAuth::ActionWatcher", false, 1, xcall_KAuth__ActionWatcher, 0, Smoke::cf_virtual, sizeof(KAuth::ActionWatcher) },	//6
    { "KAuthorized", false, 0, xcall_KAuthorized, 0, Smoke::cf_namespace, 0 },	//7
    { "KAutoSaveFile", false, 3, xcall_KAutoSaveFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KAutoSaveFile) },	//8
    { "KAutostart", false, 1, xcall_KAutostart, xenum_KAutostart, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KAutostart) },	//9
    { "KCalendarSystem", false, 0, xcall_KCalendarSystem, xenum_KCalendarSystem, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCalendarSystem) },	//10
    { "KCalendarSystemPrivate", true, 0, 0, 0, 0, 0 },	//11
    { "KCharMacroExpander", false, 5, xcall_KCharMacroExpander, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCharMacroExpander) },	//12
    { "KCharsets", false, 0, xcall_KCharsets, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCharsets) },	//13
    { "KCmdLineArgs", false, 0, xcall_KCmdLineArgs, xenum_KCmdLineArgs, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCmdLineArgs) },	//14
    { "KCmdLineOptions", false, 0, xcall_KCmdLineOptions, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCmdLineOptions) },	//15
    { "KCodecs", false, 0, xcall_KCodecs, 0, Smoke::cf_namespace, 0 },	//16
    { "KComponentData", false, 0, xcall_KComponentData, xenum_KComponentData, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KComponentData) },	//17
    { "KCompositeJob", false, 7, xcall_KCompositeJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCompositeJob) },	//18
    { "KCompositeJobPrivate", true, 0, 0, 0, 0, 0 },	//19
    { "KConfig", false, 9, xcall_KConfig, xenum_KConfig, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KConfig) },	//20
    { "KConfigBase", false, 0, xcall_KConfigBase, xenum_KConfigBase, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigBase) },	//21
    { "KConfigGroup", false, 9, xcall_KConfigGroup, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigGroup) },	//22
    { "KConfigPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "KConfigSkeletonItem", false, 0, xcall_KConfigSkeletonItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigSkeletonItem) },	//24
    { "KCoreConfigSkeleton", false, 1, xcall_KCoreConfigSkeleton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCoreConfigSkeleton) },	//25
    { "KCoreConfigSkeleton::ItemBool", false, 11, xcall_KCoreConfigSkeleton__ItemBool, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemBool) },	//26
    { "KCoreConfigSkeleton::ItemDateTime", false, 11, xcall_KCoreConfigSkeleton__ItemDateTime, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemDateTime) },	//27
    { "KCoreConfigSkeleton::ItemDouble", false, 11, xcall_KCoreConfigSkeleton__ItemDouble, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemDouble) },	//28
    { "KCoreConfigSkeleton::ItemEnum", false, 13, xcall_KCoreConfigSkeleton__ItemEnum, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum) },	//29
    { "KCoreConfigSkeleton::ItemEnum::Choice", false, 0, xcall_KCoreConfigSkeleton__ItemEnum__Choice, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum::Choice) },	//30
    { "KCoreConfigSkeleton::ItemEnum::Choice2", false, 0, xcall_KCoreConfigSkeleton__ItemEnum__Choice2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum::Choice2) },	//31
    { "KCoreConfigSkeleton::ItemInt", false, 11, xcall_KCoreConfigSkeleton__ItemInt, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemInt) },	//32
    { "KCoreConfigSkeleton::ItemIntList", false, 11, xcall_KCoreConfigSkeleton__ItemIntList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemIntList) },	//33
    { "KCoreConfigSkeleton::ItemLongLong", false, 11, xcall_KCoreConfigSkeleton__ItemLongLong, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemLongLong) },	//34
    { "KCoreConfigSkeleton::ItemPassword", false, 15, xcall_KCoreConfigSkeleton__ItemPassword, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPassword) },	//35
    { "KCoreConfigSkeleton::ItemPath", false, 15, xcall_KCoreConfigSkeleton__ItemPath, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPath) },	//36
    { "KCoreConfigSkeleton::ItemPathList", false, 17, xcall_KCoreConfigSkeleton__ItemPathList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPathList) },	//37
    { "KCoreConfigSkeleton::ItemPoint", false, 11, xcall_KCoreConfigSkeleton__ItemPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPoint) },	//38
    { "KCoreConfigSkeleton::ItemProperty", false, 11, xcall_KCoreConfigSkeleton__ItemProperty, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemProperty) },	//39
    { "KCoreConfigSkeleton::ItemRect", false, 11, xcall_KCoreConfigSkeleton__ItemRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemRect) },	//40
    { "KCoreConfigSkeleton::ItemSize", false, 11, xcall_KCoreConfigSkeleton__ItemSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemSize) },	//41
    { "KCoreConfigSkeleton::ItemString", false, 11, xcall_KCoreConfigSkeleton__ItemString, xenum_KCoreConfigSkeleton__ItemString, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemString) },	//42
    { "KCoreConfigSkeleton::ItemStringList", false, 11, xcall_KCoreConfigSkeleton__ItemStringList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemStringList) },	//43
    { "KCoreConfigSkeleton::ItemUInt", false, 11, xcall_KCoreConfigSkeleton__ItemUInt, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUInt) },	//44
    { "KCoreConfigSkeleton::ItemULongLong", false, 11, xcall_KCoreConfigSkeleton__ItemULongLong, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemULongLong) },	//45
    { "KCoreConfigSkeleton::ItemUrl", false, 11, xcall_KCoreConfigSkeleton__ItemUrl, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUrl) },	//46
    { "KCoreConfigSkeleton::ItemUrlList", false, 11, xcall_KCoreConfigSkeleton__ItemUrlList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUrlList) },	//47
    { "KCurrencyCode", false, 0, xcall_KCurrencyCode, xenum_KCurrencyCode, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCurrencyCode) },	//48
    { "KDE", false, 0, xcall_KDE, 0, Smoke::cf_namespace, 0 },	//49
    { "KDEDModule", false, 1, xcall_KDEDModule, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDEDModule) },	//50
    { "KDEPluginVerificationData", false, 0, xcall_KDEPluginVerificationData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDEPluginVerificationData) },	//51
    { "KDateTime", false, 0, xcall_KDateTime, xenum_KDateTime, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDateTime) },	//52
    { "KDateTime::Spec", false, 0, xcall_KDateTime__Spec, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDateTime::Spec) },	//53
    { "KDebug", false, 0, xcall_KDebug, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDebug) },	//54
    { "KDebugTag", false, 0, xcall_KDebugTag, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDebugTag) },	//55
    { "KDesktopFile", false, 19, xcall_KDesktopFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDesktopFile) },	//56
    { "KEncodingDetector", false, 0, xcall_KEncodingDetector, xenum_KEncodingDetector, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KEncodingDetector) },	//57
    { "KEncodingProber", false, 0, xcall_KEncodingProber, xenum_KEncodingProber, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KEncodingProber) },	//58
    { "KFilterBase", false, 0, xcall_KFilterBase, xenum_KFilterBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilterBase) },	//59
    { "KFilterDev", false, 21, xcall_KFilterDev, 0, Smoke::cf_virtual, sizeof(KFilterDev) },	//60
    { "KGlobal", false, 0, xcall_KGlobal, xenum_KGlobal, Smoke::cf_namespace, 0 },	//61
    { "KJob", false, 1, xcall_KJob, xenum_KJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJob) },	//62
    { "KJobPrivate", true, 0, 0, 0, 0, 0 },	//63
    { "KJobTrackerInterface", false, 1, xcall_KJobTrackerInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJobTrackerInterface) },	//64
    { "KJobUiDelegate", false, 1, xcall_KJobUiDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJobUiDelegate) },	//65
    { "KLibLoader", false, 1, xcall_KLibLoader, xenum_KLibLoader, Smoke::cf_virtual, sizeof(KLibLoader) },	//66
    { "KLibrary", false, 23, xcall_KLibrary, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLibrary) },	//67
    { "KLocalSocket", false, 25, xcall_KLocalSocket, xenum_KLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLocalSocket) },	//68
    { "KLocalSocketServer", false, 1, xcall_KLocalSocketServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLocalSocketServer) },	//69
    { "KLocale", false, 0, xcall_KLocale, xenum_KLocale, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KLocale) },	//70
    { "KLocalizedString", false, 0, xcall_KLocalizedString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KLocalizedString) },	//71
    { "KLockFile", false, 27, xcall_KLockFile, xenum_KLockFile, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KLockFile) },	//72
    { "KMD5", false, 0, xcall_KMD5, 0, Smoke::cf_constructor, sizeof(KMD5) },	//73
    { "KMacroExpander", false, 0, xcall_KMacroExpander, 0, Smoke::cf_namespace, 0 },	//74
    { "KMacroExpanderBase", false, 0, xcall_KMacroExpanderBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KMacroExpanderBase) },	//75
    { "KMessage", false, 0, xcall_KMessage, xenum_KMessage, Smoke::cf_namespace, 0 },	//76
    { "KMessageHandler", false, 0, xcall_KMessageHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KMessageHandler) },	//77
    { "KMimeType", false, 29, xcall_KMimeType, xenum_KMimeType, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KMimeType) },	//78
    { "KMimeTypePrivate", true, 0, 0, 0, 0, 0 },	//79
    { "KMimeTypeTrader", false, 0, xcall_KMimeTypeTrader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KMimeTypeTrader) },	//80
    { "KParts::Part", true, 0, 0, 0, 0, 0 },	//81
    { "KPluginFactory", false, 1, xcall_KPluginFactory, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginFactory) },	//82
    { "KPluginFactoryPrivate", true, 0, 0, 0, 0, 0 },	//83
    { "KPluginInfo", false, 0, xcall_KPluginInfo, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KPluginInfo) },	//84
    { "KPluginLoader", false, 31, xcall_KPluginLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginLoader) },	//85
    { "KProcess", false, 33, xcall_KProcess, xenum_KProcess, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KProcess) },	//86
    { "KProcessPrivate", true, 0, 0, 0, 0, 0 },	//87
    { "KProtocolInfo", false, 35, xcall_KProtocolInfo, xenum_KProtocolInfo, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KProtocolInfo) },	//88
    { "KProtocolInfo::ExtraField", false, 0, xcall_KProtocolInfo__ExtraField, xenum_KProtocolInfo__ExtraField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KProtocolInfo::ExtraField) },	//89
    { "KRandom", false, 0, xcall_KRandom, 0, Smoke::cf_namespace, 0 },	//90
    { "KRandomSequence", false, 0, xcall_KRandomSequence, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KRandomSequence) },	//91
    { "KSaveFile", false, 3, xcall_KSaveFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSaveFile) },	//92
    { "KService", false, 35, xcall_KService, xenum_KService, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KService) },	//93
    { "KServiceAction", false, 0, xcall_KServiceAction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KServiceAction) },	//94
    { "KServiceGroup", false, 35, xcall_KServiceGroup, xenum_KServiceGroup, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KServiceGroup) },	//95
    { "KServiceType", false, 35, xcall_KServiceType, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KServiceType) },	//96
    { "KServiceTypePrivate", true, 0, 0, 0, 0, 0 },	//97
    { "KServiceTypeTrader", false, 0, xcall_KServiceTypeTrader, 0, 0, sizeof(KServiceTypeTrader) },	//98
    { "KSharedConfig", false, 37, xcall_KSharedConfig, 0, Smoke::cf_virtual, sizeof(KSharedConfig) },	//99
    { "KShell", false, 0, xcall_KShell, xenum_KShell, Smoke::cf_namespace, 0 },	//100
    { "KSocketFactory", false, 0, xcall_KSocketFactory, 0, Smoke::cf_namespace, 0 },	//101
    { "KSslCipher", false, 0, xcall_KSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KSslCipher) },	//102
    { "KSslError", false, 0, xcall_KSslError, xenum_KSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KSslError) },	//103
    { "KSslErrorUiData", false, 0, xcall_KSslErrorUiData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KSslErrorUiData) },	//104
    { "KSslKey", false, 0, xcall_KSslKey, xenum_KSslKey, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KSslKey) },	//105
    { "KStandardDirs", false, 0, xcall_KStandardDirs, xenum_KStandardDirs, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KStandardDirs) },	//106
    { "KStringHandler", false, 0, xcall_KStringHandler, 0, Smoke::cf_namespace, 0 },	//107
    { "KSycoca", false, 1, xcall_KSycoca, xenum_KSycoca, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSycoca) },	//108
    { "KSycocaEntry", false, 27, xcall_KSycocaEntry, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSycocaEntry) },	//109
    { "KSycocaEntryPrivate", true, 0, 0, 0, 0, 0 },	//110
    { "KSycocaFactory", true, 0, 0, 0, 0, 0 },	//111
    { "KSycocaFactoryList", true, 0, 0, 0, 0, 0 },	//112
    { "KSystemTimeZone", false, 40, xcall_KSystemTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZone) },	//113
    { "KSystemTimeZoneBackend", false, 42, xcall_KSystemTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZoneBackend) },	//114
    { "KSystemTimeZoneSource", false, 44, xcall_KSystemTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZoneSource) },	//115
    { "KSystemTimeZones", false, 1, xcall_KSystemTimeZones, 0, Smoke::cf_virtual, sizeof(KSystemTimeZones) },	//116
    { "KTcpSocket", false, 21, xcall_KTcpSocket, xenum_KTcpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTcpSocket) },	//117
    { "KTempDir", false, 0, xcall_KTempDir, 0, Smoke::cf_constructor, sizeof(KTempDir) },	//118
    { "KTemporaryFile", false, 46, xcall_KTemporaryFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTemporaryFile) },	//119
    { "KTimeZone", false, 0, xcall_KTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZone) },	//120
    { "KTimeZone::LeapSeconds", false, 0, xcall_KTimeZone__LeapSeconds, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::LeapSeconds) },	//121
    { "KTimeZone::Phase", false, 0, xcall_KTimeZone__Phase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::Phase) },	//122
    { "KTimeZone::Transition", false, 0, xcall_KTimeZone__Transition, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::Transition) },	//123
    { "KTimeZoneBackend", false, 0, xcall_KTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneBackend) },	//124
    { "KTimeZoneData", false, 0, xcall_KTimeZoneData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneData) },	//125
    { "KTimeZoneSource", false, 0, xcall_KTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneSource) },	//126
    { "KTimeZones", false, 0, xcall_KTimeZones, 0, Smoke::cf_constructor, sizeof(KTimeZones) },	//127
    { "KToolInvocation", false, 1, xcall_KToolInvocation, 0, Smoke::cf_virtual, sizeof(KToolInvocation) },	//128
    { "KTzfileTimeZone", false, 40, xcall_KTzfileTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZone) },	//129
    { "KTzfileTimeZoneBackend", false, 42, xcall_KTzfileTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZoneBackend) },	//130
    { "KTzfileTimeZoneSource", false, 44, xcall_KTzfileTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZoneSource) },	//131
    { "KUrl", false, 48, xcall_KUrl, xenum_KUrl, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUrl) },	//132
    { "KUser", false, 0, xcall_KUser, xenum_KUser, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUser) },	//133
    { "KUserGroup", false, 0, xcall_KUserGroup, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUserGroup) },	//134
    { "KWordMacroExpander", false, 5, xcall_KWordMacroExpander, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KWordMacroExpander) },	//135
    { "OrgKdeKLauncherInterface", false, 50, xcall_OrgKdeKLauncherInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(OrgKdeKLauncherInterface) },	//136
    { "QAbstractFileEngine", true, 0, 0, 0, 0, 0 },	//137
    { "QAbstractSocket", true, 0, 0, 0, 0, 0 },	//138
    { "QAuthenticator", true, 0, 0, 0, 0, 0 },	//139
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//140
    { "QBool", true, 0, 0, 0, 0, 0 },	//141
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//142
    { "QChar", true, 0, 0, 0, 0, 0 },	//143
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//144
    { "QDBusAbstractInterface", true, 0, 0, 0, 0, 0 },	//145
    { "QDBusArgument", true, 0, 0, 0, 0, 0 },	//146
    { "QDBusConnection", true, 0, 0, 0, 0, 0 },	//147
    { "QDBusObjectPath", true, 0, 0, 0, 0, 0 },	//148
    { "QDBusSignature", true, 0, 0, 0, 0, 0 },	//149
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//150
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//151
    { "QDate", true, 0, 0, 0, 0, 0 },	//152
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//153
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//154
    { "QEvent", true, 0, 0, 0, 0, 0 },	//155
    { "QFile", true, 0, 0, 0, 0, 0 },	//156
    { "QFileInfo", true, 0, 0, 0, 0, 0 },	//157
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//158
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//159
    { "QHostAddress", true, 0, 0, 0, 0, 0 },	//160
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//161
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//162
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//163
    { "QLibrary", true, 0, 0, 0, 0, 0 },	//164
    { "QLine", true, 0, 0, 0, 0, 0 },	//165
    { "QLineF", true, 0, 0, 0, 0, 0 },	//166
    { "QLocale", true, 0, 0, 0, 0, 0 },	//167
    { "QMargins", true, 0, 0, 0, 0, 0 },	//168
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//169
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//170
    { "QNetworkProxy", true, 0, 0, 0, 0, 0 },	//171
    { "QObject", true, 0, 0, 0, 0, 0 },	//172
    { "QPluginLoader", true, 0, 0, 0, 0, 0 },	//173
    { "QPoint", true, 0, 0, 0, 0, 0 },	//174
    { "QPointF", true, 0, 0, 0, 0, 0 },	//175
    { "QProcess", true, 0, 0, 0, 0, 0 },	//176
    { "QRect", true, 0, 0, 0, 0, 0 },	//177
    { "QRectF", true, 0, 0, 0, 0, 0 },	//178
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//179
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//180
    { "QSize", true, 0, 0, 0, 0, 0 },	//181
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//182
    { "QSslCertificate", true, 0, 0, 0, 0, 0 },	//183
    { "QSslCipher", true, 0, 0, 0, 0, 0 },	//184
    { "QSslError", true, 0, 0, 0, 0, 0 },	//185
    { "QSslKey", true, 0, 0, 0, 0, 0 },	//186
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//187
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//188
    { "QTcpServer", true, 0, 0, 0, 0, 0 },	//189
    { "QTcpSocket", true, 0, 0, 0, 0, 0 },	//190
    { "QTemporaryFile", true, 0, 0, 0, 0, 0 },	//191
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//192
    { "QTextDecoder", true, 0, 0, 0, 0, 0 },	//193
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//194
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//195
    { "QTime", true, 0, 0, 0, 0, 0 },	//196
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//197
    { "QUdpSocket", true, 0, 0, 0, 0, 0 },	//198
    { "QUrl", true, 0, 0, 0, 0, 0 },	//199
    { "QUuid", true, 0, 0, 0, 0, 0 },	//200
    { "QVariant", true, 0, 0, 0, 0, 0 },	//201
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//202
    { "QWidget", true, 0, 0, 0, 0, 0 },	//203
    { "Sonnet", false, 0, xcall_Sonnet, 0, Smoke::cf_namespace, 0 },	//204
    { "Sonnet::BackgroundChecker", false, 1, xcall_Sonnet__BackgroundChecker, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Sonnet::BackgroundChecker) },	//205
    { "Sonnet::Speller", false, 0, xcall_Sonnet__Speller, xenum_Sonnet__Speller, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Sonnet::Speller) },	//206
    { "_IO_FILE", true, 0, 0, 0, 0, 0 },	//207
    { "group", true, 0, 0, 0, 0, 0 },	//208
    { "kndbgstream", false, 0, xcall_kndbgstream, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(kndbgstream) },	//209
    { "passwd", true, 0, 0, 0, 0, 0 },	//210
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//211
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//212
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "DatabaseType", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "FileNameUsedForCopying", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "KAboutData&", 1, Smoke::t_class|Smoke::tf_ref },	//3
    { "KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KAboutData::LicenseKey", 1, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KAboutData::NameFormat", 1, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KAboutLicense", 2, Smoke::t_class|Smoke::tf_stack },	//7
    { "KAboutLicense&", 2, Smoke::t_class|Smoke::tf_ref },	//8
    { "KAboutLicense*", 2, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KAboutPerson&", 3, Smoke::t_class|Smoke::tf_ref },	//10
    { "KAboutPerson*", 3, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KAuth::Action&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "KAuth::Action*", 4, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KAuth::Action::AuthStatus", 4, Smoke::t_enum|Smoke::tf_stack },	//14
    { "KAuth::ActionReply", 5, Smoke::t_class|Smoke::tf_stack },	//15
    { "KAuth::ActionReply&", 5, Smoke::t_class|Smoke::tf_ref },	//16
    { "KAuth::ActionReply*", 5, Smoke::t_class|Smoke::tf_ptr },	//17
    { "KAuth::ActionReply::Error", 5, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KAuth::ActionReply::Type", 5, Smoke::t_enum|Smoke::tf_stack },	//19
    { "KAuth::ActionWatcher*", 6, Smoke::t_class|Smoke::tf_ptr },	//20
    { "KAutoSaveFile*", 8, Smoke::t_class|Smoke::tf_ptr },	//21
    { "KAutostart*", 9, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KAutostart::Condition", 9, Smoke::t_enum|Smoke::tf_stack },	//23
    { "KAutostart::StartPhase", 9, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KCalendarSystem*", 10, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KCalendarSystem::MonthNameFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KCalendarSystem::StringFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KCalendarSystem::WeekDayNameFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KCalendarSystemPrivate&", 11, Smoke::t_class|Smoke::tf_ref },	//29
    { "KCharMacroExpander*", 12, Smoke::t_class|Smoke::tf_ptr },	//30
    { "KCharsets*", 13, Smoke::t_class|Smoke::tf_ptr },	//31
    { "KCmdLineArgs*", 14, Smoke::t_class|Smoke::tf_ptr },	//32
    { "KCmdLineArgs::StdCmdLineArg", 14, Smoke::t_enum|Smoke::tf_stack },	//33
    { "KCmdLineOptions&", 15, Smoke::t_class|Smoke::tf_ref },	//34
    { "KCmdLineOptions*", 15, Smoke::t_class|Smoke::tf_ptr },	//35
    { "KComponentData", 17, Smoke::t_class|Smoke::tf_stack },	//36
    { "KComponentData&", 17, Smoke::t_class|Smoke::tf_ref },	//37
    { "KComponentData*", 17, Smoke::t_class|Smoke::tf_ptr },	//38
    { "KComponentData::MainComponentRegistration", 17, Smoke::t_enum|Smoke::tf_stack },	//39
    { "KCompositeJob*", 18, Smoke::t_class|Smoke::tf_ptr },	//40
    { "KCompositeJobPrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//41
    { "KConfig*", 20, Smoke::t_class|Smoke::tf_ptr },	//42
    { "KConfig::OpenFlag", 20, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KConfigBase*", 21, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KConfigBase::AccessMode", 21, Smoke::t_enum|Smoke::tf_stack },	//45
    { "KConfigBase::WriteConfigFlag", 21, Smoke::t_enum|Smoke::tf_stack },	//46
    { "KConfigGroup", 22, Smoke::t_class|Smoke::tf_stack },	//47
    { "KConfigGroup&", 22, Smoke::t_class|Smoke::tf_ref },	//48
    { "KConfigGroup*", 22, Smoke::t_class|Smoke::tf_ptr },	//49
    { "KConfigPrivate&", 23, Smoke::t_class|Smoke::tf_ref },	//50
    { "KConfigSkeletonItem*", 24, Smoke::t_class|Smoke::tf_ptr },	//51
    { "KCoreConfigSkeleton*", 25, Smoke::t_class|Smoke::tf_ptr },	//52
    { "KCoreConfigSkeleton::ItemBool*", 26, Smoke::t_class|Smoke::tf_ptr },	//53
    { "KCoreConfigSkeleton::ItemDateTime*", 27, Smoke::t_class|Smoke::tf_ptr },	//54
    { "KCoreConfigSkeleton::ItemDouble*", 28, Smoke::t_class|Smoke::tf_ptr },	//55
    { "KCoreConfigSkeleton::ItemEnum*", 29, Smoke::t_class|Smoke::tf_ptr },	//56
    { "KCoreConfigSkeleton::ItemEnum::Choice*", 30, Smoke::t_class|Smoke::tf_ptr },	//57
    { "KCoreConfigSkeleton::ItemEnum::Choice2*", 31, Smoke::t_class|Smoke::tf_ptr },	//58
    { "KCoreConfigSkeleton::ItemInt*", 32, Smoke::t_class|Smoke::tf_ptr },	//59
    { "KCoreConfigSkeleton::ItemIntList*", 33, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KCoreConfigSkeleton::ItemLongLong*", 34, Smoke::t_class|Smoke::tf_ptr },	//61
    { "KCoreConfigSkeleton::ItemPassword*", 35, Smoke::t_class|Smoke::tf_ptr },	//62
    { "KCoreConfigSkeleton::ItemPath*", 36, Smoke::t_class|Smoke::tf_ptr },	//63
    { "KCoreConfigSkeleton::ItemPathList*", 37, Smoke::t_class|Smoke::tf_ptr },	//64
    { "KCoreConfigSkeleton::ItemPoint*", 38, Smoke::t_class|Smoke::tf_ptr },	//65
    { "KCoreConfigSkeleton::ItemProperty*", 39, Smoke::t_class|Smoke::tf_ptr },	//66
    { "KCoreConfigSkeleton::ItemRect*", 40, Smoke::t_class|Smoke::tf_ptr },	//67
    { "KCoreConfigSkeleton::ItemSize*", 41, Smoke::t_class|Smoke::tf_ptr },	//68
    { "KCoreConfigSkeleton::ItemString*", 42, Smoke::t_class|Smoke::tf_ptr },	//69
    { "KCoreConfigSkeleton::ItemString::Type", 42, Smoke::t_enum|Smoke::tf_stack },	//70
    { "KCoreConfigSkeleton::ItemStringList*", 43, Smoke::t_class|Smoke::tf_ptr },	//71
    { "KCoreConfigSkeleton::ItemUInt*", 44, Smoke::t_class|Smoke::tf_ptr },	//72
    { "KCoreConfigSkeleton::ItemULongLong*", 45, Smoke::t_class|Smoke::tf_ptr },	//73
    { "KCoreConfigSkeleton::ItemUrl*", 46, Smoke::t_class|Smoke::tf_ptr },	//74
    { "KCoreConfigSkeleton::ItemUrlList*", 47, Smoke::t_class|Smoke::tf_ptr },	//75
    { "KCurrencyCode&", 48, Smoke::t_class|Smoke::tf_ref },	//76
    { "KCurrencyCode*", 48, Smoke::t_class|Smoke::tf_ptr },	//77
    { "KCurrencyCode::CurrencyStatus", 48, Smoke::t_enum|Smoke::tf_stack },	//78
    { "KDEDModule*", 50, Smoke::t_class|Smoke::tf_ptr },	//79
    { "KDEPluginVerificationData*", 51, Smoke::t_class|Smoke::tf_ptr },	//80
    { "KDateTime", 52, Smoke::t_class|Smoke::tf_stack },	//81
    { "KDateTime&", 52, Smoke::t_class|Smoke::tf_ref },	//82
    { "KDateTime*", 52, Smoke::t_class|Smoke::tf_ptr },	//83
    { "KDateTime::Comparison", 52, Smoke::t_enum|Smoke::tf_stack },	//84
    { "KDateTime::Spec", 53, Smoke::t_class|Smoke::tf_stack },	//85
    { "KDateTime::Spec&", 53, Smoke::t_class|Smoke::tf_ref },	//86
    { "KDateTime::Spec*", 53, Smoke::t_class|Smoke::tf_ptr },	//87
    { "KDateTime::SpecType", 52, Smoke::t_enum|Smoke::tf_stack },	//88
    { "KDateTime::TimeFormat", 52, Smoke::t_enum|Smoke::tf_stack },	//89
    { "KDebug*", 54, Smoke::t_class|Smoke::tf_ptr },	//90
    { "KDebugTag*", 55, Smoke::t_class|Smoke::tf_ptr },	//91
    { "KDesktopFile*", 56, Smoke::t_class|Smoke::tf_ptr },	//92
    { "KEncodingDetector*", 57, Smoke::t_class|Smoke::tf_ptr },	//93
    { "KEncodingDetector::AutoDetectScript", 57, Smoke::t_enum|Smoke::tf_stack },	//94
    { "KEncodingDetector::EncodingChoiceSource", 57, Smoke::t_enum|Smoke::tf_stack },	//95
    { "KEncodingProber*", 58, Smoke::t_class|Smoke::tf_ptr },	//96
    { "KEncodingProber::ProberState", 58, Smoke::t_enum|Smoke::tf_stack },	//97
    { "KEncodingProber::ProberType", 58, Smoke::t_enum|Smoke::tf_stack },	//98
    { "KFilterBase*", 59, Smoke::t_class|Smoke::tf_ptr },	//99
    { "KFilterBase::FilterFlags", 59, Smoke::t_enum|Smoke::tf_stack },	//100
    { "KFilterBase::Result", 59, Smoke::t_enum|Smoke::tf_stack },	//101
    { "KGlobal::CopyCatalogs", 61, Smoke::t_enum|Smoke::tf_stack },	//102
    { "KJob*", 62, Smoke::t_class|Smoke::tf_ptr },	//103
    { "KJob::Capability", 62, Smoke::t_enum|Smoke::tf_stack },	//104
    { "KJob::KillVerbosity", 62, Smoke::t_enum|Smoke::tf_stack },	//105
    { "KJob::Unit", 62, Smoke::t_enum|Smoke::tf_stack },	//106
    { "KJobPrivate&", 63, Smoke::t_class|Smoke::tf_ref },	//107
    { "KJobTrackerInterface*", 64, Smoke::t_class|Smoke::tf_ptr },	//108
    { "KJobUiDelegate*", 65, Smoke::t_class|Smoke::tf_ptr },	//109
    { "KLibLoader*", 66, Smoke::t_class|Smoke::tf_ptr },	//110
    { "KLibLoader::ComponentLoadingError", 66, Smoke::t_enum|Smoke::tf_stack },	//111
    { "KLibrary*", 67, Smoke::t_class|Smoke::tf_ptr },	//112
    { "KLocalSocket*", 68, Smoke::t_class|Smoke::tf_ptr },	//113
    { "KLocalSocket::LocalSocketType", 68, Smoke::t_enum|Smoke::tf_stack },	//114
    { "KLocalSocketServer*", 69, Smoke::t_class|Smoke::tf_ptr },	//115
    { "KLocale&", 70, Smoke::t_class|Smoke::tf_ref },	//116
    { "KLocale*", 70, Smoke::t_class|Smoke::tf_ptr },	//117
    { "KLocale::BinarySizeUnits", 70, Smoke::t_enum|Smoke::tf_stack },	//118
    { "KLocale::BinaryUnitDialect", 70, Smoke::t_enum|Smoke::tf_stack },	//119
    { "KLocale::DateFormat", 70, Smoke::t_enum|Smoke::tf_stack },	//120
    { "KLocale::DateTimeFormatOption", 70, Smoke::t_enum|Smoke::tf_stack },	//121
    { "KLocale::DateTimeFormatStandard", 70, Smoke::t_enum|Smoke::tf_stack },	//122
    { "KLocale::DigitSet", 70, Smoke::t_enum|Smoke::tf_stack },	//123
    { "KLocale::MeasureSystem", 70, Smoke::t_enum|Smoke::tf_stack },	//124
    { "KLocale::ReadDateFlags", 70, Smoke::t_enum|Smoke::tf_stack },	//125
    { "KLocale::ReadTimeFlags", 70, Smoke::t_enum|Smoke::tf_stack },	//126
    { "KLocale::SignPosition", 70, Smoke::t_enum|Smoke::tf_stack },	//127
    { "KLocale::TimeFormatOption", 70, Smoke::t_enum|Smoke::tf_stack },	//128
    { "KLocale::TimeProcessingOption", 70, Smoke::t_enum|Smoke::tf_stack },	//129
    { "KLocalizedString", 71, Smoke::t_class|Smoke::tf_stack },	//130
    { "KLocalizedString&", 71, Smoke::t_class|Smoke::tf_ref },	//131
    { "KLocalizedString*", 71, Smoke::t_class|Smoke::tf_ptr },	//132
    { "KLockFile*", 72, Smoke::t_class|Smoke::tf_ptr },	//133
    { "KLockFile::LockFlag", 72, Smoke::t_enum|Smoke::tf_stack },	//134
    { "KLockFile::LockResult", 72, Smoke::t_enum|Smoke::tf_stack },	//135
    { "KMD5*", 73, Smoke::t_class|Smoke::tf_ptr },	//136
    { "KMacroExpanderBase*", 75, Smoke::t_class|Smoke::tf_ptr },	//137
    { "KMessage::MessageType", 76, Smoke::t_enum|Smoke::tf_stack },	//138
    { "KMessageHandler*", 77, Smoke::t_class|Smoke::tf_ptr },	//139
    { "KMimeType*", 78, Smoke::t_class|Smoke::tf_ptr },	//140
    { "KMimeType::FindByNameOption", 78, Smoke::t_enum|Smoke::tf_stack },	//141
    { "KMimeTypePrivate&", 79, Smoke::t_class|Smoke::tf_ref },	//142
    { "KMimeTypeTrader*", 80, Smoke::t_class|Smoke::tf_ptr },	//143
    { "KParts::Part*", 81, Smoke::t_class|Smoke::tf_ptr },	//144
    { "KPluginFactory*", 82, Smoke::t_class|Smoke::tf_ptr },	//145
    { "KPluginFactoryPrivate&", 83, Smoke::t_class|Smoke::tf_ref },	//146
    { "KPluginInfo&", 84, Smoke::t_class|Smoke::tf_ref },	//147
    { "KPluginInfo*", 84, Smoke::t_class|Smoke::tf_ptr },	//148
    { "KPluginLoader*", 85, Smoke::t_class|Smoke::tf_ptr },	//149
    { "KProcess&", 86, Smoke::t_class|Smoke::tf_ref },	//150
    { "KProcess*", 86, Smoke::t_class|Smoke::tf_ptr },	//151
    { "KProcess::OutputChannelMode", 86, Smoke::t_enum|Smoke::tf_stack },	//152
    { "KProcessPrivate*", 87, Smoke::t_class|Smoke::tf_ptr },	//153
    { "KProtocolInfo*", 88, Smoke::t_class|Smoke::tf_ptr },	//154
    { "KProtocolInfo::ExtraField&", 89, Smoke::t_class|Smoke::tf_ref },	//155
    { "KProtocolInfo::ExtraField*", 89, Smoke::t_class|Smoke::tf_ptr },	//156
    { "KProtocolInfo::ExtraField::Type", 89, Smoke::t_enum|Smoke::tf_stack },	//157
    { "KProtocolInfo::FileNameUsedForCopying", 88, Smoke::t_enum|Smoke::tf_stack },	//158
    { "KProtocolInfo::Type", 88, Smoke::t_enum|Smoke::tf_stack },	//159
    { "KRandomSequence&", 91, Smoke::t_class|Smoke::tf_ref },	//160
    { "KRandomSequence*", 91, Smoke::t_class|Smoke::tf_ptr },	//161
    { "KSaveFile*", 92, Smoke::t_class|Smoke::tf_ptr },	//162
    { "KService*", 93, Smoke::t_class|Smoke::tf_ptr },	//163
    { "KService::DBusStartupType", 93, Smoke::t_enum|Smoke::tf_stack },	//164
    { "KServiceAction&", 94, Smoke::t_class|Smoke::tf_ref },	//165
    { "KServiceAction*", 94, Smoke::t_class|Smoke::tf_ptr },	//166
    { "KServiceGroup*", 95, Smoke::t_class|Smoke::tf_ptr },	//167
    { "KServiceGroup::EntriesOption", 95, Smoke::t_enum|Smoke::tf_stack },	//168
    { "KServiceType*", 96, Smoke::t_class|Smoke::tf_ptr },	//169
    { "KServiceTypePrivate&", 97, Smoke::t_class|Smoke::tf_ref },	//170
    { "KServiceTypeTrader*", 98, Smoke::t_class|Smoke::tf_ptr },	//171
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//172
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//173
    { "KSharedPtr<KServiceGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//174
    { "KSharedPtr<KServiceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//175
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//176
    { "KShell::Errors", 100, Smoke::t_enum|Smoke::tf_stack },	//177
    { "KShell::Errors*", 100, Smoke::t_enum|Smoke::tf_ptr },	//178
    { "KShell::Option", 100, Smoke::t_enum|Smoke::tf_stack },	//179
    { "KSslCipher", 102, Smoke::t_class|Smoke::tf_stack },	//180
    { "KSslCipher&", 102, Smoke::t_class|Smoke::tf_ref },	//181
    { "KSslCipher*", 102, Smoke::t_class|Smoke::tf_ptr },	//182
    { "KSslError&", 103, Smoke::t_class|Smoke::tf_ref },	//183
    { "KSslError*", 103, Smoke::t_class|Smoke::tf_ptr },	//184
    { "KSslError::Error", 103, Smoke::t_enum|Smoke::tf_stack },	//185
    { "KSslErrorUiData&", 104, Smoke::t_class|Smoke::tf_ref },	//186
    { "KSslErrorUiData*", 104, Smoke::t_class|Smoke::tf_ptr },	//187
    { "KSslKey", 105, Smoke::t_class|Smoke::tf_stack },	//188
    { "KSslKey&", 105, Smoke::t_class|Smoke::tf_ref },	//189
    { "KSslKey*", 105, Smoke::t_class|Smoke::tf_ptr },	//190
    { "KSslKey::Algorithm", 105, Smoke::t_enum|Smoke::tf_stack },	//191
    { "KSslKey::KeySecrecy", 105, Smoke::t_enum|Smoke::tf_stack },	//192
    { "KStandardDirs*", 106, Smoke::t_class|Smoke::tf_ptr },	//193
    { "KStandardDirs::SearchOption", 106, Smoke::t_enum|Smoke::tf_stack },	//194
    { "KSycoca*", 108, Smoke::t_class|Smoke::tf_ptr },	//195
    { "KSycoca::DatabaseType", 108, Smoke::t_enum|Smoke::tf_stack },	//196
    { "KSycocaEntry*", 109, Smoke::t_class|Smoke::tf_ptr },	//197
    { "KSycocaEntryPrivate&", 110, Smoke::t_class|Smoke::tf_ref },	//198
    { "KSycocaFactory*", 111, Smoke::t_class|Smoke::tf_ptr },	//199
    { "KSycocaFactoryId", 158, Smoke::t_enum|Smoke::tf_stack },	//200
    { "KSycocaFactoryList*", 112, Smoke::t_class|Smoke::tf_ptr },	//201
    { "KSycocaType", 158, Smoke::t_enum|Smoke::tf_stack },	//202
    { "KSycocaType&", 158, Smoke::t_enum|Smoke::tf_ref },	//203
    { "KSystemTimeZone*", 113, Smoke::t_class|Smoke::tf_ptr },	//204
    { "KSystemTimeZoneBackend*", 114, Smoke::t_class|Smoke::tf_ptr },	//205
    { "KSystemTimeZoneSource*", 115, Smoke::t_class|Smoke::tf_ptr },	//206
    { "KTcpSocket*", 117, Smoke::t_class|Smoke::tf_ptr },	//207
    { "KTcpSocket::EncryptionMode", 117, Smoke::t_enum|Smoke::tf_stack },	//208
    { "KTcpSocket::Error", 117, Smoke::t_enum|Smoke::tf_stack },	//209
    { "KTcpSocket::ProxyPolicy", 117, Smoke::t_enum|Smoke::tf_stack },	//210
    { "KTcpSocket::SslVersion", 117, Smoke::t_enum|Smoke::tf_stack },	//211
    { "KTcpSocket::State", 117, Smoke::t_enum|Smoke::tf_stack },	//212
    { "KTempDir*", 118, Smoke::t_class|Smoke::tf_ptr },	//213
    { "KTemporaryFile*", 119, Smoke::t_class|Smoke::tf_ptr },	//214
    { "KTimeZone", 120, Smoke::t_class|Smoke::tf_stack },	//215
    { "KTimeZone&", 120, Smoke::t_class|Smoke::tf_ref },	//216
    { "KTimeZone*", 120, Smoke::t_class|Smoke::tf_ptr },	//217
    { "KTimeZone::LeapSeconds", 121, Smoke::t_class|Smoke::tf_stack },	//218
    { "KTimeZone::LeapSeconds&", 121, Smoke::t_class|Smoke::tf_ref },	//219
    { "KTimeZone::LeapSeconds*", 121, Smoke::t_class|Smoke::tf_ptr },	//220
    { "KTimeZone::Phase", 122, Smoke::t_class|Smoke::tf_stack },	//221
    { "KTimeZone::Phase&", 122, Smoke::t_class|Smoke::tf_ref },	//222
    { "KTimeZone::Phase*", 122, Smoke::t_class|Smoke::tf_ptr },	//223
    { "KTimeZone::Transition&", 123, Smoke::t_class|Smoke::tf_ref },	//224
    { "KTimeZone::Transition*", 123, Smoke::t_class|Smoke::tf_ptr },	//225
    { "KTimeZoneBackend&", 124, Smoke::t_class|Smoke::tf_ref },	//226
    { "KTimeZoneBackend*", 124, Smoke::t_class|Smoke::tf_ptr },	//227
    { "KTimeZoneData&", 125, Smoke::t_class|Smoke::tf_ref },	//228
    { "KTimeZoneData*", 125, Smoke::t_class|Smoke::tf_ptr },	//229
    { "KTimeZoneSource*", 126, Smoke::t_class|Smoke::tf_ptr },	//230
    { "KTimeZones*", 127, Smoke::t_class|Smoke::tf_ptr },	//231
    { "KToolInvocation*", 128, Smoke::t_class|Smoke::tf_ptr },	//232
    { "KTzfileTimeZone*", 129, Smoke::t_class|Smoke::tf_ptr },	//233
    { "KTzfileTimeZoneBackend*", 130, Smoke::t_class|Smoke::tf_ptr },	//234
    { "KTzfileTimeZoneSource*", 131, Smoke::t_class|Smoke::tf_ptr },	//235
    { "KUrl", 132, Smoke::t_class|Smoke::tf_stack },	//236
    { "KUrl&", 132, Smoke::t_class|Smoke::tf_ref },	//237
    { "KUrl*", 132, Smoke::t_class|Smoke::tf_ptr },	//238
    { "KUrl::AdjustPathOption", 132, Smoke::t_enum|Smoke::tf_stack },	//239
    { "KUrl::CleanPathOption", 132, Smoke::t_enum|Smoke::tf_stack },	//240
    { "KUrl::DirectoryOption", 132, Smoke::t_enum|Smoke::tf_stack },	//241
    { "KUrl::EncodedPathAndQueryOption", 132, Smoke::t_enum|Smoke::tf_stack },	//242
    { "KUrl::EqualsOption", 132, Smoke::t_enum|Smoke::tf_stack },	//243
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//244
    { "KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref },	//245
    { "KUrl::MimeDataFlags", 132, Smoke::t_enum|Smoke::tf_stack },	//246
    { "KUrl::QueryItemsOption", 132, Smoke::t_enum|Smoke::tf_stack },	//247
    { "KUser&", 133, Smoke::t_class|Smoke::tf_ref },	//248
    { "KUser*", 133, Smoke::t_class|Smoke::tf_ptr },	//249
    { "KUser::UIDMode", 133, Smoke::t_enum|Smoke::tf_stack },	//250
    { "KUser::UserProperty", 133, Smoke::t_enum|Smoke::tf_stack },	//251
    { "KUserGroup&", 134, Smoke::t_class|Smoke::tf_ref },	//252
    { "KUserGroup*", 134, Smoke::t_class|Smoke::tf_ptr },	//253
    { "KWordMacroExpander*", 135, Smoke::t_class|Smoke::tf_ptr },	//254
    { "OrgKdeKLauncherInterface*", 136, Smoke::t_class|Smoke::tf_ptr },	//255
    { "QAbstractFileEngine*", 137, Smoke::t_class|Smoke::tf_ptr },	//256
    { "QAbstractFileEngine::FileFlag", 137, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QAbstractSocket::SocketError", 138, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QAbstractSocket::SocketOption", 138, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QAuthenticator*", 139, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QBitArray", 140, Smoke::t_class|Smoke::tf_stack },	//261
    { "QBitArray&", 140, Smoke::t_class|Smoke::tf_ref },	//262
    { "QBool", 141, Smoke::t_class|Smoke::tf_stack },	//263
    { "QByteArray", 142, Smoke::t_class|Smoke::tf_stack },	//264
    { "QByteArray&", 142, Smoke::t_class|Smoke::tf_ref },	//265
    { "QChar", 143, Smoke::t_class|Smoke::tf_stack },	//266
    { "QChar&", 143, Smoke::t_class|Smoke::tf_ref },	//267
    { "QChildEvent*", 144, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QDBusArgument&", 146, Smoke::t_class|Smoke::tf_ref },	//270
    { "QDBusConnection::RegisterOption", 147, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QDBusReply<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//272
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//273
    { "QDBusServiceWatcher::WatchModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QDataStream&", 151, Smoke::t_class|Smoke::tf_ref },	//275
    { "QDataStream*", 151, Smoke::t_class|Smoke::tf_ptr },	//276
    { "QDataStream*&", 151, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//277
    { "QDate", 152, Smoke::t_class|Smoke::tf_stack },	//278
    { "QDate&", 152, Smoke::t_class|Smoke::tf_ref },	//279
    { "QDateTime", 153, Smoke::t_class|Smoke::tf_stack },	//280
    { "QDateTime&", 153, Smoke::t_class|Smoke::tf_ref },	//281
    { "QDir::Filter", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "QDir::SortFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "QEasingCurve&", 154, Smoke::t_class|Smoke::tf_ref },	//285
    { "QEvent*", 155, Smoke::t_class|Smoke::tf_ptr },	//286
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "QFile::FileError", 156, Smoke::t_enum|Smoke::tf_stack },	//288
    { "QFile::Permission", 156, Smoke::t_enum|Smoke::tf_stack },	//289
    { "QFlags<KAutostart::Condition>", 0, Smoke::t_uint|Smoke::tf_stack },	//290
    { "QFlags<KCmdLineArgs::StdCmdLineArg>", 0, Smoke::t_uint|Smoke::tf_stack },	//291
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//292
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//293
    { "QFlags<KCurrencyCode::CurrencyStatus>", 0, Smoke::t_uint|Smoke::tf_stack },	//294
    { "QFlags<KJob::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//295
    { "QFlags<KLocale::DateTimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//296
    { "QFlags<KLocale::TimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//297
    { "QFlags<KLocale::TimeProcessingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//298
    { "QFlags<KLockFile::LockFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//299
    { "QFlags<KServiceGroup::EntriesOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//300
    { "QFlags<KShell::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//301
    { "QFlags<KStandardDirs::SearchOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//302
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//303
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//304
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//305
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//306
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//307
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//308
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//309
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//310
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//311
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//312
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//313
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//314
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//315
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//316
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//317
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//318
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//319
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//320
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//321
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//322
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//323
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//324
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//325
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//326
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//327
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//328
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//329
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//330
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//331
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//332
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//333
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//334
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//335
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//336
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//337
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//338
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//339
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//340
    { "QHostAddress", 160, Smoke::t_class|Smoke::tf_stack },	//341
    { "QHostAddress&", 160, Smoke::t_class|Smoke::tf_ref },	//342
    { "QHostAddress::SpecialAddress", 160, Smoke::t_enum|Smoke::tf_stack },	//343
    { "QIODevice&", 161, Smoke::t_class|Smoke::tf_ref },	//344
    { "QIODevice*", 161, Smoke::t_class|Smoke::tf_ptr },	//345
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//346
    { "QIODevice::OpenModeFlag", 161, Smoke::t_enum|Smoke::tf_stack },	//347
    { "QIncompatibleFlag", 162, Smoke::t_class|Smoke::tf_stack },	//348
    { "QLibrary::LoadHint", 164, Smoke::t_enum|Smoke::tf_stack },	//349
    { "QLine&", 165, Smoke::t_class|Smoke::tf_ref },	//350
    { "QLineF&", 166, Smoke::t_class|Smoke::tf_ref },	//351
    { "QList<KAboutLicense>", 0, Smoke::t_voidp|Smoke::tf_stack },	//352
    { "QList<KAboutPerson>", 0, Smoke::t_voidp|Smoke::tf_stack },	//353
    { "QList<KAuth::Action>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//354
    { "QList<KAutoSaveFile*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//355
    { "QList<KConfigSkeletonItem*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//356
    { "QList<KCoreConfigSkeleton::ItemEnum::Choice2>", 0, Smoke::t_voidp|Smoke::tf_stack },	//357
    { "QList<KCoreConfigSkeleton::ItemEnum::Choice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//358
    { "QList<KLocale::DigitSet>", 0, Smoke::t_voidp|Smoke::tf_stack },	//359
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//360
    { "QList<KProtocolInfo::ExtraField>", 0, Smoke::t_voidp|Smoke::tf_stack },	//361
    { "QList<KServiceAction>", 0, Smoke::t_voidp|Smoke::tf_stack },	//362
    { "QList<KSharedPtr<KMimeType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//363
    { "QList<KSharedPtr<KService> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//364
    { "QList<KSharedPtr<KService> >&", 0, Smoke::t_voidp|Smoke::tf_ref },	//365
    { "QList<KSharedPtr<KServiceGroup> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//366
    { "QList<KSharedPtr<KServiceType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//367
    { "QList<KSharedPtr<KSycocaEntry> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//368
    { "QList<KSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//369
    { "QList<KSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//370
    { "QList<KTimeZone::LeapSeconds>", 0, Smoke::t_voidp|Smoke::tf_stack },	//371
    { "QList<KTimeZone::Phase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//372
    { "QList<KTimeZone::Transition>", 0, Smoke::t_voidp|Smoke::tf_stack },	//373
    { "QList<KUser>", 0, Smoke::t_voidp|Smoke::tf_stack },	//374
    { "QList<KUserGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//375
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//376
    { "QList<QDateTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//377
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//378
    { "QList<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//379
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//380
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//381
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//382
    { "QLocale&", 167, Smoke::t_class|Smoke::tf_ref },	//383
    { "QLocale::NumberOption", 167, Smoke::t_enum|Smoke::tf_stack },	//384
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//385
    { "QMap<QString,QVariant::Type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//386
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//387
    { "QMetaObject::Call", 169, Smoke::t_enum|Smoke::tf_stack },	//388
    { "QMimeData*", 170, Smoke::t_class|Smoke::tf_ptr },	//389
    { "QNetworkProxy", 171, Smoke::t_class|Smoke::tf_stack },	//390
    { "QNetworkProxy::Capability", 171, Smoke::t_enum|Smoke::tf_stack },	//391
    { "QObject*", 172, Smoke::t_class|Smoke::tf_ptr },	//392
    { "QPoint&", 174, Smoke::t_class|Smoke::tf_ref },	//393
    { "QPointF&", 175, Smoke::t_class|Smoke::tf_ref },	//394
    { "QRect&", 177, Smoke::t_class|Smoke::tf_ref },	//395
    { "QRectF&", 178, Smoke::t_class|Smoke::tf_ref },	//396
    { "QRegExp&", 179, Smoke::t_class|Smoke::tf_ref },	//397
    { "QSize&", 181, Smoke::t_class|Smoke::tf_ref },	//398
    { "QSizeF&", 182, Smoke::t_class|Smoke::tf_ref },	//399
    { "QSsl::AlternateNameEntryType", 0, Smoke::t_enum|Smoke::tf_stack },	//400
    { "QSsl::EncodingFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//401
    { "QSsl::KeyAlgorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//402
    { "QSsl::KeyType", 0, Smoke::t_enum|Smoke::tf_stack },	//403
    { "QSsl::SslProtocol", 0, Smoke::t_enum|Smoke::tf_stack },	//404
    { "QSslCertificate", 183, Smoke::t_class|Smoke::tf_stack },	//405
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//406
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//407
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//408
    { "QString::Null", 187, Smoke::t_class|Smoke::tf_stack },	//409
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//410
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//411
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//412
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//413
    { "QTcpServer*", 189, Smoke::t_class|Smoke::tf_ptr },	//414
    { "QTcpSocket*", 190, Smoke::t_class|Smoke::tf_ptr },	//415
    { "QTextCodec*", 192, Smoke::t_class|Smoke::tf_ptr },	//416
    { "QTextCodec::ConversionFlag", 192, Smoke::t_enum|Smoke::tf_stack },	//417
    { "QTextDecoder*", 193, Smoke::t_class|Smoke::tf_ptr },	//418
    { "QTextStream&", 194, Smoke::t_class|Smoke::tf_ref },	//419
    { "QTextStream&(*)(QTextStream&)", 194, Smoke::t_class|Smoke::tf_ref },	//420
    { "QTextStream::NumberFlag", 194, Smoke::t_enum|Smoke::tf_stack },	//421
    { "QTextStreamManipulator", 195, Smoke::t_class|Smoke::tf_stack },	//422
    { "QTime", 196, Smoke::t_class|Smoke::tf_stack },	//423
    { "QTime&", 196, Smoke::t_class|Smoke::tf_ref },	//424
    { "QTimerEvent*", 197, Smoke::t_class|Smoke::tf_ptr },	//425
    { "QUdpSocket*", 198, Smoke::t_class|Smoke::tf_ptr },	//426
    { "QUrl&", 199, Smoke::t_class|Smoke::tf_ref },	//427
    { "QUrl::FormattingOption", 199, Smoke::t_enum|Smoke::tf_stack },	//428
    { "QUuid&", 200, Smoke::t_class|Smoke::tf_ref },	//429
    { "QVariant", 201, Smoke::t_class|Smoke::tf_stack },	//430
    { "QVariant&", 201, Smoke::t_class|Smoke::tf_ref },	//431
    { "QVariant::Type", 201, Smoke::t_enum|Smoke::tf_stack },	//432
    { "QVariant::Type&", 201, Smoke::t_enum|Smoke::tf_ref },	//433
    { "QVector<KService::ServiceTypeAndPreference>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//434
    { "QWidget*", 203, Smoke::t_class|Smoke::tf_ptr },	//435
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//436
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//437
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//438
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//439
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//440
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//441
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//442
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//443
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//444
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//445
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//446
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//447
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//448
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//449
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//450
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//451
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//452
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//453
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//454
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//455
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//456
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//457
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//458
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//459
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//460
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//461
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//462
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//463
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//464
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//465
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//466
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//467
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//468
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//469
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//470
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//471
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//472
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//473
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//474
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//475
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//476
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//477
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//478
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//479
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//480
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//481
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//482
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//483
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//484
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//485
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//486
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//487
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//488
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//489
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//490
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//491
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//492
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//493
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//494
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//495
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//496
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//497
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//498
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//499
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//500
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//501
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//502
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//503
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//504
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//505
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//506
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//507
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//508
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//509
    { "QtMsgType", 158, Smoke::t_enum|Smoke::tf_stack },	//510
    { "QtValidLicenseForActiveQtModule", 158, Smoke::t_enum|Smoke::tf_stack },	//511
    { "QtValidLicenseForCoreModule", 158, Smoke::t_enum|Smoke::tf_stack },	//512
    { "QtValidLicenseForDBusModule", 158, Smoke::t_enum|Smoke::tf_stack },	//513
    { "QtValidLicenseForDeclarativeModule", 158, Smoke::t_enum|Smoke::tf_stack },	//514
    { "QtValidLicenseForGuiModule", 158, Smoke::t_enum|Smoke::tf_stack },	//515
    { "QtValidLicenseForHelpModule", 158, Smoke::t_enum|Smoke::tf_stack },	//516
    { "QtValidLicenseForMultimediaModule", 158, Smoke::t_enum|Smoke::tf_stack },	//517
    { "QtValidLicenseForNetworkModule", 158, Smoke::t_enum|Smoke::tf_stack },	//518
    { "QtValidLicenseForOpenGLModule", 158, Smoke::t_enum|Smoke::tf_stack },	//519
    { "QtValidLicenseForOpenVGModule", 158, Smoke::t_enum|Smoke::tf_stack },	//520
    { "QtValidLicenseForQt3SupportLightModule", 158, Smoke::t_enum|Smoke::tf_stack },	//521
    { "QtValidLicenseForQt3SupportModule", 158, Smoke::t_enum|Smoke::tf_stack },	//522
    { "QtValidLicenseForScriptModule", 158, Smoke::t_enum|Smoke::tf_stack },	//523
    { "QtValidLicenseForScriptToolsModule", 158, Smoke::t_enum|Smoke::tf_stack },	//524
    { "QtValidLicenseForSqlModule", 158, Smoke::t_enum|Smoke::tf_stack },	//525
    { "QtValidLicenseForSvgModule", 158, Smoke::t_enum|Smoke::tf_stack },	//526
    { "QtValidLicenseForTestModule", 158, Smoke::t_enum|Smoke::tf_stack },	//527
    { "QtValidLicenseForXmlModule", 158, Smoke::t_enum|Smoke::tf_stack },	//528
    { "QtValidLicenseForXmlPatternsModule", 158, Smoke::t_enum|Smoke::tf_stack },	//529
    { "Sonnet::BackgroundChecker*", 205, Smoke::t_class|Smoke::tf_ptr },	//530
    { "Sonnet::Speller", 206, Smoke::t_class|Smoke::tf_stack },	//531
    { "Sonnet::Speller&", 206, Smoke::t_class|Smoke::tf_ref },	//532
    { "Sonnet::Speller*", 206, Smoke::t_class|Smoke::tf_ptr },	//533
    { "Sonnet::Speller::Attribute", 206, Smoke::t_enum|Smoke::tf_stack },	//534
    { "_IO_FILE*", 207, Smoke::t_class|Smoke::tf_ptr },	//535
    { "__codecvt_result", 158, Smoke::t_enum|Smoke::tf_stack },	//536
    { "__itimer_which", 158, Smoke::t_enum|Smoke::tf_stack },	//537
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//538
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//539
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//540
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//541
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//542
    { "char**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//543
    { "const KAboutData&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//544
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//545
    { "const KAboutLicense&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//546
    { "const KAboutPerson&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//547
    { "const KAuth::Action&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//548
    { "const KAuth::ActionReply&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//549
    { "const KCalendarSystem*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//550
    { "const KCharMacroExpander&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//551
    { "const KCharsets&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//552
    { "const KCmdLineArgs&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//553
    { "const KCmdLineOptions&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//554
    { "const KComponentData&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//555
    { "const KConfig*", 20, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//556
    { "const KConfigBase&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//557
    { "const KConfigBase*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//558
    { "const KConfigGroup", 22, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//559
    { "const KConfigGroup&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//560
    { "const KConfigSkeletonItem&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//561
    { "const KCoreConfigSkeleton::ItemBool&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//562
    { "const KCoreConfigSkeleton::ItemDateTime&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//563
    { "const KCoreConfigSkeleton::ItemDouble&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//564
    { "const KCoreConfigSkeleton::ItemEnum&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//565
    { "const KCoreConfigSkeleton::ItemEnum::Choice&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//566
    { "const KCoreConfigSkeleton::ItemEnum::Choice2&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//567
    { "const KCoreConfigSkeleton::ItemInt&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//568
    { "const KCoreConfigSkeleton::ItemIntList&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//569
    { "const KCoreConfigSkeleton::ItemLongLong&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//570
    { "const KCoreConfigSkeleton::ItemPassword&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//571
    { "const KCoreConfigSkeleton::ItemPath&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//572
    { "const KCoreConfigSkeleton::ItemPathList&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//573
    { "const KCoreConfigSkeleton::ItemPoint&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//574
    { "const KCoreConfigSkeleton::ItemProperty&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//575
    { "const KCoreConfigSkeleton::ItemRect&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//576
    { "const KCoreConfigSkeleton::ItemSize&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//577
    { "const KCoreConfigSkeleton::ItemString&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//578
    { "const KCoreConfigSkeleton::ItemStringList&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//579
    { "const KCoreConfigSkeleton::ItemUInt&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//580
    { "const KCoreConfigSkeleton::ItemULongLong&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//581
    { "const KCoreConfigSkeleton::ItemUrl&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//582
    { "const KCoreConfigSkeleton::ItemUrlList&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//583
    { "const KCurrencyCode&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//584
    { "const KDEPluginVerificationData&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//585
    { "const KDateTime&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//586
    { "const KDateTime::Spec&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//587
    { "const KDebug&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//588
    { "const KDebugTag&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//589
    { "const KDesktopFile*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//590
    { "const KEncodingDetector&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//591
    { "const KEncodingProber&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//592
    { "const KLocale&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//593
    { "const KLocale*", 70, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//594
    { "const KLocalizedString&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//595
    { "const KLockFile&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//596
    { "const KMacroExpanderBase&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//597
    { "const KMessageHandler&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//598
    { "const KMimeTypeTrader&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//599
    { "const KPluginInfo&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//600
    { "const KProtocolInfo::ExtraField&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//601
    { "const KRandomSequence&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//602
    { "const KService&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//603
    { "const KServiceAction&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//604
    { "const KServiceType*", 96, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//605
    { "const KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//606
    { "const KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//607
    { "const KSharedPtr<KSharedConfig>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//608
    { "const KSharedPtr<KSycocaEntry>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//609
    { "const KSslCipher&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//610
    { "const KSslError&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//611
    { "const KSslErrorUiData&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//612
    { "const KSslKey&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//613
    { "const KSystemTimeZone&", 113, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//614
    { "const KSystemTimeZoneBackend&", 114, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//615
    { "const KSystemTimeZoneSource&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//616
    { "const KTcpSocket*", 117, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//617
    { "const KTimeZone&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//618
    { "const KTimeZone*", 120, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//619
    { "const KTimeZone::LeapSeconds&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//620
    { "const KTimeZone::Phase&", 122, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//621
    { "const KTimeZone::Transition&", 123, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//622
    { "const KTimeZone::Transition*", 123, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//623
    { "const KTimeZone::Transition**", 123, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//624
    { "const KTimeZoneBackend&", 124, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//625
    { "const KTimeZoneData&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//626
    { "const KTimeZoneData*", 125, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//627
    { "const KTimeZoneSource&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//628
    { "const KTimeZones*", 127, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//629
    { "const KTzfileTimeZone&", 129, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//630
    { "const KTzfileTimeZoneBackend&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//631
    { "const KTzfileTimeZoneSource&", 131, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//632
    { "const KUrl&", 132, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//633
    { "const KUrl::CleanPathOption&", 132, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//634
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//635
    { "const KUser&", 133, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//636
    { "const KUserGroup&", 134, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//637
    { "const KWordMacroExpander&", 135, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//638
    { "const QBitArray&", 140, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//639
    { "const QByteArray", 142, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//640
    { "const QByteArray&", 142, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//641
    { "const QChar&", 143, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//642
    { "const QDBusArgument&", 146, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//643
    { "const QDBusConnection&", 147, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//644
    { "const QDBusObjectPath&", 148, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//645
    { "const QDBusSignature&", 149, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//646
    { "const QDBusVariant&", 150, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//647
    { "const QDate", 152, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//648
    { "const QDate&", 152, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//649
    { "const QDateTime&", 153, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//650
    { "const QEasingCurve&", 154, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//651
    { "const QFileInfo&", 157, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//652
    { "const QFlags<KUrl::DirectoryOption>&", 0, Smoke::t_uint|Smoke::tf_ref|Smoke::tf_const },	//653
    { "const QFlags<KUrl::EncodedPathAndQueryOption>&", 0, Smoke::t_uint|Smoke::tf_ref|Smoke::tf_const },	//654
    { "const QFlags<KUrl::EqualsOption>&", 0, Smoke::t_uint|Smoke::tf_ref|Smoke::tf_const },	//655
    { "const QFlags<KUrl::QueryItemsOption>&", 0, Smoke::t_uint|Smoke::tf_ref|Smoke::tf_const },	//656
    { "const QHash<QChar,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//657
    { "const QHash<QChar,QStringList>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//658
    { "const QHash<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//659
    { "const QHash<QString,QStringList>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//660
    { "const QHashDummyValue&", 159, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//661
    { "const QHostAddress&", 160, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//662
    { "const QLatin1String&", 163, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//663
    { "const QLine&", 165, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//664
    { "const QLineF&", 166, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//665
    { "const QList<KAuth::Action>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//666
    { "const QList<KCatalogName>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//667
    { "const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//668
    { "const QList<KCoreConfigSkeleton::ItemEnum::Choice>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//669
    { "const QList<KJob*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//670
    { "const QList<KSharedPtr<KService> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//671
    { "const QList<KSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//672
    { "const QList<KSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//673
    { "const QList<KTimeZone::LeapSeconds>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//674
    { "const QList<KTimeZone::Phase>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//675
    { "const QList<KTimeZone::Transition>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//676
    { "const QList<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//677
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//678
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//679
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//680
    { "const QLocale&", 167, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//681
    { "const QMap<QString,KTimeZone>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//682
    { "const QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//683
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//684
    { "const QMargins&", 168, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//685
    { "const QMetaObject&", 169, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//686
    { "const QMetaObject*", 169, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//687
    { "const QNetworkProxy&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//688
    { "const QObject*", 172, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//689
    { "const QPair<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//690
    { "const QPoint", 174, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//691
    { "const QPoint&", 174, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//692
    { "const QPointF", 175, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//693
    { "const QPointF&", 175, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//694
    { "const QRect&", 177, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//695
    { "const QRectF&", 178, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//696
    { "const QRegExp&", 179, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//697
    { "const QSize", 181, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//698
    { "const QSize&", 181, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//699
    { "const QSizeF", 182, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//700
    { "const QSizeF&", 182, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//701
    { "const QSslCertificate&", 183, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//702
    { "const QSslCipher&", 184, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//703
    { "const QSslError&", 185, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//704
    { "const QSslKey&", 186, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//705
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//706
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//707
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//708
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//709
    { "const QStringRef&", 188, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//710
    { "const QTime&", 196, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//711
    { "const QUrl&", 199, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//712
    { "const QUuid&", 200, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//713
    { "const QVariant&", 201, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//714
    { "const QVariant::Type", 201, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//715
    { "const QVariantComparisonHelper&", 202, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//716
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//717
    { "const Sonnet::Speller&", 206, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//718
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//719
    { "const float", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//720
    { "const group*", 208, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//721
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//722
    { "const kndbgstream&", 209, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//723
    { "const long int", 0, Smoke::t_long|Smoke::tf_stack|Smoke::tf_const },	//724
    { "const passwd*", 210, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//725
    { "const unsigned char(&)[16]", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//726
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//727
    { "const unsigned char[64]", 0, Smoke::t_uchar|Smoke::tf_stack|Smoke::tf_const },	//728
    { "const unsigned int", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//729
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//730
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//731
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//732
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//733
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//734
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//735
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//736
    { "kndbgstream*", 209, Smoke::t_class|Smoke::tf_ptr },	//737
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//738
    { "long int", 0, Smoke::t_long|Smoke::tf_stack },	//739
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//740
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//741
    { "qlonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//742
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//743
    { "qulonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//744
    { "std::bidirectional_iterator_tag", 211, Smoke::t_class|Smoke::tf_stack },	//745
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//746
    { "std::random_access_iterator_tag", 212, Smoke::t_class|Smoke::tf_stack },	//747
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//748
    { "unsigned char(&)[16]", 0, Smoke::t_voidp|Smoke::tf_ref },	//749
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//750
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//751
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//752
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//753
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//754
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//755
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//756
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//757
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//758
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//759
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    641, 641, 595, 641, 595, 5, 595, 595, 641, 641, 0,	//1  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&
    544, 0,	//12  const KAboutData&
    595, 595, 641, 641, 0,	//14  const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&
    595, 595, 0,	//19  const KLocalizedString&, const KLocalizedString&
    595, 0,	//22  const KLocalizedString&
    707, 0,	//24  const QString&
    641, 0,	//26  const QByteArray&
    714, 0,	//28  const QVariant&
    5, 0,	//30  KAboutData::LicenseKey
    6, 0,	//32  KAboutData::NameFormat
    641, 641, 595, 641, 0,	//34  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&
    641, 641, 595, 641, 595, 0,	//39  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&
    641, 641, 595, 641, 595, 5, 0,	//45  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey
    641, 641, 595, 641, 595, 5, 595, 0,	//52  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&
    641, 641, 595, 641, 595, 5, 595, 595, 0,	//60  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&
    641, 641, 595, 641, 595, 5, 595, 595, 641, 0,	//69  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&
    595, 595, 641, 0,	//79  const KLocalizedString&, const KLocalizedString&, const QByteArray&
    546, 0,	//83  const KAboutLicense&
    547, 0,	//85  const KAboutPerson&
    548, 0,	//87  const KAuth::Action&
    707, 707, 0,	//89  const QString&, const QString&
    684, 0,	//92  const QMap<QString,QVariant>&
    707, 714, 0,	//94  const QString&, const QVariant&
    538, 0,	//97  bool
    666, 354, 707, 0,	//99  const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&
    19, 0,	//103  KAuth::ActionReply::Type
    734, 0,	//105  int
    549, 0,	//107  const KAuth::ActionReply&
    719, 0,	//109  const char*
    719, 719, 0,	//111  const char*, const char*
    719, 719, 734, 0,	//114  const char*, const char*, int
    388, 734, 758, 0,	//118  QMetaObject::Call, int, void**
    717, 0,	//122  const QVariantMap&
    707, 633, 633, 0,	//124  const QString&, const KUrl&, const KUrl&
    708, 0,	//128  const QStringList&
    633, 392, 0,	//130  const KUrl&, QObject*
    392, 0,	//133  QObject*
    633, 0,	//135  const KUrl&
    316, 0,	//137  QFlags<QIODevice::OpenModeFlag>
    633, 707, 0,	//139  const KUrl&, const QString&
    707, 392, 0,	//142  const QString&, QObject*
    707, 290, 0,	//145  const QString&, QFlags<KAutostart::Condition>
    24, 0,	//148  KAutostart::StartPhase
    707, 594, 0,	//150  const QString&, const KLocale*
    707, 176, 594, 0,	//153  const QString&, KSharedPtr<KSharedConfig>, const KLocale*
    594, 0,	//157  const KLocale*
    607, 594, 0,	//159  const KSharedPtr<KSharedConfig>, const KLocale*
    734, 734, 734, 0,	//162  int, int, int
    734, 734, 0,	//166  int, int
    707, 734, 734, 734, 0,	//169  const QString&, int, int, int
    649, 0,	//174  const QDate&
    279, 734, 734, 734, 0,	//176  QDate&, int, int, int
    279, 734, 734, 0,	//181  QDate&, int, int
    279, 406, 734, 734, 734, 0,	//185  QDate&, QString, int, int, int
    648, 736, 736, 736, 0,	//191  const QDate, int*, int*, int*
    649, 27, 0,	//196  const QDate&, KCalendarSystem::StringFormat
    649, 734, 0,	//199  const QDate&, int
    649, 649, 736, 736, 736, 736, 0,	//202  const QDate&, const QDate&, int*, int*, int*, int*
    649, 649, 0,	//209  const QDate&, const QDate&
    649, 736, 0,	//212  const QDate&, int*
    734, 734, 26, 0,	//215  int, int, KCalendarSystem::MonthNameFormat
    649, 26, 0,	//219  const QDate&, KCalendarSystem::MonthNameFormat
    734, 28, 0,	//222  int, KCalendarSystem::WeekDayNameFormat
    649, 28, 0,	//225  const QDate&, KCalendarSystem::WeekDayNameFormat
    707, 735, 0,	//228  const QString&, int&
    649, 120, 0,	//231  const QDate&, KLocale::DateFormat
    649, 707, 122, 0,	//234  const QDate&, const QString&, KLocale::DateTimeFormatStandard
    649, 707, 123, 122, 0,	//238  const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard
    707, 540, 0,	//243  const QString&, bool*
    707, 125, 540, 0,	//246  const QString&, KLocale::ReadDateFlags, bool*
    707, 707, 540, 0,	//250  const QString&, const QString&, bool*
    707, 707, 540, 122, 0,	//254  const QString&, const QString&, bool*, KLocale::DateTimeFormatStandard
    734, 735, 735, 735, 0,	//259  int, int&, int&, int&
    734, 734, 734, 735, 0,	//264  int, int, int, int&
    29, 607, 594, 0,	//269  KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>, const KLocale*
    707, 176, 0,	//273  const QString&, KSharedPtr<KSharedConfig>
    607, 0,	//276  const KSharedPtr<KSharedConfig>
    649, 707, 0,	//278  const QDate&, const QString&
    649, 707, 123, 0,	//281  const QDate&, const QString&, KLocale::DigitSet
    707, 125, 0,	//285  const QString&, KLocale::ReadDateFlags
    29, 0,	//288  KCalendarSystemPrivate&
    29, 607, 0,	//290  KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>
    266, 0,	//293  QChar
    707, 734, 412, 0,	//295  const QString&, int, QStringList&
    266, 412, 0,	//299  QChar, QStringList&
    551, 0,	//302  const KCharMacroExpander&
    707, 539, 0,	//304  const QString&, bool&
    642, 0,	//307  const QChar&
    552, 0,	//309  const KCharsets&
    734, 543, 641, 641, 595, 641, 595, 291, 0,	//311  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, QFlags<KCmdLineArgs::StdCmdLineArg>
    734, 543, 545, 291, 0,	//320  int, char**, const KAboutData*, QFlags<KCmdLineArgs::StdCmdLineArg>
    545, 0,	//325  const KAboutData*
    291, 0,	//327  QFlags<KCmdLineArgs::StdCmdLineArg>
    554, 595, 641, 641, 0,	//329  const KCmdLineOptions&, const KLocalizedString&, const QByteArray&, const QByteArray&
    275, 0,	//334  QDataStream&
    554, 595, 641, 0,	//336  const KCmdLineOptions&, const KLocalizedString&, const QByteArray&
    553, 0,	//340  const KCmdLineArgs&
    734, 543, 641, 641, 595, 641, 0,	//342  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&
    734, 543, 641, 641, 595, 641, 595, 0,	//349  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&
    734, 543, 545, 0,	//357  int, char**, const KAboutData*
    554, 0,	//361  const KCmdLineOptions&
    554, 595, 0,	//363  const KCmdLineOptions&, const KLocalizedString&
    641, 595, 641, 0,	//366  const QByteArray&, const KLocalizedString&, const QByteArray&
    641, 595, 0,	//370  const QByteArray&, const KLocalizedString&
    641, 265, 0,	//373  const QByteArray&, QByteArray&
    641, 265, 538, 0,	//376  const QByteArray&, QByteArray&, bool
    641, 538, 0,	//380  const QByteArray&, bool
    555, 0,	//383  const KComponentData&
    641, 641, 39, 0,	//385  const QByteArray&, const QByteArray&, KComponentData::MainComponentRegistration
    544, 39, 0,	//389  const KAboutData&, KComponentData::MainComponentRegistration
    545, 39, 0,	//392  const KAboutData*, KComponentData::MainComponentRegistration
    641, 641, 0,	//395  const QByteArray&, const QByteArray&
    103, 0,	//398  KJob*
    103, 707, 707, 0,	//400  KJob*, const QString&, const QString&
    41, 392, 0,	//404  KCompositeJobPrivate&, QObject*
    707, 292, 719, 0,	//407  const QString&, QFlags<KConfig::OpenFlag>, const char*
    555, 707, 292, 719, 0,	//411  const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*
    707, 707, 719, 0,	//416  const QString&, const QString&, const char*
    707, 42, 0,	//420  const QString&, KConfig*
    641, 293, 0,	//423  const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    50, 0,	//426  KConfigPrivate&
    707, 292, 0,	//428  const QString&, QFlags<KConfig::OpenFlag>
    555, 707, 0,	//431  const KComponentData&, const QString&
    555, 707, 292, 0,	//434  const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>
    707, 293, 0,	//438  const QString&, QFlags<KConfigBase::WriteConfigFlag>
    719, 293, 0,	//441  const char*, QFlags<KConfigBase::WriteConfigFlag>
    557, 0,	//444  const KConfigBase&
    44, 707, 0,	//446  KConfigBase*, const QString&
    44, 719, 0,	//449  KConfigBase*, const char*
    558, 707, 0,	//452  const KConfigBase*, const QString&
    558, 719, 0,	//455  const KConfigBase*, const char*
    608, 707, 0,	//458  const KSharedPtr<KSharedConfig>&, const QString&
    608, 719, 0,	//461  const KSharedPtr<KSharedConfig>&, const char*
    560, 0,	//464  const KConfigGroup&
    44, 293, 0,	//466  KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>
    293, 0,	//469  QFlags<KConfigBase::WriteConfigFlag>
    719, 714, 0,	//471  const char*, const QVariant&
    719, 707, 0,	//474  const char*, const QString&
    707, 719, 0,	//477  const QString&, const char*
    707, 679, 0,	//480  const QString&, const QList<QVariant>&
    719, 679, 0,	//483  const char*, const QList<QVariant>&
    707, 708, 0,	//486  const QString&, const QStringList&
    719, 708, 0,	//489  const char*, const QStringList&
    707, 714, 293, 0,	//492  const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>
    719, 714, 293, 0,	//496  const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>
    707, 707, 293, 0,	//500  const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>
    719, 707, 293, 0,	//504  const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>
    707, 641, 293, 0,	//508  const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    719, 641, 293, 0,	//512  const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    707, 719, 293, 0,	//516  const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>
    719, 719, 293, 0,	//520  const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>
    707, 708, 293, 0,	//524  const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>
    719, 708, 293, 0,	//528  const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>
    707, 679, 293, 0,	//532  const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>
    719, 679, 293, 0,	//536  const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>
    44, 0,	//540  KConfigBase*
    707, 641, 0,	//542  const QString&, const QByteArray&
    719, 641, 0,	//545  const char*, const QByteArray&
    42, 0,	//548  KConfig*
    561, 0,	//550  const KConfigSkeletonItem&
    176, 392, 0,	//552  KSharedPtr<KSharedConfig>, QObject*
    51, 707, 0,	//555  KConfigSkeletonItem*, const QString&
    707, 407, 707, 707, 0,	//558  const QString&, QString&, const QString&, const QString&
    707, 431, 714, 707, 0,	//563  const QString&, QVariant&, const QVariant&, const QString&
    707, 539, 538, 707, 0,	//568  const QString&, bool&, bool, const QString&
    707, 735, 734, 707, 0,	//573  const QString&, int&, int, const QString&
    707, 751, 750, 707, 0,	//578  const QString&, unsigned int&, unsigned int, const QString&
    707, 741, 740, 707, 0,	//583  const QString&, long long&, long long, const QString&
    707, 754, 753, 707, 0,	//588  const QString&, unsigned long long&, unsigned long long, const QString&
    707, 732, 731, 707, 0,	//593  const QString&, double&, double, const QString&
    707, 395, 695, 707, 0,	//598  const QString&, QRect&, const QRect&, const QString&
    707, 393, 692, 707, 0,	//603  const QString&, QPoint&, const QPoint&, const QString&
    707, 398, 699, 707, 0,	//608  const QString&, QSize&, const QSize&, const QString&
    707, 281, 650, 707, 0,	//613  const QString&, QDateTime&, const QDateTime&, const QString&
    707, 412, 708, 707, 0,	//618  const QString&, QStringList&, const QStringList&, const QString&
    707, 382, 680, 707, 0,	//623  const QString&, QList<int>&, const QList<int>&, const QString&
    176, 0,	//628  KSharedPtr<KSharedConfig>
    51, 0,	//630  KConfigSkeletonItem*
    707, 407, 0,	//632  const QString&, QString&
    707, 407, 707, 0,	//635  const QString&, QString&, const QString&
    707, 431, 0,	//639  const QString&, QVariant&
    707, 431, 714, 0,	//642  const QString&, QVariant&, const QVariant&
    707, 539, 538, 0,	//646  const QString&, bool&, bool
    707, 735, 734, 0,	//650  const QString&, int&, int
    707, 751, 0,	//654  const QString&, unsigned int&
    707, 751, 750, 0,	//657  const QString&, unsigned int&, unsigned int
    707, 741, 0,	//661  const QString&, long long&
    707, 741, 740, 0,	//664  const QString&, long long&, long long
    707, 754, 0,	//668  const QString&, unsigned long long&
    707, 754, 753, 0,	//671  const QString&, unsigned long long&, unsigned long long
    707, 732, 0,	//675  const QString&, double&
    707, 732, 731, 0,	//678  const QString&, double&, double
    707, 395, 0,	//682  const QString&, QRect&
    707, 395, 695, 0,	//685  const QString&, QRect&, const QRect&
    707, 393, 0,	//689  const QString&, QPoint&
    707, 393, 692, 0,	//692  const QString&, QPoint&, const QPoint&
    707, 398, 0,	//696  const QString&, QSize&
    707, 398, 699, 0,	//699  const QString&, QSize&, const QSize&
    707, 281, 0,	//703  const QString&, QDateTime&
    707, 281, 650, 0,	//706  const QString&, QDateTime&, const QDateTime&
    707, 412, 0,	//710  const QString&, QStringList&
    707, 412, 708, 0,	//713  const QString&, QStringList&, const QStringList&
    707, 382, 0,	//717  const QString&, QList<int>&
    707, 382, 680, 0,	//720  const QString&, QList<int>&, const QList<int>&
    707, 707, 539, 538, 0,	//724  const QString&, const QString&, bool&, bool
    562, 0,	//729  const KCoreConfigSkeleton::ItemBool&
    707, 707, 539, 0,	//731  const QString&, const QString&, bool&
    707, 707, 281, 650, 0,	//735  const QString&, const QString&, QDateTime&, const QDateTime&
    563, 0,	//740  const KCoreConfigSkeleton::ItemDateTime&
    707, 707, 281, 0,	//742  const QString&, const QString&, QDateTime&
    707, 707, 732, 731, 0,	//746  const QString&, const QString&, double&, double
    731, 0,	//751  double
    564, 0,	//753  const KCoreConfigSkeleton::ItemDouble&
    707, 707, 732, 0,	//755  const QString&, const QString&, double&
    707, 707, 735, 669, 734, 0,	//759  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int
    707, 707, 735, 668, 734, 0,	//765  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int
    565, 0,	//771  const KCoreConfigSkeleton::ItemEnum&
    707, 707, 735, 669, 0,	//773  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&
    707, 707, 735, 668, 0,	//778  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&
    566, 0,	//783  const KCoreConfigSkeleton::ItemEnum::Choice&
    567, 0,	//785  const KCoreConfigSkeleton::ItemEnum::Choice2&
    707, 707, 735, 734, 0,	//787  const QString&, const QString&, int&, int
    568, 0,	//792  const KCoreConfigSkeleton::ItemInt&
    707, 707, 735, 0,	//794  const QString&, const QString&, int&
    707, 707, 382, 680, 0,	//798  const QString&, const QString&, QList<int>&, const QList<int>&
    569, 0,	//803  const KCoreConfigSkeleton::ItemIntList&
    707, 707, 382, 0,	//805  const QString&, const QString&, QList<int>&
    707, 707, 741, 740, 0,	//809  const QString&, const QString&, long long&, long long
    740, 0,	//814  long long
    570, 0,	//816  const KCoreConfigSkeleton::ItemLongLong&
    707, 707, 741, 0,	//818  const QString&, const QString&, long long&
    707, 707, 407, 707, 0,	//822  const QString&, const QString&, QString&, const QString&
    571, 0,	//827  const KCoreConfigSkeleton::ItemPassword&
    707, 707, 407, 0,	//829  const QString&, const QString&, QString&
    572, 0,	//833  const KCoreConfigSkeleton::ItemPath&
    707, 707, 412, 708, 0,	//835  const QString&, const QString&, QStringList&, const QStringList&
    573, 0,	//840  const KCoreConfigSkeleton::ItemPathList&
    707, 707, 412, 0,	//842  const QString&, const QString&, QStringList&
    707, 707, 393, 692, 0,	//846  const QString&, const QString&, QPoint&, const QPoint&
    574, 0,	//851  const KCoreConfigSkeleton::ItemPoint&
    707, 707, 393, 0,	//853  const QString&, const QString&, QPoint&
    707, 707, 431, 714, 0,	//857  const QString&, const QString&, QVariant&, const QVariant&
    575, 0,	//862  const KCoreConfigSkeleton::ItemProperty&
    707, 707, 431, 0,	//864  const QString&, const QString&, QVariant&
    707, 707, 395, 695, 0,	//868  const QString&, const QString&, QRect&, const QRect&
    576, 0,	//873  const KCoreConfigSkeleton::ItemRect&
    707, 707, 395, 0,	//875  const QString&, const QString&, QRect&
    707, 707, 398, 699, 0,	//879  const QString&, const QString&, QSize&, const QSize&
    577, 0,	//884  const KCoreConfigSkeleton::ItemSize&
    707, 707, 398, 0,	//886  const QString&, const QString&, QSize&
    707, 707, 407, 707, 70, 0,	//890  const QString&, const QString&, QString&, const QString&, KCoreConfigSkeleton::ItemString::Type
    578, 0,	//896  const KCoreConfigSkeleton::ItemString&
    579, 0,	//898  const KCoreConfigSkeleton::ItemStringList&
    707, 707, 751, 750, 0,	//900  const QString&, const QString&, unsigned int&, unsigned int
    750, 0,	//905  unsigned int
    580, 0,	//907  const KCoreConfigSkeleton::ItemUInt&
    707, 707, 751, 0,	//909  const QString&, const QString&, unsigned int&
    707, 707, 754, 753, 0,	//913  const QString&, const QString&, unsigned long long&, unsigned long long
    753, 0,	//918  unsigned long long
    581, 0,	//920  const KCoreConfigSkeleton::ItemULongLong&
    707, 707, 754, 0,	//922  const QString&, const QString&, unsigned long long&
    707, 707, 237, 633, 0,	//926  const QString&, const QString&, KUrl&, const KUrl&
    582, 0,	//931  const KCoreConfigSkeleton::ItemUrl&
    707, 707, 237, 0,	//933  const QString&, const QString&, KUrl&
    707, 707, 245, 635, 0,	//937  const QString&, const QString&, KUrl::List&, const KUrl::List&
    583, 0,	//942  const KCoreConfigSkeleton::ItemUrlList&
    707, 707, 245, 0,	//944  const QString&, const QString&, KUrl::List&
    652, 707, 0,	//948  const QFileInfo&, const QString&
    584, 0,	//951  const KCurrencyCode&
    707, 294, 0,	//953  const QString&, QFlags<KCurrencyCode::CurrencyStatus>
    294, 0,	//956  QFlags<KCurrencyCode::CurrencyStatus>
    652, 0,	//958  const QFileInfo&
    707, 750, 0,	//960  const QString&, unsigned int
    707, 734, 750, 0,	//963  const QString&, int, unsigned int
    707, 734, 0,	//967  const QString&, int
    79, 0,	//970  KDEDModule*
    742, 0,	//972  qlonglong
    645, 0,	//974  const QDBusObjectPath&
    585, 0,	//976  const KDEPluginVerificationData&
    748, 0,	//978  unsigned char
    649, 587, 0,	//980  const QDate&, const KDateTime::Spec&
    649, 711, 587, 0,	//983  const QDate&, const QTime&, const KDateTime::Spec&
    650, 587, 0,	//987  const QDateTime&, const KDateTime::Spec&
    650, 0,	//990  const QDateTime&
    586, 0,	//992  const KDateTime&
    618, 0,	//994  const KTimeZone&
    587, 0,	//996  const KDateTime::Spec&
    711, 0,	//998  const QTime&
    89, 0,	//1000  KDateTime::TimeFormat
    707, 89, 540, 0,	//1002  const QString&, KDateTime::TimeFormat, bool*
    707, 707, 629, 538, 0,	//1006  const QString&, const QString&, const KTimeZones*, bool
    649, 711, 0,	//1011  const QDate&, const QTime&
    707, 89, 0,	//1014  const QString&, KDateTime::TimeFormat
    707, 707, 629, 0,	//1017  const QString&, const QString&, const KTimeZones*
    88, 734, 0,	//1021  KDateTime::SpecType, int
    88, 0,	//1024  KDateTime::SpecType
    510, 719, 734, 719, 0,	//1026  QtMsgType, const char*, int, const char*
    510, 538, 734, 538, 0,	//1031  QtMsgType, bool, int, bool
    538, 734, 0,	//1036  bool, int
    588, 0,	//1039  const KDebug&
    510, 0,	//1041  QtMsgType
    510, 719, 0,	//1043  QtMsgType, const char*
    510, 719, 734, 0,	//1046  QtMsgType, const char*, int
    589, 0,	//1050  const KDebugTag&
    416, 95, 94, 0,	//1052  QTextCodec*, KEncodingDetector::EncodingChoiceSource, KEncodingDetector::AutoDetectScript
    719, 95, 0,	//1056  const char*, KEncodingDetector::EncodingChoiceSource
    94, 0,	//1059  KEncodingDetector::AutoDetectScript
    719, 734, 0,	//1061  const char*, int
    542, 734, 0,	//1064  char*, int
    591, 0,	//1067  const KEncodingDetector&
    416, 95, 0,	//1069  QTextCodec*, KEncodingDetector::EncodingChoiceSource
    98, 0,	//1072  KEncodingProber::ProberType
    592, 0,	//1074  const KEncodingProber&
    345, 538, 0,	//1076  QIODevice*, bool
    542, 750, 0,	//1079  char*, unsigned int
    719, 750, 0,	//1082  const char*, unsigned int
    100, 0,	//1085  KFilterBase::FilterFlags
    345, 0,	//1087  QIODevice*
    707, 707, 538, 0,	//1089  const QString&, const QString&, bool
    345, 707, 538, 0,	//1093  QIODevice*, const QString&, bool
    542, 740, 0,	//1097  char*, long long
    719, 740, 0,	//1100  const char*, long long
    345, 707, 0,	//1103  QIODevice*, const QString&
    689, 686, 0,	//1106  const QObject*, const QMetaObject&
    117, 102, 0,	//1109  KLocale*, KGlobal::CopyCatalogs
    117, 0,	//1112  KLocale*
    109, 0,	//1114  KJobUiDelegate*
    105, 0,	//1116  KJob::KillVerbosity
    295, 0,	//1118  QFlags<KJob::Capability>
    106, 0,	//1120  KJob::Unit
    103, 707, 690, 690, 0,	//1122  KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&
    106, 753, 0,	//1127  KJob::Unit, unsigned long long
    752, 0,	//1130  unsigned long
    753, 753, 0,	//1132  unsigned long long, unsigned long long
    107, 392, 0,	//1135  KJobPrivate&, QObject*
    103, 707, 0,	//1138  KJob*, const QString&
    103, 707, 690, 0,	//1141  KJob*, const QString&, const QPair<QString,QString>&
    103, 106, 744, 0,	//1145  KJob*, KJob::Unit, qulonglong
    103, 752, 0,	//1149  KJob*, unsigned long
    707, 317, 0,	//1152  const QString&, QFlags<QLibrary::LoadHint>
    707, 555, 0,	//1155  const QString&, const KComponentData&
    707, 555, 392, 0,	//1158  const QString&, const KComponentData&, QObject*
    707, 734, 555, 392, 0,	//1162  const QString&, int, const KComponentData&, QObject*
    707, 734, 555, 0,	//1167  const QString&, int, const KComponentData&
    707, 316, 0,	//1171  const QString&, QFlags<QIODevice::OpenModeFlag>
    707, 114, 316, 0,	//1174  const QString&, KLocalSocket::LocalSocketType, QFlags<QIODevice::OpenModeFlag>
    707, 743, 346, 0,	//1178  const QString&, quint16, QIODevice::OpenMode
    707, 114, 0,	//1182  const QString&, KLocalSocket::LocalSocketType
    734, 540, 0,	//1185  int, bool*
    707, 707, 707, 42, 0,	//1188  const QString&, const QString&, const QString&, KConfig*
    593, 0,	//1193  const KLocale&
    719, 719, 408, 408, 0,	//1195  const char*, const char*, QString*, QString*
    719, 408, 408, 0,	//1200  const char*, QString*, QString*
    719, 719, 719, 408, 408, 0,	//1204  const char*, const char*, const char*, QString*, QString*
    719, 719, 719, 752, 408, 408, 0,	//1210  const char*, const char*, const char*, unsigned long, QString*, QString*
    719, 719, 752, 408, 408, 0,	//1217  const char*, const char*, unsigned long, QString*, QString*
    719, 719, 719, 719, 752, 408, 408, 0,	//1223  const char*, const char*, const char*, const char*, unsigned long, QString*, QString*
    123, 538, 0,	//1231  KLocale::DigitSet, bool
    731, 707, 734, 0,	//1234  double, const QString&, int
    731, 734, 0,	//1238  double, int
    707, 538, 734, 0,	//1241  const QString&, bool, int
    738, 0,	//1245  long
    731, 734, 119, 118, 0,	//1247  double, int, KLocale::BinaryUnitDialect, KLocale::BinarySizeUnits
    119, 0,	//1252  KLocale::BinaryUnitDialect
    650, 120, 538, 0,	//1254  const QDateTime&, KLocale::DateFormat, bool
    586, 120, 296, 0,	//1258  const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>
    711, 538, 538, 0,	//1262  const QTime&, bool, bool
    711, 297, 0,	//1266  const QTime&, QFlags<KLocale::TimeFormatOption>
    707, 126, 540, 0,	//1269  const QString&, KLocale::ReadTimeFlags, bool*
    707, 540, 297, 298, 0,	//1273  const QString&, bool*, QFlags<KLocale::TimeFormatOption>, QFlags<KLocale::TimeProcessingOption>
    123, 0,	//1278  KLocale::DigitSet
    127, 0,	//1280  KLocale::SignPosition
    124, 0,	//1282  KLocale::MeasureSystem
    719, 719, 719, 0,	//1284  const char*, const char*, const char*
    707, 407, 407, 407, 407, 0,	//1288  const QString&, QString&, QString&, QString&, QString&
    707, 123, 538, 0,	//1294  const QString&, KLocale::DigitSet, bool
    707, 707, 707, 0,	//1298  const QString&, const QString&, const QString&
    731, 707, 0,	//1302  double, const QString&
    707, 538, 0,	//1305  const QString&, bool
    731, 734, 119, 0,	//1308  double, int, KLocale::BinaryUnitDialect
    650, 120, 0,	//1312  const QDateTime&, KLocale::DateFormat
    586, 120, 0,	//1315  const KDateTime&, KLocale::DateFormat
    711, 538, 0,	//1318  const QTime&, bool
    707, 126, 0,	//1321  const QString&, KLocale::ReadTimeFlags
    707, 540, 297, 0,	//1324  const QString&, bool*, QFlags<KLocale::TimeFormatOption>
    707, 123, 0,	//1328  const QString&, KLocale::DigitSet
    594, 707, 0,	//1331  const KLocale*, const QString&
    734, 734, 734, 642, 0,	//1334  int, int, int, const QChar&
    750, 734, 734, 642, 0,	//1339  unsigned int, int, int, const QChar&
    738, 734, 734, 642, 0,	//1344  long, int, int, const QChar&
    752, 734, 734, 642, 0,	//1349  unsigned long, int, int, const QChar&
    740, 734, 734, 642, 0,	//1354  long long, int, int, const QChar&
    753, 734, 734, 642, 0,	//1359  unsigned long long, int, int, const QChar&
    731, 734, 541, 734, 642, 0,	//1364  double, int, char, int, const QChar&
    266, 734, 642, 0,	//1370  QChar, int, const QChar&
    707, 734, 642, 0,	//1374  const QString&, int, const QChar&
    708, 667, 0,	//1378  const QStringList&, const QList<KCatalogName>&
    750, 734, 0,	//1381  unsigned int, int
    750, 734, 734, 0,	//1384  unsigned int, int, int
    738, 734, 0,	//1388  long, int
    738, 734, 734, 0,	//1391  long, int, int
    752, 734, 0,	//1395  unsigned long, int
    752, 734, 734, 0,	//1398  unsigned long, int, int
    740, 734, 0,	//1402  long long, int
    740, 734, 734, 0,	//1405  long long, int, int
    753, 734, 0,	//1409  unsigned long long, int
    753, 734, 734, 0,	//1412  unsigned long long, int, int
    731, 734, 541, 0,	//1416  double, int, char
    731, 734, 541, 734, 0,	//1420  double, int, char, int
    266, 734, 0,	//1425  QChar, int
    299, 0,	//1428  QFlags<KLockFile::LockFlag>
    735, 407, 407, 0,	//1430  int&, QString&, QString&
    596, 0,	//1434  const KLockFile&
    727, 734, 0,	//1436  const unsigned char*, int
    344, 0,	//1439  QIODevice&
    749, 0,	//1441  unsigned char(&)[16]
    265, 0,	//1443  QByteArray&
    726, 0,	//1445  const unsigned char(&)[16]
    728, 0,	//1447  const unsigned char[64]
    727, 0,	//1449  const unsigned char*
    707, 659, 266, 0,	//1451  const QString&, const QHash<QString,QString>&, QChar
    707, 659, 0,	//1455  const QString&, const QHash<QString,QString>&
    707, 658, 266, 0,	//1458  const QString&, const QHash<QChar,QStringList>&, QChar
    707, 658, 0,	//1462  const QString&, const QHash<QChar,QStringList>&
    707, 657, 266, 0,	//1465  const QString&, const QHash<QChar,QString>&, QChar
    707, 657, 0,	//1469  const QString&, const QHash<QChar,QString>&
    707, 660, 266, 0,	//1472  const QString&, const QHash<QString,QStringList>&, QChar
    707, 660, 0,	//1476  const QString&, const QHash<QString,QStringList>&
    407, 0,	//1479  QString&
    407, 735, 0,	//1481  QString&, int&
    597, 0,	//1484  const KMacroExpanderBase&
    138, 707, 707, 0,	//1486  KMessage::MessageType, const QString&, const QString&
    138, 707, 0,	//1490  KMessage::MessageType, const QString&
    139, 0,	//1493  KMessageHandler*
    598, 0,	//1495  const KMessageHandler&
    633, 750, 0,	//1497  const KUrl&, unsigned int
    707, 141, 0,	//1500  const QString&, KMimeType::FindByNameOption
    633, 750, 538, 538, 736, 0,	//1503  const KUrl&, unsigned int, bool, bool, int*
    707, 750, 538, 736, 0,	//1509  const QString&, unsigned int, bool, int*
    641, 736, 0,	//1514  const QByteArray&, int*
    707, 641, 750, 736, 0,	//1517  const QString&, const QByteArray&, unsigned int, int*
    345, 736, 0,	//1522  QIODevice*, int*
    707, 345, 750, 736, 0,	//1525  const QString&, QIODevice*, unsigned int, int*
    707, 736, 0,	//1530  const QString&, int*
    275, 734, 0,	//1533  QDataStream&, int
    142, 0,	//1536  KMimeTypePrivate&
    142, 707, 707, 0,	//1538  KMimeTypePrivate&, const QString&, const QString&
    633, 750, 538, 0,	//1542  const KUrl&, unsigned int, bool
    633, 750, 538, 538, 0,	//1546  const KUrl&, unsigned int, bool, bool
    707, 750, 538, 0,	//1551  const QString&, unsigned int, bool
    707, 641, 750, 0,	//1555  const QString&, const QByteArray&, unsigned int
    707, 345, 0,	//1559  const QString&, QIODevice*
    707, 345, 750, 0,	//1562  const QString&, QIODevice*, unsigned int
    599, 0,	//1566  const KMimeTypeTrader&
    719, 719, 392, 0,	//1568  const char*, const char*, QObject*
    544, 392, 0,	//1572  const KAboutData&, QObject*
    545, 392, 0,	//1575  const KAboutData*, QObject*
    392, 719, 708, 0,	//1578  QObject*, const char*, const QStringList&
    146, 392, 0,	//1582  KPluginFactoryPrivate&, QObject*
    679, 0,	//1585  const QList<QVariant>&
    435, 392, 719, 708, 0,	//1587  QWidget*, QObject*, const char*, const QStringList&
    719, 435, 392, 679, 707, 0,	//1592  const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&
    392, 719, 0,	//1598  QObject*, const char*
    146, 0,	//1601  KPluginFactoryPrivate&
    606, 0,	//1603  const KSharedPtr<KService>
    671, 560, 0,	//1605  const QList<KSharedPtr<KService> >&, const KConfigGroup&
    708, 560, 0,	//1608  const QStringList&, const KConfigGroup&
    707, 560, 0,	//1611  const QString&, const KConfigGroup&
    47, 0,	//1614  KConfigGroup
    600, 0,	//1616  const KPluginInfo&
    671, 0,	//1618  const QList<KSharedPtr<KService> >&
    603, 555, 392, 0,	//1620  const KService&, const KComponentData&, QObject*
    603, 0,	//1624  const KService&
    603, 555, 0,	//1626  const KService&, const KComponentData&
    152, 0,	//1629  KProcess::OutputChannelMode
    707, 708, 734, 0,	//1631  const QString&, const QStringList&, int
    708, 734, 0,	//1635  const QStringList&, int
    153, 392, 0,	//1638  KProcessPrivate*, QObject*
    159, 0,	//1641  KProtocolInfo::Type
    707, 157, 0,	//1643  const QString&, KProtocolInfo::ExtraField::Type
    601, 0,	//1646  const KProtocolInfo::ExtraField&
    157, 0,	//1648  KProtocolInfo::ExtraField::Type
    602, 0,	//1650  const KRandomSequence&
    707, 707, 707, 729, 0,	//1652  const QString&, const QString&, const QString&, const unsigned int
    590, 0,	//1657  const KDesktopFile*
    605, 0,	//1659  const KServiceType*
    707, 432, 0,	//1661  const QString&, QVariant::Type
    538, 707, 408, 709, 0,	//1664  bool, const QString&, QString*, const QStringList*
    538, 707, 0,	//1669  bool, const QString&
    538, 707, 408, 0,	//1672  bool, const QString&, QString*
    707, 707, 707, 707, 538, 0,	//1676  const QString&, const QString&, const QString&, const QString&, bool
    604, 0,	//1682  const KServiceAction&
    707, 707, 707, 707, 0,	//1684  const QString&, const QString&, const QString&, const QString&
    275, 734, 538, 0,	//1689  QDataStream&, int, bool
    538, 538, 538, 538, 0,	//1693  bool, bool, bool, bool
    538, 538, 0,	//1698  bool, bool
    300, 0,	//1701  QFlags<KServiceGroup::EntriesOption>
    609, 0,	//1703  const KSharedPtr<KSycocaEntry>&
    538, 538, 538, 0,	//1705  bool, bool, bool
    92, 0,	//1709  KDesktopFile*
    170, 0,	//1711  KServiceTypePrivate&
    170, 707, 707, 0,	//1713  KServiceTypePrivate&, const QString&, const QString&
    365, 707, 0,	//1717  QList<KSharedPtr<KService> >&, const QString&
    707, 301, 178, 0,	//1720  const QString&, QFlags<KShell::Option>, KShell::Errors*
    707, 301, 0,	//1724  const QString&, QFlags<KShell::Option>
    707, 707, 755, 392, 0,	//1727  const QString&, const QString&, unsigned short, QObject*
    707, 707, 755, 0,	//1732  const QString&, const QString&, unsigned short
    707, 707, 755, 734, 392, 0,	//1736  const QString&, const QString&, unsigned short, int, QObject*
    707, 707, 755, 734, 0,	//1742  const QString&, const QString&, unsigned short, int
    707, 662, 755, 392, 0,	//1747  const QString&, const QHostAddress&, unsigned short, QObject*
    707, 662, 0,	//1752  const QString&, const QHostAddress&
    707, 662, 755, 0,	//1755  const QString&, const QHostAddress&, unsigned short
    707, 707, 392, 0,	//1759  const QString&, const QString&, QObject*
    712, 734, 392, 0,	//1763  const QUrl&, int, QObject*
    712, 0,	//1767  const QUrl&
    712, 734, 0,	//1769  const QUrl&, int
    415, 707, 707, 755, 0,	//1772  QTcpSocket*, const QString&, const QString&, unsigned short
    712, 392, 0,	//1777  const QUrl&, QObject*
    415, 712, 0,	//1780  QTcpSocket*, const QUrl&
    415, 712, 734, 0,	//1783  QTcpSocket*, const QUrl&, int
    415, 707, 707, 755, 734, 0,	//1787  QTcpSocket*, const QString&, const QString&, unsigned short, int
    610, 0,	//1793  const KSslCipher&
    703, 0,	//1795  const QSslCipher&
    185, 702, 0,	//1797  KSslError::Error, const QSslCertificate&
    704, 0,	//1800  const QSslError&
    611, 0,	//1802  const KSslError&
    185, 0,	//1804  KSslError::Error
    617, 0,	//1806  const KTcpSocket*
    612, 0,	//1808  const KSslErrorUiData&
    613, 0,	//1810  const KSslKey&
    705, 0,	//1812  const QSslKey&
    719, 707, 538, 0,	//1814  const char*, const QString&, bool
    719, 719, 707, 538, 0,	//1818  const char*, const char*, const QString&, bool
    719, 719, 719, 538, 0,	//1823  const char*, const char*, const char*, bool
    719, 707, 302, 0,	//1828  const char*, const QString&, QFlags<KStandardDirs::SearchOption>
    719, 707, 302, 412, 0,	//1832  const char*, const QString&, QFlags<KStandardDirs::SearchOption>, QStringList&
    707, 707, 302, 0,	//1837  const QString&, const QString&, QFlags<KStandardDirs::SearchOption>
    412, 707, 707, 302, 0,	//1841  QStringList&, const QString&, const QString&, QFlags<KStandardDirs::SearchOption>
    719, 707, 555, 0,	//1846  const char*, const QString&, const KComponentData&
    719, 707, 538, 555, 0,	//1850  const char*, const QString&, bool, const KComponentData&
    719, 719, 707, 0,	//1855  const char*, const char*, const QString&
    412, 707, 0,	//1859  QStringList&, const QString&
    412, 707, 707, 0,	//1862  QStringList&, const QString&, const QString&
    642, 707, 734, 0,	//1866  const QChar&, const QString&, int
    642, 707, 0,	//1870  const QChar&, const QString&
    697, 707, 734, 0,	//1873  const QRegExp&, const QString&, int
    697, 707, 0,	//1877  const QRegExp&, const QString&
    707, 707, 445, 0,	//1880  const QString&, const QString&, Qt::CaseSensitivity
    707, 707, 734, 0,	//1884  const QString&, const QString&, int
    734, 203, 0,	//1888  int, KSycocaType&
    200, 0,	//1891  KSycocaFactoryId
    1, 0,	//1893  DatabaseType
    199, 0,	//1895  KSycocaFactory*
    276, 0,	//1897  QDataStream*
    202, 0,	//1899  KSycocaType
    275, 407, 0,	//1901  QDataStream&, QString&
    275, 412, 0,	//1904  QDataStream&, QStringList&
    198, 0,	//1907  KSycocaEntryPrivate&
    206, 707, 707, 733, 733, 707, 0,	//1909  KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    614, 0,	//1916  const KSystemTimeZone&
    206, 707, 0,	//1918  KSystemTimeZoneSource*, const QString&
    206, 707, 707, 0,	//1921  KSystemTimeZoneSource*, const QString&, const QString&
    206, 707, 707, 733, 0,	//1925  KSystemTimeZoneSource*, const QString&, const QString&, float
    206, 707, 707, 733, 733, 0,	//1930  KSystemTimeZoneSource*, const QString&, const QString&, float, float
    619, 650, 736, 0,	//1936  const KTimeZone*, const QDateTime&, int*
    619, 650, 0,	//1940  const KTimeZone*, const QDateTime&
    619, 739, 0,	//1943  const KTimeZone*, long int
    615, 0,	//1946  const KSystemTimeZoneBackend&
    616, 0,	//1948  const KSystemTimeZoneSource&
    707, 755, 210, 0,	//1950  const QString&, unsigned short, KTcpSocket::ProxyPolicy
    662, 755, 210, 0,	//1954  const QHostAddress&, unsigned short, KTcpSocket::ProxyPolicy
    633, 210, 0,	//1958  const KUrl&, KTcpSocket::ProxyPolicy
    688, 0,	//1961  const QNetworkProxy&
    702, 0,	//1963  const QSslCertificate&
    678, 0,	//1965  const QList<QSslCertificate>&
    707, 755, 316, 0,	//1967  const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    672, 0,	//1971  const QList<KSslCipher>&
    707, 401, 0,	//1973  const QString&, QSsl::EncodingFormat
    707, 191, 401, 641, 0,	//1976  const QString&, KSslKey::Algorithm, QSsl::EncodingFormat, const QByteArray&
    211, 0,	//1981  KTcpSocket::SslVersion
    259, 0,	//1983  QAbstractSocket::SocketOption
    259, 714, 0,	//1985  QAbstractSocket::SocketOption, const QVariant&
    209, 0,	//1988  KTcpSocket::Error
    688, 260, 0,	//1990  const QNetworkProxy&, QAuthenticator*
    212, 0,	//1993  KTcpSocket::State
    208, 0,	//1995  KTcpSocket::EncryptionMode
    673, 0,	//1997  const QList<KSslError>&
    707, 755, 0,	//1999  const QString&, unsigned short
    662, 755, 0,	//2002  const QHostAddress&, unsigned short
    707, 191, 0,	//2005  const QString&, KSslKey::Algorithm
    707, 191, 401, 0,	//2008  const QString&, KSslKey::Algorithm, QSsl::EncodingFormat
    618, 650, 0,	//2012  const KTimeZone&, const QDateTime&
    650, 540, 0,	//2015  const QDateTime&, bool*
    495, 0,	//2018  Qt::TimeSpec
    650, 736, 0,	//2020  const QDateTime&, int*
    739, 0,	//2023  long int
    650, 650, 0,	//2025  const QDateTime&, const QDateTime&
    650, 624, 540, 0,	//2028  const QDateTime&, const KTimeZone::Transition**, bool*
    650, 736, 540, 0,	//2032  const QDateTime&, int*, bool*
    621, 650, 650, 0,	//2036  const KTimeZone::Phase&, const QDateTime&, const QDateTime&
    227, 0,	//2040  KTimeZoneBackend*
    229, 230, 0,	//2042  KTimeZoneData*, KTimeZoneSource*
    650, 624, 0,	//2045  const QDateTime&, const KTimeZone::Transition**
    621, 0,	//2048  const KTimeZone::Phase&
    621, 650, 0,	//2050  const KTimeZone::Phase&, const QDateTime&
    229, 0,	//2053  KTimeZoneData*
    650, 734, 707, 0,	//2055  const QDateTime&, int, const QString&
    620, 0,	//2059  const KTimeZone::LeapSeconds&
    650, 734, 0,	//2061  const QDateTime&, int
    734, 641, 538, 707, 0,	//2064  int, const QByteArray&, bool, const QString&
    734, 677, 538, 707, 0,	//2069  int, const QList<QByteArray>&, bool, const QString&
    734, 641, 538, 0,	//2074  int, const QByteArray&, bool
    734, 677, 538, 0,	//2078  int, const QList<QByteArray>&, bool
    650, 621, 0,	//2082  const QDateTime&, const KTimeZone::Phase&
    622, 0,	//2085  const KTimeZone::Transition&
    625, 0,	//2087  const KTimeZoneBackend&
    619, 0,	//2089  const KTimeZone*
    230, 707, 707, 733, 733, 707, 0,	//2091  KTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    230, 707, 0,	//2098  KTimeZoneSource*, const QString&
    230, 707, 707, 0,	//2101  KTimeZoneSource*, const QString&, const QString&
    230, 707, 707, 733, 0,	//2105  KTimeZoneSource*, const QString&, const QString&, float
    230, 707, 707, 733, 733, 0,	//2110  KTimeZoneSource*, const QString&, const QString&, float, float
    626, 0,	//2116  const KTimeZoneData&
    675, 734, 0,	//2118  const QList<KTimeZone::Phase>&, int
    676, 0,	//2121  const QList<KTimeZone::Transition>&
    674, 0,	//2123  const QList<KTimeZone::LeapSeconds>&
    628, 0,	//2125  const KTimeZoneSource&
    707, 707, 641, 0,	//2127  const QString&, const QString&, const QByteArray&
    633, 641, 538, 0,	//2131  const KUrl&, const QByteArray&, bool
    707, 707, 707, 707, 707, 707, 708, 641, 0,	//2135  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&, const QByteArray&
    707, 707, 408, 408, 736, 641, 538, 0,	//2144  const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool
    707, 708, 408, 408, 736, 641, 538, 0,	//2152  const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool
    707, 708, 408, 736, 641, 0,	//2160  const QString&, const QStringList&, QString*, int*, const QByteArray&
    412, 265, 0,	//2166  QStringList&, QByteArray&
    633, 641, 0,	//2169  const KUrl&, const QByteArray&
    707, 707, 707, 707, 707, 0,	//2172  const QString&, const QString&, const QString&, const QString&, const QString&
    707, 707, 707, 707, 707, 707, 0,	//2178  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&
    707, 707, 707, 707, 707, 707, 708, 0,	//2185  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&
    707, 707, 408, 0,	//2193  const QString&, const QString&, QString*
    707, 707, 408, 408, 0,	//2197  const QString&, const QString&, QString*, QString*
    707, 707, 408, 408, 736, 0,	//2202  const QString&, const QString&, QString*, QString*, int*
    707, 707, 408, 408, 736, 641, 0,	//2208  const QString&, const QString&, QString*, QString*, int*, const QByteArray&
    707, 708, 408, 0,	//2215  const QString&, const QStringList&, QString*
    707, 708, 408, 408, 0,	//2219  const QString&, const QStringList&, QString*, QString*
    707, 708, 408, 408, 736, 0,	//2224  const QString&, const QStringList&, QString*, QString*, int*
    707, 708, 408, 408, 736, 641, 0,	//2230  const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&
    707, 708, 408, 736, 0,	//2237  const QString&, const QStringList&, QString*, int*
    235, 707, 707, 733, 733, 707, 0,	//2242  KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    630, 0,	//2249  const KTzfileTimeZone&
    235, 707, 0,	//2251  KTzfileTimeZoneSource*, const QString&
    235, 707, 707, 0,	//2254  KTzfileTimeZoneSource*, const QString&, const QString&
    235, 707, 707, 733, 0,	//2258  KTzfileTimeZoneSource*, const QString&, const QString&, float
    235, 707, 707, 733, 733, 0,	//2263  KTzfileTimeZoneSource*, const QString&, const QString&, float, float
    631, 0,	//2269  const KTzfileTimeZoneBackend&
    632, 0,	//2271  const KTzfileTimeZoneSource&
    239, 0,	//2273  KUrl::AdjustPathOption
    634, 0,	//2275  const KUrl::CleanPathOption&
    239, 654, 0,	//2277  KUrl::AdjustPathOption, const QFlags<KUrl::EncodedPathAndQueryOption>&
    656, 0,	//2280  const QFlags<KUrl::QueryItemsOption>&
    653, 0,	//2282  const QFlags<KUrl::DirectoryOption>&
    633, 538, 0,	//2284  const KUrl&, bool
    633, 655, 0,	//2287  const KUrl&, const QFlags<KUrl::EqualsOption>&
    635, 0,	//2290  const KUrl::List&
    389, 683, 246, 0,	//2292  QMimeData*, const QMap<QString,QString>&, KUrl::MimeDataFlags
    633, 633, 0,	//2296  const KUrl&, const KUrl&
    389, 0,	//2299  QMimeData*
    389, 683, 0,	//2301  QMimeData*, const QMap<QString,QString>&
    250, 0,	//2304  KUser::UIDMode
    725, 0,	//2306  const passwd*
    636, 0,	//2308  const KUser&
    251, 0,	//2310  KUser::UserProperty
    721, 0,	//2312  const group*
    637, 0,	//2314  const KUserGroup&
    638, 0,	//2316  const KWordMacroExpander&
    707, 707, 644, 392, 0,	//2318  const QString&, const QString&, const QDBusConnection&, QObject*
    707, 708, 708, 707, 0,	//2323  const QString&, const QStringList&, const QStringList&, const QString&
    707, 708, 708, 707, 407, 407, 735, 0,	//2328  const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&
    707, 707, 707, 407, 0,	//2336  const QString&, const QString&, const QString&, QString&
    707, 708, 708, 707, 538, 407, 407, 735, 0,	//2341  const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&
    707, 707, 644, 0,	//2350  const QString&, const QString&, const QDBusConnection&
    275, 604, 0,	//2354  QDataStream&, const KServiceAction&
    710, 710, 0,	//2357  const QStringRef&, const QStringRef&
    417, 734, 0,	//2360  QTextCodec::ConversionFlag, int
    466, 734, 0,	//2363  Qt::ImageConversionFlag, int
    719, 663, 0,	//2366  const char*, const QLatin1String&
    275, 155, 0,	//2369  QDataStream&, KProtocolInfo::ExtraField&
    710, 707, 0,	//2372  const QStringRef&, const QString&
    699, 699, 0,	//2375  const QSize&, const QSize&
    289, 315, 0,	//2378  QFile::Permission, QFlags<QFile::Permission>
    694, 694, 0,	//2381  const QPointF&, const QPointF&
    275, 399, 0,	//2384  QDataStream&, QSizeF&
    641, 719, 0,	//2387  const QByteArray&, const char*
    391, 734, 0,	//2390  QNetworkProxy::Capability, int
    707, 710, 0,	//2393  const QString&, const QStringRef&
    243, 734, 0,	//2396  KUrl::EqualsOption, int
    710, 663, 0,	//2399  const QStringRef&, const QLatin1String&
    266, 266, 0,	//2402  QChar, QChar
    647, 647, 0,	//2405  const QDBusVariant&, const QDBusVariant&
    499, 499, 0,	//2408  Qt::TouchPointState, Qt::TouchPointState
    270, 665, 0,	//2411  QDBusArgument&, const QLineF&
    270, 694, 0,	//2414  QDBusArgument&, const QPointF&
    409, 707, 0,	//2417  QString::Null, const QString&
    270, 679, 0,	//2420  QDBusArgument&, const QList<QVariant>&
    275, 662, 0,	//2423  QDataStream&, const QHostAddress&
    496, 496, 0,	//2426  Qt::ToolBarArea, Qt::ToolBarArea
    384, 384, 0,	//2429  QLocale::NumberOption, QLocale::NumberOption
    243, 243, 0,	//2432  KUrl::EqualsOption, KUrl::EqualsOption
    270, 696, 0,	//2435  QDBusArgument&, const QRectF&
    506, 506, 0,	//2438  Qt::WindowType, Qt::WindowType
    731, 701, 0,	//2441  double, const QSizeF&
    241, 241, 0,	//2444  KUrl::DirectoryOption, KUrl::DirectoryOption
    282, 734, 0,	//2447  QDir::Filter, int
    692, 692, 0,	//2450  const QPoint&, const QPoint&
    643, 351, 0,	//2453  const QDBusArgument&, QLineF&
    275, 696, 0,	//2456  QDataStream&, const QRectF&
    474, 734, 0,	//2459  Qt::KeyboardModifier, int
    493, 335, 0,	//2462  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    43, 292, 0,	//2465  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    270, 650, 0,	//2468  QDBusArgument&, const QDateTime&
    421, 322, 0,	//2471  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    428, 734, 0,	//2474  QUrl::FormattingOption, int
    289, 734, 0,	//2477  QFile::Permission, int
    692, 731, 0,	//2480  const QPoint&, double
    284, 313, 0,	//2483  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    701, 701, 0,	//2486  const QSizeF&, const QSizeF&
    33, 734, 0,	//2489  KCmdLineArgs::StdCmdLineArg, int
    134, 734, 0,	//2492  KLockFile::LockFlag, int
    474, 331, 0,	//2495  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    391, 391, 0,	//2498  QNetworkProxy::Capability, QNetworkProxy::Capability
    428, 428, 0,	//2501  QUrl::FormattingOption, QUrl::FormattingOption
    499, 337, 0,	//2504  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    241, 734, 0,	//2507  KUrl::DirectoryOption, int
    466, 466, 0,	//2510  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    384, 734, 0,	//2513  QLocale::NumberOption, int
    663, 663, 0,	//2516  const QLatin1String&, const QLatin1String&
    391, 319, 0,	//2519  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    129, 734, 0,	//2522  KLocale::TimeProcessingOption, int
    663, 710, 0,	//2525  const QLatin1String&, const QStringRef&
    241, 304, 0,	//2528  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    646, 646, 0,	//2531  const QDBusSignature&, const QDBusSignature&
    457, 457, 0,	//2534  Qt::DropAction, Qt::DropAction
    275, 383, 0,	//2537  QDataStream&, QLocale&
    707, 266, 0,	//2540  const QString&, QChar
    409, 409, 0,	//2543  QString::Null, QString::Null
    179, 301, 0,	//2546  KShell::Option, QFlags<KShell::Option>
    417, 417, 0,	//2549  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    481, 481, 0,	//2552  Qt::Orientation, Qt::Orientation
    641, 707, 0,	//2555  const QByteArray&, const QString&
    496, 336, 0,	//2558  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    695, 695, 0,	//2561  const QRect&, const QRect&
    287, 314, 0,	//2564  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    639, 639, 0,	//2567  const QBitArray&, const QBitArray&
    43, 43, 0,	//2570  KConfig::OpenFlag, KConfig::OpenFlag
    23, 734, 0,	//2573  KAutostart::Condition, int
    275, 681, 0,	//2576  QDataStream&, const QLocale&
    275, 601, 0,	//2579  QDataStream&, const KProtocolInfo::ExtraField&
    275, 281, 0,	//2582  QDataStream&, QDateTime&
    263, 263, 0,	//2585  QBool, QBool
    719, 710, 0,	//2588  const char*, const QStringRef&
    496, 734, 0,	//2591  Qt::ToolBarArea, int
    468, 734, 0,	//2594  Qt::InputMethodHint, int
    121, 734, 0,	//2597  KLocale::DateTimeFormatOption, int
    266, 707, 0,	//2600  QChar, const QString&
    410, 734, 0,	//2603  QString::SectionFlag, int
    349, 734, 0,	//2606  QLibrary::LoadHint, int
    275, 427, 0,	//2609  QDataStream&, QUrl&
    179, 179, 0,	//2612  KShell::Option, KShell::Option
    707, 409, 0,	//2615  const QString&, QString::Null
    257, 734, 0,	//2618  QAbstractFileEngine::FileFlag, int
    417, 321, 0,	//2621  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    707, 541, 0,	//2624  const QString&, char
    643, 279, 0,	//2627  const QDBusArgument&, QDate&
    468, 329, 0,	//2630  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    506, 339, 0,	//2633  Qt::WindowType, QFlags<Qt::WindowType>
    270, 711, 0,	//2636  QDBusArgument&, const QTime&
    270, 664, 0,	//2639  QDBusArgument&, const QLine&
    479, 479, 0,	//2642  Qt::MouseButton, Qt::MouseButton
    242, 305, 0,	//2645  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    436, 436, 0,	//2648  Qt::AlignmentFlag, Qt::AlignmentFlag
    692, 0,	//2651  const QPoint&
    457, 734, 0,	//2653  Qt::DropAction, int
    275, 711, 0,	//2656  QDataStream&, const QTime&
    283, 734, 0,	//2659  QDir::SortFlag, int
    685, 685, 0,	//2662  const QMargins&, const QMargins&
    274, 310, 0,	//2665  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    104, 734, 0,	//2668  KJob::Capability, int
    477, 477, 0,	//2671  Qt::MatchFlag, Qt::MatchFlag
    242, 242, 0,	//2674  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    455, 325, 0,	//2677  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    194, 302, 0,	//2680  KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>
    455, 734, 0,	//2683  Qt::DockWidgetArea, int
    46, 46, 0,	//2686  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    270, 695, 0,	//2689  QDBusArgument&, const QRect&
    275, 351, 0,	//2692  QDataStream&, QLineF&
    289, 289, 0,	//2695  QFile::Permission, QFile::Permission
    121, 296, 0,	//2698  KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>
    541, 707, 0,	//2701  char, const QString&
    645, 645, 0,	//2704  const QDBusObjectPath&, const QDBusObjectPath&
    275, 398, 0,	//2707  QDataStream&, QSize&
    275, 707, 0,	//2710  QDataStream&, const QString&
    275, 650, 0,	//2713  QDataStream&, const QDateTime&
    410, 410, 0,	//2716  QString::SectionFlag, QString::SectionFlag
    274, 274, 0,	//2719  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    694, 731, 0,	//2722  const QPointF&, double
    538, 263, 0,	//2725  bool, QBool
    643, 394, 0,	//2728  const QDBusArgument&, QPointF&
    275, 342, 0,	//2731  QDataStream&, QHostAddress&
    275, 165, 0,	//2734  QDataStream&, KServiceAction&
    275, 692, 0,	//2737  QDataStream&, const QPoint&
    128, 734, 0,	//2740  KLocale::TimeFormatOption, int
    275, 431, 0,	//2743  QDataStream&, QVariant&
    128, 297, 0,	//2746  KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>
    479, 734, 0,	//2749  Qt::MouseButton, int
    46, 293, 0,	//2752  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    694, 0,	//2755  const QPointF&
    128, 128, 0,	//2757  KLocale::TimeFormatOption, KLocale::TimeFormatOption
    46, 734, 0,	//2760  KConfigBase::WriteConfigFlag, int
    271, 309, 0,	//2763  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    481, 334, 0,	//2766  Qt::Orientation, QFlags<Qt::Orientation>
    287, 734, 0,	//2769  QEventLoop::ProcessEventsFlag, int
    696, 696, 0,	//2772  const QRectF&, const QRectF&
    270, 699, 0,	//2775  QDBusArgument&, const QSize&
    466, 328, 0,	//2778  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    275, 708, 0,	//2781  QDataStream&, const QStringList&
    641, 541, 0,	//2784  const QByteArray&, char
    129, 298, 0,	//2787  KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>
    284, 284, 0,	//2790  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    282, 311, 0,	//2793  QDir::Filter, QFlags<QDir::Filter>
    275, 393, 0,	//2796  QDataStream&, QPoint&
    701, 731, 0,	//2799  const QSizeF&, double
    275, 649, 0,	//2802  QDataStream&, const QDate&
    275, 664, 0,	//2805  QDataStream&, const QLine&
    542, 0,	//2808  char*
    643, 281, 0,	//2810  const QDBusArgument&, QDateTime&
    643, 396, 0,	//2813  const QDBusArgument&, QRectF&
    243, 306, 0,	//2816  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    471, 734, 0,	//2819  Qt::ItemFlag, int
    78, 78, 0,	//2822  KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus
    419, 420, 0,	//2825  QTextStream&, QTextStream&(*)(QTextStream&)
    643, 424, 0,	//2828  const QDBusArgument&, QTime&
    104, 104, 0,	//2831  KJob::Capability, KJob::Capability
    134, 299, 0,	//2834  KLockFile::LockFlag, QFlags<KLockFile::LockFlag>
    287, 287, 0,	//2837  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    23, 290, 0,	//2840  KAutostart::Condition, QFlags<KAutostart::Condition>
    419, 422, 0,	//2843  QTextStream&, QTextStreamManipulator
    462, 327, 0,	//2846  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    271, 271, 0,	//2849  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    343, 662, 0,	//2852  QHostAddress::SpecialAddress, const QHostAddress&
    275, 262, 0,	//2855  QDataStream&, QBitArray&
    240, 240, 0,	//2858  KUrl::CleanPathOption, KUrl::CleanPathOption
    270, 684, 0,	//2861  QDBusArgument&, const QMap<QString,QVariant>&
    710, 719, 0,	//2864  const QStringRef&, const char*
    643, 393, 0,	//2867  const QDBusArgument&, QPoint&
    33, 291, 0,	//2870  KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>
    462, 734, 0,	//2873  Qt::GestureFlag, int
    541, 641, 0,	//2876  char, const QByteArray&
    275, 714, 0,	//2879  QDataStream&, const QVariant&
    643, 399, 0,	//2882  const QDBusArgument&, QSizeF&
    643, 398, 0,	//2885  const QDBusArgument&, QSize&
    505, 734, 0,	//2888  Qt::WindowState, int
    275, 424, 0,	//2891  QDataStream&, QTime&
    23, 23, 0,	//2894  KAutostart::Condition, KAutostart::Condition
    104, 295, 0,	//2897  KJob::Capability, QFlags<KJob::Capability>
    247, 247, 0,	//2900  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    474, 474, 0,	//2903  Qt::KeyboardModifier, Qt::KeyboardModifier
    731, 694, 0,	//2906  double, const QPointF&
    275, 285, 0,	//2909  QDataStream&, QEasingCurve&
    457, 326, 0,	//2912  Qt::DropAction, QFlags<Qt::DropAction>
    699, 731, 0,	//2915  const QSize&, double
    282, 282, 0,	//2918  QDir::Filter, QDir::Filter
    731, 692, 0,	//2921  double, const QPoint&
    275, 665, 0,	//2924  QDataStream&, const QLineF&
    194, 734, 0,	//2927  KStandardDirs::SearchOption, int
    43, 734, 0,	//2930  KConfig::OpenFlag, int
    347, 347, 0,	//2933  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    455, 455, 0,	//2936  Qt::DockWidgetArea, Qt::DockWidgetArea
    283, 312, 0,	//2939  QDir::SortFlag, QFlags<QDir::SortFlag>
    714, 716, 0,	//2942  const QVariant&, const QVariantComparisonHelper&
    349, 349, 0,	//2945  QLibrary::LoadHint, QLibrary::LoadHint
    284, 734, 0,	//2948  QDirIterator::IteratorFlag, int
    78, 294, 0,	//2951  KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>
    468, 468, 0,	//2954  Qt::InputMethodHint, Qt::InputMethodHint
    643, 395, 0,	//2957  const QDBusArgument&, QRect&
    493, 493, 0,	//2960  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    499, 734, 0,	//2963  Qt::TouchPointState, int
    428, 323, 0,	//2966  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    493, 734, 0,	//2969  Qt::TextInteractionFlag, int
    505, 505, 0,	//2972  Qt::WindowState, Qt::WindowState
    257, 308, 0,	//2975  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    275, 641, 0,	//2978  QDataStream&, const QByteArray&
    275, 651, 0,	//2981  QDataStream&, const QEasingCurve&
    275, 712, 0,	//2984  QDataStream&, const QUrl&
    643, 431, 0,	//2987  const QDBusArgument&, QVariant&
    283, 283, 0,	//2990  QDir::SortFlag, QDir::SortFlag
    421, 734, 0,	//2993  QTextStream::NumberFlag, int
    275, 395, 0,	//2996  QDataStream&, QRect&
    275, 699, 0,	//2999  QDataStream&, const QSize&
    33, 33, 0,	//3002  KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg
    275, 642, 0,	//3005  QDataStream&, const QChar&
    436, 734, 0,	//3008  Qt::AlignmentFlag, int
    275, 697, 0,	//3011  QDataStream&, const QRegExp&
    643, 350, 0,	//3014  const QDBusArgument&, QLine&
    505, 338, 0,	//3017  Qt::WindowState, QFlags<Qt::WindowState>
    134, 134, 0,	//3020  KLockFile::LockFlag, KLockFile::LockFlag
    471, 471, 0,	//3023  Qt::ItemFlag, Qt::ItemFlag
    275, 429, 0,	//3026  QDataStream&, QUuid&
    240, 303, 0,	//3029  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    275, 433, 0,	//3032  QDataStream&, QVariant::Type&
    240, 734, 0,	//3035  KUrl::CleanPathOption, int
    247, 307, 0,	//3038  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    270, 649, 0,	//3041  QDBusArgument&, const QDate&
    661, 661, 0,	//3044  const QHashDummyValue&, const QHashDummyValue&
    275, 394, 0,	//3047  QDataStream&, QPointF&
    481, 734, 0,	//3050  Qt::Orientation, int
    462, 462, 0,	//3053  Qt::GestureFlag, Qt::GestureFlag
    347, 316, 0,	//3056  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    129, 129, 0,	//3059  KLocale::TimeProcessingOption, KLocale::TimeProcessingOption
    271, 734, 0,	//3062  QDBusConnection::RegisterOption, int
    731, 699, 0,	//3065  double, const QSize&
    270, 701, 0,	//3068  QDBusArgument&, const QSizeF&
    242, 734, 0,	//3071  KUrl::EncodedPathAndQueryOption, int
    263, 538, 0,	//3074  QBool, bool
    275, 350, 0,	//3077  QDataStream&, QLine&
    421, 421, 0,	//3080  QTextStream::NumberFlag, QTextStream::NumberFlag
    247, 734, 0,	//3083  KUrl::QueryItemsOption, int
    479, 333, 0,	//3086  Qt::MouseButton, QFlags<Qt::MouseButton>
    194, 194, 0,	//3089  KStandardDirs::SearchOption, KStandardDirs::SearchOption
    275, 715, 0,	//3092  QDataStream&, const QVariant::Type
    471, 330, 0,	//3095  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    275, 713, 0,	//3098  QDataStream&, const QUuid&
    349, 317, 0,	//3101  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    506, 734, 0,	//3104  Qt::WindowType, int
    121, 121, 0,	//3107  KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption
    275, 396, 0,	//3110  QDataStream&, QRectF&
    275, 695, 0,	//3113  QDataStream&, const QRect&
    477, 332, 0,	//3116  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    274, 734, 0,	//3119  QDBusServiceWatcher::WatchModeFlag, int
    436, 324, 0,	//3122  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    275, 267, 0,	//3125  QDataStream&, QChar&
    275, 397, 0,	//3128  QDataStream&, QRegExp&
    275, 694, 0,	//3131  QDataStream&, const QPointF&
    275, 701, 0,	//3134  QDataStream&, const QSizeF&
    384, 318, 0,	//3137  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    179, 734, 0,	//3140  KShell::Option, int
    410, 320, 0,	//3143  QString::SectionFlag, QFlags<QString::SectionFlag>
    257, 257, 0,	//3146  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    347, 734, 0,	//3149  QIODevice::OpenModeFlag, int
    275, 265, 0,	//3152  QDataStream&, QByteArray&
    477, 734, 0,	//3155  Qt::MatchFlag, int
    270, 692, 0,	//3158  QDBusArgument&, const QPoint&
    78, 734, 0,	//3161  KCurrencyCode::CurrencyStatus, int
    275, 279, 0,	//3164  QDataStream&, QDate&
    275, 639, 0,	//3167  QDataStream&, const QBitArray&
    286, 0,	//3170  QEvent*
    392, 286, 0,	//3172  QObject*, QEvent*
    425, 0,	//3175  QTimerEvent*
    268, 0,	//3177  QChildEvent*
    718, 392, 0,	//3179  const Sonnet::Speller&, QObject*
    718, 0,	//3182  const Sonnet::Speller&
    734, 707, 707, 0,	//3184  int, const QString&, const QString&
    534, 538, 0,	//3188  Sonnet::Speller::Attribute, bool
    534, 0,	//3191  Sonnet::Speller::Attribute
    723, 0,	//3193  const kndbgstream&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbortError",	//1
    "AbortOnMeta",	//2
    "AbstractUnixSocket",	//3
    "Action",	//4
    "Action#",	//5
    "Action$",	//6
    "Action$$",	//7
    "ActionReply",	//8
    "ActionReply#",	//9
    "ActionReply$",	//10
    "ActiveCurrency",	//11
    "AddTrailingSlash",	//12
    "AddressInUseError",	//13
    "After",	//14
    "AfterMoney",	//15
    "AfterQuantityMoney",	//16
    "AllowEmptyPath",	//17
    "AllowSeparators",	//18
    "AnySslVersion",	//19
    "Append",	//20
    "AppendTrailingSlash",	//21
    "Applications",	//22
    "Arabic",	//23
    "ArabicDigits",	//24
    "ArabicIndicDigits",	//25
    "AtEnd",	//26
    "AtStart",	//27
    "AuthRequired",	//28
    "AuthorizationDenied",	//29
    "AuthorizationDeniedReply",	//30
    "Authorized",	//31
    "AutoDetectedEncoding",	//32
    "AutoProxy",	//33
    "AvoidEmptyPath",	//34
    "BOM",	//35
    "BackgroundChecker",	//36
    "BackgroundChecker#",	//37
    "BackgroundChecker##",	//38
    "BadQuoting",	//39
    "Baltic",	//40
    "BaseDesktop",	//41
    "Before",	//42
    "BeforeMoney",	//43
    "BeforeQuantityMoney",	//44
    "BengaliDigits",	//45
    "BoundState",	//46
    "Bytes",	//47
    "CascadeConfig",	//48
    "CaseInsensitiveKeys",	//49
    "CentralEuropean",	//50
    "CertificateSignatureFailed",	//51
    "CheckAll",	//52
    "CheckCommand",	//53
    "CheckCondition",	//54
    "CheckUppercase",	//55
    "ChineseSimplified",	//56
    "ChineseTraditional",	//57
    "Choice",	//58
    "Choice#",	//59
    "Choice2",	//60
    "Choice2#",	//61
    "ClockTime",	//62
    "ClosingState",	//63
    "CmdLineArgKDE",	//64
    "CmdLineArgNone",	//65
    "CmdLineArgQt",	//66
    "CmdLineArgsMask",	//67
    "CompareWithoutFragment",	//68
    "CompareWithoutTrailingSlash",	//69
    "ConnectedState",	//70
    "ConnectingState",	//71
    "ConnectionRefusedError",	//72
    "CopyError",	//73
    "CrashExit",	//74
    "Crashed",	//75
    "Cyrillic",	//76
    "DBusError",	//77
    "DBusErrorReply",	//78
    "DBusMulti",	//79
    "DBusNone",	//80
    "DBusUnique",	//81
    "DBusWait",	//82
    "DatagramTooLargeError",	//83
    "DateTime",	//84
    "DefaultBinaryDialect",	//85
    "DefaultBinaryUnits",	//86
    "DefaultEncoding",	//87
    "DefaultMimeDataFlags",	//88
    "Denied",	//89
    "DesktopServices",	//90
    "DevenagariDigits",	//91
    "Dh",	//92
    "Directories",	//93
    "DoCopyCatalogs",	//94
    "DontCopyCatalogs",	//95
    "DontResolveAlias",	//96
    "Dsa",	//97
    "EasternArabicIndicDigits",	//98
    "EmitResult",	//99
    "EncodingFromHTTPHeader",	//100
    "EncodingFromMetaTag",	//101
    "EncodingFromXMLHeader",	//102
    "End",	//103
    "EndsAt",	//104
    "Equal",	//105
    "ErrNoComponent",	//106
    "ErrNoFactory",	//107
    "ErrNoLibrary",	//108
    "ErrNoServiceFound",	//109
    "ErrServiceProvidesNoLibrary",	//110
    "Error",	//111
    "ExcludeNoDisplay",	//112
    "ExeGroup",	//113
    "ExeOther",	//114
    "ExeOwner",	//115
    "ExeUser",	//116
    "ExpiredCertificate",	//117
    "ExtraField",	//118
    "ExtraField#",	//119
    "ExtraField$$",	//120
    "FailedToStart",	//121
    "FancyLongDate",	//122
    "FancyShortDate",	//123
    "Fatal",	//124
    "FatalError",	//125
    "Files",	//126
    "ForceFlag",	//127
    "ForwardedChannels",	//128
    "FoundIt",	//129
    "FoundMeta",	//130
    "FromUrl",	//131
    "FullConfig",	//132
    "FullName",	//133
    "Global",	//134
    "GlobalDatabase",	//135
    "Greek",	//136
    "GujaratiDigits",	//137
    "GurmukhiDigits",	//138
    "Hebrew",	//139
    "HelperBusy",	//140
    "HelperBusyReply",	//141
    "HelperError",	//142
    "HelperErrorReply",	//143
    "HomePhone",	//144
    "HostLookupState",	//145
    "HostNameMismatch",	//146
    "HostNotFoundError",	//147
    "IECBinaryDialect",	//148
    "IPv4Protocol",	//149
    "IPv6Protocol",	//150
    "ISODate",	//151
    "ITIMER_PROF",	//152
    "ITIMER_REAL",	//153
    "ITIMER_VIRTUAL",	//154
    "IgnoreExecBit",	//155
    "IgnoreTrailingSlash",	//156
    "Imperial",	//157
    "IncludeGlobals",	//158
    "Information",	//159
    "Inside",	//160
    "Invalid",	//161
    "InvalidAction",	//162
    "InvalidActionReply",	//163
    "InvalidCertificate",	//164
    "InvalidCertificateAuthorityCertificate",	//165
    "InvalidCertificatePurpose",	//166
    "InvalidOffset",	//167
    "InvalidTime_t",	//168
    "IsoDate",	//169
    "IsoFormat",	//170
    "IsoOrdinalDate",	//171
    "IsoOrdinalFormat",	//172
    "IsoWeekDate",	//173
    "IsoWeekFormat",	//174
    "ItemBool",	//175
    "ItemBool#",	//176
    "ItemBool$$$",	//177
    "ItemBool$$$$",	//178
    "ItemDateTime",	//179
    "ItemDateTime#",	//180
    "ItemDateTime$$#",	//181
    "ItemDateTime$$##",	//182
    "ItemDouble",	//183
    "ItemDouble#",	//184
    "ItemDouble$$$",	//185
    "ItemDouble$$$$",	//186
    "ItemEnum",	//187
    "ItemEnum#",	//188
    "ItemEnum$$$?",	//189
    "ItemEnum$$$?$",	//190
    "ItemInt",	//191
    "ItemInt#",	//192
    "ItemInt$$$",	//193
    "ItemInt$$$$",	//194
    "ItemIntList",	//195
    "ItemIntList#",	//196
    "ItemIntList$$?",	//197
    "ItemIntList$$??",	//198
    "ItemLongLong",	//199
    "ItemLongLong#",	//200
    "ItemLongLong$$?",	//201
    "ItemLongLong$$??",	//202
    "ItemPassword",	//203
    "ItemPassword#",	//204
    "ItemPassword$$$",	//205
    "ItemPassword$$$$",	//206
    "ItemPath",	//207
    "ItemPath#",	//208
    "ItemPath$$$",	//209
    "ItemPath$$$$",	//210
    "ItemPathList",	//211
    "ItemPathList#",	//212
    "ItemPathList$$?",	//213
    "ItemPathList$$??",	//214
    "ItemPoint",	//215
    "ItemPoint#",	//216
    "ItemPoint$$#",	//217
    "ItemPoint$$##",	//218
    "ItemProperty",	//219
    "ItemProperty#",	//220
    "ItemProperty$$#",	//221
    "ItemProperty$$##",	//222
    "ItemRect",	//223
    "ItemRect#",	//224
    "ItemRect$$#",	//225
    "ItemRect$$##",	//226
    "ItemSize",	//227
    "ItemSize#",	//228
    "ItemSize$$#",	//229
    "ItemSize$$##",	//230
    "ItemString",	//231
    "ItemString#",	//232
    "ItemString$$$",	//233
    "ItemString$$$$",	//234
    "ItemString$$$$$",	//235
    "ItemStringList",	//236
    "ItemStringList#",	//237
    "ItemStringList$$?",	//238
    "ItemStringList$$??",	//239
    "ItemUInt",	//240
    "ItemUInt#",	//241
    "ItemUInt$$$",	//242
    "ItemUInt$$$$",	//243
    "ItemULongLong",	//244
    "ItemULongLong#",	//245
    "ItemULongLong$$?",	//246
    "ItemULongLong$$??",	//247
    "ItemUrl",	//248
    "ItemUrl#",	//249
    "ItemUrl$$#",	//250
    "ItemUrl$$##",	//251
    "ItemUrlList",	//252
    "ItemUrlList#",	//253
    "ItemUrlList$$?",	//254
    "ItemUrlList$$??",	//255
    "JEDECBinaryDialect",	//256
    "Japanese",	//257
    "KAboutData",	//258
    "KAboutData#",	//259
    "KAboutData####",	//260
    "KAboutData#####",	//261
    "KAboutData#####$",	//262
    "KAboutData#####$#",	//263
    "KAboutData#####$##",	//264
    "KAboutData#####$###",	//265
    "KAboutData#####$####",	//266
    "KAboutLicense",	//267
    "KAboutLicense#",	//268
    "KAboutPerson",	//269
    "KAboutPerson#",	//270
    "KAboutPerson##",	//271
    "KAboutPerson###",	//272
    "KAboutPerson####",	//273
    "KAuthError",	//274
    "KAutoSaveFile",	//275
    "KAutoSaveFile#",	//276
    "KAutoSaveFile##",	//277
    "KAutostart",	//278
    "KAutostart$",	//279
    "KAutostart$#",	//280
    "KCalendarSystem",	//281
    "KCalendarSystem#",	//282
    "KCalendarSystem#?",	//283
    "KCalendarSystem#?#",	//284
    "KCalendarSystem?",	//285
    "KCalendarSystem?#",	//286
    "KCharMacroExpander",	//287
    "KCharMacroExpander#",	//288
    "KCharsets",	//289
    "KCharsets#",	//290
    "KCmdLineArgs",	//291
    "KCmdLineArgs#",	//292
    "KCmdLineArgs###",	//293
    "KCmdLineOptions",	//294
    "KCmdLineOptions#",	//295
    "KComponentData",	//296
    "KComponentData#",	//297
    "KComponentData##",	//298
    "KComponentData##$",	//299
    "KComponentData#$",	//300
    "KCompositeJob",	//301
    "KCompositeJob#",	//302
    "KCompositeJob##",	//303
    "KConfig",	//304
    "KConfig#",	//305
    "KConfig#$",	//306
    "KConfig#$$",	//307
    "KConfig#$$$",	//308
    "KConfig$",	//309
    "KConfig$$",	//310
    "KConfig$$$",	//311
    "KConfigBase",	//312
    "KConfigBase#",	//313
    "KConfigGroup",	//314
    "KConfigGroup#",	//315
    "KConfigGroup#$",	//316
    "KConfigGroup?$",	//317
    "KConfigSkeletonItem",	//318
    "KConfigSkeletonItem#",	//319
    "KConfigSkeletonItem$$",	//320
    "KCoreConfigSkeleton",	//321
    "KCoreConfigSkeleton$",	//322
    "KCoreConfigSkeleton$#",	//323
    "KCoreConfigSkeleton?",	//324
    "KCoreConfigSkeleton?#",	//325
    "KCurrencyCode",	//326
    "KCurrencyCode#",	//327
    "KCurrencyCode#$",	//328
    "KCurrencyCode$",	//329
    "KCurrencyCode$$",	//330
    "KDEDModule",	//331
    "KDEDModule#",	//332
    "KDEPluginVerificationData",	//333
    "KDEPluginVerificationData#",	//334
    "KDEVersion",	//335
    "KDEVersionString",	//336
    "KDateTime",	//337
    "KDateTime#",	//338
    "KDateTime##",	//339
    "KDateTime###",	//340
    "KDebug",	//341
    "KDebug#",	//342
    "KDebug$",	//343
    "KDebug$$",	//344
    "KDebug$$$",	//345
    "KDebug$$$$",	//346
    "KDebugTag",	//347
    "KDebugTag#",	//348
    "KDesktopFile",	//349
    "KDesktopFile$",	//350
    "KDesktopFile$$",	//351
    "KEncodingDetector",	//352
    "KEncodingDetector#",	//353
    "KEncodingDetector#$",	//354
    "KEncodingDetector#$$",	//355
    "KEncodingProber",	//356
    "KEncodingProber#",	//357
    "KEncodingProber$",	//358
    "KFilterBase",	//359
    "KJob",	//360
    "KJob#",	//361
    "KJob##",	//362
    "KJobTrackerInterface",	//363
    "KJobTrackerInterface#",	//364
    "KJobUiDelegate",	//365
    "KLibrary",	//366
    "KLibrary#",	//367
    "KLibrary$",	//368
    "KLibrary$#",	//369
    "KLibrary$##",	//370
    "KLibrary$$",	//371
    "KLibrary$$#",	//372
    "KLibrary$$##",	//373
    "KLocalSocket",	//374
    "KLocalSocket#",	//375
    "KLocalSocketServer",	//376
    "KLocalSocketServer#",	//377
    "KLocale",	//378
    "KLocale#",	//379
    "KLocale$",	//380
    "KLocale$$",	//381
    "KLocale$$$",	//382
    "KLocale$$$#",	//383
    "KLocale$?",	//384
    "KLocalizedString",	//385
    "KLocalizedString#",	//386
    "KLockFile",	//387
    "KLockFile#",	//388
    "KLockFile$",	//389
    "KLockFile$#",	//390
    "KMD5",	//391
    "KMD5#",	//392
    "KMD5$",	//393
    "KMD5$$",	//394
    "KMacroExpanderBase",	//395
    "KMacroExpanderBase#",	//396
    "KMessageHandler",	//397
    "KMessageHandler#",	//398
    "KMimeType",	//399
    "KMimeType#",	//400
    "KMimeType#$",	//401
    "KMimeType#$$",	//402
    "KMimeType$$$",	//403
    "KMimeTypeTrader",	//404
    "KMimeTypeTrader#",	//405
    "KPluginFactory",	//406
    "KPluginFactory#",	//407
    "KPluginFactory##",	//408
    "KPluginFactory$",	//409
    "KPluginFactory$$",	//410
    "KPluginFactory$$#",	//411
    "KPluginInfo",	//412
    "KPluginInfo#",	//413
    "KPluginInfo$",	//414
    "KPluginInfo$$",	//415
    "KPluginInfo?",	//416
    "KPluginLoader",	//417
    "KPluginLoader#",	//418
    "KPluginLoader##",	//419
    "KPluginLoader###",	//420
    "KPluginLoader$",	//421
    "KPluginLoader$#",	//422
    "KPluginLoader$##",	//423
    "KProcess",	//424
    "KProcess#",	//425
    "KProcess##",	//426
    "KProtocolInfo",	//427
    "KProtocolInfo#$",	//428
    "KRandomSequence",	//429
    "KRandomSequence#",	//430
    "KRandomSequence$",	//431
    "KST_CTimeInfo",	//432
    "KST_KCustom",	//433
    "KST_KDEDesktopMimeType",	//434
    "KST_KFolderMimeType",	//435
    "KST_KImageIO",	//436
    "KST_KImageIOFormat",	//437
    "KST_KMimeType",	//438
    "KST_KMimeTypeFactory",	//439
    "KST_KProtocolInfo",	//440
    "KST_KProtocolInfoFactory",	//441
    "KST_KService",	//442
    "KST_KServiceFactory",	//443
    "KST_KServiceGroup",	//444
    "KST_KServiceGroupFactory",	//445
    "KST_KServiceSeparator",	//446
    "KST_KServiceType",	//447
    "KST_KServiceTypeFactory",	//448
    "KST_KSycocaEntry",	//449
    "KSaveFile",	//450
    "KSaveFile$",	//451
    "KSaveFile$#",	//452
    "KService",	//453
    "KService#",	//454
    "KService#$",	//455
    "KService$",	//456
    "KService$$$",	//457
    "KServiceAction",	//458
    "KServiceAction#",	//459
    "KServiceAction$$$$",	//460
    "KServiceAction$$$$$",	//461
    "KServiceGroup",	//462
    "KServiceGroup#$$",	//463
    "KServiceGroup$",	//464
    "KServiceGroup$$",	//465
    "KServiceType",	//466
    "KServiceType#",	//467
    "KServiceType#$",	//468
    "KServiceType#$$",	//469
    "KSslCipher",	//470
    "KSslCipher#",	//471
    "KSslError",	//472
    "KSslError#",	//473
    "KSslError$",	//474
    "KSslError$#",	//475
    "KSslErrorUiData",	//476
    "KSslErrorUiData#",	//477
    "KSslKey",	//478
    "KSslKey#",	//479
    "KStandardDirs",	//480
    "KSycoca",	//481
    "KSycoca$",	//482
    "KSycocaEntry",	//483
    "KSycocaEntry#",	//484
    "KSystemTimeZone",	//485
    "KSystemTimeZone#",	//486
    "KSystemTimeZone#$",	//487
    "KSystemTimeZone#$$",	//488
    "KSystemTimeZone#$$$",	//489
    "KSystemTimeZone#$$$$",	//490
    "KSystemTimeZone#$$$$$",	//491
    "KSystemTimeZoneBackend",	//492
    "KSystemTimeZoneBackend#",	//493
    "KSystemTimeZoneBackend#$$$$$",	//494
    "KSystemTimeZoneSource",	//495
    "KSystemTimeZoneSource#",	//496
    "KTcpSocket",	//497
    "KTcpSocket#",	//498
    "KTempDir",	//499
    "KTempDir$",	//500
    "KTempDir$$",	//501
    "KTemporaryFile",	//502
    "KTemporaryFile#",	//503
    "KTimeZone",	//504
    "KTimeZone#",	//505
    "KTimeZone$",	//506
    "KTimeZoneBackend",	//507
    "KTimeZoneBackend#",	//508
    "KTimeZoneBackend#$",	//509
    "KTimeZoneBackend#$$",	//510
    "KTimeZoneBackend#$$$",	//511
    "KTimeZoneBackend#$$$$",	//512
    "KTimeZoneBackend#$$$$$",	//513
    "KTimeZoneBackend$",	//514
    "KTimeZoneData",	//515
    "KTimeZoneData#",	//516
    "KTimeZoneSource",	//517
    "KTimeZoneSource#",	//518
    "KTimeZoneSource$",	//519
    "KTimeZones",	//520
    "KTzfileTimeZone",	//521
    "KTzfileTimeZone#",	//522
    "KTzfileTimeZone#$",	//523
    "KTzfileTimeZone#$$",	//524
    "KTzfileTimeZone#$$$",	//525
    "KTzfileTimeZone#$$$$",	//526
    "KTzfileTimeZone#$$$$$",	//527
    "KTzfileTimeZoneBackend",	//528
    "KTzfileTimeZoneBackend#",	//529
    "KTzfileTimeZoneBackend#$$$$$",	//530
    "KTzfileTimeZoneSource",	//531
    "KTzfileTimeZoneSource#",	//532
    "KTzfileTimeZoneSource$",	//533
    "KUrl",	//534
    "KUrl#",	//535
    "KUrl#$",	//536
    "KUrl$",	//537
    "KUser",	//538
    "KUser#",	//539
    "KUser$",	//540
    "KUserGroup",	//541
    "KUserGroup#",	//542
    "KUserGroup$",	//543
    "KWordMacroExpander",	//544
    "KWordMacroExpander#",	//545
    "KannadaDigits",	//546
    "KdeFormat",	//547
    "KeepAliveOption",	//548
    "KeepDirSeparators",	//549
    "KhmerDigits",	//550
    "Killable",	//551
    "KilledJobError",	//552
    "Korean",	//553
    "LastBinaryDialect",	//554
    "LeapSeconds",	//555
    "LeapSeconds#",	//556
    "LeapSeconds#$",	//557
    "LeapSeconds#$$",	//558
    "LeaveTrailingSlash",	//559
    "License_Artistic",	//560
    "License_BSD",	//561
    "License_Custom",	//562
    "License_File",	//563
    "License_GPL",	//564
    "License_GPL_V2",	//565
    "License_GPL_V3",	//566
    "License_LGPL",	//567
    "License_LGPL_V2",	//568
    "License_LGPL_V3",	//569
    "License_QPL",	//570
    "License_QPL_V1_0",	//571
    "License_Unknown",	//572
    "LicensedActiveQt",	//573
    "LicensedCore",	//574
    "LicensedDBus",	//575
    "LicensedDeclarative",	//576
    "LicensedGui",	//577
    "LicensedHelp",	//578
    "LicensedMultimedia",	//579
    "LicensedNetwork",	//580
    "LicensedOpenGL",	//581
    "LicensedOpenVG",	//582
    "LicensedQt3Support",	//583
    "LicensedQt3SupportLight",	//584
    "LicensedScript",	//585
    "LicensedScriptTools",	//586
    "LicensedSql",	//587
    "LicensedSvg",	//588
    "LicensedTest",	//589
    "LicensedXml",	//590
    "LicensedXmlPatterns",	//591
    "ListeningState",	//592
    "LocalDatabase",	//593
    "LocalDate",	//594
    "LocalZone",	//595
    "Localized",	//596
    "LockError",	//597
    "LockFail",	//598
    "LockOK",	//599
    "LockStale",	//600
    "LongDate",	//601
    "LongDayName",	//602
    "LongFormat",	//603
    "LongName",	//604
    "LongNamePossessive",	//605
    "LowDelayOption",	//606
    "MalayalamDigits",	//607
    "ManualProxy",	//608
    "MergedChannels",	//609
    "Metric",	//610
    "MetricBinaryDialect",	//611
    "Name",	//612
    "NetworkError",	//613
    "NoAccess",	//614
    "NoBlockFlag",	//615
    "NoCapabilities",	//616
    "NoCascade",	//617
    "NoConditions",	//618
    "NoDuplicates",	//619
    "NoError",	//620
    "NoGlobals",	//621
    "NoHeaders",	//622
    "NoOptions",	//623
    "NoPeerCertificate",	//624
    "NoResponder",	//625
    "NoResponderReply",	//626
    "NoSearchOptions",	//627
    "NoSuchAction",	//628
    "NoSuchActionReply",	//629
    "NoTextExport",	//630
    "None",	//631
    "Normal",	//632
    "NormalExit",	//633
    "NormalFormat",	//634
    "NorthernSaami",	//635
    "NotMe",	//636
    "NotOpen",	//637
    "NotRunning",	//638
    "ObeyTrailingSlash",	//639
    "ObsoleteCurrency",	//640
    "OffsetFromUTC",	//641
    "OffsetFromUTC$",	//642
    "Ok",	//643
    "OnlyStderrChannel",	//644
    "OnlyStdoutChannel",	//645
    "OpenError",	//646
    "OrgKdeKLauncherInterface",	//647
    "OrgKdeKLauncherInterface$$#",	//648
    "OrgKdeKLauncherInterface$$##",	//649
    "OriyaDigits",	//650
    "Other",	//651
    "Outside",	//652
    "ParensAround",	//653
    "Password",	//654
    "Path",	//655
    "PathLengthExceeded",	//656
    "PermissionsError",	//657
    "PermitEmptyPath",	//658
    "Persistent",	//659
    "Phase",	//660
    "Phase#",	//661
    "Phase$#$",	//662
    "Phase$#$$",	//663
    "Phase$?$",	//664
    "Phase$?$$",	//665
    "PluginVerificationDataVersion",	//666
    "PositionError",	//667
    "PosixFormat",	//668
    "PrivateKey",	//669
    "Probing",	//670
    "ProcessNonStrict",	//671
    "ProcessStrict",	//672
    "ProxyAuthenticationRequiredError",	//673
    "ProxyConnectionClosedError",	//674
    "ProxyConnectionRefusedError",	//675
    "ProxyConnectionTimeoutError",	//676
    "ProxyNotFoundError",	//677
    "ProxyProtocolError",	//678
    "PublicKey",	//679
    "QtCriticalMsg",	//680
    "QtDebugMsg",	//681
    "QtFatalMsg",	//682
    "QtSystemMsg",	//683
    "QtTextDate",	//684
    "QtWarningMsg",	//685
    "Quietly",	//686
    "RFCDate",	//687
    "RFCDateDay",	//688
    "ReadError",	//689
    "ReadGroup",	//690
    "ReadOnly",	//691
    "ReadOther",	//692
    "ReadOwner",	//693
    "ReadUser",	//694
    "ReadWrite",	//695
    "Recursive",	//696
    "RegisterAsMainComponent",	//697
    "RejectedCertificate",	//698
    "RemoteHostClosedError",	//699
    "RemoveError",	//700
    "RemoveTrailingSlash",	//701
    "RenameError",	//702
    "Reserved",	//703
    "ResizeError",	//704
    "ResolveAliases",	//705
    "ResourceError",	//706
    "RevokedCertificate",	//707
    "RoomNumber",	//708
    "Rsa",	//709
    "Running",	//710
    "Seconds",	//711
    "SelfSignedCertificate",	//712
    "SemiautomaticDetection",	//713
    "SeparateChannels",	//714
    "ShortDate",	//715
    "ShortDayName",	//716
    "ShortFormat",	//717
    "ShortName",	//718
    "ShortNamePossessive",	//719
    "SimpleConfig",	//720
    "SimplifyDirSeparators",	//721
    "SkipMainComponentRegistration",	//722
    "SkipRunTogether",	//723
    "SocketAccessError",	//724
    "SocketAddressNotAvailableError",	//725
    "SocketResourceError",	//726
    "SocketTimeoutError",	//727
    "Sorry",	//728
    "SortByGenericName",	//729
    "SortEntries",	//730
    "SouthEasternEurope",	//731
    "Spec",	//732
    "Spec#",	//733
    "Spec$",	//734
    "Spec$$",	//735
    "Speller",	//736
    "Speller#",	//737
    "Speller$",	//738
    "SslClientMode",	//739
    "SslHandshakeFailedError",	//740
    "SslServerMode",	//741
    "SslV2",	//742
    "SslV3",	//743
    "SslV3_1",	//744
    "StandardError",	//745
    "StandardOutput",	//746
    "Starting",	//747
    "StartsAt",	//748
    "String",	//749
    "Success",	//750
    "SuccessReply",	//751
    "Suspendable",	//752
    "SuspendedCurrency",	//753
    "T_ERROR",	//754
    "T_FILESYSTEM",	//755
    "T_NONE",	//756
    "T_STREAM",	//757
    "TamilDigits",	//758
    "TcpSocket",	//759
    "TeluguDigits",	//760
    "Text",	//761
    "Thai",	//762
    "ThaiDigits",	//763
    "TildeExpand",	//764
    "TimeDefault",	//765
    "TimeDuration",	//766
    "TimeOutError",	//767
    "TimeWithoutAmPm",	//768
    "TimeWithoutSeconds",	//769
    "TimeZone",	//770
    "Timedout",	//771
    "TlsV1",	//772
    "Transition",	//773
    "Transition#",	//774
    "Transition##",	//775
    "Truncate",	//776
    "Turkish",	//777
    "UNKNOWN",	//778
    "UTC",	//779
    "UdpSocket",	//780
    "Unbuffered",	//781
    "UnconnectedState",	//782
    "UnencryptedMode",	//783
    "UnfinishedSocketOperationError",	//784
    "Unicode",	//785
    "UnicodeFormat",	//786
    "UnitByte",	//787
    "UnitExaByte",	//788
    "UnitGigaByte",	//789
    "UnitKiloByte",	//790
    "UnitLastUnit",	//791
    "UnitMegaByte",	//792
    "UnitPetaByte",	//793
    "UnitTeraByte",	//794
    "UnitYottaByte",	//795
    "UnitZettaByte",	//796
    "Universal",	//797
    "UnixSocket",	//798
    "UnknownError",	//799
    "UnknownLocalSocketType",	//800
    "UnknownNetworkLayerProtocol",	//801
    "UnknownSocketError",	//802
    "UnknownSocketType",	//803
    "UnknownSslVersion",	//804
    "UnspecifiedError",	//805
    "UnsupportedSocketOperationError",	//806
    "UntrustedCertificate",	//807
    "UseEffectiveUID",	//808
    "UseRealUserID",	//809
    "UserCancelled",	//810
    "UserCancelledReply",	//811
    "UserChosenEncoding",	//812
    "UserDefinedError",	//813
    "Warning",	//814
    "WesternEuropean",	//815
    "WithHeaders",	//816
    "WithSeconds",	//817
    "WithoutSeconds",	//818
    "WorkPhone",	//819
    "WriteError",	//820
    "WriteGroup",	//821
    "WriteOnly",	//822
    "WriteOther",	//823
    "WriteOwner",	//824
    "WriteUser",	//825
    "_ISalnum",	//826
    "_ISalpha",	//827
    "_ISblank",	//828
    "_IScntrl",	//829
    "_ISdigit",	//830
    "_ISgraph",	//831
    "_ISlower",	//832
    "_ISprint",	//833
    "_ISpunct",	//834
    "_ISspace",	//835
    "_ISupper",	//836
    "_ISxdigit",	//837
    "__codecvt_error",	//838
    "__codecvt_noconv",	//839
    "__codecvt_ok",	//840
    "__codecvt_partial",	//841
    "_k_accessServiceTypes",	//842
    "abbreviation",	//843
    "abbreviation#",	//844
    "abbreviations",	//845
    "abort",	//846
    "aboutData",	//847
    "aboutTranslationTeam",	//848
    "absoluteFilePath",	//849
    "absoluteFilePath?",	//850
    "access",	//851
    "access$$",	//852
    "accessMode",	//853
    "action",	//854
    "actionGroup",	//855
    "actionGroup$",	//856
    "actionPerformed",	//857
    "actionPerformed#",	//858
    "actionStarted",	//859
    "actions",	//860
    "activeComponent",	//861
    "add",	//862
    "add#",	//863
    "add##",	//864
    "add###",	//865
    "addArgument",	//866
    "addArgument$#",	//867
    "addAuthor",	//868
    "addAuthor#",	//869
    "addAuthor##",	//870
    "addAuthor###",	//871
    "addAuthor####",	//872
    "addCaCertificate",	//873
    "addCaCertificate#",	//874
    "addCaCertificates",	//875
    "addCaCertificates?",	//876
    "addCmdLineOptions",	//877
    "addCmdLineOptions#",	//878
    "addCmdLineOptions##",	//879
    "addCmdLineOptions###",	//880
    "addCmdLineOptions####",	//881
    "addConfigSources",	//882
    "addConfigSources?",	//883
    "addCredit",	//884
    "addCredit#",	//885
    "addCredit##",	//886
    "addCredit###",	//887
    "addCredit####",	//888
    "addCustomized",	//889
    "addCustomized#",	//890
    "addData",	//891
    "addData$#",	//892
    "addDays",	//893
    "addDays#$",	//894
    "addDays$",	//895
    "addEntry",	//896
    "addEntry?",	//897
    "addFactory",	//898
    "addFactory#",	//899
    "addItem",	//900
    "addItem#",	//901
    "addItem#$",	//902
    "addItemBool",	//903
    "addItemBool$$",	//904
    "addItemBool$$$",	//905
    "addItemBool$$$$",	//906
    "addItemDateTime",	//907
    "addItemDateTime$#",	//908
    "addItemDateTime$##",	//909
    "addItemDateTime$##$",	//910
    "addItemDouble",	//911
    "addItemDouble$$",	//912
    "addItemDouble$$$",	//913
    "addItemDouble$$$$",	//914
    "addItemInt",	//915
    "addItemInt$$",	//916
    "addItemInt$$$",	//917
    "addItemInt$$$$",	//918
    "addItemInt64",	//919
    "addItemInt64$?",	//920
    "addItemInt64$??",	//921
    "addItemInt64$??$",	//922
    "addItemIntList",	//923
    "addItemIntList$?",	//924
    "addItemIntList$??",	//925
    "addItemIntList$??$",	//926
    "addItemLongLong",	//927
    "addItemLongLong$?",	//928
    "addItemLongLong$??",	//929
    "addItemLongLong$??$",	//930
    "addItemPassword",	//931
    "addItemPassword$$",	//932
    "addItemPassword$$$",	//933
    "addItemPassword$$$$",	//934
    "addItemPath",	//935
    "addItemPath$$",	//936
    "addItemPath$$$",	//937
    "addItemPath$$$$",	//938
    "addItemPoint",	//939
    "addItemPoint$#",	//940
    "addItemPoint$##",	//941
    "addItemPoint$##$",	//942
    "addItemProperty",	//943
    "addItemProperty$#",	//944
    "addItemProperty$##",	//945
    "addItemProperty$##$",	//946
    "addItemRect",	//947
    "addItemRect$#",	//948
    "addItemRect$##",	//949
    "addItemRect$##$",	//950
    "addItemSize",	//951
    "addItemSize$#",	//952
    "addItemSize$##",	//953
    "addItemSize$##$",	//954
    "addItemString",	//955
    "addItemString$$",	//956
    "addItemString$$$",	//957
    "addItemString$$$$",	//958
    "addItemStringList",	//959
    "addItemStringList$?",	//960
    "addItemStringList$??",	//961
    "addItemStringList$??$",	//962
    "addItemUInt",	//963
    "addItemUInt$$",	//964
    "addItemUInt$$$",	//965
    "addItemUInt$$$$",	//966
    "addItemUInt64",	//967
    "addItemUInt64$?",	//968
    "addItemUInt64$??",	//969
    "addItemUInt64$??$",	//970
    "addItemULongLong",	//971
    "addItemULongLong$?",	//972
    "addItemULongLong$??",	//973
    "addItemULongLong$??$",	//974
    "addLicense",	//975
    "addLicense$",	//976
    "addLicenseText",	//977
    "addLicenseText#",	//978
    "addLicenseTextFile",	//979
    "addLicenseTextFile$",	//980
    "addMSecs",	//981
    "addMSecs?",	//982
    "addMonths",	//983
    "addMonths#$",	//984
    "addMonths$",	//985
    "addPath",	//986
    "addPath$",	//987
    "addPrefix",	//988
    "addPrefix$",	//989
    "addQueryItem",	//990
    "addQueryItem$$",	//991
    "addResourceDir",	//992
    "addResourceDir$$",	//993
    "addResourceDir$$$",	//994
    "addResourceType",	//995
    "addResourceType$$",	//996
    "addResourceType$$$",	//997
    "addResourceType$$$$",	//998
    "addSecs",	//999
    "addSecs?",	//1000
    "addStdCmdLineOptions",	//1001
    "addStdCmdLineOptions$",	//1002
    "addSubjob",	//1003
    "addSubjob#",	//1004
    "addTempFileOption",	//1005
    "addToAllowedEnvironments",	//1006
    "addToAllowedEnvironments$",	//1007
    "addToExcludedEnvironments",	//1008
    "addToExcludedEnvironments$",	//1009
    "addToPersonal",	//1010
    "addToPersonal$",	//1011
    "addToSession",	//1012
    "addToSession$",	//1013
    "addWordToPersonal",	//1014
    "addWordToPersonal$",	//1015
    "addXdgConfigPrefix",	//1016
    "addXdgConfigPrefix$",	//1017
    "addXdgDataPrefix",	//1018
    "addXdgDataPrefix$",	//1019
    "addYears",	//1020
    "addYears#$",	//1021
    "addYears$",	//1022
    "adjustPath",	//1023
    "adjustPath$",	//1024
    "advertisedSslVersion",	//1025
    "algorithm",	//1026
    "allCountriesList",	//1027
    "allCurrencyCodesList",	//1028
    "allCurrencyCodesList$",	//1029
    "allDigitSetsList",	//1030
    "allGroupNames",	//1031
    "allGroups",	//1032
    "allLanguagesList",	//1033
    "allMimeTypes",	//1034
    "allParentMimeTypes",	//1035
    "allResourceDirs",	//1036
    "allServiceTypes",	//1037
    "allServices",	//1038
    "allStaleFiles",	//1039
    "allStaleFiles$",	//1040
    "allTypes",	//1041
    "allUserNames",	//1042
    "allUsers",	//1043
    "allowAsDefault",	//1044
    "allowInline",	//1045
    "allowMultipleFiles",	//1046
    "allowUrlAction",	//1047
    "allowUrlAction$##",	//1048
    "allowedEnvironments",	//1049
    "analyze",	//1050
    "analyze$$",	//1051
    "appName",	//1052
    "applyConstraints",	//1053
    "applyConstraints?$",	//1054
    "archiveMimeTypes",	//1055
    "arg",	//1056
    "arg$",	//1057
    "arguments",	//1058
    "atEnd",	//1059
    "authenticationMethod",	//1060
    "author",	//1061
    "authorize",	//1062
    "authorize$",	//1063
    "authorizeControlModule",	//1064
    "authorizeControlModule$",	//1065
    "authorizeControlModules",	//1066
    "authorizeControlModules?",	//1067
    "authorizeKAction",	//1068
    "authorizeKAction$",	//1069
    "authorizeUrlAction",	//1070
    "authorizeUrlAction$##",	//1071
    "authors",	//1072
    "autoDetectLanguage",	//1073
    "autoRemove",	//1074
    "autoStart",	//1075
    "autoStart$",	//1076
    "autoStart0Done",	//1077
    "autoStart1Done",	//1078
    "autoStart2Done",	//1079
    "autostarts",	//1080
    "autostarts$",	//1081
    "autostarts$$",	//1082
    "availableBackends",	//1083
    "availableDictionaries",	//1084
    "availableEncodingNames",	//1085
    "availableLanguageNames",	//1086
    "availableLanguages",	//1087
    "backupFile",	//1088
    "backupFile$",	//1089
    "backupFile$$",	//1090
    "base64Decode",	//1091
    "base64Decode#",	//1092
    "base64Decode##",	//1093
    "base64Digest",	//1094
    "base64Encode",	//1095
    "base64Encode#",	//1096
    "base64Encode##",	//1097
    "base64Encode##$",	//1098
    "base64Encode#$",	//1099
    "baseGroup",	//1100
    "baseGroup$",	//1101
    "baseGroupName",	//1102
    "binaryUnitDialect",	//1103
    "bugAddress",	//1104
    "byKeyword",	//1105
    "byKeyword$",	//1106
    "bytesAvailable",	//1107
    "bytesToWrite",	//1108
    "caCertificates",	//1109
    "calcResourceHash",	//1110
    "calcResourceHash$$",	//1111
    "calcResourceHash$$$",	//1112
    "calendar",	//1113
    "calendarLabel",	//1114
    "calendarLabel$",	//1115
    "calendarSystems",	//1116
    "calendarType",	//1117
    "canDeleteRecursive",	//1118
    "canReadLine",	//1119
    "canRenameFromFile",	//1120
    "canRenameToFile",	//1121
    "capabilities",	//1122
    "capabilities$",	//1123
    "caption",	//1124
    "capwords",	//1125
    "capwords$",	//1126
    "capwords?",	//1127
    "catalogName",	//1128
    "categories",	//1129
    "category",	//1130
    "cd",	//1131
    "cd$",	//1132
    "certificate",	//1133
    "changeGroup",	//1134
    "changeGroup$",	//1135
    "changeLanguage",	//1136
    "changeLanguage$",	//1137
    "charsets",	//1138
    "checkAccess",	//1139
    "checkAccess$$",	//1140
    "checkAllowedEnvironment",	//1141
    "checkAllowedEnvironment$",	//1142
    "checkAndSuggest",	//1143
    "checkAndSuggest$?",	//1144
    "checkUpdate",	//1145
    "checkUpdate$$",	//1146
    "checkWord",	//1147
    "checkWord$",	//1148
    "childCount",	//1149
    "childEvent",	//1150
    "childGroup",	//1151
    "childGroup$",	//1152
    "chmod",	//1153
    "chmod$$",	//1154
    "choices",	//1155
    "choices2",	//1156
    "ciphers",	//1157
    "cleanPath",	//1158
    "cleanPath$",	//1159
    "clear",	//1160
    "clearEnvironment",	//1161
    "clearProgram",	//1162
    "clearSubjobs",	//1163
    "clone",	//1164
    "close",	//1165
    "cmp",	//1166
    "cmp#",	//1167
    "cmp#$",	//1168
    "codecForEncoding",	//1169
    "codecForName",	//1170
    "codecForName$",	//1171
    "codecForName$$",	//1172
    "command",	//1173
    "commandToCheck",	//1174
    "comment",	//1175
    "comment#",	//1176
    "compare",	//1177
    "compare#",	//1178
    "componentData",	//1179
    "componentName",	//1180
    "compress",	//1181
    "compress$",	//1182
    "confidence",	//1183
    "config",	//1184
    "config$",	//1185
    "configChanged",	//1186
    "connectNotify",	//1187
    "connectToHost",	//1188
    "connectToHost#",	//1189
    "connectToHost##",	//1190
    "connectToHost#$",	//1191
    "connectToHost#$$",	//1192
    "connectToHost#$$$",	//1193
    "connectToHost$$",	//1194
    "connectToHost$$$",	//1195
    "connectToHost$$$#",	//1196
    "connectToHostEncrypted",	//1197
    "connectToHostEncrypted$$",	//1198
    "connectToHostEncrypted$$$",	//1199
    "connectToHostImplementation",	//1200
    "connectToHostImplementation$$$",	//1201
    "connectToPath",	//1202
    "connectToPath$",	//1203
    "connectToPath$$",	//1204
    "connectToPath$$$",	//1205
    "connected",	//1206
    "continueChecking",	//1207
    "convert",	//1208
    "convert##",	//1209
    "convertDigits",	//1210
    "convertDigits$$",	//1211
    "convertDigits$$$",	//1212
    "copyCatalogsTo",	//1213
    "copyCatalogsTo#",	//1214
    "copyTo",	//1215
    "copyTo#",	//1216
    "copyTo#$",	//1217
    "copyTo$",	//1218
    "copyTo$#",	//1219
    "copyrightStatement",	//1220
    "count",	//1221
    "countriesUsingCurrency",	//1222
    "country",	//1223
    "countryCode",	//1224
    "countryCodeToName",	//1225
    "countryCodeToName$",	//1226
    "create",	//1227
    "create#",	//1228
    "create#$",	//1229
    "create#$?",	//1230
    "create$",	//1231
    "create$#",	//1232
    "create$##?$",	//1233
    "create$$",	//1234
    "create$?",	//1235
    "create$?#",	//1236
    "createObject",	//1237
    "createObject#$?",	//1238
    "createPartObject",	//1239
    "createPartObject##$?",	//1240
    "credits",	//1241
    "csqueeze",	//1242
    "csqueeze$",	//1243
    "csqueeze$$",	//1244
    "currency",	//1245
    "currencyCode",	//1246
    "currencyCodeList",	//1247
    "currencyCodeToName",	//1248
    "currencyCodeToName$",	//1249
    "currencyCodeToName$$",	//1250
    "currencySymbol",	//1251
    "currentContext",	//1252
    "currentDateTime",	//1253
    "currentDateTime#",	//1254
    "currentGroup",	//1255
    "currentLocalDate",	//1256
    "currentLocalDateTime",	//1257
    "currentLocalTime",	//1258
    "currentOffset",	//1259
    "currentOffset$",	//1260
    "currentUtcDateTime",	//1261
    "customAuthorPlainText",	//1262
    "customAuthorRichText",	//1263
    "customAuthorTextEnabled",	//1264
    "customEvent",	//1265
    "cwd",	//1266
    "data",	//1267
    "data$",	//1268
    "dataVersion",	//1269
    "databaseChanged",	//1270
    "databaseChanged?",	//1271
    "datagramSocket",	//1272
    "datagramSocket$$",	//1273
    "datagramSocket$$#",	//1274
    "date",	//1275
    "dateDifference",	//1276
    "dateDifference##$$$$",	//1277
    "dateFormat",	//1278
    "dateFormatShort",	//1279
    "dateIntroduced",	//1280
    "dateMonthNamePossessive",	//1281
    "dateSuspended",	//1282
    "dateTime",	//1283
    "dateTimeDigitSet",	//1284
    "dateToJulianDay",	//1285
    "dateToJulianDay$$$$",	//1286
    "dateWithdrawn",	//1287
    "day",	//1288
    "day#",	//1289
    "dayOfWeek",	//1290
    "dayOfWeek#",	//1291
    "dayOfWeekString",	//1292
    "dayOfWeekString#",	//1293
    "dayOfYear",	//1294
    "dayOfYear#",	//1295
    "dayOfYearString",	//1296
    "dayOfYearString#",	//1297
    "dayOfYearString#$",	//1298
    "dayString",	//1299
    "dayString#",	//1300
    "dayString#$",	//1301
    "dayStringToInteger",	//1302
    "dayStringToInteger$$",	//1303
    "daysDifference",	//1304
    "daysDifference##",	//1305
    "daysInMonth",	//1306
    "daysInMonth#",	//1307
    "daysInMonth$$",	//1308
    "daysInMonthString",	//1309
    "daysInMonthString#",	//1310
    "daysInMonthString#$",	//1311
    "daysInWeek",	//1312
    "daysInWeek#",	//1313
    "daysInWeekString",	//1314
    "daysInWeekString#",	//1315
    "daysInYear",	//1316
    "daysInYear#",	//1317
    "daysInYear$",	//1318
    "daysInYearString",	//1319
    "daysInYearString#",	//1320
    "daysInYearString#$",	//1321
    "daysTo",	//1322
    "daysTo#",	//1323
    "dbusStartupType",	//1324
    "decimalPlaces",	//1325
    "decimalSymbol",	//1326
    "decode",	//1327
    "decode#",	//1328
    "decode$$",	//1329
    "decodeRFC2047String",	//1330
    "decodeRFC2047String$",	//1331
    "decodeWithBuffering",	//1332
    "decodeWithBuffering$$",	//1333
    "decode_string",	//1334
    "decode_string$",	//1335
    "decodedInvalidCharacters",	//1336
    "decoder",	//1337
    "defaultClient",	//1338
    "defaultCountry",	//1339
    "defaultCurrencyCode",	//1340
    "defaultLanguage",	//1341
    "defaultLanguageName",	//1342
    "defaultMimeType",	//1343
    "defaultMimeTypePtr",	//1344
    "defaultOffers",	//1345
    "defaultOffers$",	//1346
    "defaultOffers$$",	//1347
    "defaultSymbol",	//1348
    "defaults",	//1349
    "deleteEntry",	//1350
    "deleteEntry$",	//1351
    "deleteEntry$$",	//1352
    "deleteGroup",	//1353
    "deleteGroup#",	//1354
    "deleteGroup#$",	//1355
    "deleteGroup$",	//1356
    "deleteGroup$$",	//1357
    "deleteGroupImpl",	//1358
    "deleteGroupImpl#",	//1359
    "deleteGroupImpl#$",	//1360
    "dependencies",	//1361
    "deref",	//1362
    "description",	//1363
    "description#$",	//1364
    "description#$?",	//1365
    "description#$??",	//1366
    "descriptionForEncoding",	//1367
    "descriptionForEncoding$",	//1368
    "descriptiveEncodingNames",	//1369
    "deserialize",	//1370
    "deserialize#",	//1371
    "desktopEntryName",	//1372
    "desktopEntryPath",	//1373
    "desktopGroup",	//1374
    "detach",	//1375
    "details",	//1376
    "detectLanguage",	//1377
    "detectLanguage$",	//1378
    "determineMimetypeFromExtension",	//1379
    "determineMimetypeFromExtension$",	//1380
    "device",	//1381
    "device#$",	//1382
    "device#$$",	//1383
    "deviceForFile",	//1384
    "deviceForFile$",	//1385
    "deviceForFile$$",	//1386
    "deviceForFile$$$",	//1387
    "digestMethod",	//1388
    "digitSet",	//1389
    "digitSetToName",	//1390
    "digitSetToName$",	//1391
    "digitSetToName$$",	//1392
    "directory",	//1393
    "directory#",	//1394
    "directoryEntryPath",	//1395
    "dirs",	//1396
    "disableAutoRebuild",	//1397
    "disconnectFromHost",	//1398
    "disconnectFromHostImplementation",	//1399
    "disconnectFromPath",	//1400
    "disconnectNotify",	//1401
    "disconnected",	//1402
    "doKill",	//1403
    "doResume",	//1404
    "doSuspend",	//1405
    "docPath",	//1406
    "docPath$",	//1407
    "done",	//1408
    "earliestValidDate",	//1409
    "earlyAuthorize",	//1410
    "email",	//1411
    "emailAddress",	//1412
    "emitPercent",	//1413
    "emitPercent??",	//1414
    "emitResult",	//1415
    "emitSpeed",	//1416
    "emitSpeed$",	//1417
    "enable_i18n",	//1418
    "encode_string",	//1419
    "encode_string$",	//1420
    "encode_string_no_slash",	//1421
    "encode_string_no_slash$",	//1422
    "encodedHtmlRef",	//1423
    "encodedPathAndQuery",	//1424
    "encodedPathAndQuery$",	//1425
    "encodedPathAndQuery$#",	//1426
    "encoding",	//1427
    "encodingChoiceSource",	//1428
    "encodingForName",	//1429
    "encodingForName$",	//1430
    "encodingMib",	//1431
    "encodingName",	//1432
    "encodingsByScript",	//1433
    "encrypted",	//1434
    "encryptionMethod",	//1435
    "encryptionMode",	//1436
    "encryptionModeChanged",	//1437
    "encryptionModeChanged$",	//1438
    "endParseBlock",	//1439
    "entries",	//1440
    "entries$",	//1441
    "entries$$",	//1442
    "entries$$$",	//1443
    "entries$$$$",	//1444
    "entryMap",	//1445
    "entryMap$",	//1446
    "entryPath",	//1447
    "epoch",	//1448
    "equals",	//1449
    "equals#",	//1450
    "equals##",	//1451
    "equivalentTo",	//1452
    "equivalentTo#",	//1453
    "eraName",	//1454
    "eraName#",	//1455
    "eraName#$",	//1456
    "eraYear",	//1457
    "eraYear#",	//1458
    "eraYear#$",	//1459
    "error",	//1460
    "error$",	//1461
    "errorCode",	//1462
    "errorDescription",	//1463
    "errorString",	//1464
    "errorString$",	//1465
    "errorText",	//1466
    "errorsIfUtf8",	//1467
    "errorsIfUtf8$$",	//1468
    "escapeChar",	//1469
    "event",	//1470
    "eventFilter",	//1471
    "excludedEnvironments",	//1472
    "exec",	//1473
    "exec$",	//1474
    "exec_blind",	//1475
    "exec_blind$?",	//1476
    "exec_blind$??$",	//1477
    "execute",	//1478
    "execute$",	//1479
    "execute$?",	//1480
    "execute$?$",	//1481
    "execute?",	//1482
    "execute?$",	//1483
    "executeActions",	//1484
    "executeActions??$",	//1485
    "executesAsync",	//1486
    "exists",	//1487
    "exists$",	//1488
    "expandEscapedMacro",	//1489
    "expandEscapedMacro$$?",	//1490
    "expandMacro",	//1491
    "expandMacro#?",	//1492
    "expandMacro$?",	//1493
    "expandMacros",	//1494
    "expandMacros$",	//1495
    "expandMacros$?",	//1496
    "expandMacros$?#",	//1497
    "expandMacrosShellQuote",	//1498
    "expandMacrosShellQuote$",	//1499
    "expandMacrosShellQuote$$",	//1500
    "expandMacrosShellQuote$?",	//1501
    "expandMacrosShellQuote$?#",	//1502
    "expandPlainMacro",	//1503
    "expandPlainMacro$$?",	//1504
    "extraFields",	//1505
    "extraFields#",	//1506
    "extractKnownExtension",	//1507
    "extractKnownExtension$",	//1508
    "faceIconPath",	//1509
    "factories",	//1510
    "factory",	//1511
    "factory$",	//1512
    "factory$$",	//1513
    "failed",	//1514
    "favIconForUrl",	//1515
    "favIconForUrl#",	//1516
    "feed",	//1517
    "feed#",	//1518
    "feed$$",	//1519
    "fetchMoreText",	//1520
    "fileEncoding",	//1521
    "fileEncodingMib",	//1522
    "fileEngine",	//1523
    "fileName",	//1524
    "fileName#",	//1525
    "fileNameUsedForCopying",	//1526
    "filterFlags",	//1527
    "finalize",	//1528
    "findAllExe",	//1529
    "findAllExe?$",	//1530
    "findAllExe?$$",	//1531
    "findAllExe?$$$",	//1532
    "findAllResources",	//1533
    "findAllResources$",	//1534
    "findAllResources$$",	//1535
    "findAllResources$$$",	//1536
    "findAllResources$$$?",	//1537
    "findByContent",	//1538
    "findByContent#",	//1539
    "findByContent#$",	//1540
    "findByFileContent",	//1541
    "findByFileContent$",	//1542
    "findByFileContent$$",	//1543
    "findByNameAndContent",	//1544
    "findByNameAndContent$#",	//1545
    "findByNameAndContent$#$",	//1546
    "findByNameAndContent$#$$",	//1547
    "findByPath",	//1548
    "findByPath$",	//1549
    "findByPath$$",	//1550
    "findByPath$$$",	//1551
    "findByPath$$$$",	//1552
    "findByUrl",	//1553
    "findByUrl#",	//1554
    "findByUrl#$",	//1555
    "findByUrl#$$",	//1556
    "findByUrl#$$$",	//1557
    "findByUrl#$$$$",	//1558
    "findDirectChild_helper",	//1559
    "findDirectChild_helper##",	//1560
    "findDirs",	//1561
    "findDirs$$",	//1562
    "findEntry",	//1563
    "findEntry$$",	//1564
    "findExe",	//1565
    "findExe$",	//1566
    "findExe$$",	//1567
    "findExe$$$",	//1568
    "findFactory",	//1569
    "findFactory$",	//1570
    "findFilterByFileName",	//1571
    "findFilterByFileName$",	//1572
    "findFilterByMimeType",	//1573
    "findFilterByMimeType$",	//1574
    "findItem",	//1575
    "findItem$",	//1576
    "findLibrary",	//1577
    "findLibrary$",	//1578
    "findLibrary$#",	//1579
    "findResource",	//1580
    "findResource$$",	//1581
    "findResourceDir",	//1582
    "findResourceDir$$",	//1583
    "finished",	//1584
    "finished#",	//1585
    "finishedCurrentFeed",	//1586
    "flagError",	//1587
    "flush",	//1588
    "fopen",	//1589
    "fopen$$",	//1590
    "forceGlobal",	//1591
    "formatByteSize",	//1592
    "formatByteSize$",	//1593
    "formatByteSize$$",	//1594
    "formatByteSize$$$",	//1595
    "formatByteSize$$$$",	//1596
    "formatDate",	//1597
    "formatDate#",	//1598
    "formatDate#$",	//1599
    "formatDate#$$",	//1600
    "formatDate#$$$",	//1601
    "formatDateTime",	//1602
    "formatDateTime#",	//1603
    "formatDateTime#$",	//1604
    "formatDateTime#$$",	//1605
    "formatDuration",	//1606
    "formatDuration$",	//1607
    "formatLocaleTime",	//1608
    "formatLocaleTime#",	//1609
    "formatLocaleTime#$",	//1610
    "formatLong",	//1611
    "formatLong$",	//1612
    "formatMoney",	//1613
    "formatMoney$",	//1614
    "formatMoney$$",	//1615
    "formatMoney$$$",	//1616
    "formatNumber",	//1617
    "formatNumber$",	//1618
    "formatNumber$$",	//1619
    "formatNumber$$$",	//1620
    "formatTime",	//1621
    "formatTime#",	//1622
    "formatTime#$",	//1623
    "formatTime#$$",	//1624
    "fracDigits",	//1625
    "from8Bit",	//1626
    "from8Bit$",	//1627
    "fromEntity",	//1628
    "fromEntity$",	//1629
    "fromEntity$$",	//1630
    "fromFiles",	//1631
    "fromFiles?",	//1632
    "fromFiles?#",	//1633
    "fromKPartsInstanceName",	//1634
    "fromKPartsInstanceName$",	//1635
    "fromKPartsInstanceName$#",	//1636
    "fromMimeDataByteArray",	//1637
    "fromMimeDataByteArray#",	//1638
    "fromPath",	//1639
    "fromPath$",	//1640
    "fromPathOrUrl",	//1641
    "fromPathOrUrl$",	//1642
    "fromServices",	//1643
    "fromServices?",	//1644
    "fromServices?#",	//1645
    "fromString",	//1646
    "fromString$",	//1647
    "fromString$$",	//1648
    "fromString$$#",	//1649
    "fromString$$#$",	//1650
    "fromString$$$",	//1651
    "fromTime_t",	//1652
    "fromTime_t$",	//1653
    "fullLicense",	//1654
    "fullName",	//1655
    "genericName",	//1656
    "getBool",	//1657
    "getDate",	//1658
    "getDate#$$$",	//1659
    "getDouble",	//1660
    "getLockInfo",	//1661
    "getLockInfo$$$",	//1662
    "getLong",	//1663
    "getLong$",	//1664
    "getOption",	//1665
    "getOption#",	//1666
    "getOptionList",	//1667
    "getOptionList#",	//1668
    "gid",	//1669
    "group",	//1670
    "group#",	//1671
    "group$",	//1672
    "groupEntries",	//1673
    "groupEntries$",	//1674
    "groupImpl",	//1675
    "groupImpl#",	//1676
    "groupList",	//1677
    "groupNames",	//1678
    "groups",	//1679
    "hasActionGroup",	//1680
    "hasActionGroup$",	//1681
    "hasApplicationType",	//1682
    "hasAutoDetectionForScript",	//1683
    "hasAutoDetectionForScript$",	//1684
    "hasDefault",	//1685
    "hasDefault$",	//1686
    "hasDeviceType",	//1687
    "hasGroup",	//1688
    "hasGroup#",	//1689
    "hasGroup$",	//1690
    "hasGroupImpl",	//1691
    "hasGroupImpl#",	//1692
    "hasHTMLRef",	//1693
    "hasHelper",	//1694
    "hasHost",	//1695
    "hasKey",	//1696
    "hasKey$",	//1697
    "hasLinkType",	//1698
    "hasLocale",	//1699
    "hasMainComponent",	//1700
    "hasMimeType",	//1701
    "hasMimeType#",	//1702
    "hasMimeTypeType",	//1703
    "hasNullOutput",	//1704
    "hasNullOutput$$$$",	//1705
    "hasNullOutputQtDebugMsg",	//1706
    "hasNullOutputQtDebugMsg$",	//1707
    "hasNullOutputQtDebugMsg$$",	//1708
    "hasPass",	//1709
    "hasPath",	//1710
    "hasPendingConnections",	//1711
    "hasRef",	//1712
    "hasServiceType",	//1713
    "hasServiceType$",	//1714
    "hasSubUrl",	//1715
    "hasSubjobs",	//1716
    "hasSubunits",	//1717
    "hasSubunitsInCirculation",	//1718
    "hasTransitions",	//1719
    "hasTransitions#",	//1720
    "hasUser",	//1721
    "helperID",	//1722
    "hexDigest",	//1723
    "hexDigest#",	//1724
    "homeDir",	//1725
    "homepage",	//1726
    "hostFound",	//1727
    "htmlRef",	//1728
    "i18n",	//1729
    "i18n$",	//1730
    "i18nc",	//1731
    "i18nc$$",	//1732
    "icon",	//1733
    "icon$",	//1734
    "iconName",	//1735
    "iconName#",	//1736
    "iconNameForUrl",	//1737
    "iconNameForUrl#",	//1738
    "iconNameForUrl#$",	//1739
    "ignoreSslErrors",	//1740
    "inBufferAvailable",	//1741
    "inBufferEmpty",	//1742
    "inContext",	//1743
    "inContext$$",	//1744
    "incomingConnection",	//1745
    "incomingConnection$",	//1746
    "infoMessage",	//1747
    "infoMessage#$",	//1748
    "infoMessage#$$",	//1749
    "inherits",	//1750
    "inherits$",	//1751
    "init",	//1752
    "init#",	//1753
    "init$",	//1754
    "init$?#",	//1755
    "init$?####",	//1756
    "init$?#####",	//1757
    "init$?#####$",	//1758
    "init$?#$",	//1759
    "initialPreference",	//1760
    "inlineAlias",	//1761
    "inlineValue",	//1762
    "insertCatalog",	//1763
    "insertCatalog$",	//1764
    "installPath",	//1765
    "installPath$",	//1766
    "internalBugAddress",	//1767
    "internalProgramName",	//1768
    "internalVersion",	//1769
    "invokeBrowser",	//1770
    "invokeBrowser$",	//1771
    "invokeBrowser$#",	//1772
    "invokeHelp",	//1773
    "invokeHelp$",	//1774
    "invokeHelp$$",	//1775
    "invokeHelp$$#",	//1776
    "invokeMailer",	//1777
    "invokeMailer#",	//1778
    "invokeMailer##",	//1779
    "invokeMailer##$",	//1780
    "invokeMailer$$",	//1781
    "invokeMailer$$#",	//1782
    "invokeMailer$$$$$",	//1783
    "invokeMailer$$$$$$",	//1784
    "invokeMailer$$$$$$?",	//1785
    "invokeMailer$$$$$$?#",	//1786
    "invokeTerminal",	//1787
    "invokeTerminal$",	//1788
    "invokeTerminal$$",	//1789
    "invokeTerminal$$#",	//1790
    "is",	//1791
    "is$",	//1792
    "isApplication",	//1793
    "isApplicationTranslatedInto",	//1794
    "isApplicationTranslatedInto$",	//1795
    "isAuthorizedDesktopFile",	//1796
    "isAuthorizedDesktopFile$",	//1797
    "isAutoDelete",	//1798
    "isAutoErrorHandlingEnabled",	//1799
    "isAutoWarningHandlingEnabled",	//1800
    "isAvailable",	//1801
    "isBinaryData",	//1802
    "isBinaryData$",	//1803
    "isBufferBinaryData",	//1804
    "isBufferBinaryData#",	//1805
    "isBuilding",	//1806
    "isChanged",	//1807
    "isChanged$",	//1808
    "isClockTime",	//1809
    "isConfigWritable",	//1810
    "isConfigWritable$",	//1811
    "isCorrect",	//1812
    "isCorrect$",	//1813
    "isDateOnly",	//1814
    "isDefault",	//1815
    "isDeleted",	//1816
    "isDerived",	//1817
    "isDesktopFile",	//1818
    "isDesktopFile$",	//1819
    "isDst",	//1820
    "isDst#$",	//1821
    "isDst$",	//1822
    "isDstAtUtc",	//1823
    "isDstAtUtc#",	//1824
    "isDstAtUtc##",	//1825
    "isEmpty",	//1826
    "isEntryImmutable",	//1827
    "isEntryImmutable$",	//1828
    "isEqual",	//1829
    "isEqual#",	//1830
    "isExportable",	//1831
    "isFilterProtocol",	//1832
    "isFilterProtocol#",	//1833
    "isFilterProtocol$",	//1834
    "isGroupImmutable",	//1835
    "isGroupImmutable#",	//1836
    "isGroupImmutable$",	//1837
    "isGroupImmutableImpl",	//1838
    "isGroupImmutableImpl#",	//1839
    "isHelperProtocol",	//1840
    "isHelperProtocol#",	//1841
    "isHelperProtocol$",	//1842
    "isHidden",	//1843
    "isImmutable",	//1844
    "isImmutable$",	//1845
    "isKnownProtocol",	//1846
    "isKnownProtocol#",	//1847
    "isKnownProtocol$",	//1848
    "isLeapYear",	//1849
    "isLeapYear#",	//1850
    "isLeapYear$",	//1851
    "isListening",	//1852
    "isLoaded",	//1853
    "isLocalFile",	//1854
    "isLocalZone",	//1855
    "isLocked",	//1856
    "isLunar",	//1857
    "isLunisolar",	//1858
    "isMisspelled",	//1859
    "isMisspelled$",	//1860
    "isNull",	//1861
    "isOffsetFromUtc",	//1862
    "isParentOf",	//1863
    "isParentOf#",	//1864
    "isPluginEnabled",	//1865
    "isPluginEnabledByDefault",	//1866
    "isProleptic",	//1867
    "isRelativeUrl",	//1868
    "isRelativeUrl$",	//1869
    "isRestrictedResource",	//1870
    "isRestrictedResource$",	//1871
    "isRestrictedResource$$",	//1872
    "isSecondOccurrence",	//1873
    "isSeparator",	//1874
    "isSequential",	//1875
    "isServiceRegistered",	//1876
    "isServiceRegistered$",	//1877
    "isSet",	//1878
    "isSet#",	//1879
    "isSimulated",	//1880
    "isSolar",	//1881
    "isSuperUser",	//1882
    "isSuspended",	//1883
    "isTempFileSet",	//1884
    "isType",	//1885
    "isType$",	//1886
    "isUtc",	//1887
    "isUtf8",	//1888
    "isUtf8$",	//1889
    "isValid",	//1890
    "isValid#",	//1891
    "isValid$",	//1892
    "isValid$$",	//1893
    "isValid$$$",	//1894
    "isValid$$$$",	//1895
    "isValidIsoWeekDate",	//1896
    "isValidIsoWeekDate$$$",	//1897
    "isoCurrencyCode",	//1898
    "isoCurrencyCodeNumeric",	//1899
    "isoName",	//1900
    "items",	//1901
    "job",	//1902
    "join",	//1903
    "join?",	//1904
    "joinArgs",	//1905
    "joinArgs?",	//1906
    "julianDayToDate",	//1907
    "julianDayToDate$$$$",	//1908
    "kAsciiToLower",	//1909
    "kAsciiToLower$",	//1910
    "kAsciiToUpper",	//1911
    "kAsciiToUpper$",	//1912
    "kBacktrace",	//1913
    "kBacktrace$",	//1914
    "kClearDebugConfig",	//1915
    "kRealBacktrace",	//1916
    "kRealBacktrace$",	//1917
    "kapplication_hook",	//1918
    "kapplication_hook?#",	//1919
    "kasciistricmp",	//1920
    "kasciistricmp$$",	//1921
    "kcmServices",	//1922
    "kdBacktrace",	//1923
    "kdBacktrace$",	//1924
    "kde_default",	//1925
    "kde_default$",	//1926
    "kdeinitExec",	//1927
    "kdeinitExec$",	//1928
    "kdeinitExec$?",	//1929
    "kdeinitExec$?$",	//1930
    "kdeinitExec$?$$",	//1931
    "kdeinitExec$?$$#",	//1932
    "kdeinitExecWait",	//1933
    "kdeinitExecWait$",	//1934
    "kdeinitExecWait$?",	//1935
    "kdeinitExecWait$?$",	//1936
    "kdeinitExecWait$?$$",	//1937
    "kdeinitExecWait$?$$#",	//1938
    "kdeinit_exec",	//1939
    "kdeinit_exec$??$$$$",	//1940
    "kdeinit_exec_wait",	//1941
    "kdeinit_exec_wait$??$$$$",	//1942
    "key",	//1943
    "keyExchangeMethod",	//1944
    "keyList",	//1945
    "keywords",	//1946
    "kfsstnd_prefixes",	//1947
    "kfsstnd_xdg_conf_prefixes",	//1948
    "kfsstnd_xdg_data_prefixes",	//1949
    "ki18n",	//1950
    "ki18n$",	//1951
    "ki18nc",	//1952
    "ki18nc$$",	//1953
    "ki18ncp",	//1954
    "ki18ncp$$$",	//1955
    "ki18np",	//1956
    "ki18np$$",	//1957
    "kill",	//1958
    "kill$",	//1959
    "klauncher",	//1960
    "kndbgstream",	//1961
    "kndbgstream#",	//1962
    "label",	//1963
    "langLookup",	//1964
    "langLookup$",	//1965
    "langLookup$$",	//1966
    "language",	//1967
    "languageCodeToName",	//1968
    "languageCodeToName$",	//1969
    "languageForEncoding",	//1970
    "languageForEncoding$",	//1971
    "languageList",	//1972
    "lastErrorMessage",	//1973
    "latestValidDate",	//1974
    "latitude",	//1975
    "layoutInfo",	//1976
    "leapSecondChange",	//1977
    "leapSecondChange#",	//1978
    "leapSecondChanges",	//1979
    "leapSeconds",	//1980
    "library",	//1981
    "library$",	//1982
    "library$$",	//1983
    "license",	//1984
    "licenseName",	//1985
    "licenseName$",	//1986
    "licenses",	//1987
    "listen",	//1988
    "listen$",	//1989
    "listen$#",	//1990
    "listen$#$",	//1991
    "listen$#$#",	//1992
    "listen$$",	//1993
    "load",	//1994
    "load#",	//1995
    "loadAppArgs",	//1996
    "loadAppArgs#",	//1997
    "local",	//1998
    "localAddress",	//1999
    "localCertificate",	//2000
    "localPath",	//2001
    "localSocketType",	//2002
    "locale",	//2003
    "localizedFilePath",	//2004
    "localizedFilePath$",	//2005
    "localkdedir",	//2006
    "localxdgconfdir",	//2007
    "localxdgdatadir",	//2008
    "locate",	//2009
    "locate$$",	//2010
    "locate$$#",	//2011
    "locateLocal",	//2012
    "locateLocal$",	//2013
    "locateLocal$$",	//2014
    "locateLocal$$#",	//2015
    "locateLocal$$$",	//2016
    "locateLocal$$$#",	//2017
    "location",	//2018
    "lock",	//2019
    "lock$",	//2020
    "loginName",	//2021
    "longitude",	//2022
    "lsqueeze",	//2023
    "lsqueeze$",	//2024
    "lsqueeze$$",	//2025
    "mGroup",	//2026
    "mKey",	//2027
    "mName",	//2028
    "m_bAutoDel",	//2029
    "m_canCopyFromFile",	//2030
    "m_canCopyToFile",	//2031
    "m_config",	//2032
    "m_defaultMimetype",	//2033
    "m_determineMimetypeFromExtension",	//2034
    "m_dev",	//2035
    "m_exec",	//2036
    "m_icon",	//2037
    "m_inputType",	//2038
    "m_isHelperProtocol",	//2039
    "m_isSourceProtocol",	//2040
    "m_listing",	//2041
    "m_maxSlaves",	//2042
    "m_name",	//2043
    "m_outputType",	//2044
    "m_str_deprecated",	//2045
    "m_supportsDeleting",	//2046
    "m_supportsLinking",	//2047
    "m_supportsListing",	//2048
    "m_supportsMakeDir",	//2049
    "m_supportsMoving",	//2050
    "m_supportsOpening",	//2051
    "m_supportsReading",	//2052
    "m_supportsWriting",	//2053
    "mainComponent",	//2054
    "mainExtension",	//2055
    "makeDir",	//2056
    "makeDir$",	//2057
    "makeDir$$",	//2058
    "makeURL",	//2059
    "makeURL#",	//2060
    "managedFile",	//2061
    "markAsClean",	//2062
    "maxPendingConnections",	//2063
    "maxSlaves",	//2064
    "maxSlaves$",	//2065
    "maxSlavesPerHost",	//2066
    "maxSlavesPerHost$",	//2067
    "maxValue",	//2068
    "measureSystem",	//2069
    "menuId",	//2070
    "message",	//2071
    "message$$",	//2072
    "message$$$",	//2073
    "metaObject",	//2074
    "mimeType",	//2075
    "mimeType$",	//2076
    "mimeType$$",	//2077
    "minValue",	//2078
    "misspelling",	//2079
    "misspelling$$",	//2080
    "mkdir",	//2081
    "mkdir$$",	//2082
    "mode",	//2083
    "modulate",	//2084
    "modulate$",	//2085
    "moduleDeleted",	//2086
    "moduleDeleted#",	//2087
    "moduleName",	//2088
    "moduleRegistered",	//2089
    "moduleRegistered#",	//2090
    "monetaryDecimalPlaces",	//2091
    "monetaryDecimalSymbol",	//2092
    "monetaryDigitSet",	//2093
    "monetaryThousandsSeparator",	//2094
    "month",	//2095
    "month#",	//2096
    "monthName",	//2097
    "monthName#",	//2098
    "monthName#$",	//2099
    "monthName$$",	//2100
    "monthName$$$",	//2101
    "monthString",	//2102
    "monthString#",	//2103
    "monthString#$",	//2104
    "monthStringToInteger",	//2105
    "monthStringToInteger$$",	//2106
    "monthsDifference",	//2107
    "monthsDifference##",	//2108
    "monthsInYear",	//2109
    "monthsInYear#",	//2110
    "monthsInYear$",	//2111
    "monthsInYearString",	//2112
    "monthsInYearString#",	//2113
    "monthsInYearString#$",	//2114
    "name",	//2115
    "name$",	//2116
    "nameForProberType",	//2117
    "nameForProberType$",	//2118
    "nameForScript",	//2119
    "nameForScript$",	//2120
    "naturalCompare",	//2121
    "naturalCompare$$",	//2122
    "naturalCompare$$$",	//2123
    "negativeMonetarySignPosition",	//2124
    "negativePrefixCurrencySymbol",	//2125
    "negativeSign",	//2126
    "negotiatedSslVersion",	//2127
    "negotiatedSslVersionName",	//2128
    "newConnection",	//2129
    "newServicePath",	//2130
    "newServicePath$$",	//2131
    "newServicePath$$$",	//2132
    "newServicePath$$$?",	//2133
    "nextPendingConnection",	//2134
    "noDisplay",	//2135
    "notifyCatalogsUpdated",	//2136
    "notifyCatalogsUpdated??",	//2137
    "nounDeclension",	//2138
    "numberedBackupFile",	//2139
    "numberedBackupFile$",	//2140
    "numberedBackupFile$$",	//2141
    "numberedBackupFile$$$",	//2142
    "numberedBackupFile$$$$",	//2143
    "objectCreated",	//2144
    "objectCreated#",	//2145
    "obscure",	//2146
    "obscure$",	//2147
    "offset",	//2148
    "offset#$",	//2149
    "offset$",	//2150
    "offsetAtUtc",	//2151
    "offsetAtUtc#",	//2152
    "offsetAtUtc##",	//2153
    "offsetAtZoneTime",	//2154
    "offsetAtZoneTime#",	//2155
    "offsetAtZoneTime##$",	//2156
    "offsetAtZoneTime#$",	//2157
    "open",	//2158
    "open$",	//2159
    "open$$",	//2160
    "open$$$",	//2161
    "openConfig",	//2162
    "openConfig#",	//2163
    "openConfig#$",	//2164
    "openConfig#$$",	//2165
    "openConfig#$$$",	//2166
    "openConfig$",	//2167
    "openConfig$$",	//2168
    "openConfig$$$",	//2169
    "operator QVariant",	//2170
    "operator!=",	//2171
    "operator!=#",	//2172
    "operator!=##",	//2173
    "operator!=#$",	//2174
    "operator!=$",	//2175
    "operator!=$#",	//2176
    "operator!=$$",	//2177
    "operator&",	//2178
    "operator&##",	//2179
    "operator*",	//2180
    "operator*#$",	//2181
    "operator*$#",	//2182
    "operator+",	//2183
    "operator+##",	//2184
    "operator+#$",	//2185
    "operator+$#",	//2186
    "operator+$$",	//2187
    "operator-",	//2188
    "operator-#",	//2189
    "operator-##",	//2190
    "operator/",	//2191
    "operator/#$",	//2192
    "operator<",	//2193
    "operator<#",	//2194
    "operator<##",	//2195
    "operator<#$",	//2196
    "operator<$#",	//2197
    "operator<$$",	//2198
    "operator<<",	//2199
    "operator<<##",	//2200
    "operator<<#$",	//2201
    "operator<<#?",	//2202
    "operator<<$",	//2203
    "operator<<?",	//2204
    "operator<=",	//2205
    "operator<=#",	//2206
    "operator<=##",	//2207
    "operator<=#$",	//2208
    "operator<=$#",	//2209
    "operator<=$$",	//2210
    "operator=",	//2211
    "operator=#",	//2212
    "operator=$",	//2213
    "operator==",	//2214
    "operator==#",	//2215
    "operator==##",	//2216
    "operator==#$",	//2217
    "operator==$",	//2218
    "operator==$#",	//2219
    "operator==$$",	//2220
    "operator>",	//2221
    "operator>#",	//2222
    "operator>##",	//2223
    "operator>#$",	//2224
    "operator>$#",	//2225
    "operator>$$",	//2226
    "operator>=",	//2227
    "operator>=#",	//2228
    "operator>=##",	//2229
    "operator>=#$",	//2230
    "operator>=$#",	//2231
    "operator>=$$",	//2232
    "operator>>",	//2233
    "operator>>##",	//2234
    "operator>>#$",	//2235
    "operator>>#?",	//2236
    "operator^",	//2237
    "operator^##",	//2238
    "operator|",	//2239
    "operator|##",	//2240
    "operator|$$",	//2241
    "organizationDomain",	//2242
    "otherText",	//2243
    "outBufferAvailable",	//2244
    "outBufferFull",	//2245
    "outOfRange",	//2246
    "outputChannelMode",	//2247
    "pageSize",	//2248
    "parent",	//2249
    "parentApp",	//2250
    "parentMimeType",	//2251
    "parentMimeTypes",	//2252
    "parentServiceType",	//2253
    "parentType",	//2254
    "parse",	//2255
    "parse#",	//2256
    "parsedArgs",	//2257
    "parsedArgs#",	//2258
    "pass",	//2259
    "path",	//2260
    "path$",	//2261
    "pathOrUrl",	//2262
    "pathOrUrl$",	//2263
    "patterns",	//2264
    "peerAddress",	//2265
    "peerCertificateChain",	//2266
    "peerName",	//2267
    "peerPath",	//2268
    "peerPort",	//2269
    "percent",	//2270
    "percent#$",	//2271
    "perlSplit",	//2272
    "perlSplit#$",	//2273
    "perlSplit#$$",	//2274
    "perlSplit$$",	//2275
    "perlSplit$$$",	//2276
    "phase",	//2277
    "phases",	//2278
    "pid",	//2279
    "pluginKeyword",	//2280
    "pluginName",	//2281
    "pluginVersion",	//2282
    "populateMimeData",	//2283
    "populateMimeData#",	//2284
    "populateMimeData#?",	//2285
    "populateMimeData#?$",	//2286
    "pos",	//2287
    "positiveMonetarySignPosition",	//2288
    "positivePrefixCurrencySymbol",	//2289
    "positiveSign",	//2290
    "preProcessWrap",	//2291
    "preProcessWrap$",	//2292
    "preferredService",	//2293
    "preferredService$",	//2294
    "preferredService$$",	//2295
    "prettyFormatDuration",	//2296
    "prettyFormatDuration$",	//2297
    "prettyUrl",	//2298
    "prettyUrl$",	//2299
    "previousUtcOffset",	//2300
    "privateKey",	//2301
    "proberType",	//2302
    "proberTypeForName",	//2303
    "proberTypeForName$",	//2304
    "processNull",	//2305
    "processNull$$",	//2306
    "processedAmount",	//2307
    "processedAmount#$?",	//2308
    "processedAmount$",	//2309
    "productName",	//2310
    "program",	//2311
    "programIconName",	//2312
    "programLogo",	//2313
    "programName",	//2314
    "progressStep",	//2315
    "progressStep$",	//2316
    "progressStep?",	//2317
    "property",	//2318
    "property$",	//2319
    "property$$",	//2320
    "propertyDef",	//2321
    "propertyDef$",	//2322
    "propertyDefNames",	//2323
    "propertyDefs",	//2324
    "propertyNames",	//2325
    "protocol",	//2326
    "protocolClass",	//2327
    "protocolClass$",	//2328
    "protocols",	//2329
    "proxiedBy",	//2330
    "proxiedBy$",	//2331
    "proxy",	//2332
    "proxyAuthenticationRequired",	//2333
    "proxyAuthenticationRequired##",	//2334
    "proxyForConnection",	//2335
    "proxyForConnection$$",	//2336
    "proxyForDatagram",	//2337
    "proxyForDatagram$$",	//2338
    "proxyForListening",	//2339
    "proxyForListening$",	//2340
    "qtArgc",	//2341
    "qtArgv",	//2342
    "qt_metacall",	//2343
    "qt_metacall$$?",	//2344
    "qt_metacast",	//2345
    "qt_metacast$",	//2346
    "query",	//2347
    "query$",	//2348
    "query$$",	//2349
    "query$$$",	//2350
    "queryItem",	//2351
    "queryItem$",	//2352
    "queryItems",	//2353
    "queryItems#",	//2354
    "quoteArg",	//2355
    "quoteArg$",	//2356
    "quotedPrintableDecode",	//2357
    "quotedPrintableDecode#",	//2358
    "quotedPrintableDecode##",	//2359
    "quotedPrintableEncode",	//2360
    "quotedPrintableEncode#",	//2361
    "quotedPrintableEncode##$",	//2362
    "quotedPrintableEncode#$",	//2363
    "random",	//2364
    "randomString",	//2365
    "randomString$",	//2366
    "rawDigest",	//2367
    "rawDigest$",	//2368
    "rcsBackupFile",	//2369
    "rcsBackupFile$",	//2370
    "rcsBackupFile$$",	//2371
    "rcsBackupFile$$$",	//2372
    "read",	//2373
    "read#$",	//2374
    "read#?",	//2375
    "readActions",	//2376
    "readBufferSize",	//2377
    "readComment",	//2378
    "readConfig",	//2379
    "readConfig#",	//2380
    "readData",	//2381
    "readData$?",	//2382
    "readDate",	//2383
    "readDate$",	//2384
    "readDate$$",	//2385
    "readDate$$$",	//2386
    "readDate$$$$",	//2387
    "readDefault",	//2388
    "readDefault#",	//2389
    "readDefaults",	//2390
    "readDevice",	//2391
    "readDocPath",	//2392
    "readEntry",	//2393
    "readEntry$",	//2394
    "readEntry$#",	//2395
    "readEntry$$",	//2396
    "readEntry$?",	//2397
    "readEntryUntranslated",	//2398
    "readEntryUntranslated$",	//2399
    "readEntryUntranslated$$",	//2400
    "readError",	//2401
    "readGenericName",	//2402
    "readHeader",	//2403
    "readIcon",	//2404
    "readImmutability",	//2405
    "readImmutability#",	//2406
    "readLineData",	//2407
    "readLocaleTime",	//2408
    "readLocaleTime$",	//2409
    "readLocaleTime$$",	//2410
    "readLocaleTime$$$",	//2411
    "readLocaleTime$$$$",	//2412
    "readMoney",	//2413
    "readMoney$",	//2414
    "readMoney$$",	//2415
    "readName",	//2416
    "readNumber",	//2417
    "readNumber$",	//2418
    "readNumber$$",	//2419
    "readPath",	//2420
    "readPathEntry",	//2421
    "readPathEntry$$",	//2422
    "readPathEntry$?",	//2423
    "readTime",	//2424
    "readTime$",	//2425
    "readTime$$",	//2426
    "readTime$$$",	//2427
    "readType",	//2428
    "readUrl",	//2429
    "readXdgListEntry",	//2430
    "readXdgListEntry$",	//2431
    "readXdgListEntry$?",	//2432
    "readZone",	//2433
    "readZone$",	//2434
    "realCurrentLocalDateTime",	//2435
    "realFilePath",	//2436
    "realFilePath$",	//2437
    "realLocalZone",	//2438
    "realPath",	//2439
    "realPath$",	//2440
    "ref",	//2441
    "registerArea",	//2442
    "registerArea#",	//2443
    "registerArea#$",	//2444
    "registerJob",	//2445
    "registerJob#",	//2446
    "relPath",	//2447
    "relativeLocation",	//2448
    "relativeLocation$$",	//2449
    "relativePath",	//2450
    "relativePath$$",	//2451
    "relativePath$$$",	//2452
    "relativeUrl",	//2453
    "relativeUrl##",	//2454
    "releaseLock",	//2455
    "remove",	//2456
    "remove#",	//2457
    "remove$",	//2458
    "removeAcceleratorMarker",	//2459
    "removeAcceleratorMarker$",	//2460
    "removeCatalog",	//2461
    "removeCatalog$",	//2462
    "removeDir",	//2463
    "removeDir$",	//2464
    "removeFromAllowedEnvironments",	//2465
    "removeFromAllowedEnvironments$",	//2466
    "removeFromExcludedEnvironments",	//2467
    "removeFromExcludedEnvironments$",	//2468
    "removeSubjob",	//2469
    "removeSubjob#",	//2470
    "rename",	//2471
    "rename$$",	//2472
    "reparent",	//2473
    "reparent#",	//2474
    "reparent#$",	//2475
    "reparseConfiguration",	//2476
    "replace",	//2477
    "replace$$$",	//2478
    "requestHoldSlave",	//2479
    "requestHoldSlave$$",	//2480
    "requestSlave",	//2481
    "requestSlave$$$$",	//2482
    "reset",	//2483
    "resetDecoder",	//2484
    "resolveEntities",	//2485
    "resolveEntities$",	//2486
    "resolveFunction",	//2487
    "resolveFunction$",	//2488
    "resolveSymbol",	//2489
    "resolveSymbol$",	//2490
    "resource",	//2491
    "resourceDirs",	//2492
    "resourceDirs$",	//2493
    "restore",	//2494
    "restore#",	//2495
    "resume",	//2496
    "resumed",	//2497
    "resumed#",	//2498
    "revertToDefault",	//2499
    "revertToDefault$",	//2500
    "root",	//2501
    "rsqueeze",	//2502
    "rsqueeze$",	//2503
    "rsqueeze$$",	//2504
    "save",	//2505
    "save#",	//2506
    "saveAppArgs",	//2507
    "saveAppArgs#",	//2508
    "saveLocation",	//2509
    "saveLocation$",	//2510
    "saveLocation$$",	//2511
    "saveLocation$$$",	//2512
    "scriptForName",	//2513
    "scriptForName$",	//2514
    "secrecy",	//2515
    "secsTo",	//2516
    "secsTo#",	//2517
    "secsTo_long",	//2518
    "secsTo_long#",	//2519
    "seek",	//2520
    "seek?",	//2521
    "self",	//2522
    "serialized",	//2523
    "serverError",	//2524
    "service",	//2525
    "serviceByDesktopName",	//2526
    "serviceByDesktopName$",	//2527
    "serviceByDesktopPath",	//2528
    "serviceByDesktopPath$",	//2529
    "serviceByMenuId",	//2530
    "serviceByMenuId$",	//2531
    "serviceByName",	//2532
    "serviceByName$",	//2533
    "serviceByStorageId",	//2534
    "serviceByStorageId$",	//2535
    "serviceEntries",	//2536
    "serviceEntries$",	//2537
    "serviceOffersOffset",	//2538
    "serviceType",	//2539
    "serviceType$",	//2540
    "serviceTypes",	//2541
    "sessionCipher",	//2542
    "setAboutData",	//2543
    "setAboutData#",	//2544
    "setActiveCatalog",	//2545
    "setActiveCatalog$",	//2546
    "setActiveComponent",	//2547
    "setActiveComponent#",	//2548
    "setAdvertisedSslVersion",	//2549
    "setAdvertisedSslVersion$",	//2550
    "setAllowInline",	//2551
    "setAllowInline$",	//2552
    "setAllowQuit",	//2553
    "setAllowQuit$",	//2554
    "setAllowedEnvironments",	//2555
    "setAllowedEnvironments?",	//2556
    "setAppName",	//2557
    "setAppName#",	//2558
    "setArguments",	//2559
    "setArguments?",	//2560
    "setAttribute",	//2561
    "setAttribute$",	//2562
    "setAttribute$$",	//2563
    "setAutoDelete",	//2564
    "setAutoDelete$",	//2565
    "setAutoDetectLanguage",	//2566
    "setAutoDetectLanguage$",	//2567
    "setAutoErrorHandlingEnabled",	//2568
    "setAutoErrorHandlingEnabled$",	//2569
    "setAutoRemove",	//2570
    "setAutoRemove$",	//2571
    "setAutoWarningHandlingEnabled",	//2572
    "setAutoWarningHandlingEnabled$",	//2573
    "setAutostarts",	//2574
    "setAutostarts$",	//2575
    "setBinaryUnitDialect",	//2576
    "setBinaryUnitDialect$",	//2577
    "setBugAddress",	//2578
    "setBugAddress#",	//2579
    "setCaCertificates",	//2580
    "setCaCertificates?",	//2581
    "setCalendar",	//2582
    "setCalendar$",	//2583
    "setCapabilities",	//2584
    "setCapabilities$",	//2585
    "setCatalogName",	//2586
    "setCatalogName#",	//2587
    "setCiphers",	//2588
    "setCiphers?",	//2589
    "setCommand",	//2590
    "setCommand$",	//2591
    "setCommandToCheck",	//2592
    "setCommandToCheck$",	//2593
    "setComponentData",	//2594
    "setComponentData#",	//2595
    "setConfig",	//2596
    "setConfig#",	//2597
    "setConfigName",	//2598
    "setConfigName$",	//2599
    "setCopyrightStatement",	//2600
    "setCopyrightStatement#",	//2601
    "setCountry",	//2602
    "setCountry$#",	//2603
    "setCurrencyCode",	//2604
    "setCurrencyCode$",	//2605
    "setCurrencySymbol",	//2606
    "setCurrencySymbol$",	//2607
    "setCurrentGroup",	//2608
    "setCurrentGroup$",	//2609
    "setCustomAuthorText",	//2610
    "setCustomAuthorText##",	//2611
    "setCwd",	//2612
    "setCwd#",	//2613
    "setData",	//2614
    "setData#",	//2615
    "setData##",	//2616
    "setData?",	//2617
    "setDataVersion",	//2618
    "setDataVersion$",	//2619
    "setDate",	//2620
    "setDate#",	//2621
    "setDate#$$",	//2622
    "setDate#$$$",	//2623
    "setDate#$$$$",	//2624
    "setDateFormat",	//2625
    "setDateFormat$",	//2626
    "setDateFormatShort",	//2627
    "setDateFormatShort$",	//2628
    "setDateIsoWeek",	//2629
    "setDateIsoWeek#$$$",	//2630
    "setDateMonthNamePossessive",	//2631
    "setDateMonthNamePossessive$",	//2632
    "setDateOnly",	//2633
    "setDateOnly$",	//2634
    "setDateTime",	//2635
    "setDateTime#",	//2636
    "setDateTimeDigitSet",	//2637
    "setDateTimeDigitSet$",	//2638
    "setDecimalPlaces",	//2639
    "setDecimalPlaces$",	//2640
    "setDecimalSymbol",	//2641
    "setDecimalSymbol$",	//2642
    "setDefault",	//2643
    "setDefaultClient",	//2644
    "setDefaultClient$",	//2645
    "setDefaultLanguage",	//2646
    "setDefaultLanguage$",	//2647
    "setDefaults",	//2648
    "setDeleted",	//2649
    "setDeleted$",	//2650
    "setDetails",	//2651
    "setDetails$",	//2652
    "setDevice",	//2653
    "setDevice#",	//2654
    "setDevice#$",	//2655
    "setDigitSet",	//2656
    "setDigitSet$",	//2657
    "setDirectory",	//2658
    "setDirectory$",	//2659
    "setEncodedPathAndQuery",	//2660
    "setEncodedPathAndQuery$",	//2661
    "setEncoding",	//2662
    "setEncoding$",	//2663
    "setEncoding$$",	//2664
    "setEnv",	//2665
    "setEnv$$",	//2666
    "setEnv$$$",	//2667
    "setError",	//2668
    "setError$",	//2669
    "setErrorCode",	//2670
    "setErrorCode$",	//2671
    "setErrorDescription",	//2672
    "setErrorDescription$",	//2673
    "setErrorText",	//2674
    "setErrorText$",	//2675
    "setEscapeChar",	//2676
    "setEscapeChar#",	//2677
    "setExcludedEnvironments",	//2678
    "setExcludedEnvironments?",	//2679
    "setExecutesAsync",	//2680
    "setExecutesAsync$",	//2681
    "setFileEncoding",	//2682
    "setFileEncoding$",	//2683
    "setFileName",	//2684
    "setFileName$",	//2685
    "setFileName$#",	//2686
    "setFilterFlags",	//2687
    "setFilterFlags$",	//2688
    "setForceGlobal",	//2689
    "setForceGlobal$",	//2690
    "setFracDigits",	//2691
    "setFracDigits$",	//2692
    "setFromStringDefault",	//2693
    "setFromStringDefault#",	//2694
    "setGroup",	//2695
    "setGroup$",	//2696
    "setHTMLRef",	//2697
    "setHTMLRef$",	//2698
    "setHasYear0",	//2699
    "setHasYear0$",	//2700
    "setHelperID",	//2701
    "setHelperID$",	//2702
    "setHomepage",	//2703
    "setHomepage#",	//2704
    "setInBuffer",	//2705
    "setInBuffer$$",	//2706
    "setInlineAlias",	//2707
    "setInlineAlias$",	//2708
    "setInlineValue",	//2709
    "setInlineValue$",	//2710
    "setKDEVersion",	//2711
    "setKDEVersion$",	//2712
    "setKDEVersionString",	//2713
    "setKDEVersionString$",	//2714
    "setKey",	//2715
    "setKey$",	//2716
    "setLabel",	//2717
    "setLabel$",	//2718
    "setLanguage",	//2719
    "setLanguage$",	//2720
    "setLanguage$#",	//2721
    "setLanguage?",	//2722
    "setLaunchEnv",	//2723
    "setLaunchEnv$$",	//2724
    "setLayoutInfo",	//2725
    "setLayoutInfo?",	//2726
    "setLeapSecondChanges",	//2727
    "setLeapSecondChanges?",	//2728
    "setLicense",	//2729
    "setLicense$",	//2730
    "setLicenseText",	//2731
    "setLicenseText#",	//2732
    "setLicenseTextFile",	//2733
    "setLicenseTextFile$",	//2734
    "setLocalCertificate",	//2735
    "setLocalCertificate#",	//2736
    "setLocalCertificate$",	//2737
    "setLocalCertificate$$",	//2738
    "setLocalZone",	//2739
    "setLocalZone#",	//2740
    "setLocale",	//2741
    "setLocale#",	//2742
    "setLocale#$",	//2743
    "setLocale$",	//2744
    "setMGroup",	//2745
    "setMGroup$",	//2746
    "setMKey",	//2747
    "setMKey$",	//2748
    "setMName",	//2749
    "setMName$",	//2750
    "setM_bAutoDel",	//2751
    "setM_bAutoDel$",	//2752
    "setM_canCopyFromFile",	//2753
    "setM_canCopyFromFile$",	//2754
    "setM_canCopyToFile",	//2755
    "setM_canCopyToFile$",	//2756
    "setM_config",	//2757
    "setM_config$",	//2758
    "setM_defaultMimetype",	//2759
    "setM_defaultMimetype$",	//2760
    "setM_determineMimetypeFromExtension",	//2761
    "setM_determineMimetypeFromExtension$",	//2762
    "setM_dev",	//2763
    "setM_dev#",	//2764
    "setM_exec",	//2765
    "setM_exec$",	//2766
    "setM_icon",	//2767
    "setM_icon$",	//2768
    "setM_inputType",	//2769
    "setM_inputType$",	//2770
    "setM_isHelperProtocol",	//2771
    "setM_isHelperProtocol$",	//2772
    "setM_isSourceProtocol",	//2773
    "setM_isSourceProtocol$",	//2774
    "setM_listing",	//2775
    "setM_listing?",	//2776
    "setM_maxSlaves",	//2777
    "setM_maxSlaves$",	//2778
    "setM_name",	//2779
    "setM_name$",	//2780
    "setM_outputType",	//2781
    "setM_outputType$",	//2782
    "setM_str_deprecated",	//2783
    "setM_str_deprecated#",	//2784
    "setM_supportsDeleting",	//2785
    "setM_supportsDeleting$",	//2786
    "setM_supportsLinking",	//2787
    "setM_supportsLinking$",	//2788
    "setM_supportsListing",	//2789
    "setM_supportsListing$",	//2790
    "setM_supportsMakeDir",	//2791
    "setM_supportsMakeDir$",	//2792
    "setM_supportsMoving",	//2793
    "setM_supportsMoving$",	//2794
    "setM_supportsOpening",	//2795
    "setM_supportsOpening$",	//2796
    "setM_supportsReading",	//2797
    "setM_supportsReading$",	//2798
    "setM_supportsWriting",	//2799
    "setM_supportsWriting$",	//2800
    "setMainCatalog",	//2801
    "setMainCatalog$",	//2802
    "setManagedFile",	//2803
    "setManagedFile#",	//2804
    "setMaxDaysInWeek",	//2805
    "setMaxDaysInWeek$",	//2806
    "setMaxMonthsInYear",	//2807
    "setMaxMonthsInYear$",	//2808
    "setMaxPendingConnections",	//2809
    "setMaxPendingConnections$",	//2810
    "setMaxValue",	//2811
    "setMaxValue$",	//2812
    "setMaxValue?",	//2813
    "setMeasureSystem",	//2814
    "setMeasureSystem$",	//2815
    "setMenuId",	//2816
    "setMenuId$",	//2817
    "setMessageHandler",	//2818
    "setMessageHandler#",	//2819
    "setMinValue",	//2820
    "setMinValue$",	//2821
    "setMinValue?",	//2822
    "setModuleName",	//2823
    "setModuleName$",	//2824
    "setMonetaryDecimalPlaces",	//2825
    "setMonetaryDecimalPlaces$",	//2826
    "setMonetaryDecimalSymbol",	//2827
    "setMonetaryDecimalSymbol$",	//2828
    "setMonetaryDigitSet",	//2829
    "setMonetaryDigitSet$",	//2830
    "setMonetaryThousandsSeparator",	//2831
    "setMonetaryThousandsSeparator$",	//2832
    "setName",	//2833
    "setName$",	//2834
    "setNegativeMonetarySignPosition",	//2835
    "setNegativeMonetarySignPosition$",	//2836
    "setNegativePrefixCurrencySymbol",	//2837
    "setNegativePrefixCurrencySymbol$",	//2838
    "setNegativeSign",	//2839
    "setNegativeSign$",	//2840
    "setNextOpenMode",	//2841
    "setNextOpenMode$",	//2842
    "setOrganizationDomain",	//2843
    "setOrganizationDomain#",	//2844
    "setOrigFileName",	//2845
    "setOrigFileName#",	//2846
    "setOtherText",	//2847
    "setOtherText#",	//2848
    "setOutBuffer",	//2849
    "setOutBuffer$$",	//2850
    "setOutputChannelMode",	//2851
    "setOutputChannelMode$",	//2852
    "setPageSize",	//2853
    "setPageSize$",	//2854
    "setPass",	//2855
    "setPass$",	//2856
    "setPath",	//2857
    "setPath$",	//2858
    "setPercent",	//2859
    "setPercent$",	//2860
    "setPhases",	//2861
    "setPhases?$",	//2862
    "setPluginEnabled",	//2863
    "setPluginEnabled$",	//2864
    "setPositiveMonetarySignPosition",	//2865
    "setPositiveMonetarySignPosition$",	//2866
    "setPositivePrefixCurrencySymbol",	//2867
    "setPositivePrefixCurrencySymbol$",	//2868
    "setPositiveSign",	//2869
    "setPositiveSign$",	//2870
    "setPrefix",	//2871
    "setPrefix$",	//2872
    "setPrivateKey",	//2873
    "setPrivateKey#",	//2874
    "setPrivateKey$",	//2875
    "setPrivateKey$$",	//2876
    "setPrivateKey$$$",	//2877
    "setPrivateKey$$$#",	//2878
    "setProberType",	//2879
    "setProberType$",	//2880
    "setProcessedAmount",	//2881
    "setProcessedAmount$?",	//2882
    "setProductName",	//2883
    "setProductName#",	//2884
    "setProgram",	//2885
    "setProgram$",	//2886
    "setProgram$?",	//2887
    "setProgram?",	//2888
    "setProgramIconName",	//2889
    "setProgramIconName$",	//2890
    "setProgramLogo",	//2891
    "setProgramLogo#",	//2892
    "setProgramName",	//2893
    "setProgramName#",	//2894
    "setProperty",	//2895
    "setProperty#",	//2896
    "setProtocol",	//2897
    "setProtocol$",	//2898
    "setProxy",	//2899
    "setProxy#",	//2900
    "setQuery",	//2901
    "setQuery$",	//2902
    "setReadBufferSize",	//2903
    "setReadBufferSize?",	//2904
    "setReadDefaults",	//2905
    "setReadDefaults$",	//2906
    "setRef",	//2907
    "setRef$",	//2908
    "setSecondOccurrence",	//2909
    "setSecondOccurrence$",	//2910
    "setSeed",	//2911
    "setSeed$",	//2912
    "setServiceOffersOffset",	//2913
    "setServiceOffersOffset$",	//2914
    "setSharedConfig",	//2915
    "setSharedConfig?",	//2916
    "setShellCommand",	//2917
    "setShellCommand$",	//2918
    "setShortDescription",	//2919
    "setShortDescription#",	//2920
    "setShowEmptyMenu",	//2921
    "setShowEmptyMenu$",	//2922
    "setShowInlineHeader",	//2923
    "setShowInlineHeader$",	//2924
    "setSimulatedSystemTime",	//2925
    "setSimulatedSystemTime#",	//2926
    "setSkipHeaders",	//2927
    "setSocketOption",	//2928
    "setSocketOption$#",	//2929
    "setSpeller",	//2930
    "setSpeller#",	//2931
    "setStaleTime",	//2932
    "setStaleTime$",	//2933
    "setStartPhase",	//2934
    "setStartPhase$",	//2935
    "setSuffix",	//2936
    "setSuffix$",	//2937
    "setTerminal",	//2938
    "setTerminal$",	//2939
    "setTerminalOptions",	//2940
    "setTerminalOptions$",	//2941
    "setText",	//2942
    "setText$",	//2943
    "setThousandsSeparator",	//2944
    "setThousandsSeparator$",	//2945
    "setTime",	//2946
    "setTime#",	//2947
    "setTimeFormat",	//2948
    "setTimeFormat$",	//2949
    "setTimeSpec",	//2950
    "setTimeSpec#",	//2951
    "setTime_t",	//2952
    "setTime_t?",	//2953
    "setToolTip",	//2954
    "setToolTip$",	//2955
    "setTotalAmount",	//2956
    "setTotalAmount$?",	//2957
    "setTransitions",	//2958
    "setTransitions?",	//2959
    "setTranslator",	//2960
    "setTranslator##",	//2961
    "setType",	//2962
    "setType#",	//2963
    "setType$",	//2964
    "setType$$",	//2965
    "setUiDelegate",	//2966
    "setUiDelegate#",	//2967
    "setUser",	//2968
    "setUser$",	//2969
    "setVersion",	//2970
    "setVersion#",	//2971
    "setVisibleName",	//2972
    "setVisibleName$",	//2973
    "setWeekDayOfPray",	//2974
    "setWeekDayOfPray$",	//2975
    "setWeekStartDay",	//2976
    "setWeekStartDay$",	//2977
    "setWhatsThis",	//2978
    "setWhatsThis$",	//2979
    "setWorkingWeekEndDay",	//2980
    "setWorkingWeekEndDay$",	//2981
    "setWorkingWeekStartDay",	//2982
    "setWorkingWeekStartDay$",	//2983
    "setYMD",	//2984
    "setYMD#$$$",	//2985
    "setupChildProcess",	//2986
    "setupTranslations",	//2987
    "sharedMimeInfoVersion",	//2988
    "shell",	//2989
    "shortDescription",	//2990
    "showEmptyMenu",	//2991
    "showErrorMessage",	//2992
    "showFilePreview",	//2993
    "showFilePreview$",	//2994
    "showInKDE",	//2995
    "showInlineHeader",	//2996
    "simpleBackupFile",	//2997
    "simpleBackupFile$",	//2998
    "simpleBackupFile$$",	//2999
    "simpleBackupFile$$$",	//3000
    "size",	//3001
    "slotEngineDone",	//3002
    "slotInfoMessage",	//3003
    "slotInfoMessage#$$",	//3004
    "slotResult",	//3005
    "slotResult#",	//3006
    "slotWarning",	//3007
    "slotWarning#$$",	//3008
    "socketOption",	//3009
    "socketOption$",	//3010
    "sortOrder",	//3011
    "source",	//3012
    "speed",	//3013
    "speed#$",	//3014
    "speller",	//3015
    "split",	//3016
    "split#",	//3017
    "split$",	//3018
    "splitArgs",	//3019
    "splitArgs$",	//3020
    "splitArgs$$",	//3021
    "splitArgs$$$",	//3022
    "splitLocale",	//3023
    "splitLocale$$$$$",	//3024
    "sslErrors",	//3025
    "sslErrors?",	//3026
    "staleFiles",	//3027
    "staleFiles#",	//3028
    "staleFiles#$",	//3029
    "staleTime",	//3030
    "start",	//3031
    "startAfter",	//3032
    "startClientEncryption",	//3033
    "startDetached",	//3034
    "startDetached$",	//3035
    "startDetached$?",	//3036
    "startDetached?",	//3037
    "startParseBlock",	//3038
    "startPhase",	//3039
    "startServiceByDesktopName",	//3040
    "startServiceByDesktopName$",	//3041
    "startServiceByDesktopName$$",	//3042
    "startServiceByDesktopName$$$",	//3043
    "startServiceByDesktopName$$$$",	//3044
    "startServiceByDesktopName$$$$$",	//3045
    "startServiceByDesktopName$$$$$#",	//3046
    "startServiceByDesktopName$$$$$#$",	//3047
    "startServiceByDesktopName$?",	//3048
    "startServiceByDesktopName$?$",	//3049
    "startServiceByDesktopName$?$$",	//3050
    "startServiceByDesktopName$?$$$",	//3051
    "startServiceByDesktopName$?$$$#",	//3052
    "startServiceByDesktopName$?$$$#$",	//3053
    "startServiceByDesktopPath",	//3054
    "startServiceByDesktopPath$",	//3055
    "startServiceByDesktopPath$$",	//3056
    "startServiceByDesktopPath$$$",	//3057
    "startServiceByDesktopPath$$$$",	//3058
    "startServiceByDesktopPath$$$$$",	//3059
    "startServiceByDesktopPath$$$$$#",	//3060
    "startServiceByDesktopPath$$$$$#$",	//3061
    "startServiceByDesktopPath$?",	//3062
    "startServiceByDesktopPath$?$",	//3063
    "startServiceByDesktopPath$?$$",	//3064
    "startServiceByDesktopPath$?$$$",	//3065
    "startServiceByDesktopPath$?$$$#",	//3066
    "startServiceByDesktopPath$?$$$#$",	//3067
    "startServiceByName",	//3068
    "startServiceByName$",	//3069
    "startServiceByName$$",	//3070
    "startServiceByName$$$",	//3071
    "startServiceByName$$$$",	//3072
    "startServiceByName$$$$$",	//3073
    "startServiceByName$$$$$#",	//3074
    "startServiceByName$$$$$#$",	//3075
    "startServiceByName$?",	//3076
    "startServiceByName$?$",	//3077
    "startServiceByName$?$$",	//3078
    "startServiceByName$?$$$",	//3079
    "startServiceByName$?$$$#",	//3080
    "startServiceByName$?$$$#$",	//3081
    "start_service_by_desktop_name",	//3082
    "start_service_by_desktop_name$??$$$$$",	//3083
    "start_service_by_desktop_path",	//3084
    "start_service_by_desktop_path$??$$$$$",	//3085
    "start_service_by_name",	//3086
    "start_service_by_name$??$$$$$",	//3087
    "state",	//3088
    "stateChanged",	//3089
    "stateChanged$",	//3090
    "staticInterfaceName",	//3091
    "staticMetaObject",	//3092
    "staticQString",	//3093
    "staticQString$",	//3094
    "status",	//3095
    "statusChanged",	//3096
    "statusChanged$",	//3097
    "stop",	//3098
    "stop$",	//3099
    "storageId",	//3100
    "storeReplacement",	//3101
    "storeReplacement$$",	//3102
    "stream",	//3103
    "stringListToVariantList",	//3104
    "stringListToVariantList?",	//3105
    "subjobs",	//3106
    "subs",	//3107
    "subs#",	//3108
    "subs#$",	//3109
    "subs#$#",	//3110
    "subs$",	//3111
    "subs$$",	//3112
    "subs$$#",	//3113
    "subs$$$",	//3114
    "subs$$$#",	//3115
    "subs$$$$",	//3116
    "subs$$$$#",	//3117
    "subs?",	//3118
    "subs?$",	//3119
    "subs?$$",	//3120
    "subs?$$#",	//3121
    "substituteUid",	//3122
    "subunitSymbol",	//3123
    "subunitsPerUnit",	//3124
    "succeeded",	//3125
    "suggest",	//3126
    "suggest$",	//3127
    "supportedBits",	//3128
    "supportedCiphers",	//3129
    "suppressGenericNames",	//3130
    "suspend",	//3131
    "suspended",	//3132
    "suspended#",	//3133
    "swapDefault",	//3134
    "sycocaType",	//3135
    "symbolList",	//3136
    "sync",	//3137
    "synchronousConnectToHost",	//3138
    "synchronousConnectToHost#",	//3139
    "synchronousConnectToHost##",	//3140
    "synchronousConnectToHost##$",	//3141
    "synchronousConnectToHost#$",	//3142
    "synchronousConnectToHost#$#",	//3143
    "synchronousConnectToHost#$$$",	//3144
    "synchronousConnectToHost#$$$$",	//3145
    "synchronousConnectToHost$$$",	//3146
    "synchronousConnectToHost$$$$",	//3147
    "synchronousConnectToHost$$$$#",	//3148
    "systemPaths",	//3149
    "systemPaths$",	//3150
    "tagUrls",	//3151
    "tagUrls$",	//3152
    "task",	//3153
    "terminal",	//3154
    "terminalOptions",	//3155
    "terminate",	//3156
    "testAttribute",	//3157
    "testAttribute$",	//3158
    "text",	//3159
    "thousandsSeparator",	//3160
    "tildeExpand",	//3161
    "tildeExpand$",	//3162
    "time",	//3163
    "timeFormat",	//3164
    "timeSpec",	//3165
    "timeStamp",	//3166
    "timeType",	//3167
    "timeZone",	//3168
    "timeZones",	//3169
    "timerEvent",	//3170
    "toClockTime",	//3171
    "toDer",	//3172
    "toEntity",	//3173
    "toEntity#",	//3174
    "toLocalFile",	//3175
    "toLocalFile$",	//3176
    "toLocalZone",	//3177
    "toMimeDataString",	//3178
    "toOffsetFromUtc",	//3179
    "toOffsetFromUtc$",	//3180
    "toString",	//3181
    "toString#",	//3182
    "toString#$",	//3183
    "toString$",	//3184
    "toTimeSpec",	//3185
    "toTimeSpec#",	//3186
    "toTime_t",	//3187
    "toTime_t#",	//3188
    "toUtc",	//3189
    "toUtc#",	//3190
    "toZone",	//3191
    "toZone#",	//3192
    "toZoneTime",	//3193
    "toZoneTime#",	//3194
    "toZoneTime#$",	//3195
    "toolTip",	//3196
    "totalAmount",	//3197
    "totalAmount#$?",	//3198
    "totalAmount$",	//3199
    "tr",	//3200
    "tr$",	//3201
    "tr$$",	//3202
    "tr$$$",	//3203
    "tr2i18n",	//3204
    "tr2i18n$",	//3205
    "tr2i18n$$",	//3206
    "trUtf8",	//3207
    "trUtf8$",	//3208
    "trUtf8$$",	//3209
    "trUtf8$$$",	//3210
    "transform",	//3211
    "transform$",	//3212
    "transition",	//3213
    "transition#",	//3214
    "transition#?",	//3215
    "transition#?$",	//3216
    "transitionIndex",	//3217
    "transitionIndex#",	//3218
    "transitionIndex#$",	//3219
    "transitionIndex#$$",	//3220
    "transitionTimes",	//3221
    "transitionTimes#",	//3222
    "transitionTimes##",	//3223
    "transitionTimes###",	//3224
    "transitions",	//3225
    "transitions#",	//3226
    "transitions##",	//3227
    "translateInternalProgramName",	//3228
    "translateQt",	//3229
    "translateQt$$$",	//3230
    "translateRaw",	//3231
    "translateRaw$$$",	//3232
    "translateRaw$$$$",	//3233
    "translateRaw$$$$$",	//3234
    "translateRaw$$$$$$",	//3235
    "translateRawFrom",	//3236
    "translateRawFrom$$$$",	//3237
    "translateRawFrom$$$$$",	//3238
    "translateRawFrom$$$$$$",	//3239
    "translateRawFrom$$$$$$$",	//3240
    "translators",	//3241
    "tryExec",	//3242
    "type",	//3243
    "uiDelegate",	//3244
    "uid",	//3245
    "umask",	//3246
    "unambiguousSymbol",	//3247
    "uncompress",	//3248
    "unlink",	//3249
    "unload",	//3250
    "unloadLibrary",	//3251
    "unloadLibrary$",	//3252
    "unlock",	//3253
    "unregisterJob",	//3254
    "unregisterJob#",	//3255
    "unsetCustomAuthorText",	//3256
    "unsetEnv",	//3257
    "unsetEnv$",	//3258
    "untranslatedGenericName",	//3259
    "upUrl",	//3260
    "update",	//3261
    "update#",	//3262
    "update$",	//3263
    "update$$",	//3264
    "updateBase",	//3265
    "updateBase#",	//3266
    "updateSignature",	//3267
    "url",	//3268
    "url$",	//3269
    "usage",	//3270
    "usage#",	//3271
    "usageError",	//3272
    "usageError$",	//3273
    "use12Clock",	//3274
    "useDefaults",	//3275
    "useDefaults$",	//3276
    "useTranscript",	//3277
    "useZoneParse",	//3278
    "usedBits",	//3279
    "user",	//3280
    "userNames",	//3281
    "userSpecifiedIconName",	//3282
    "username",	//3283
    "users",	//3284
    "usrReadConfig",	//3285
    "usrSetDefaults",	//3286
    "usrUseDefaults",	//3287
    "usrUseDefaults$",	//3288
    "usrWriteConfig",	//3289
    "utc",	//3290
    "utcOffset",	//3291
    "utcOffsets",	//3292
    "uudecode",	//3293
    "uudecode#",	//3294
    "uudecode##",	//3295
    "uuencode",	//3296
    "uuencode#",	//3297
    "uuencode##",	//3298
    "variantListToStringList",	//3299
    "variantListToStringList?",	//3300
    "verify",	//3301
    "verify#",	//3302
    "verify$",	//3303
    "version",	//3304
    "versionMajor",	//3305
    "versionMinor",	//3306
    "versionRelease",	//3307
    "versionString",	//3308
    "visibleName",	//3309
    "visuallyOrdered",	//3310
    "waitForBytesWritten",	//3311
    "waitForBytesWritten$",	//3312
    "waitForConnected",	//3313
    "waitForConnected$",	//3314
    "waitForDisconnected",	//3315
    "waitForDisconnected$",	//3316
    "waitForEncrypted",	//3317
    "waitForEncrypted$",	//3318
    "waitForNewConnection",	//3319
    "waitForNewConnection$",	//3320
    "waitForNewConnection$$",	//3321
    "waitForReadyRead",	//3322
    "waitForReadyRead$",	//3323
    "waitForSlave",	//3324
    "waitForSlave$",	//3325
    "warning",	//3326
    "warning#$",	//3327
    "warning#$$",	//3328
    "watcher",	//3329
    "watcher$",	//3330
    "webAddress",	//3331
    "website",	//3332
    "weekDayName",	//3333
    "weekDayName#",	//3334
    "weekDayName#$",	//3335
    "weekDayName$",	//3336
    "weekDayName$$",	//3337
    "weekDayOfPray",	//3338
    "weekNumber",	//3339
    "weekNumber#",	//3340
    "weekNumber#$",	//3341
    "weekNumberString",	//3342
    "weekNumberString#",	//3343
    "weekNumberString#$",	//3344
    "weekStartDay",	//3345
    "weeksInYear",	//3346
    "weeksInYear#",	//3347
    "weeksInYear$",	//3348
    "weeksInYearString",	//3349
    "weeksInYearString#",	//3350
    "weeksInYearString#$",	//3351
    "whatsThis",	//3352
    "windowRegistered",	//3353
    "windowRegistered?",	//3354
    "windowUnregistered",	//3355
    "windowUnregistered?",	//3356
    "workingWeekEndDay",	//3357
    "workingWeekStartDay",	//3358
    "writeConfig",	//3359
    "writeConfig#",	//3360
    "writeData",	//3361
    "writeData$?",	//3362
    "writeEntry",	//3363
    "writeEntry$#",	//3364
    "writeEntry$#$",	//3365
    "writeEntry$$",	//3366
    "writeEntry$$$",	//3367
    "writeEntry$?",	//3368
    "writeEntry$?$",	//3369
    "writeHeader",	//3370
    "writeHeader#",	//3371
    "writePathEntry",	//3372
    "writePathEntry$$",	//3373
    "writePathEntry$$$",	//3374
    "writePathEntry$?",	//3375
    "writePathEntry$?$",	//3376
    "writeXdgListEntry",	//3377
    "writeXdgListEntry$?",	//3378
    "writeXdgListEntry$?$",	//3379
    "year",	//3380
    "year#",	//3381
    "yearInEra",	//3382
    "yearInEra#",	//3383
    "yearInEraString",	//3384
    "yearInEraString#",	//3385
    "yearInEraString#$",	//3386
    "yearString",	//3387
    "yearString#",	//3388
    "yearString#$",	//3389
    "yearStringToInteger",	//3390
    "yearStringToInteger$$",	//3391
    "yearsDifference",	//3392
    "yearsDifference##",	//3393
    "zone",	//3394
    "zone$",	//3395
    "zoneinfoDir",	//3396
    "zones",	//3397
    "~Action",	//3398
    "~ActionReply",	//3399
    "~ActionWatcher",	//3400
    "~BackgroundChecker",	//3401
    "~Choice",	//3402
    "~Choice2",	//3403
    "~ExtraField",	//3404
    "~ItemBool",	//3405
    "~ItemDateTime",	//3406
    "~ItemDouble",	//3407
    "~ItemEnum",	//3408
    "~ItemInt",	//3409
    "~ItemIntList",	//3410
    "~ItemLongLong",	//3411
    "~ItemPassword",	//3412
    "~ItemPath",	//3413
    "~ItemPathList",	//3414
    "~ItemPoint",	//3415
    "~ItemProperty",	//3416
    "~ItemRect",	//3417
    "~ItemSize",	//3418
    "~ItemString",	//3419
    "~ItemStringList",	//3420
    "~ItemUInt",	//3421
    "~ItemULongLong",	//3422
    "~ItemUrl",	//3423
    "~ItemUrlList",	//3424
    "~KAboutData",	//3425
    "~KAboutLicense",	//3426
    "~KAboutPerson",	//3427
    "~KAutoSaveFile",	//3428
    "~KAutostart",	//3429
    "~KCalendarSystem",	//3430
    "~KCharMacroExpander",	//3431
    "~KCharsets",	//3432
    "~KCmdLineArgs",	//3433
    "~KCmdLineOptions",	//3434
    "~KComponentData",	//3435
    "~KCompositeJob",	//3436
    "~KConfig",	//3437
    "~KConfigBase",	//3438
    "~KConfigGroup",	//3439
    "~KConfigSkeletonItem",	//3440
    "~KCoreConfigSkeleton",	//3441
    "~KCurrencyCode",	//3442
    "~KDEDModule",	//3443
    "~KDEPluginVerificationData",	//3444
    "~KDateTime",	//3445
    "~KDebug",	//3446
    "~KDebugTag",	//3447
    "~KDesktopFile",	//3448
    "~KEncodingDetector",	//3449
    "~KEncodingProber",	//3450
    "~KFilterBase",	//3451
    "~KFilterDev",	//3452
    "~KJob",	//3453
    "~KJobTrackerInterface",	//3454
    "~KJobUiDelegate",	//3455
    "~KLibrary",	//3456
    "~KLocalSocket",	//3457
    "~KLocalSocketServer",	//3458
    "~KLocale",	//3459
    "~KLocalizedString",	//3460
    "~KLockFile",	//3461
    "~KMD5",	//3462
    "~KMacroExpanderBase",	//3463
    "~KMessageHandler",	//3464
    "~KMimeType",	//3465
    "~KMimeTypeTrader",	//3466
    "~KPluginFactory",	//3467
    "~KPluginInfo",	//3468
    "~KPluginLoader",	//3469
    "~KProcess",	//3470
    "~KProtocolInfo",	//3471
    "~KRandomSequence",	//3472
    "~KSaveFile",	//3473
    "~KService",	//3474
    "~KServiceAction",	//3475
    "~KServiceGroup",	//3476
    "~KServiceType",	//3477
    "~KServiceTypeTrader",	//3478
    "~KSharedConfig",	//3479
    "~KSslCipher",	//3480
    "~KSslError",	//3481
    "~KSslErrorUiData",	//3482
    "~KSslKey",	//3483
    "~KStandardDirs",	//3484
    "~KSycoca",	//3485
    "~KSycocaEntry",	//3486
    "~KSystemTimeZone",	//3487
    "~KSystemTimeZoneBackend",	//3488
    "~KSystemTimeZoneSource",	//3489
    "~KSystemTimeZones",	//3490
    "~KTcpSocket",	//3491
    "~KTempDir",	//3492
    "~KTemporaryFile",	//3493
    "~KTimeZone",	//3494
    "~KTimeZoneBackend",	//3495
    "~KTimeZoneData",	//3496
    "~KTimeZoneSource",	//3497
    "~KTimeZones",	//3498
    "~KToolInvocation",	//3499
    "~KTzfileTimeZone",	//3500
    "~KTzfileTimeZoneBackend",	//3501
    "~KTzfileTimeZoneSource",	//3502
    "~KUrl",	//3503
    "~KUser",	//3504
    "~KUserGroup",	//3505
    "~KWordMacroExpander",	//3506
    "~LeapSeconds",	//3507
    "~OrgKdeKLauncherInterface",	//3508
    "~Phase",	//3509
    "~Spec",	//3510
    "~Speller",	//3511
    "~Transition",	//3512
    "~kndbgstream",	//3513
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 258, 1, 10, Smoke::mf_ctor, 4, 1},	//1 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 258, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 2},	//2 KAboutData::KAboutData(const KAboutData&)
    {1, 2211, 12, 1, 0, 3, 3},	//3 KAboutData::operator=(const KAboutData&)
    {1, 868, 14, 4, 0, 3, 4},	//4 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 884, 14, 4, 0, 3, 5},	//5 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 2960, 19, 2, 0, 3, 6},	//6 KAboutData::setTranslator(const KLocalizedString&, const KLocalizedString&)
    {1, 2731, 22, 1, 0, 3, 7},	//7 KAboutData::setLicenseText(const KLocalizedString&)
    {1, 977, 22, 1, 0, 3, 8},	//8 KAboutData::addLicenseText(const KLocalizedString&)
    {1, 2733, 24, 1, 0, 3, 9},	//9 KAboutData::setLicenseTextFile(const QString&)
    {1, 979, 24, 1, 0, 3, 10},	//10 KAboutData::addLicenseTextFile(const QString&)
    {1, 2557, 26, 1, 0, 3, 11},	//11 KAboutData::setAppName(const QByteArray&)
    {1, 2893, 22, 1, 0, 3, 12},	//12 KAboutData::setProgramName(const KLocalizedString&)
    {1, 2889, 24, 1, 0, 3, 13},	//13 KAboutData::setProgramIconName(const QString&)
    {1, 2891, 28, 1, 0, 3, 14},	//14 KAboutData::setProgramLogo(const QVariant&)
    {1, 2970, 26, 1, 0, 3, 15},	//15 KAboutData::setVersion(const QByteArray&)
    {1, 2919, 22, 1, 0, 3, 16},	//16 KAboutData::setShortDescription(const KLocalizedString&)
    {1, 2586, 26, 1, 0, 3, 17},	//17 KAboutData::setCatalogName(const QByteArray&)
    {1, 2729, 30, 1, 0, 3, 18},	//18 KAboutData::setLicense(KAboutData::LicenseKey)
    {1, 975, 30, 1, 0, 3, 19},	//19 KAboutData::addLicense(KAboutData::LicenseKey)
    {1, 2600, 22, 1, 0, 3, 20},	//20 KAboutData::setCopyrightStatement(const KLocalizedString&)
    {1, 2847, 22, 1, 0, 3, 21},	//21 KAboutData::setOtherText(const KLocalizedString&)
    {1, 2703, 26, 1, 0, 3, 22},	//22 KAboutData::setHomepage(const QByteArray&)
    {1, 2578, 26, 1, 0, 3, 23},	//23 KAboutData::setBugAddress(const QByteArray&)
    {1, 2843, 26, 1, 0, 3, 24},	//24 KAboutData::setOrganizationDomain(const QByteArray&)
    {1, 2883, 26, 1, 0, 3, 25},	//25 KAboutData::setProductName(const QByteArray&)
    {1, 1052, 0, 0, Smoke::mf_const, 406, 26},	//26 KAboutData::appName() const
    {1, 2310, 0, 0, Smoke::mf_const, 406, 27},	//27 KAboutData::productName() const
    {1, 2314, 0, 0, Smoke::mf_const, 406, 28},	//28 KAboutData::programName() const
    {1, 2242, 0, 0, Smoke::mf_const, 406, 29},	//29 KAboutData::organizationDomain() const
    {1, 1768, 0, 0, Smoke::mf_const, 719, 30},	//30 KAboutData::internalProgramName() const
    {1, 3228, 0, 0, Smoke::mf_const, 0, 31},	//31 KAboutData::translateInternalProgramName() const
    {1, 2312, 0, 0, Smoke::mf_const, 406, 32},	//32 KAboutData::programIconName() const
    {1, 2313, 0, 0, Smoke::mf_const, 430, 33},	//33 KAboutData::programLogo() const
    {1, 3304, 0, 0, Smoke::mf_const, 406, 34},	//34 KAboutData::version() const
    {1, 1769, 0, 0, Smoke::mf_const, 719, 35},	//35 KAboutData::internalVersion() const
    {1, 2990, 0, 0, Smoke::mf_const, 406, 36},	//36 KAboutData::shortDescription() const
    {1, 1128, 0, 0, Smoke::mf_const, 406, 37},	//37 KAboutData::catalogName() const
    {1, 1726, 0, 0, Smoke::mf_const, 406, 38},	//38 KAboutData::homepage() const
    {1, 1104, 0, 0, Smoke::mf_const, 406, 39},	//39 KAboutData::bugAddress() const
    {1, 1767, 0, 0, Smoke::mf_const, 719, 40},	//40 KAboutData::internalBugAddress() const
    {1, 1072, 0, 0, Smoke::mf_const, 353, 41},	//41 KAboutData::authors() const
    {1, 1241, 0, 0, Smoke::mf_const, 353, 42},	//42 KAboutData::credits() const
    {1, 3241, 0, 0, Smoke::mf_const, 353, 43},	//43 KAboutData::translators() const
    {1, 848, 0, 0, Smoke::mf_static, 406, 44},	//44 KAboutData::aboutTranslationTeam()
    {1, 2243, 0, 0, Smoke::mf_const, 406, 45},	//45 KAboutData::otherText() const
    {1, 1984, 0, 0, Smoke::mf_const, 406, 46},	//46 KAboutData::license() const
    {1, 1985, 32, 1, Smoke::mf_const, 406, 47},	//47 KAboutData::licenseName(KAboutData::NameFormat) const
    {1, 1987, 0, 0, Smoke::mf_const, 352, 48},	//48 KAboutData::licenses() const
    {1, 1220, 0, 0, Smoke::mf_const, 406, 49},	//49 KAboutData::copyrightStatement() const
    {1, 1262, 0, 0, Smoke::mf_const, 406, 50},	//50 KAboutData::customAuthorPlainText() const
    {1, 1263, 0, 0, Smoke::mf_const, 406, 51},	//51 KAboutData::customAuthorRichText() const
    {1, 1264, 0, 0, Smoke::mf_const, 538, 52},	//52 KAboutData::customAuthorTextEnabled() const
    {1, 2610, 19, 2, 0, 3, 53},	//53 KAboutData::setCustomAuthorText(const KLocalizedString&, const KLocalizedString&)
    {1, 3256, 0, 0, 0, 3, 54},	//54 KAboutData::unsetCustomAuthorText()
    {1, 258, 34, 4, Smoke::mf_ctor, 4, 55},	//55 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&)
    {1, 258, 39, 5, Smoke::mf_ctor, 4, 56},	//56 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&)
    {1, 258, 45, 6, Smoke::mf_ctor, 4, 57},	//57 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey)
    {1, 258, 52, 7, Smoke::mf_ctor, 4, 58},	//58 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&)
    {1, 258, 60, 8, Smoke::mf_ctor, 4, 59},	//59 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&)
    {1, 258, 69, 9, Smoke::mf_ctor, 4, 60},	//60 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 868, 22, 1, 0, 3, 61},	//61 KAboutData::addAuthor(const KLocalizedString&)
    {1, 868, 19, 2, 0, 3, 62},	//62 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&)
    {1, 868, 79, 3, 0, 3, 63},	//63 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 884, 22, 1, 0, 3, 64},	//64 KAboutData::addCredit(const KLocalizedString&)
    {1, 884, 19, 2, 0, 3, 65},	//65 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&)
    {1, 884, 79, 3, 0, 3, 66},	//66 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 67},	//67 KAboutData::License_Custom (enum)
    {1, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 68},	//68 KAboutData::License_File (enum)
    {1, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 69},	//69 KAboutData::License_Unknown (enum)
    {1, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 70},	//70 KAboutData::License_GPL (enum)
    {1, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 71},	//71 KAboutData::License_GPL_V2 (enum)
    {1, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 72},	//72 KAboutData::License_LGPL (enum)
    {1, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 73},	//73 KAboutData::License_LGPL_V2 (enum)
    {1, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 74},	//74 KAboutData::License_BSD (enum)
    {1, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 75},	//75 KAboutData::License_Artistic (enum)
    {1, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 76},	//76 KAboutData::License_QPL (enum)
    {1, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//77 KAboutData::License_QPL_V1_0 (enum)
    {1, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//78 KAboutData::License_GPL_V3 (enum)
    {1, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//79 KAboutData::License_LGPL_V3 (enum)
    {1, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 80},	//80 KAboutData::ShortName (enum)
    {1, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 81},	//81 KAboutData::FullName (enum)
    {1, 3425, 0, 0, Smoke::mf_dtor, 0, 82 },	//82 KAboutData::~KAboutData()
    {2, 267, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 1},	//83 KAboutLicense::KAboutLicense(const KAboutLicense&)
    {2, 2211, 83, 1, 0, 8, 2},	//84 KAboutLicense::operator=(const KAboutLicense&)
    {2, 3159, 0, 0, Smoke::mf_const, 406, 3},	//85 KAboutLicense::text() const
    {2, 2115, 32, 1, Smoke::mf_const, 406, 4},	//86 KAboutLicense::name(KAboutData::NameFormat) const
    {2, 1943, 0, 0, Smoke::mf_const, 5, 5},	//87 KAboutLicense::key() const
    {2, 1105, 24, 1, Smoke::mf_static, 7, 6},	//88 KAboutLicense::byKeyword(const QString&)
    {2, 3426, 0, 0, Smoke::mf_dtor, 0, 7 },	//89 KAboutLicense::~KAboutLicense()
    {3, 269, 14, 4, Smoke::mf_ctor, 11, 1},	//90 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {3, 269, 85, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 11, 2},	//91 KAboutPerson::KAboutPerson(const KAboutPerson&)
    {3, 2211, 85, 1, 0, 10, 3},	//92 KAboutPerson::operator=(const KAboutPerson&)
    {3, 2115, 0, 0, Smoke::mf_const, 406, 4},	//93 KAboutPerson::name() const
    {3, 3153, 0, 0, Smoke::mf_const, 406, 5},	//94 KAboutPerson::task() const
    {3, 1412, 0, 0, Smoke::mf_const, 406, 6},	//95 KAboutPerson::emailAddress() const
    {3, 3331, 0, 0, Smoke::mf_const, 406, 7},	//96 KAboutPerson::webAddress() const
    {3, 269, 22, 1, Smoke::mf_ctor, 11, 8},	//97 KAboutPerson::KAboutPerson(const KLocalizedString&)
    {3, 269, 19, 2, Smoke::mf_ctor, 11, 9},	//98 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&)
    {3, 269, 79, 3, Smoke::mf_ctor, 11, 10},	//99 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {3, 3427, 0, 0, Smoke::mf_dtor, 0, 11 },	//100 KAboutPerson::~KAboutPerson()
    {4, 4, 0, 0, Smoke::mf_ctor, 13, 1},	//101 KAuth::Action::Action()
    {4, 4, 87, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 2},	//102 KAuth::Action::Action(const KAuth::Action&)
    {4, 4, 24, 1, Smoke::mf_ctor, 13, 3},	//103 KAuth::Action::Action(const QString&)
    {4, 4, 89, 2, Smoke::mf_ctor, 13, 4},	//104 KAuth::Action::Action(const QString&, const QString&)
    {4, 2211, 87, 1, 0, 12, 5},	//105 KAuth::Action::operator=(const KAuth::Action&)
    {4, 2214, 87, 1, Smoke::mf_const, 538, 6},	//106 KAuth::Action::operator==(const KAuth::Action&) const
    {4, 2171, 87, 1, Smoke::mf_const, 538, 7},	//107 KAuth::Action::operator!=(const KAuth::Action&) const
    {4, 2115, 0, 0, Smoke::mf_const, 406, 8},	//108 KAuth::Action::name() const
    {4, 2833, 24, 1, 0, 0, 9},	//109 KAuth::Action::setName(const QString&)
    {4, 2651, 24, 1, 0, 0, 10},	//110 KAuth::Action::setDetails(const QString&)
    {4, 1376, 0, 0, Smoke::mf_const, 406, 11},	//111 KAuth::Action::details() const
    {4, 1890, 0, 0, Smoke::mf_const, 538, 12},	//112 KAuth::Action::isValid() const
    {4, 1722, 0, 0, Smoke::mf_const, 406, 13},	//113 KAuth::Action::helperID() const
    {4, 2701, 24, 1, 0, 0, 14},	//114 KAuth::Action::setHelperID(const QString&)
    {4, 1694, 0, 0, Smoke::mf_const, 538, 15},	//115 KAuth::Action::hasHelper() const
    {4, 3329, 0, 0, 0, 20, 16},	//116 KAuth::Action::watcher()
    {4, 2559, 92, 1, 0, 0, 17},	//117 KAuth::Action::setArguments(const QMap<QString,QVariant>&)
    {4, 1058, 0, 0, Smoke::mf_const, 387, 18},	//118 KAuth::Action::arguments() const
    {4, 866, 94, 2, 0, 0, 19},	//119 KAuth::Action::addArgument(const QString&, const QVariant&)
    {4, 1062, 0, 0, Smoke::mf_const, 14, 20},	//120 KAuth::Action::authorize() const
    {4, 1410, 0, 0, Smoke::mf_const, 14, 21},	//121 KAuth::Action::earlyAuthorize() const
    {4, 3095, 0, 0, Smoke::mf_const, 14, 22},	//122 KAuth::Action::status() const
    {4, 1478, 0, 0, Smoke::mf_const, 15, 23},	//123 KAuth::Action::execute() const
    {4, 1478, 24, 1, Smoke::mf_const, 15, 24},	//124 KAuth::Action::execute(const QString&) const
    {4, 2680, 97, 1, 0, 0, 25},	//125 KAuth::Action::setExecutesAsync(bool)
    {4, 1486, 0, 0, Smoke::mf_const, 538, 26},	//126 KAuth::Action::executesAsync() const
    {4, 1484, 99, 3, Smoke::mf_static, 538, 27},	//127 KAuth::Action::executeActions(const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&)
    {4, 3098, 0, 0, 0, 0, 28},	//128 KAuth::Action::stop()
    {4, 3098, 24, 1, 0, 0, 29},	//129 KAuth::Action::stop(const QString&)
    {4, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 30},	//130 KAuth::Action::Denied (enum)
    {4, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 31},	//131 KAuth::Action::Error (enum)
    {4, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 32},	//132 KAuth::Action::Invalid (enum)
    {4, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 33},	//133 KAuth::Action::Authorized (enum)
    {4, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 34},	//134 KAuth::Action::AuthRequired (enum)
    {4, 810, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 35},	//135 KAuth::Action::UserCancelled (enum)
    {4, 3398, 0, 0, Smoke::mf_dtor, 0, 36 },	//136 KAuth::Action::~Action()
    {5, 8, 0, 0, Smoke::mf_ctor, 17, 1},	//137 KAuth::ActionReply::ActionReply()
    {5, 8, 103, 1, Smoke::mf_ctor, 17, 2},	//138 KAuth::ActionReply::ActionReply(KAuth::ActionReply::Type)
    {5, 8, 105, 1, Smoke::mf_ctor, 17, 3},	//139 KAuth::ActionReply::ActionReply(int)
    {5, 8, 107, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 17, 4},	//140 KAuth::ActionReply::ActionReply(const KAuth::ActionReply&)
    {5, 2614, 92, 1, 0, 0, 5},	//141 KAuth::ActionReply::setData(const QMap<QString,QVariant>&)
    {5, 1267, 0, 0, Smoke::mf_const, 387, 6},	//142 KAuth::ActionReply::data() const
    {5, 891, 94, 2, 0, 0, 7},	//143 KAuth::ActionReply::addData(const QString&, const QVariant&)
    {5, 3243, 0, 0, Smoke::mf_const, 19, 8},	//144 KAuth::ActionReply::type() const
    {5, 3125, 0, 0, Smoke::mf_const, 538, 9},	//145 KAuth::ActionReply::succeeded() const
    {5, 1514, 0, 0, Smoke::mf_const, 538, 10},	//146 KAuth::ActionReply::failed() const
    {5, 1462, 0, 0, Smoke::mf_const, 734, 11},	//147 KAuth::ActionReply::errorCode() const
    {5, 2670, 105, 1, 0, 0, 12},	//148 KAuth::ActionReply::setErrorCode(int)
    {5, 1463, 0, 0, Smoke::mf_const, 406, 13},	//149 KAuth::ActionReply::errorDescription() const
    {5, 2672, 24, 1, 0, 0, 14},	//150 KAuth::ActionReply::setErrorDescription(const QString&)
    {5, 2523, 0, 0, Smoke::mf_const, 264, 15},	//151 KAuth::ActionReply::serialized() const
    {5, 1370, 26, 1, Smoke::mf_static, 15, 16},	//152 KAuth::ActionReply::deserialize(const QByteArray&)
    {5, 2211, 107, 1, 0, 16, 17},	//153 KAuth::ActionReply::operator=(const KAuth::ActionReply&)
    {5, 2214, 107, 1, Smoke::mf_const, 538, 18},	//154 KAuth::ActionReply::operator==(const KAuth::ActionReply&) const
    {5, 2171, 107, 1, Smoke::mf_const, 538, 19},	//155 KAuth::ActionReply::operator!=(const KAuth::ActionReply&) const
    {5, 751, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 549, 20},	//156 KAuth::ActionReply::SuccessReply() const
    {5, 143, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 549, 21},	//157 KAuth::ActionReply::HelperErrorReply() const
    {5, 626, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 549, 22},	//158 KAuth::ActionReply::NoResponderReply() const
    {5, 629, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 549, 23},	//159 KAuth::ActionReply::NoSuchActionReply() const
    {5, 163, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 549, 24},	//160 KAuth::ActionReply::InvalidActionReply() const
    {5, 30, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 549, 25},	//161 KAuth::ActionReply::AuthorizationDeniedReply() const
    {5, 811, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 549, 26},	//162 KAuth::ActionReply::UserCancelledReply() const
    {5, 141, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 549, 27},	//163 KAuth::ActionReply::HelperBusyReply() const
    {5, 78, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 549, 28},	//164 KAuth::ActionReply::DBusErrorReply() const
    {5, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 29},	//165 KAuth::ActionReply::KAuthError (enum)
    {5, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 30},	//166 KAuth::ActionReply::HelperError (enum)
    {5, 750, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 31},	//167 KAuth::ActionReply::Success (enum)
    {5, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 32},	//168 KAuth::ActionReply::NoError (enum)
    {5, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 33},	//169 KAuth::ActionReply::NoResponder (enum)
    {5, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 34},	//170 KAuth::ActionReply::NoSuchAction (enum)
    {5, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 35},	//171 KAuth::ActionReply::InvalidAction (enum)
    {5, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 36},	//172 KAuth::ActionReply::AuthorizationDenied (enum)
    {5, 810, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 37},	//173 KAuth::ActionReply::UserCancelled (enum)
    {5, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 38},	//174 KAuth::ActionReply::HelperBusy (enum)
    {5, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 39},	//175 KAuth::ActionReply::DBusError (enum)
    {5, 3399, 0, 0, Smoke::mf_dtor, 0, 40 },	//176 KAuth::ActionReply::~ActionReply()
    {6, 2074, 0, 0, Smoke::mf_const, 687, 1},	//177 KAuth::ActionWatcher::metaObject() const
    {6, 2345, 109, 1, 0, 757, 2},	//178 KAuth::ActionWatcher::qt_metacast(const char*)
    {6, 3200, 111, 2, Smoke::mf_static, 406, 3},	//179 KAuth::ActionWatcher::tr(const char*, const char*)
    {6, 3207, 111, 2, Smoke::mf_static, 406, 4},	//180 KAuth::ActionWatcher::trUtf8(const char*, const char*)
    {6, 3200, 114, 3, Smoke::mf_static, 406, 5},	//181 KAuth::ActionWatcher::tr(const char*, const char*, int)
    {6, 3207, 114, 3, Smoke::mf_static, 406, 6},	//182 KAuth::ActionWatcher::trUtf8(const char*, const char*, int)
    {6, 2343, 118, 3, 0, 734, 7},	//183 KAuth::ActionWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {6, 3329, 24, 1, Smoke::mf_static, 20, 8},	//184 KAuth::ActionWatcher::watcher(const QString&)
    {6, 854, 0, 0, Smoke::mf_const, 406, 9},	//185 KAuth::ActionWatcher::action() const
    {6, 859, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//186 KAuth::ActionWatcher::actionStarted()
    {6, 857, 107, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//187 KAuth::ActionWatcher::actionPerformed(const KAuth::ActionReply&)
    {6, 2315, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//188 KAuth::ActionWatcher::progressStep(int)
    {6, 2315, 122, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//189 KAuth::ActionWatcher::progressStep(const QVariantMap&)
    {6, 3096, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//190 KAuth::ActionWatcher::statusChanged(int)
    {6, 3200, 109, 1, Smoke::mf_static, 406, 15},	//191 KAuth::ActionWatcher::tr(const char*)
    {6, 3207, 109, 1, Smoke::mf_static, 406, 16},	//192 KAuth::ActionWatcher::trUtf8(const char*)
    {6, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 17},	//193 KAuth::ActionWatcher::staticMetaObject() const
    {6, 3400, 0, 0, Smoke::mf_dtor, 0, 18 },	//194 KAuth::ActionWatcher::~ActionWatcher()
    {7, 1070, 124, 3, Smoke::mf_static, 538, 1},	//195 KAuthorized::authorizeUrlAction(const QString&, const KUrl&, const KUrl&)
    {7, 1062, 24, 1, Smoke::mf_static, 538, 2},	//196 KAuthorized::authorize(const QString&)
    {7, 1066, 128, 1, Smoke::mf_static, 411, 3},	//197 KAuthorized::authorizeControlModules(const QStringList&)
    {7, 1068, 24, 1, Smoke::mf_static, 538, 4},	//198 KAuthorized::authorizeKAction(const QString&)
    {7, 1047, 124, 3, Smoke::mf_static, 0, 5},	//199 KAuthorized::allowUrlAction(const QString&, const KUrl&, const KUrl&)
    {7, 1064, 24, 1, Smoke::mf_static, 538, 6},	//200 KAuthorized::authorizeControlModule(const QString&)
    {8, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//201 KAutoSaveFile::metaObject() const
    {8, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//202 KAutoSaveFile::qt_metacast(const char*)
    {8, 3200, 111, 2, Smoke::mf_static, 406, 3},	//203 KAutoSaveFile::tr(const char*, const char*)
    {8, 3207, 111, 2, Smoke::mf_static, 406, 4},	//204 KAutoSaveFile::trUtf8(const char*, const char*)
    {8, 3200, 114, 3, Smoke::mf_static, 406, 5},	//205 KAutoSaveFile::tr(const char*, const char*, int)
    {8, 3207, 114, 3, Smoke::mf_static, 406, 6},	//206 KAutoSaveFile::trUtf8(const char*, const char*, int)
    {8, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//207 KAutoSaveFile::qt_metacall(QMetaObject::Call, int, void**)
    {8, 275, 130, 2, Smoke::mf_ctor, 21, 8},	//208 KAutoSaveFile::KAutoSaveFile(const KUrl&, QObject*)
    {8, 275, 133, 1, Smoke::mf_ctor, 21, 9},	//209 KAutoSaveFile::KAutoSaveFile(QObject*)
    {8, 2061, 0, 0, Smoke::mf_const, 236, 10},	//210 KAutoSaveFile::managedFile() const
    {8, 2803, 135, 1, 0, 0, 11},	//211 KAutoSaveFile::setManagedFile(const KUrl&)
    {8, 2455, 0, 0, Smoke::mf_virtual, 0, 12},	//212 KAutoSaveFile::releaseLock()
    {8, 2158, 137, 1, Smoke::mf_virtual, 538, 13},	//213 KAutoSaveFile::open(QFlags<QIODevice::OpenModeFlag>)
    {8, 3027, 139, 2, Smoke::mf_static, 355, 14},	//214 KAutoSaveFile::staleFiles(const KUrl&, const QString&)
    {8, 1039, 24, 1, Smoke::mf_static, 355, 15},	//215 KAutoSaveFile::allStaleFiles(const QString&)
    {8, 3200, 109, 1, Smoke::mf_static, 406, 16},	//216 KAutoSaveFile::tr(const char*)
    {8, 3207, 109, 1, Smoke::mf_static, 406, 17},	//217 KAutoSaveFile::trUtf8(const char*)
    {8, 275, 135, 1, Smoke::mf_ctor, 21, 18},	//218 KAutoSaveFile::KAutoSaveFile(const KUrl&)
    {8, 275, 0, 0, Smoke::mf_ctor, 21, 19},	//219 KAutoSaveFile::KAutoSaveFile()
    {8, 3027, 135, 1, Smoke::mf_static, 355, 20},	//220 KAutoSaveFile::staleFiles(const KUrl&)
    {8, 1039, 0, 0, Smoke::mf_static, 355, 21},	//221 KAutoSaveFile::allStaleFiles()
    {8, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 22},	//222 KAutoSaveFile::staticMetaObject() const
    {8, 3428, 0, 0, Smoke::mf_dtor, 0, 23 },	//223 KAutoSaveFile::~KAutoSaveFile()
    {9, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//224 KAutostart::metaObject() const
    {9, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//225 KAutostart::qt_metacast(const char*)
    {9, 3200, 111, 2, Smoke::mf_static, 406, 3},	//226 KAutostart::tr(const char*, const char*)
    {9, 3207, 111, 2, Smoke::mf_static, 406, 4},	//227 KAutostart::trUtf8(const char*, const char*)
    {9, 3200, 114, 3, Smoke::mf_static, 406, 5},	//228 KAutostart::tr(const char*, const char*, int)
    {9, 3207, 114, 3, Smoke::mf_static, 406, 6},	//229 KAutostart::trUtf8(const char*, const char*, int)
    {9, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//230 KAutostart::qt_metacall(QMetaObject::Call, int, void**)
    {9, 278, 142, 2, Smoke::mf_ctor, 22, 8},	//231 KAutostart::KAutostart(const QString&, QObject*)
    {9, 2574, 97, 1, 0, 0, 9},	//232 KAutostart::setAutostarts(bool)
    {9, 1080, 145, 2, Smoke::mf_const, 538, 10},	//233 KAutostart::autostarts(const QString&, QFlags<KAutostart::Condition>) const
    {9, 1173, 0, 0, Smoke::mf_const, 406, 11},	//234 KAutostart::command() const
    {9, 2590, 24, 1, 0, 0, 12},	//235 KAutostart::setCommand(const QString&)
    {9, 3309, 0, 0, Smoke::mf_const, 406, 13},	//236 KAutostart::visibleName() const
    {9, 2972, 24, 1, 0, 0, 14},	//237 KAutostart::setVisibleName(const QString&)
    {9, 1876, 24, 1, Smoke::mf_static, 538, 15},	//238 KAutostart::isServiceRegistered(const QString&)
    {9, 1174, 0, 0, Smoke::mf_const, 406, 16},	//239 KAutostart::commandToCheck() const
    {9, 2592, 24, 1, 0, 0, 17},	//240 KAutostart::setCommandToCheck(const QString&)
    {9, 3039, 0, 0, Smoke::mf_const, 24, 18},	//241 KAutostart::startPhase() const
    {9, 2934, 148, 1, 0, 0, 19},	//242 KAutostart::setStartPhase(KAutostart::StartPhase)
    {9, 1049, 0, 0, Smoke::mf_const, 411, 20},	//243 KAutostart::allowedEnvironments() const
    {9, 2555, 128, 1, 0, 0, 21},	//244 KAutostart::setAllowedEnvironments(const QStringList&)
    {9, 1006, 24, 1, 0, 0, 22},	//245 KAutostart::addToAllowedEnvironments(const QString&)
    {9, 2465, 24, 1, 0, 0, 23},	//246 KAutostart::removeFromAllowedEnvironments(const QString&)
    {9, 1472, 0, 0, Smoke::mf_const, 411, 24},	//247 KAutostart::excludedEnvironments() const
    {9, 2678, 128, 1, 0, 0, 25},	//248 KAutostart::setExcludedEnvironments(const QStringList&)
    {9, 1008, 24, 1, 0, 0, 26},	//249 KAutostart::addToExcludedEnvironments(const QString&)
    {9, 2467, 24, 1, 0, 0, 27},	//250 KAutostart::removeFromExcludedEnvironments(const QString&)
    {9, 3032, 0, 0, Smoke::mf_const, 406, 28},	//251 KAutostart::startAfter() const
    {9, 1141, 24, 1, Smoke::mf_const, 538, 29},	//252 KAutostart::checkAllowedEnvironment(const QString&) const
    {9, 3200, 109, 1, Smoke::mf_static, 406, 30},	//253 KAutostart::tr(const char*)
    {9, 3207, 109, 1, Smoke::mf_static, 406, 31},	//254 KAutostart::trUtf8(const char*)
    {9, 278, 0, 0, Smoke::mf_ctor, 22, 32},	//255 KAutostart::KAutostart()
    {9, 278, 24, 1, Smoke::mf_ctor, 22, 33},	//256 KAutostart::KAutostart(const QString&)
    {9, 1080, 0, 0, Smoke::mf_const, 538, 34},	//257 KAutostart::autostarts() const
    {9, 1080, 24, 1, Smoke::mf_const, 538, 35},	//258 KAutostart::autostarts(const QString&) const
    {9, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 36},	//259 KAutostart::staticMetaObject() const
    {9, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 37},	//260 KAutostart::NoConditions (enum)
    {9, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 38},	//261 KAutostart::CheckCommand (enum)
    {9, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 39},	//262 KAutostart::CheckCondition (enum)
    {9, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 40},	//263 KAutostart::CheckAll (enum)
    {9, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 41},	//264 KAutostart::BaseDesktop (enum)
    {9, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 42},	//265 KAutostart::DesktopServices (enum)
    {9, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 43},	//266 KAutostart::Applications (enum)
    {9, 3429, 0, 0, Smoke::mf_dtor, 0, 44 },	//267 KAutostart::~KAutostart()
    {10, 1227, 150, 2, Smoke::mf_static, 25, 1},	//268 KCalendarSystem::create(const QString&, const KLocale*)
    {10, 1227, 153, 3, Smoke::mf_static, 25, 2},	//269 KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1116, 0, 0, Smoke::mf_static, 411, 3},	//270 KCalendarSystem::calendarSystems()
    {10, 1114, 24, 1, Smoke::mf_static, 406, 4},	//271 KCalendarSystem::calendarLabel(const QString&)
    {10, 281, 157, 1, Smoke::mf_ctor, 25, 5},	//272 KCalendarSystem::KCalendarSystem(const KLocale*)
    {10, 281, 159, 2, Smoke::mf_ctor, 25, 6},	//273 KCalendarSystem::KCalendarSystem(const KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1117, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 406, 7},	//274 KCalendarSystem::calendarType() const [pure virtual]
    {10, 1448, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 8},	//275 KCalendarSystem::epoch() const
    {10, 1409, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 9},	//276 KCalendarSystem::earliestValidDate() const
    {10, 1974, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 10},	//277 KCalendarSystem::latestValidDate() const
    {10, 1890, 162, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 11},	//278 KCalendarSystem::isValid(int, int, int) const [pure virtual]
    {10, 1890, 166, 2, Smoke::mf_const, 538, 12},	//279 KCalendarSystem::isValid(int, int) const
    {10, 1890, 169, 4, Smoke::mf_const, 538, 13},	//280 KCalendarSystem::isValid(const QString&, int, int, int) const
    {10, 1896, 162, 3, Smoke::mf_const, 538, 14},	//281 KCalendarSystem::isValidIsoWeekDate(int, int, int) const
    {10, 1890, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 538, 15},	//282 KCalendarSystem::isValid(const QDate&) const
    {10, 2620, 176, 4, Smoke::mf_const|Smoke::mf_virtual, 538, 16},	//283 KCalendarSystem::setDate(QDate&, int, int, int) const
    {10, 2620, 181, 3, Smoke::mf_const, 538, 17},	//284 KCalendarSystem::setDate(QDate&, int, int) const
    {10, 2620, 185, 5, Smoke::mf_const, 538, 18},	//285 KCalendarSystem::setDate(QDate&, QString, int, int, int) const
    {10, 2629, 176, 4, Smoke::mf_const, 538, 19},	//286 KCalendarSystem::setDateIsoWeek(QDate&, int, int, int) const
    {10, 2984, 176, 4, Smoke::mf_const|Smoke::mf_virtual, 538, 20},	//287 KCalendarSystem::setYMD(QDate&, int, int, int) const
    {10, 1658, 191, 4, Smoke::mf_const, 0, 21},	//288 KCalendarSystem::getDate(const QDate, int*, int*, int*) const
    {10, 3380, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 734, 22},	//289 KCalendarSystem::year(const QDate&) const
    {10, 2095, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 734, 23},	//290 KCalendarSystem::month(const QDate&) const
    {10, 1288, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 734, 24},	//291 KCalendarSystem::day(const QDate&) const
    {10, 1454, 196, 2, Smoke::mf_const, 406, 25},	//292 KCalendarSystem::eraName(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1457, 196, 2, Smoke::mf_const, 406, 26},	//293 KCalendarSystem::eraYear(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3382, 174, 1, Smoke::mf_const, 734, 27},	//294 KCalendarSystem::yearInEra(const QDate&) const
    {10, 1020, 199, 2, Smoke::mf_const|Smoke::mf_virtual, 278, 28},	//295 KCalendarSystem::addYears(const QDate&, int) const
    {10, 983, 199, 2, Smoke::mf_const|Smoke::mf_virtual, 278, 29},	//296 KCalendarSystem::addMonths(const QDate&, int) const
    {10, 893, 199, 2, Smoke::mf_const|Smoke::mf_virtual, 278, 30},	//297 KCalendarSystem::addDays(const QDate&, int) const
    {10, 1276, 202, 6, Smoke::mf_const, 0, 31},	//298 KCalendarSystem::dateDifference(const QDate&, const QDate&, int*, int*, int*, int*) const
    {10, 3392, 209, 2, Smoke::mf_const, 734, 32},	//299 KCalendarSystem::yearsDifference(const QDate&, const QDate&) const
    {10, 2107, 209, 2, Smoke::mf_const, 734, 33},	//300 KCalendarSystem::monthsDifference(const QDate&, const QDate&) const
    {10, 1304, 209, 2, Smoke::mf_const, 734, 34},	//301 KCalendarSystem::daysDifference(const QDate&, const QDate&) const
    {10, 2109, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 734, 35},	//302 KCalendarSystem::monthsInYear(const QDate&) const
    {10, 2109, 105, 1, Smoke::mf_const, 734, 36},	//303 KCalendarSystem::monthsInYear(int) const
    {10, 3346, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 734, 37},	//304 KCalendarSystem::weeksInYear(const QDate&) const
    {10, 3346, 105, 1, Smoke::mf_const|Smoke::mf_virtual, 734, 38},	//305 KCalendarSystem::weeksInYear(int) const
    {10, 1316, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 734, 39},	//306 KCalendarSystem::daysInYear(const QDate&) const
    {10, 1316, 105, 1, Smoke::mf_const, 734, 40},	//307 KCalendarSystem::daysInYear(int) const
    {10, 1306, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 734, 41},	//308 KCalendarSystem::daysInMonth(const QDate&) const
    {10, 1306, 166, 2, Smoke::mf_const, 734, 42},	//309 KCalendarSystem::daysInMonth(int, int) const
    {10, 1312, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 734, 43},	//310 KCalendarSystem::daysInWeek(const QDate&) const
    {10, 1294, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 734, 44},	//311 KCalendarSystem::dayOfYear(const QDate&) const
    {10, 1290, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 734, 45},	//312 KCalendarSystem::dayOfWeek(const QDate&) const
    {10, 3339, 212, 2, Smoke::mf_const|Smoke::mf_virtual, 734, 46},	//313 KCalendarSystem::weekNumber(const QDate&, int*) const
    {10, 1849, 105, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 47},	//314 KCalendarSystem::isLeapYear(int) const [pure virtual]
    {10, 1849, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 538, 48},	//315 KCalendarSystem::isLeapYear(const QDate&) const
    {10, 2097, 215, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 406, 49},	//316 KCalendarSystem::monthName(int, int, KCalendarSystem::MonthNameFormat) const [pure virtual]
    {10, 2097, 219, 2, Smoke::mf_const|Smoke::mf_virtual, 406, 50},	//317 KCalendarSystem::monthName(const QDate&, KCalendarSystem::MonthNameFormat) const
    {10, 3333, 222, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 406, 51},	//318 KCalendarSystem::weekDayName(int, KCalendarSystem::WeekDayNameFormat) const [pure virtual]
    {10, 3333, 225, 2, Smoke::mf_const|Smoke::mf_virtual, 406, 52},	//319 KCalendarSystem::weekDayName(const QDate&, KCalendarSystem::WeekDayNameFormat) const
    {10, 3387, 196, 2, Smoke::mf_const|Smoke::mf_virtual, 406, 53},	//320 KCalendarSystem::yearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 2102, 196, 2, Smoke::mf_const|Smoke::mf_virtual, 406, 54},	//321 KCalendarSystem::monthString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1299, 196, 2, Smoke::mf_const|Smoke::mf_virtual, 406, 55},	//322 KCalendarSystem::dayString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3384, 196, 2, Smoke::mf_const, 406, 56},	//323 KCalendarSystem::yearInEraString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1296, 196, 2, Smoke::mf_const, 406, 57},	//324 KCalendarSystem::dayOfYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1292, 174, 1, Smoke::mf_const, 406, 58},	//325 KCalendarSystem::dayOfWeekString(const QDate&) const
    {10, 3342, 196, 2, Smoke::mf_const, 406, 59},	//326 KCalendarSystem::weekNumberString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 2112, 196, 2, Smoke::mf_const, 406, 60},	//327 KCalendarSystem::monthsInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3349, 196, 2, Smoke::mf_const, 406, 61},	//328 KCalendarSystem::weeksInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1319, 196, 2, Smoke::mf_const, 406, 62},	//329 KCalendarSystem::daysInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1309, 196, 2, Smoke::mf_const, 406, 63},	//330 KCalendarSystem::daysInMonthString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1314, 174, 1, Smoke::mf_const, 406, 64},	//331 KCalendarSystem::daysInWeekString(const QDate&) const
    {10, 3390, 228, 2, Smoke::mf_const|Smoke::mf_virtual, 734, 65},	//332 KCalendarSystem::yearStringToInteger(const QString&, int&) const
    {10, 2105, 228, 2, Smoke::mf_const|Smoke::mf_virtual, 734, 66},	//333 KCalendarSystem::monthStringToInteger(const QString&, int&) const
    {10, 1302, 228, 2, Smoke::mf_const|Smoke::mf_virtual, 734, 67},	//334 KCalendarSystem::dayStringToInteger(const QString&, int&) const
    {10, 1597, 231, 2, Smoke::mf_const|Smoke::mf_virtual, 406, 68},	//335 KCalendarSystem::formatDate(const QDate&, KLocale::DateFormat) const
    {10, 1597, 234, 3, Smoke::mf_const, 406, 69},	//336 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DateTimeFormatStandard) const
    {10, 1597, 238, 4, Smoke::mf_const, 406, 70},	//337 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard) const
    {10, 2383, 243, 2, Smoke::mf_const|Smoke::mf_virtual, 278, 71},	//338 KCalendarSystem::readDate(const QString&, bool*) const
    {10, 2383, 246, 3, Smoke::mf_const|Smoke::mf_virtual, 278, 72},	//339 KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    {10, 2383, 250, 3, Smoke::mf_const|Smoke::mf_virtual, 278, 73},	//340 KCalendarSystem::readDate(const QString&, const QString&, bool*) const
    {10, 2383, 254, 4, Smoke::mf_const, 278, 74},	//341 KCalendarSystem::readDate(const QString&, const QString&, bool*, KLocale::DateTimeFormatStandard) const
    {10, 3345, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 734, 75},	//342 KCalendarSystem::weekStartDay() const
    {10, 3338, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 734, 76},	//343 KCalendarSystem::weekDayOfPray() const [pure virtual]
    {10, 1857, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 77},	//344 KCalendarSystem::isLunar() const [pure virtual]
    {10, 1858, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 78},	//345 KCalendarSystem::isLunisolar() const [pure virtual]
    {10, 1881, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 79},	//346 KCalendarSystem::isSolar() const [pure virtual]
    {10, 1867, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 80},	//347 KCalendarSystem::isProleptic() const [pure virtual]
    {10, 1907, 259, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 81},	//348 KCalendarSystem::julianDayToDate(int, int&, int&, int&) const [pure virtual]
    {10, 1285, 264, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 82},	//349 KCalendarSystem::dateToJulianDay(int, int, int, int&) const [pure virtual]
    {10, 2003, 0, 0, Smoke::mf_const|Smoke::mf_protected, 594, 83},	//350 KCalendarSystem::locale() const
    {10, 2807, 105, 1, Smoke::mf_protected, 0, 84},	//351 KCalendarSystem::setMaxMonthsInYear(int)
    {10, 2805, 105, 1, Smoke::mf_protected, 0, 85},	//352 KCalendarSystem::setMaxDaysInWeek(int)
    {10, 2699, 97, 1, Smoke::mf_protected, 0, 86},	//353 KCalendarSystem::setHasYear0(bool)
    {10, 281, 269, 3, Smoke::mf_ctor|Smoke::mf_protected, 25, 87},	//354 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1227, 0, 0, Smoke::mf_static, 25, 88},	//355 KCalendarSystem::create()
    {10, 1227, 24, 1, Smoke::mf_static, 25, 89},	//356 KCalendarSystem::create(const QString&)
    {10, 1227, 273, 2, Smoke::mf_static, 25, 90},	//357 KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>)
    {10, 281, 0, 0, Smoke::mf_ctor, 25, 91},	//358 KCalendarSystem::KCalendarSystem()
    {10, 281, 276, 1, Smoke::mf_ctor, 25, 92},	//359 KCalendarSystem::KCalendarSystem(const KSharedPtr<KSharedConfig>)
    {10, 1454, 174, 1, Smoke::mf_const, 406, 93},	//360 KCalendarSystem::eraName(const QDate&) const
    {10, 1457, 174, 1, Smoke::mf_const, 406, 94},	//361 KCalendarSystem::eraYear(const QDate&) const
    {10, 3339, 174, 1, Smoke::mf_const, 734, 95},	//362 KCalendarSystem::weekNumber(const QDate&) const
    {10, 2097, 166, 2, Smoke::mf_const, 406, 96},	//363 KCalendarSystem::monthName(int, int) const
    {10, 2097, 174, 1, Smoke::mf_const, 406, 97},	//364 KCalendarSystem::monthName(const QDate&) const
    {10, 3333, 105, 1, Smoke::mf_const, 406, 98},	//365 KCalendarSystem::weekDayName(int) const
    {10, 3333, 174, 1, Smoke::mf_const, 406, 99},	//366 KCalendarSystem::weekDayName(const QDate&) const
    {10, 3387, 174, 1, Smoke::mf_const, 406, 100},	//367 KCalendarSystem::yearString(const QDate&) const
    {10, 2102, 174, 1, Smoke::mf_const, 406, 101},	//368 KCalendarSystem::monthString(const QDate&) const
    {10, 1299, 174, 1, Smoke::mf_const, 406, 102},	//369 KCalendarSystem::dayString(const QDate&) const
    {10, 3384, 174, 1, Smoke::mf_const, 406, 103},	//370 KCalendarSystem::yearInEraString(const QDate&) const
    {10, 1296, 174, 1, Smoke::mf_const, 406, 104},	//371 KCalendarSystem::dayOfYearString(const QDate&) const
    {10, 3342, 174, 1, Smoke::mf_const, 406, 105},	//372 KCalendarSystem::weekNumberString(const QDate&) const
    {10, 2112, 174, 1, Smoke::mf_const, 406, 106},	//373 KCalendarSystem::monthsInYearString(const QDate&) const
    {10, 3349, 174, 1, Smoke::mf_const, 406, 107},	//374 KCalendarSystem::weeksInYearString(const QDate&) const
    {10, 1319, 174, 1, Smoke::mf_const, 406, 108},	//375 KCalendarSystem::daysInYearString(const QDate&) const
    {10, 1309, 174, 1, Smoke::mf_const, 406, 109},	//376 KCalendarSystem::daysInMonthString(const QDate&) const
    {10, 1597, 174, 1, Smoke::mf_const, 406, 110},	//377 KCalendarSystem::formatDate(const QDate&) const
    {10, 1597, 278, 2, Smoke::mf_const, 406, 111},	//378 KCalendarSystem::formatDate(const QDate&, const QString&) const
    {10, 1597, 281, 3, Smoke::mf_const, 406, 112},	//379 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet) const
    {10, 2383, 24, 1, Smoke::mf_const, 278, 113},	//380 KCalendarSystem::readDate(const QString&) const
    {10, 2383, 285, 2, Smoke::mf_const, 278, 114},	//381 KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags) const
    {10, 2383, 89, 2, Smoke::mf_const, 278, 115},	//382 KCalendarSystem::readDate(const QString&, const QString&) const
    {10, 281, 288, 1, Smoke::mf_ctor|Smoke::mf_protected, 25, 116},	//383 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&)
    {10, 281, 290, 2, Smoke::mf_ctor|Smoke::mf_protected, 25, 117},	//384 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>)
    {10, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 118},	//385 KCalendarSystem::ShortFormat (enum)
    {10, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 119},	//386 KCalendarSystem::LongFormat (enum)
    {10, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 120},	//387 KCalendarSystem::ShortName (enum)
    {10, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 121},	//388 KCalendarSystem::LongName (enum)
    {10, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 122},	//389 KCalendarSystem::ShortNamePossessive (enum)
    {10, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 123},	//390 KCalendarSystem::LongNamePossessive (enum)
    {10, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 124},	//391 KCalendarSystem::ShortDayName (enum)
    {10, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 125},	//392 KCalendarSystem::LongDayName (enum)
    {10, 3430, 0, 0, Smoke::mf_dtor, 0, 126 },	//393 KCalendarSystem::~KCalendarSystem()
    {12, 287, 293, 1, Smoke::mf_ctor|Smoke::mf_explicit, 30, 1},	//394 KCharMacroExpander::KCharMacroExpander(QChar)
    {12, 1503, 295, 3, Smoke::mf_protected|Smoke::mf_virtual, 734, 2},	//395 KCharMacroExpander::expandPlainMacro(const QString&, int, QStringList&)
    {12, 1489, 295, 3, Smoke::mf_protected|Smoke::mf_virtual, 734, 3},	//396 KCharMacroExpander::expandEscapedMacro(const QString&, int, QStringList&)
    {12, 1491, 299, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 4},	//397 KCharMacroExpander::expandMacro(QChar, QStringList&) [pure virtual]
    {12, 287, 302, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 5},	//398 KCharMacroExpander::KCharMacroExpander(const KCharMacroExpander&)
    {12, 287, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 30, 6},	//399 KCharMacroExpander::KCharMacroExpander()
    {12, 3431, 0, 0, Smoke::mf_dtor, 0, 7 },	//400 KCharMacroExpander::~KCharMacroExpander()
    {13, 289, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 31, 1},	//401 KCharsets::KCharsets()
    {13, 1170, 24, 1, Smoke::mf_const, 416, 2},	//402 KCharsets::codecForName(const QString&) const
    {13, 1170, 304, 2, Smoke::mf_const, 416, 3},	//403 KCharsets::codecForName(const QString&, bool&) const
    {13, 1628, 24, 1, Smoke::mf_static, 266, 4},	//404 KCharsets::fromEntity(const QString&)
    {13, 1628, 228, 2, Smoke::mf_static, 266, 5},	//405 KCharsets::fromEntity(const QString&, int&)
    {13, 3173, 307, 1, Smoke::mf_static, 406, 6},	//406 KCharsets::toEntity(const QChar&)
    {13, 2485, 24, 1, Smoke::mf_static, 406, 7},	//407 KCharsets::resolveEntities(const QString&)
    {13, 1085, 0, 0, Smoke::mf_const, 411, 8},	//408 KCharsets::availableEncodingNames() const
    {13, 1369, 0, 0, Smoke::mf_const, 411, 9},	//409 KCharsets::descriptiveEncodingNames() const
    {13, 1433, 0, 0, Smoke::mf_const, 379, 10},	//410 KCharsets::encodingsByScript() const
    {13, 1970, 24, 1, Smoke::mf_const, 406, 11},	//411 KCharsets::languageForEncoding(const QString&) const
    {13, 1367, 24, 1, Smoke::mf_const, 406, 12},	//412 KCharsets::descriptionForEncoding(const QString&) const
    {13, 1429, 24, 1, Smoke::mf_const, 406, 13},	//413 KCharsets::encodingForName(const QString&) const
    {13, 289, 309, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 14},	//414 KCharsets::KCharsets(const KCharsets&)
    {13, 3432, 0, 0, Smoke::mf_dtor, 0, 15 },	//415 KCharsets::~KCharsets()
    {14, 1752, 311, 8, Smoke::mf_static, 0, 1},	//416 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {14, 1752, 320, 4, Smoke::mf_static, 0, 2},	//417 KCmdLineArgs::init(int, char**, const KAboutData*, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {14, 1752, 325, 1, Smoke::mf_static, 0, 3},	//418 KCmdLineArgs::init(const KAboutData*)
    {14, 1001, 327, 1, Smoke::mf_static, 0, 4},	//419 KCmdLineArgs::addStdCmdLineOptions(QFlags<KCmdLineArgs::StdCmdLineArg>)
    {14, 877, 329, 4, Smoke::mf_static, 0, 5},	//420 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {14, 2257, 26, 1, Smoke::mf_static, 32, 6},	//421 KCmdLineArgs::parsedArgs(const QByteArray&)
    {14, 1266, 0, 0, Smoke::mf_static, 406, 7},	//422 KCmdLineArgs::cwd()
    {14, 1052, 0, 0, Smoke::mf_static, 406, 8},	//423 KCmdLineArgs::appName()
    {14, 3270, 26, 1, Smoke::mf_static, 0, 9},	//424 KCmdLineArgs::usage(const QByteArray&)
    {14, 3272, 24, 1, Smoke::mf_static, 0, 10},	//425 KCmdLineArgs::usageError(const QString&)
    {14, 1418, 0, 0, Smoke::mf_static, 0, 11},	//426 KCmdLineArgs::enable_i18n()
    {14, 1665, 26, 1, Smoke::mf_const, 406, 12},	//427 KCmdLineArgs::getOption(const QByteArray&) const
    {14, 1667, 26, 1, Smoke::mf_const, 411, 13},	//428 KCmdLineArgs::getOptionList(const QByteArray&) const
    {14, 1878, 26, 1, Smoke::mf_const, 538, 14},	//429 KCmdLineArgs::isSet(const QByteArray&) const
    {14, 1221, 0, 0, Smoke::mf_const, 734, 15},	//430 KCmdLineArgs::count() const
    {14, 1056, 105, 1, Smoke::mf_const, 406, 16},	//431 KCmdLineArgs::arg(int) const
    {14, 3268, 105, 1, Smoke::mf_const, 236, 17},	//432 KCmdLineArgs::url(int) const
    {14, 2059, 26, 1, Smoke::mf_static, 236, 18},	//433 KCmdLineArgs::makeURL(const QByteArray&)
    {14, 2612, 26, 1, Smoke::mf_static, 0, 19},	//434 KCmdLineArgs::setCwd(const QByteArray&)
    {14, 1160, 0, 0, 0, 0, 20},	//435 KCmdLineArgs::clear()
    {14, 2483, 0, 0, Smoke::mf_static, 0, 21},	//436 KCmdLineArgs::reset()
    {14, 1996, 334, 1, Smoke::mf_static, 0, 22},	//437 KCmdLineArgs::loadAppArgs(QDataStream&)
    {14, 2507, 334, 1, Smoke::mf_static, 0, 23},	//438 KCmdLineArgs::saveAppArgs(QDataStream&)
    {14, 1005, 0, 0, Smoke::mf_static, 0, 24},	//439 KCmdLineArgs::addTempFileOption()
    {14, 1884, 0, 0, Smoke::mf_static, 538, 25},	//440 KCmdLineArgs::isTempFileSet()
    {14, 2341, 0, 0, Smoke::mf_static, 735, 26},	//441 KCmdLineArgs::qtArgc()
    {14, 2342, 0, 0, Smoke::mf_static, 543, 27},	//442 KCmdLineArgs::qtArgv()
    {14, 847, 0, 0, Smoke::mf_static, 545, 28},	//443 KCmdLineArgs::aboutData()
    {14, 291, 336, 3, Smoke::mf_ctor|Smoke::mf_protected, 32, 29},	//444 KCmdLineArgs::KCmdLineArgs(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&)
    {14, 291, 340, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 32, 30},	//445 KCmdLineArgs::KCmdLineArgs(const KCmdLineArgs&)
    {14, 1752, 342, 6, Smoke::mf_static, 0, 31},	//446 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&)
    {14, 1752, 349, 7, Smoke::mf_static, 0, 32},	//447 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&)
    {14, 1752, 357, 3, Smoke::mf_static, 0, 33},	//448 KCmdLineArgs::init(int, char**, const KAboutData*)
    {14, 1001, 0, 0, Smoke::mf_static, 0, 34},	//449 KCmdLineArgs::addStdCmdLineOptions()
    {14, 877, 361, 1, Smoke::mf_static, 0, 35},	//450 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&)
    {14, 877, 363, 2, Smoke::mf_static, 0, 36},	//451 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&)
    {14, 877, 336, 3, Smoke::mf_static, 0, 37},	//452 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&)
    {14, 2257, 0, 0, Smoke::mf_static, 32, 38},	//453 KCmdLineArgs::parsedArgs()
    {14, 3270, 0, 0, Smoke::mf_static, 0, 39},	//454 KCmdLineArgs::usage()
    {14, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 40},	//455 KCmdLineArgs::CmdLineArgQt (enum)
    {14, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 41},	//456 KCmdLineArgs::CmdLineArgKDE (enum)
    {14, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 42},	//457 KCmdLineArgs::CmdLineArgsMask (enum)
    {14, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 43},	//458 KCmdLineArgs::CmdLineArgNone (enum)
    {14, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 44},	//459 KCmdLineArgs::Reserved (enum)
    {14, 3433, 0, 0, Smoke::mf_dtor, 0, 45 },	//460 KCmdLineArgs::~KCmdLineArgs()
    {15, 294, 0, 0, Smoke::mf_ctor, 35, 1},	//461 KCmdLineOptions::KCmdLineOptions()
    {15, 294, 361, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 35, 2},	//462 KCmdLineOptions::KCmdLineOptions(const KCmdLineOptions&)
    {15, 2211, 361, 1, 0, 34, 3},	//463 KCmdLineOptions::operator=(const KCmdLineOptions&)
    {15, 862, 366, 3, 0, 34, 4},	//464 KCmdLineOptions::add(const QByteArray&, const KLocalizedString&, const QByteArray&)
    {15, 862, 361, 1, 0, 34, 5},	//465 KCmdLineOptions::add(const KCmdLineOptions&)
    {15, 862, 26, 1, 0, 34, 6},	//466 KCmdLineOptions::add(const QByteArray&)
    {15, 862, 370, 2, 0, 34, 7},	//467 KCmdLineOptions::add(const QByteArray&, const KLocalizedString&)
    {15, 3434, 0, 0, Smoke::mf_dtor, 0, 8 },	//468 KCmdLineOptions::~KCmdLineOptions()
    {16, 3296, 26, 1, Smoke::mf_static, 264, 1},	//469 KCodecs::uuencode(const QByteArray&)
    {16, 3293, 26, 1, Smoke::mf_static, 264, 2},	//470 KCodecs::uudecode(const QByteArray&)
    {16, 3293, 373, 2, Smoke::mf_static, 0, 3},	//471 KCodecs::uudecode(const QByteArray&, QByteArray&)
    {16, 2357, 373, 2, Smoke::mf_static, 0, 4},	//472 KCodecs::quotedPrintableDecode(const QByteArray&, QByteArray&)
    {16, 1330, 24, 1, Smoke::mf_static, 406, 5},	//473 KCodecs::decodeRFC2047String(const QString&)
    {16, 2357, 26, 1, Smoke::mf_static, 264, 6},	//474 KCodecs::quotedPrintableDecode(const QByteArray&)
    {16, 1091, 26, 1, Smoke::mf_static, 264, 7},	//475 KCodecs::base64Decode(const QByteArray&)
    {16, 2360, 376, 3, Smoke::mf_static, 0, 8},	//476 KCodecs::quotedPrintableEncode(const QByteArray&, QByteArray&, bool)
    {16, 1091, 373, 2, Smoke::mf_static, 0, 9},	//477 KCodecs::base64Decode(const QByteArray&, QByteArray&)
    {16, 3296, 373, 2, Smoke::mf_static, 0, 10},	//478 KCodecs::uuencode(const QByteArray&, QByteArray&)
    {16, 1095, 376, 3, Smoke::mf_static, 0, 11},	//479 KCodecs::base64Encode(const QByteArray&, QByteArray&, bool)
    {16, 1095, 373, 2, Smoke::mf_static, 0, 12},	//480 KCodecs::base64Encode(const QByteArray&, QByteArray&)
    {16, 2360, 380, 2, Smoke::mf_static, 264, 13},	//481 KCodecs::quotedPrintableEncode(const QByteArray&, bool)
    {16, 2360, 26, 1, Smoke::mf_static, 264, 14},	//482 KCodecs::quotedPrintableEncode(const QByteArray&)
    {16, 1095, 380, 2, Smoke::mf_static, 264, 15},	//483 KCodecs::base64Encode(const QByteArray&, bool)
    {16, 1095, 26, 1, Smoke::mf_static, 264, 16},	//484 KCodecs::base64Encode(const QByteArray&)
    {17, 296, 0, 0, Smoke::mf_ctor, 38, 1},	//485 KComponentData::KComponentData()
    {17, 296, 383, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 2},	//486 KComponentData::KComponentData(const KComponentData&)
    {17, 2211, 383, 1, 0, 37, 3},	//487 KComponentData::operator=(const KComponentData&)
    {17, 2214, 383, 1, Smoke::mf_const, 538, 4},	//488 KComponentData::operator==(const KComponentData&) const
    {17, 2171, 383, 1, Smoke::mf_const, 538, 5},	//489 KComponentData::operator!=(const KComponentData&) const
    {17, 296, 385, 3, Smoke::mf_ctor, 38, 6},	//490 KComponentData::KComponentData(const QByteArray&, const QByteArray&, KComponentData::MainComponentRegistration)
    {17, 296, 389, 2, Smoke::mf_ctor, 38, 7},	//491 KComponentData::KComponentData(const KAboutData&, KComponentData::MainComponentRegistration)
    {17, 296, 392, 2, Smoke::mf_ctor, 38, 8},	//492 KComponentData::KComponentData(const KAboutData*, KComponentData::MainComponentRegistration)
    {17, 1890, 0, 0, Smoke::mf_const, 538, 9},	//493 KComponentData::isValid() const
    {17, 1396, 0, 0, Smoke::mf_const, 193, 10},	//494 KComponentData::dirs() const
    {17, 1184, 0, 0, Smoke::mf_const, 608, 11},	//495 KComponentData::config() const
    {17, 847, 0, 0, Smoke::mf_const, 545, 12},	//496 KComponentData::aboutData() const
    {17, 2543, 12, 1, 0, 0, 13},	//497 KComponentData::setAboutData(const KAboutData&)
    {17, 1180, 0, 0, Smoke::mf_const, 406, 14},	//498 KComponentData::componentName() const
    {17, 1128, 0, 0, Smoke::mf_const, 406, 15},	//499 KComponentData::catalogName() const
    {17, 2598, 24, 1, Smoke::mf_protected, 0, 16},	//500 KComponentData::setConfigName(const QString&)
    {17, 296, 26, 1, Smoke::mf_ctor, 38, 17},	//501 KComponentData::KComponentData(const QByteArray&)
    {17, 296, 395, 2, Smoke::mf_ctor, 38, 18},	//502 KComponentData::KComponentData(const QByteArray&, const QByteArray&)
    {17, 296, 12, 1, Smoke::mf_ctor, 38, 19},	//503 KComponentData::KComponentData(const KAboutData&)
    {17, 296, 325, 1, Smoke::mf_ctor, 38, 20},	//504 KComponentData::KComponentData(const KAboutData*)
    {17, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 21},	//505 KComponentData::RegisterAsMainComponent (enum)
    {17, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 22},	//506 KComponentData::SkipMainComponentRegistration (enum)
    {17, 3435, 0, 0, Smoke::mf_dtor, 0, 23 },	//507 KComponentData::~KComponentData()
    {18, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//508 KCompositeJob::metaObject() const
    {18, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//509 KCompositeJob::qt_metacast(const char*)
    {18, 3200, 111, 2, Smoke::mf_static, 406, 3},	//510 KCompositeJob::tr(const char*, const char*)
    {18, 3207, 111, 2, Smoke::mf_static, 406, 4},	//511 KCompositeJob::trUtf8(const char*, const char*)
    {18, 3200, 114, 3, Smoke::mf_static, 406, 5},	//512 KCompositeJob::tr(const char*, const char*, int)
    {18, 3207, 114, 3, Smoke::mf_static, 406, 6},	//513 KCompositeJob::trUtf8(const char*, const char*, int)
    {18, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//514 KCompositeJob::qt_metacall(QMetaObject::Call, int, void**)
    {18, 301, 133, 1, Smoke::mf_ctor, 40, 8},	//515 KCompositeJob::KCompositeJob(QObject*)
    {18, 1003, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 538, 9},	//516 KCompositeJob::addSubjob(KJob*)
    {18, 2469, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 538, 10},	//517 KCompositeJob::removeSubjob(KJob*)
    {18, 1716, 0, 0, Smoke::mf_protected, 538, 11},	//518 KCompositeJob::hasSubjobs()
    {18, 3106, 0, 0, Smoke::mf_const|Smoke::mf_protected, 670, 12},	//519 KCompositeJob::subjobs() const
    {18, 1163, 0, 0, Smoke::mf_protected, 0, 13},	//520 KCompositeJob::clearSubjobs()
    {18, 3005, 398, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//521 KCompositeJob::slotResult(KJob*)
    {18, 3003, 400, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//522 KCompositeJob::slotInfoMessage(KJob*, const QString&, const QString&)
    {18, 301, 404, 2, Smoke::mf_ctor|Smoke::mf_protected, 40, 16},	//523 KCompositeJob::KCompositeJob(KCompositeJobPrivate&, QObject*)
    {18, 3200, 109, 1, Smoke::mf_static, 406, 17},	//524 KCompositeJob::tr(const char*)
    {18, 3207, 109, 1, Smoke::mf_static, 406, 18},	//525 KCompositeJob::trUtf8(const char*)
    {18, 301, 0, 0, Smoke::mf_ctor, 40, 19},	//526 KCompositeJob::KCompositeJob()
    {18, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 20},	//527 KCompositeJob::staticMetaObject() const
    {18, 3436, 0, 0, Smoke::mf_dtor, 0, 21 },	//528 KCompositeJob::~KCompositeJob()
    {20, 304, 407, 3, Smoke::mf_ctor, 42, 1},	//529 KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {20, 304, 411, 4, Smoke::mf_ctor, 42, 2},	//530 KConfig::KConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {20, 304, 416, 3, Smoke::mf_ctor, 42, 3},	//531 KConfig::KConfig(const QString&, const QString&, const char*)
    {20, 1179, 0, 0, Smoke::mf_const, 555, 4},	//532 KConfig::componentData() const
    {20, 2115, 0, 0, Smoke::mf_const, 406, 5},	//533 KConfig::name() const
    {20, 3137, 0, 0, Smoke::mf_virtual, 0, 6},	//534 KConfig::sync()
    {20, 2062, 0, 0, Smoke::mf_virtual, 0, 7},	//535 KConfig::markAsClean()
    {20, 853, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 45, 8},	//536 KConfig::accessMode() const
    {20, 1810, 97, 1, 0, 538, 9},	//537 KConfig::isConfigWritable(bool)
    {20, 1215, 420, 2, Smoke::mf_const, 42, 10},	//538 KConfig::copyTo(const QString&, KConfig*) const
    {20, 1145, 89, 2, 0, 0, 11},	//539 KConfig::checkUpdate(const QString&, const QString&)
    {20, 2476, 0, 0, 0, 0, 12},	//540 KConfig::reparseConfiguration()
    {20, 882, 128, 1, 0, 0, 13},	//541 KConfig::addConfigSources(const QStringList&)
    {20, 2003, 0, 0, Smoke::mf_const, 406, 14},	//542 KConfig::locale() const
    {20, 2741, 24, 1, 0, 538, 15},	//543 KConfig::setLocale(const QString&)
    {20, 2905, 97, 1, 0, 0, 16},	//544 KConfig::setReadDefaults(bool)
    {20, 2390, 0, 0, Smoke::mf_const, 538, 17},	//545 KConfig::readDefaults() const
    {20, 1844, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 18},	//546 KConfig::isImmutable() const
    {20, 2689, 97, 1, 0, 0, 19},	//547 KConfig::setForceGlobal(bool)
    {20, 1591, 0, 0, Smoke::mf_const, 538, 20},	//548 KConfig::forceGlobal() const
    {20, 1677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 21},	//549 KConfig::groupList() const
    {20, 1445, 24, 1, Smoke::mf_const, 385, 22},	//550 KConfig::entryMap(const QString&) const
    {20, 1691, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 538, 23},	//551 KConfig::hasGroupImpl(const QByteArray&) const
    {20, 1675, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 47, 24},	//552 KConfig::groupImpl(const QByteArray&)
    {20, 1675, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 559, 25},	//553 KConfig::groupImpl(const QByteArray&) const
    {20, 1358, 423, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//554 KConfig::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {20, 1838, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 538, 27},	//555 KConfig::isGroupImmutableImpl(const QByteArray&) const
    {20, 304, 426, 1, Smoke::mf_ctor|Smoke::mf_protected, 42, 28},	//556 KConfig::KConfig(KConfigPrivate&)
    {20, 304, 0, 0, Smoke::mf_ctor, 42, 29},	//557 KConfig::KConfig()
    {20, 304, 24, 1, Smoke::mf_ctor, 42, 30},	//558 KConfig::KConfig(const QString&)
    {20, 304, 428, 2, Smoke::mf_ctor, 42, 31},	//559 KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>)
    {20, 304, 383, 1, Smoke::mf_ctor, 42, 32},	//560 KConfig::KConfig(const KComponentData&)
    {20, 304, 431, 2, Smoke::mf_ctor, 42, 33},	//561 KConfig::KConfig(const KComponentData&, const QString&)
    {20, 304, 434, 3, Smoke::mf_ctor, 42, 34},	//562 KConfig::KConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>)
    {20, 304, 89, 2, Smoke::mf_ctor, 42, 35},	//563 KConfig::KConfig(const QString&, const QString&)
    {20, 1215, 24, 1, Smoke::mf_const, 42, 36},	//564 KConfig::copyTo(const QString&) const
    {20, 1445, 0, 0, Smoke::mf_const, 385, 37},	//565 KConfig::entryMap() const
    {20, 1358, 26, 1, Smoke::mf_protected, 0, 38},	//566 KConfig::deleteGroupImpl(const QByteArray&)
    {20, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 39},	//567 KConfig::IncludeGlobals (enum)
    {20, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 40},	//568 KConfig::CascadeConfig (enum)
    {20, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 41},	//569 KConfig::SimpleConfig (enum)
    {20, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 42},	//570 KConfig::NoCascade (enum)
    {20, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 43},	//571 KConfig::NoGlobals (enum)
    {20, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 44},	//572 KConfig::FullConfig (enum)
    {20, 3437, 0, 0, Smoke::mf_dtor, 0, 45 },	//573 KConfig::~KConfig()
    {21, 1677, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 411, 1},	//574 KConfigBase::groupList() const [pure virtual]
    {21, 1688, 24, 1, Smoke::mf_const, 538, 2},	//575 KConfigBase::hasGroup(const QString&) const
    {21, 1688, 109, 1, Smoke::mf_const, 538, 3},	//576 KConfigBase::hasGroup(const char*) const
    {21, 1688, 26, 1, Smoke::mf_const, 538, 4},	//577 KConfigBase::hasGroup(const QByteArray&) const
    {21, 1670, 26, 1, 0, 47, 5},	//578 KConfigBase::group(const QByteArray&)
    {21, 1670, 24, 1, 0, 47, 6},	//579 KConfigBase::group(const QString&)
    {21, 1670, 109, 1, 0, 47, 7},	//580 KConfigBase::group(const char*)
    {21, 1670, 26, 1, Smoke::mf_const, 559, 8},	//581 KConfigBase::group(const QByteArray&) const
    {21, 1670, 24, 1, Smoke::mf_const, 559, 9},	//582 KConfigBase::group(const QString&) const
    {21, 1670, 109, 1, Smoke::mf_const, 559, 10},	//583 KConfigBase::group(const char*) const
    {21, 1353, 423, 2, 0, 0, 11},	//584 KConfigBase::deleteGroup(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {21, 1353, 438, 2, 0, 0, 12},	//585 KConfigBase::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {21, 1353, 441, 2, 0, 0, 13},	//586 KConfigBase::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {21, 3137, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//587 KConfigBase::sync() [pure virtual]
    {21, 2062, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//588 KConfigBase::markAsClean() [pure virtual]
    {21, 853, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 45, 16},	//589 KConfigBase::accessMode() const [pure virtual]
    {21, 1844, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 17},	//590 KConfigBase::isImmutable() const [pure virtual]
    {21, 1835, 26, 1, Smoke::mf_const, 538, 18},	//591 KConfigBase::isGroupImmutable(const QByteArray&) const
    {21, 1835, 24, 1, Smoke::mf_const, 538, 19},	//592 KConfigBase::isGroupImmutable(const QString&) const
    {21, 1835, 109, 1, Smoke::mf_const, 538, 20},	//593 KConfigBase::isGroupImmutable(const char*) const
    {21, 312, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 44, 21},	//594 KConfigBase::KConfigBase()
    {21, 1691, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 22},	//595 KConfigBase::hasGroupImpl(const QByteArray&) const [pure virtual]
    {21, 1675, 26, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 47, 23},	//596 KConfigBase::groupImpl(const QByteArray&) [pure virtual]
    {21, 1675, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 559, 24},	//597 KConfigBase::groupImpl(const QByteArray&) const [pure virtual]
    {21, 1358, 423, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 25},	//598 KConfigBase::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>) [pure virtual]
    {21, 1838, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 26},	//599 KConfigBase::isGroupImmutableImpl(const QByteArray&) const [pure virtual]
    {21, 312, 444, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 44, 27},	//600 KConfigBase::KConfigBase(const KConfigBase&)
    {21, 1353, 26, 1, 0, 0, 28},	//601 KConfigBase::deleteGroup(const QByteArray&)
    {21, 1353, 24, 1, 0, 0, 29},	//602 KConfigBase::deleteGroup(const QString&)
    {21, 1353, 109, 1, 0, 0, 30},	//603 KConfigBase::deleteGroup(const char*)
    {21, 1358, 26, 1, Smoke::mf_protected, 0, 31},	//604 KConfigBase::deleteGroupImpl(const QByteArray&)
    {21, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 32},	//605 KConfigBase::Persistent (enum)
    {21, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 33},	//606 KConfigBase::Global (enum)
    {21, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 34},	//607 KConfigBase::Localized (enum)
    {21, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 35},	//608 KConfigBase::Normal (enum)
    {21, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 36},	//609 KConfigBase::NoAccess (enum)
    {21, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 37},	//610 KConfigBase::ReadOnly (enum)
    {21, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 38},	//611 KConfigBase::ReadWrite (enum)
    {21, 3438, 0, 0, Smoke::mf_dtor, 0, 39 },	//612 KConfigBase::~KConfigBase()
    {22, 314, 0, 0, Smoke::mf_ctor, 49, 1},	//613 KConfigGroup::KConfigGroup()
    {22, 314, 446, 2, Smoke::mf_ctor, 49, 2},	//614 KConfigGroup::KConfigGroup(KConfigBase*, const QString&)
    {22, 314, 449, 2, Smoke::mf_ctor, 49, 3},	//615 KConfigGroup::KConfigGroup(KConfigBase*, const char*)
    {22, 314, 452, 2, Smoke::mf_ctor, 49, 4},	//616 KConfigGroup::KConfigGroup(const KConfigBase*, const QString&)
    {22, 314, 455, 2, Smoke::mf_ctor, 49, 5},	//617 KConfigGroup::KConfigGroup(const KConfigBase*, const char*)
    {22, 314, 458, 2, Smoke::mf_ctor, 49, 6},	//618 KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const QString&)
    {22, 314, 461, 2, Smoke::mf_ctor, 49, 7},	//619 KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const char*)
    {22, 314, 464, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 8},	//620 KConfigGroup::KConfigGroup(const KConfigGroup&)
    {22, 2211, 464, 1, 0, 48, 9},	//621 KConfigGroup::operator=(const KConfigGroup&)
    {22, 1890, 0, 0, Smoke::mf_const, 538, 10},	//622 KConfigGroup::isValid() const
    {22, 2115, 0, 0, Smoke::mf_const, 406, 11},	//623 KConfigGroup::name() const
    {22, 1487, 0, 0, Smoke::mf_const, 538, 12},	//624 KConfigGroup::exists() const
    {22, 3137, 0, 0, Smoke::mf_virtual, 0, 13},	//625 KConfigGroup::sync()
    {22, 2062, 0, 0, Smoke::mf_virtual, 0, 14},	//626 KConfigGroup::markAsClean()
    {22, 853, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 45, 15},	//627 KConfigGroup::accessMode() const
    {22, 1184, 0, 0, 0, 42, 16},	//628 KConfigGroup::config()
    {22, 1184, 0, 0, Smoke::mf_const, 556, 17},	//629 KConfigGroup::config() const
    {22, 1134, 24, 1, 0, 0, 18},	//630 KConfigGroup::changeGroup(const QString&)
    {22, 1134, 109, 1, 0, 0, 19},	//631 KConfigGroup::changeGroup(const char*)
    {22, 1215, 466, 2, Smoke::mf_const, 0, 20},	//632 KConfigGroup::copyTo(KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>) const
    {22, 2473, 466, 2, 0, 0, 21},	//633 KConfigGroup::reparent(KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 2249, 0, 0, Smoke::mf_const, 47, 22},	//634 KConfigGroup::parent() const
    {22, 1677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 23},	//635 KConfigGroup::groupList() const
    {22, 1945, 0, 0, Smoke::mf_const, 411, 24},	//636 KConfigGroup::keyList() const
    {22, 1353, 469, 1, 0, 0, 25},	//637 KConfigGroup::deleteGroup(QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1353, 423, 2, 0, 0, 26},	//638 KConfigGroup::deleteGroup(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1353, 438, 2, 0, 0, 27},	//639 KConfigGroup::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1353, 441, 2, 0, 0, 28},	//640 KConfigGroup::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 2393, 94, 2, Smoke::mf_const, 430, 29},	//641 KConfigGroup::readEntry(const QString&, const QVariant&) const
    {22, 2393, 471, 2, Smoke::mf_const, 430, 30},	//642 KConfigGroup::readEntry(const char*, const QVariant&) const
    {22, 2393, 89, 2, Smoke::mf_const, 406, 31},	//643 KConfigGroup::readEntry(const QString&, const QString&) const
    {22, 2393, 474, 2, Smoke::mf_const, 406, 32},	//644 KConfigGroup::readEntry(const char*, const QString&) const
    {22, 2393, 477, 2, Smoke::mf_const, 406, 33},	//645 KConfigGroup::readEntry(const QString&, const char*) const
    {22, 2393, 111, 2, Smoke::mf_const, 406, 34},	//646 KConfigGroup::readEntry(const char*, const char*) const
    {22, 2393, 480, 2, Smoke::mf_const, 380, 35},	//647 KConfigGroup::readEntry(const QString&, const QList<QVariant>&) const
    {22, 2393, 483, 2, Smoke::mf_const, 380, 36},	//648 KConfigGroup::readEntry(const char*, const QList<QVariant>&) const
    {22, 2393, 486, 2, Smoke::mf_const, 411, 37},	//649 KConfigGroup::readEntry(const QString&, const QStringList&) const
    {22, 2393, 489, 2, Smoke::mf_const, 411, 38},	//650 KConfigGroup::readEntry(const char*, const QStringList&) const
    {22, 2430, 486, 2, Smoke::mf_const, 411, 39},	//651 KConfigGroup::readXdgListEntry(const QString&, const QStringList&) const
    {22, 2430, 489, 2, Smoke::mf_const, 411, 40},	//652 KConfigGroup::readXdgListEntry(const char*, const QStringList&) const
    {22, 2421, 89, 2, Smoke::mf_const, 406, 41},	//653 KConfigGroup::readPathEntry(const QString&, const QString&) const
    {22, 2421, 474, 2, Smoke::mf_const, 406, 42},	//654 KConfigGroup::readPathEntry(const char*, const QString&) const
    {22, 2421, 486, 2, Smoke::mf_const, 411, 43},	//655 KConfigGroup::readPathEntry(const QString&, const QStringList&) const
    {22, 2421, 489, 2, Smoke::mf_const, 411, 44},	//656 KConfigGroup::readPathEntry(const char*, const QStringList&) const
    {22, 2398, 89, 2, Smoke::mf_const, 406, 45},	//657 KConfigGroup::readEntryUntranslated(const QString&, const QString&) const
    {22, 2398, 474, 2, Smoke::mf_const, 406, 46},	//658 KConfigGroup::readEntryUntranslated(const char*, const QString&) const
    {22, 3363, 492, 3, 0, 0, 47},	//659 KConfigGroup::writeEntry(const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3363, 496, 3, 0, 0, 48},	//660 KConfigGroup::writeEntry(const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3363, 500, 3, 0, 0, 49},	//661 KConfigGroup::writeEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3363, 504, 3, 0, 0, 50},	//662 KConfigGroup::writeEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3363, 508, 3, 0, 0, 51},	//663 KConfigGroup::writeEntry(const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3363, 512, 3, 0, 0, 52},	//664 KConfigGroup::writeEntry(const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3363, 516, 3, 0, 0, 53},	//665 KConfigGroup::writeEntry(const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3363, 520, 3, 0, 0, 54},	//666 KConfigGroup::writeEntry(const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3363, 524, 3, 0, 0, 55},	//667 KConfigGroup::writeEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3363, 528, 3, 0, 0, 56},	//668 KConfigGroup::writeEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3363, 532, 3, 0, 0, 57},	//669 KConfigGroup::writeEntry(const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3363, 536, 3, 0, 0, 58},	//670 KConfigGroup::writeEntry(const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3377, 524, 3, 0, 0, 59},	//671 KConfigGroup::writeXdgListEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3377, 528, 3, 0, 0, 60},	//672 KConfigGroup::writeXdgListEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3372, 500, 3, 0, 0, 61},	//673 KConfigGroup::writePathEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3372, 504, 3, 0, 0, 62},	//674 KConfigGroup::writePathEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3372, 524, 3, 0, 0, 63},	//675 KConfigGroup::writePathEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3372, 528, 3, 0, 0, 64},	//676 KConfigGroup::writePathEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1350, 438, 2, 0, 0, 65},	//677 KConfigGroup::deleteEntry(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1350, 441, 2, 0, 0, 66},	//678 KConfigGroup::deleteEntry(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1696, 24, 1, Smoke::mf_const, 538, 67},	//679 KConfigGroup::hasKey(const QString&) const
    {22, 1696, 109, 1, Smoke::mf_const, 538, 68},	//680 KConfigGroup::hasKey(const char*) const
    {22, 1844, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 69},	//681 KConfigGroup::isImmutable() const
    {22, 1827, 24, 1, Smoke::mf_const, 538, 70},	//682 KConfigGroup::isEntryImmutable(const QString&) const
    {22, 1827, 109, 1, Smoke::mf_const, 538, 71},	//683 KConfigGroup::isEntryImmutable(const char*) const
    {22, 2499, 24, 1, 0, 0, 72},	//684 KConfigGroup::revertToDefault(const QString&)
    {22, 2499, 109, 1, 0, 0, 73},	//685 KConfigGroup::revertToDefault(const char*)
    {22, 1685, 24, 1, Smoke::mf_const, 538, 74},	//686 KConfigGroup::hasDefault(const QString&) const
    {22, 1685, 109, 1, Smoke::mf_const, 538, 75},	//687 KConfigGroup::hasDefault(const char*) const
    {22, 1445, 0, 0, Smoke::mf_const, 385, 76},	//688 KConfigGroup::entryMap() const
    {22, 1691, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 538, 77},	//689 KConfigGroup::hasGroupImpl(const QByteArray&) const
    {22, 1675, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 47, 78},	//690 KConfigGroup::groupImpl(const QByteArray&)
    {22, 1675, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 559, 79},	//691 KConfigGroup::groupImpl(const QByteArray&) const
    {22, 1358, 423, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//692 KConfigGroup::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1838, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 538, 81},	//693 KConfigGroup::isGroupImmutableImpl(const QByteArray&) const
    {22, 1215, 540, 1, Smoke::mf_const, 0, 82},	//694 KConfigGroup::copyTo(KConfigBase*) const
    {22, 2473, 540, 1, 0, 0, 83},	//695 KConfigGroup::reparent(KConfigBase*)
    {22, 1353, 0, 0, 0, 0, 84},	//696 KConfigGroup::deleteGroup()
    {22, 1353, 26, 1, 0, 0, 85},	//697 KConfigGroup::deleteGroup(const QByteArray&)
    {22, 1353, 24, 1, 0, 0, 86},	//698 KConfigGroup::deleteGroup(const QString&)
    {22, 1353, 109, 1, 0, 0, 87},	//699 KConfigGroup::deleteGroup(const char*)
    {22, 2393, 24, 1, Smoke::mf_const, 406, 88},	//700 KConfigGroup::readEntry(const QString&) const
    {22, 2393, 109, 1, Smoke::mf_const, 406, 89},	//701 KConfigGroup::readEntry(const char*) const
    {22, 2430, 24, 1, Smoke::mf_const, 411, 90},	//702 KConfigGroup::readXdgListEntry(const QString&) const
    {22, 2430, 109, 1, Smoke::mf_const, 411, 91},	//703 KConfigGroup::readXdgListEntry(const char*) const
    {22, 2398, 24, 1, Smoke::mf_const, 406, 92},	//704 KConfigGroup::readEntryUntranslated(const QString&) const
    {22, 2398, 109, 1, Smoke::mf_const, 406, 93},	//705 KConfigGroup::readEntryUntranslated(const char*) const
    {22, 3363, 94, 2, 0, 0, 94},	//706 KConfigGroup::writeEntry(const QString&, const QVariant&)
    {22, 3363, 471, 2, 0, 0, 95},	//707 KConfigGroup::writeEntry(const char*, const QVariant&)
    {22, 3363, 89, 2, 0, 0, 96},	//708 KConfigGroup::writeEntry(const QString&, const QString&)
    {22, 3363, 474, 2, 0, 0, 97},	//709 KConfigGroup::writeEntry(const char*, const QString&)
    {22, 3363, 542, 2, 0, 0, 98},	//710 KConfigGroup::writeEntry(const QString&, const QByteArray&)
    {22, 3363, 545, 2, 0, 0, 99},	//711 KConfigGroup::writeEntry(const char*, const QByteArray&)
    {22, 3363, 477, 2, 0, 0, 100},	//712 KConfigGroup::writeEntry(const QString&, const char*)
    {22, 3363, 111, 2, 0, 0, 101},	//713 KConfigGroup::writeEntry(const char*, const char*)
    {22, 3363, 486, 2, 0, 0, 102},	//714 KConfigGroup::writeEntry(const QString&, const QStringList&)
    {22, 3363, 489, 2, 0, 0, 103},	//715 KConfigGroup::writeEntry(const char*, const QStringList&)
    {22, 3363, 480, 2, 0, 0, 104},	//716 KConfigGroup::writeEntry(const QString&, const QList<QVariant>&)
    {22, 3363, 483, 2, 0, 0, 105},	//717 KConfigGroup::writeEntry(const char*, const QList<QVariant>&)
    {22, 3377, 486, 2, 0, 0, 106},	//718 KConfigGroup::writeXdgListEntry(const QString&, const QStringList&)
    {22, 3377, 489, 2, 0, 0, 107},	//719 KConfigGroup::writeXdgListEntry(const char*, const QStringList&)
    {22, 3372, 89, 2, 0, 0, 108},	//720 KConfigGroup::writePathEntry(const QString&, const QString&)
    {22, 3372, 474, 2, 0, 0, 109},	//721 KConfigGroup::writePathEntry(const char*, const QString&)
    {22, 3372, 486, 2, 0, 0, 110},	//722 KConfigGroup::writePathEntry(const QString&, const QStringList&)
    {22, 3372, 489, 2, 0, 0, 111},	//723 KConfigGroup::writePathEntry(const char*, const QStringList&)
    {22, 1350, 24, 1, 0, 0, 112},	//724 KConfigGroup::deleteEntry(const QString&)
    {22, 1350, 109, 1, 0, 0, 113},	//725 KConfigGroup::deleteEntry(const char*)
    {22, 3439, 0, 0, Smoke::mf_dtor, 0, 114 },	//726 KConfigGroup::~KConfigGroup()
    {24, 318, 89, 2, Smoke::mf_ctor, 51, 1},	//727 KConfigSkeletonItem::KConfigSkeletonItem(const QString&, const QString&)
    {24, 2695, 24, 1, 0, 0, 2},	//728 KConfigSkeletonItem::setGroup(const QString&)
    {24, 1670, 0, 0, Smoke::mf_const, 406, 3},	//729 KConfigSkeletonItem::group() const
    {24, 2715, 24, 1, 0, 0, 4},	//730 KConfigSkeletonItem::setKey(const QString&)
    {24, 1943, 0, 0, Smoke::mf_const, 406, 5},	//731 KConfigSkeletonItem::key() const
    {24, 2833, 24, 1, 0, 0, 6},	//732 KConfigSkeletonItem::setName(const QString&)
    {24, 2115, 0, 0, Smoke::mf_const, 406, 7},	//733 KConfigSkeletonItem::name() const
    {24, 2717, 24, 1, 0, 0, 8},	//734 KConfigSkeletonItem::setLabel(const QString&)
    {24, 1963, 0, 0, Smoke::mf_const, 406, 9},	//735 KConfigSkeletonItem::label() const
    {24, 2954, 24, 1, 0, 0, 10},	//736 KConfigSkeletonItem::setToolTip(const QString&)
    {24, 3196, 0, 0, Smoke::mf_const, 406, 11},	//737 KConfigSkeletonItem::toolTip() const
    {24, 2978, 24, 1, 0, 0, 12},	//738 KConfigSkeletonItem::setWhatsThis(const QString&)
    {24, 3352, 0, 0, Smoke::mf_const, 406, 13},	//739 KConfigSkeletonItem::whatsThis() const
    {24, 2379, 548, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//740 KConfigSkeletonItem::readConfig(KConfig*) [pure virtual]
    {24, 3359, 548, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//741 KConfigSkeletonItem::writeConfig(KConfig*) [pure virtual]
    {24, 2388, 548, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//742 KConfigSkeletonItem::readDefault(KConfig*) [pure virtual]
    {24, 2895, 28, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//743 KConfigSkeletonItem::setProperty(const QVariant&) [pure virtual]
    {24, 1829, 28, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 18},	//744 KConfigSkeletonItem::isEqual(const QVariant&) const [pure virtual]
    {24, 2318, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 430, 19},	//745 KConfigSkeletonItem::property() const [pure virtual]
    {24, 2078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 430, 20},	//746 KConfigSkeletonItem::minValue() const
    {24, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 430, 21},	//747 KConfigSkeletonItem::maxValue() const
    {24, 2643, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 22},	//748 KConfigSkeletonItem::setDefault() [pure virtual]
    {24, 3134, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//749 KConfigSkeletonItem::swapDefault() [pure virtual]
    {24, 1844, 0, 0, Smoke::mf_const, 538, 24},	//750 KConfigSkeletonItem::isImmutable() const
    {24, 2405, 464, 1, Smoke::mf_protected, 0, 25},	//751 KConfigSkeletonItem::readImmutability(const KConfigGroup&)
    {24, 318, 550, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 26},	//752 KConfigSkeletonItem::KConfigSkeletonItem(const KConfigSkeletonItem&)
    {24, 2026, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 407, 27},	//753 KConfigSkeletonItem::mGroup() const
    {24, 2745, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 28},	//754 KConfigSkeletonItem::setMGroup(const QString&)
    {24, 2027, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 407, 29},	//755 KConfigSkeletonItem::mKey() const
    {24, 2747, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 30},	//756 KConfigSkeletonItem::setMKey(const QString&)
    {24, 2028, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 407, 31},	//757 KConfigSkeletonItem::mName() const
    {24, 2749, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 32},	//758 KConfigSkeletonItem::setMName(const QString&)
    {24, 3440, 0, 0, Smoke::mf_dtor, 0, 33 },	//759 KConfigSkeletonItem::~KConfigSkeletonItem()
    {25, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//760 KCoreConfigSkeleton::metaObject() const
    {25, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//761 KCoreConfigSkeleton::qt_metacast(const char*)
    {25, 3200, 111, 2, Smoke::mf_static, 406, 3},	//762 KCoreConfigSkeleton::tr(const char*, const char*)
    {25, 3207, 111, 2, Smoke::mf_static, 406, 4},	//763 KCoreConfigSkeleton::trUtf8(const char*, const char*)
    {25, 3200, 114, 3, Smoke::mf_static, 406, 5},	//764 KCoreConfigSkeleton::tr(const char*, const char*, int)
    {25, 3207, 114, 3, Smoke::mf_static, 406, 6},	//765 KCoreConfigSkeleton::trUtf8(const char*, const char*, int)
    {25, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//766 KCoreConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
    {25, 321, 142, 2, Smoke::mf_ctor, 52, 8},	//767 KCoreConfigSkeleton::KCoreConfigSkeleton(const QString&, QObject*)
    {25, 321, 552, 2, Smoke::mf_ctor, 52, 9},	//768 KCoreConfigSkeleton::KCoreConfigSkeleton(KSharedPtr<KSharedConfig>, QObject*)
    {25, 2648, 0, 0, Smoke::mf_virtual, 0, 10},	//769 KCoreConfigSkeleton::setDefaults()
    {25, 2379, 0, 0, Smoke::mf_virtual, 0, 11},	//770 KCoreConfigSkeleton::readConfig()
    {25, 3359, 0, 0, Smoke::mf_virtual, 0, 12},	//771 KCoreConfigSkeleton::writeConfig()
    {25, 2608, 24, 1, 0, 0, 13},	//772 KCoreConfigSkeleton::setCurrentGroup(const QString&)
    {25, 1255, 0, 0, Smoke::mf_const, 406, 14},	//773 KCoreConfigSkeleton::currentGroup() const
    {25, 900, 555, 2, 0, 0, 15},	//774 KCoreConfigSkeleton::addItem(KConfigSkeletonItem*, const QString&)
    {25, 955, 558, 4, 0, 69, 16},	//775 KCoreConfigSkeleton::addItemString(const QString&, QString&, const QString&, const QString&)
    {25, 931, 558, 4, 0, 62, 17},	//776 KCoreConfigSkeleton::addItemPassword(const QString&, QString&, const QString&, const QString&)
    {25, 935, 558, 4, 0, 63, 18},	//777 KCoreConfigSkeleton::addItemPath(const QString&, QString&, const QString&, const QString&)
    {25, 943, 563, 4, 0, 66, 19},	//778 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&, const QVariant&, const QString&)
    {25, 903, 568, 4, 0, 53, 20},	//779 KCoreConfigSkeleton::addItemBool(const QString&, bool&, bool, const QString&)
    {25, 915, 573, 4, 0, 59, 21},	//780 KCoreConfigSkeleton::addItemInt(const QString&, int&, int, const QString&)
    {25, 963, 578, 4, 0, 72, 22},	//781 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&, unsigned int, const QString&)
    {25, 927, 583, 4, 0, 61, 23},	//782 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&, long long, const QString&)
    {25, 919, 583, 4, 0, 61, 24},	//783 KCoreConfigSkeleton::addItemInt64(const QString&, long long&, long long, const QString&)
    {25, 971, 588, 4, 0, 73, 25},	//784 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&, unsigned long long, const QString&)
    {25, 967, 588, 4, 0, 73, 26},	//785 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&, unsigned long long, const QString&)
    {25, 911, 593, 4, 0, 55, 27},	//786 KCoreConfigSkeleton::addItemDouble(const QString&, double&, double, const QString&)
    {25, 947, 598, 4, 0, 67, 28},	//787 KCoreConfigSkeleton::addItemRect(const QString&, QRect&, const QRect&, const QString&)
    {25, 939, 603, 4, 0, 65, 29},	//788 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&, const QPoint&, const QString&)
    {25, 951, 608, 4, 0, 68, 30},	//789 KCoreConfigSkeleton::addItemSize(const QString&, QSize&, const QSize&, const QString&)
    {25, 907, 613, 4, 0, 54, 31},	//790 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&, const QDateTime&, const QString&)
    {25, 959, 618, 4, 0, 71, 32},	//791 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&, const QStringList&, const QString&)
    {25, 923, 623, 4, 0, 60, 33},	//792 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&, const QList<int>&, const QString&)
    {25, 1184, 0, 0, 0, 42, 34},	//793 KCoreConfigSkeleton::config()
    {25, 1184, 0, 0, Smoke::mf_const, 556, 35},	//794 KCoreConfigSkeleton::config() const
    {25, 2915, 628, 1, 0, 0, 36},	//795 KCoreConfigSkeleton::setSharedConfig(KSharedPtr<KSharedConfig>)
    {25, 1901, 0, 0, Smoke::mf_const, 356, 37},	//796 KCoreConfigSkeleton::items() const
    {25, 1844, 24, 1, 0, 538, 38},	//797 KCoreConfigSkeleton::isImmutable(const QString&)
    {25, 1844, 24, 1, Smoke::mf_const, 538, 39},	//798 KCoreConfigSkeleton::isImmutable(const QString&) const
    {25, 1575, 24, 1, 0, 51, 40},	//799 KCoreConfigSkeleton::findItem(const QString&)
    {25, 1575, 24, 1, Smoke::mf_const, 51, 41},	//800 KCoreConfigSkeleton::findItem(const QString&) const
    {25, 3275, 97, 1, Smoke::mf_virtual, 538, 42},	//801 KCoreConfigSkeleton::useDefaults(bool)
    {25, 1186, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//802 KCoreConfigSkeleton::configChanged()
    {25, 3287, 97, 1, Smoke::mf_protected|Smoke::mf_virtual, 538, 44},	//803 KCoreConfigSkeleton::usrUseDefaults(bool)
    {25, 3286, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//804 KCoreConfigSkeleton::usrSetDefaults()
    {25, 3285, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//805 KCoreConfigSkeleton::usrReadConfig()
    {25, 3289, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//806 KCoreConfigSkeleton::usrWriteConfig()
    {25, 3200, 109, 1, Smoke::mf_static, 406, 48},	//807 KCoreConfigSkeleton::tr(const char*)
    {25, 3207, 109, 1, Smoke::mf_static, 406, 49},	//808 KCoreConfigSkeleton::trUtf8(const char*)
    {25, 321, 0, 0, Smoke::mf_ctor, 52, 50},	//809 KCoreConfigSkeleton::KCoreConfigSkeleton()
    {25, 321, 24, 1, Smoke::mf_ctor, 52, 51},	//810 KCoreConfigSkeleton::KCoreConfigSkeleton(const QString&)
    {25, 321, 628, 1, Smoke::mf_ctor, 52, 52},	//811 KCoreConfigSkeleton::KCoreConfigSkeleton(KSharedPtr<KSharedConfig>)
    {25, 900, 630, 1, 0, 0, 53},	//812 KCoreConfigSkeleton::addItem(KConfigSkeletonItem*)
    {25, 955, 632, 2, 0, 69, 54},	//813 KCoreConfigSkeleton::addItemString(const QString&, QString&)
    {25, 955, 635, 3, 0, 69, 55},	//814 KCoreConfigSkeleton::addItemString(const QString&, QString&, const QString&)
    {25, 931, 632, 2, 0, 62, 56},	//815 KCoreConfigSkeleton::addItemPassword(const QString&, QString&)
    {25, 931, 635, 3, 0, 62, 57},	//816 KCoreConfigSkeleton::addItemPassword(const QString&, QString&, const QString&)
    {25, 935, 632, 2, 0, 63, 58},	//817 KCoreConfigSkeleton::addItemPath(const QString&, QString&)
    {25, 935, 635, 3, 0, 63, 59},	//818 KCoreConfigSkeleton::addItemPath(const QString&, QString&, const QString&)
    {25, 943, 639, 2, 0, 66, 60},	//819 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&)
    {25, 943, 642, 3, 0, 66, 61},	//820 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&, const QVariant&)
    {25, 903, 304, 2, 0, 53, 62},	//821 KCoreConfigSkeleton::addItemBool(const QString&, bool&)
    {25, 903, 646, 3, 0, 53, 63},	//822 KCoreConfigSkeleton::addItemBool(const QString&, bool&, bool)
    {25, 915, 228, 2, 0, 59, 64},	//823 KCoreConfigSkeleton::addItemInt(const QString&, int&)
    {25, 915, 650, 3, 0, 59, 65},	//824 KCoreConfigSkeleton::addItemInt(const QString&, int&, int)
    {25, 963, 654, 2, 0, 72, 66},	//825 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&)
    {25, 963, 657, 3, 0, 72, 67},	//826 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&, unsigned int)
    {25, 927, 661, 2, 0, 61, 68},	//827 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&)
    {25, 927, 664, 3, 0, 61, 69},	//828 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&, long long)
    {25, 919, 661, 2, 0, 61, 70},	//829 KCoreConfigSkeleton::addItemInt64(const QString&, long long&)
    {25, 919, 664, 3, 0, 61, 71},	//830 KCoreConfigSkeleton::addItemInt64(const QString&, long long&, long long)
    {25, 971, 668, 2, 0, 73, 72},	//831 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&)
    {25, 971, 671, 3, 0, 73, 73},	//832 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&, unsigned long long)
    {25, 967, 668, 2, 0, 73, 74},	//833 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&)
    {25, 967, 671, 3, 0, 73, 75},	//834 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&, unsigned long long)
    {25, 911, 675, 2, 0, 55, 76},	//835 KCoreConfigSkeleton::addItemDouble(const QString&, double&)
    {25, 911, 678, 3, 0, 55, 77},	//836 KCoreConfigSkeleton::addItemDouble(const QString&, double&, double)
    {25, 947, 682, 2, 0, 67, 78},	//837 KCoreConfigSkeleton::addItemRect(const QString&, QRect&)
    {25, 947, 685, 3, 0, 67, 79},	//838 KCoreConfigSkeleton::addItemRect(const QString&, QRect&, const QRect&)
    {25, 939, 689, 2, 0, 65, 80},	//839 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&)
    {25, 939, 692, 3, 0, 65, 81},	//840 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&, const QPoint&)
    {25, 951, 696, 2, 0, 68, 82},	//841 KCoreConfigSkeleton::addItemSize(const QString&, QSize&)
    {25, 951, 699, 3, 0, 68, 83},	//842 KCoreConfigSkeleton::addItemSize(const QString&, QSize&, const QSize&)
    {25, 907, 703, 2, 0, 54, 84},	//843 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&)
    {25, 907, 706, 3, 0, 54, 85},	//844 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&, const QDateTime&)
    {25, 959, 710, 2, 0, 71, 86},	//845 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&)
    {25, 959, 713, 3, 0, 71, 87},	//846 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&, const QStringList&)
    {25, 923, 717, 2, 0, 60, 88},	//847 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&)
    {25, 923, 720, 3, 0, 60, 89},	//848 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&, const QList<int>&)
    {25, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 90},	//849 KCoreConfigSkeleton::staticMetaObject() const
    {25, 3441, 0, 0, Smoke::mf_dtor, 0, 91 },	//850 KCoreConfigSkeleton::~KCoreConfigSkeleton()
    {26, 175, 724, 4, Smoke::mf_ctor, 53, 1},	//851 KCoreConfigSkeleton::ItemBool::ItemBool(const QString&, const QString&, bool&, bool)
    {26, 2379, 548, 1, 0, 0, 2},	//852 KCoreConfigSkeleton::ItemBool::readConfig(KConfig*)
    {26, 2895, 28, 1, 0, 0, 3},	//853 KCoreConfigSkeleton::ItemBool::setProperty(const QVariant&)
    {26, 1829, 28, 1, Smoke::mf_const, 538, 4},	//854 KCoreConfigSkeleton::ItemBool::isEqual(const QVariant&) const
    {26, 2318, 0, 0, Smoke::mf_const, 430, 5},	//855 KCoreConfigSkeleton::ItemBool::property() const
    {26, 175, 729, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 6},	//856 KCoreConfigSkeleton::ItemBool::ItemBool(const KCoreConfigSkeleton::ItemBool&)
    {26, 175, 731, 3, Smoke::mf_ctor, 53, 7},	//857 KCoreConfigSkeleton::ItemBool::ItemBool(const QString&, const QString&, bool&)
    {26, 3405, 0, 0, Smoke::mf_dtor, 0, 8 },	//858 KCoreConfigSkeleton::ItemBool::~ItemBool()
    {27, 179, 735, 4, Smoke::mf_ctor, 54, 1},	//859 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const QString&, const QString&, QDateTime&, const QDateTime&)
    {27, 2379, 548, 1, 0, 0, 2},	//860 KCoreConfigSkeleton::ItemDateTime::readConfig(KConfig*)
    {27, 2895, 28, 1, 0, 0, 3},	//861 KCoreConfigSkeleton::ItemDateTime::setProperty(const QVariant&)
    {27, 1829, 28, 1, Smoke::mf_const, 538, 4},	//862 KCoreConfigSkeleton::ItemDateTime::isEqual(const QVariant&) const
    {27, 2318, 0, 0, Smoke::mf_const, 430, 5},	//863 KCoreConfigSkeleton::ItemDateTime::property() const
    {27, 179, 740, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 6},	//864 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const KCoreConfigSkeleton::ItemDateTime&)
    {27, 179, 742, 3, Smoke::mf_ctor, 54, 7},	//865 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const QString&, const QString&, QDateTime&)
    {27, 3406, 0, 0, Smoke::mf_dtor, 0, 8 },	//866 KCoreConfigSkeleton::ItemDateTime::~ItemDateTime()
    {28, 183, 746, 4, Smoke::mf_ctor, 55, 1},	//867 KCoreConfigSkeleton::ItemDouble::ItemDouble(const QString&, const QString&, double&, double)
    {28, 2379, 548, 1, 0, 0, 2},	//868 KCoreConfigSkeleton::ItemDouble::readConfig(KConfig*)
    {28, 2895, 28, 1, 0, 0, 3},	//869 KCoreConfigSkeleton::ItemDouble::setProperty(const QVariant&)
    {28, 1829, 28, 1, Smoke::mf_const, 538, 4},	//870 KCoreConfigSkeleton::ItemDouble::isEqual(const QVariant&) const
    {28, 2318, 0, 0, Smoke::mf_const, 430, 5},	//871 KCoreConfigSkeleton::ItemDouble::property() const
    {28, 2078, 0, 0, Smoke::mf_const, 430, 6},	//872 KCoreConfigSkeleton::ItemDouble::minValue() const
    {28, 2068, 0, 0, Smoke::mf_const, 430, 7},	//873 KCoreConfigSkeleton::ItemDouble::maxValue() const
    {28, 2820, 751, 1, 0, 0, 8},	//874 KCoreConfigSkeleton::ItemDouble::setMinValue(double)
    {28, 2811, 751, 1, 0, 0, 9},	//875 KCoreConfigSkeleton::ItemDouble::setMaxValue(double)
    {28, 183, 753, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 10},	//876 KCoreConfigSkeleton::ItemDouble::ItemDouble(const KCoreConfigSkeleton::ItemDouble&)
    {28, 183, 755, 3, Smoke::mf_ctor, 55, 11},	//877 KCoreConfigSkeleton::ItemDouble::ItemDouble(const QString&, const QString&, double&)
    {28, 3407, 0, 0, Smoke::mf_dtor, 0, 12 },	//878 KCoreConfigSkeleton::ItemDouble::~ItemDouble()
    {29, 187, 759, 5, Smoke::mf_ctor, 56, 1},	//879 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int)
    {29, 187, 765, 5, Smoke::mf_ctor, 56, 2},	//880 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int)
    {29, 1155, 0, 0, Smoke::mf_const, 358, 3},	//881 KCoreConfigSkeleton::ItemEnum::choices() const
    {29, 1156, 0, 0, Smoke::mf_const, 357, 4},	//882 KCoreConfigSkeleton::ItemEnum::choices2() const
    {29, 2379, 548, 1, 0, 0, 5},	//883 KCoreConfigSkeleton::ItemEnum::readConfig(KConfig*)
    {29, 3359, 548, 1, 0, 0, 6},	//884 KCoreConfigSkeleton::ItemEnum::writeConfig(KConfig*)
    {29, 187, 771, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 7},	//885 KCoreConfigSkeleton::ItemEnum::ItemEnum(const KCoreConfigSkeleton::ItemEnum&)
    {29, 187, 773, 4, Smoke::mf_ctor, 56, 8},	//886 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&)
    {29, 187, 778, 4, Smoke::mf_ctor, 56, 9},	//887 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&)
    {29, 3408, 0, 0, Smoke::mf_dtor, 0, 10 },	//888 KCoreConfigSkeleton::ItemEnum::~ItemEnum()
    {30, 58, 0, 0, Smoke::mf_ctor, 57, 1},	//889 KCoreConfigSkeleton::ItemEnum::Choice::Choice()
    {30, 58, 783, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//890 KCoreConfigSkeleton::ItemEnum::Choice::Choice(const KCoreConfigSkeleton::ItemEnum::Choice&)
    {30, 2115, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 407, 3},	//891 KCoreConfigSkeleton::ItemEnum::Choice::name() const
    {30, 2833, 24, 1, Smoke::mf_attribute, 0, 4},	//892 KCoreConfigSkeleton::ItemEnum::Choice::setName(const QString&)
    {30, 1963, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 407, 5},	//893 KCoreConfigSkeleton::ItemEnum::Choice::label() const
    {30, 2717, 24, 1, Smoke::mf_attribute, 0, 6},	//894 KCoreConfigSkeleton::ItemEnum::Choice::setLabel(const QString&)
    {30, 3352, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 407, 7},	//895 KCoreConfigSkeleton::ItemEnum::Choice::whatsThis() const
    {30, 2978, 24, 1, Smoke::mf_attribute, 0, 8},	//896 KCoreConfigSkeleton::ItemEnum::Choice::setWhatsThis(const QString&)
    {30, 3402, 0, 0, Smoke::mf_dtor, 0, 9 },	//897 KCoreConfigSkeleton::ItemEnum::Choice::~Choice()
    {31, 60, 0, 0, Smoke::mf_ctor, 58, 1},	//898 KCoreConfigSkeleton::ItemEnum::Choice2::Choice2()
    {31, 60, 785, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 2},	//899 KCoreConfigSkeleton::ItemEnum::Choice2::Choice2(const KCoreConfigSkeleton::ItemEnum::Choice2&)
    {31, 2115, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 407, 3},	//900 KCoreConfigSkeleton::ItemEnum::Choice2::name() const
    {31, 2833, 24, 1, Smoke::mf_attribute, 0, 4},	//901 KCoreConfigSkeleton::ItemEnum::Choice2::setName(const QString&)
    {31, 1963, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 407, 5},	//902 KCoreConfigSkeleton::ItemEnum::Choice2::label() const
    {31, 2717, 24, 1, Smoke::mf_attribute, 0, 6},	//903 KCoreConfigSkeleton::ItemEnum::Choice2::setLabel(const QString&)
    {31, 3196, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 407, 7},	//904 KCoreConfigSkeleton::ItemEnum::Choice2::toolTip() const
    {31, 2954, 24, 1, Smoke::mf_attribute, 0, 8},	//905 KCoreConfigSkeleton::ItemEnum::Choice2::setToolTip(const QString&)
    {31, 3352, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 407, 9},	//906 KCoreConfigSkeleton::ItemEnum::Choice2::whatsThis() const
    {31, 2978, 24, 1, Smoke::mf_attribute, 0, 10},	//907 KCoreConfigSkeleton::ItemEnum::Choice2::setWhatsThis(const QString&)
    {31, 3403, 0, 0, Smoke::mf_dtor, 0, 11 },	//908 KCoreConfigSkeleton::ItemEnum::Choice2::~Choice2()
    {32, 191, 787, 4, Smoke::mf_ctor, 59, 1},	//909 KCoreConfigSkeleton::ItemInt::ItemInt(const QString&, const QString&, int&, int)
    {32, 2379, 548, 1, 0, 0, 2},	//910 KCoreConfigSkeleton::ItemInt::readConfig(KConfig*)
    {32, 2895, 28, 1, 0, 0, 3},	//911 KCoreConfigSkeleton::ItemInt::setProperty(const QVariant&)
    {32, 1829, 28, 1, Smoke::mf_const, 538, 4},	//912 KCoreConfigSkeleton::ItemInt::isEqual(const QVariant&) const
    {32, 2318, 0, 0, Smoke::mf_const, 430, 5},	//913 KCoreConfigSkeleton::ItemInt::property() const
    {32, 2078, 0, 0, Smoke::mf_const, 430, 6},	//914 KCoreConfigSkeleton::ItemInt::minValue() const
    {32, 2068, 0, 0, Smoke::mf_const, 430, 7},	//915 KCoreConfigSkeleton::ItemInt::maxValue() const
    {32, 2820, 105, 1, 0, 0, 8},	//916 KCoreConfigSkeleton::ItemInt::setMinValue(int)
    {32, 2811, 105, 1, 0, 0, 9},	//917 KCoreConfigSkeleton::ItemInt::setMaxValue(int)
    {32, 191, 792, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 59, 10},	//918 KCoreConfigSkeleton::ItemInt::ItemInt(const KCoreConfigSkeleton::ItemInt&)
    {32, 191, 794, 3, Smoke::mf_ctor, 59, 11},	//919 KCoreConfigSkeleton::ItemInt::ItemInt(const QString&, const QString&, int&)
    {32, 3409, 0, 0, Smoke::mf_dtor, 0, 12 },	//920 KCoreConfigSkeleton::ItemInt::~ItemInt()
    {33, 195, 798, 4, Smoke::mf_ctor, 60, 1},	//921 KCoreConfigSkeleton::ItemIntList::ItemIntList(const QString&, const QString&, QList<int>&, const QList<int>&)
    {33, 2379, 548, 1, 0, 0, 2},	//922 KCoreConfigSkeleton::ItemIntList::readConfig(KConfig*)
    {33, 2895, 28, 1, 0, 0, 3},	//923 KCoreConfigSkeleton::ItemIntList::setProperty(const QVariant&)
    {33, 1829, 28, 1, Smoke::mf_const, 538, 4},	//924 KCoreConfigSkeleton::ItemIntList::isEqual(const QVariant&) const
    {33, 2318, 0, 0, Smoke::mf_const, 430, 5},	//925 KCoreConfigSkeleton::ItemIntList::property() const
    {33, 195, 803, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 6},	//926 KCoreConfigSkeleton::ItemIntList::ItemIntList(const KCoreConfigSkeleton::ItemIntList&)
    {33, 195, 805, 3, Smoke::mf_ctor, 60, 7},	//927 KCoreConfigSkeleton::ItemIntList::ItemIntList(const QString&, const QString&, QList<int>&)
    {33, 3410, 0, 0, Smoke::mf_dtor, 0, 8 },	//928 KCoreConfigSkeleton::ItemIntList::~ItemIntList()
    {34, 199, 809, 4, Smoke::mf_ctor, 61, 1},	//929 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const QString&, const QString&, long long&, long long)
    {34, 2379, 548, 1, 0, 0, 2},	//930 KCoreConfigSkeleton::ItemLongLong::readConfig(KConfig*)
    {34, 2895, 28, 1, 0, 0, 3},	//931 KCoreConfigSkeleton::ItemLongLong::setProperty(const QVariant&)
    {34, 1829, 28, 1, Smoke::mf_const, 538, 4},	//932 KCoreConfigSkeleton::ItemLongLong::isEqual(const QVariant&) const
    {34, 2318, 0, 0, Smoke::mf_const, 430, 5},	//933 KCoreConfigSkeleton::ItemLongLong::property() const
    {34, 2078, 0, 0, Smoke::mf_const, 430, 6},	//934 KCoreConfigSkeleton::ItemLongLong::minValue() const
    {34, 2068, 0, 0, Smoke::mf_const, 430, 7},	//935 KCoreConfigSkeleton::ItemLongLong::maxValue() const
    {34, 2820, 814, 1, 0, 0, 8},	//936 KCoreConfigSkeleton::ItemLongLong::setMinValue(long long)
    {34, 2811, 814, 1, 0, 0, 9},	//937 KCoreConfigSkeleton::ItemLongLong::setMaxValue(long long)
    {34, 199, 816, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 10},	//938 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const KCoreConfigSkeleton::ItemLongLong&)
    {34, 199, 818, 3, Smoke::mf_ctor, 61, 11},	//939 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const QString&, const QString&, long long&)
    {34, 3411, 0, 0, Smoke::mf_dtor, 0, 12 },	//940 KCoreConfigSkeleton::ItemLongLong::~ItemLongLong()
    {35, 203, 822, 4, Smoke::mf_ctor, 62, 1},	//941 KCoreConfigSkeleton::ItemPassword::ItemPassword(const QString&, const QString&, QString&, const QString&)
    {35, 203, 827, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 2},	//942 KCoreConfigSkeleton::ItemPassword::ItemPassword(const KCoreConfigSkeleton::ItemPassword&)
    {35, 203, 829, 3, Smoke::mf_ctor, 62, 3},	//943 KCoreConfigSkeleton::ItemPassword::ItemPassword(const QString&, const QString&, QString&)
    {35, 3412, 0, 0, Smoke::mf_dtor, 0, 4 },	//944 KCoreConfigSkeleton::ItemPassword::~ItemPassword()
    {36, 207, 822, 4, Smoke::mf_ctor, 63, 1},	//945 KCoreConfigSkeleton::ItemPath::ItemPath(const QString&, const QString&, QString&, const QString&)
    {36, 207, 833, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 63, 2},	//946 KCoreConfigSkeleton::ItemPath::ItemPath(const KCoreConfigSkeleton::ItemPath&)
    {36, 207, 829, 3, Smoke::mf_ctor, 63, 3},	//947 KCoreConfigSkeleton::ItemPath::ItemPath(const QString&, const QString&, QString&)
    {36, 3413, 0, 0, Smoke::mf_dtor, 0, 4 },	//948 KCoreConfigSkeleton::ItemPath::~ItemPath()
    {37, 211, 835, 4, Smoke::mf_ctor, 64, 1},	//949 KCoreConfigSkeleton::ItemPathList::ItemPathList(const QString&, const QString&, QStringList&, const QStringList&)
    {37, 2379, 548, 1, 0, 0, 2},	//950 KCoreConfigSkeleton::ItemPathList::readConfig(KConfig*)
    {37, 3359, 548, 1, 0, 0, 3},	//951 KCoreConfigSkeleton::ItemPathList::writeConfig(KConfig*)
    {37, 211, 840, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 4},	//952 KCoreConfigSkeleton::ItemPathList::ItemPathList(const KCoreConfigSkeleton::ItemPathList&)
    {37, 211, 842, 3, Smoke::mf_ctor, 64, 5},	//953 KCoreConfigSkeleton::ItemPathList::ItemPathList(const QString&, const QString&, QStringList&)
    {37, 3414, 0, 0, Smoke::mf_dtor, 0, 6 },	//954 KCoreConfigSkeleton::ItemPathList::~ItemPathList()
    {38, 215, 846, 4, Smoke::mf_ctor, 65, 1},	//955 KCoreConfigSkeleton::ItemPoint::ItemPoint(const QString&, const QString&, QPoint&, const QPoint&)
    {38, 2379, 548, 1, 0, 0, 2},	//956 KCoreConfigSkeleton::ItemPoint::readConfig(KConfig*)
    {38, 2895, 28, 1, 0, 0, 3},	//957 KCoreConfigSkeleton::ItemPoint::setProperty(const QVariant&)
    {38, 1829, 28, 1, Smoke::mf_const, 538, 4},	//958 KCoreConfigSkeleton::ItemPoint::isEqual(const QVariant&) const
    {38, 2318, 0, 0, Smoke::mf_const, 430, 5},	//959 KCoreConfigSkeleton::ItemPoint::property() const
    {38, 215, 851, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 6},	//960 KCoreConfigSkeleton::ItemPoint::ItemPoint(const KCoreConfigSkeleton::ItemPoint&)
    {38, 215, 853, 3, Smoke::mf_ctor, 65, 7},	//961 KCoreConfigSkeleton::ItemPoint::ItemPoint(const QString&, const QString&, QPoint&)
    {38, 3415, 0, 0, Smoke::mf_dtor, 0, 8 },	//962 KCoreConfigSkeleton::ItemPoint::~ItemPoint()
    {39, 219, 857, 4, Smoke::mf_ctor, 66, 1},	//963 KCoreConfigSkeleton::ItemProperty::ItemProperty(const QString&, const QString&, QVariant&, const QVariant&)
    {39, 2379, 548, 1, 0, 0, 2},	//964 KCoreConfigSkeleton::ItemProperty::readConfig(KConfig*)
    {39, 2895, 28, 1, 0, 0, 3},	//965 KCoreConfigSkeleton::ItemProperty::setProperty(const QVariant&)
    {39, 1829, 28, 1, Smoke::mf_const, 538, 4},	//966 KCoreConfigSkeleton::ItemProperty::isEqual(const QVariant&) const
    {39, 2318, 0, 0, Smoke::mf_const, 430, 5},	//967 KCoreConfigSkeleton::ItemProperty::property() const
    {39, 219, 862, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 6},	//968 KCoreConfigSkeleton::ItemProperty::ItemProperty(const KCoreConfigSkeleton::ItemProperty&)
    {39, 219, 864, 3, Smoke::mf_ctor, 66, 7},	//969 KCoreConfigSkeleton::ItemProperty::ItemProperty(const QString&, const QString&, QVariant&)
    {39, 3416, 0, 0, Smoke::mf_dtor, 0, 8 },	//970 KCoreConfigSkeleton::ItemProperty::~ItemProperty()
    {40, 223, 868, 4, Smoke::mf_ctor, 67, 1},	//971 KCoreConfigSkeleton::ItemRect::ItemRect(const QString&, const QString&, QRect&, const QRect&)
    {40, 2379, 548, 1, 0, 0, 2},	//972 KCoreConfigSkeleton::ItemRect::readConfig(KConfig*)
    {40, 2895, 28, 1, 0, 0, 3},	//973 KCoreConfigSkeleton::ItemRect::setProperty(const QVariant&)
    {40, 1829, 28, 1, Smoke::mf_const, 538, 4},	//974 KCoreConfigSkeleton::ItemRect::isEqual(const QVariant&) const
    {40, 2318, 0, 0, Smoke::mf_const, 430, 5},	//975 KCoreConfigSkeleton::ItemRect::property() const
    {40, 223, 873, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 67, 6},	//976 KCoreConfigSkeleton::ItemRect::ItemRect(const KCoreConfigSkeleton::ItemRect&)
    {40, 223, 875, 3, Smoke::mf_ctor, 67, 7},	//977 KCoreConfigSkeleton::ItemRect::ItemRect(const QString&, const QString&, QRect&)
    {40, 3417, 0, 0, Smoke::mf_dtor, 0, 8 },	//978 KCoreConfigSkeleton::ItemRect::~ItemRect()
    {41, 227, 879, 4, Smoke::mf_ctor, 68, 1},	//979 KCoreConfigSkeleton::ItemSize::ItemSize(const QString&, const QString&, QSize&, const QSize&)
    {41, 2379, 548, 1, 0, 0, 2},	//980 KCoreConfigSkeleton::ItemSize::readConfig(KConfig*)
    {41, 2895, 28, 1, 0, 0, 3},	//981 KCoreConfigSkeleton::ItemSize::setProperty(const QVariant&)
    {41, 1829, 28, 1, Smoke::mf_const, 538, 4},	//982 KCoreConfigSkeleton::ItemSize::isEqual(const QVariant&) const
    {41, 2318, 0, 0, Smoke::mf_const, 430, 5},	//983 KCoreConfigSkeleton::ItemSize::property() const
    {41, 227, 884, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 6},	//984 KCoreConfigSkeleton::ItemSize::ItemSize(const KCoreConfigSkeleton::ItemSize&)
    {41, 227, 886, 3, Smoke::mf_ctor, 68, 7},	//985 KCoreConfigSkeleton::ItemSize::ItemSize(const QString&, const QString&, QSize&)
    {41, 3418, 0, 0, Smoke::mf_dtor, 0, 8 },	//986 KCoreConfigSkeleton::ItemSize::~ItemSize()
    {42, 231, 890, 5, Smoke::mf_ctor, 69, 1},	//987 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&, const QString&, KCoreConfigSkeleton::ItemString::Type)
    {42, 3359, 548, 1, 0, 0, 2},	//988 KCoreConfigSkeleton::ItemString::writeConfig(KConfig*)
    {42, 2379, 548, 1, 0, 0, 3},	//989 KCoreConfigSkeleton::ItemString::readConfig(KConfig*)
    {42, 2895, 28, 1, 0, 0, 4},	//990 KCoreConfigSkeleton::ItemString::setProperty(const QVariant&)
    {42, 1829, 28, 1, Smoke::mf_const, 538, 5},	//991 KCoreConfigSkeleton::ItemString::isEqual(const QVariant&) const
    {42, 2318, 0, 0, Smoke::mf_const, 430, 6},	//992 KCoreConfigSkeleton::ItemString::property() const
    {42, 231, 896, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 7},	//993 KCoreConfigSkeleton::ItemString::ItemString(const KCoreConfigSkeleton::ItemString&)
    {42, 231, 829, 3, Smoke::mf_ctor, 69, 8},	//994 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&)
    {42, 231, 822, 4, Smoke::mf_ctor, 69, 9},	//995 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&, const QString&)
    {42, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 10},	//996 KCoreConfigSkeleton::ItemString::Normal (enum)
    {42, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 11},	//997 KCoreConfigSkeleton::ItemString::Password (enum)
    {42, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 12},	//998 KCoreConfigSkeleton::ItemString::Path (enum)
    {42, 3419, 0, 0, Smoke::mf_dtor, 0, 13 },	//999 KCoreConfigSkeleton::ItemString::~ItemString()
    {43, 236, 835, 4, Smoke::mf_ctor, 71, 1},	//1000 KCoreConfigSkeleton::ItemStringList::ItemStringList(const QString&, const QString&, QStringList&, const QStringList&)
    {43, 2379, 548, 1, 0, 0, 2},	//1001 KCoreConfigSkeleton::ItemStringList::readConfig(KConfig*)
    {43, 2895, 28, 1, 0, 0, 3},	//1002 KCoreConfigSkeleton::ItemStringList::setProperty(const QVariant&)
    {43, 1829, 28, 1, Smoke::mf_const, 538, 4},	//1003 KCoreConfigSkeleton::ItemStringList::isEqual(const QVariant&) const
    {43, 2318, 0, 0, Smoke::mf_const, 430, 5},	//1004 KCoreConfigSkeleton::ItemStringList::property() const
    {43, 236, 898, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 6},	//1005 KCoreConfigSkeleton::ItemStringList::ItemStringList(const KCoreConfigSkeleton::ItemStringList&)
    {43, 236, 842, 3, Smoke::mf_ctor, 71, 7},	//1006 KCoreConfigSkeleton::ItemStringList::ItemStringList(const QString&, const QString&, QStringList&)
    {43, 3420, 0, 0, Smoke::mf_dtor, 0, 8 },	//1007 KCoreConfigSkeleton::ItemStringList::~ItemStringList()
    {44, 240, 900, 4, Smoke::mf_ctor, 72, 1},	//1008 KCoreConfigSkeleton::ItemUInt::ItemUInt(const QString&, const QString&, unsigned int&, unsigned int)
    {44, 2379, 548, 1, 0, 0, 2},	//1009 KCoreConfigSkeleton::ItemUInt::readConfig(KConfig*)
    {44, 2895, 28, 1, 0, 0, 3},	//1010 KCoreConfigSkeleton::ItemUInt::setProperty(const QVariant&)
    {44, 1829, 28, 1, Smoke::mf_const, 538, 4},	//1011 KCoreConfigSkeleton::ItemUInt::isEqual(const QVariant&) const
    {44, 2318, 0, 0, Smoke::mf_const, 430, 5},	//1012 KCoreConfigSkeleton::ItemUInt::property() const
    {44, 2078, 0, 0, Smoke::mf_const, 430, 6},	//1013 KCoreConfigSkeleton::ItemUInt::minValue() const
    {44, 2068, 0, 0, Smoke::mf_const, 430, 7},	//1014 KCoreConfigSkeleton::ItemUInt::maxValue() const
    {44, 2820, 905, 1, 0, 0, 8},	//1015 KCoreConfigSkeleton::ItemUInt::setMinValue(unsigned int)
    {44, 2811, 905, 1, 0, 0, 9},	//1016 KCoreConfigSkeleton::ItemUInt::setMaxValue(unsigned int)
    {44, 240, 907, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 10},	//1017 KCoreConfigSkeleton::ItemUInt::ItemUInt(const KCoreConfigSkeleton::ItemUInt&)
    {44, 240, 909, 3, Smoke::mf_ctor, 72, 11},	//1018 KCoreConfigSkeleton::ItemUInt::ItemUInt(const QString&, const QString&, unsigned int&)
    {44, 3421, 0, 0, Smoke::mf_dtor, 0, 12 },	//1019 KCoreConfigSkeleton::ItemUInt::~ItemUInt()
    {45, 244, 913, 4, Smoke::mf_ctor, 73, 1},	//1020 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const QString&, const QString&, unsigned long long&, unsigned long long)
    {45, 2379, 548, 1, 0, 0, 2},	//1021 KCoreConfigSkeleton::ItemULongLong::readConfig(KConfig*)
    {45, 2895, 28, 1, 0, 0, 3},	//1022 KCoreConfigSkeleton::ItemULongLong::setProperty(const QVariant&)
    {45, 1829, 28, 1, Smoke::mf_const, 538, 4},	//1023 KCoreConfigSkeleton::ItemULongLong::isEqual(const QVariant&) const
    {45, 2318, 0, 0, Smoke::mf_const, 430, 5},	//1024 KCoreConfigSkeleton::ItemULongLong::property() const
    {45, 2078, 0, 0, Smoke::mf_const, 430, 6},	//1025 KCoreConfigSkeleton::ItemULongLong::minValue() const
    {45, 2068, 0, 0, Smoke::mf_const, 430, 7},	//1026 KCoreConfigSkeleton::ItemULongLong::maxValue() const
    {45, 2820, 918, 1, 0, 0, 8},	//1027 KCoreConfigSkeleton::ItemULongLong::setMinValue(unsigned long long)
    {45, 2811, 918, 1, 0, 0, 9},	//1028 KCoreConfigSkeleton::ItemULongLong::setMaxValue(unsigned long long)
    {45, 244, 920, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 73, 10},	//1029 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const KCoreConfigSkeleton::ItemULongLong&)
    {45, 244, 922, 3, Smoke::mf_ctor, 73, 11},	//1030 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const QString&, const QString&, unsigned long long&)
    {45, 3422, 0, 0, Smoke::mf_dtor, 0, 12 },	//1031 KCoreConfigSkeleton::ItemULongLong::~ItemULongLong()
    {46, 248, 926, 4, Smoke::mf_ctor, 74, 1},	//1032 KCoreConfigSkeleton::ItemUrl::ItemUrl(const QString&, const QString&, KUrl&, const KUrl&)
    {46, 3359, 548, 1, 0, 0, 2},	//1033 KCoreConfigSkeleton::ItemUrl::writeConfig(KConfig*)
    {46, 2379, 548, 1, 0, 0, 3},	//1034 KCoreConfigSkeleton::ItemUrl::readConfig(KConfig*)
    {46, 2895, 28, 1, 0, 0, 4},	//1035 KCoreConfigSkeleton::ItemUrl::setProperty(const QVariant&)
    {46, 1829, 28, 1, Smoke::mf_const, 538, 5},	//1036 KCoreConfigSkeleton::ItemUrl::isEqual(const QVariant&) const
    {46, 2318, 0, 0, Smoke::mf_const, 430, 6},	//1037 KCoreConfigSkeleton::ItemUrl::property() const
    {46, 248, 931, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 74, 7},	//1038 KCoreConfigSkeleton::ItemUrl::ItemUrl(const KCoreConfigSkeleton::ItemUrl&)
    {46, 248, 933, 3, Smoke::mf_ctor, 74, 8},	//1039 KCoreConfigSkeleton::ItemUrl::ItemUrl(const QString&, const QString&, KUrl&)
    {46, 3423, 0, 0, Smoke::mf_dtor, 0, 9 },	//1040 KCoreConfigSkeleton::ItemUrl::~ItemUrl()
    {47, 252, 937, 4, Smoke::mf_ctor, 75, 1},	//1041 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const QString&, const QString&, KUrl::List&, const KUrl::List&)
    {47, 2379, 548, 1, 0, 0, 2},	//1042 KCoreConfigSkeleton::ItemUrlList::readConfig(KConfig*)
    {47, 3359, 548, 1, 0, 0, 3},	//1043 KCoreConfigSkeleton::ItemUrlList::writeConfig(KConfig*)
    {47, 2895, 28, 1, 0, 0, 4},	//1044 KCoreConfigSkeleton::ItemUrlList::setProperty(const QVariant&)
    {47, 1829, 28, 1, Smoke::mf_const, 538, 5},	//1045 KCoreConfigSkeleton::ItemUrlList::isEqual(const QVariant&) const
    {47, 2318, 0, 0, Smoke::mf_const, 430, 6},	//1046 KCoreConfigSkeleton::ItemUrlList::property() const
    {47, 252, 942, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 75, 7},	//1047 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const KCoreConfigSkeleton::ItemUrlList&)
    {47, 252, 944, 3, Smoke::mf_ctor, 75, 8},	//1048 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const QString&, const QString&, KUrl::List&)
    {47, 3424, 0, 0, Smoke::mf_dtor, 0, 9 },	//1049 KCoreConfigSkeleton::ItemUrlList::~ItemUrlList()
    {48, 326, 89, 2, Smoke::mf_ctor, 77, 1},	//1050 KCurrencyCode::KCurrencyCode(const QString&, const QString&)
    {48, 326, 948, 2, Smoke::mf_ctor, 77, 2},	//1051 KCurrencyCode::KCurrencyCode(const QFileInfo&, const QString&)
    {48, 326, 951, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 3},	//1052 KCurrencyCode::KCurrencyCode(const KCurrencyCode&)
    {48, 2211, 951, 1, 0, 76, 4},	//1053 KCurrencyCode::operator=(const KCurrencyCode&)
    {48, 1898, 0, 0, Smoke::mf_const, 406, 5},	//1054 KCurrencyCode::isoCurrencyCode() const
    {48, 1899, 0, 0, Smoke::mf_const, 406, 6},	//1055 KCurrencyCode::isoCurrencyCodeNumeric() const
    {48, 2115, 0, 0, Smoke::mf_const, 406, 7},	//1056 KCurrencyCode::name() const
    {48, 1900, 0, 0, Smoke::mf_const, 406, 8},	//1057 KCurrencyCode::isoName() const
    {48, 3095, 0, 0, Smoke::mf_const, 78, 9},	//1058 KCurrencyCode::status() const
    {48, 1280, 0, 0, Smoke::mf_const, 278, 10},	//1059 KCurrencyCode::dateIntroduced() const
    {48, 1282, 0, 0, Smoke::mf_const, 278, 11},	//1060 KCurrencyCode::dateSuspended() const
    {48, 1287, 0, 0, Smoke::mf_const, 278, 12},	//1061 KCurrencyCode::dateWithdrawn() const
    {48, 3136, 0, 0, Smoke::mf_const, 411, 13},	//1062 KCurrencyCode::symbolList() const
    {48, 1348, 0, 0, Smoke::mf_const, 406, 14},	//1063 KCurrencyCode::defaultSymbol() const
    {48, 3247, 0, 0, Smoke::mf_const, 406, 15},	//1064 KCurrencyCode::unambiguousSymbol() const
    {48, 1717, 0, 0, Smoke::mf_const, 538, 16},	//1065 KCurrencyCode::hasSubunits() const
    {48, 1718, 0, 0, Smoke::mf_const, 538, 17},	//1066 KCurrencyCode::hasSubunitsInCirculation() const
    {48, 3123, 0, 0, Smoke::mf_const, 406, 18},	//1067 KCurrencyCode::subunitSymbol() const
    {48, 3124, 0, 0, Smoke::mf_const, 734, 19},	//1068 KCurrencyCode::subunitsPerUnit() const
    {48, 1325, 0, 0, Smoke::mf_const, 734, 20},	//1069 KCurrencyCode::decimalPlaces() const
    {48, 1222, 0, 0, Smoke::mf_const, 411, 21},	//1070 KCurrencyCode::countriesUsingCurrency() const
    {48, 1890, 0, 0, Smoke::mf_const, 538, 22},	//1071 KCurrencyCode::isValid() const
    {48, 1890, 953, 2, Smoke::mf_static, 538, 23},	//1072 KCurrencyCode::isValid(const QString&, QFlags<KCurrencyCode::CurrencyStatus>)
    {48, 1028, 956, 1, Smoke::mf_static, 411, 24},	//1073 KCurrencyCode::allCurrencyCodesList(QFlags<KCurrencyCode::CurrencyStatus>)
    {48, 1248, 89, 2, Smoke::mf_static, 406, 25},	//1074 KCurrencyCode::currencyCodeToName(const QString&, const QString&)
    {48, 326, 24, 1, Smoke::mf_ctor, 77, 26},	//1075 KCurrencyCode::KCurrencyCode(const QString&)
    {48, 326, 958, 1, Smoke::mf_ctor, 77, 27},	//1076 KCurrencyCode::KCurrencyCode(const QFileInfo&)
    {48, 1890, 24, 1, Smoke::mf_static, 538, 28},	//1077 KCurrencyCode::isValid(const QString&)
    {48, 1028, 0, 0, Smoke::mf_static, 411, 29},	//1078 KCurrencyCode::allCurrencyCodesList()
    {48, 1248, 24, 1, Smoke::mf_static, 406, 30},	//1079 KCurrencyCode::currencyCodeToName(const QString&)
    {48, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 31},	//1080 KCurrencyCode::ActiveCurrency (enum)
    {48, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 32},	//1081 KCurrencyCode::SuspendedCurrency (enum)
    {48, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 33},	//1082 KCurrencyCode::ObsoleteCurrency (enum)
    {48, 3442, 0, 0, Smoke::mf_dtor, 0, 34 },	//1083 KCurrencyCode::~KCurrencyCode()
    {49, 3307, 0, 0, Smoke::mf_static, 750, 1},	//1084 KDE::versionRelease()
    {49, 2081, 960, 2, Smoke::mf_static, 734, 2},	//1085 KDE::mkdir(const QString&, unsigned int)
    {49, 2158, 963, 3, Smoke::mf_static, 734, 3},	//1086 KDE::open(const QString&, int, unsigned int)
    {49, 2158, 967, 2, Smoke::mf_static, 734, 4},	//1087 KDE::open(const QString&, int)
    {49, 851, 967, 2, Smoke::mf_static, 734, 5},	//1088 KDE::access(const QString&, int)
    {49, 3304, 0, 0, Smoke::mf_static, 750, 6},	//1089 KDE::version()
    {49, 3305, 0, 0, Smoke::mf_static, 750, 7},	//1090 KDE::versionMajor()
    {49, 3306, 0, 0, Smoke::mf_static, 750, 8},	//1091 KDE::versionMinor()
    {49, 3308, 0, 0, Smoke::mf_static, 719, 9},	//1092 KDE::versionString()
    {49, 1153, 960, 2, Smoke::mf_static, 734, 10},	//1093 KDE::chmod(const QString&, unsigned int)
    {49, 1589, 477, 2, Smoke::mf_static, 535, 11},	//1094 KDE::fopen(const QString&, const char*)
    {49, 2471, 89, 2, Smoke::mf_static, 734, 12},	//1095 KDE::rename(const QString&, const QString&)
    {50, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//1096 KDEDModule::metaObject() const
    {50, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//1097 KDEDModule::qt_metacast(const char*)
    {50, 3200, 111, 2, Smoke::mf_static, 406, 3},	//1098 KDEDModule::tr(const char*, const char*)
    {50, 3207, 111, 2, Smoke::mf_static, 406, 4},	//1099 KDEDModule::trUtf8(const char*, const char*)
    {50, 3200, 114, 3, Smoke::mf_static, 406, 5},	//1100 KDEDModule::tr(const char*, const char*, int)
    {50, 3207, 114, 3, Smoke::mf_static, 406, 6},	//1101 KDEDModule::trUtf8(const char*, const char*, int)
    {50, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//1102 KDEDModule::qt_metacall(QMetaObject::Call, int, void**)
    {50, 331, 133, 1, Smoke::mf_ctor, 79, 8},	//1103 KDEDModule::KDEDModule(QObject*)
    {50, 2823, 24, 1, 0, 0, 9},	//1104 KDEDModule::setModuleName(const QString&)
    {50, 2088, 0, 0, Smoke::mf_const, 406, 10},	//1105 KDEDModule::moduleName() const
    {50, 2086, 970, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1106 KDEDModule::moduleDeleted(KDEDModule*)
    {50, 3353, 972, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1107 KDEDModule::windowRegistered(qlonglong)
    {50, 3355, 972, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//1108 KDEDModule::windowUnregistered(qlonglong)
    {50, 2089, 974, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1109 KDEDModule::moduleRegistered(const QDBusObjectPath&)
    {50, 3200, 109, 1, Smoke::mf_static, 406, 15},	//1110 KDEDModule::tr(const char*)
    {50, 3207, 109, 1, Smoke::mf_static, 406, 16},	//1111 KDEDModule::trUtf8(const char*)
    {50, 331, 0, 0, Smoke::mf_ctor, 79, 17},	//1112 KDEDModule::KDEDModule()
    {50, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 18},	//1113 KDEDModule::staticMetaObject() const
    {50, 3443, 0, 0, Smoke::mf_dtor, 0, 19 },	//1114 KDEDModule::~KDEDModule()
    {51, 333, 0, 0, Smoke::mf_ctor, 80, 1},	//1115 KDEPluginVerificationData::KDEPluginVerificationData()
    {51, 333, 976, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 80, 2},	//1116 KDEPluginVerificationData::KDEPluginVerificationData(const KDEPluginVerificationData&)
    {51, 1269, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 748, 3},	//1117 KDEPluginVerificationData::dataVersion() const
    {51, 2618, 978, 1, Smoke::mf_attribute, 0, 4},	//1118 KDEPluginVerificationData::setDataVersion(unsigned char)
    {51, 335, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 750, 5},	//1119 KDEPluginVerificationData::KDEVersion() const
    {51, 2711, 905, 1, Smoke::mf_attribute, 0, 6},	//1120 KDEPluginVerificationData::setKDEVersion(unsigned int)
    {51, 336, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 719, 7},	//1121 KDEPluginVerificationData::KDEVersionString() const
    {51, 2713, 109, 1, Smoke::mf_attribute, 0, 8},	//1122 KDEPluginVerificationData::setKDEVersionString(const char*)
    {51, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 9},	//1123 KDEPluginVerificationData::PluginVerificationDataVersion (enum)
    {51, 3444, 0, 0, Smoke::mf_dtor, 0, 10 },	//1124 KDEPluginVerificationData::~KDEPluginVerificationData()
    {52, 337, 0, 0, Smoke::mf_ctor, 83, 1},	//1125 KDateTime::KDateTime()
    {52, 337, 980, 2, Smoke::mf_ctor, 83, 2},	//1126 KDateTime::KDateTime(const QDate&, const KDateTime::Spec&)
    {52, 337, 983, 3, Smoke::mf_ctor, 83, 3},	//1127 KDateTime::KDateTime(const QDate&, const QTime&, const KDateTime::Spec&)
    {52, 337, 987, 2, Smoke::mf_ctor, 83, 4},	//1128 KDateTime::KDateTime(const QDateTime&, const KDateTime::Spec&)
    {52, 337, 990, 1, Smoke::mf_ctor, 83, 5},	//1129 KDateTime::KDateTime(const QDateTime&)
    {52, 337, 992, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 83, 6},	//1130 KDateTime::KDateTime(const KDateTime&)
    {52, 2211, 992, 1, 0, 82, 7},	//1131 KDateTime::operator=(const KDateTime&)
    {52, 1861, 0, 0, Smoke::mf_const, 538, 8},	//1132 KDateTime::isNull() const
    {52, 1890, 0, 0, Smoke::mf_const, 538, 9},	//1133 KDateTime::isValid() const
    {52, 1814, 0, 0, Smoke::mf_const, 538, 10},	//1134 KDateTime::isDateOnly() const
    {52, 1275, 0, 0, Smoke::mf_const, 278, 11},	//1135 KDateTime::date() const
    {52, 3163, 0, 0, Smoke::mf_const, 423, 12},	//1136 KDateTime::time() const
    {52, 1283, 0, 0, Smoke::mf_const, 280, 13},	//1137 KDateTime::dateTime() const
    {52, 3168, 0, 0, Smoke::mf_const, 215, 14},	//1138 KDateTime::timeZone() const
    {52, 3165, 0, 0, Smoke::mf_const, 85, 15},	//1139 KDateTime::timeSpec() const
    {52, 3167, 0, 0, Smoke::mf_const, 88, 16},	//1140 KDateTime::timeType() const
    {52, 1855, 0, 0, Smoke::mf_const, 538, 17},	//1141 KDateTime::isLocalZone() const
    {52, 1809, 0, 0, Smoke::mf_const, 538, 18},	//1142 KDateTime::isClockTime() const
    {52, 1887, 0, 0, Smoke::mf_const, 538, 19},	//1143 KDateTime::isUtc() const
    {52, 1862, 0, 0, Smoke::mf_const, 538, 20},	//1144 KDateTime::isOffsetFromUtc() const
    {52, 3291, 0, 0, Smoke::mf_const, 734, 21},	//1145 KDateTime::utcOffset() const
    {52, 1873, 0, 0, Smoke::mf_const, 538, 22},	//1146 KDateTime::isSecondOccurrence() const
    {52, 3189, 0, 0, Smoke::mf_const, 81, 23},	//1147 KDateTime::toUtc() const
    {52, 3179, 0, 0, Smoke::mf_const, 81, 24},	//1148 KDateTime::toOffsetFromUtc() const
    {52, 3179, 105, 1, Smoke::mf_const, 81, 25},	//1149 KDateTime::toOffsetFromUtc(int) const
    {52, 3177, 0, 0, Smoke::mf_const, 81, 26},	//1150 KDateTime::toLocalZone() const
    {52, 3171, 0, 0, Smoke::mf_const, 81, 27},	//1151 KDateTime::toClockTime() const
    {52, 3191, 994, 1, Smoke::mf_const, 81, 28},	//1152 KDateTime::toZone(const KTimeZone&) const
    {52, 3185, 996, 1, Smoke::mf_const, 81, 29},	//1153 KDateTime::toTimeSpec(const KDateTime::Spec&) const
    {52, 3185, 992, 1, Smoke::mf_const, 81, 30},	//1154 KDateTime::toTimeSpec(const KDateTime&) const
    {52, 3187, 0, 0, Smoke::mf_const, 750, 31},	//1155 KDateTime::toTime_t() const
    {52, 2952, 814, 1, 0, 0, 32},	//1156 KDateTime::setTime_t(long long)
    {52, 2633, 97, 1, 0, 0, 33},	//1157 KDateTime::setDateOnly(bool)
    {52, 2620, 174, 1, 0, 0, 34},	//1158 KDateTime::setDate(const QDate&)
    {52, 2946, 998, 1, 0, 0, 35},	//1159 KDateTime::setTime(const QTime&)
    {52, 2635, 990, 1, 0, 0, 36},	//1160 KDateTime::setDateTime(const QDateTime&)
    {52, 2950, 996, 1, 0, 0, 37},	//1161 KDateTime::setTimeSpec(const KDateTime::Spec&)
    {52, 2909, 97, 1, 0, 0, 38},	//1162 KDateTime::setSecondOccurrence(bool)
    {52, 981, 814, 1, Smoke::mf_const, 81, 39},	//1163 KDateTime::addMSecs(long long) const
    {52, 999, 814, 1, Smoke::mf_const, 81, 40},	//1164 KDateTime::addSecs(long long) const
    {52, 893, 105, 1, Smoke::mf_const, 81, 41},	//1165 KDateTime::addDays(int) const
    {52, 983, 105, 1, Smoke::mf_const, 81, 42},	//1166 KDateTime::addMonths(int) const
    {52, 1020, 105, 1, Smoke::mf_const, 81, 43},	//1167 KDateTime::addYears(int) const
    {52, 2516, 992, 1, Smoke::mf_const, 734, 44},	//1168 KDateTime::secsTo(const KDateTime&) const
    {52, 2518, 992, 1, Smoke::mf_const, 740, 45},	//1169 KDateTime::secsTo_long(const KDateTime&) const
    {52, 1322, 992, 1, Smoke::mf_const, 734, 46},	//1170 KDateTime::daysTo(const KDateTime&) const
    {52, 1257, 0, 0, Smoke::mf_static, 81, 47},	//1171 KDateTime::currentLocalDateTime()
    {52, 1261, 0, 0, Smoke::mf_static, 81, 48},	//1172 KDateTime::currentUtcDateTime()
    {52, 1253, 996, 1, Smoke::mf_static, 81, 49},	//1173 KDateTime::currentDateTime(const KDateTime::Spec&)
    {52, 1256, 0, 0, Smoke::mf_static, 278, 50},	//1174 KDateTime::currentLocalDate()
    {52, 1258, 0, 0, Smoke::mf_static, 423, 51},	//1175 KDateTime::currentLocalTime()
    {52, 3181, 24, 1, Smoke::mf_const, 406, 52},	//1176 KDateTime::toString(const QString&) const
    {52, 3181, 1000, 1, Smoke::mf_const, 406, 53},	//1177 KDateTime::toString(KDateTime::TimeFormat) const
    {52, 1646, 1002, 3, Smoke::mf_static, 81, 54},	//1178 KDateTime::fromString(const QString&, KDateTime::TimeFormat, bool*)
    {52, 1646, 1006, 4, Smoke::mf_static, 81, 55},	//1179 KDateTime::fromString(const QString&, const QString&, const KTimeZones*, bool)
    {52, 2693, 996, 1, Smoke::mf_static, 0, 56},	//1180 KDateTime::setFromStringDefault(const KDateTime::Spec&)
    {52, 2246, 0, 0, Smoke::mf_const, 538, 57},	//1181 KDateTime::outOfRange() const
    {52, 1177, 992, 1, Smoke::mf_const, 84, 58},	//1182 KDateTime::compare(const KDateTime&) const
    {52, 2214, 992, 1, Smoke::mf_const, 538, 59},	//1183 KDateTime::operator==(const KDateTime&) const
    {52, 2171, 992, 1, Smoke::mf_const, 538, 60},	//1184 KDateTime::operator!=(const KDateTime&) const
    {52, 2193, 992, 1, Smoke::mf_const, 538, 61},	//1185 KDateTime::operator<(const KDateTime&) const
    {52, 2205, 992, 1, Smoke::mf_const, 538, 62},	//1186 KDateTime::operator<=(const KDateTime&) const
    {52, 2221, 992, 1, Smoke::mf_const, 538, 63},	//1187 KDateTime::operator>(const KDateTime&) const
    {52, 2227, 992, 1, Smoke::mf_const, 538, 64},	//1188 KDateTime::operator>=(const KDateTime&) const
    {52, 1375, 0, 0, 0, 0, 65},	//1189 KDateTime::detach()
    {52, 2925, 992, 1, Smoke::mf_static, 0, 66},	//1190 KDateTime::setSimulatedSystemTime(const KDateTime&)
    {52, 2435, 0, 0, Smoke::mf_static, 81, 67},	//1191 KDateTime::realCurrentLocalDateTime()
    {52, 337, 174, 1, Smoke::mf_ctor, 83, 68},	//1192 KDateTime::KDateTime(const QDate&)
    {52, 337, 1011, 2, Smoke::mf_ctor, 83, 69},	//1193 KDateTime::KDateTime(const QDate&, const QTime&)
    {52, 3181, 0, 0, Smoke::mf_const, 406, 70},	//1194 KDateTime::toString() const
    {52, 1646, 24, 1, Smoke::mf_static, 81, 71},	//1195 KDateTime::fromString(const QString&)
    {52, 1646, 1014, 2, Smoke::mf_static, 81, 72},	//1196 KDateTime::fromString(const QString&, KDateTime::TimeFormat)
    {52, 1646, 89, 2, Smoke::mf_static, 81, 73},	//1197 KDateTime::fromString(const QString&, const QString&)
    {52, 1646, 1017, 3, Smoke::mf_static, 81, 74},	//1198 KDateTime::fromString(const QString&, const QString&, const KTimeZones*)
    {52, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 75},	//1199 KDateTime::Invalid (enum)
    {52, 779, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 76},	//1200 KDateTime::UTC (enum)
    {52, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 77},	//1201 KDateTime::OffsetFromUTC (enum)
    {52, 770, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 78},	//1202 KDateTime::TimeZone (enum)
    {52, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 79},	//1203 KDateTime::LocalZone (enum)
    {52, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 80},	//1204 KDateTime::ClockTime (enum)
    {52, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 81},	//1205 KDateTime::ISODate (enum)
    {52, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 82},	//1206 KDateTime::RFCDate (enum)
    {52, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 83},	//1207 KDateTime::RFCDateDay (enum)
    {52, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 84},	//1208 KDateTime::QtTextDate (enum)
    {52, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 85},	//1209 KDateTime::LocalDate (enum)
    {52, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 86},	//1210 KDateTime::Before (enum)
    {52, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 87},	//1211 KDateTime::AtStart (enum)
    {52, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 88},	//1212 KDateTime::Inside (enum)
    {52, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 89},	//1213 KDateTime::AtEnd (enum)
    {52, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 90},	//1214 KDateTime::After (enum)
    {52, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 91},	//1215 KDateTime::Equal (enum)
    {52, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 92},	//1216 KDateTime::Outside (enum)
    {52, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 93},	//1217 KDateTime::StartsAt (enum)
    {52, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 94},	//1218 KDateTime::EndsAt (enum)
    {52, 3445, 0, 0, Smoke::mf_dtor, 0, 95 },	//1219 KDateTime::~KDateTime()
    {53, 732, 0, 0, Smoke::mf_ctor, 87, 1},	//1220 KDateTime::Spec::Spec()
    {53, 732, 994, 1, Smoke::mf_ctor, 87, 2},	//1221 KDateTime::Spec::Spec(const KTimeZone&)
    {53, 732, 1021, 2, Smoke::mf_ctor, 87, 3},	//1222 KDateTime::Spec::Spec(KDateTime::SpecType, int)
    {53, 732, 996, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 4},	//1223 KDateTime::Spec::Spec(const KDateTime::Spec&)
    {53, 2211, 996, 1, 0, 86, 5},	//1224 KDateTime::Spec::operator=(const KDateTime::Spec&)
    {53, 1890, 0, 0, Smoke::mf_const, 538, 6},	//1225 KDateTime::Spec::isValid() const
    {53, 3168, 0, 0, Smoke::mf_const, 215, 7},	//1226 KDateTime::Spec::timeZone() const
    {53, 3243, 0, 0, Smoke::mf_const, 88, 8},	//1227 KDateTime::Spec::type() const
    {53, 1855, 0, 0, Smoke::mf_const, 538, 9},	//1228 KDateTime::Spec::isLocalZone() const
    {53, 1809, 0, 0, Smoke::mf_const, 538, 10},	//1229 KDateTime::Spec::isClockTime() const
    {53, 1887, 0, 0, Smoke::mf_const, 538, 11},	//1230 KDateTime::Spec::isUtc() const
    {53, 1862, 0, 0, Smoke::mf_const, 538, 12},	//1231 KDateTime::Spec::isOffsetFromUtc() const
    {53, 3291, 0, 0, Smoke::mf_const, 734, 13},	//1232 KDateTime::Spec::utcOffset() const
    {53, 2962, 1021, 2, 0, 0, 14},	//1233 KDateTime::Spec::setType(KDateTime::SpecType, int)
    {53, 2962, 994, 1, 0, 0, 15},	//1234 KDateTime::Spec::setType(const KTimeZone&)
    {53, 2214, 996, 1, Smoke::mf_const, 538, 16},	//1235 KDateTime::Spec::operator==(const KDateTime::Spec&) const
    {53, 2171, 996, 1, Smoke::mf_const, 538, 17},	//1236 KDateTime::Spec::operator!=(const KDateTime::Spec&) const
    {53, 1452, 996, 1, Smoke::mf_const, 538, 18},	//1237 KDateTime::Spec::equivalentTo(const KDateTime::Spec&) const
    {53, 779, 0, 0, Smoke::mf_static, 85, 19},	//1238 KDateTime::Spec::UTC()
    {53, 62, 0, 0, Smoke::mf_static, 85, 20},	//1239 KDateTime::Spec::ClockTime()
    {53, 641, 105, 1, Smoke::mf_static, 85, 21},	//1240 KDateTime::Spec::OffsetFromUTC(int)
    {53, 595, 0, 0, Smoke::mf_static, 85, 22},	//1241 KDateTime::Spec::LocalZone()
    {53, 732, 1024, 1, Smoke::mf_ctor, 87, 23},	//1242 KDateTime::Spec::Spec(KDateTime::SpecType)
    {53, 2962, 1024, 1, 0, 0, 24},	//1243 KDateTime::Spec::setType(KDateTime::SpecType)
    {53, 3510, 0, 0, Smoke::mf_dtor, 0, 25 },	//1244 KDateTime::Spec::~Spec()
    {54, 341, 1026, 4, Smoke::mf_ctor|Smoke::mf_explicit, 90, 1},	//1245 KDebug::KDebug(QtMsgType, const char*, int, const char*)
    {54, 1704, 1031, 4, Smoke::mf_static, 538, 2},	//1246 KDebug::hasNullOutput(QtMsgType, bool, int, bool)
    {54, 1706, 105, 1, Smoke::mf_static, 538, 3},	//1247 KDebug::hasNullOutputQtDebugMsg(int)
    {54, 1706, 1036, 2, Smoke::mf_static, 538, 4},	//1248 KDebug::hasNullOutputQtDebugMsg(bool, int)
    {54, 2442, 380, 2, Smoke::mf_static, 734, 5},	//1249 KDebug::registerArea(const QByteArray&, bool)
    {54, 341, 1039, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 90, 6},	//1250 KDebug::KDebug(const KDebug&)
    {54, 341, 1041, 1, Smoke::mf_ctor|Smoke::mf_explicit, 90, 7},	//1251 KDebug::KDebug(QtMsgType)
    {54, 341, 1043, 2, Smoke::mf_ctor|Smoke::mf_explicit, 90, 8},	//1252 KDebug::KDebug(QtMsgType, const char*)
    {54, 341, 1046, 3, Smoke::mf_ctor|Smoke::mf_explicit, 90, 9},	//1253 KDebug::KDebug(QtMsgType, const char*, int)
    {54, 1706, 0, 0, Smoke::mf_static, 538, 10},	//1254 KDebug::hasNullOutputQtDebugMsg()
    {54, 1706, 97, 1, Smoke::mf_static, 538, 11},	//1255 KDebug::hasNullOutputQtDebugMsg(bool)
    {54, 2442, 26, 1, Smoke::mf_static, 734, 12},	//1256 KDebug::registerArea(const QByteArray&)
    {54, 3446, 0, 0, Smoke::mf_dtor, 0, 13 },	//1257 KDebug::~KDebug()
    {55, 347, 0, 0, Smoke::mf_ctor, 91, 1},	//1258 KDebugTag::KDebugTag()
    {55, 347, 1050, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 91, 2},	//1259 KDebugTag::KDebugTag(const KDebugTag&)
    {55, 3447, 0, 0, Smoke::mf_dtor, 0, 3 },	//1260 KDebugTag::~KDebugTag()
    {56, 349, 474, 2, Smoke::mf_ctor, 92, 1},	//1261 KDesktopFile::KDesktopFile(const char*, const QString&)
    {56, 349, 24, 1, Smoke::mf_ctor, 92, 2},	//1262 KDesktopFile::KDesktopFile(const QString&)
    {56, 1818, 24, 1, Smoke::mf_static, 538, 3},	//1263 KDesktopFile::isDesktopFile(const QString&)
    {56, 1796, 24, 1, Smoke::mf_static, 538, 4},	//1264 KDesktopFile::isAuthorizedDesktopFile(const QString&)
    {56, 2012, 24, 1, Smoke::mf_static, 406, 5},	//1265 KDesktopFile::locateLocal(const QString&)
    {56, 1374, 0, 0, Smoke::mf_const, 47, 6},	//1266 KDesktopFile::desktopGroup() const
    {56, 2428, 0, 0, Smoke::mf_const, 406, 7},	//1267 KDesktopFile::readType() const
    {56, 2404, 0, 0, Smoke::mf_const, 406, 8},	//1268 KDesktopFile::readIcon() const
    {56, 2416, 0, 0, Smoke::mf_const, 406, 9},	//1269 KDesktopFile::readName() const
    {56, 2378, 0, 0, Smoke::mf_const, 406, 10},	//1270 KDesktopFile::readComment() const
    {56, 2402, 0, 0, Smoke::mf_const, 406, 11},	//1271 KDesktopFile::readGenericName() const
    {56, 2420, 0, 0, Smoke::mf_const, 406, 12},	//1272 KDesktopFile::readPath() const
    {56, 2391, 0, 0, Smoke::mf_const, 406, 13},	//1273 KDesktopFile::readDevice() const
    {56, 2429, 0, 0, Smoke::mf_const, 406, 14},	//1274 KDesktopFile::readUrl() const
    {56, 2376, 0, 0, Smoke::mf_const, 411, 15},	//1275 KDesktopFile::readActions() const
    {56, 855, 24, 1, 0, 47, 16},	//1276 KDesktopFile::actionGroup(const QString&)
    {56, 855, 24, 1, Smoke::mf_const, 559, 17},	//1277 KDesktopFile::actionGroup(const QString&) const
    {56, 1680, 24, 1, Smoke::mf_const, 538, 18},	//1278 KDesktopFile::hasActionGroup(const QString&) const
    {56, 1698, 0, 0, Smoke::mf_const, 538, 19},	//1279 KDesktopFile::hasLinkType() const
    {56, 1682, 0, 0, Smoke::mf_const, 538, 20},	//1280 KDesktopFile::hasApplicationType() const
    {56, 1703, 0, 0, Smoke::mf_const, 538, 21},	//1281 KDesktopFile::hasMimeTypeType() const
    {56, 1687, 0, 0, Smoke::mf_const, 538, 22},	//1282 KDesktopFile::hasDeviceType() const
    {56, 3242, 0, 0, Smoke::mf_const, 538, 23},	//1283 KDesktopFile::tryExec() const
    {56, 2392, 0, 0, Smoke::mf_const, 406, 24},	//1284 KDesktopFile::readDocPath() const
    {56, 3011, 0, 0, Smoke::mf_const, 411, 25},	//1285 KDesktopFile::sortOrder() const
    {56, 2135, 0, 0, Smoke::mf_const, 538, 26},	//1286 KDesktopFile::noDisplay() const
    {56, 1215, 24, 1, Smoke::mf_const, 92, 27},	//1287 KDesktopFile::copyTo(const QString&) const
    {56, 1524, 0, 0, Smoke::mf_const, 406, 28},	//1288 KDesktopFile::fileName() const
    {56, 2491, 0, 0, Smoke::mf_const, 719, 29},	//1289 KDesktopFile::resource() const
    {56, 3448, 0, 0, Smoke::mf_dtor, 0, 30 },	//1290 KDesktopFile::~KDesktopFile()
    {57, 352, 0, 0, Smoke::mf_ctor, 93, 1},	//1291 KEncodingDetector::KEncodingDetector()
    {57, 352, 1052, 3, Smoke::mf_ctor, 93, 2},	//1292 KEncodingDetector::KEncodingDetector(QTextCodec*, KEncodingDetector::EncodingChoiceSource, KEncodingDetector::AutoDetectScript)
    {57, 2662, 1056, 2, 0, 538, 3},	//1293 KEncodingDetector::setEncoding(const char*, KEncodingDetector::EncodingChoiceSource)
    {57, 1427, 0, 0, Smoke::mf_const, 719, 4},	//1294 KEncodingDetector::encoding() const
    {57, 3310, 0, 0, Smoke::mf_const, 538, 5},	//1295 KEncodingDetector::visuallyOrdered() const
    {57, 2566, 1059, 1, 0, 0, 6},	//1296 KEncodingDetector::setAutoDetectLanguage(KEncodingDetector::AutoDetectScript)
    {57, 1073, 0, 0, Smoke::mf_const, 94, 7},	//1297 KEncodingDetector::autoDetectLanguage() const
    {57, 1428, 0, 0, Smoke::mf_const, 95, 8},	//1298 KEncodingDetector::encodingChoiceSource() const
    {57, 1327, 1061, 2, 0, 406, 9},	//1299 KEncodingDetector::decode(const char*, int)
    {57, 1327, 26, 1, 0, 406, 10},	//1300 KEncodingDetector::decode(const QByteArray&)
    {57, 1332, 1061, 2, 0, 406, 11},	//1301 KEncodingDetector::decodeWithBuffering(const char*, int)
    {57, 1336, 0, 0, Smoke::mf_const, 538, 12},	//1302 KEncodingDetector::decodedInvalidCharacters() const
    {57, 2484, 0, 0, 0, 0, 13},	//1303 KEncodingDetector::resetDecoder()
    {57, 1588, 0, 0, 0, 406, 14},	//1304 KEncodingDetector::flush()
    {57, 2513, 24, 1, Smoke::mf_static, 94, 15},	//1305 KEncodingDetector::scriptForName(const QString&)
    {57, 2119, 1059, 1, Smoke::mf_static, 406, 16},	//1306 KEncodingDetector::nameForScript(KEncodingDetector::AutoDetectScript)
    {57, 1683, 1059, 1, Smoke::mf_static, 538, 17},	//1307 KEncodingDetector::hasAutoDetectionForScript(KEncodingDetector::AutoDetectScript)
    {57, 2305, 1064, 2, Smoke::mf_protected, 538, 18},	//1308 KEncodingDetector::processNull(char*, int)
    {57, 1467, 1061, 2, Smoke::mf_protected, 538, 19},	//1309 KEncodingDetector::errorsIfUtf8(const char*, int)
    {57, 1050, 1061, 2, Smoke::mf_protected, 538, 20},	//1310 KEncodingDetector::analyze(const char*, int)
    {57, 1337, 0, 0, Smoke::mf_protected, 418, 21},	//1311 KEncodingDetector::decoder()
    {57, 352, 1067, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 93, 22},	//1312 KEncodingDetector::KEncodingDetector(const KEncodingDetector&)
    {57, 352, 1069, 2, Smoke::mf_ctor, 93, 23},	//1313 KEncodingDetector::KEncodingDetector(QTextCodec*, KEncodingDetector::EncodingChoiceSource)
    {57, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 24},	//1314 KEncodingDetector::DefaultEncoding (enum)
    {57, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 25},	//1315 KEncodingDetector::AutoDetectedEncoding (enum)
    {57, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 26},	//1316 KEncodingDetector::BOM (enum)
    {57, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 27},	//1317 KEncodingDetector::EncodingFromXMLHeader (enum)
    {57, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 28},	//1318 KEncodingDetector::EncodingFromMetaTag (enum)
    {57, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 29},	//1319 KEncodingDetector::EncodingFromHTTPHeader (enum)
    {57, 812, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 30},	//1320 KEncodingDetector::UserChosenEncoding (enum)
    {57, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 31},	//1321 KEncodingDetector::None (enum)
    {57, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 32},	//1322 KEncodingDetector::SemiautomaticDetection (enum)
    {57, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 33},	//1323 KEncodingDetector::Arabic (enum)
    {57, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 34},	//1324 KEncodingDetector::Baltic (enum)
    {57, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 35},	//1325 KEncodingDetector::CentralEuropean (enum)
    {57, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 36},	//1326 KEncodingDetector::ChineseSimplified (enum)
    {57, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 37},	//1327 KEncodingDetector::ChineseTraditional (enum)
    {57, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 38},	//1328 KEncodingDetector::Cyrillic (enum)
    {57, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 39},	//1329 KEncodingDetector::Greek (enum)
    {57, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 40},	//1330 KEncodingDetector::Hebrew (enum)
    {57, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 41},	//1331 KEncodingDetector::Japanese (enum)
    {57, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 42},	//1332 KEncodingDetector::Korean (enum)
    {57, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 43},	//1333 KEncodingDetector::NorthernSaami (enum)
    {57, 731, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 44},	//1334 KEncodingDetector::SouthEasternEurope (enum)
    {57, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 45},	//1335 KEncodingDetector::Thai (enum)
    {57, 777, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 46},	//1336 KEncodingDetector::Turkish (enum)
    {57, 785, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 47},	//1337 KEncodingDetector::Unicode (enum)
    {57, 815, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 48},	//1338 KEncodingDetector::WesternEuropean (enum)
    {57, 3449, 0, 0, Smoke::mf_dtor, 0, 49 },	//1339 KEncodingDetector::~KEncodingDetector()
    {58, 356, 1072, 1, Smoke::mf_ctor, 96, 1},	//1340 KEncodingProber::KEncodingProber(KEncodingProber::ProberType)
    {58, 2483, 0, 0, 0, 0, 2},	//1341 KEncodingProber::reset()
    {58, 1517, 26, 1, 0, 97, 3},	//1342 KEncodingProber::feed(const QByteArray&)
    {58, 1517, 1061, 2, 0, 97, 4},	//1343 KEncodingProber::feed(const char*, int)
    {58, 3088, 0, 0, Smoke::mf_const, 97, 5},	//1344 KEncodingProber::state() const
    {58, 1432, 0, 0, Smoke::mf_const, 719, 6},	//1345 KEncodingProber::encodingName() const
    {58, 1427, 0, 0, Smoke::mf_const, 264, 7},	//1346 KEncodingProber::encoding() const
    {58, 1183, 0, 0, Smoke::mf_const, 733, 8},	//1347 KEncodingProber::confidence() const
    {58, 2302, 0, 0, Smoke::mf_const, 98, 9},	//1348 KEncodingProber::proberType() const
    {58, 2879, 1072, 1, 0, 0, 10},	//1349 KEncodingProber::setProberType(KEncodingProber::ProberType)
    {58, 2303, 24, 1, Smoke::mf_static, 98, 11},	//1350 KEncodingProber::proberTypeForName(const QString&)
    {58, 2117, 1072, 1, Smoke::mf_static, 406, 12},	//1351 KEncodingProber::nameForProberType(KEncodingProber::ProberType)
    {58, 356, 1074, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 13},	//1352 KEncodingProber::KEncodingProber(const KEncodingProber&)
    {58, 356, 0, 0, Smoke::mf_ctor, 96, 14},	//1353 KEncodingProber::KEncodingProber()
    {58, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 15},	//1354 KEncodingProber::FoundIt (enum)
    {58, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 16},	//1355 KEncodingProber::NotMe (enum)
    {58, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 17},	//1356 KEncodingProber::Probing (enum)
    {58, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 18},	//1357 KEncodingProber::None (enum)
    {58, 797, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 19},	//1358 KEncodingProber::Universal (enum)
    {58, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 20},	//1359 KEncodingProber::Arabic (enum)
    {58, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 21},	//1360 KEncodingProber::Baltic (enum)
    {58, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 22},	//1361 KEncodingProber::CentralEuropean (enum)
    {58, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 23},	//1362 KEncodingProber::ChineseSimplified (enum)
    {58, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 24},	//1363 KEncodingProber::ChineseTraditional (enum)
    {58, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 25},	//1364 KEncodingProber::Cyrillic (enum)
    {58, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 26},	//1365 KEncodingProber::Greek (enum)
    {58, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 27},	//1366 KEncodingProber::Hebrew (enum)
    {58, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 28},	//1367 KEncodingProber::Japanese (enum)
    {58, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 29},	//1368 KEncodingProber::Korean (enum)
    {58, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 30},	//1369 KEncodingProber::NorthernSaami (enum)
    {58, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 31},	//1370 KEncodingProber::Other (enum)
    {58, 731, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 32},	//1371 KEncodingProber::SouthEasternEurope (enum)
    {58, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 33},	//1372 KEncodingProber::Thai (enum)
    {58, 777, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 34},	//1373 KEncodingProber::Turkish (enum)
    {58, 785, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 35},	//1374 KEncodingProber::Unicode (enum)
    {58, 815, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 36},	//1375 KEncodingProber::WesternEuropean (enum)
    {58, 3450, 0, 0, Smoke::mf_dtor, 0, 37 },	//1376 KEncodingProber::~KEncodingProber()
    {59, 359, 0, 0, Smoke::mf_ctor, 99, 1},	//1377 KFilterBase::KFilterBase()
    {59, 2653, 1076, 2, 0, 0, 2},	//1378 KFilterBase::setDevice(QIODevice*, bool)
    {59, 1381, 0, 0, 0, 345, 3},	//1379 KFilterBase::device()
    {59, 1752, 105, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//1380 KFilterBase::init(int) [pure virtual]
    {59, 2083, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 734, 5},	//1381 KFilterBase::mode() const [pure virtual]
    {59, 3156, 0, 0, Smoke::mf_virtual, 0, 6},	//1382 KFilterBase::terminate()
    {59, 2483, 0, 0, Smoke::mf_virtual, 0, 7},	//1383 KFilterBase::reset()
    {59, 2403, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 8},	//1384 KFilterBase::readHeader() [pure virtual]
    {59, 3370, 26, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 9},	//1385 KFilterBase::writeHeader(const QByteArray&) [pure virtual]
    {59, 2849, 1079, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//1386 KFilterBase::setOutBuffer(char*, unsigned int) [pure virtual]
    {59, 2705, 1082, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//1387 KFilterBase::setInBuffer(const char*, unsigned int) [pure virtual]
    {59, 1742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 12},	//1388 KFilterBase::inBufferEmpty() const
    {59, 1741, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 734, 13},	//1389 KFilterBase::inBufferAvailable() const [pure virtual]
    {59, 2245, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 14},	//1390 KFilterBase::outBufferFull() const
    {59, 2244, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 734, 15},	//1391 KFilterBase::outBufferAvailable() const [pure virtual]
    {59, 3248, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 101, 16},	//1392 KFilterBase::uncompress() [pure virtual]
    {59, 1181, 97, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 101, 17},	//1393 KFilterBase::compress(bool) [pure virtual]
    {59, 2687, 1085, 1, 0, 0, 18},	//1394 KFilterBase::setFilterFlags(KFilterBase::FilterFlags)
    {59, 1527, 0, 0, Smoke::mf_const, 100, 19},	//1395 KFilterBase::filterFlags() const
    {59, 1571, 24, 1, Smoke::mf_static, 99, 20},	//1396 KFilterBase::findFilterByFileName(const QString&)
    {59, 1573, 24, 1, Smoke::mf_static, 99, 21},	//1397 KFilterBase::findFilterByMimeType(const QString&)
    {59, 2653, 1087, 1, 0, 0, 22},	//1398 KFilterBase::setDevice(QIODevice*)
    {59, 2035, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 345, 23},	//1399 KFilterBase::m_dev() const
    {59, 2763, 1087, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 24},	//1400 KFilterBase::setM_dev(QIODevice*)
    {59, 2029, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 538, 25},	//1401 KFilterBase::m_bAutoDel() const
    {59, 2751, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 26},	//1402 KFilterBase::setM_bAutoDel(bool)
    {59, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 27},	//1403 KFilterBase::Ok (enum)
    {59, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 28},	//1404 KFilterBase::End (enum)
    {59, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 29},	//1405 KFilterBase::Error (enum)
    {59, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 30},	//1406 KFilterBase::NoHeaders (enum)
    {59, 816, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 31},	//1407 KFilterBase::WithHeaders (enum)
    {59, 3451, 0, 0, Smoke::mf_dtor, 0, 32 },	//1408 KFilterBase::~KFilterBase()
    {60, 2158, 137, 1, 0, 538, 1},	//1409 KFilterDev::open(QFlags<QIODevice::OpenModeFlag>)
    {60, 1165, 0, 0, 0, 0, 2},	//1410 KFilterDev::close()
    {60, 2845, 26, 1, 0, 0, 3},	//1411 KFilterDev::setOrigFileName(const QByteArray&)
    {60, 2927, 0, 0, 0, 0, 4},	//1412 KFilterDev::setSkipHeaders()
    {60, 2520, 814, 1, 0, 538, 5},	//1413 KFilterDev::seek(long long)
    {60, 1059, 0, 0, Smoke::mf_const, 538, 6},	//1414 KFilterDev::atEnd() const
    {60, 1384, 1089, 3, Smoke::mf_static, 345, 7},	//1415 KFilterDev::deviceForFile(const QString&, const QString&, bool)
    {60, 1381, 1093, 3, Smoke::mf_static, 345, 8},	//1416 KFilterDev::device(QIODevice*, const QString&, bool)
    {60, 2381, 1097, 2, Smoke::mf_protected, 740, 9},	//1417 KFilterDev::readData(char*, long long)
    {60, 3361, 1100, 2, Smoke::mf_protected, 740, 10},	//1418 KFilterDev::writeData(const char*, long long)
    {60, 1384, 24, 1, Smoke::mf_static, 345, 11},	//1419 KFilterDev::deviceForFile(const QString&)
    {60, 1384, 89, 2, Smoke::mf_static, 345, 12},	//1420 KFilterDev::deviceForFile(const QString&, const QString&)
    {60, 1381, 1103, 2, Smoke::mf_static, 345, 13},	//1421 KFilterDev::device(QIODevice*, const QString&)
    {60, 3452, 0, 0, Smoke::mf_dtor, 0, 14 },	//1422 KFilterDev::~KFilterDev()
    {61, 2054, 0, 0, Smoke::mf_static, 555, 1},	//1423 KGlobal::mainComponent()
    {61, 1396, 0, 0, Smoke::mf_static, 193, 2},	//1424 KGlobal::dirs()
    {61, 1138, 0, 0, Smoke::mf_static, 31, 3},	//1425 KGlobal::charsets()
    {61, 2547, 383, 1, Smoke::mf_static, 0, 4},	//1426 KGlobal::setActiveComponent(const KComponentData&)
    {61, 1700, 0, 0, Smoke::mf_static, 538, 5},	//1427 KGlobal::hasMainComponent()
    {61, 1559, 1106, 2, Smoke::mf_static, 392, 6},	//1428 KGlobal::findDirectChild_helper(const QObject*, const QMetaObject&)
    {61, 3093, 24, 1, Smoke::mf_static, 707, 7},	//1429 KGlobal::staticQString(const QString&)
    {61, 2441, 0, 0, Smoke::mf_static, 0, 8},	//1430 KGlobal::ref()
    {61, 2553, 97, 1, Smoke::mf_static, 0, 9},	//1431 KGlobal::setAllowQuit(bool)
    {61, 1362, 0, 0, Smoke::mf_static, 0, 10},	//1432 KGlobal::deref()
    {61, 1184, 0, 0, Smoke::mf_static, 176, 11},	//1433 KGlobal::config()
    {61, 1699, 0, 0, Smoke::mf_static, 538, 12},	//1434 KGlobal::hasLocale()
    {61, 3246, 0, 0, Smoke::mf_static, 750, 13},	//1435 KGlobal::umask()
    {61, 861, 0, 0, Smoke::mf_static, 36, 14},	//1436 KGlobal::activeComponent()
    {61, 2741, 1109, 2, Smoke::mf_static, 0, 15},	//1437 KGlobal::setLocale(KLocale*, KGlobal::CopyCatalogs)
    {61, 2741, 1112, 1, Smoke::mf_static, 0, 16},	//1438 KGlobal::setLocale(KLocale*)
    {61, 3093, 109, 1, Smoke::mf_static, 707, 17},	//1439 KGlobal::staticQString(const char*)
    {61, 2003, 0, 0, Smoke::mf_static, 117, 18},	//1440 KGlobal::locale()
    {61, 1124, 0, 0, Smoke::mf_static, 406, 19},	//1441 KGlobal::caption()
    {61, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 20},	//1442 KGlobal::DoCopyCatalogs (enum)
    {61, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 21},	//1443 KGlobal::DontCopyCatalogs (enum)
    {62, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//1444 KJob::metaObject() const
    {62, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//1445 KJob::qt_metacast(const char*)
    {62, 3200, 111, 2, Smoke::mf_static, 406, 3},	//1446 KJob::tr(const char*, const char*)
    {62, 3207, 111, 2, Smoke::mf_static, 406, 4},	//1447 KJob::trUtf8(const char*, const char*)
    {62, 3200, 114, 3, Smoke::mf_static, 406, 5},	//1448 KJob::tr(const char*, const char*, int)
    {62, 3207, 114, 3, Smoke::mf_static, 406, 6},	//1449 KJob::trUtf8(const char*, const char*, int)
    {62, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//1450 KJob::qt_metacall(QMetaObject::Call, int, void**)
    {62, 360, 133, 1, Smoke::mf_ctor, 103, 8},	//1451 KJob::KJob(QObject*)
    {62, 2966, 1114, 1, 0, 0, 9},	//1452 KJob::setUiDelegate(KJobUiDelegate*)
    {62, 3244, 0, 0, Smoke::mf_const, 109, 10},	//1453 KJob::uiDelegate() const
    {62, 1122, 0, 0, Smoke::mf_const, 295, 11},	//1454 KJob::capabilities() const
    {62, 1883, 0, 0, Smoke::mf_const, 538, 12},	//1455 KJob::isSuspended() const
    {62, 3031, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//1456 KJob::start() [pure virtual]
    {62, 1958, 1116, 1, Smoke::mf_slot, 538, 14},	//1457 KJob::kill(KJob::KillVerbosity)
    {62, 3131, 0, 0, Smoke::mf_slot, 538, 15},	//1458 KJob::suspend()
    {62, 2496, 0, 0, Smoke::mf_slot, 538, 16},	//1459 KJob::resume()
    {62, 1403, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 538, 17},	//1460 KJob::doKill()
    {62, 1405, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 538, 18},	//1461 KJob::doSuspend()
    {62, 1404, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 538, 19},	//1462 KJob::doResume()
    {62, 2584, 1118, 1, Smoke::mf_protected, 0, 20},	//1463 KJob::setCapabilities(QFlags<KJob::Capability>)
    {62, 1473, 0, 0, 0, 538, 21},	//1464 KJob::exec()
    {62, 1460, 0, 0, Smoke::mf_const, 734, 22},	//1465 KJob::error() const
    {62, 1466, 0, 0, Smoke::mf_const, 406, 23},	//1466 KJob::errorText() const
    {62, 1464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 24},	//1467 KJob::errorString() const
    {62, 2307, 1120, 1, Smoke::mf_const, 753, 25},	//1468 KJob::processedAmount(KJob::Unit) const
    {62, 3197, 1120, 1, Smoke::mf_const, 753, 26},	//1469 KJob::totalAmount(KJob::Unit) const
    {62, 2270, 0, 0, Smoke::mf_const, 752, 27},	//1470 KJob::percent() const
    {62, 2564, 97, 1, 0, 0, 28},	//1471 KJob::setAutoDelete(bool)
    {62, 1798, 0, 0, Smoke::mf_const, 538, 29},	//1472 KJob::isAutoDelete() const
    {62, 1363, 1122, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1473 KJob::description(KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&)
    {62, 1747, 400, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1474 KJob::infoMessage(KJob*, const QString&, const QString&)
    {62, 3326, 400, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1475 KJob::warning(KJob*, const QString&, const QString&)
    {62, 2668, 105, 1, Smoke::mf_protected, 0, 33},	//1476 KJob::setError(int)
    {62, 2674, 24, 1, Smoke::mf_protected, 0, 34},	//1477 KJob::setErrorText(const QString&)
    {62, 2881, 1127, 2, Smoke::mf_protected, 0, 35},	//1478 KJob::setProcessedAmount(KJob::Unit, unsigned long long)
    {62, 2956, 1127, 2, Smoke::mf_protected, 0, 36},	//1479 KJob::setTotalAmount(KJob::Unit, unsigned long long)
    {62, 2859, 1130, 1, Smoke::mf_protected, 0, 37},	//1480 KJob::setPercent(unsigned long)
    {62, 1415, 0, 0, Smoke::mf_protected, 0, 38},	//1481 KJob::emitResult()
    {62, 1413, 1132, 2, Smoke::mf_protected, 0, 39},	//1482 KJob::emitPercent(unsigned long long, unsigned long long)
    {62, 1416, 1130, 1, Smoke::mf_protected, 0, 40},	//1483 KJob::emitSpeed(unsigned long)
    {62, 360, 1135, 2, Smoke::mf_ctor|Smoke::mf_protected, 103, 41},	//1484 KJob::KJob(KJobPrivate&, QObject*)
    {62, 3200, 109, 1, Smoke::mf_static, 406, 42},	//1485 KJob::tr(const char*)
    {62, 3207, 109, 1, Smoke::mf_static, 406, 43},	//1486 KJob::trUtf8(const char*)
    {62, 360, 0, 0, Smoke::mf_ctor, 103, 44},	//1487 KJob::KJob()
    {62, 1958, 0, 0, Smoke::mf_slot, 538, 45},	//1488 KJob::kill()
    {62, 1363, 1138, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1489 KJob::description(KJob*, const QString&)
    {62, 1363, 1141, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1490 KJob::description(KJob*, const QString&, const QPair<QString,QString>&)
    {62, 1747, 1138, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1491 KJob::infoMessage(KJob*, const QString&)
    {62, 3326, 1138, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1492 KJob::warning(KJob*, const QString&)
    {62, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 50},	//1493 KJob::staticMetaObject() const
    {62, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 51},	//1494 KJob::Bytes (enum)
    {62, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 52},	//1495 KJob::Files (enum)
    {62, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 53},	//1496 KJob::Directories (enum)
    {62, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 54},	//1497 KJob::NoCapabilities (enum)
    {62, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 55},	//1498 KJob::Killable (enum)
    {62, 752, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 56},	//1499 KJob::Suspendable (enum)
    {62, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 57},	//1500 KJob::Quietly (enum)
    {62, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 58},	//1501 KJob::EmitResult (enum)
    {62, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 59},	//1502 KJob::NoError (enum)
    {62, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 60},	//1503 KJob::KilledJobError (enum)
    {62, 813, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 61},	//1504 KJob::UserDefinedError (enum)
    {62, 3453, 0, 0, Smoke::mf_dtor, 0, 62 },	//1505 KJob::~KJob()
    {64, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//1506 KJobTrackerInterface::metaObject() const
    {64, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//1507 KJobTrackerInterface::qt_metacast(const char*)
    {64, 3200, 111, 2, Smoke::mf_static, 406, 3},	//1508 KJobTrackerInterface::tr(const char*, const char*)
    {64, 3207, 111, 2, Smoke::mf_static, 406, 4},	//1509 KJobTrackerInterface::trUtf8(const char*, const char*)
    {64, 3200, 114, 3, Smoke::mf_static, 406, 5},	//1510 KJobTrackerInterface::tr(const char*, const char*, int)
    {64, 3207, 114, 3, Smoke::mf_static, 406, 6},	//1511 KJobTrackerInterface::trUtf8(const char*, const char*, int)
    {64, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//1512 KJobTrackerInterface::qt_metacall(QMetaObject::Call, int, void**)
    {64, 363, 133, 1, Smoke::mf_ctor, 108, 8},	//1513 KJobTrackerInterface::KJobTrackerInterface(QObject*)
    {64, 2445, 398, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 9},	//1514 KJobTrackerInterface::registerJob(KJob*)
    {64, 3254, 398, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 10},	//1515 KJobTrackerInterface::unregisterJob(KJob*)
    {64, 1584, 398, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//1516 KJobTrackerInterface::finished(KJob*)
    {64, 3132, 398, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//1517 KJobTrackerInterface::suspended(KJob*)
    {64, 2497, 398, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1518 KJobTrackerInterface::resumed(KJob*)
    {64, 1363, 1122, 4, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1519 KJobTrackerInterface::description(KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&)
    {64, 1747, 400, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1520 KJobTrackerInterface::infoMessage(KJob*, const QString&, const QString&)
    {64, 3326, 400, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 16},	//1521 KJobTrackerInterface::warning(KJob*, const QString&, const QString&)
    {64, 3197, 1145, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 17},	//1522 KJobTrackerInterface::totalAmount(KJob*, KJob::Unit, qulonglong)
    {64, 2307, 1145, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//1523 KJobTrackerInterface::processedAmount(KJob*, KJob::Unit, qulonglong)
    {64, 2270, 1149, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1524 KJobTrackerInterface::percent(KJob*, unsigned long)
    {64, 3013, 1149, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//1525 KJobTrackerInterface::speed(KJob*, unsigned long)
    {64, 3200, 109, 1, Smoke::mf_static, 406, 21},	//1526 KJobTrackerInterface::tr(const char*)
    {64, 3207, 109, 1, Smoke::mf_static, 406, 22},	//1527 KJobTrackerInterface::trUtf8(const char*)
    {64, 363, 0, 0, Smoke::mf_ctor, 108, 23},	//1528 KJobTrackerInterface::KJobTrackerInterface()
    {64, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 24},	//1529 KJobTrackerInterface::staticMetaObject() const
    {64, 3454, 0, 0, Smoke::mf_dtor, 0, 25 },	//1530 KJobTrackerInterface::~KJobTrackerInterface()
    {65, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//1531 KJobUiDelegate::metaObject() const
    {65, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//1532 KJobUiDelegate::qt_metacast(const char*)
    {65, 3200, 111, 2, Smoke::mf_static, 406, 3},	//1533 KJobUiDelegate::tr(const char*, const char*)
    {65, 3207, 111, 2, Smoke::mf_static, 406, 4},	//1534 KJobUiDelegate::trUtf8(const char*, const char*)
    {65, 3200, 114, 3, Smoke::mf_static, 406, 5},	//1535 KJobUiDelegate::tr(const char*, const char*, int)
    {65, 3207, 114, 3, Smoke::mf_static, 406, 6},	//1536 KJobUiDelegate::trUtf8(const char*, const char*, int)
    {65, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//1537 KJobUiDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {65, 365, 0, 0, Smoke::mf_ctor, 109, 8},	//1538 KJobUiDelegate::KJobUiDelegate()
    {65, 1902, 0, 0, Smoke::mf_protected, 103, 9},	//1539 KJobUiDelegate::job()
    {65, 2992, 0, 0, Smoke::mf_virtual, 0, 10},	//1540 KJobUiDelegate::showErrorMessage()
    {65, 2568, 97, 1, 0, 0, 11},	//1541 KJobUiDelegate::setAutoErrorHandlingEnabled(bool)
    {65, 1799, 0, 0, Smoke::mf_const, 538, 12},	//1542 KJobUiDelegate::isAutoErrorHandlingEnabled() const
    {65, 2572, 97, 1, 0, 0, 13},	//1543 KJobUiDelegate::setAutoWarningHandlingEnabled(bool)
    {65, 1800, 0, 0, Smoke::mf_const, 538, 14},	//1544 KJobUiDelegate::isAutoWarningHandlingEnabled() const
    {65, 3007, 400, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1545 KJobUiDelegate::slotWarning(KJob*, const QString&, const QString&)
    {65, 3200, 109, 1, Smoke::mf_static, 406, 16},	//1546 KJobUiDelegate::tr(const char*)
    {65, 3207, 109, 1, Smoke::mf_static, 406, 17},	//1547 KJobUiDelegate::trUtf8(const char*)
    {65, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 18},	//1548 KJobUiDelegate::staticMetaObject() const
    {65, 3455, 0, 0, Smoke::mf_dtor, 0, 19 },	//1549 KJobUiDelegate::~KJobUiDelegate()
    {66, 2074, 0, 0, Smoke::mf_const, 687, 1},	//1550 KLibLoader::metaObject() const
    {66, 2345, 109, 1, 0, 757, 2},	//1551 KLibLoader::qt_metacast(const char*)
    {66, 3200, 111, 2, Smoke::mf_static, 406, 3},	//1552 KLibLoader::tr(const char*, const char*)
    {66, 3207, 111, 2, Smoke::mf_static, 406, 4},	//1553 KLibLoader::trUtf8(const char*, const char*)
    {66, 3200, 114, 3, Smoke::mf_static, 406, 5},	//1554 KLibLoader::tr(const char*, const char*, int)
    {66, 3207, 114, 3, Smoke::mf_static, 406, 6},	//1555 KLibLoader::trUtf8(const char*, const char*, int)
    {66, 2343, 118, 3, 0, 734, 7},	//1556 KLibLoader::qt_metacall(QMetaObject::Call, int, void**)
    {66, 1511, 1152, 2, 0, 145, 8},	//1557 KLibLoader::factory(const QString&, QFlags<QLibrary::LoadHint>)
    {66, 1981, 1152, 2, 0, 112, 9},	//1558 KLibLoader::library(const QString&, QFlags<QLibrary::LoadHint>)
    {66, 1973, 0, 0, Smoke::mf_const, 406, 10},	//1559 KLibLoader::lastErrorMessage() const
    {66, 3251, 24, 1, 0, 0, 11},	//1560 KLibLoader::unloadLibrary(const QString&)
    {66, 2522, 0, 0, Smoke::mf_static, 110, 12},	//1561 KLibLoader::self()
    {66, 1577, 1155, 2, Smoke::mf_static, 406, 13},	//1562 KLibLoader::findLibrary(const QString&, const KComponentData&)
    {66, 1464, 105, 1, Smoke::mf_static, 406, 14},	//1563 KLibLoader::errorString(int)
    {66, 3200, 109, 1, Smoke::mf_static, 406, 15},	//1564 KLibLoader::tr(const char*)
    {66, 3207, 109, 1, Smoke::mf_static, 406, 16},	//1565 KLibLoader::trUtf8(const char*)
    {66, 1511, 24, 1, 0, 145, 17},	//1566 KLibLoader::factory(const QString&)
    {66, 1981, 24, 1, 0, 112, 18},	//1567 KLibLoader::library(const QString&)
    {66, 1577, 24, 1, Smoke::mf_static, 406, 19},	//1568 KLibLoader::findLibrary(const QString&)
    {66, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 20},	//1569 KLibLoader::staticMetaObject() const
    {66, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 21},	//1570 KLibLoader::ErrNoLibrary (enum)
    {66, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 22},	//1571 KLibLoader::ErrNoFactory (enum)
    {66, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 23},	//1572 KLibLoader::ErrNoComponent (enum)
    {66, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 24},	//1573 KLibLoader::ErrServiceProvidesNoLibrary (enum)
    {66, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 25},	//1574 KLibLoader::ErrNoServiceFound (enum)
    {67, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//1575 KLibrary::metaObject() const
    {67, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//1576 KLibrary::qt_metacast(const char*)
    {67, 3200, 111, 2, Smoke::mf_static, 406, 3},	//1577 KLibrary::tr(const char*, const char*)
    {67, 3207, 111, 2, Smoke::mf_static, 406, 4},	//1578 KLibrary::trUtf8(const char*, const char*)
    {67, 3200, 114, 3, Smoke::mf_static, 406, 5},	//1579 KLibrary::tr(const char*, const char*, int)
    {67, 3207, 114, 3, Smoke::mf_static, 406, 6},	//1580 KLibrary::trUtf8(const char*, const char*, int)
    {67, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//1581 KLibrary::qt_metacall(QMetaObject::Call, int, void**)
    {67, 366, 133, 1, Smoke::mf_ctor, 112, 8},	//1582 KLibrary::KLibrary(QObject*)
    {67, 366, 1158, 3, Smoke::mf_ctor, 112, 9},	//1583 KLibrary::KLibrary(const QString&, const KComponentData&, QObject*)
    {67, 366, 1162, 4, Smoke::mf_ctor, 112, 10},	//1584 KLibrary::KLibrary(const QString&, int, const KComponentData&, QObject*)
    {67, 1511, 109, 1, 0, 145, 11},	//1585 KLibrary::factory(const char*)
    {67, 2489, 109, 1, 0, 757, 12},	//1586 KLibrary::resolveSymbol(const char*)
    {67, 2487, 109, 1, 0, 756, 13},	//1587 KLibrary::resolveFunction(const char*)
    {67, 2684, 1155, 2, 0, 0, 14},	//1588 KLibrary::setFileName(const QString&, const KComponentData&)
    {67, 3250, 0, 0, 0, 538, 15},	//1589 KLibrary::unload()
    {67, 3200, 109, 1, Smoke::mf_static, 406, 16},	//1590 KLibrary::tr(const char*)
    {67, 3207, 109, 1, Smoke::mf_static, 406, 17},	//1591 KLibrary::trUtf8(const char*)
    {67, 366, 0, 0, Smoke::mf_ctor, 112, 18},	//1592 KLibrary::KLibrary()
    {67, 366, 24, 1, Smoke::mf_ctor, 112, 19},	//1593 KLibrary::KLibrary(const QString&)
    {67, 366, 1155, 2, Smoke::mf_ctor, 112, 20},	//1594 KLibrary::KLibrary(const QString&, const KComponentData&)
    {67, 366, 967, 2, Smoke::mf_ctor, 112, 21},	//1595 KLibrary::KLibrary(const QString&, int)
    {67, 366, 1167, 3, Smoke::mf_ctor, 112, 22},	//1596 KLibrary::KLibrary(const QString&, int, const KComponentData&)
    {67, 1511, 0, 0, 0, 145, 23},	//1597 KLibrary::factory()
    {67, 2684, 24, 1, 0, 0, 24},	//1598 KLibrary::setFileName(const QString&)
    {67, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 25},	//1599 KLibrary::staticMetaObject() const
    {67, 3456, 0, 0, Smoke::mf_dtor, 0, 26 },	//1600 KLibrary::~KLibrary()
    {68, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//1601 KLocalSocket::metaObject() const
    {68, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//1602 KLocalSocket::qt_metacast(const char*)
    {68, 3200, 111, 2, Smoke::mf_static, 406, 3},	//1603 KLocalSocket::tr(const char*, const char*)
    {68, 3207, 111, 2, Smoke::mf_static, 406, 4},	//1604 KLocalSocket::trUtf8(const char*, const char*)
    {68, 3200, 114, 3, Smoke::mf_static, 406, 5},	//1605 KLocalSocket::tr(const char*, const char*, int)
    {68, 3207, 114, 3, Smoke::mf_static, 406, 6},	//1606 KLocalSocket::trUtf8(const char*, const char*, int)
    {68, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//1607 KLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {68, 374, 133, 1, Smoke::mf_ctor, 113, 8},	//1608 KLocalSocket::KLocalSocket(QObject*)
    {68, 1202, 1171, 2, 0, 0, 9},	//1609 KLocalSocket::connectToPath(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {68, 1202, 1174, 3, 0, 0, 10},	//1610 KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType, QFlags<QIODevice::OpenModeFlag>)
    {68, 1400, 0, 0, 0, 0, 11},	//1611 KLocalSocket::disconnectFromPath()
    {68, 2002, 0, 0, Smoke::mf_const, 114, 12},	//1612 KLocalSocket::localSocketType() const
    {68, 2001, 0, 0, Smoke::mf_const, 406, 13},	//1613 KLocalSocket::localPath() const
    {68, 2268, 0, 0, Smoke::mf_const, 406, 14},	//1614 KLocalSocket::peerPath() const
    {68, 1200, 1178, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 15},	//1615 KLocalSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {68, 1399, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 16},	//1616 KLocalSocket::disconnectFromHostImplementation()
    {68, 3200, 109, 1, Smoke::mf_static, 406, 17},	//1617 KLocalSocket::tr(const char*)
    {68, 3207, 109, 1, Smoke::mf_static, 406, 18},	//1618 KLocalSocket::trUtf8(const char*)
    {68, 374, 0, 0, Smoke::mf_ctor, 113, 19},	//1619 KLocalSocket::KLocalSocket()
    {68, 1202, 24, 1, 0, 0, 20},	//1620 KLocalSocket::connectToPath(const QString&)
    {68, 1202, 1182, 2, 0, 0, 21},	//1621 KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType)
    {68, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 22},	//1622 KLocalSocket::staticMetaObject() const
    {68, 798, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 23},	//1623 KLocalSocket::UnixSocket (enum)
    {68, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 24},	//1624 KLocalSocket::AbstractUnixSocket (enum)
    {68, 800, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 25},	//1625 KLocalSocket::UnknownLocalSocketType (enum)
    {68, 3457, 0, 0, Smoke::mf_dtor, 0, 26 },	//1626 KLocalSocket::~KLocalSocket()
    {69, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//1627 KLocalSocketServer::metaObject() const
    {69, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//1628 KLocalSocketServer::qt_metacast(const char*)
    {69, 3200, 111, 2, Smoke::mf_static, 406, 3},	//1629 KLocalSocketServer::tr(const char*, const char*)
    {69, 3207, 111, 2, Smoke::mf_static, 406, 4},	//1630 KLocalSocketServer::trUtf8(const char*, const char*)
    {69, 3200, 114, 3, Smoke::mf_static, 406, 5},	//1631 KLocalSocketServer::tr(const char*, const char*, int)
    {69, 3207, 114, 3, Smoke::mf_static, 406, 6},	//1632 KLocalSocketServer::trUtf8(const char*, const char*, int)
    {69, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//1633 KLocalSocketServer::qt_metacall(QMetaObject::Call, int, void**)
    {69, 376, 133, 1, Smoke::mf_ctor, 115, 8},	//1634 KLocalSocketServer::KLocalSocketServer(QObject*)
    {69, 1988, 1182, 2, 0, 538, 9},	//1635 KLocalSocketServer::listen(const QString&, KLocalSocket::LocalSocketType)
    {69, 1165, 0, 0, 0, 0, 10},	//1636 KLocalSocketServer::close()
    {69, 1852, 0, 0, Smoke::mf_const, 538, 11},	//1637 KLocalSocketServer::isListening() const
    {69, 2809, 105, 1, 0, 0, 12},	//1638 KLocalSocketServer::setMaxPendingConnections(int)
    {69, 2063, 0, 0, Smoke::mf_const, 734, 13},	//1639 KLocalSocketServer::maxPendingConnections() const
    {69, 2002, 0, 0, Smoke::mf_const, 114, 14},	//1640 KLocalSocketServer::localSocketType() const
    {69, 2001, 0, 0, Smoke::mf_const, 406, 15},	//1641 KLocalSocketServer::localPath() const
    {69, 3319, 1185, 2, 0, 538, 16},	//1642 KLocalSocketServer::waitForNewConnection(int, bool*)
    {69, 1711, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 17},	//1643 KLocalSocketServer::hasPendingConnections() const
    {69, 2134, 0, 0, Smoke::mf_virtual, 113, 18},	//1644 KLocalSocketServer::nextPendingConnection()
    {69, 2524, 0, 0, Smoke::mf_const, 258, 19},	//1645 KLocalSocketServer::serverError() const
    {69, 1464, 0, 0, Smoke::mf_const, 406, 20},	//1646 KLocalSocketServer::errorString() const
    {69, 1745, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1647 KLocalSocketServer::incomingConnection(int)
    {69, 2129, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1648 KLocalSocketServer::newConnection()
    {69, 3200, 109, 1, Smoke::mf_static, 406, 23},	//1649 KLocalSocketServer::tr(const char*)
    {69, 3207, 109, 1, Smoke::mf_static, 406, 24},	//1650 KLocalSocketServer::trUtf8(const char*)
    {69, 376, 0, 0, Smoke::mf_ctor, 115, 25},	//1651 KLocalSocketServer::KLocalSocketServer()
    {69, 1988, 24, 1, 0, 538, 26},	//1652 KLocalSocketServer::listen(const QString&)
    {69, 3319, 0, 0, 0, 538, 27},	//1653 KLocalSocketServer::waitForNewConnection()
    {69, 3319, 105, 1, 0, 538, 28},	//1654 KLocalSocketServer::waitForNewConnection(int)
    {69, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 29},	//1655 KLocalSocketServer::staticMetaObject() const
    {69, 3458, 0, 0, Smoke::mf_dtor, 0, 30 },	//1656 KLocalSocketServer::~KLocalSocketServer()
    {70, 378, 273, 2, Smoke::mf_ctor, 117, 1},	//1657 KLocale::KLocale(const QString&, KSharedPtr<KSharedConfig>)
    {70, 378, 1188, 4, Smoke::mf_ctor, 117, 2},	//1658 KLocale::KLocale(const QString&, const QString&, const QString&, KConfig*)
    {70, 378, 1193, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 3},	//1659 KLocale::KLocale(const KLocale&)
    {70, 2211, 1193, 1, 0, 116, 4},	//1660 KLocale::operator=(const KLocale&)
    {70, 3236, 1195, 4, Smoke::mf_const, 0, 5},	//1661 KLocale::translateRawFrom(const char*, const char*, QString*, QString*) const
    {70, 3231, 1200, 3, Smoke::mf_const, 0, 6},	//1662 KLocale::translateRaw(const char*, QString*, QString*) const
    {70, 3236, 1204, 5, Smoke::mf_const, 0, 7},	//1663 KLocale::translateRawFrom(const char*, const char*, const char*, QString*, QString*) const
    {70, 3231, 1195, 4, Smoke::mf_const, 0, 8},	//1664 KLocale::translateRaw(const char*, const char*, QString*, QString*) const
    {70, 3236, 1210, 6, Smoke::mf_const, 0, 9},	//1665 KLocale::translateRawFrom(const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {70, 3231, 1217, 5, Smoke::mf_const, 0, 10},	//1666 KLocale::translateRaw(const char*, const char*, unsigned long, QString*, QString*) const
    {70, 3236, 1223, 7, Smoke::mf_const, 0, 11},	//1667 KLocale::translateRawFrom(const char*, const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {70, 3231, 1210, 6, Smoke::mf_const, 0, 12},	//1668 KLocale::translateRaw(const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {70, 2662, 105, 1, 0, 538, 13},	//1669 KLocale::setEncoding(int)
    {70, 1390, 1231, 2, Smoke::mf_const, 406, 14},	//1670 KLocale::digitSetToName(KLocale::DigitSet, bool) const
    {70, 1030, 0, 0, Smoke::mf_const, 359, 15},	//1671 KLocale::allDigitSetsList() const
    {70, 1326, 0, 0, Smoke::mf_const, 406, 16},	//1672 KLocale::decimalSymbol() const
    {70, 3160, 0, 0, Smoke::mf_const, 406, 17},	//1673 KLocale::thousandsSeparator() const
    {70, 1389, 0, 0, Smoke::mf_const, 123, 18},	//1674 KLocale::digitSet() const
    {70, 1246, 0, 0, Smoke::mf_const, 406, 19},	//1675 KLocale::currencyCode() const
    {70, 1245, 0, 0, Smoke::mf_const, 77, 20},	//1676 KLocale::currency() const
    {70, 1251, 0, 0, Smoke::mf_const, 406, 21},	//1677 KLocale::currencySymbol() const
    {70, 2092, 0, 0, Smoke::mf_const, 406, 22},	//1678 KLocale::monetaryDecimalSymbol() const
    {70, 2094, 0, 0, Smoke::mf_const, 406, 23},	//1679 KLocale::monetaryThousandsSeparator() const
    {70, 2290, 0, 0, Smoke::mf_const, 406, 24},	//1680 KLocale::positiveSign() const
    {70, 2126, 0, 0, Smoke::mf_const, 406, 25},	//1681 KLocale::negativeSign() const
    {70, 1625, 0, 0, Smoke::mf_const, 734, 26},	//1682 KLocale::fracDigits() const
    {70, 1325, 0, 0, Smoke::mf_const, 734, 27},	//1683 KLocale::decimalPlaces() const
    {70, 2091, 0, 0, Smoke::mf_const, 734, 28},	//1684 KLocale::monetaryDecimalPlaces() const
    {70, 2289, 0, 0, Smoke::mf_const, 538, 29},	//1685 KLocale::positivePrefixCurrencySymbol() const
    {70, 2125, 0, 0, Smoke::mf_const, 538, 30},	//1686 KLocale::negativePrefixCurrencySymbol() const
    {70, 2288, 0, 0, Smoke::mf_const, 127, 31},	//1687 KLocale::positiveMonetarySignPosition() const
    {70, 2124, 0, 0, Smoke::mf_const, 127, 32},	//1688 KLocale::negativeMonetarySignPosition() const
    {70, 2093, 0, 0, Smoke::mf_const, 123, 33},	//1689 KLocale::monetaryDigitSet() const
    {70, 1613, 1234, 3, Smoke::mf_const, 406, 34},	//1690 KLocale::formatMoney(double, const QString&, int) const
    {70, 1617, 1238, 2, Smoke::mf_const, 406, 35},	//1691 KLocale::formatNumber(double, int) const
    {70, 1617, 1241, 3, Smoke::mf_const, 406, 36},	//1692 KLocale::formatNumber(const QString&, bool, int) const
    {70, 1611, 1245, 1, Smoke::mf_const, 406, 37},	//1693 KLocale::formatLong(long) const
    {70, 1592, 751, 1, Smoke::mf_const, 406, 38},	//1694 KLocale::formatByteSize(double) const
    {70, 1592, 1247, 4, Smoke::mf_const, 406, 39},	//1695 KLocale::formatByteSize(double, int, KLocale::BinaryUnitDialect, KLocale::BinarySizeUnits) const
    {70, 1103, 0, 0, Smoke::mf_const, 119, 40},	//1696 KLocale::binaryUnitDialect() const
    {70, 2576, 1252, 1, 0, 0, 41},	//1697 KLocale::setBinaryUnitDialect(KLocale::BinaryUnitDialect)
    {70, 1606, 1130, 1, Smoke::mf_const, 406, 42},	//1698 KLocale::formatDuration(unsigned long) const
    {70, 2296, 1130, 1, Smoke::mf_const, 406, 43},	//1699 KLocale::prettyFormatDuration(unsigned long) const
    {70, 2138, 0, 0, Smoke::mf_const, 538, 44},	//1700 KLocale::nounDeclension() const
    {70, 1597, 231, 2, Smoke::mf_const, 406, 45},	//1701 KLocale::formatDate(const QDate&, KLocale::DateFormat) const
    {70, 1602, 1254, 3, Smoke::mf_const, 406, 46},	//1702 KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat, bool) const
    {70, 1602, 1258, 3, Smoke::mf_const, 406, 47},	//1703 KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>) const
    {70, 1281, 0, 0, Smoke::mf_const, 538, 48},	//1704 KLocale::dateMonthNamePossessive() const
    {70, 1621, 1262, 3, Smoke::mf_const, 406, 49},	//1705 KLocale::formatTime(const QTime&, bool, bool) const
    {70, 1608, 1266, 2, Smoke::mf_const, 406, 50},	//1706 KLocale::formatLocaleTime(const QTime&, QFlags<KLocale::TimeFormatOption>) const
    {70, 1284, 0, 0, Smoke::mf_const, 123, 51},	//1707 KLocale::dateTimeDigitSet() const
    {70, 3274, 0, 0, Smoke::mf_const, 538, 52},	//1708 KLocale::use12Clock() const
    {70, 3345, 0, 0, Smoke::mf_const, 734, 53},	//1709 KLocale::weekStartDay() const
    {70, 3358, 0, 0, Smoke::mf_const, 734, 54},	//1710 KLocale::workingWeekStartDay() const
    {70, 3357, 0, 0, Smoke::mf_const, 734, 55},	//1711 KLocale::workingWeekEndDay() const
    {70, 3338, 0, 0, Smoke::mf_const, 734, 56},	//1712 KLocale::weekDayOfPray() const
    {70, 1113, 0, 0, Smoke::mf_const, 550, 57},	//1713 KLocale::calendar() const
    {70, 1117, 0, 0, Smoke::mf_const, 406, 58},	//1714 KLocale::calendarType() const
    {70, 2582, 24, 1, 0, 0, 59},	//1715 KLocale::setCalendar(const QString&)
    {70, 2413, 243, 2, Smoke::mf_const, 731, 60},	//1716 KLocale::readMoney(const QString&, bool*) const
    {70, 2417, 243, 2, Smoke::mf_const, 731, 61},	//1717 KLocale::readNumber(const QString&, bool*) const
    {70, 2383, 243, 2, Smoke::mf_const, 278, 62},	//1718 KLocale::readDate(const QString&, bool*) const
    {70, 2383, 250, 3, Smoke::mf_const, 278, 63},	//1719 KLocale::readDate(const QString&, const QString&, bool*) const
    {70, 2383, 246, 3, Smoke::mf_const, 278, 64},	//1720 KLocale::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    {70, 2424, 243, 2, Smoke::mf_const, 423, 65},	//1721 KLocale::readTime(const QString&, bool*) const
    {70, 2424, 1269, 3, Smoke::mf_const, 423, 66},	//1722 KLocale::readTime(const QString&, KLocale::ReadTimeFlags, bool*) const
    {70, 2408, 1273, 4, Smoke::mf_const, 423, 67},	//1723 KLocale::readLocaleTime(const QString&, bool*, QFlags<KLocale::TimeFormatOption>, QFlags<KLocale::TimeProcessingOption>) const
    {70, 1967, 0, 0, Smoke::mf_const, 406, 68},	//1724 KLocale::language() const
    {70, 1223, 0, 0, Smoke::mf_const, 406, 69},	//1725 KLocale::country() const
    {70, 1972, 0, 0, Smoke::mf_const, 411, 70},	//1726 KLocale::languageList() const
    {70, 1247, 0, 0, Smoke::mf_const, 411, 71},	//1727 KLocale::currencyCodeList() const
    {70, 1427, 0, 0, Smoke::mf_const, 640, 72},	//1728 KLocale::encoding() const
    {70, 1431, 0, 0, Smoke::mf_const, 734, 73},	//1729 KLocale::encodingMib() const
    {70, 1169, 0, 0, Smoke::mf_const, 416, 74},	//1730 KLocale::codecForEncoding() const
    {70, 1522, 0, 0, Smoke::mf_const, 734, 75},	//1731 KLocale::fileEncodingMib() const
    {70, 2625, 24, 1, 0, 0, 76},	//1732 KLocale::setDateFormat(const QString&)
    {70, 2627, 24, 1, 0, 0, 77},	//1733 KLocale::setDateFormatShort(const QString&)
    {70, 2631, 97, 1, 0, 0, 78},	//1734 KLocale::setDateMonthNamePossessive(bool)
    {70, 2948, 24, 1, 0, 0, 79},	//1735 KLocale::setTimeFormat(const QString&)
    {70, 2637, 1278, 1, 0, 0, 80},	//1736 KLocale::setDateTimeDigitSet(KLocale::DigitSet)
    {70, 2976, 105, 1, 0, 0, 81},	//1737 KLocale::setWeekStartDay(int)
    {70, 2982, 105, 1, 0, 0, 82},	//1738 KLocale::setWorkingWeekStartDay(int)
    {70, 2980, 105, 1, 0, 0, 83},	//1739 KLocale::setWorkingWeekEndDay(int)
    {70, 2974, 105, 1, 0, 0, 84},	//1740 KLocale::setWeekDayOfPray(int)
    {70, 1278, 0, 0, Smoke::mf_const, 406, 85},	//1741 KLocale::dateFormat() const
    {70, 1279, 0, 0, Smoke::mf_const, 406, 86},	//1742 KLocale::dateFormatShort() const
    {70, 3164, 0, 0, Smoke::mf_const, 406, 87},	//1743 KLocale::timeFormat() const
    {70, 2641, 24, 1, 0, 0, 88},	//1744 KLocale::setDecimalSymbol(const QString&)
    {70, 2944, 24, 1, 0, 0, 89},	//1745 KLocale::setThousandsSeparator(const QString&)
    {70, 2869, 24, 1, 0, 0, 90},	//1746 KLocale::setPositiveSign(const QString&)
    {70, 2839, 24, 1, 0, 0, 91},	//1747 KLocale::setNegativeSign(const QString&)
    {70, 2656, 1278, 1, 0, 0, 92},	//1748 KLocale::setDigitSet(KLocale::DigitSet)
    {70, 2865, 1280, 1, 0, 0, 93},	//1749 KLocale::setPositiveMonetarySignPosition(KLocale::SignPosition)
    {70, 2835, 1280, 1, 0, 0, 94},	//1750 KLocale::setNegativeMonetarySignPosition(KLocale::SignPosition)
    {70, 2867, 97, 1, 0, 0, 95},	//1751 KLocale::setPositivePrefixCurrencySymbol(bool)
    {70, 2837, 97, 1, 0, 0, 96},	//1752 KLocale::setNegativePrefixCurrencySymbol(bool)
    {70, 2691, 105, 1, 0, 0, 97},	//1753 KLocale::setFracDigits(int)
    {70, 2639, 105, 1, 0, 0, 98},	//1754 KLocale::setDecimalPlaces(int)
    {70, 2825, 105, 1, 0, 0, 99},	//1755 KLocale::setMonetaryDecimalPlaces(int)
    {70, 2831, 24, 1, 0, 0, 100},	//1756 KLocale::setMonetaryThousandsSeparator(const QString&)
    {70, 2827, 24, 1, 0, 0, 101},	//1757 KLocale::setMonetaryDecimalSymbol(const QString&)
    {70, 2604, 24, 1, 0, 0, 102},	//1758 KLocale::setCurrencyCode(const QString&)
    {70, 2606, 24, 1, 0, 0, 103},	//1759 KLocale::setCurrencySymbol(const QString&)
    {70, 2829, 1278, 1, 0, 0, 104},	//1760 KLocale::setMonetaryDigitSet(KLocale::DigitSet)
    {70, 2248, 0, 0, Smoke::mf_const, 734, 105},	//1761 KLocale::pageSize() const
    {70, 2853, 105, 1, 0, 0, 106},	//1762 KLocale::setPageSize(int)
    {70, 2069, 0, 0, Smoke::mf_const, 124, 107},	//1763 KLocale::measureSystem() const
    {70, 2814, 1282, 1, 0, 0, 108},	//1764 KLocale::setMeasureSystem(KLocale::MeasureSystem)
    {70, 1763, 24, 1, 0, 0, 109},	//1765 KLocale::insertCatalog(const QString&)
    {70, 2461, 24, 1, 0, 0, 110},	//1766 KLocale::removeCatalog(const QString&)
    {70, 2545, 24, 1, 0, 0, 111},	//1767 KLocale::setActiveCatalog(const QString&)
    {70, 3229, 1284, 3, Smoke::mf_const, 406, 112},	//1768 KLocale::translateQt(const char*, const char*, const char*) const
    {70, 1033, 0, 0, Smoke::mf_const, 411, 113},	//1769 KLocale::allLanguagesList() const
    {70, 1968, 24, 1, Smoke::mf_const, 406, 114},	//1770 KLocale::languageCodeToName(const QString&) const
    {70, 1027, 0, 0, Smoke::mf_const, 411, 115},	//1771 KLocale::allCountriesList() const
    {70, 1225, 24, 1, Smoke::mf_const, 406, 116},	//1772 KLocale::countryCodeToName(const QString&) const
    {70, 3023, 1288, 5, Smoke::mf_static, 0, 117},	//1773 KLocale::splitLocale(const QString&, QString&, QString&, QString&, QString&)
    {70, 2801, 109, 1, Smoke::mf_static, 0, 118},	//1774 KLocale::setMainCatalog(const char*)
    {70, 1964, 477, 2, Smoke::mf_static, 406, 119},	//1775 KLocale::langLookup(const QString&, const char*)
    {70, 1341, 0, 0, Smoke::mf_static, 406, 120},	//1776 KLocale::defaultLanguage()
    {70, 1339, 0, 0, Smoke::mf_static, 406, 121},	//1777 KLocale::defaultCountry()
    {70, 1340, 0, 0, Smoke::mf_static, 406, 122},	//1778 KLocale::defaultCurrencyCode()
    {70, 3277, 0, 0, Smoke::mf_const, 538, 123},	//1779 KLocale::useTranscript() const
    {70, 1794, 24, 1, 0, 538, 124},	//1780 KLocale::isApplicationTranslatedInto(const QString&)
    {70, 1213, 1112, 1, 0, 0, 125},	//1781 KLocale::copyCatalogsTo(KLocale*)
    {70, 2602, 420, 2, 0, 538, 126},	//1782 KLocale::setCountry(const QString&, KConfig*)
    {70, 2719, 420, 2, 0, 538, 127},	//1783 KLocale::setLanguage(const QString&, KConfig*)
    {70, 2719, 128, 1, 0, 538, 128},	//1784 KLocale::setLanguage(const QStringList&)
    {70, 2004, 24, 1, Smoke::mf_const, 406, 129},	//1785 KLocale::localizedFilePath(const QString&) const
    {70, 2459, 24, 1, Smoke::mf_const, 406, 130},	//1786 KLocale::removeAcceleratorMarker(const QString&) const
    {70, 1210, 1294, 3, Smoke::mf_const, 406, 131},	//1787 KLocale::convertDigits(const QString&, KLocale::DigitSet, bool) const
    {70, 378, 24, 1, Smoke::mf_ctor, 117, 132},	//1788 KLocale::KLocale(const QString&)
    {70, 378, 89, 2, Smoke::mf_ctor, 117, 133},	//1789 KLocale::KLocale(const QString&, const QString&)
    {70, 378, 1298, 3, Smoke::mf_ctor, 117, 134},	//1790 KLocale::KLocale(const QString&, const QString&, const QString&)
    {70, 1390, 1278, 1, Smoke::mf_const, 406, 135},	//1791 KLocale::digitSetToName(KLocale::DigitSet) const
    {70, 1613, 751, 1, Smoke::mf_const, 406, 136},	//1792 KLocale::formatMoney(double) const
    {70, 1613, 1302, 2, Smoke::mf_const, 406, 137},	//1793 KLocale::formatMoney(double, const QString&) const
    {70, 1617, 751, 1, Smoke::mf_const, 406, 138},	//1794 KLocale::formatNumber(double) const
    {70, 1617, 24, 1, Smoke::mf_const, 406, 139},	//1795 KLocale::formatNumber(const QString&) const
    {70, 1617, 1305, 2, Smoke::mf_const, 406, 140},	//1796 KLocale::formatNumber(const QString&, bool) const
    {70, 1592, 1238, 2, Smoke::mf_const, 406, 141},	//1797 KLocale::formatByteSize(double, int) const
    {70, 1592, 1308, 3, Smoke::mf_const, 406, 142},	//1798 KLocale::formatByteSize(double, int, KLocale::BinaryUnitDialect) const
    {70, 1597, 174, 1, Smoke::mf_const, 406, 143},	//1799 KLocale::formatDate(const QDate&) const
    {70, 1602, 990, 1, Smoke::mf_const, 406, 144},	//1800 KLocale::formatDateTime(const QDateTime&) const
    {70, 1602, 1312, 2, Smoke::mf_const, 406, 145},	//1801 KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat) const
    {70, 1602, 992, 1, Smoke::mf_const, 406, 146},	//1802 KLocale::formatDateTime(const KDateTime&) const
    {70, 1602, 1315, 2, Smoke::mf_const, 406, 147},	//1803 KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat) const
    {70, 1621, 998, 1, Smoke::mf_const, 406, 148},	//1804 KLocale::formatTime(const QTime&) const
    {70, 1621, 1318, 2, Smoke::mf_const, 406, 149},	//1805 KLocale::formatTime(const QTime&, bool) const
    {70, 1608, 998, 1, Smoke::mf_const, 406, 150},	//1806 KLocale::formatLocaleTime(const QTime&) const
    {70, 2413, 24, 1, Smoke::mf_const, 731, 151},	//1807 KLocale::readMoney(const QString&) const
    {70, 2417, 24, 1, Smoke::mf_const, 731, 152},	//1808 KLocale::readNumber(const QString&) const
    {70, 2383, 24, 1, Smoke::mf_const, 278, 153},	//1809 KLocale::readDate(const QString&) const
    {70, 2383, 89, 2, Smoke::mf_const, 278, 154},	//1810 KLocale::readDate(const QString&, const QString&) const
    {70, 2383, 285, 2, Smoke::mf_const, 278, 155},	//1811 KLocale::readDate(const QString&, KLocale::ReadDateFlags) const
    {70, 2424, 24, 1, Smoke::mf_const, 423, 156},	//1812 KLocale::readTime(const QString&) const
    {70, 2424, 1321, 2, Smoke::mf_const, 423, 157},	//1813 KLocale::readTime(const QString&, KLocale::ReadTimeFlags) const
    {70, 2408, 24, 1, Smoke::mf_const, 423, 158},	//1814 KLocale::readLocaleTime(const QString&) const
    {70, 2408, 243, 2, Smoke::mf_const, 423, 159},	//1815 KLocale::readLocaleTime(const QString&, bool*) const
    {70, 2408, 1324, 3, Smoke::mf_const, 423, 160},	//1816 KLocale::readLocaleTime(const QString&, bool*, QFlags<KLocale::TimeFormatOption>) const
    {70, 1964, 24, 1, Smoke::mf_static, 406, 161},	//1817 KLocale::langLookup(const QString&)
    {70, 1210, 1328, 2, Smoke::mf_const, 406, 162},	//1818 KLocale::convertDigits(const QString&, KLocale::DigitSet) const
    {70, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 163},	//1819 KLocale::ParensAround (enum)
    {70, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 164},	//1820 KLocale::BeforeQuantityMoney (enum)
    {70, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 165},	//1821 KLocale::AfterQuantityMoney (enum)
    {70, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 166},	//1822 KLocale::BeforeMoney (enum)
    {70, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 167},	//1823 KLocale::AfterMoney (enum)
    {70, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 168},	//1824 KLocale::ArabicDigits (enum)
    {70, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 169},	//1825 KLocale::ArabicIndicDigits (enum)
    {70, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 170},	//1826 KLocale::EasternArabicIndicDigits (enum)
    {70, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 171},	//1827 KLocale::DevenagariDigits (enum)
    {70, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 172},	//1828 KLocale::BengaliDigits (enum)
    {70, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 173},	//1829 KLocale::GujaratiDigits (enum)
    {70, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 174},	//1830 KLocale::GurmukhiDigits (enum)
    {70, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 175},	//1831 KLocale::KannadaDigits (enum)
    {70, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 176},	//1832 KLocale::KhmerDigits (enum)
    {70, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 177},	//1833 KLocale::MalayalamDigits (enum)
    {70, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 178},	//1834 KLocale::OriyaDigits (enum)
    {70, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 179},	//1835 KLocale::TamilDigits (enum)
    {70, 760, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 180},	//1836 KLocale::TeluguDigits (enum)
    {70, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 181},	//1837 KLocale::ThaiDigits (enum)
    {70, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 182},	//1838 KLocale::DefaultBinaryUnits (enum)
    {70, 787, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 183},	//1839 KLocale::UnitByte (enum)
    {70, 790, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 184},	//1840 KLocale::UnitKiloByte (enum)
    {70, 792, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 185},	//1841 KLocale::UnitMegaByte (enum)
    {70, 789, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 186},	//1842 KLocale::UnitGigaByte (enum)
    {70, 794, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 187},	//1843 KLocale::UnitTeraByte (enum)
    {70, 793, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 188},	//1844 KLocale::UnitPetaByte (enum)
    {70, 788, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 189},	//1845 KLocale::UnitExaByte (enum)
    {70, 796, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 190},	//1846 KLocale::UnitZettaByte (enum)
    {70, 795, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 191},	//1847 KLocale::UnitYottaByte (enum)
    {70, 791, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 192},	//1848 KLocale::UnitLastUnit (enum)
    {70, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 193},	//1849 KLocale::DefaultBinaryDialect (enum)
    {70, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 194},	//1850 KLocale::IECBinaryDialect (enum)
    {70, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 195},	//1851 KLocale::JEDECBinaryDialect (enum)
    {70, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 196},	//1852 KLocale::MetricBinaryDialect (enum)
    {70, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 197},	//1853 KLocale::LastBinaryDialect (enum)
    {70, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 198},	//1854 KLocale::KdeFormat (enum)
    {70, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 199},	//1855 KLocale::PosixFormat (enum)
    {70, 786, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 200},	//1856 KLocale::UnicodeFormat (enum)
    {70, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 201},	//1857 KLocale::ShortDate (enum)
    {70, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 202},	//1858 KLocale::LongDate (enum)
    {70, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 203},	//1859 KLocale::FancyShortDate (enum)
    {70, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 204},	//1860 KLocale::FancyLongDate (enum)
    {70, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 205},	//1861 KLocale::IsoDate (enum)
    {70, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 206},	//1862 KLocale::IsoWeekDate (enum)
    {70, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 207},	//1863 KLocale::IsoOrdinalDate (enum)
    {70, 770, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 208},	//1864 KLocale::TimeZone (enum)
    {70, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 209},	//1865 KLocale::Seconds (enum)
    {70, 765, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 210},	//1866 KLocale::TimeDefault (enum)
    {70, 769, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 211},	//1867 KLocale::TimeWithoutSeconds (enum)
    {70, 768, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 212},	//1868 KLocale::TimeWithoutAmPm (enum)
    {70, 766, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 213},	//1869 KLocale::TimeDuration (enum)
    {70, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 214},	//1870 KLocale::NormalFormat (enum)
    {70, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 215},	//1871 KLocale::ShortFormat (enum)
    {70, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 216},	//1872 KLocale::IsoFormat (enum)
    {70, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 217},	//1873 KLocale::IsoWeekFormat (enum)
    {70, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 218},	//1874 KLocale::IsoOrdinalFormat (enum)
    {70, 817, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 219},	//1875 KLocale::WithSeconds (enum)
    {70, 818, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 220},	//1876 KLocale::WithoutSeconds (enum)
    {70, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 221},	//1877 KLocale::ProcessStrict (enum)
    {70, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 222},	//1878 KLocale::ProcessNonStrict (enum)
    {70, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 223},	//1879 KLocale::Metric (enum)
    {70, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 224},	//1880 KLocale::Imperial (enum)
    {70, 3459, 0, 0, Smoke::mf_dtor, 0, 225 },	//1881 KLocale::~KLocale()
    {71, 385, 0, 0, Smoke::mf_ctor, 132, 1},	//1882 KLocalizedString::KLocalizedString()
    {71, 385, 22, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 2},	//1883 KLocalizedString::KLocalizedString(const KLocalizedString&)
    {71, 2211, 22, 1, 0, 131, 3},	//1884 KLocalizedString::operator=(const KLocalizedString&)
    {71, 3181, 0, 0, Smoke::mf_const, 406, 4},	//1885 KLocalizedString::toString() const
    {71, 3181, 24, 1, Smoke::mf_const, 406, 5},	//1886 KLocalizedString::toString(const QString&) const
    {71, 3181, 157, 1, Smoke::mf_const, 406, 6},	//1887 KLocalizedString::toString(const KLocale*) const
    {71, 3181, 1331, 2, Smoke::mf_const, 406, 7},	//1888 KLocalizedString::toString(const KLocale*, const QString&) const
    {71, 1826, 0, 0, Smoke::mf_const, 538, 8},	//1889 KLocalizedString::isEmpty() const
    {71, 3107, 1334, 4, Smoke::mf_const, 130, 9},	//1890 KLocalizedString::subs(int, int, int, const QChar&) const
    {71, 3107, 1339, 4, Smoke::mf_const, 130, 10},	//1891 KLocalizedString::subs(unsigned int, int, int, const QChar&) const
    {71, 3107, 1344, 4, Smoke::mf_const, 130, 11},	//1892 KLocalizedString::subs(long, int, int, const QChar&) const
    {71, 3107, 1349, 4, Smoke::mf_const, 130, 12},	//1893 KLocalizedString::subs(unsigned long, int, int, const QChar&) const
    {71, 3107, 1354, 4, Smoke::mf_const, 130, 13},	//1894 KLocalizedString::subs(long long, int, int, const QChar&) const
    {71, 3107, 1359, 4, Smoke::mf_const, 130, 14},	//1895 KLocalizedString::subs(unsigned long long, int, int, const QChar&) const
    {71, 3107, 1364, 5, Smoke::mf_const, 130, 15},	//1896 KLocalizedString::subs(double, int, char, int, const QChar&) const
    {71, 3107, 1370, 3, Smoke::mf_const, 130, 16},	//1897 KLocalizedString::subs(QChar, int, const QChar&) const
    {71, 3107, 1374, 3, Smoke::mf_const, 130, 17},	//1898 KLocalizedString::subs(const QString&, int, const QChar&) const
    {71, 1743, 89, 2, Smoke::mf_const, 130, 18},	//1899 KLocalizedString::inContext(const QString&, const QString&) const
    {71, 2136, 1378, 2, Smoke::mf_static, 0, 19},	//1900 KLocalizedString::notifyCatalogsUpdated(const QStringList&, const QList<KCatalogName>&)
    {71, 3107, 105, 1, Smoke::mf_const, 130, 20},	//1901 KLocalizedString::subs(int) const
    {71, 3107, 166, 2, Smoke::mf_const, 130, 21},	//1902 KLocalizedString::subs(int, int) const
    {71, 3107, 162, 3, Smoke::mf_const, 130, 22},	//1903 KLocalizedString::subs(int, int, int) const
    {71, 3107, 905, 1, Smoke::mf_const, 130, 23},	//1904 KLocalizedString::subs(unsigned int) const
    {71, 3107, 1381, 2, Smoke::mf_const, 130, 24},	//1905 KLocalizedString::subs(unsigned int, int) const
    {71, 3107, 1384, 3, Smoke::mf_const, 130, 25},	//1906 KLocalizedString::subs(unsigned int, int, int) const
    {71, 3107, 1245, 1, Smoke::mf_const, 130, 26},	//1907 KLocalizedString::subs(long) const
    {71, 3107, 1388, 2, Smoke::mf_const, 130, 27},	//1908 KLocalizedString::subs(long, int) const
    {71, 3107, 1391, 3, Smoke::mf_const, 130, 28},	//1909 KLocalizedString::subs(long, int, int) const
    {71, 3107, 1130, 1, Smoke::mf_const, 130, 29},	//1910 KLocalizedString::subs(unsigned long) const
    {71, 3107, 1395, 2, Smoke::mf_const, 130, 30},	//1911 KLocalizedString::subs(unsigned long, int) const
    {71, 3107, 1398, 3, Smoke::mf_const, 130, 31},	//1912 KLocalizedString::subs(unsigned long, int, int) const
    {71, 3107, 814, 1, Smoke::mf_const, 130, 32},	//1913 KLocalizedString::subs(long long) const
    {71, 3107, 1402, 2, Smoke::mf_const, 130, 33},	//1914 KLocalizedString::subs(long long, int) const
    {71, 3107, 1405, 3, Smoke::mf_const, 130, 34},	//1915 KLocalizedString::subs(long long, int, int) const
    {71, 3107, 918, 1, Smoke::mf_const, 130, 35},	//1916 KLocalizedString::subs(unsigned long long) const
    {71, 3107, 1409, 2, Smoke::mf_const, 130, 36},	//1917 KLocalizedString::subs(unsigned long long, int) const
    {71, 3107, 1412, 3, Smoke::mf_const, 130, 37},	//1918 KLocalizedString::subs(unsigned long long, int, int) const
    {71, 3107, 751, 1, Smoke::mf_const, 130, 38},	//1919 KLocalizedString::subs(double) const
    {71, 3107, 1238, 2, Smoke::mf_const, 130, 39},	//1920 KLocalizedString::subs(double, int) const
    {71, 3107, 1416, 3, Smoke::mf_const, 130, 40},	//1921 KLocalizedString::subs(double, int, char) const
    {71, 3107, 1420, 4, Smoke::mf_const, 130, 41},	//1922 KLocalizedString::subs(double, int, char, int) const
    {71, 3107, 293, 1, Smoke::mf_const, 130, 42},	//1923 KLocalizedString::subs(QChar) const
    {71, 3107, 1425, 2, Smoke::mf_const, 130, 43},	//1924 KLocalizedString::subs(QChar, int) const
    {71, 3107, 24, 1, Smoke::mf_const, 130, 44},	//1925 KLocalizedString::subs(const QString&) const
    {71, 3107, 967, 2, Smoke::mf_const, 130, 45},	//1926 KLocalizedString::subs(const QString&, int) const
    {71, 3460, 0, 0, Smoke::mf_dtor, 0, 46 },	//1927 KLocalizedString::~KLocalizedString()
    {72, 387, 1155, 2, Smoke::mf_ctor, 133, 1},	//1928 KLockFile::KLockFile(const QString&, const KComponentData&)
    {72, 2019, 1428, 1, 0, 135, 2},	//1929 KLockFile::lock(QFlags<KLockFile::LockFlag>)
    {72, 1856, 0, 0, Smoke::mf_const, 538, 3},	//1930 KLockFile::isLocked() const
    {72, 3253, 0, 0, 0, 0, 4},	//1931 KLockFile::unlock()
    {72, 3030, 0, 0, Smoke::mf_const, 734, 5},	//1932 KLockFile::staleTime() const
    {72, 2932, 105, 1, 0, 0, 6},	//1933 KLockFile::setStaleTime(int)
    {72, 1661, 1430, 3, 0, 538, 7},	//1934 KLockFile::getLockInfo(int&, QString&, QString&)
    {72, 387, 1434, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 133, 8},	//1935 KLockFile::KLockFile(const KLockFile&)
    {72, 387, 24, 1, Smoke::mf_ctor, 133, 9},	//1936 KLockFile::KLockFile(const QString&)
    {72, 2019, 0, 0, 0, 135, 10},	//1937 KLockFile::lock()
    {72, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 11},	//1938 KLockFile::LockOK (enum)
    {72, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 12},	//1939 KLockFile::LockFail (enum)
    {72, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 13},	//1940 KLockFile::LockError (enum)
    {72, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 14},	//1941 KLockFile::LockStale (enum)
    {72, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 15},	//1942 KLockFile::NoBlockFlag (enum)
    {72, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 16},	//1943 KLockFile::ForceFlag (enum)
    {72, 3461, 0, 0, Smoke::mf_dtor, 0, 17 },	//1944 KLockFile::~KLockFile()
    {73, 391, 0, 0, Smoke::mf_ctor, 136, 1},	//1945 KMD5::KMD5()
    {73, 391, 1061, 2, Smoke::mf_ctor, 136, 2},	//1946 KMD5::KMD5(const char*, int)
    {73, 391, 26, 1, Smoke::mf_ctor, 136, 3},	//1947 KMD5::KMD5(const QByteArray&)
    {73, 3261, 1061, 2, 0, 0, 4},	//1948 KMD5::update(const char*, int)
    {73, 3261, 1436, 2, 0, 0, 5},	//1949 KMD5::update(const unsigned char*, int)
    {73, 3261, 26, 1, 0, 0, 6},	//1950 KMD5::update(const QByteArray&)
    {73, 3261, 1439, 1, 0, 538, 7},	//1951 KMD5::update(QIODevice&)
    {73, 2483, 0, 0, 0, 0, 8},	//1952 KMD5::reset()
    {73, 2367, 0, 0, 0, 726, 9},	//1953 KMD5::rawDigest()
    {73, 2367, 1441, 1, 0, 0, 10},	//1954 KMD5::rawDigest(unsigned char(&)[16])
    {73, 1723, 0, 0, 0, 264, 11},	//1955 KMD5::hexDigest()
    {73, 1723, 1443, 1, 0, 0, 12},	//1956 KMD5::hexDigest(QByteArray&)
    {73, 1094, 0, 0, 0, 264, 13},	//1957 KMD5::base64Digest()
    {73, 3301, 1445, 1, 0, 538, 14},	//1958 KMD5::verify(const unsigned char(&)[16])
    {73, 3301, 26, 1, 0, 538, 15},	//1959 KMD5::verify(const QByteArray&)
    {73, 3211, 1447, 1, Smoke::mf_protected, 0, 16},	//1960 KMD5::transform(const unsigned char[64])
    {73, 1528, 0, 0, Smoke::mf_protected, 0, 17},	//1961 KMD5::finalize()
    {73, 391, 109, 1, Smoke::mf_ctor, 136, 18},	//1962 KMD5::KMD5(const char*)
    {73, 3261, 109, 1, 0, 0, 19},	//1963 KMD5::update(const char*)
    {73, 3261, 1449, 1, 0, 0, 20},	//1964 KMD5::update(const unsigned char*)
    {73, 3462, 0, 0, Smoke::mf_dtor, 0, 21 },	//1965 KMD5::~KMD5()
    {74, 1494, 1451, 3, Smoke::mf_static, 406, 1},	//1966 KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&, QChar)
    {74, 1494, 1455, 2, Smoke::mf_static, 406, 2},	//1967 KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&)
    {74, 1498, 1458, 3, Smoke::mf_static, 406, 3},	//1968 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&, QChar)
    {74, 1498, 1462, 2, Smoke::mf_static, 406, 4},	//1969 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&)
    {74, 1494, 1458, 3, Smoke::mf_static, 406, 5},	//1970 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&, QChar)
    {74, 1494, 1462, 2, Smoke::mf_static, 406, 6},	//1971 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&)
    {74, 1498, 1451, 3, Smoke::mf_static, 406, 7},	//1972 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&, QChar)
    {74, 1498, 1455, 2, Smoke::mf_static, 406, 8},	//1973 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&)
    {74, 1494, 1465, 3, Smoke::mf_static, 406, 9},	//1974 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&, QChar)
    {74, 1494, 1469, 2, Smoke::mf_static, 406, 10},	//1975 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&)
    {74, 1494, 1472, 3, Smoke::mf_static, 406, 11},	//1976 KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&, QChar)
    {74, 1494, 1476, 2, Smoke::mf_static, 406, 12},	//1977 KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&)
    {74, 1498, 1465, 3, Smoke::mf_static, 406, 13},	//1978 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&, QChar)
    {74, 1498, 1469, 2, Smoke::mf_static, 406, 14},	//1979 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&)
    {74, 1498, 1472, 3, Smoke::mf_static, 406, 15},	//1980 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&, QChar)
    {74, 1498, 1476, 2, Smoke::mf_static, 406, 16},	//1981 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&)
    {75, 395, 293, 1, Smoke::mf_ctor, 137, 1},	//1982 KMacroExpanderBase::KMacroExpanderBase(QChar)
    {75, 1494, 1479, 1, 0, 0, 2},	//1983 KMacroExpanderBase::expandMacros(QString&)
    {75, 1498, 1481, 2, 0, 538, 3},	//1984 KMacroExpanderBase::expandMacrosShellQuote(QString&, int&)
    {75, 1498, 1479, 1, 0, 538, 4},	//1985 KMacroExpanderBase::expandMacrosShellQuote(QString&)
    {75, 2676, 293, 1, 0, 0, 5},	//1986 KMacroExpanderBase::setEscapeChar(QChar)
    {75, 1469, 0, 0, Smoke::mf_const, 266, 6},	//1987 KMacroExpanderBase::escapeChar() const
    {75, 1503, 295, 3, Smoke::mf_protected|Smoke::mf_virtual, 734, 7},	//1988 KMacroExpanderBase::expandPlainMacro(const QString&, int, QStringList&)
    {75, 1489, 295, 3, Smoke::mf_protected|Smoke::mf_virtual, 734, 8},	//1989 KMacroExpanderBase::expandEscapedMacro(const QString&, int, QStringList&)
    {75, 395, 1484, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 9},	//1990 KMacroExpanderBase::KMacroExpanderBase(const KMacroExpanderBase&)
    {75, 395, 0, 0, Smoke::mf_ctor, 137, 10},	//1991 KMacroExpanderBase::KMacroExpanderBase()
    {75, 3463, 0, 0, Smoke::mf_dtor, 0, 11 },	//1992 KMacroExpanderBase::~KMacroExpanderBase()
    {76, 2071, 1486, 3, Smoke::mf_static, 0, 1},	//1993 KMessage::message(KMessage::MessageType, const QString&, const QString&)
    {76, 2071, 1490, 2, Smoke::mf_static, 0, 2},	//1994 KMessage::message(KMessage::MessageType, const QString&)
    {76, 2818, 1493, 1, Smoke::mf_static, 0, 3},	//1995 KMessage::setMessageHandler(KMessageHandler*)
    {76, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 4},	//1996 KMessage::Error (enum)
    {76, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 5},	//1997 KMessage::Information (enum)
    {76, 814, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 6},	//1998 KMessage::Warning (enum)
    {76, 728, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 7},	//1999 KMessage::Sorry (enum)
    {76, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 8},	//2000 KMessage::Fatal (enum)
    {77, 2071, 1486, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//2001 KMessageHandler::message(KMessage::MessageType, const QString&, const QString&) [pure virtual]
    {77, 397, 0, 0, Smoke::mf_ctor, 139, 2},	//2002 KMessageHandler::KMessageHandler()
    {77, 397, 1495, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 139, 3},	//2003 KMessageHandler::KMessageHandler(const KMessageHandler&)
    {77, 3464, 0, 0, Smoke::mf_dtor, 0, 4 },	//2004 KMessageHandler::~KMessageHandler()
    {78, 1735, 135, 1, Smoke::mf_const, 406, 1},	//2005 KMimeType::iconName(const KUrl&) const
    {78, 1737, 1497, 2, Smoke::mf_static, 406, 2},	//2006 KMimeType::iconNameForUrl(const KUrl&, unsigned int)
    {78, 1515, 135, 1, Smoke::mf_static, 406, 3},	//2007 KMimeType::favIconForUrl(const KUrl&)
    {78, 1175, 135, 1, Smoke::mf_const, 406, 4},	//2008 KMimeType::comment(const KUrl&) const
    {78, 2264, 0, 0, Smoke::mf_const, 411, 5},	//2009 KMimeType::patterns() const
    {78, 2075, 1500, 2, Smoke::mf_static, 172, 6},	//2010 KMimeType::mimeType(const QString&, KMimeType::FindByNameOption)
    {78, 1553, 1503, 5, Smoke::mf_static, 172, 7},	//2011 KMimeType::findByUrl(const KUrl&, unsigned int, bool, bool, int*)
    {78, 1548, 1509, 4, Smoke::mf_static, 172, 8},	//2012 KMimeType::findByPath(const QString&, unsigned int, bool, int*)
    {78, 1538, 1514, 2, Smoke::mf_static, 172, 9},	//2013 KMimeType::findByContent(const QByteArray&, int*)
    {78, 1544, 1517, 4, Smoke::mf_static, 172, 10},	//2014 KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int, int*)
    {78, 1538, 1522, 2, Smoke::mf_static, 172, 11},	//2015 KMimeType::findByContent(QIODevice*, int*)
    {78, 1544, 1525, 4, Smoke::mf_static, 172, 12},	//2016 KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int, int*)
    {78, 1541, 1530, 2, Smoke::mf_static, 172, 13},	//2017 KMimeType::findByFileContent(const QString&, int*)
    {78, 1802, 24, 1, Smoke::mf_static, 538, 14},	//2018 KMimeType::isBinaryData(const QString&)
    {78, 1804, 26, 1, Smoke::mf_static, 538, 15},	//2019 KMimeType::isBufferBinaryData(const QByteArray&)
    {78, 1034, 0, 0, Smoke::mf_static, 363, 16},	//2020 KMimeType::allMimeTypes()
    {78, 1343, 0, 0, Smoke::mf_static, 406, 17},	//2021 KMimeType::defaultMimeType()
    {78, 1344, 0, 0, Smoke::mf_static, 172, 18},	//2022 KMimeType::defaultMimeTypePtr()
    {78, 1815, 0, 0, Smoke::mf_const, 538, 19},	//2023 KMimeType::isDefault() const
    {78, 2251, 0, 0, Smoke::mf_const, 406, 20},	//2024 KMimeType::parentMimeType() const
    {78, 2252, 0, 0, Smoke::mf_const, 411, 21},	//2025 KMimeType::parentMimeTypes() const
    {78, 1035, 0, 0, Smoke::mf_const, 411, 22},	//2026 KMimeType::allParentMimeTypes() const
    {78, 1791, 24, 1, Smoke::mf_const, 538, 23},	//2027 KMimeType::is(const QString&) const
    {78, 3282, 0, 0, Smoke::mf_const, 406, 24},	//2028 KMimeType::userSpecifiedIconName() const
    {78, 2055, 0, 0, Smoke::mf_const, 406, 25},	//2029 KMimeType::mainExtension() const
    {78, 1507, 24, 1, Smoke::mf_static, 406, 26},	//2030 KMimeType::extractKnownExtension(const QString&)
    {78, 2988, 0, 0, Smoke::mf_static, 734, 27},	//2031 KMimeType::sharedMimeInfoVersion()
    {78, 399, 1533, 2, Smoke::mf_ctor|Smoke::mf_protected, 140, 28},	//2032 KMimeType::KMimeType(QDataStream&, int)
    {78, 399, 1298, 3, Smoke::mf_ctor|Smoke::mf_protected, 140, 29},	//2033 KMimeType::KMimeType(const QString&, const QString&, const QString&)
    {78, 399, 1536, 1, Smoke::mf_ctor|Smoke::mf_protected, 140, 30},	//2034 KMimeType::KMimeType(KMimeTypePrivate&)
    {78, 399, 1538, 3, Smoke::mf_ctor|Smoke::mf_protected, 140, 31},	//2035 KMimeType::KMimeType(KMimeTypePrivate&, const QString&, const QString&)
    {78, 1735, 0, 0, Smoke::mf_const, 406, 32},	//2036 KMimeType::iconName() const
    {78, 1737, 135, 1, Smoke::mf_static, 406, 33},	//2037 KMimeType::iconNameForUrl(const KUrl&)
    {78, 1175, 0, 0, Smoke::mf_const, 406, 34},	//2038 KMimeType::comment() const
    {78, 2075, 24, 1, Smoke::mf_static, 172, 35},	//2039 KMimeType::mimeType(const QString&)
    {78, 1553, 135, 1, Smoke::mf_static, 172, 36},	//2040 KMimeType::findByUrl(const KUrl&)
    {78, 1553, 1497, 2, Smoke::mf_static, 172, 37},	//2041 KMimeType::findByUrl(const KUrl&, unsigned int)
    {78, 1553, 1542, 3, Smoke::mf_static, 172, 38},	//2042 KMimeType::findByUrl(const KUrl&, unsigned int, bool)
    {78, 1553, 1546, 4, Smoke::mf_static, 172, 39},	//2043 KMimeType::findByUrl(const KUrl&, unsigned int, bool, bool)
    {78, 1548, 24, 1, Smoke::mf_static, 172, 40},	//2044 KMimeType::findByPath(const QString&)
    {78, 1548, 960, 2, Smoke::mf_static, 172, 41},	//2045 KMimeType::findByPath(const QString&, unsigned int)
    {78, 1548, 1551, 3, Smoke::mf_static, 172, 42},	//2046 KMimeType::findByPath(const QString&, unsigned int, bool)
    {78, 1538, 26, 1, Smoke::mf_static, 172, 43},	//2047 KMimeType::findByContent(const QByteArray&)
    {78, 1544, 542, 2, Smoke::mf_static, 172, 44},	//2048 KMimeType::findByNameAndContent(const QString&, const QByteArray&)
    {78, 1544, 1555, 3, Smoke::mf_static, 172, 45},	//2049 KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int)
    {78, 1538, 1087, 1, Smoke::mf_static, 172, 46},	//2050 KMimeType::findByContent(QIODevice*)
    {78, 1544, 1559, 2, Smoke::mf_static, 172, 47},	//2051 KMimeType::findByNameAndContent(const QString&, QIODevice*)
    {78, 1544, 1562, 3, Smoke::mf_static, 172, 48},	//2052 KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int)
    {78, 1541, 24, 1, Smoke::mf_static, 172, 49},	//2053 KMimeType::findByFileContent(const QString&)
    {78, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 50},	//2054 KMimeType::DontResolveAlias (enum)
    {78, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 51},	//2055 KMimeType::ResolveAliases (enum)
    {78, 3465, 0, 0, Smoke::mf_dtor, 0, 52 },	//2056 KMimeType::~KMimeType()
    {80, 2347, 1298, 3, Smoke::mf_const, 364, 1},	//2057 KMimeTypeTrader::query(const QString&, const QString&, const QString&) const
    {80, 2293, 89, 2, 0, 173, 2},	//2058 KMimeTypeTrader::preferredService(const QString&, const QString&)
    {80, 2522, 0, 0, Smoke::mf_static, 143, 3},	//2059 KMimeTypeTrader::self()
    {80, 404, 1566, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 4},	//2060 KMimeTypeTrader::KMimeTypeTrader(const KMimeTypeTrader&)
    {80, 2347, 24, 1, Smoke::mf_const, 364, 5},	//2061 KMimeTypeTrader::query(const QString&) const
    {80, 2347, 89, 2, Smoke::mf_const, 364, 6},	//2062 KMimeTypeTrader::query(const QString&, const QString&) const
    {80, 2293, 24, 1, 0, 173, 7},	//2063 KMimeTypeTrader::preferredService(const QString&)
    {80, 3466, 0, 0, Smoke::mf_dtor, 0, 8 },	//2064 KMimeTypeTrader::~KMimeTypeTrader()
    {82, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//2065 KPluginFactory::metaObject() const
    {82, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//2066 KPluginFactory::qt_metacast(const char*)
    {82, 3200, 111, 2, Smoke::mf_static, 406, 3},	//2067 KPluginFactory::tr(const char*, const char*)
    {82, 3207, 111, 2, Smoke::mf_static, 406, 4},	//2068 KPluginFactory::trUtf8(const char*, const char*)
    {82, 3200, 114, 3, Smoke::mf_static, 406, 5},	//2069 KPluginFactory::tr(const char*, const char*, int)
    {82, 3207, 114, 3, Smoke::mf_static, 406, 6},	//2070 KPluginFactory::trUtf8(const char*, const char*, int)
    {82, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//2071 KPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {82, 406, 1568, 3, Smoke::mf_ctor, 145, 8},	//2072 KPluginFactory::KPluginFactory(const char*, const char*, QObject*)
    {82, 406, 1572, 2, Smoke::mf_ctor, 145, 9},	//2073 KPluginFactory::KPluginFactory(const KAboutData&, QObject*)
    {82, 406, 1575, 2, Smoke::mf_ctor, 145, 10},	//2074 KPluginFactory::KPluginFactory(const KAboutData*, QObject*)
    {82, 406, 133, 1, Smoke::mf_ctor, 145, 11},	//2075 KPluginFactory::KPluginFactory(QObject*)
    {82, 1179, 0, 0, Smoke::mf_const, 36, 12},	//2076 KPluginFactory::componentData() const
    {82, 1227, 1578, 3, 0, 392, 13},	//2077 KPluginFactory::create(QObject*, const char*, const QStringList&)
    {82, 2144, 133, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2078 KPluginFactory::objectCreated(QObject*)
    {82, 406, 1582, 2, Smoke::mf_ctor|Smoke::mf_protected, 145, 15},	//2079 KPluginFactory::KPluginFactory(KPluginFactoryPrivate&, QObject*)
    {82, 3104, 128, 1, Smoke::mf_protected, 380, 16},	//2080 KPluginFactory::stringListToVariantList(const QStringList&)
    {82, 3299, 1585, 1, Smoke::mf_protected, 411, 17},	//2081 KPluginFactory::variantListToStringList(const QList<QVariant>&)
    {82, 2987, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2082 KPluginFactory::setupTranslations()
    {82, 1237, 1578, 3, Smoke::mf_protected|Smoke::mf_virtual, 392, 19},	//2083 KPluginFactory::createObject(QObject*, const char*, const QStringList&)
    {82, 1239, 1587, 4, Smoke::mf_protected|Smoke::mf_virtual, 144, 20},	//2084 KPluginFactory::createPartObject(QWidget*, QObject*, const char*, const QStringList&)
    {82, 2594, 383, 1, Smoke::mf_protected, 0, 21},	//2085 KPluginFactory::setComponentData(const KComponentData&)
    {82, 1227, 1592, 5, Smoke::mf_protected|Smoke::mf_virtual, 392, 22},	//2086 KPluginFactory::create(const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&)
    {82, 3200, 109, 1, Smoke::mf_static, 406, 23},	//2087 KPluginFactory::tr(const char*)
    {82, 3207, 109, 1, Smoke::mf_static, 406, 24},	//2088 KPluginFactory::trUtf8(const char*)
    {82, 406, 0, 0, Smoke::mf_ctor, 145, 25},	//2089 KPluginFactory::KPluginFactory()
    {82, 406, 109, 1, Smoke::mf_ctor, 145, 26},	//2090 KPluginFactory::KPluginFactory(const char*)
    {82, 406, 111, 2, Smoke::mf_ctor, 145, 27},	//2091 KPluginFactory::KPluginFactory(const char*, const char*)
    {82, 406, 12, 1, Smoke::mf_ctor, 145, 28},	//2092 KPluginFactory::KPluginFactory(const KAboutData&)
    {82, 406, 325, 1, Smoke::mf_ctor, 145, 29},	//2093 KPluginFactory::KPluginFactory(const KAboutData*)
    {82, 1227, 0, 0, 0, 392, 30},	//2094 KPluginFactory::create()
    {82, 1227, 133, 1, 0, 392, 31},	//2095 KPluginFactory::create(QObject*)
    {82, 1227, 1598, 2, 0, 392, 32},	//2096 KPluginFactory::create(QObject*, const char*)
    {82, 406, 1601, 1, Smoke::mf_ctor|Smoke::mf_protected, 145, 33},	//2097 KPluginFactory::KPluginFactory(KPluginFactoryPrivate&)
    {82, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 34},	//2098 KPluginFactory::staticMetaObject() const
    {82, 3467, 0, 0, Smoke::mf_dtor, 0, 35 },	//2099 KPluginFactory::~KPluginFactory()
    {84, 412, 477, 2, Smoke::mf_ctor, 148, 1},	//2100 KPluginInfo::KPluginInfo(const QString&, const char*)
    {84, 412, 1603, 1, Smoke::mf_ctor, 148, 2},	//2101 KPluginInfo::KPluginInfo(const KSharedPtr<KService>)
    {84, 412, 0, 0, Smoke::mf_ctor, 148, 3},	//2102 KPluginInfo::KPluginInfo()
    {84, 1643, 1605, 2, Smoke::mf_static, 360, 4},	//2103 KPluginInfo::fromServices(const QList<KSharedPtr<KService> >&, const KConfigGroup&)
    {84, 1631, 1608, 2, Smoke::mf_static, 360, 5},	//2104 KPluginInfo::fromFiles(const QStringList&, const KConfigGroup&)
    {84, 1634, 1611, 2, Smoke::mf_static, 360, 6},	//2105 KPluginInfo::fromKPartsInstanceName(const QString&, const KConfigGroup&)
    {84, 1843, 0, 0, Smoke::mf_const, 538, 7},	//2106 KPluginInfo::isHidden() const
    {84, 2863, 97, 1, 0, 0, 8},	//2107 KPluginInfo::setPluginEnabled(bool)
    {84, 1865, 0, 0, Smoke::mf_const, 538, 9},	//2108 KPluginInfo::isPluginEnabled() const
    {84, 1866, 0, 0, Smoke::mf_const, 538, 10},	//2109 KPluginInfo::isPluginEnabledByDefault() const
    {84, 2318, 24, 1, Smoke::mf_const, 430, 11},	//2110 KPluginInfo::property(const QString&) const
    {84, 2115, 0, 0, Smoke::mf_const, 406, 12},	//2111 KPluginInfo::name() const
    {84, 1175, 0, 0, Smoke::mf_const, 406, 13},	//2112 KPluginInfo::comment() const
    {84, 1733, 0, 0, Smoke::mf_const, 406, 14},	//2113 KPluginInfo::icon() const
    {84, 1447, 0, 0, Smoke::mf_const, 406, 15},	//2114 KPluginInfo::entryPath() const
    {84, 1061, 0, 0, Smoke::mf_const, 406, 16},	//2115 KPluginInfo::author() const
    {84, 1411, 0, 0, Smoke::mf_const, 406, 17},	//2116 KPluginInfo::email() const
    {84, 1130, 0, 0, Smoke::mf_const, 406, 18},	//2117 KPluginInfo::category() const
    {84, 2281, 0, 0, Smoke::mf_const, 406, 19},	//2118 KPluginInfo::pluginName() const
    {84, 3304, 0, 0, Smoke::mf_const, 406, 20},	//2119 KPluginInfo::version() const
    {84, 3332, 0, 0, Smoke::mf_const, 406, 21},	//2120 KPluginInfo::website() const
    {84, 1984, 0, 0, Smoke::mf_const, 406, 22},	//2121 KPluginInfo::license() const
    {84, 1654, 0, 0, Smoke::mf_const, 7, 23},	//2122 KPluginInfo::fullLicense() const
    {84, 1361, 0, 0, Smoke::mf_const, 411, 24},	//2123 KPluginInfo::dependencies() const
    {84, 2525, 0, 0, Smoke::mf_const, 173, 25},	//2124 KPluginInfo::service() const
    {84, 1922, 0, 0, Smoke::mf_const, 364, 26},	//2125 KPluginInfo::kcmServices() const
    {84, 2596, 464, 1, 0, 0, 27},	//2126 KPluginInfo::setConfig(const KConfigGroup&)
    {84, 1184, 0, 0, Smoke::mf_const, 47, 28},	//2127 KPluginInfo::config() const
    {84, 2505, 1614, 1, 0, 0, 29},	//2128 KPluginInfo::save(KConfigGroup)
    {84, 1994, 464, 1, 0, 0, 30},	//2129 KPluginInfo::load(const KConfigGroup&)
    {84, 1349, 0, 0, 0, 0, 31},	//2130 KPluginInfo::defaults()
    {84, 1890, 0, 0, Smoke::mf_const, 538, 32},	//2131 KPluginInfo::isValid() const
    {84, 412, 1616, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 33},	//2132 KPluginInfo::KPluginInfo(const KPluginInfo&)
    {84, 2211, 1616, 1, 0, 147, 34},	//2133 KPluginInfo::operator=(const KPluginInfo&)
    {84, 2214, 1616, 1, Smoke::mf_const, 538, 35},	//2134 KPluginInfo::operator==(const KPluginInfo&) const
    {84, 2171, 1616, 1, Smoke::mf_const, 538, 36},	//2135 KPluginInfo::operator!=(const KPluginInfo&) const
    {84, 2193, 1616, 1, Smoke::mf_const, 538, 37},	//2136 KPluginInfo::operator<(const KPluginInfo&) const
    {84, 2221, 1616, 1, Smoke::mf_const, 538, 38},	//2137 KPluginInfo::operator>(const KPluginInfo&) const
    {84, 412, 24, 1, Smoke::mf_ctor, 148, 39},	//2138 KPluginInfo::KPluginInfo(const QString&)
    {84, 1643, 1618, 1, Smoke::mf_static, 360, 40},	//2139 KPluginInfo::fromServices(const QList<KSharedPtr<KService> >&)
    {84, 1631, 128, 1, Smoke::mf_static, 360, 41},	//2140 KPluginInfo::fromFiles(const QStringList&)
    {84, 1634, 24, 1, Smoke::mf_static, 360, 42},	//2141 KPluginInfo::fromKPartsInstanceName(const QString&)
    {84, 2505, 0, 0, 0, 0, 43},	//2142 KPluginInfo::save()
    {84, 1994, 0, 0, 0, 0, 44},	//2143 KPluginInfo::load()
    {84, 3468, 0, 0, Smoke::mf_dtor, 0, 45 },	//2144 KPluginInfo::~KPluginInfo()
    {85, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//2145 KPluginLoader::metaObject() const
    {85, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//2146 KPluginLoader::qt_metacast(const char*)
    {85, 3200, 111, 2, Smoke::mf_static, 406, 3},	//2147 KPluginLoader::tr(const char*, const char*)
    {85, 3207, 111, 2, Smoke::mf_static, 406, 4},	//2148 KPluginLoader::trUtf8(const char*, const char*)
    {85, 3200, 114, 3, Smoke::mf_static, 406, 5},	//2149 KPluginLoader::tr(const char*, const char*, int)
    {85, 3207, 114, 3, Smoke::mf_static, 406, 6},	//2150 KPluginLoader::trUtf8(const char*, const char*, int)
    {85, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//2151 KPluginLoader::qt_metacall(QMetaObject::Call, int, void**)
    {85, 417, 1158, 3, Smoke::mf_ctor, 149, 8},	//2152 KPluginLoader::KPluginLoader(const QString&, const KComponentData&, QObject*)
    {85, 417, 1620, 3, Smoke::mf_ctor, 149, 9},	//2153 KPluginLoader::KPluginLoader(const KService&, const KComponentData&, QObject*)
    {85, 1511, 0, 0, 0, 145, 10},	//2154 KPluginLoader::factory()
    {85, 2281, 0, 0, Smoke::mf_const, 406, 11},	//2155 KPluginLoader::pluginName() const
    {85, 2282, 0, 0, Smoke::mf_const, 750, 12},	//2156 KPluginLoader::pluginVersion() const
    {85, 1464, 0, 0, Smoke::mf_const, 406, 13},	//2157 KPluginLoader::errorString() const
    {85, 1853, 0, 0, Smoke::mf_const, 538, 14},	//2158 KPluginLoader::isLoaded() const
    {85, 1994, 0, 0, Smoke::mf_protected, 538, 15},	//2159 KPluginLoader::load()
    {85, 3200, 109, 1, Smoke::mf_static, 406, 16},	//2160 KPluginLoader::tr(const char*)
    {85, 3207, 109, 1, Smoke::mf_static, 406, 17},	//2161 KPluginLoader::trUtf8(const char*)
    {85, 417, 24, 1, Smoke::mf_ctor, 149, 18},	//2162 KPluginLoader::KPluginLoader(const QString&)
    {85, 417, 1155, 2, Smoke::mf_ctor, 149, 19},	//2163 KPluginLoader::KPluginLoader(const QString&, const KComponentData&)
    {85, 417, 1624, 1, Smoke::mf_ctor, 149, 20},	//2164 KPluginLoader::KPluginLoader(const KService&)
    {85, 417, 1626, 2, Smoke::mf_ctor, 149, 21},	//2165 KPluginLoader::KPluginLoader(const KService&, const KComponentData&)
    {85, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 22},	//2166 KPluginLoader::staticMetaObject() const
    {85, 3469, 0, 0, Smoke::mf_dtor, 0, 23 },	//2167 KPluginLoader::~KPluginLoader()
    {86, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//2168 KProcess::metaObject() const
    {86, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//2169 KProcess::qt_metacast(const char*)
    {86, 3200, 111, 2, Smoke::mf_static, 406, 3},	//2170 KProcess::tr(const char*, const char*)
    {86, 3207, 111, 2, Smoke::mf_static, 406, 4},	//2171 KProcess::trUtf8(const char*, const char*)
    {86, 3200, 114, 3, Smoke::mf_static, 406, 5},	//2172 KProcess::tr(const char*, const char*, int)
    {86, 3207, 114, 3, Smoke::mf_static, 406, 6},	//2173 KProcess::trUtf8(const char*, const char*, int)
    {86, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//2174 KProcess::qt_metacall(QMetaObject::Call, int, void**)
    {86, 424, 133, 1, Smoke::mf_ctor, 151, 8},	//2175 KProcess::KProcess(QObject*)
    {86, 2851, 1629, 1, 0, 0, 9},	//2176 KProcess::setOutputChannelMode(KProcess::OutputChannelMode)
    {86, 2247, 0, 0, Smoke::mf_const, 152, 10},	//2177 KProcess::outputChannelMode() const
    {86, 2841, 137, 1, 0, 0, 11},	//2178 KProcess::setNextOpenMode(QFlags<QIODevice::OpenModeFlag>)
    {86, 2665, 1089, 3, 0, 0, 12},	//2179 KProcess::setEnv(const QString&, const QString&, bool)
    {86, 3257, 24, 1, 0, 0, 13},	//2180 KProcess::unsetEnv(const QString&)
    {86, 1161, 0, 0, 0, 0, 14},	//2181 KProcess::clearEnvironment()
    {86, 2885, 486, 2, 0, 0, 15},	//2182 KProcess::setProgram(const QString&, const QStringList&)
    {86, 2885, 128, 1, 0, 0, 16},	//2183 KProcess::setProgram(const QStringList&)
    {86, 2199, 24, 1, 0, 150, 17},	//2184 KProcess::operator<<(const QString&)
    {86, 2199, 128, 1, 0, 150, 18},	//2185 KProcess::operator<<(const QStringList&)
    {86, 1162, 0, 0, 0, 0, 19},	//2186 KProcess::clearProgram()
    {86, 2917, 24, 1, 0, 0, 20},	//2187 KProcess::setShellCommand(const QString&)
    {86, 2311, 0, 0, Smoke::mf_const, 411, 21},	//2188 KProcess::program() const
    {86, 3031, 0, 0, 0, 0, 22},	//2189 KProcess::start()
    {86, 1478, 105, 1, 0, 734, 23},	//2190 KProcess::execute(int)
    {86, 1478, 1631, 3, Smoke::mf_static, 734, 24},	//2191 KProcess::execute(const QString&, const QStringList&, int)
    {86, 1478, 1635, 2, Smoke::mf_static, 734, 25},	//2192 KProcess::execute(const QStringList&, int)
    {86, 3034, 0, 0, 0, 734, 26},	//2193 KProcess::startDetached()
    {86, 3034, 486, 2, Smoke::mf_static, 734, 27},	//2194 KProcess::startDetached(const QString&, const QStringList&)
    {86, 3034, 128, 1, Smoke::mf_static, 734, 28},	//2195 KProcess::startDetached(const QStringList&)
    {86, 2279, 0, 0, Smoke::mf_const, 734, 29},	//2196 KProcess::pid() const
    {86, 424, 1638, 2, Smoke::mf_ctor|Smoke::mf_protected, 151, 30},	//2197 KProcess::KProcess(KProcessPrivate*, QObject*)
    {86, 3200, 109, 1, Smoke::mf_static, 406, 31},	//2198 KProcess::tr(const char*)
    {86, 3207, 109, 1, Smoke::mf_static, 406, 32},	//2199 KProcess::trUtf8(const char*)
    {86, 424, 0, 0, Smoke::mf_ctor, 151, 33},	//2200 KProcess::KProcess()
    {86, 2665, 89, 2, 0, 0, 34},	//2201 KProcess::setEnv(const QString&, const QString&)
    {86, 2885, 24, 1, 0, 0, 35},	//2202 KProcess::setProgram(const QString&)
    {86, 1478, 0, 0, 0, 734, 36},	//2203 KProcess::execute()
    {86, 1478, 24, 1, Smoke::mf_static, 734, 37},	//2204 KProcess::execute(const QString&)
    {86, 1478, 486, 2, Smoke::mf_static, 734, 38},	//2205 KProcess::execute(const QString&, const QStringList&)
    {86, 1478, 128, 1, Smoke::mf_static, 734, 39},	//2206 KProcess::execute(const QStringList&)
    {86, 3034, 24, 1, Smoke::mf_static, 734, 40},	//2207 KProcess::startDetached(const QString&)
    {86, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 41},	//2208 KProcess::staticMetaObject() const
    {86, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 42},	//2209 KProcess::SeparateChannels (enum)
    {86, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 43},	//2210 KProcess::MergedChannels (enum)
    {86, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 44},	//2211 KProcess::ForwardedChannels (enum)
    {86, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 45},	//2212 KProcess::OnlyStdoutChannel (enum)
    {86, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 46},	//2213 KProcess::OnlyStderrChannel (enum)
    {86, 3470, 0, 0, Smoke::mf_dtor, 0, 47 },	//2214 KProcess::~KProcess()
    {88, 2329, 0, 0, Smoke::mf_static, 411, 1},	//2215 KProtocolInfo::protocols()
    {88, 1846, 135, 1, Smoke::mf_static, 538, 2},	//2216 KProtocolInfo::isKnownProtocol(const KUrl&)
    {88, 1846, 24, 1, Smoke::mf_static, 538, 3},	//2217 KProtocolInfo::isKnownProtocol(const QString&)
    {88, 1473, 24, 1, Smoke::mf_static, 406, 4},	//2218 KProtocolInfo::exec(const QString&)
    {88, 1505, 135, 1, Smoke::mf_static, 361, 5},	//2219 KProtocolInfo::extraFields(const KUrl&)
    {88, 1840, 135, 1, Smoke::mf_static, 538, 6},	//2220 KProtocolInfo::isHelperProtocol(const KUrl&)
    {88, 1840, 24, 1, Smoke::mf_static, 538, 7},	//2221 KProtocolInfo::isHelperProtocol(const QString&)
    {88, 1832, 135, 1, Smoke::mf_static, 538, 8},	//2222 KProtocolInfo::isFilterProtocol(const KUrl&)
    {88, 1832, 24, 1, Smoke::mf_static, 538, 9},	//2223 KProtocolInfo::isFilterProtocol(const QString&)
    {88, 1733, 24, 1, Smoke::mf_static, 406, 10},	//2224 KProtocolInfo::icon(const QString&)
    {88, 1184, 24, 1, Smoke::mf_static, 406, 11},	//2225 KProtocolInfo::config(const QString&)
    {88, 2064, 24, 1, Smoke::mf_static, 734, 12},	//2226 KProtocolInfo::maxSlaves(const QString&)
    {88, 2066, 24, 1, Smoke::mf_static, 734, 13},	//2227 KProtocolInfo::maxSlavesPerHost(const QString&)
    {88, 1379, 24, 1, Smoke::mf_static, 538, 14},	//2228 KProtocolInfo::determineMimetypeFromExtension(const QString&)
    {88, 1406, 24, 1, Smoke::mf_static, 406, 15},	//2229 KProtocolInfo::docPath(const QString&)
    {88, 2327, 24, 1, Smoke::mf_static, 406, 16},	//2230 KProtocolInfo::protocolClass(const QString&)
    {88, 2993, 24, 1, Smoke::mf_static, 538, 17},	//2231 KProtocolInfo::showFilePreview(const QString&)
    {88, 1122, 24, 1, Smoke::mf_static, 411, 18},	//2232 KProtocolInfo::capabilities(const QString&)
    {88, 2330, 24, 1, Smoke::mf_static, 406, 19},	//2233 KProtocolInfo::proxiedBy(const QString&)
    {88, 427, 1533, 2, Smoke::mf_ctor, 154, 20},	//2234 KProtocolInfo::KProtocolInfo(QDataStream&, int)
    {88, 1343, 0, 0, Smoke::mf_const, 406, 21},	//2235 KProtocolInfo::defaultMimeType() const
    {88, 1055, 0, 0, Smoke::mf_const, 411, 22},	//2236 KProtocolInfo::archiveMimeTypes() const
    {88, 1120, 0, 0, Smoke::mf_const|Smoke::mf_protected, 538, 23},	//2237 KProtocolInfo::canRenameFromFile() const
    {88, 1121, 0, 0, Smoke::mf_const|Smoke::mf_protected, 538, 24},	//2238 KProtocolInfo::canRenameToFile() const
    {88, 1118, 0, 0, Smoke::mf_const|Smoke::mf_protected, 538, 25},	//2239 KProtocolInfo::canDeleteRecursive() const
    {88, 1526, 0, 0, Smoke::mf_const|Smoke::mf_protected, 2, 26},	//2240 KProtocolInfo::fileNameUsedForCopying() const
    {88, 2043, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 407, 27},	//2241 KProtocolInfo::m_name() const
    {88, 2779, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 28},	//2242 KProtocolInfo::setM_name(const QString&)
    {88, 2036, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 407, 29},	//2243 KProtocolInfo::m_exec() const
    {88, 2765, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 30},	//2244 KProtocolInfo::setM_exec(const QString&)
    {88, 2038, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 159, 31},	//2245 KProtocolInfo::m_inputType() const
    {88, 2769, 1641, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 32},	//2246 KProtocolInfo::setM_inputType(KProtocolInfo::Type)
    {88, 2044, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 159, 33},	//2247 KProtocolInfo::m_outputType() const
    {88, 2781, 1641, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 34},	//2248 KProtocolInfo::setM_outputType(KProtocolInfo::Type)
    {88, 2041, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 412, 35},	//2249 KProtocolInfo::m_listing() const
    {88, 2775, 128, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 36},	//2250 KProtocolInfo::setM_listing(const QStringList&)
    {88, 2040, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 538, 37},	//2251 KProtocolInfo::m_isSourceProtocol() const
    {88, 2773, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 38},	//2252 KProtocolInfo::setM_isSourceProtocol(bool)
    {88, 2039, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 538, 39},	//2253 KProtocolInfo::m_isHelperProtocol() const
    {88, 2771, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 40},	//2254 KProtocolInfo::setM_isHelperProtocol(bool)
    {88, 2048, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 538, 41},	//2255 KProtocolInfo::m_supportsListing() const
    {88, 2789, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 42},	//2256 KProtocolInfo::setM_supportsListing(bool)
    {88, 2052, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 538, 43},	//2257 KProtocolInfo::m_supportsReading() const
    {88, 2797, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 44},	//2258 KProtocolInfo::setM_supportsReading(bool)
    {88, 2053, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 538, 45},	//2259 KProtocolInfo::m_supportsWriting() const
    {88, 2799, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 46},	//2260 KProtocolInfo::setM_supportsWriting(bool)
    {88, 2049, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 538, 47},	//2261 KProtocolInfo::m_supportsMakeDir() const
    {88, 2791, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 48},	//2262 KProtocolInfo::setM_supportsMakeDir(bool)
    {88, 2046, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 538, 49},	//2263 KProtocolInfo::m_supportsDeleting() const
    {88, 2785, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//2264 KProtocolInfo::setM_supportsDeleting(bool)
    {88, 2047, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 538, 51},	//2265 KProtocolInfo::m_supportsLinking() const
    {88, 2787, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 52},	//2266 KProtocolInfo::setM_supportsLinking(bool)
    {88, 2050, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 538, 53},	//2267 KProtocolInfo::m_supportsMoving() const
    {88, 2793, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 54},	//2268 KProtocolInfo::setM_supportsMoving(bool)
    {88, 2051, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 538, 55},	//2269 KProtocolInfo::m_supportsOpening() const
    {88, 2795, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 56},	//2270 KProtocolInfo::setM_supportsOpening(bool)
    {88, 2033, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 407, 57},	//2271 KProtocolInfo::m_defaultMimetype() const
    {88, 2759, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 58},	//2272 KProtocolInfo::setM_defaultMimetype(const QString&)
    {88, 2034, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 538, 59},	//2273 KProtocolInfo::m_determineMimetypeFromExtension() const
    {88, 2761, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 60},	//2274 KProtocolInfo::setM_determineMimetypeFromExtension(bool)
    {88, 2037, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 407, 61},	//2275 KProtocolInfo::m_icon() const
    {88, 2767, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 62},	//2276 KProtocolInfo::setM_icon(const QString&)
    {88, 2030, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 538, 63},	//2277 KProtocolInfo::m_canCopyFromFile() const
    {88, 2753, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 64},	//2278 KProtocolInfo::setM_canCopyFromFile(bool)
    {88, 2031, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 538, 65},	//2279 KProtocolInfo::m_canCopyToFile() const
    {88, 2755, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 66},	//2280 KProtocolInfo::setM_canCopyToFile(bool)
    {88, 2032, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 407, 67},	//2281 KProtocolInfo::m_config() const
    {88, 2757, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 68},	//2282 KProtocolInfo::setM_config(const QString&)
    {88, 2042, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 734, 69},	//2283 KProtocolInfo::m_maxSlaves() const
    {88, 2777, 105, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 70},	//2284 KProtocolInfo::setM_maxSlaves(int)
    {88, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 71},	//2285 KProtocolInfo::T_STREAM (enum)
    {88, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 72},	//2286 KProtocolInfo::T_FILESYSTEM (enum)
    {88, 756, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 73},	//2287 KProtocolInfo::T_NONE (enum)
    {88, 754, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 74},	//2288 KProtocolInfo::T_ERROR (enum)
    {88, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 75},	//2289 KProtocolInfo::Name (enum)
    {88, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 76},	//2290 KProtocolInfo::FromUrl (enum)
    {88, 3471, 0, 0, Smoke::mf_dtor, 0, 77 },	//2291 KProtocolInfo::~KProtocolInfo()
    {89, 118, 0, 0, Smoke::mf_ctor, 156, 1},	//2292 KProtocolInfo::ExtraField::ExtraField()
    {89, 118, 1643, 2, Smoke::mf_ctor, 156, 2},	//2293 KProtocolInfo::ExtraField::ExtraField(const QString&, KProtocolInfo::ExtraField::Type)
    {89, 118, 1646, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 3},	//2294 KProtocolInfo::ExtraField::ExtraField(const KProtocolInfo::ExtraField&)
    {89, 2115, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 407, 4},	//2295 KProtocolInfo::ExtraField::name() const
    {89, 2833, 24, 1, Smoke::mf_attribute, 0, 5},	//2296 KProtocolInfo::ExtraField::setName(const QString&)
    {89, 3243, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 157, 6},	//2297 KProtocolInfo::ExtraField::type() const
    {89, 2962, 1648, 1, Smoke::mf_attribute, 0, 7},	//2298 KProtocolInfo::ExtraField::setType(KProtocolInfo::ExtraField::Type)
    {89, 749, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 8},	//2299 KProtocolInfo::ExtraField::String (enum)
    {89, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 9},	//2300 KProtocolInfo::ExtraField::DateTime (enum)
    {89, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 10},	//2301 KProtocolInfo::ExtraField::Invalid (enum)
    {89, 3404, 0, 0, Smoke::mf_dtor, 0, 11 },	//2302 KProtocolInfo::ExtraField::~ExtraField()
    {90, 2365, 105, 1, Smoke::mf_static, 406, 1},	//2303 KRandom::randomString(int)
    {90, 2364, 0, 0, Smoke::mf_static, 734, 2},	//2304 KRandom::random()
    {91, 429, 1245, 1, Smoke::mf_ctor, 161, 1},	//2305 KRandomSequence::KRandomSequence(long)
    {91, 429, 1650, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 161, 2},	//2306 KRandomSequence::KRandomSequence(const KRandomSequence&)
    {91, 2211, 1650, 1, 0, 160, 3},	//2307 KRandomSequence::operator=(const KRandomSequence&)
    {91, 2911, 1245, 1, 0, 0, 4},	//2308 KRandomSequence::setSeed(long)
    {91, 1660, 0, 0, 0, 731, 5},	//2309 KRandomSequence::getDouble()
    {91, 1663, 1130, 1, 0, 752, 6},	//2310 KRandomSequence::getLong(unsigned long)
    {91, 1657, 0, 0, 0, 538, 7},	//2311 KRandomSequence::getBool()
    {91, 2084, 105, 1, 0, 0, 8},	//2312 KRandomSequence::modulate(int)
    {91, 429, 0, 0, Smoke::mf_ctor, 161, 9},	//2313 KRandomSequence::KRandomSequence()
    {91, 2911, 0, 0, 0, 0, 10},	//2314 KRandomSequence::setSeed()
    {91, 3472, 0, 0, Smoke::mf_dtor, 0, 11 },	//2315 KRandomSequence::~KRandomSequence()
    {92, 450, 0, 0, Smoke::mf_ctor, 162, 1},	//2316 KSaveFile::KSaveFile()
    {92, 450, 1155, 2, Smoke::mf_ctor, 162, 2},	//2317 KSaveFile::KSaveFile(const QString&, const KComponentData&)
    {92, 2684, 24, 1, 0, 0, 3},	//2318 KSaveFile::setFileName(const QString&)
    {92, 1524, 0, 0, Smoke::mf_const, 406, 4},	//2319 KSaveFile::fileName() const
    {92, 1460, 0, 0, Smoke::mf_const, 288, 5},	//2320 KSaveFile::error() const
    {92, 1464, 0, 0, Smoke::mf_const, 406, 6},	//2321 KSaveFile::errorString() const
    {92, 2158, 137, 1, Smoke::mf_virtual, 538, 7},	//2322 KSaveFile::open(QFlags<QIODevice::OpenModeFlag>)
    {92, 846, 0, 0, 0, 0, 8},	//2323 KSaveFile::abort()
    {92, 1528, 0, 0, 0, 538, 9},	//2324 KSaveFile::finalize()
    {92, 1088, 89, 2, Smoke::mf_static, 538, 10},	//2325 KSaveFile::backupFile(const QString&, const QString&)
    {92, 2997, 1298, 3, Smoke::mf_static, 538, 11},	//2326 KSaveFile::simpleBackupFile(const QString&, const QString&, const QString&)
    {92, 2139, 1652, 4, Smoke::mf_static, 538, 12},	//2327 KSaveFile::numberedBackupFile(const QString&, const QString&, const QString&, const unsigned int)
    {92, 2369, 1298, 3, Smoke::mf_static, 538, 13},	//2328 KSaveFile::rcsBackupFile(const QString&, const QString&, const QString&)
    {92, 450, 24, 1, Smoke::mf_ctor, 162, 14},	//2329 KSaveFile::KSaveFile(const QString&)
    {92, 2158, 0, 0, 0, 538, 15},	//2330 KSaveFile::open()
    {92, 1088, 24, 1, Smoke::mf_static, 538, 16},	//2331 KSaveFile::backupFile(const QString&)
    {92, 2997, 24, 1, Smoke::mf_static, 538, 17},	//2332 KSaveFile::simpleBackupFile(const QString&)
    {92, 2997, 89, 2, Smoke::mf_static, 538, 18},	//2333 KSaveFile::simpleBackupFile(const QString&, const QString&)
    {92, 2139, 24, 1, Smoke::mf_static, 538, 19},	//2334 KSaveFile::numberedBackupFile(const QString&)
    {92, 2139, 89, 2, Smoke::mf_static, 538, 20},	//2335 KSaveFile::numberedBackupFile(const QString&, const QString&)
    {92, 2139, 1298, 3, Smoke::mf_static, 538, 21},	//2336 KSaveFile::numberedBackupFile(const QString&, const QString&, const QString&)
    {92, 2369, 24, 1, Smoke::mf_static, 538, 22},	//2337 KSaveFile::rcsBackupFile(const QString&)
    {92, 2369, 89, 2, Smoke::mf_static, 538, 23},	//2338 KSaveFile::rcsBackupFile(const QString&, const QString&)
    {92, 3473, 0, 0, Smoke::mf_dtor, 0, 24 },	//2339 KSaveFile::~KSaveFile()
    {93, 453, 1298, 3, Smoke::mf_ctor, 163, 1},	//2340 KService::KService(const QString&, const QString&, const QString&)
    {93, 453, 24, 1, Smoke::mf_ctor, 163, 2},	//2341 KService::KService(const QString&)
    {93, 453, 1657, 1, Smoke::mf_ctor, 163, 3},	//2342 KService::KService(const KDesktopFile*)
    {93, 453, 1533, 2, Smoke::mf_ctor, 163, 4},	//2343 KService::KService(QDataStream&, int)
    {93, 1793, 0, 0, Smoke::mf_const, 538, 5},	//2344 KService::isApplication() const
    {93, 3243, 0, 0, Smoke::mf_const, 406, 6},	//2345 KService::type() const
    {93, 1473, 0, 0, Smoke::mf_const, 406, 7},	//2346 KService::exec() const
    {93, 1981, 0, 0, Smoke::mf_const, 406, 8},	//2347 KService::library() const
    {93, 1733, 0, 0, Smoke::mf_const, 406, 9},	//2348 KService::icon() const
    {93, 3154, 0, 0, Smoke::mf_const, 538, 10},	//2349 KService::terminal() const
    {93, 3155, 0, 0, Smoke::mf_const, 406, 11},	//2350 KService::terminalOptions() const
    {93, 3122, 0, 0, Smoke::mf_const, 538, 12},	//2351 KService::substituteUid() const
    {93, 3283, 0, 0, Smoke::mf_const, 406, 13},	//2352 KService::username() const
    {93, 1373, 0, 0, Smoke::mf_const, 406, 14},	//2353 KService::desktopEntryPath() const
    {93, 1372, 0, 0, Smoke::mf_const, 406, 15},	//2354 KService::desktopEntryName() const
    {93, 2070, 0, 0, Smoke::mf_const, 406, 16},	//2355 KService::menuId() const
    {93, 3100, 0, 0, Smoke::mf_const, 406, 17},	//2356 KService::storageId() const
    {93, 1324, 0, 0, Smoke::mf_const, 164, 18},	//2357 KService::dbusStartupType() const
    {93, 2260, 0, 0, Smoke::mf_const, 406, 19},	//2358 KService::path() const
    {93, 1175, 0, 0, Smoke::mf_const, 406, 20},	//2359 KService::comment() const
    {93, 1656, 0, 0, Smoke::mf_const, 406, 21},	//2360 KService::genericName() const
    {93, 3259, 0, 0, Smoke::mf_const, 406, 22},	//2361 KService::untranslatedGenericName() const
    {93, 1946, 0, 0, Smoke::mf_const, 411, 23},	//2362 KService::keywords() const
    {93, 1129, 0, 0, Smoke::mf_const, 411, 24},	//2363 KService::categories() const
    {93, 2541, 0, 0, Smoke::mf_const, 411, 25},	//2364 KService::serviceTypes() const
    {93, 1713, 24, 1, Smoke::mf_const, 538, 26},	//2365 KService::hasServiceType(const QString&) const
    {93, 1701, 1659, 1, Smoke::mf_const, 538, 27},	//2366 KService::hasMimeType(const KServiceType*) const
    {93, 1044, 0, 0, Smoke::mf_const, 538, 28},	//2367 KService::allowAsDefault() const
    {93, 860, 0, 0, Smoke::mf_const, 362, 29},	//2368 KService::actions() const
    {93, 1046, 0, 0, Smoke::mf_const, 538, 30},	//2369 KService::allowMultipleFiles() const
    {93, 1760, 0, 0, Smoke::mf_const, 734, 31},	//2370 KService::initialPreference() const
    {93, 2135, 0, 0, Smoke::mf_const, 538, 32},	//2371 KService::noDisplay() const
    {93, 2995, 0, 0, Smoke::mf_const, 538, 33},	//2372 KService::showInKDE() const
    {93, 2250, 0, 0, Smoke::mf_const, 406, 34},	//2373 KService::parentApp() const
    {93, 2280, 0, 0, Smoke::mf_const, 406, 35},	//2374 KService::pluginKeyword() const
    {93, 1406, 0, 0, Smoke::mf_const, 406, 36},	//2375 KService::docPath() const
    {93, 2318, 1661, 2, Smoke::mf_const, 430, 37},	//2376 KService::property(const QString&, QVariant::Type) const
    {93, 2318, 24, 1, Smoke::mf_const, 430, 38},	//2377 KService::property(const QString&) const
    {93, 2012, 0, 0, Smoke::mf_const, 406, 39},	//2378 KService::locateLocal() const
    {93, 2816, 24, 1, 0, 0, 40},	//2379 KService::setMenuId(const QString&)
    {93, 2938, 97, 1, 0, 0, 41},	//2380 KService::setTerminal(bool)
    {93, 2940, 24, 1, 0, 0, 42},	//2381 KService::setTerminalOptions(const QString&)
    {93, 2532, 24, 1, Smoke::mf_static, 173, 43},	//2382 KService::serviceByName(const QString&)
    {93, 2528, 24, 1, Smoke::mf_static, 173, 44},	//2383 KService::serviceByDesktopPath(const QString&)
    {93, 2526, 24, 1, Smoke::mf_static, 173, 45},	//2384 KService::serviceByDesktopName(const QString&)
    {93, 2530, 24, 1, Smoke::mf_static, 173, 46},	//2385 KService::serviceByMenuId(const QString&)
    {93, 2534, 24, 1, Smoke::mf_static, 173, 47},	//2386 KService::serviceByStorageId(const QString&)
    {93, 1038, 0, 0, Smoke::mf_static, 364, 48},	//2387 KService::allServices()
    {93, 2130, 1664, 4, Smoke::mf_static, 406, 49},	//2388 KService::newServicePath(bool, const QString&, QString*, const QStringList*)
    {93, 842, 0, 0, Smoke::mf_protected, 434, 50},	//2389 KService::_k_accessServiceTypes()
    {93, 2130, 1669, 2, Smoke::mf_static, 406, 51},	//2390 KService::newServicePath(bool, const QString&)
    {93, 2130, 1672, 3, Smoke::mf_static, 406, 52},	//2391 KService::newServicePath(bool, const QString&, QString*)
    {93, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 53},	//2392 KService::DBusNone (enum)
    {93, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 54},	//2393 KService::DBusUnique (enum)
    {93, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 55},	//2394 KService::DBusMulti (enum)
    {93, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 56},	//2395 KService::DBusWait (enum)
    {93, 3474, 0, 0, Smoke::mf_dtor, 0, 57 },	//2396 KService::~KService()
    {94, 458, 1676, 5, Smoke::mf_ctor, 166, 1},	//2397 KServiceAction::KServiceAction(const QString&, const QString&, const QString&, const QString&, bool)
    {94, 458, 0, 0, Smoke::mf_ctor, 166, 2},	//2398 KServiceAction::KServiceAction()
    {94, 458, 1682, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 166, 3},	//2399 KServiceAction::KServiceAction(const KServiceAction&)
    {94, 2211, 1682, 1, 0, 165, 4},	//2400 KServiceAction::operator=(const KServiceAction&)
    {94, 2614, 28, 1, 0, 0, 5},	//2401 KServiceAction::setData(const QVariant&)
    {94, 1267, 0, 0, Smoke::mf_const, 430, 6},	//2402 KServiceAction::data() const
    {94, 2115, 0, 0, Smoke::mf_const, 406, 7},	//2403 KServiceAction::name() const
    {94, 3159, 0, 0, Smoke::mf_const, 406, 8},	//2404 KServiceAction::text() const
    {94, 1733, 0, 0, Smoke::mf_const, 406, 9},	//2405 KServiceAction::icon() const
    {94, 1473, 0, 0, Smoke::mf_const, 406, 10},	//2406 KServiceAction::exec() const
    {94, 2135, 0, 0, Smoke::mf_const, 538, 11},	//2407 KServiceAction::noDisplay() const
    {94, 1874, 0, 0, Smoke::mf_const, 538, 12},	//2408 KServiceAction::isSeparator() const
    {94, 458, 1684, 4, Smoke::mf_ctor, 166, 13},	//2409 KServiceAction::KServiceAction(const QString&, const QString&, const QString&, const QString&)
    {94, 3475, 0, 0, Smoke::mf_dtor, 0, 14 },	//2410 KServiceAction::~KServiceAction()
    {95, 462, 24, 1, Smoke::mf_ctor, 167, 1},	//2411 KServiceGroup::KServiceGroup(const QString&)
    {95, 462, 89, 2, Smoke::mf_ctor, 167, 2},	//2412 KServiceGroup::KServiceGroup(const QString&, const QString&)
    {95, 462, 1689, 3, Smoke::mf_ctor, 167, 3},	//2413 KServiceGroup::KServiceGroup(QDataStream&, int, bool)
    {95, 2447, 0, 0, Smoke::mf_const, 406, 4},	//2414 KServiceGroup::relPath() const
    {95, 1124, 0, 0, Smoke::mf_const, 406, 5},	//2415 KServiceGroup::caption() const
    {95, 1733, 0, 0, Smoke::mf_const, 406, 6},	//2416 KServiceGroup::icon() const
    {95, 1175, 0, 0, Smoke::mf_const, 406, 7},	//2417 KServiceGroup::comment() const
    {95, 1149, 0, 0, Smoke::mf_const, 734, 8},	//2418 KServiceGroup::childCount() const
    {95, 2135, 0, 0, Smoke::mf_const, 538, 9},	//2419 KServiceGroup::noDisplay() const
    {95, 2991, 0, 0, Smoke::mf_const, 538, 10},	//2420 KServiceGroup::showEmptyMenu() const
    {95, 2921, 97, 1, 0, 0, 11},	//2421 KServiceGroup::setShowEmptyMenu(bool)
    {95, 2996, 0, 0, Smoke::mf_const, 538, 12},	//2422 KServiceGroup::showInlineHeader() const
    {95, 2923, 97, 1, 0, 0, 13},	//2423 KServiceGroup::setShowInlineHeader(bool)
    {95, 1761, 0, 0, Smoke::mf_const, 538, 14},	//2424 KServiceGroup::inlineAlias() const
    {95, 2707, 97, 1, 0, 0, 15},	//2425 KServiceGroup::setInlineAlias(bool)
    {95, 1045, 0, 0, Smoke::mf_const, 538, 16},	//2426 KServiceGroup::allowInline() const
    {95, 2551, 97, 1, 0, 0, 17},	//2427 KServiceGroup::setAllowInline(bool)
    {95, 1762, 0, 0, Smoke::mf_const, 734, 18},	//2428 KServiceGroup::inlineValue() const
    {95, 2709, 105, 1, 0, 0, 19},	//2429 KServiceGroup::setInlineValue(int)
    {95, 3130, 0, 0, Smoke::mf_const, 411, 20},	//2430 KServiceGroup::suppressGenericNames() const
    {95, 2725, 128, 1, 0, 0, 21},	//2431 KServiceGroup::setLayoutInfo(const QStringList&)
    {95, 1976, 0, 0, Smoke::mf_const, 411, 22},	//2432 KServiceGroup::layoutInfo() const
    {95, 1440, 1693, 4, 0, 368, 23},	//2433 KServiceGroup::entries(bool, bool, bool, bool)
    {95, 1440, 1698, 2, 0, 368, 24},	//2434 KServiceGroup::entries(bool, bool)
    {95, 1440, 97, 1, 0, 368, 25},	//2435 KServiceGroup::entries(bool)
    {95, 1673, 1701, 1, 0, 366, 26},	//2436 KServiceGroup::groupEntries(QFlags<KServiceGroup::EntriesOption>)
    {95, 2536, 1701, 1, 0, 364, 27},	//2437 KServiceGroup::serviceEntries(QFlags<KServiceGroup::EntriesOption>)
    {95, 1102, 0, 0, Smoke::mf_const, 406, 28},	//2438 KServiceGroup::baseGroupName() const
    {95, 1395, 0, 0, Smoke::mf_const, 406, 29},	//2439 KServiceGroup::directoryEntryPath() const
    {95, 1100, 24, 1, Smoke::mf_static, 174, 30},	//2440 KServiceGroup::baseGroup(const QString&)
    {95, 2501, 0, 0, Smoke::mf_static, 174, 31},	//2441 KServiceGroup::root()
    {95, 1670, 24, 1, Smoke::mf_static, 174, 32},	//2442 KServiceGroup::group(const QString&)
    {95, 1151, 24, 1, Smoke::mf_static, 174, 33},	//2443 KServiceGroup::childGroup(const QString&)
    {95, 896, 1703, 1, Smoke::mf_protected, 0, 34},	//2444 KServiceGroup::addEntry(const KSharedPtr<KSycocaEntry>&)
    {95, 1440, 1705, 3, 0, 368, 35},	//2445 KServiceGroup::entries(bool, bool, bool)
    {95, 1440, 0, 0, 0, 368, 36},	//2446 KServiceGroup::entries()
    {95, 1673, 0, 0, 0, 366, 37},	//2447 KServiceGroup::groupEntries()
    {95, 2536, 0, 0, 0, 364, 38},	//2448 KServiceGroup::serviceEntries()
    {95, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 39},	//2449 KServiceGroup::NoOptions (enum)
    {95, 730, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 40},	//2450 KServiceGroup::SortEntries (enum)
    {95, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 41},	//2451 KServiceGroup::ExcludeNoDisplay (enum)
    {95, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 42},	//2452 KServiceGroup::AllowSeparators (enum)
    {95, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 43},	//2453 KServiceGroup::SortByGenericName (enum)
    {95, 3476, 0, 0, Smoke::mf_dtor, 0, 44 },	//2454 KServiceGroup::~KServiceGroup()
    {96, 466, 1709, 1, Smoke::mf_ctor, 169, 1},	//2455 KServiceType::KServiceType(KDesktopFile*)
    {96, 466, 1533, 2, Smoke::mf_ctor, 169, 2},	//2456 KServiceType::KServiceType(QDataStream&, int)
    {96, 1175, 0, 0, Smoke::mf_const, 406, 3},	//2457 KServiceType::comment() const
    {96, 1373, 0, 0, Smoke::mf_const, 406, 4},	//2458 KServiceType::desktopEntryPath() const
    {96, 1817, 0, 0, Smoke::mf_const, 538, 5},	//2459 KServiceType::isDerived() const
    {96, 2253, 0, 0, Smoke::mf_const, 406, 6},	//2460 KServiceType::parentServiceType() const
    {96, 1750, 24, 1, Smoke::mf_const, 538, 7},	//2461 KServiceType::inherits(const QString&) const
    {96, 2321, 24, 1, Smoke::mf_const, 432, 8},	//2462 KServiceType::propertyDef(const QString&) const
    {96, 2323, 0, 0, Smoke::mf_const, 411, 9},	//2463 KServiceType::propertyDefNames() const
    {96, 2324, 0, 0, Smoke::mf_const, 386, 10},	//2464 KServiceType::propertyDefs() const
    {96, 2254, 0, 0, 0, 175, 11},	//2465 KServiceType::parentType()
    {96, 2913, 105, 1, 0, 0, 12},	//2466 KServiceType::setServiceOffersOffset(int)
    {96, 2538, 0, 0, Smoke::mf_const, 734, 13},	//2467 KServiceType::serviceOffersOffset() const
    {96, 2539, 24, 1, Smoke::mf_static, 175, 14},	//2468 KServiceType::serviceType(const QString&)
    {96, 1037, 0, 0, Smoke::mf_static, 367, 15},	//2469 KServiceType::allServiceTypes()
    {96, 466, 1711, 1, Smoke::mf_ctor|Smoke::mf_protected, 169, 16},	//2470 KServiceType::KServiceType(KServiceTypePrivate&)
    {96, 466, 1713, 3, Smoke::mf_ctor|Smoke::mf_protected, 169, 17},	//2471 KServiceType::KServiceType(KServiceTypePrivate&, const QString&, const QString&)
    {96, 3477, 0, 0, Smoke::mf_dtor, 0, 18 },	//2472 KServiceType::~KServiceType()
    {98, 2347, 89, 2, Smoke::mf_const, 364, 1},	//2473 KServiceTypeTrader::query(const QString&, const QString&) const
    {98, 1345, 89, 2, Smoke::mf_const, 364, 2},	//2474 KServiceTypeTrader::defaultOffers(const QString&, const QString&) const
    {98, 2293, 24, 1, Smoke::mf_const, 173, 3},	//2475 KServiceTypeTrader::preferredService(const QString&) const
    {98, 2522, 0, 0, Smoke::mf_static, 171, 4},	//2476 KServiceTypeTrader::self()
    {98, 1053, 1717, 2, Smoke::mf_static, 0, 5},	//2477 KServiceTypeTrader::applyConstraints(QList<KSharedPtr<KService> >&, const QString&)
    {98, 2347, 24, 1, Smoke::mf_const, 364, 6},	//2478 KServiceTypeTrader::query(const QString&) const
    {98, 1345, 24, 1, Smoke::mf_const, 364, 7},	//2479 KServiceTypeTrader::defaultOffers(const QString&) const
    {98, 3478, 0, 0, Smoke::mf_dtor, 0, 8 },	//2480 KServiceTypeTrader::~KServiceTypeTrader()
    {99, 2162, 407, 3, Smoke::mf_static, 176, 1},	//2481 KSharedConfig::openConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {99, 2162, 411, 4, Smoke::mf_static, 176, 2},	//2482 KSharedConfig::openConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {99, 2162, 0, 0, Smoke::mf_static, 176, 3},	//2483 KSharedConfig::openConfig()
    {99, 2162, 24, 1, Smoke::mf_static, 176, 4},	//2484 KSharedConfig::openConfig(const QString&)
    {99, 2162, 428, 2, Smoke::mf_static, 176, 5},	//2485 KSharedConfig::openConfig(const QString&, QFlags<KConfig::OpenFlag>)
    {99, 2162, 383, 1, Smoke::mf_static, 176, 6},	//2486 KSharedConfig::openConfig(const KComponentData&)
    {99, 2162, 431, 2, Smoke::mf_static, 176, 7},	//2487 KSharedConfig::openConfig(const KComponentData&, const QString&)
    {99, 2162, 434, 3, Smoke::mf_static, 176, 8},	//2488 KSharedConfig::openConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>)
    {99, 3479, 0, 0, Smoke::mf_dtor, 0, 9 },	//2489 KSharedConfig::~KSharedConfig()
    {100, 3161, 24, 1, Smoke::mf_static, 406, 1},	//2490 KShell::tildeExpand(const QString&)
    {100, 3019, 1720, 3, Smoke::mf_static, 411, 2},	//2491 KShell::splitArgs(const QString&, QFlags<KShell::Option>, KShell::Errors*)
    {100, 3019, 24, 1, Smoke::mf_static, 411, 3},	//2492 KShell::splitArgs(const QString&)
    {100, 3019, 1724, 2, Smoke::mf_static, 411, 4},	//2493 KShell::splitArgs(const QString&, QFlags<KShell::Option>)
    {100, 2355, 24, 1, Smoke::mf_static, 406, 5},	//2494 KShell::quoteArg(const QString&)
    {100, 1905, 128, 1, Smoke::mf_static, 406, 6},	//2495 KShell::joinArgs(const QStringList&)
    {100, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 7},	//2496 KShell::NoOptions (enum)
    {100, 764, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 8},	//2497 KShell::TildeExpand (enum)
    {100, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 9},	//2498 KShell::AbortOnMeta (enum)
    {100, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 10},	//2499 KShell::NoError (enum)
    {100, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 11},	//2500 KShell::BadQuoting (enum)
    {100, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 12},	//2501 KShell::FoundMeta (enum)
    {101, 1188, 1727, 4, Smoke::mf_static, 415, 1},	//2502 KSocketFactory::connectToHost(const QString&, const QString&, unsigned short, QObject*)
    {101, 1188, 1732, 3, Smoke::mf_static, 415, 2},	//2503 KSocketFactory::connectToHost(const QString&, const QString&, unsigned short)
    {101, 3138, 1736, 5, Smoke::mf_static, 415, 3},	//2504 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short, int, QObject*)
    {101, 3138, 1732, 3, Smoke::mf_static, 415, 4},	//2505 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short)
    {101, 3138, 1742, 4, Smoke::mf_static, 415, 5},	//2506 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short, int)
    {101, 1988, 1747, 4, Smoke::mf_static, 414, 6},	//2507 KSocketFactory::listen(const QString&, const QHostAddress&, unsigned short, QObject*)
    {101, 1988, 24, 1, Smoke::mf_static, 414, 7},	//2508 KSocketFactory::listen(const QString&)
    {101, 1988, 1752, 2, Smoke::mf_static, 414, 8},	//2509 KSocketFactory::listen(const QString&, const QHostAddress&)
    {101, 1988, 1755, 3, Smoke::mf_static, 414, 9},	//2510 KSocketFactory::listen(const QString&, const QHostAddress&, unsigned short)
    {101, 1272, 1759, 3, Smoke::mf_static, 426, 10},	//2511 KSocketFactory::datagramSocket(const QString&, const QString&, QObject*)
    {101, 1272, 89, 2, Smoke::mf_static, 426, 11},	//2512 KSocketFactory::datagramSocket(const QString&, const QString&)
    {101, 3138, 1763, 3, Smoke::mf_static, 415, 12},	//2513 KSocketFactory::synchronousConnectToHost(const QUrl&, int, QObject*)
    {101, 3138, 1767, 1, Smoke::mf_static, 415, 13},	//2514 KSocketFactory::synchronousConnectToHost(const QUrl&)
    {101, 3138, 1769, 2, Smoke::mf_static, 415, 14},	//2515 KSocketFactory::synchronousConnectToHost(const QUrl&, int)
    {101, 1188, 1772, 4, Smoke::mf_static, 0, 15},	//2516 KSocketFactory::connectToHost(QTcpSocket*, const QString&, const QString&, unsigned short)
    {101, 2335, 89, 2, Smoke::mf_static, 390, 16},	//2517 KSocketFactory::proxyForConnection(const QString&, const QString&)
    {101, 2337, 89, 2, Smoke::mf_static, 390, 17},	//2518 KSocketFactory::proxyForDatagram(const QString&, const QString&)
    {101, 1188, 1777, 2, Smoke::mf_static, 415, 18},	//2519 KSocketFactory::connectToHost(const QUrl&, QObject*)
    {101, 1188, 1767, 1, Smoke::mf_static, 415, 19},	//2520 KSocketFactory::connectToHost(const QUrl&)
    {101, 1188, 1780, 2, Smoke::mf_static, 0, 20},	//2521 KSocketFactory::connectToHost(QTcpSocket*, const QUrl&)
    {101, 3138, 1783, 3, Smoke::mf_static, 0, 21},	//2522 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QUrl&, int)
    {101, 3138, 1780, 2, Smoke::mf_static, 0, 22},	//2523 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QUrl&)
    {101, 2339, 24, 1, Smoke::mf_static, 390, 23},	//2524 KSocketFactory::proxyForListening(const QString&)
    {101, 3138, 1787, 5, Smoke::mf_static, 0, 24},	//2525 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QString&, const QString&, unsigned short, int)
    {101, 3138, 1772, 4, Smoke::mf_static, 0, 25},	//2526 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QString&, const QString&, unsigned short)
    {102, 470, 0, 0, Smoke::mf_ctor, 182, 1},	//2527 KSslCipher::KSslCipher()
    {102, 470, 1793, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 182, 2},	//2528 KSslCipher::KSslCipher(const KSslCipher&)
    {102, 470, 1795, 1, Smoke::mf_ctor, 182, 3},	//2529 KSslCipher::KSslCipher(const QSslCipher&)
    {102, 2211, 1793, 1, 0, 181, 4},	//2530 KSslCipher::operator=(const KSslCipher&)
    {102, 1861, 0, 0, Smoke::mf_const, 538, 5},	//2531 KSslCipher::isNull() const
    {102, 1060, 0, 0, Smoke::mf_const, 406, 6},	//2532 KSslCipher::authenticationMethod() const
    {102, 1435, 0, 0, Smoke::mf_const, 406, 7},	//2533 KSslCipher::encryptionMethod() const
    {102, 1944, 0, 0, Smoke::mf_const, 406, 8},	//2534 KSslCipher::keyExchangeMethod() const
    {102, 1388, 0, 0, Smoke::mf_const, 406, 9},	//2535 KSslCipher::digestMethod() const
    {102, 2115, 0, 0, Smoke::mf_const, 406, 10},	//2536 KSslCipher::name() const
    {102, 3128, 0, 0, Smoke::mf_const, 734, 11},	//2537 KSslCipher::supportedBits() const
    {102, 3279, 0, 0, Smoke::mf_const, 734, 12},	//2538 KSslCipher::usedBits() const
    {102, 3129, 0, 0, Smoke::mf_static, 369, 13},	//2539 KSslCipher::supportedCiphers()
    {102, 3480, 0, 0, Smoke::mf_dtor, 0, 14 },	//2540 KSslCipher::~KSslCipher()
    {103, 472, 1797, 2, Smoke::mf_ctor, 184, 1},	//2541 KSslError::KSslError(KSslError::Error, const QSslCertificate&)
    {103, 472, 1800, 1, Smoke::mf_ctor, 184, 2},	//2542 KSslError::KSslError(const QSslError&)
    {103, 472, 1802, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 184, 3},	//2543 KSslError::KSslError(const KSslError&)
    {103, 2211, 1802, 1, 0, 183, 4},	//2544 KSslError::operator=(const KSslError&)
    {103, 1460, 0, 0, Smoke::mf_const, 185, 5},	//2545 KSslError::error() const
    {103, 1464, 0, 0, Smoke::mf_const, 406, 6},	//2546 KSslError::errorString() const
    {103, 1133, 0, 0, Smoke::mf_const, 405, 7},	//2547 KSslError::certificate() const
    {103, 472, 0, 0, Smoke::mf_ctor, 184, 8},	//2548 KSslError::KSslError()
    {103, 472, 1804, 1, Smoke::mf_ctor, 184, 9},	//2549 KSslError::KSslError(KSslError::Error)
    {103, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 10},	//2550 KSslError::NoError (enum)
    {103, 799, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 11},	//2551 KSslError::UnknownError (enum)
    {103, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 12},	//2552 KSslError::InvalidCertificateAuthorityCertificate (enum)
    {103, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 13},	//2553 KSslError::InvalidCertificate (enum)
    {103, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 14},	//2554 KSslError::CertificateSignatureFailed (enum)
    {103, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 15},	//2555 KSslError::SelfSignedCertificate (enum)
    {103, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 16},	//2556 KSslError::ExpiredCertificate (enum)
    {103, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 17},	//2557 KSslError::RevokedCertificate (enum)
    {103, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 18},	//2558 KSslError::InvalidCertificatePurpose (enum)
    {103, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 19},	//2559 KSslError::RejectedCertificate (enum)
    {103, 807, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 20},	//2560 KSslError::UntrustedCertificate (enum)
    {103, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 21},	//2561 KSslError::NoPeerCertificate (enum)
    {103, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 22},	//2562 KSslError::HostNameMismatch (enum)
    {103, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 23},	//2563 KSslError::PathLengthExceeded (enum)
    {103, 3481, 0, 0, Smoke::mf_dtor, 0, 24 },	//2564 KSslError::~KSslError()
    {104, 476, 0, 0, Smoke::mf_ctor, 187, 1},	//2565 KSslErrorUiData::KSslErrorUiData()
    {104, 476, 1806, 1, Smoke::mf_ctor, 187, 2},	//2566 KSslErrorUiData::KSslErrorUiData(const KTcpSocket*)
    {104, 476, 1808, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 187, 3},	//2567 KSslErrorUiData::KSslErrorUiData(const KSslErrorUiData&)
    {104, 2211, 1808, 1, 0, 186, 4},	//2568 KSslErrorUiData::operator=(const KSslErrorUiData&)
    {104, 3482, 0, 0, Smoke::mf_dtor, 0, 5 },	//2569 KSslErrorUiData::~KSslErrorUiData()
    {105, 478, 0, 0, Smoke::mf_ctor, 190, 1},	//2570 KSslKey::KSslKey()
    {105, 478, 1810, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 190, 2},	//2571 KSslKey::KSslKey(const KSslKey&)
    {105, 478, 1812, 1, Smoke::mf_ctor, 190, 3},	//2572 KSslKey::KSslKey(const QSslKey&)
    {105, 2211, 1810, 1, 0, 189, 4},	//2573 KSslKey::operator=(const KSslKey&)
    {105, 1026, 0, 0, Smoke::mf_const, 191, 5},	//2574 KSslKey::algorithm() const
    {105, 1831, 0, 0, Smoke::mf_const, 538, 6},	//2575 KSslKey::isExportable() const
    {105, 2515, 0, 0, Smoke::mf_const, 192, 7},	//2576 KSslKey::secrecy() const
    {105, 3172, 0, 0, Smoke::mf_const, 264, 8},	//2577 KSslKey::toDer() const
    {105, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 9},	//2578 KSslKey::Rsa (enum)
    {105, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 10},	//2579 KSslKey::Dsa (enum)
    {105, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 11},	//2580 KSslKey::Dh (enum)
    {105, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 12},	//2581 KSslKey::PublicKey (enum)
    {105, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 13},	//2582 KSslKey::PrivateKey (enum)
    {105, 3483, 0, 0, Smoke::mf_dtor, 0, 14 },	//2583 KSslKey::~KSslKey()
    {106, 480, 0, 0, Smoke::mf_ctor, 193, 1},	//2584 KStandardDirs::KStandardDirs()
    {106, 988, 24, 1, 0, 0, 2},	//2585 KStandardDirs::addPrefix(const QString&)
    {106, 1016, 24, 1, 0, 0, 3},	//2586 KStandardDirs::addXdgConfigPrefix(const QString&)
    {106, 1018, 24, 1, 0, 0, 4},	//2587 KStandardDirs::addXdgDataPrefix(const QString&)
    {106, 995, 1814, 3, 0, 538, 5},	//2588 KStandardDirs::addResourceType(const char*, const QString&, bool)
    {106, 995, 1818, 4, 0, 538, 6},	//2589 KStandardDirs::addResourceType(const char*, const char*, const QString&, bool)
    {106, 995, 1823, 4, 0, 538, 7},	//2590 KStandardDirs::addResourceType(const char*, const char*, const char*, bool)
    {106, 992, 1814, 3, 0, 538, 8},	//2591 KStandardDirs::addResourceDir(const char*, const QString&, bool)
    {106, 1580, 474, 2, Smoke::mf_const, 406, 9},	//2592 KStandardDirs::findResource(const char*, const QString&) const
    {106, 1870, 474, 2, Smoke::mf_const, 538, 10},	//2593 KStandardDirs::isRestrictedResource(const char*, const QString&) const
    {106, 1110, 1828, 3, Smoke::mf_const, 750, 11},	//2594 KStandardDirs::calcResourceHash(const char*, const QString&, QFlags<KStandardDirs::SearchOption>) const
    {106, 1561, 474, 2, Smoke::mf_const, 411, 12},	//2595 KStandardDirs::findDirs(const char*, const QString&) const
    {106, 1582, 474, 2, Smoke::mf_const, 406, 13},	//2596 KStandardDirs::findResourceDir(const char*, const QString&) const
    {106, 1533, 1828, 3, Smoke::mf_const, 411, 14},	//2597 KStandardDirs::findAllResources(const char*, const QString&, QFlags<KStandardDirs::SearchOption>) const
    {106, 1533, 1832, 4, Smoke::mf_const, 411, 15},	//2598 KStandardDirs::findAllResources(const char*, const QString&, QFlags<KStandardDirs::SearchOption>, QStringList&) const
    {106, 3149, 24, 1, Smoke::mf_static, 411, 16},	//2599 KStandardDirs::systemPaths(const QString&)
    {106, 1565, 1837, 3, Smoke::mf_static, 406, 17},	//2600 KStandardDirs::findExe(const QString&, const QString&, QFlags<KStandardDirs::SearchOption>)
    {106, 1529, 1841, 4, Smoke::mf_static, 734, 18},	//2601 KStandardDirs::findAllExe(QStringList&, const QString&, const QString&, QFlags<KStandardDirs::SearchOption>)
    {106, 889, 548, 1, 0, 538, 19},	//2602 KStandardDirs::addCustomized(KConfig*)
    {106, 2492, 109, 1, Smoke::mf_const, 411, 20},	//2603 KStandardDirs::resourceDirs(const char*) const
    {106, 1041, 0, 0, Smoke::mf_const, 411, 21},	//2604 KStandardDirs::allTypes() const
    {106, 2509, 1814, 3, Smoke::mf_const, 406, 22},	//2605 KStandardDirs::saveLocation(const char*, const QString&, bool) const
    {106, 2448, 474, 2, 0, 406, 23},	//2606 KStandardDirs::relativeLocation(const char*, const QString&)
    {106, 2056, 967, 2, Smoke::mf_static, 538, 24},	//2607 KStandardDirs::makeDir(const QString&, int)
    {106, 1925, 109, 1, Smoke::mf_static, 406, 25},	//2608 KStandardDirs::kde_default(const char*)
    {106, 1947, 0, 0, 0, 406, 26},	//2609 KStandardDirs::kfsstnd_prefixes()
    {106, 1948, 0, 0, 0, 406, 27},	//2610 KStandardDirs::kfsstnd_xdg_conf_prefixes()
    {106, 1949, 0, 0, 0, 406, 28},	//2611 KStandardDirs::kfsstnd_xdg_data_prefixes()
    {106, 2006, 0, 0, Smoke::mf_const, 406, 29},	//2612 KStandardDirs::localkdedir() const
    {106, 2008, 0, 0, Smoke::mf_const, 406, 30},	//2613 KStandardDirs::localxdgdatadir() const
    {106, 2007, 0, 0, Smoke::mf_const, 406, 31},	//2614 KStandardDirs::localxdgconfdir() const
    {106, 1765, 109, 1, Smoke::mf_static, 406, 32},	//2615 KStandardDirs::installPath(const char*)
    {106, 1487, 24, 1, Smoke::mf_static, 538, 33},	//2616 KStandardDirs::exists(const QString&)
    {106, 2439, 24, 1, Smoke::mf_static, 406, 34},	//2617 KStandardDirs::realPath(const QString&)
    {106, 2436, 24, 1, Smoke::mf_static, 406, 35},	//2618 KStandardDirs::realFilePath(const QString&)
    {106, 2009, 1846, 3, Smoke::mf_static, 406, 36},	//2619 KStandardDirs::locate(const char*, const QString&, const KComponentData&)
    {106, 2012, 1846, 3, Smoke::mf_static, 406, 37},	//2620 KStandardDirs::locateLocal(const char*, const QString&, const KComponentData&)
    {106, 2012, 1850, 4, Smoke::mf_static, 406, 38},	//2621 KStandardDirs::locateLocal(const char*, const QString&, bool, const KComponentData&)
    {106, 1139, 967, 2, Smoke::mf_static, 538, 39},	//2622 KStandardDirs::checkAccess(const QString&, int)
    {106, 995, 474, 2, 0, 538, 40},	//2623 KStandardDirs::addResourceType(const char*, const QString&)
    {106, 995, 1855, 3, 0, 538, 41},	//2624 KStandardDirs::addResourceType(const char*, const char*, const QString&)
    {106, 995, 1284, 3, 0, 538, 42},	//2625 KStandardDirs::addResourceType(const char*, const char*, const char*)
    {106, 992, 474, 2, 0, 538, 43},	//2626 KStandardDirs::addResourceDir(const char*, const QString&)
    {106, 1870, 109, 1, Smoke::mf_const, 538, 44},	//2627 KStandardDirs::isRestrictedResource(const char*) const
    {106, 1110, 474, 2, Smoke::mf_const, 750, 45},	//2628 KStandardDirs::calcResourceHash(const char*, const QString&) const
    {106, 1533, 109, 1, Smoke::mf_const, 411, 46},	//2629 KStandardDirs::findAllResources(const char*) const
    {106, 1533, 474, 2, Smoke::mf_const, 411, 47},	//2630 KStandardDirs::findAllResources(const char*, const QString&) const
    {106, 3149, 0, 0, Smoke::mf_static, 411, 48},	//2631 KStandardDirs::systemPaths()
    {106, 1565, 24, 1, Smoke::mf_static, 406, 49},	//2632 KStandardDirs::findExe(const QString&)
    {106, 1565, 89, 2, Smoke::mf_static, 406, 50},	//2633 KStandardDirs::findExe(const QString&, const QString&)
    {106, 1529, 1859, 2, Smoke::mf_static, 734, 51},	//2634 KStandardDirs::findAllExe(QStringList&, const QString&)
    {106, 1529, 1862, 3, Smoke::mf_static, 734, 52},	//2635 KStandardDirs::findAllExe(QStringList&, const QString&, const QString&)
    {106, 2509, 109, 1, Smoke::mf_const, 406, 53},	//2636 KStandardDirs::saveLocation(const char*) const
    {106, 2509, 474, 2, Smoke::mf_const, 406, 54},	//2637 KStandardDirs::saveLocation(const char*, const QString&) const
    {106, 2056, 24, 1, Smoke::mf_static, 538, 55},	//2638 KStandardDirs::makeDir(const QString&)
    {106, 2009, 474, 2, Smoke::mf_static, 406, 56},	//2639 KStandardDirs::locate(const char*, const QString&)
    {106, 2012, 474, 2, Smoke::mf_static, 406, 57},	//2640 KStandardDirs::locateLocal(const char*, const QString&)
    {106, 2012, 1814, 3, Smoke::mf_static, 406, 58},	//2641 KStandardDirs::locateLocal(const char*, const QString&, bool)
    {106, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 59},	//2642 KStandardDirs::NoSearchOptions (enum)
    {106, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 60},	//2643 KStandardDirs::Recursive (enum)
    {106, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 61},	//2644 KStandardDirs::NoDuplicates (enum)
    {106, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 62},	//2645 KStandardDirs::IgnoreExecBit (enum)
    {106, 3484, 0, 0, Smoke::mf_dtor, 0, 63 },	//2646 KStandardDirs::~KStandardDirs()
    {107, 2272, 1866, 3, Smoke::mf_static, 411, 1},	//2647 KStringHandler::perlSplit(const QChar&, const QString&, int)
    {107, 2272, 1870, 2, Smoke::mf_static, 411, 2},	//2648 KStringHandler::perlSplit(const QChar&, const QString&)
    {107, 2272, 1873, 3, Smoke::mf_static, 411, 3},	//2649 KStringHandler::perlSplit(const QRegExp&, const QString&, int)
    {107, 2272, 1877, 2, Smoke::mf_static, 411, 4},	//2650 KStringHandler::perlSplit(const QRegExp&, const QString&)
    {107, 2146, 24, 1, Smoke::mf_static, 406, 5},	//2651 KStringHandler::obscure(const QString&)
    {107, 1125, 128, 1, Smoke::mf_static, 411, 6},	//2652 KStringHandler::capwords(const QStringList&)
    {107, 2121, 1880, 3, Smoke::mf_static, 734, 7},	//2653 KStringHandler::naturalCompare(const QString&, const QString&, Qt::CaseSensitivity)
    {107, 2121, 89, 2, Smoke::mf_static, 734, 8},	//2654 KStringHandler::naturalCompare(const QString&, const QString&)
    {107, 2023, 967, 2, Smoke::mf_static, 406, 9},	//2655 KStringHandler::lsqueeze(const QString&, int)
    {107, 2023, 24, 1, Smoke::mf_static, 406, 10},	//2656 KStringHandler::lsqueeze(const QString&)
    {107, 2291, 24, 1, Smoke::mf_static, 406, 11},	//2657 KStringHandler::preProcessWrap(const QString&)
    {107, 2272, 1884, 3, Smoke::mf_static, 411, 12},	//2658 KStringHandler::perlSplit(const QString&, const QString&, int)
    {107, 2272, 89, 2, Smoke::mf_static, 411, 13},	//2659 KStringHandler::perlSplit(const QString&, const QString&)
    {107, 3151, 24, 1, Smoke::mf_static, 406, 14},	//2660 KStringHandler::tagUrls(const QString&)
    {107, 1242, 967, 2, Smoke::mf_static, 406, 15},	//2661 KStringHandler::csqueeze(const QString&, int)
    {107, 1242, 24, 1, Smoke::mf_static, 406, 16},	//2662 KStringHandler::csqueeze(const QString&)
    {107, 1125, 24, 1, Smoke::mf_static, 406, 17},	//2663 KStringHandler::capwords(const QString&)
    {107, 1626, 109, 1, Smoke::mf_static, 406, 18},	//2664 KStringHandler::from8Bit(const char*)
    {107, 1888, 109, 1, Smoke::mf_static, 538, 19},	//2665 KStringHandler::isUtf8(const char*)
    {107, 2502, 967, 2, Smoke::mf_static, 406, 20},	//2666 KStringHandler::rsqueeze(const QString&, int)
    {107, 2502, 24, 1, Smoke::mf_static, 406, 21},	//2667 KStringHandler::rsqueeze(const QString&)
    {108, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//2668 KSycoca::metaObject() const
    {108, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//2669 KSycoca::qt_metacast(const char*)
    {108, 3200, 111, 2, Smoke::mf_static, 406, 3},	//2670 KSycoca::tr(const char*, const char*)
    {108, 3207, 111, 2, Smoke::mf_static, 406, 4},	//2671 KSycoca::trUtf8(const char*, const char*)
    {108, 3200, 114, 3, Smoke::mf_static, 406, 5},	//2672 KSycoca::tr(const char*, const char*, int)
    {108, 3207, 114, 3, Smoke::mf_static, 406, 6},	//2673 KSycoca::trUtf8(const char*, const char*, int)
    {108, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//2674 KSycoca::qt_metacall(QMetaObject::Call, int, void**)
    {108, 481, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 195, 8},	//2675 KSycoca::KSycoca(bool)
    {108, 3304, 0, 0, Smoke::mf_static, 734, 9},	//2676 KSycoca::version()
    {108, 1801, 0, 0, Smoke::mf_static, 538, 10},	//2677 KSycoca::isAvailable()
    {108, 1563, 1888, 2, 0, 276, 11},	//2678 KSycoca::findEntry(int, KSycocaType&)
    {108, 1569, 1891, 1, 0, 276, 12},	//2679 KSycoca::findFactory(KSycocaFactoryId)
    {108, 1947, 0, 0, 0, 406, 13},	//2680 KSycoca::kfsstnd_prefixes()
    {108, 849, 1893, 1, Smoke::mf_static, 406, 14},	//2681 KSycoca::absoluteFilePath(DatabaseType)
    {108, 1967, 0, 0, 0, 406, 15},	//2682 KSycoca::language()
    {108, 3166, 0, 0, 0, 750, 16},	//2683 KSycoca::timeStamp()
    {108, 3267, 0, 0, 0, 750, 17},	//2684 KSycoca::updateSignature()
    {108, 1036, 0, 0, 0, 411, 18},	//2685 KSycoca::allResourceDirs()
    {108, 898, 1895, 1, 0, 0, 19},	//2686 KSycoca::addFactory(KSycocaFactory*)
    {108, 1806, 0, 0, Smoke::mf_virtual, 538, 20},	//2687 KSycoca::isBuilding()
    {108, 1397, 0, 0, Smoke::mf_static, 0, 21},	//2688 KSycoca::disableAutoRebuild()
    {108, 1807, 109, 1, Smoke::mf_static, 538, 22},	//2689 KSycoca::isChanged(const char*)
    {108, 1587, 0, 0, Smoke::mf_static, 0, 23},	//2690 KSycoca::flagError()
    {108, 2401, 0, 0, Smoke::mf_static, 538, 24},	//2691 KSycoca::readError()
    {108, 1270, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2692 KSycoca::databaseChanged()
    {108, 1270, 128, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2693 KSycoca::databaseChanged(const QStringList&)
    {108, 1510, 0, 0, Smoke::mf_protected, 201, 27},	//2694 KSycoca::factories()
    {108, 3103, 0, 0, Smoke::mf_protected, 277, 28},	//2695 KSycoca::stream()
    {108, 3200, 109, 1, Smoke::mf_static, 406, 29},	//2696 KSycoca::tr(const char*)
    {108, 3207, 109, 1, Smoke::mf_static, 406, 30},	//2697 KSycoca::trUtf8(const char*)
    {108, 849, 0, 0, Smoke::mf_static, 406, 31},	//2698 KSycoca::absoluteFilePath()
    {108, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 32},	//2699 KSycoca::staticMetaObject() const
    {108, 2045, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 276, 33},	//2700 KSycoca::m_str_deprecated() const
    {108, 2783, 1897, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 34},	//2701 KSycoca::setM_str_deprecated(QDataStream*)
    {108, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 35},	//2702 KSycoca::LocalDatabase (enum)
    {108, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 36},	//2703 KSycoca::GlobalDatabase (enum)
    {108, 3485, 0, 0, Smoke::mf_dtor, 0, 37 },	//2704 KSycoca::~KSycoca()
    {109, 483, 0, 0, Smoke::mf_ctor, 197, 1},	//2705 KSycocaEntry::KSycocaEntry()
    {109, 1885, 1899, 1, Smoke::mf_const, 538, 2},	//2706 KSycocaEntry::isType(KSycocaType) const
    {109, 3135, 0, 0, Smoke::mf_const, 202, 3},	//2707 KSycocaEntry::sycocaType() const
    {109, 2373, 1901, 2, Smoke::mf_static, 0, 4},	//2708 KSycocaEntry::read(QDataStream&, QString&)
    {109, 2373, 1904, 2, Smoke::mf_static, 0, 5},	//2709 KSycocaEntry::read(QDataStream&, QStringList&)
    {109, 2115, 0, 0, Smoke::mf_const, 406, 6},	//2710 KSycocaEntry::name() const
    {109, 1447, 0, 0, Smoke::mf_const, 406, 7},	//2711 KSycocaEntry::entryPath() const
    {109, 3100, 0, 0, Smoke::mf_const, 406, 8},	//2712 KSycocaEntry::storageId() const
    {109, 1890, 0, 0, Smoke::mf_const, 538, 9},	//2713 KSycocaEntry::isValid() const
    {109, 1816, 0, 0, Smoke::mf_const, 538, 10},	//2714 KSycocaEntry::isDeleted() const
    {109, 2318, 24, 1, Smoke::mf_const, 430, 11},	//2715 KSycocaEntry::property(const QString&) const
    {109, 2325, 0, 0, Smoke::mf_const, 411, 12},	//2716 KSycocaEntry::propertyNames() const
    {109, 2649, 97, 1, 0, 0, 13},	//2717 KSycocaEntry::setDeleted(bool)
    {109, 1874, 0, 0, Smoke::mf_const, 538, 14},	//2718 KSycocaEntry::isSeparator() const
    {109, 2148, 0, 0, Smoke::mf_const, 734, 15},	//2719 KSycocaEntry::offset() const
    {109, 2505, 334, 1, 0, 0, 16},	//2720 KSycocaEntry::save(QDataStream&)
    {109, 483, 1907, 1, Smoke::mf_ctor|Smoke::mf_protected, 197, 17},	//2721 KSycocaEntry::KSycocaEntry(KSycocaEntryPrivate&)
    {109, 3486, 0, 0, Smoke::mf_dtor, 0, 18 },	//2722 KSycocaEntry::~KSycocaEntry()
    {113, 485, 1909, 6, Smoke::mf_ctor, 204, 1},	//2723 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {113, 485, 1916, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 204, 2},	//2724 KSystemTimeZone::KSystemTimeZone(const KSystemTimeZone&)
    {113, 485, 1918, 2, Smoke::mf_ctor, 204, 3},	//2725 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&)
    {113, 485, 1921, 3, Smoke::mf_ctor, 204, 4},	//2726 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&)
    {113, 485, 1925, 4, Smoke::mf_ctor, 204, 5},	//2727 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float)
    {113, 485, 1930, 5, Smoke::mf_ctor, 204, 6},	//2728 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float, float)
    {113, 3487, 0, 0, Smoke::mf_dtor, 0, 7 },	//2729 KSystemTimeZone::~KSystemTimeZone()
    {114, 492, 1909, 6, Smoke::mf_ctor, 205, 1},	//2730 KSystemTimeZoneBackend::KSystemTimeZoneBackend(KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {114, 1164, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 2},	//2731 KSystemTimeZoneBackend::clone() const
    {114, 3243, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 3},	//2732 KSystemTimeZoneBackend::type() const
    {114, 2154, 1936, 3, Smoke::mf_const|Smoke::mf_virtual, 734, 4},	//2733 KSystemTimeZoneBackend::offsetAtZoneTime(const KTimeZone*, const QDateTime&, int*) const
    {114, 2151, 1940, 2, Smoke::mf_const|Smoke::mf_virtual, 734, 5},	//2734 KSystemTimeZoneBackend::offsetAtUtc(const KTimeZone*, const QDateTime&) const
    {114, 2148, 1943, 2, Smoke::mf_const|Smoke::mf_virtual, 734, 6},	//2735 KSystemTimeZoneBackend::offset(const KTimeZone*, long int) const
    {114, 1823, 1940, 2, Smoke::mf_const|Smoke::mf_virtual, 538, 7},	//2736 KSystemTimeZoneBackend::isDstAtUtc(const KTimeZone*, const QDateTime&) const
    {114, 1820, 1943, 2, Smoke::mf_const|Smoke::mf_virtual, 538, 8},	//2737 KSystemTimeZoneBackend::isDst(const KTimeZone*, long int) const
    {114, 492, 1946, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 205, 9},	//2738 KSystemTimeZoneBackend::KSystemTimeZoneBackend(const KSystemTimeZoneBackend&)
    {114, 3488, 0, 0, Smoke::mf_dtor, 0, 10 },	//2739 KSystemTimeZoneBackend::~KSystemTimeZoneBackend()
    {115, 495, 0, 0, Smoke::mf_ctor, 206, 1},	//2740 KSystemTimeZoneSource::KSystemTimeZoneSource()
    {115, 2255, 994, 1, Smoke::mf_const|Smoke::mf_virtual, 229, 2},	//2741 KSystemTimeZoneSource::parse(const KTimeZone&) const
    {115, 3038, 0, 0, Smoke::mf_static, 0, 3},	//2742 KSystemTimeZoneSource::startParseBlock()
    {115, 1439, 0, 0, Smoke::mf_static, 0, 4},	//2743 KSystemTimeZoneSource::endParseBlock()
    {115, 495, 1948, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 206, 5},	//2744 KSystemTimeZoneSource::KSystemTimeZoneSource(const KSystemTimeZoneSource&)
    {115, 3489, 0, 0, Smoke::mf_dtor, 0, 6 },	//2745 KSystemTimeZoneSource::~KSystemTimeZoneSource()
    {116, 2074, 0, 0, Smoke::mf_const, 687, 1},	//2746 KSystemTimeZones::metaObject() const
    {116, 2345, 109, 1, 0, 757, 2},	//2747 KSystemTimeZones::qt_metacast(const char*)
    {116, 3200, 111, 2, Smoke::mf_static, 406, 3},	//2748 KSystemTimeZones::tr(const char*, const char*)
    {116, 3207, 111, 2, Smoke::mf_static, 406, 4},	//2749 KSystemTimeZones::trUtf8(const char*, const char*)
    {116, 3200, 114, 3, Smoke::mf_static, 406, 5},	//2750 KSystemTimeZones::tr(const char*, const char*, int)
    {116, 3207, 114, 3, Smoke::mf_static, 406, 6},	//2751 KSystemTimeZones::trUtf8(const char*, const char*, int)
    {116, 2343, 118, 3, 0, 734, 7},	//2752 KSystemTimeZones::qt_metacall(QMetaObject::Call, int, void**)
    {116, 3169, 0, 0, Smoke::mf_static, 231, 8},	//2753 KSystemTimeZones::timeZones()
    {116, 3397, 0, 0, Smoke::mf_static, 682, 9},	//2754 KSystemTimeZones::zones()
    {116, 3394, 24, 1, Smoke::mf_static, 215, 10},	//2755 KSystemTimeZones::zone(const QString&)
    {116, 2433, 24, 1, Smoke::mf_static, 215, 11},	//2756 KSystemTimeZones::readZone(const QString&)
    {116, 1998, 0, 0, Smoke::mf_static, 215, 12},	//2757 KSystemTimeZones::local()
    {116, 2438, 0, 0, Smoke::mf_static, 215, 13},	//2758 KSystemTimeZones::realLocalZone()
    {116, 2739, 994, 1, Smoke::mf_static, 0, 14},	//2759 KSystemTimeZones::setLocalZone(const KTimeZone&)
    {116, 1880, 0, 0, Smoke::mf_static, 538, 15},	//2760 KSystemTimeZones::isSimulated()
    {116, 3396, 0, 0, Smoke::mf_static, 406, 16},	//2761 KSystemTimeZones::zoneinfoDir()
    {116, 3200, 109, 1, Smoke::mf_static, 406, 17},	//2762 KSystemTimeZones::tr(const char*)
    {116, 3207, 109, 1, Smoke::mf_static, 406, 18},	//2763 KSystemTimeZones::trUtf8(const char*)
    {116, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 19},	//2764 KSystemTimeZones::staticMetaObject() const
    {116, 3490, 0, 0, Smoke::mf_dtor, 0, 20 },	//2765 KSystemTimeZones::~KSystemTimeZones()
    {117, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//2766 KTcpSocket::metaObject() const
    {117, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//2767 KTcpSocket::qt_metacast(const char*)
    {117, 3200, 111, 2, Smoke::mf_static, 406, 3},	//2768 KTcpSocket::tr(const char*, const char*)
    {117, 3207, 111, 2, Smoke::mf_static, 406, 4},	//2769 KTcpSocket::trUtf8(const char*, const char*)
    {117, 3200, 114, 3, Smoke::mf_static, 406, 5},	//2770 KTcpSocket::tr(const char*, const char*, int)
    {117, 3207, 114, 3, Smoke::mf_static, 406, 6},	//2771 KTcpSocket::trUtf8(const char*, const char*, int)
    {117, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//2772 KTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {117, 497, 133, 1, Smoke::mf_ctor, 207, 8},	//2773 KTcpSocket::KTcpSocket(QObject*)
    {117, 1059, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 9},	//2774 KTcpSocket::atEnd() const
    {117, 1107, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 740, 10},	//2775 KTcpSocket::bytesAvailable() const
    {117, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 740, 11},	//2776 KTcpSocket::bytesToWrite() const
    {117, 1119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 12},	//2777 KTcpSocket::canReadLine() const
    {117, 1165, 0, 0, Smoke::mf_virtual, 0, 13},	//2778 KTcpSocket::close()
    {117, 1875, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 14},	//2779 KTcpSocket::isSequential() const
    {117, 2158, 137, 1, Smoke::mf_virtual, 538, 15},	//2780 KTcpSocket::open(QFlags<QIODevice::OpenModeFlag>)
    {117, 3311, 105, 1, Smoke::mf_virtual, 538, 16},	//2781 KTcpSocket::waitForBytesWritten(int)
    {117, 3322, 105, 1, Smoke::mf_virtual, 538, 17},	//2782 KTcpSocket::waitForReadyRead(int)
    {117, 2381, 1097, 2, Smoke::mf_protected|Smoke::mf_virtual, 740, 18},	//2783 KTcpSocket::readData(char*, long long)
    {117, 3361, 1100, 2, Smoke::mf_protected|Smoke::mf_virtual, 740, 19},	//2784 KTcpSocket::writeData(const char*, long long)
    {117, 846, 0, 0, 0, 0, 20},	//2785 KTcpSocket::abort()
    {117, 1188, 1950, 3, 0, 0, 21},	//2786 KTcpSocket::connectToHost(const QString&, unsigned short, KTcpSocket::ProxyPolicy)
    {117, 1188, 1954, 3, 0, 0, 22},	//2787 KTcpSocket::connectToHost(const QHostAddress&, unsigned short, KTcpSocket::ProxyPolicy)
    {117, 1188, 1958, 2, 0, 0, 23},	//2788 KTcpSocket::connectToHost(const KUrl&, KTcpSocket::ProxyPolicy)
    {117, 1398, 0, 0, 0, 0, 24},	//2789 KTcpSocket::disconnectFromHost()
    {117, 1460, 0, 0, Smoke::mf_const, 209, 25},	//2790 KTcpSocket::error() const
    {117, 3025, 0, 0, Smoke::mf_const, 370, 26},	//2791 KTcpSocket::sslErrors() const
    {117, 1588, 0, 0, 0, 538, 27},	//2792 KTcpSocket::flush()
    {117, 1890, 0, 0, Smoke::mf_const, 538, 28},	//2793 KTcpSocket::isValid() const
    {117, 1999, 0, 0, Smoke::mf_const, 341, 29},	//2794 KTcpSocket::localAddress() const
    {117, 2265, 0, 0, Smoke::mf_const, 341, 30},	//2795 KTcpSocket::peerAddress() const
    {117, 2267, 0, 0, Smoke::mf_const, 406, 31},	//2796 KTcpSocket::peerName() const
    {117, 2269, 0, 0, Smoke::mf_const, 755, 32},	//2797 KTcpSocket::peerPort() const
    {117, 2332, 0, 0, Smoke::mf_const, 390, 33},	//2798 KTcpSocket::proxy() const
    {117, 2377, 0, 0, Smoke::mf_const, 740, 34},	//2799 KTcpSocket::readBufferSize() const
    {117, 2899, 1961, 1, 0, 0, 35},	//2800 KTcpSocket::setProxy(const QNetworkProxy&)
    {117, 2903, 814, 1, 0, 0, 36},	//2801 KTcpSocket::setReadBufferSize(long long)
    {117, 3088, 0, 0, Smoke::mf_const, 212, 37},	//2802 KTcpSocket::state() const
    {117, 3313, 105, 1, 0, 538, 38},	//2803 KTcpSocket::waitForConnected(int)
    {117, 3315, 105, 1, 0, 538, 39},	//2804 KTcpSocket::waitForDisconnected(int)
    {117, 873, 1963, 1, 0, 0, 40},	//2805 KTcpSocket::addCaCertificate(const QSslCertificate&)
    {117, 875, 1965, 1, 0, 0, 41},	//2806 KTcpSocket::addCaCertificates(const QList<QSslCertificate>&)
    {117, 1109, 0, 0, Smoke::mf_const, 378, 42},	//2807 KTcpSocket::caCertificates() const
    {117, 1157, 0, 0, Smoke::mf_const, 369, 43},	//2808 KTcpSocket::ciphers() const
    {117, 1197, 1967, 3, 0, 0, 44},	//2809 KTcpSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {117, 2000, 0, 0, Smoke::mf_const, 405, 45},	//2810 KTcpSocket::localCertificate() const
    {117, 2266, 0, 0, Smoke::mf_const, 378, 46},	//2811 KTcpSocket::peerCertificateChain() const
    {117, 2301, 0, 0, Smoke::mf_const, 188, 47},	//2812 KTcpSocket::privateKey() const
    {117, 2542, 0, 0, Smoke::mf_const, 180, 48},	//2813 KTcpSocket::sessionCipher() const
    {117, 2580, 1965, 1, 0, 0, 49},	//2814 KTcpSocket::setCaCertificates(const QList<QSslCertificate>&)
    {117, 2588, 1971, 1, 0, 0, 50},	//2815 KTcpSocket::setCiphers(const QList<KSslCipher>&)
    {117, 2735, 1963, 1, 0, 0, 51},	//2816 KTcpSocket::setLocalCertificate(const QSslCertificate&)
    {117, 2735, 1973, 2, 0, 0, 52},	//2817 KTcpSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {117, 2873, 1810, 1, 0, 0, 53},	//2818 KTcpSocket::setPrivateKey(const KSslKey&)
    {117, 2873, 1976, 4, 0, 0, 54},	//2819 KTcpSocket::setPrivateKey(const QString&, KSslKey::Algorithm, QSsl::EncodingFormat, const QByteArray&)
    {117, 2549, 1981, 1, 0, 0, 55},	//2820 KTcpSocket::setAdvertisedSslVersion(KTcpSocket::SslVersion)
    {117, 1025, 0, 0, Smoke::mf_const, 211, 56},	//2821 KTcpSocket::advertisedSslVersion() const
    {117, 2127, 0, 0, Smoke::mf_const, 211, 57},	//2822 KTcpSocket::negotiatedSslVersion() const
    {117, 2128, 0, 0, Smoke::mf_const, 406, 58},	//2823 KTcpSocket::negotiatedSslVersionName() const
    {117, 3317, 105, 1, 0, 538, 59},	//2824 KTcpSocket::waitForEncrypted(int)
    {117, 1436, 0, 0, Smoke::mf_const, 208, 60},	//2825 KTcpSocket::encryptionMode() const
    {117, 3009, 1983, 1, Smoke::mf_const, 430, 61},	//2826 KTcpSocket::socketOption(QAbstractSocket::SocketOption) const
    {117, 2928, 1985, 2, 0, 0, 62},	//2827 KTcpSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {117, 1206, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//2828 KTcpSocket::connected()
    {117, 1402, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//2829 KTcpSocket::disconnected()
    {117, 1460, 1988, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//2830 KTcpSocket::error(KTcpSocket::Error)
    {117, 1727, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//2831 KTcpSocket::hostFound()
    {117, 2333, 1990, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//2832 KTcpSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {117, 3089, 1993, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//2833 KTcpSocket::stateChanged(KTcpSocket::State)
    {117, 1434, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//2834 KTcpSocket::encrypted()
    {117, 1437, 1995, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//2835 KTcpSocket::encryptionModeChanged(KTcpSocket::EncryptionMode)
    {117, 3025, 1997, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//2836 KTcpSocket::sslErrors(const QList<KSslError>&)
    {117, 1740, 0, 0, Smoke::mf_slot, 0, 72},	//2837 KTcpSocket::ignoreSslErrors()
    {117, 3033, 0, 0, Smoke::mf_slot, 0, 73},	//2838 KTcpSocket::startClientEncryption()
    {117, 3200, 109, 1, Smoke::mf_static, 406, 74},	//2839 KTcpSocket::tr(const char*)
    {117, 3207, 109, 1, Smoke::mf_static, 406, 75},	//2840 KTcpSocket::trUtf8(const char*)
    {117, 497, 0, 0, Smoke::mf_ctor, 207, 76},	//2841 KTcpSocket::KTcpSocket()
    {117, 3322, 0, 0, 0, 538, 77},	//2842 KTcpSocket::waitForReadyRead()
    {117, 1188, 1999, 2, 0, 0, 78},	//2843 KTcpSocket::connectToHost(const QString&, unsigned short)
    {117, 1188, 2002, 2, 0, 0, 79},	//2844 KTcpSocket::connectToHost(const QHostAddress&, unsigned short)
    {117, 1188, 135, 1, 0, 0, 80},	//2845 KTcpSocket::connectToHost(const KUrl&)
    {117, 3313, 0, 0, 0, 538, 81},	//2846 KTcpSocket::waitForConnected()
    {117, 3315, 0, 0, 0, 538, 82},	//2847 KTcpSocket::waitForDisconnected()
    {117, 1197, 1999, 2, 0, 0, 83},	//2848 KTcpSocket::connectToHostEncrypted(const QString&, unsigned short)
    {117, 2735, 24, 1, 0, 0, 84},	//2849 KTcpSocket::setLocalCertificate(const QString&)
    {117, 2873, 24, 1, 0, 0, 85},	//2850 KTcpSocket::setPrivateKey(const QString&)
    {117, 2873, 2005, 2, 0, 0, 86},	//2851 KTcpSocket::setPrivateKey(const QString&, KSslKey::Algorithm)
    {117, 2873, 2008, 3, 0, 0, 87},	//2852 KTcpSocket::setPrivateKey(const QString&, KSslKey::Algorithm, QSsl::EncodingFormat)
    {117, 3317, 0, 0, 0, 538, 88},	//2853 KTcpSocket::waitForEncrypted()
    {117, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 89},	//2854 KTcpSocket::staticMetaObject() const
    {117, 782, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 90},	//2855 KTcpSocket::UnconnectedState (enum)
    {117, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 91},	//2856 KTcpSocket::HostLookupState (enum)
    {117, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 92},	//2857 KTcpSocket::ConnectingState (enum)
    {117, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 93},	//2858 KTcpSocket::ConnectedState (enum)
    {117, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 94},	//2859 KTcpSocket::BoundState (enum)
    {117, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 95},	//2860 KTcpSocket::ListeningState (enum)
    {117, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 96},	//2861 KTcpSocket::ClosingState (enum)
    {117, 804, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 97},	//2862 KTcpSocket::UnknownSslVersion (enum)
    {117, 742, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 98},	//2863 KTcpSocket::SslV2 (enum)
    {117, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 99},	//2864 KTcpSocket::SslV3 (enum)
    {117, 772, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 100},	//2865 KTcpSocket::TlsV1 (enum)
    {117, 744, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 101},	//2866 KTcpSocket::SslV3_1 (enum)
    {117, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 102},	//2867 KTcpSocket::AnySslVersion (enum)
    {117, 799, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 103},	//2868 KTcpSocket::UnknownError (enum)
    {117, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 104},	//2869 KTcpSocket::ConnectionRefusedError (enum)
    {117, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 105},	//2870 KTcpSocket::RemoteHostClosedError (enum)
    {117, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 106},	//2871 KTcpSocket::HostNotFoundError (enum)
    {117, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 107},	//2872 KTcpSocket::SocketAccessError (enum)
    {117, 726, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 108},	//2873 KTcpSocket::SocketResourceError (enum)
    {117, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 109},	//2874 KTcpSocket::SocketTimeoutError (enum)
    {117, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 110},	//2875 KTcpSocket::NetworkError (enum)
    {117, 806, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 111},	//2876 KTcpSocket::UnsupportedSocketOperationError (enum)
    {117, 783, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 112},	//2877 KTcpSocket::UnencryptedMode (enum)
    {117, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 113},	//2878 KTcpSocket::SslClientMode (enum)
    {117, 741, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 114},	//2879 KTcpSocket::SslServerMode (enum)
    {117, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 115},	//2880 KTcpSocket::AutoProxy (enum)
    {117, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 116},	//2881 KTcpSocket::ManualProxy (enum)
    {117, 3491, 0, 0, Smoke::mf_dtor, 0, 117 },	//2882 KTcpSocket::~KTcpSocket()
    {118, 499, 967, 2, Smoke::mf_ctor, 213, 1},	//2883 KTempDir::KTempDir(const QString&, int)
    {118, 2570, 97, 1, 0, 0, 2},	//2884 KTempDir::setAutoRemove(bool)
    {118, 1074, 0, 0, Smoke::mf_const, 538, 3},	//2885 KTempDir::autoRemove() const
    {118, 3095, 0, 0, Smoke::mf_const, 734, 4},	//2886 KTempDir::status() const
    {118, 2115, 0, 0, Smoke::mf_const, 406, 5},	//2887 KTempDir::name() const
    {118, 3249, 0, 0, 0, 0, 6},	//2888 KTempDir::unlink()
    {118, 1487, 0, 0, Smoke::mf_const, 538, 7},	//2889 KTempDir::exists() const
    {118, 2463, 24, 1, Smoke::mf_static, 538, 8},	//2890 KTempDir::removeDir(const QString&)
    {118, 1227, 967, 2, Smoke::mf_protected, 538, 9},	//2891 KTempDir::create(const QString&, int)
    {118, 499, 0, 0, Smoke::mf_ctor, 213, 10},	//2892 KTempDir::KTempDir()
    {118, 499, 24, 1, Smoke::mf_ctor, 213, 11},	//2893 KTempDir::KTempDir(const QString&)
    {118, 3492, 0, 0, Smoke::mf_dtor, 0, 12 },	//2894 KTempDir::~KTempDir()
    {119, 502, 383, 1, Smoke::mf_ctor, 214, 1},	//2895 KTemporaryFile::KTemporaryFile(const KComponentData&)
    {119, 2871, 24, 1, 0, 0, 2},	//2896 KTemporaryFile::setPrefix(const QString&)
    {119, 2936, 24, 1, 0, 0, 3},	//2897 KTemporaryFile::setSuffix(const QString&)
    {119, 502, 0, 0, Smoke::mf_ctor, 214, 4},	//2898 KTemporaryFile::KTemporaryFile()
    {119, 3493, 0, 0, Smoke::mf_dtor, 0, 5 },	//2899 KTemporaryFile::~KTemporaryFile()
    {120, 504, 0, 0, Smoke::mf_ctor, 217, 1},	//2900 KTimeZone::KTimeZone()
    {120, 504, 24, 1, Smoke::mf_ctor, 217, 2},	//2901 KTimeZone::KTimeZone(const QString&)
    {120, 504, 994, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 217, 3},	//2902 KTimeZone::KTimeZone(const KTimeZone&)
    {120, 2211, 994, 1, 0, 216, 4},	//2903 KTimeZone::operator=(const KTimeZone&)
    {120, 2214, 994, 1, Smoke::mf_const, 538, 5},	//2904 KTimeZone::operator==(const KTimeZone&) const
    {120, 2171, 994, 1, Smoke::mf_const, 538, 6},	//2905 KTimeZone::operator!=(const KTimeZone&) const
    {120, 3243, 0, 0, Smoke::mf_const, 264, 7},	//2906 KTimeZone::type() const
    {120, 1890, 0, 0, Smoke::mf_const, 538, 8},	//2907 KTimeZone::isValid() const
    {120, 2115, 0, 0, Smoke::mf_const, 406, 9},	//2908 KTimeZone::name() const
    {120, 1224, 0, 0, Smoke::mf_const, 406, 10},	//2909 KTimeZone::countryCode() const
    {120, 1975, 0, 0, Smoke::mf_const, 733, 11},	//2910 KTimeZone::latitude() const
    {120, 2022, 0, 0, Smoke::mf_const, 733, 12},	//2911 KTimeZone::longitude() const
    {120, 1175, 0, 0, Smoke::mf_const, 406, 13},	//2912 KTimeZone::comment() const
    {120, 845, 0, 0, Smoke::mf_const, 376, 14},	//2913 KTimeZone::abbreviations() const
    {120, 843, 990, 1, Smoke::mf_const, 264, 15},	//2914 KTimeZone::abbreviation(const QDateTime&) const
    {120, 3292, 0, 0, Smoke::mf_const, 381, 16},	//2915 KTimeZone::utcOffsets() const
    {120, 1208, 2012, 2, Smoke::mf_const, 280, 17},	//2916 KTimeZone::convert(const KTimeZone&, const QDateTime&) const
    {120, 3189, 990, 1, Smoke::mf_const, 280, 18},	//2917 KTimeZone::toUtc(const QDateTime&) const
    {120, 3193, 2015, 2, Smoke::mf_const, 280, 19},	//2918 KTimeZone::toZoneTime(const QDateTime&, bool*) const
    {120, 1259, 2018, 1, Smoke::mf_const, 734, 20},	//2919 KTimeZone::currentOffset(Qt::TimeSpec) const
    {120, 2154, 2020, 2, Smoke::mf_const|Smoke::mf_virtual, 734, 21},	//2920 KTimeZone::offsetAtZoneTime(const QDateTime&, int*) const
    {120, 2151, 990, 1, Smoke::mf_const|Smoke::mf_virtual, 734, 22},	//2921 KTimeZone::offsetAtUtc(const QDateTime&) const
    {120, 2148, 2023, 1, Smoke::mf_const|Smoke::mf_virtual, 734, 23},	//2922 KTimeZone::offset(long int) const
    {120, 1823, 990, 1, Smoke::mf_const|Smoke::mf_virtual, 538, 24},	//2923 KTimeZone::isDstAtUtc(const QDateTime&) const
    {120, 1820, 2023, 1, Smoke::mf_const|Smoke::mf_virtual, 538, 25},	//2924 KTimeZone::isDst(long int) const
    {120, 2278, 0, 0, Smoke::mf_const, 372, 26},	//2925 KTimeZone::phases() const
    {120, 1719, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 27},	//2926 KTimeZone::hasTransitions() const
    {120, 3225, 2025, 2, Smoke::mf_const, 373, 28},	//2927 KTimeZone::transitions(const QDateTime&, const QDateTime&) const
    {120, 3213, 2028, 3, Smoke::mf_const, 623, 29},	//2928 KTimeZone::transition(const QDateTime&, const KTimeZone::Transition**, bool*) const
    {120, 3217, 2032, 3, Smoke::mf_const, 734, 30},	//2929 KTimeZone::transitionIndex(const QDateTime&, int*, bool*) const
    {120, 3221, 2036, 3, Smoke::mf_const, 377, 31},	//2930 KTimeZone::transitionTimes(const KTimeZone::Phase&, const QDateTime&, const QDateTime&) const
    {120, 1979, 0, 0, Smoke::mf_const, 371, 32},	//2931 KTimeZone::leapSecondChanges() const
    {120, 3012, 0, 0, Smoke::mf_const, 230, 33},	//2932 KTimeZone::source() const
    {120, 2255, 0, 0, Smoke::mf_const, 538, 34},	//2933 KTimeZone::parse() const
    {120, 1267, 97, 1, Smoke::mf_const, 627, 35},	//2934 KTimeZone::data(bool) const
    {120, 3265, 994, 1, 0, 538, 36},	//2935 KTimeZone::updateBase(const KTimeZone&)
    {120, 1652, 2023, 1, Smoke::mf_static, 280, 37},	//2936 KTimeZone::fromTime_t(long int)
    {120, 3187, 990, 1, Smoke::mf_static, 739, 38},	//2937 KTimeZone::toTime_t(const QDateTime&)
    {120, 3290, 0, 0, Smoke::mf_static, 215, 39},	//2938 KTimeZone::utc()
    {120, 504, 2040, 1, Smoke::mf_ctor|Smoke::mf_protected, 217, 40},	//2939 KTimeZone::KTimeZone(KTimeZoneBackend*)
    {120, 2614, 2042, 2, Smoke::mf_protected, 0, 41},	//2940 KTimeZone::setData(KTimeZoneData*, KTimeZoneSource*)
    {120, 3193, 990, 1, Smoke::mf_const, 280, 42},	//2941 KTimeZone::toZoneTime(const QDateTime&) const
    {120, 1259, 0, 0, Smoke::mf_const, 734, 43},	//2942 KTimeZone::currentOffset() const
    {120, 2154, 990, 1, Smoke::mf_const, 734, 44},	//2943 KTimeZone::offsetAtZoneTime(const QDateTime&) const
    {120, 3225, 0, 0, Smoke::mf_const, 373, 45},	//2944 KTimeZone::transitions() const
    {120, 3225, 990, 1, Smoke::mf_const, 373, 46},	//2945 KTimeZone::transitions(const QDateTime&) const
    {120, 3213, 990, 1, Smoke::mf_const, 623, 47},	//2946 KTimeZone::transition(const QDateTime&) const
    {120, 3213, 2045, 2, Smoke::mf_const, 623, 48},	//2947 KTimeZone::transition(const QDateTime&, const KTimeZone::Transition**) const
    {120, 3217, 990, 1, Smoke::mf_const, 734, 49},	//2948 KTimeZone::transitionIndex(const QDateTime&) const
    {120, 3217, 2020, 2, Smoke::mf_const, 734, 50},	//2949 KTimeZone::transitionIndex(const QDateTime&, int*) const
    {120, 3221, 2048, 1, Smoke::mf_const, 377, 51},	//2950 KTimeZone::transitionTimes(const KTimeZone::Phase&) const
    {120, 3221, 2050, 2, Smoke::mf_const, 377, 52},	//2951 KTimeZone::transitionTimes(const KTimeZone::Phase&, const QDateTime&) const
    {120, 1267, 0, 0, Smoke::mf_const, 627, 53},	//2952 KTimeZone::data() const
    {120, 2614, 2053, 1, Smoke::mf_protected, 0, 54},	//2953 KTimeZone::setData(KTimeZoneData*)
    {120, 167, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 722, 55},	//2954 KTimeZone::InvalidOffset() const
    {120, 168, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 724, 56},	//2955 KTimeZone::InvalidTime_t() const
    {120, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 720, 57},	//2956 KTimeZone::UNKNOWN() const
    {120, 3494, 0, 0, Smoke::mf_dtor, 0, 58 },	//2957 KTimeZone::~KTimeZone()
    {121, 555, 0, 0, Smoke::mf_ctor, 220, 1},	//2958 KTimeZone::LeapSeconds::LeapSeconds()
    {121, 555, 2055, 3, Smoke::mf_ctor, 220, 2},	//2959 KTimeZone::LeapSeconds::LeapSeconds(const QDateTime&, int, const QString&)
    {121, 555, 2059, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 220, 3},	//2960 KTimeZone::LeapSeconds::LeapSeconds(const KTimeZone::LeapSeconds&)
    {121, 2211, 2059, 1, 0, 219, 4},	//2961 KTimeZone::LeapSeconds::operator=(const KTimeZone::LeapSeconds&)
    {121, 2193, 2059, 1, Smoke::mf_const, 538, 5},	//2962 KTimeZone::LeapSeconds::operator<(const KTimeZone::LeapSeconds&) const
    {121, 1890, 0, 0, Smoke::mf_const, 538, 6},	//2963 KTimeZone::LeapSeconds::isValid() const
    {121, 1283, 0, 0, Smoke::mf_const, 280, 7},	//2964 KTimeZone::LeapSeconds::dateTime() const
    {121, 1980, 0, 0, Smoke::mf_const, 734, 8},	//2965 KTimeZone::LeapSeconds::leapSeconds() const
    {121, 1175, 0, 0, Smoke::mf_const, 406, 9},	//2966 KTimeZone::LeapSeconds::comment() const
    {121, 555, 2061, 2, Smoke::mf_ctor, 220, 10},	//2967 KTimeZone::LeapSeconds::LeapSeconds(const QDateTime&, int)
    {121, 3507, 0, 0, Smoke::mf_dtor, 0, 11 },	//2968 KTimeZone::LeapSeconds::~LeapSeconds()
    {122, 660, 0, 0, Smoke::mf_ctor, 223, 1},	//2969 KTimeZone::Phase::Phase()
    {122, 660, 2064, 4, Smoke::mf_ctor, 223, 2},	//2970 KTimeZone::Phase::Phase(int, const QByteArray&, bool, const QString&)
    {122, 660, 2069, 4, Smoke::mf_ctor, 223, 3},	//2971 KTimeZone::Phase::Phase(int, const QList<QByteArray>&, bool, const QString&)
    {122, 660, 2048, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 223, 4},	//2972 KTimeZone::Phase::Phase(const KTimeZone::Phase&)
    {122, 2211, 2048, 1, 0, 222, 5},	//2973 KTimeZone::Phase::operator=(const KTimeZone::Phase&)
    {122, 2214, 2048, 1, Smoke::mf_const, 538, 6},	//2974 KTimeZone::Phase::operator==(const KTimeZone::Phase&) const
    {122, 2171, 2048, 1, Smoke::mf_const, 538, 7},	//2975 KTimeZone::Phase::operator!=(const KTimeZone::Phase&) const
    {122, 3291, 0, 0, Smoke::mf_const, 734, 8},	//2976 KTimeZone::Phase::utcOffset() const
    {122, 845, 0, 0, Smoke::mf_const, 376, 9},	//2977 KTimeZone::Phase::abbreviations() const
    {122, 1820, 0, 0, Smoke::mf_const, 538, 10},	//2978 KTimeZone::Phase::isDst() const
    {122, 1175, 0, 0, Smoke::mf_const, 406, 11},	//2979 KTimeZone::Phase::comment() const
    {122, 660, 2074, 3, Smoke::mf_ctor, 223, 12},	//2980 KTimeZone::Phase::Phase(int, const QByteArray&, bool)
    {122, 660, 2078, 3, Smoke::mf_ctor, 223, 13},	//2981 KTimeZone::Phase::Phase(int, const QList<QByteArray>&, bool)
    {122, 3509, 0, 0, Smoke::mf_dtor, 0, 14 },	//2982 KTimeZone::Phase::~Phase()
    {123, 773, 0, 0, Smoke::mf_ctor, 225, 1},	//2983 KTimeZone::Transition::Transition()
    {123, 773, 2082, 2, Smoke::mf_ctor, 225, 2},	//2984 KTimeZone::Transition::Transition(const QDateTime&, const KTimeZone::Phase&)
    {123, 773, 2085, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 225, 3},	//2985 KTimeZone::Transition::Transition(const KTimeZone::Transition&)
    {123, 2211, 2085, 1, 0, 224, 4},	//2986 KTimeZone::Transition::operator=(const KTimeZone::Transition&)
    {123, 3163, 0, 0, Smoke::mf_const, 280, 5},	//2987 KTimeZone::Transition::time() const
    {123, 2277, 0, 0, Smoke::mf_const, 221, 6},	//2988 KTimeZone::Transition::phase() const
    {123, 2193, 2085, 1, Smoke::mf_const, 538, 7},	//2989 KTimeZone::Transition::operator<(const KTimeZone::Transition&) const
    {123, 3512, 0, 0, Smoke::mf_dtor, 0, 8 },	//2990 KTimeZone::Transition::~Transition()
    {124, 507, 0, 0, Smoke::mf_ctor, 227, 1},	//2991 KTimeZoneBackend::KTimeZoneBackend()
    {124, 507, 24, 1, Smoke::mf_ctor, 227, 2},	//2992 KTimeZoneBackend::KTimeZoneBackend(const QString&)
    {124, 507, 2087, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 227, 3},	//2993 KTimeZoneBackend::KTimeZoneBackend(const KTimeZoneBackend&)
    {124, 2211, 2087, 1, 0, 226, 4},	//2994 KTimeZoneBackend::operator=(const KTimeZoneBackend&)
    {124, 1164, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 5},	//2995 KTimeZoneBackend::clone() const
    {124, 3243, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 6},	//2996 KTimeZoneBackend::type() const
    {124, 2154, 1936, 3, Smoke::mf_const|Smoke::mf_virtual, 734, 7},	//2997 KTimeZoneBackend::offsetAtZoneTime(const KTimeZone*, const QDateTime&, int*) const
    {124, 2151, 1940, 2, Smoke::mf_const|Smoke::mf_virtual, 734, 8},	//2998 KTimeZoneBackend::offsetAtUtc(const KTimeZone*, const QDateTime&) const
    {124, 2148, 1943, 2, Smoke::mf_const|Smoke::mf_virtual, 734, 9},	//2999 KTimeZoneBackend::offset(const KTimeZone*, long int) const
    {124, 1823, 1940, 2, Smoke::mf_const|Smoke::mf_virtual, 538, 10},	//3000 KTimeZoneBackend::isDstAtUtc(const KTimeZone*, const QDateTime&) const
    {124, 1820, 1943, 2, Smoke::mf_const|Smoke::mf_virtual, 538, 11},	//3001 KTimeZoneBackend::isDst(const KTimeZone*, long int) const
    {124, 1719, 2089, 1, Smoke::mf_const|Smoke::mf_virtual, 538, 12},	//3002 KTimeZoneBackend::hasTransitions(const KTimeZone*) const
    {124, 507, 2091, 6, Smoke::mf_ctor|Smoke::mf_protected, 227, 13},	//3003 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {124, 507, 2098, 2, Smoke::mf_ctor|Smoke::mf_protected, 227, 14},	//3004 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&)
    {124, 507, 2101, 3, Smoke::mf_ctor|Smoke::mf_protected, 227, 15},	//3005 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&)
    {124, 507, 2105, 4, Smoke::mf_ctor|Smoke::mf_protected, 227, 16},	//3006 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float)
    {124, 507, 2110, 5, Smoke::mf_ctor|Smoke::mf_protected, 227, 17},	//3007 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float, float)
    {124, 3495, 0, 0, Smoke::mf_dtor, 0, 18 },	//3008 KTimeZoneBackend::~KTimeZoneBackend()
    {125, 515, 0, 0, Smoke::mf_ctor, 229, 1},	//3009 KTimeZoneData::KTimeZoneData()
    {125, 515, 2116, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 229, 2},	//3010 KTimeZoneData::KTimeZoneData(const KTimeZoneData&)
    {125, 2211, 2116, 1, 0, 228, 3},	//3011 KTimeZoneData::operator=(const KTimeZoneData&)
    {125, 1164, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 229, 4},	//3012 KTimeZoneData::clone() const
    {125, 845, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 5},	//3013 KTimeZoneData::abbreviations() const
    {125, 843, 990, 1, Smoke::mf_const|Smoke::mf_virtual, 264, 6},	//3014 KTimeZoneData::abbreviation(const QDateTime&) const
    {125, 3292, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 381, 7},	//3015 KTimeZoneData::utcOffsets() const
    {125, 2300, 0, 0, Smoke::mf_const, 734, 8},	//3016 KTimeZoneData::previousUtcOffset() const
    {125, 2278, 0, 0, Smoke::mf_const, 372, 9},	//3017 KTimeZoneData::phases() const
    {125, 1719, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 10},	//3018 KTimeZoneData::hasTransitions() const
    {125, 3225, 2025, 2, Smoke::mf_const, 373, 11},	//3019 KTimeZoneData::transitions(const QDateTime&, const QDateTime&) const
    {125, 3213, 2028, 3, Smoke::mf_const, 623, 12},	//3020 KTimeZoneData::transition(const QDateTime&, const KTimeZone::Transition**, bool*) const
    {125, 3217, 2032, 3, Smoke::mf_const, 734, 13},	//3021 KTimeZoneData::transitionIndex(const QDateTime&, int*, bool*) const
    {125, 3221, 2036, 3, Smoke::mf_const, 377, 14},	//3022 KTimeZoneData::transitionTimes(const KTimeZone::Phase&, const QDateTime&, const QDateTime&) const
    {125, 1979, 0, 0, Smoke::mf_const, 371, 15},	//3023 KTimeZoneData::leapSecondChanges() const
    {125, 1977, 990, 1, Smoke::mf_const, 218, 16},	//3024 KTimeZoneData::leapSecondChange(const QDateTime&) const
    {125, 2861, 2118, 2, Smoke::mf_protected, 0, 17},	//3025 KTimeZoneData::setPhases(const QList<KTimeZone::Phase>&, int)
    {125, 2958, 2121, 1, Smoke::mf_protected, 0, 18},	//3026 KTimeZoneData::setTransitions(const QList<KTimeZone::Transition>&)
    {125, 2727, 2123, 1, Smoke::mf_protected, 0, 19},	//3027 KTimeZoneData::setLeapSecondChanges(const QList<KTimeZone::LeapSeconds>&)
    {125, 3225, 0, 0, Smoke::mf_const, 373, 20},	//3028 KTimeZoneData::transitions() const
    {125, 3225, 990, 1, Smoke::mf_const, 373, 21},	//3029 KTimeZoneData::transitions(const QDateTime&) const
    {125, 3213, 990, 1, Smoke::mf_const, 623, 22},	//3030 KTimeZoneData::transition(const QDateTime&) const
    {125, 3213, 2045, 2, Smoke::mf_const, 623, 23},	//3031 KTimeZoneData::transition(const QDateTime&, const KTimeZone::Transition**) const
    {125, 3217, 990, 1, Smoke::mf_const, 734, 24},	//3032 KTimeZoneData::transitionIndex(const QDateTime&) const
    {125, 3217, 2020, 2, Smoke::mf_const, 734, 25},	//3033 KTimeZoneData::transitionIndex(const QDateTime&, int*) const
    {125, 3221, 2048, 1, Smoke::mf_const, 377, 26},	//3034 KTimeZoneData::transitionTimes(const KTimeZone::Phase&) const
    {125, 3221, 2050, 2, Smoke::mf_const, 377, 27},	//3035 KTimeZoneData::transitionTimes(const KTimeZone::Phase&, const QDateTime&) const
    {125, 3496, 0, 0, Smoke::mf_dtor, 0, 28 },	//3036 KTimeZoneData::~KTimeZoneData()
    {126, 517, 0, 0, Smoke::mf_ctor, 230, 1},	//3037 KTimeZoneSource::KTimeZoneSource()
    {126, 2255, 994, 1, Smoke::mf_const|Smoke::mf_virtual, 229, 2},	//3038 KTimeZoneSource::parse(const KTimeZone&) const
    {126, 3278, 0, 0, Smoke::mf_const, 538, 3},	//3039 KTimeZoneSource::useZoneParse() const
    {126, 517, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 230, 4},	//3040 KTimeZoneSource::KTimeZoneSource(bool)
    {126, 517, 2125, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 230, 5},	//3041 KTimeZoneSource::KTimeZoneSource(const KTimeZoneSource&)
    {126, 3497, 0, 0, Smoke::mf_dtor, 0, 6 },	//3042 KTimeZoneSource::~KTimeZoneSource()
    {127, 520, 0, 0, Smoke::mf_ctor, 231, 1},	//3043 KTimeZones::KTimeZones()
    {127, 3394, 24, 1, Smoke::mf_const, 215, 2},	//3044 KTimeZones::zone(const QString&) const
    {127, 3397, 0, 0, Smoke::mf_const, 682, 3},	//3045 KTimeZones::zones() const
    {127, 862, 994, 1, 0, 538, 4},	//3046 KTimeZones::add(const KTimeZone&)
    {127, 2456, 994, 1, 0, 215, 5},	//3047 KTimeZones::remove(const KTimeZone&)
    {127, 2456, 24, 1, 0, 215, 6},	//3048 KTimeZones::remove(const QString&)
    {127, 1160, 0, 0, 0, 0, 7},	//3049 KTimeZones::clear()
    {127, 3498, 0, 0, Smoke::mf_dtor, 0, 8 },	//3050 KTimeZones::~KTimeZones()
    {128, 2074, 0, 0, Smoke::mf_const, 687, 1},	//3051 KToolInvocation::metaObject() const
    {128, 2345, 109, 1, 0, 757, 2},	//3052 KToolInvocation::qt_metacast(const char*)
    {128, 3200, 111, 2, Smoke::mf_static, 406, 3},	//3053 KToolInvocation::tr(const char*, const char*)
    {128, 3207, 111, 2, Smoke::mf_static, 406, 4},	//3054 KToolInvocation::trUtf8(const char*, const char*)
    {128, 3200, 114, 3, Smoke::mf_static, 406, 5},	//3055 KToolInvocation::tr(const char*, const char*, int)
    {128, 3207, 114, 3, Smoke::mf_static, 406, 6},	//3056 KToolInvocation::trUtf8(const char*, const char*, int)
    {128, 2343, 118, 3, 0, 734, 7},	//3057 KToolInvocation::qt_metacall(QMetaObject::Call, int, void**)
    {128, 2522, 0, 0, Smoke::mf_static, 232, 8},	//3058 KToolInvocation::self()
    {128, 1773, 2127, 3, Smoke::mf_static|Smoke::mf_slot, 0, 9},	//3059 KToolInvocation::invokeHelp(const QString&, const QString&, const QByteArray&)
    {128, 1777, 2127, 3, Smoke::mf_static|Smoke::mf_slot, 0, 10},	//3060 KToolInvocation::invokeMailer(const QString&, const QString&, const QByteArray&)
    {128, 1777, 2131, 3, Smoke::mf_static|Smoke::mf_slot, 0, 11},	//3061 KToolInvocation::invokeMailer(const KUrl&, const QByteArray&, bool)
    {128, 1777, 2135, 8, Smoke::mf_static|Smoke::mf_slot, 0, 12},	//3062 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&, const QByteArray&)
    {128, 1770, 542, 2, Smoke::mf_static|Smoke::mf_slot, 0, 13},	//3063 KToolInvocation::invokeBrowser(const QString&, const QByteArray&)
    {128, 1787, 2127, 3, Smoke::mf_static|Smoke::mf_slot, 0, 14},	//3064 KToolInvocation::invokeTerminal(const QString&, const QString&, const QByteArray&)
    {128, 1960, 0, 0, Smoke::mf_static, 255, 15},	//3065 KToolInvocation::klauncher()
    {128, 3068, 2144, 7, Smoke::mf_static, 734, 16},	//3066 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {128, 3068, 2152, 7, Smoke::mf_static, 734, 17},	//3067 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {128, 3054, 2144, 7, Smoke::mf_static, 734, 18},	//3068 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {128, 3054, 2152, 7, Smoke::mf_static, 734, 19},	//3069 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {128, 3040, 2144, 7, Smoke::mf_static, 734, 20},	//3070 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {128, 3040, 2152, 7, Smoke::mf_static, 734, 21},	//3071 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {128, 1927, 2160, 5, Smoke::mf_static, 734, 22},	//3072 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*, int*, const QByteArray&)
    {128, 1933, 2160, 5, Smoke::mf_static, 734, 23},	//3073 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*, int*, const QByteArray&)
    {128, 1918, 2166, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3074 KToolInvocation::kapplication_hook(QStringList&, QByteArray&)
    {128, 3200, 109, 1, Smoke::mf_static, 406, 25},	//3075 KToolInvocation::tr(const char*)
    {128, 3207, 109, 1, Smoke::mf_static, 406, 26},	//3076 KToolInvocation::trUtf8(const char*)
    {128, 1773, 0, 0, Smoke::mf_static|Smoke::mf_slot, 0, 27},	//3077 KToolInvocation::invokeHelp()
    {128, 1773, 24, 1, Smoke::mf_static|Smoke::mf_slot, 0, 28},	//3078 KToolInvocation::invokeHelp(const QString&)
    {128, 1773, 89, 2, Smoke::mf_static|Smoke::mf_slot, 0, 29},	//3079 KToolInvocation::invokeHelp(const QString&, const QString&)
    {128, 1777, 89, 2, Smoke::mf_static|Smoke::mf_slot, 0, 30},	//3080 KToolInvocation::invokeMailer(const QString&, const QString&)
    {128, 1777, 135, 1, Smoke::mf_static|Smoke::mf_slot, 0, 31},	//3081 KToolInvocation::invokeMailer(const KUrl&)
    {128, 1777, 2169, 2, Smoke::mf_static|Smoke::mf_slot, 0, 32},	//3082 KToolInvocation::invokeMailer(const KUrl&, const QByteArray&)
    {128, 1777, 2172, 5, Smoke::mf_static|Smoke::mf_slot, 0, 33},	//3083 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&)
    {128, 1777, 2178, 6, Smoke::mf_static|Smoke::mf_slot, 0, 34},	//3084 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&)
    {128, 1777, 2185, 7, Smoke::mf_static|Smoke::mf_slot, 0, 35},	//3085 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&)
    {128, 1770, 24, 1, Smoke::mf_static|Smoke::mf_slot, 0, 36},	//3086 KToolInvocation::invokeBrowser(const QString&)
    {128, 1787, 24, 1, Smoke::mf_static|Smoke::mf_slot, 0, 37},	//3087 KToolInvocation::invokeTerminal(const QString&)
    {128, 1787, 89, 2, Smoke::mf_static|Smoke::mf_slot, 0, 38},	//3088 KToolInvocation::invokeTerminal(const QString&, const QString&)
    {128, 3068, 89, 2, Smoke::mf_static, 734, 39},	//3089 KToolInvocation::startServiceByName(const QString&, const QString&)
    {128, 3068, 2193, 3, Smoke::mf_static, 734, 40},	//3090 KToolInvocation::startServiceByName(const QString&, const QString&, QString*)
    {128, 3068, 2197, 4, Smoke::mf_static, 734, 41},	//3091 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*)
    {128, 3068, 2202, 5, Smoke::mf_static, 734, 42},	//3092 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*)
    {128, 3068, 2208, 6, Smoke::mf_static, 734, 43},	//3093 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {128, 3068, 24, 1, Smoke::mf_static, 734, 44},	//3094 KToolInvocation::startServiceByName(const QString&)
    {128, 3068, 486, 2, Smoke::mf_static, 734, 45},	//3095 KToolInvocation::startServiceByName(const QString&, const QStringList&)
    {128, 3068, 2215, 3, Smoke::mf_static, 734, 46},	//3096 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*)
    {128, 3068, 2219, 4, Smoke::mf_static, 734, 47},	//3097 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*)
    {128, 3068, 2224, 5, Smoke::mf_static, 734, 48},	//3098 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*)
    {128, 3068, 2230, 6, Smoke::mf_static, 734, 49},	//3099 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {128, 3054, 89, 2, Smoke::mf_static, 734, 50},	//3100 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&)
    {128, 3054, 2193, 3, Smoke::mf_static, 734, 51},	//3101 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*)
    {128, 3054, 2197, 4, Smoke::mf_static, 734, 52},	//3102 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*)
    {128, 3054, 2202, 5, Smoke::mf_static, 734, 53},	//3103 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*)
    {128, 3054, 2208, 6, Smoke::mf_static, 734, 54},	//3104 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {128, 3054, 24, 1, Smoke::mf_static, 734, 55},	//3105 KToolInvocation::startServiceByDesktopPath(const QString&)
    {128, 3054, 486, 2, Smoke::mf_static, 734, 56},	//3106 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&)
    {128, 3054, 2215, 3, Smoke::mf_static, 734, 57},	//3107 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*)
    {128, 3054, 2219, 4, Smoke::mf_static, 734, 58},	//3108 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*)
    {128, 3054, 2224, 5, Smoke::mf_static, 734, 59},	//3109 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*)
    {128, 3054, 2230, 6, Smoke::mf_static, 734, 60},	//3110 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {128, 3040, 89, 2, Smoke::mf_static, 734, 61},	//3111 KToolInvocation::startServiceByDesktopName(const QString&, const QString&)
    {128, 3040, 2193, 3, Smoke::mf_static, 734, 62},	//3112 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*)
    {128, 3040, 2197, 4, Smoke::mf_static, 734, 63},	//3113 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*)
    {128, 3040, 2202, 5, Smoke::mf_static, 734, 64},	//3114 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*)
    {128, 3040, 2208, 6, Smoke::mf_static, 734, 65},	//3115 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {128, 3040, 24, 1, Smoke::mf_static, 734, 66},	//3116 KToolInvocation::startServiceByDesktopName(const QString&)
    {128, 3040, 486, 2, Smoke::mf_static, 734, 67},	//3117 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&)
    {128, 3040, 2215, 3, Smoke::mf_static, 734, 68},	//3118 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*)
    {128, 3040, 2219, 4, Smoke::mf_static, 734, 69},	//3119 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*)
    {128, 3040, 2224, 5, Smoke::mf_static, 734, 70},	//3120 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*)
    {128, 3040, 2230, 6, Smoke::mf_static, 734, 71},	//3121 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {128, 1927, 24, 1, Smoke::mf_static, 734, 72},	//3122 KToolInvocation::kdeinitExec(const QString&)
    {128, 1927, 486, 2, Smoke::mf_static, 734, 73},	//3123 KToolInvocation::kdeinitExec(const QString&, const QStringList&)
    {128, 1927, 2215, 3, Smoke::mf_static, 734, 74},	//3124 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*)
    {128, 1927, 2237, 4, Smoke::mf_static, 734, 75},	//3125 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*, int*)
    {128, 1933, 24, 1, Smoke::mf_static, 734, 76},	//3126 KToolInvocation::kdeinitExecWait(const QString&)
    {128, 1933, 486, 2, Smoke::mf_static, 734, 77},	//3127 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&)
    {128, 1933, 2215, 3, Smoke::mf_static, 734, 78},	//3128 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*)
    {128, 1933, 2237, 4, Smoke::mf_static, 734, 79},	//3129 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*, int*)
    {128, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 80},	//3130 KToolInvocation::staticMetaObject() const
    {128, 3499, 0, 0, Smoke::mf_dtor, 0, 81 },	//3131 KToolInvocation::~KToolInvocation()
    {129, 521, 2242, 6, Smoke::mf_ctor, 233, 1},	//3132 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {129, 521, 2249, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 233, 2},	//3133 KTzfileTimeZone::KTzfileTimeZone(const KTzfileTimeZone&)
    {129, 521, 2251, 2, Smoke::mf_ctor, 233, 3},	//3134 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&)
    {129, 521, 2254, 3, Smoke::mf_ctor, 233, 4},	//3135 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&)
    {129, 521, 2258, 4, Smoke::mf_ctor, 233, 5},	//3136 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float)
    {129, 521, 2263, 5, Smoke::mf_ctor, 233, 6},	//3137 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float, float)
    {129, 3500, 0, 0, Smoke::mf_dtor, 0, 7 },	//3138 KTzfileTimeZone::~KTzfileTimeZone()
    {130, 528, 2242, 6, Smoke::mf_ctor, 234, 1},	//3139 KTzfileTimeZoneBackend::KTzfileTimeZoneBackend(KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {130, 1164, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 2},	//3140 KTzfileTimeZoneBackend::clone() const
    {130, 3243, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 3},	//3141 KTzfileTimeZoneBackend::type() const
    {130, 1719, 2089, 1, Smoke::mf_const|Smoke::mf_virtual, 538, 4},	//3142 KTzfileTimeZoneBackend::hasTransitions(const KTimeZone*) const
    {130, 528, 2269, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 234, 5},	//3143 KTzfileTimeZoneBackend::KTzfileTimeZoneBackend(const KTzfileTimeZoneBackend&)
    {130, 3501, 0, 0, Smoke::mf_dtor, 0, 6 },	//3144 KTzfileTimeZoneBackend::~KTzfileTimeZoneBackend()
    {131, 531, 24, 1, Smoke::mf_ctor, 235, 1},	//3145 KTzfileTimeZoneSource::KTzfileTimeZoneSource(const QString&)
    {131, 2018, 0, 0, Smoke::mf_const, 406, 2},	//3146 KTzfileTimeZoneSource::location() const
    {131, 2255, 994, 1, Smoke::mf_const|Smoke::mf_virtual, 229, 3},	//3147 KTzfileTimeZoneSource::parse(const KTimeZone&) const
    {131, 531, 2271, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 235, 4},	//3148 KTzfileTimeZoneSource::KTzfileTimeZoneSource(const KTzfileTimeZoneSource&)
    {131, 3502, 0, 0, Smoke::mf_dtor, 0, 5 },	//3149 KTzfileTimeZoneSource::~KTzfileTimeZoneSource()
    {132, 534, 0, 0, Smoke::mf_ctor, 238, 1},	//3150 KUrl::KUrl()
    {132, 534, 24, 1, Smoke::mf_ctor, 238, 2},	//3151 KUrl::KUrl(const QString&)
    {132, 534, 109, 1, Smoke::mf_ctor, 238, 3},	//3152 KUrl::KUrl(const char*)
    {132, 534, 26, 1, Smoke::mf_ctor, 238, 4},	//3153 KUrl::KUrl(const QByteArray&)
    {132, 534, 135, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 238, 5},	//3154 KUrl::KUrl(const KUrl&)
    {132, 534, 1767, 1, Smoke::mf_ctor, 238, 6},	//3155 KUrl::KUrl(const QUrl&)
    {132, 534, 139, 2, Smoke::mf_ctor, 238, 7},	//3156 KUrl::KUrl(const KUrl&, const QString&)
    {132, 2326, 0, 0, Smoke::mf_const, 406, 8},	//3157 KUrl::protocol() const
    {132, 2897, 24, 1, 0, 0, 9},	//3158 KUrl::setProtocol(const QString&)
    {132, 3280, 0, 0, Smoke::mf_const, 406, 10},	//3159 KUrl::user() const
    {132, 2968, 24, 1, 0, 0, 11},	//3160 KUrl::setUser(const QString&)
    {132, 1721, 0, 0, Smoke::mf_const, 538, 12},	//3161 KUrl::hasUser() const
    {132, 2259, 0, 0, Smoke::mf_const, 406, 13},	//3162 KUrl::pass() const
    {132, 2855, 24, 1, 0, 0, 14},	//3163 KUrl::setPass(const QString&)
    {132, 1709, 0, 0, Smoke::mf_const, 538, 15},	//3164 KUrl::hasPass() const
    {132, 1695, 0, 0, Smoke::mf_const, 538, 16},	//3165 KUrl::hasHost() const
    {132, 2260, 2273, 1, Smoke::mf_const, 406, 17},	//3166 KUrl::path(KUrl::AdjustPathOption) const
    {132, 3175, 2273, 1, Smoke::mf_const, 406, 18},	//3167 KUrl::toLocalFile(KUrl::AdjustPathOption) const
    {132, 2857, 24, 1, 0, 0, 19},	//3168 KUrl::setPath(const QString&)
    {132, 1710, 0, 0, Smoke::mf_const, 538, 20},	//3169 KUrl::hasPath() const
    {132, 1158, 2275, 1, 0, 0, 21},	//3170 KUrl::cleanPath(const KUrl::CleanPathOption&)
    {132, 1023, 2273, 1, 0, 0, 22},	//3171 KUrl::adjustPath(KUrl::AdjustPathOption)
    {132, 2660, 24, 1, 0, 0, 23},	//3172 KUrl::setEncodedPathAndQuery(const QString&)
    {132, 1424, 2277, 2, Smoke::mf_const, 406, 24},	//3173 KUrl::encodedPathAndQuery(KUrl::AdjustPathOption, const QFlags<KUrl::EncodedPathAndQueryOption>&) const
    {132, 2901, 24, 1, 0, 0, 25},	//3174 KUrl::setQuery(const QString&)
    {132, 2347, 0, 0, Smoke::mf_const, 406, 26},	//3175 KUrl::query() const
    {132, 2441, 0, 0, Smoke::mf_const, 406, 27},	//3176 KUrl::ref() const
    {132, 2907, 24, 1, 0, 0, 28},	//3177 KUrl::setRef(const QString&)
    {132, 1712, 0, 0, Smoke::mf_const, 538, 29},	//3178 KUrl::hasRef() const
    {132, 1728, 0, 0, Smoke::mf_const, 406, 30},	//3179 KUrl::htmlRef() const
    {132, 1423, 0, 0, Smoke::mf_const, 406, 31},	//3180 KUrl::encodedHtmlRef() const
    {132, 2697, 24, 1, 0, 0, 32},	//3181 KUrl::setHTMLRef(const QString&)
    {132, 1693, 0, 0, Smoke::mf_const, 538, 33},	//3182 KUrl::hasHTMLRef() const
    {132, 1854, 0, 0, Smoke::mf_const, 538, 34},	//3183 KUrl::isLocalFile() const
    {132, 2682, 24, 1, 0, 0, 35},	//3184 KUrl::setFileEncoding(const QString&)
    {132, 1521, 0, 0, Smoke::mf_const, 406, 36},	//3185 KUrl::fileEncoding() const
    {132, 1715, 0, 0, Smoke::mf_const, 538, 37},	//3186 KUrl::hasSubUrl() const
    {132, 986, 24, 1, 0, 0, 38},	//3187 KUrl::addPath(const QString&)
    {132, 2353, 2280, 1, Smoke::mf_const, 385, 39},	//3188 KUrl::queryItems(const QFlags<KUrl::QueryItemsOption>&) const
    {132, 2351, 24, 1, Smoke::mf_const, 406, 40},	//3189 KUrl::queryItem(const QString&) const
    {132, 990, 89, 2, 0, 0, 41},	//3190 KUrl::addQueryItem(const QString&, const QString&)
    {132, 2684, 24, 1, 0, 0, 42},	//3191 KUrl::setFileName(const QString&)
    {132, 1524, 2282, 1, Smoke::mf_const, 406, 43},	//3192 KUrl::fileName(const QFlags<KUrl::DirectoryOption>&) const
    {132, 1393, 2282, 1, Smoke::mf_const, 406, 44},	//3193 KUrl::directory(const QFlags<KUrl::DirectoryOption>&) const
    {132, 2658, 24, 1, 0, 0, 45},	//3194 KUrl::setDirectory(const QString&)
    {132, 1131, 24, 1, 0, 538, 46},	//3195 KUrl::cd(const QString&)
    {132, 3268, 2273, 1, Smoke::mf_const, 406, 47},	//3196 KUrl::url(KUrl::AdjustPathOption) const
    {132, 2298, 2273, 1, Smoke::mf_const, 406, 48},	//3197 KUrl::prettyUrl(KUrl::AdjustPathOption) const
    {132, 2262, 0, 0, Smoke::mf_const, 406, 49},	//3198 KUrl::pathOrUrl() const
    {132, 2262, 2273, 1, Smoke::mf_const, 406, 50},	//3199 KUrl::pathOrUrl(KUrl::AdjustPathOption) const
    {132, 3178, 0, 0, Smoke::mf_const, 406, 51},	//3200 KUrl::toMimeDataString() const
    {132, 3260, 0, 0, Smoke::mf_const, 236, 52},	//3201 KUrl::upUrl() const
    {132, 2211, 135, 1, 0, 237, 53},	//3202 KUrl::operator=(const KUrl&)
    {132, 2211, 109, 1, 0, 237, 54},	//3203 KUrl::operator=(const char*)
    {132, 2211, 26, 1, 0, 237, 55},	//3204 KUrl::operator=(const QByteArray&)
    {132, 2211, 24, 1, 0, 237, 56},	//3205 KUrl::operator=(const QString&)
    {132, 2214, 135, 1, Smoke::mf_const, 538, 57},	//3206 KUrl::operator==(const KUrl&) const
    {132, 2214, 24, 1, Smoke::mf_const, 538, 58},	//3207 KUrl::operator==(const QString&) const
    {132, 2171, 135, 1, Smoke::mf_const, 538, 59},	//3208 KUrl::operator!=(const KUrl&) const
    {132, 2171, 24, 1, Smoke::mf_const, 538, 60},	//3209 KUrl::operator!=(const QString&) const
    {132, 2170, 0, 0, Smoke::mf_const, 430, 61},	//3210 KUrl::operator QVariant() const
    {132, 1166, 2284, 2, Smoke::mf_const, 538, 62},	//3211 KUrl::cmp(const KUrl&, bool) const
    {132, 1449, 2287, 2, Smoke::mf_const, 538, 63},	//3212 KUrl::equals(const KUrl&, const QFlags<KUrl::EqualsOption>&) const
    {132, 1863, 135, 1, Smoke::mf_const, 538, 64},	//3213 KUrl::isParentOf(const KUrl&) const
    {132, 3016, 24, 1, Smoke::mf_static, 244, 65},	//3214 KUrl::split(const QString&)
    {132, 3016, 135, 1, Smoke::mf_static, 244, 66},	//3215 KUrl::split(const KUrl&)
    {132, 1903, 2290, 1, Smoke::mf_static, 236, 67},	//3216 KUrl::join(const KUrl::List&)
    {132, 1639, 24, 1, Smoke::mf_static, 236, 68},	//3217 KUrl::fromPath(const QString&)
    {132, 1641, 24, 1, Smoke::mf_static, 236, 69},	//3218 KUrl::fromPathOrUrl(const QString&)
    {132, 1637, 26, 1, Smoke::mf_static, 236, 70},	//3219 KUrl::fromMimeDataByteArray(const QByteArray&)
    {132, 2283, 2292, 3, Smoke::mf_const, 0, 71},	//3220 KUrl::populateMimeData(QMimeData*, const QMap<QString,QString>&, KUrl::MimeDataFlags) const
    {132, 1419, 24, 1, Smoke::mf_static, 406, 72},	//3221 KUrl::encode_string(const QString&)
    {132, 1421, 24, 1, Smoke::mf_static, 406, 73},	//3222 KUrl::encode_string_no_slash(const QString&)
    {132, 1334, 24, 1, Smoke::mf_static, 406, 74},	//3223 KUrl::decode_string(const QString&)
    {132, 1868, 24, 1, Smoke::mf_static, 538, 75},	//3224 KUrl::isRelativeUrl(const QString&)
    {132, 2453, 2296, 2, Smoke::mf_static, 406, 76},	//3225 KUrl::relativeUrl(const KUrl&, const KUrl&)
    {132, 2450, 250, 3, Smoke::mf_static, 406, 77},	//3226 KUrl::relativePath(const QString&, const QString&, bool*)
    {132, 2260, 0, 0, Smoke::mf_const, 406, 78},	//3227 KUrl::path() const
    {132, 3175, 0, 0, Smoke::mf_const, 406, 79},	//3228 KUrl::toLocalFile() const
    {132, 1158, 0, 0, 0, 0, 80},	//3229 KUrl::cleanPath()
    {132, 1424, 0, 0, Smoke::mf_const, 406, 81},	//3230 KUrl::encodedPathAndQuery() const
    {132, 1424, 2273, 1, Smoke::mf_const, 406, 82},	//3231 KUrl::encodedPathAndQuery(KUrl::AdjustPathOption) const
    {132, 2353, 0, 0, Smoke::mf_const, 385, 83},	//3232 KUrl::queryItems() const
    {132, 1524, 0, 0, Smoke::mf_const, 406, 84},	//3233 KUrl::fileName() const
    {132, 1393, 0, 0, Smoke::mf_const, 406, 85},	//3234 KUrl::directory() const
    {132, 3268, 0, 0, Smoke::mf_const, 406, 86},	//3235 KUrl::url() const
    {132, 2298, 0, 0, Smoke::mf_const, 406, 87},	//3236 KUrl::prettyUrl() const
    {132, 1166, 135, 1, Smoke::mf_const, 538, 88},	//3237 KUrl::cmp(const KUrl&) const
    {132, 1449, 135, 1, Smoke::mf_const, 538, 89},	//3238 KUrl::equals(const KUrl&) const
    {132, 2283, 2299, 1, Smoke::mf_const, 0, 90},	//3239 KUrl::populateMimeData(QMimeData*) const
    {132, 2283, 2301, 2, Smoke::mf_const, 0, 91},	//3240 KUrl::populateMimeData(QMimeData*, const QMap<QString,QString>&) const
    {132, 2450, 89, 2, Smoke::mf_static, 406, 92},	//3241 KUrl::relativePath(const QString&, const QString&)
    {132, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 93},	//3242 KUrl::DefaultMimeDataFlags (enum)
    {132, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 94},	//3243 KUrl::NoTextExport (enum)
    {132, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 95},	//3244 KUrl::RemoveTrailingSlash (enum)
    {132, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 96},	//3245 KUrl::LeaveTrailingSlash (enum)
    {132, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 97},	//3246 KUrl::AddTrailingSlash (enum)
    {132, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 98},	//3247 KUrl::SimplifyDirSeparators (enum)
    {132, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 99},	//3248 KUrl::KeepDirSeparators (enum)
    {132, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 100},	//3249 KUrl::PermitEmptyPath (enum)
    {132, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 101},	//3250 KUrl::AvoidEmptyPath (enum)
    {132, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 102},	//3251 KUrl::CaseInsensitiveKeys (enum)
    {132, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 103},	//3252 KUrl::ObeyTrailingSlash (enum)
    {132, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 104},	//3253 KUrl::AppendTrailingSlash (enum)
    {132, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 105},	//3254 KUrl::IgnoreTrailingSlash (enum)
    {132, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 106},	//3255 KUrl::CompareWithoutTrailingSlash (enum)
    {132, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 107},	//3256 KUrl::CompareWithoutFragment (enum)
    {132, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 108},	//3257 KUrl::AllowEmptyPath (enum)
    {132, 3503, 0, 0, Smoke::mf_dtor, 0, 109 },	//3258 KUrl::~KUrl()
    {133, 538, 2304, 1, Smoke::mf_ctor, 249, 1},	//3259 KUser::KUser(KUser::UIDMode)
    {133, 538, 905, 1, Smoke::mf_ctor, 249, 2},	//3260 KUser::KUser(unsigned int)
    {133, 538, 24, 1, Smoke::mf_ctor, 249, 3},	//3261 KUser::KUser(const QString&)
    {133, 538, 109, 1, Smoke::mf_ctor, 249, 4},	//3262 KUser::KUser(const char*)
    {133, 538, 2306, 1, Smoke::mf_ctor, 249, 5},	//3263 KUser::KUser(const passwd*)
    {133, 538, 2308, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 249, 6},	//3264 KUser::KUser(const KUser&)
    {133, 2211, 2308, 1, 0, 248, 7},	//3265 KUser::operator=(const KUser&)
    {133, 2214, 2308, 1, Smoke::mf_const, 538, 8},	//3266 KUser::operator==(const KUser&) const
    {133, 2171, 2308, 1, Smoke::mf_const, 538, 9},	//3267 KUser::operator!=(const KUser&) const
    {133, 1890, 0, 0, Smoke::mf_const, 538, 10},	//3268 KUser::isValid() const
    {133, 3245, 0, 0, Smoke::mf_const, 750, 11},	//3269 KUser::uid() const
    {133, 1669, 0, 0, Smoke::mf_const, 750, 12},	//3270 KUser::gid() const
    {133, 1882, 0, 0, Smoke::mf_const, 538, 13},	//3271 KUser::isSuperUser() const
    {133, 2021, 0, 0, Smoke::mf_const, 406, 14},	//3272 KUser::loginName() const
    {133, 1655, 0, 0, Smoke::mf_const, 406, 15},	//3273 KUser::fullName() const
    {133, 1725, 0, 0, Smoke::mf_const, 406, 16},	//3274 KUser::homeDir() const
    {133, 1509, 0, 0, Smoke::mf_const, 406, 17},	//3275 KUser::faceIconPath() const
    {133, 2989, 0, 0, Smoke::mf_const, 406, 18},	//3276 KUser::shell() const
    {133, 1679, 0, 0, Smoke::mf_const, 375, 19},	//3277 KUser::groups() const
    {133, 1678, 0, 0, Smoke::mf_const, 411, 20},	//3278 KUser::groupNames() const
    {133, 2318, 2310, 1, Smoke::mf_const, 430, 21},	//3279 KUser::property(KUser::UserProperty) const
    {133, 1043, 0, 0, Smoke::mf_static, 374, 22},	//3280 KUser::allUsers()
    {133, 1042, 0, 0, Smoke::mf_static, 411, 23},	//3281 KUser::allUserNames()
    {133, 538, 0, 0, Smoke::mf_ctor, 249, 24},	//3282 KUser::KUser()
    {133, 808, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 25},	//3283 KUser::UseEffectiveUID (enum)
    {133, 809, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 26},	//3284 KUser::UseRealUserID (enum)
    {133, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 27},	//3285 KUser::FullName (enum)
    {133, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 28},	//3286 KUser::RoomNumber (enum)
    {133, 819, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 29},	//3287 KUser::WorkPhone (enum)
    {133, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 30},	//3288 KUser::HomePhone (enum)
    {133, 3504, 0, 0, Smoke::mf_dtor, 0, 31 },	//3289 KUser::~KUser()
    {134, 541, 24, 1, Smoke::mf_ctor, 253, 1},	//3290 KUserGroup::KUserGroup(const QString&)
    {134, 541, 109, 1, Smoke::mf_ctor, 253, 2},	//3291 KUserGroup::KUserGroup(const char*)
    {134, 541, 2304, 1, Smoke::mf_ctor, 253, 3},	//3292 KUserGroup::KUserGroup(KUser::UIDMode)
    {134, 541, 905, 1, Smoke::mf_ctor, 253, 4},	//3293 KUserGroup::KUserGroup(unsigned int)
    {134, 541, 2312, 1, Smoke::mf_ctor, 253, 5},	//3294 KUserGroup::KUserGroup(const group*)
    {134, 541, 2314, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 253, 6},	//3295 KUserGroup::KUserGroup(const KUserGroup&)
    {134, 2211, 2314, 1, 0, 252, 7},	//3296 KUserGroup::operator=(const KUserGroup&)
    {134, 2214, 2314, 1, Smoke::mf_const, 538, 8},	//3297 KUserGroup::operator==(const KUserGroup&) const
    {134, 2171, 2314, 1, Smoke::mf_const, 538, 9},	//3298 KUserGroup::operator!=(const KUserGroup&) const
    {134, 1890, 0, 0, Smoke::mf_const, 538, 10},	//3299 KUserGroup::isValid() const
    {134, 1669, 0, 0, Smoke::mf_const, 750, 11},	//3300 KUserGroup::gid() const
    {134, 2115, 0, 0, Smoke::mf_const, 406, 12},	//3301 KUserGroup::name() const
    {134, 3284, 0, 0, Smoke::mf_const, 374, 13},	//3302 KUserGroup::users() const
    {134, 3281, 0, 0, Smoke::mf_const, 411, 14},	//3303 KUserGroup::userNames() const
    {134, 1032, 0, 0, Smoke::mf_static, 375, 15},	//3304 KUserGroup::allGroups()
    {134, 1031, 0, 0, Smoke::mf_static, 411, 16},	//3305 KUserGroup::allGroupNames()
    {134, 541, 0, 0, Smoke::mf_ctor, 253, 17},	//3306 KUserGroup::KUserGroup()
    {134, 3505, 0, 0, Smoke::mf_dtor, 0, 18 },	//3307 KUserGroup::~KUserGroup()
    {135, 544, 293, 1, Smoke::mf_ctor|Smoke::mf_explicit, 254, 1},	//3308 KWordMacroExpander::KWordMacroExpander(QChar)
    {135, 1503, 295, 3, Smoke::mf_protected|Smoke::mf_virtual, 734, 2},	//3309 KWordMacroExpander::expandPlainMacro(const QString&, int, QStringList&)
    {135, 1489, 295, 3, Smoke::mf_protected|Smoke::mf_virtual, 734, 3},	//3310 KWordMacroExpander::expandEscapedMacro(const QString&, int, QStringList&)
    {135, 1491, 710, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 538, 4},	//3311 KWordMacroExpander::expandMacro(const QString&, QStringList&) [pure virtual]
    {135, 544, 2316, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 254, 5},	//3312 KWordMacroExpander::KWordMacroExpander(const KWordMacroExpander&)
    {135, 544, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 254, 6},	//3313 KWordMacroExpander::KWordMacroExpander()
    {135, 3506, 0, 0, Smoke::mf_dtor, 0, 7 },	//3314 KWordMacroExpander::~KWordMacroExpander()
    {136, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//3315 OrgKdeKLauncherInterface::metaObject() const
    {136, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//3316 OrgKdeKLauncherInterface::qt_metacast(const char*)
    {136, 3200, 111, 2, Smoke::mf_static, 406, 3},	//3317 OrgKdeKLauncherInterface::tr(const char*, const char*)
    {136, 3207, 111, 2, Smoke::mf_static, 406, 4},	//3318 OrgKdeKLauncherInterface::trUtf8(const char*, const char*)
    {136, 3200, 114, 3, Smoke::mf_static, 406, 5},	//3319 OrgKdeKLauncherInterface::tr(const char*, const char*, int)
    {136, 3207, 114, 3, Smoke::mf_static, 406, 6},	//3320 OrgKdeKLauncherInterface::trUtf8(const char*, const char*, int)
    {136, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//3321 OrgKdeKLauncherInterface::qt_metacall(QMetaObject::Call, int, void**)
    {136, 3091, 0, 0, Smoke::mf_static, 719, 8},	//3322 OrgKdeKLauncherInterface::staticInterfaceName()
    {136, 647, 2318, 4, Smoke::mf_ctor, 255, 9},	//3323 OrgKdeKLauncherInterface::OrgKdeKLauncherInterface(const QString&, const QString&, const QDBusConnection&, QObject*)
    {136, 1075, 0, 0, Smoke::mf_slot, 273, 10},	//3324 OrgKdeKLauncherInterface::autoStart()
    {136, 1075, 105, 1, Smoke::mf_slot, 273, 11},	//3325 OrgKdeKLauncherInterface::autoStart(int)
    {136, 1475, 2323, 4, Smoke::mf_slot, 273, 12},	//3326 OrgKdeKLauncherInterface::exec_blind(const QString&, const QStringList&, const QStringList&, const QString&)
    {136, 1475, 486, 2, Smoke::mf_slot, 273, 13},	//3327 OrgKdeKLauncherInterface::exec_blind(const QString&, const QStringList&)
    {136, 1939, 2328, 7, Smoke::mf_slot, 272, 14},	//3328 OrgKdeKLauncherInterface::kdeinit_exec(const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&)
    {136, 1941, 2328, 7, Smoke::mf_slot, 272, 15},	//3329 OrgKdeKLauncherInterface::kdeinit_exec_wait(const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&)
    {136, 2476, 0, 0, Smoke::mf_slot, 273, 16},	//3330 OrgKdeKLauncherInterface::reparseConfiguration()
    {136, 2479, 89, 2, Smoke::mf_slot, 272, 17},	//3331 OrgKdeKLauncherInterface::requestHoldSlave(const QString&, const QString&)
    {136, 2481, 2336, 4, Smoke::mf_slot, 272, 18},	//3332 OrgKdeKLauncherInterface::requestSlave(const QString&, const QString&, const QString&, QString&)
    {136, 2723, 89, 2, Smoke::mf_slot, 273, 19},	//3333 OrgKdeKLauncherInterface::setLaunchEnv(const QString&, const QString&)
    {136, 3082, 2341, 8, Smoke::mf_slot, 272, 20},	//3334 OrgKdeKLauncherInterface::start_service_by_desktop_name(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {136, 3084, 2341, 8, Smoke::mf_slot, 272, 21},	//3335 OrgKdeKLauncherInterface::start_service_by_desktop_path(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {136, 3086, 2341, 8, Smoke::mf_slot, 272, 22},	//3336 OrgKdeKLauncherInterface::start_service_by_name(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {136, 3324, 105, 1, Smoke::mf_slot, 273, 23},	//3337 OrgKdeKLauncherInterface::waitForSlave(int)
    {136, 1077, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3338 OrgKdeKLauncherInterface::autoStart0Done()
    {136, 1078, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//3339 OrgKdeKLauncherInterface::autoStart1Done()
    {136, 1079, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//3340 OrgKdeKLauncherInterface::autoStart2Done()
    {136, 3200, 109, 1, Smoke::mf_static, 406, 27},	//3341 OrgKdeKLauncherInterface::tr(const char*)
    {136, 3207, 109, 1, Smoke::mf_static, 406, 28},	//3342 OrgKdeKLauncherInterface::trUtf8(const char*)
    {136, 647, 2350, 3, Smoke::mf_ctor, 255, 29},	//3343 OrgKdeKLauncherInterface::OrgKdeKLauncherInterface(const QString&, const QString&, const QDBusConnection&)
    {136, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 30},	//3344 OrgKdeKLauncherInterface::staticMetaObject() const
    {136, 3508, 0, 0, Smoke::mf_dtor, 0, 31 },	//3345 OrgKdeKLauncherInterface::~OrgKdeKLauncherInterface()
    {138, 1107, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 740, 0},	//3346 QAbstractSocket::bytesAvailable() const
    {138, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 740, 0},	//3347 QAbstractSocket::bytesToWrite() const
    {138, 1119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 0},	//3348 QAbstractSocket::canReadLine() const
    {138, 1165, 0, 0, Smoke::mf_virtual, 0, 0},	//3349 QAbstractSocket::close()
    {138, 1875, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 0},	//3350 QAbstractSocket::isSequential() const
    {138, 1059, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 0},	//3351 QAbstractSocket::atEnd() const
    {138, 3322, 105, 1, Smoke::mf_virtual, 538, 0},	//3352 QAbstractSocket::waitForReadyRead(int)
    {138, 3311, 105, 1, Smoke::mf_virtual, 538, 0},	//3353 QAbstractSocket::waitForBytesWritten(int)
    {138, 2381, 1097, 2, Smoke::mf_protected|Smoke::mf_virtual, 740, 0},	//3354 QAbstractSocket::readData(char*, long long)
    {138, 2407, 1097, 2, Smoke::mf_protected|Smoke::mf_virtual, 740, 0},	//3355 QAbstractSocket::readLineData(char*, long long)
    {138, 3361, 1100, 2, Smoke::mf_protected|Smoke::mf_virtual, 740, 0},	//3356 QAbstractSocket::writeData(const char*, long long)
    {138, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 12},	//3357 QAbstractSocket::ConnectionRefusedError (enum)
    {138, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 13},	//3358 QAbstractSocket::RemoteHostClosedError (enum)
    {138, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 14},	//3359 QAbstractSocket::HostNotFoundError (enum)
    {138, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 15},	//3360 QAbstractSocket::SocketAccessError (enum)
    {138, 726, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 16},	//3361 QAbstractSocket::SocketResourceError (enum)
    {138, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 17},	//3362 QAbstractSocket::SocketTimeoutError (enum)
    {138, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 18},	//3363 QAbstractSocket::DatagramTooLargeError (enum)
    {138, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 19},	//3364 QAbstractSocket::NetworkError (enum)
    {138, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 20},	//3365 QAbstractSocket::AddressInUseError (enum)
    {138, 725, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 21},	//3366 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {138, 806, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 22},	//3367 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {138, 784, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 23},	//3368 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {138, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 24},	//3369 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {138, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 25},	//3370 QAbstractSocket::SslHandshakeFailedError (enum)
    {138, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 26},	//3371 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {138, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 27},	//3372 QAbstractSocket::ProxyConnectionClosedError (enum)
    {138, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 28},	//3373 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {138, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 29},	//3374 QAbstractSocket::ProxyNotFoundError (enum)
    {138, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 30},	//3375 QAbstractSocket::ProxyProtocolError (enum)
    {138, 802, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 31},	//3376 QAbstractSocket::UnknownSocketError (enum)
    {138, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 32},	//3377 QAbstractSocket::LowDelayOption (enum)
    {138, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 33},	//3378 QAbstractSocket::KeepAliveOption (enum)
    {145, 1187, 109, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3379 QDBusAbstractInterface::connectNotify(const char*)
    {145, 1401, 109, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3380 QDBusAbstractInterface::disconnectNotify(const char*)
    {156, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 0},	//3381 QFile::metaObject() const
    {156, 2345, 109, 1, Smoke::mf_virtual, 757, 0},	//3382 QFile::qt_metacast(const char*)
    {156, 2343, 118, 3, Smoke::mf_virtual, 734, 0},	//3383 QFile::qt_metacall(QMetaObject::Call, int, void**)
    {156, 1875, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 0},	//3384 QFile::isSequential() const
    {156, 1165, 0, 0, Smoke::mf_virtual, 0, 0},	//3385 QFile::close()
    {156, 3001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 740, 0},	//3386 QFile::size() const
    {156, 2287, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 740, 0},	//3387 QFile::pos() const
    {156, 2520, 814, 1, Smoke::mf_virtual, 538, 0},	//3388 QFile::seek(long long)
    {156, 1059, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 0},	//3389 QFile::atEnd() const
    {156, 1523, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//3390 QFile::fileEngine() const
    {156, 2381, 1097, 2, Smoke::mf_protected|Smoke::mf_virtual, 740, 0},	//3391 QFile::readData(char*, long long)
    {156, 3361, 1100, 2, Smoke::mf_protected|Smoke::mf_virtual, 740, 0},	//3392 QFile::writeData(const char*, long long)
    {156, 2407, 1097, 2, Smoke::mf_protected|Smoke::mf_virtual, 740, 0},	//3393 QFile::readLineData(char*, long long)
    {156, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 14},	//3394 QFile::NoError (enum)
    {156, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 15},	//3395 QFile::ReadError (enum)
    {156, 820, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 16},	//3396 QFile::WriteError (enum)
    {156, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 17},	//3397 QFile::FatalError (enum)
    {156, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 18},	//3398 QFile::ResourceError (enum)
    {156, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 19},	//3399 QFile::OpenError (enum)
    {156, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 20},	//3400 QFile::AbortError (enum)
    {156, 767, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 21},	//3401 QFile::TimeOutError (enum)
    {156, 805, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 22},	//3402 QFile::UnspecifiedError (enum)
    {156, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 23},	//3403 QFile::RemoveError (enum)
    {156, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 24},	//3404 QFile::RenameError (enum)
    {156, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 25},	//3405 QFile::PositionError (enum)
    {156, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 26},	//3406 QFile::ResizeError (enum)
    {156, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 27},	//3407 QFile::PermissionsError (enum)
    {156, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 28},	//3408 QFile::CopyError (enum)
    {156, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 29},	//3409 QFile::ReadOwner (enum)
    {156, 824, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 30},	//3410 QFile::WriteOwner (enum)
    {156, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 31},	//3411 QFile::ExeOwner (enum)
    {156, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 32},	//3412 QFile::ReadUser (enum)
    {156, 825, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 33},	//3413 QFile::WriteUser (enum)
    {156, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 34},	//3414 QFile::ExeUser (enum)
    {156, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 35},	//3415 QFile::ReadGroup (enum)
    {156, 821, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 36},	//3416 QFile::WriteGroup (enum)
    {156, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 37},	//3417 QFile::ExeGroup (enum)
    {156, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 38},	//3418 QFile::ReadOther (enum)
    {156, 823, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 39},	//3419 QFile::WriteOther (enum)
    {156, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 40},	//3420 QFile::ExeOther (enum)
    {158, 2199, 2354, 2, Smoke::mf_static, 275, 1},	//3421 QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    {158, 2227, 2357, 2, Smoke::mf_static, 538, 2},	//3422 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {158, 2239, 2360, 2, Smoke::mf_static, 348, 3},	//3423 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {158, 2239, 2363, 2, Smoke::mf_static, 348, 4},	//3424 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {158, 1952, 111, 2, Smoke::mf_static, 130, 5},	//3425 QGlobalSpace::ki18nc(const char*, const char*)
    {158, 2214, 2366, 2, Smoke::mf_static, 538, 6},	//3426 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {158, 2233, 2369, 2, Smoke::mf_static, 275, 7},	//3427 QGlobalSpace::operator>>(QDataStream&, KProtocolInfo::ExtraField&)
    {158, 2214, 2372, 2, Smoke::mf_static, 538, 8},	//3428 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {158, 2214, 2375, 2, Smoke::mf_static, 538, 9},	//3429 QGlobalSpace::operator==(const QSize&, const QSize&)
    {158, 2183, 545, 2, Smoke::mf_static, 640, 10},	//3430 QGlobalSpace::operator+(const char*, const QByteArray&)
    {158, 2239, 2378, 2, Smoke::mf_static, 315, 11},	//3431 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {158, 2214, 2381, 2, Smoke::mf_static, 538, 12},	//3432 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {158, 2233, 2384, 2, Smoke::mf_static, 275, 13},	//3433 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {158, 2227, 2387, 2, Smoke::mf_static, 538, 14},	//3434 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {158, 1954, 1284, 3, Smoke::mf_static, 130, 15},	//3435 QGlobalSpace::ki18ncp(const char*, const char*, const char*)
    {158, 2239, 2390, 2, Smoke::mf_static, 348, 16},	//3436 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {158, 2214, 2393, 2, Smoke::mf_static, 538, 17},	//3437 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {158, 2221, 545, 2, Smoke::mf_static, 538, 18},	//3438 QGlobalSpace::operator>(const char*, const QByteArray&)
    {158, 1920, 111, 2, Smoke::mf_static, 734, 19},	//3439 QGlobalSpace::kasciistricmp(const char*, const char*)
    {158, 2239, 2396, 2, Smoke::mf_static, 348, 20},	//3440 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {158, 2214, 2399, 2, Smoke::mf_static, 538, 21},	//3441 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {158, 2214, 2402, 2, Smoke::mf_static, 538, 22},	//3442 QGlobalSpace::operator==(QChar, QChar)
    {158, 2214, 2405, 2, Smoke::mf_static, 538, 23},	//3443 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {158, 2239, 2408, 2, Smoke::mf_static, 337, 24},	//3444 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {158, 2199, 2411, 2, Smoke::mf_static, 270, 25},	//3445 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {158, 2199, 2414, 2, Smoke::mf_static, 270, 26},	//3446 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {158, 2193, 2402, 2, Smoke::mf_static, 538, 27},	//3447 QGlobalSpace::operator<(QChar, QChar)
    {158, 2227, 2402, 2, Smoke::mf_static, 538, 28},	//3448 QGlobalSpace::operator>=(QChar, QChar)
    {158, 2171, 2417, 2, Smoke::mf_static, 538, 29},	//3449 QGlobalSpace::operator!=(QString::Null, const QString&)
    {158, 2199, 2420, 2, Smoke::mf_static, 270, 30},	//3450 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {158, 2199, 2423, 2, Smoke::mf_static, 275, 31},	//3451 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {158, 2193, 545, 2, Smoke::mf_static, 538, 32},	//3452 QGlobalSpace::operator<(const char*, const QByteArray&)
    {158, 2239, 2426, 2, Smoke::mf_static, 336, 33},	//3453 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {158, 2239, 2429, 2, Smoke::mf_static, 318, 34},	//3454 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {158, 2221, 2402, 2, Smoke::mf_static, 538, 35},	//3455 QGlobalSpace::operator>(QChar, QChar)
    {158, 2239, 2432, 2, Smoke::mf_static, 306, 36},	//3456 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {158, 2199, 2435, 2, Smoke::mf_static, 270, 37},	//3457 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {158, 2239, 2438, 2, Smoke::mf_static, 339, 38},	//3458 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {158, 2180, 2441, 2, Smoke::mf_static, 700, 39},	//3459 QGlobalSpace::operator*(double, const QSizeF&)
    {158, 2239, 2444, 2, Smoke::mf_static, 304, 40},	//3460 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {158, 2239, 2447, 2, Smoke::mf_static, 348, 41},	//3461 QGlobalSpace::operator|(QDir::Filter, int)
    {158, 2171, 2357, 2, Smoke::mf_static, 538, 42},	//3462 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {158, 2188, 2450, 2, Smoke::mf_static, 691, 43},	//3463 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {158, 2233, 2453, 2, Smoke::mf_static, 643, 44},	//3464 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {158, 2199, 2456, 2, Smoke::mf_static, 275, 45},	//3465 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {158, 2239, 2459, 2, Smoke::mf_static, 348, 46},	//3466 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {158, 2239, 2462, 2, Smoke::mf_static, 335, 47},	//3467 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {158, 2239, 2465, 2, Smoke::mf_static, 292, 48},	//3468 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {158, 2199, 2468, 2, Smoke::mf_static, 270, 49},	//3469 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {158, 2171, 2372, 2, Smoke::mf_static, 538, 50},	//3470 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {158, 1731, 111, 2, Smoke::mf_static, 406, 51},	//3471 QGlobalSpace::i18nc(const char*, const char*)
    {158, 2239, 2471, 2, Smoke::mf_static, 322, 52},	//3472 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {158, 2239, 2474, 2, Smoke::mf_static, 348, 53},	//3473 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {158, 2239, 2477, 2, Smoke::mf_static, 348, 54},	//3474 QGlobalSpace::operator|(QFile::Permission, int)
    {158, 2191, 2480, 2, Smoke::mf_static, 691, 55},	//3475 QGlobalSpace::operator/(const QPoint&, double)
    {158, 2183, 2450, 2, Smoke::mf_static, 691, 56},	//3476 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {158, 2239, 2483, 2, Smoke::mf_static, 313, 57},	//3477 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {158, 2183, 542, 2, Smoke::mf_static, 706, 58},	//3478 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {158, 2188, 2486, 2, Smoke::mf_static, 700, 59},	//3479 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {158, 2171, 2387, 2, Smoke::mf_static, 538, 60},	//3480 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {158, 2239, 2489, 2, Smoke::mf_static, 348, 61},	//3481 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, int)
    {158, 2239, 2492, 2, Smoke::mf_static, 348, 62},	//3482 QGlobalSpace::operator|(KLockFile::LockFlag, int)
    {158, 2239, 2495, 2, Smoke::mf_static, 331, 63},	//3483 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {158, 2239, 2498, 2, Smoke::mf_static, 319, 64},	//3484 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {158, 2193, 474, 2, Smoke::mf_static, 538, 65},	//3485 QGlobalSpace::operator<(const char*, const QString&)
    {158, 2239, 2501, 2, Smoke::mf_static, 323, 66},	//3486 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {158, 2183, 2375, 2, Smoke::mf_static, 698, 67},	//3487 QGlobalSpace::operator+(const QSize&, const QSize&)
    {158, 2239, 2504, 2, Smoke::mf_static, 337, 68},	//3488 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {158, 2239, 2507, 2, Smoke::mf_static, 348, 69},	//3489 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {158, 2239, 2510, 2, Smoke::mf_static, 328, 70},	//3490 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {158, 2183, 2486, 2, Smoke::mf_static, 700, 71},	//3491 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {158, 2239, 2513, 2, Smoke::mf_static, 348, 72},	//3492 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {158, 2193, 2516, 2, Smoke::mf_static, 538, 73},	//3493 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {158, 2239, 2519, 2, Smoke::mf_static, 319, 74},	//3494 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {158, 2221, 2366, 2, Smoke::mf_static, 538, 75},	//3495 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {158, 2239, 2522, 2, Smoke::mf_static, 348, 76},	//3496 QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    {158, 2171, 2525, 2, Smoke::mf_static, 538, 77},	//3497 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {158, 2239, 2528, 2, Smoke::mf_static, 304, 78},	//3498 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {158, 2171, 2531, 2, Smoke::mf_static, 538, 79},	//3499 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {158, 2239, 2534, 2, Smoke::mf_static, 326, 80},	//3500 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {158, 2193, 2531, 2, Smoke::mf_static, 538, 81},	//3501 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {158, 2233, 2537, 2, Smoke::mf_static, 275, 82},	//3502 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {158, 2183, 2540, 2, Smoke::mf_static, 706, 83},	//3503 QGlobalSpace::operator+(const QString&, QChar)
    {158, 2171, 2543, 2, Smoke::mf_static, 538, 84},	//3504 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {158, 2183, 2387, 2, Smoke::mf_static, 640, 85},	//3505 QGlobalSpace::operator+(const QByteArray&, const char*)
    {158, 2239, 2546, 2, Smoke::mf_static, 301, 86},	//3506 QGlobalSpace::operator|(KShell::Option, QFlags<KShell::Option>)
    {158, 2239, 2549, 2, Smoke::mf_static, 321, 87},	//3507 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {158, 2183, 477, 2, Smoke::mf_static, 706, 88},	//3508 QGlobalSpace::operator+(const QString&, const char*)
    {158, 2221, 2516, 2, Smoke::mf_static, 538, 89},	//3509 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {158, 2239, 2552, 2, Smoke::mf_static, 334, 90},	//3510 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {158, 2183, 2555, 2, Smoke::mf_static, 706, 91},	//3511 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {158, 2239, 2558, 2, Smoke::mf_static, 336, 92},	//3512 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {158, 2205, 2387, 2, Smoke::mf_static, 538, 93},	//3513 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {158, 2214, 2561, 2, Smoke::mf_static, 538, 94},	//3514 QGlobalSpace::operator==(const QRect&, const QRect&)
    {158, 2239, 2564, 2, Smoke::mf_static, 314, 95},	//3515 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {158, 2237, 2567, 2, Smoke::mf_static, 261, 96},	//3516 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {158, 2221, 395, 2, Smoke::mf_static, 538, 97},	//3517 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {158, 2239, 2570, 2, Smoke::mf_static, 292, 98},	//3518 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {158, 2239, 2573, 2, Smoke::mf_static, 348, 99},	//3519 QGlobalSpace::operator|(KAutostart::Condition, int)
    {158, 2205, 2516, 2, Smoke::mf_static, 538, 100},	//3520 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {158, 2199, 2576, 2, Smoke::mf_static, 275, 101},	//3521 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {158, 2199, 2579, 2, Smoke::mf_static, 275, 102},	//3522 QGlobalSpace::operator<<(QDataStream&, const KProtocolInfo::ExtraField&)
    {158, 2233, 2582, 2, Smoke::mf_static, 275, 103},	//3523 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {158, 2214, 2585, 2, Smoke::mf_static, 538, 104},	//3524 QGlobalSpace::operator==(QBool, QBool)
    {158, 2214, 2588, 2, Smoke::mf_static, 538, 105},	//3525 QGlobalSpace::operator==(const char*, const QStringRef&)
    {158, 2239, 2591, 2, Smoke::mf_static, 348, 106},	//3526 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {158, 2171, 474, 2, Smoke::mf_static, 538, 107},	//3527 QGlobalSpace::operator!=(const char*, const QString&)
    {158, 2205, 395, 2, Smoke::mf_static, 538, 108},	//3528 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {158, 2239, 2594, 2, Smoke::mf_static, 348, 109},	//3529 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {158, 2239, 2597, 2, Smoke::mf_static, 348, 110},	//3530 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    {158, 2183, 2600, 2, Smoke::mf_static, 706, 111},	//3531 QGlobalSpace::operator+(QChar, const QString&)
    {158, 2239, 2603, 2, Smoke::mf_static, 348, 112},	//3532 QGlobalSpace::operator|(QString::SectionFlag, int)
    {158, 2239, 2606, 2, Smoke::mf_static, 348, 113},	//3533 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {158, 2233, 2609, 2, Smoke::mf_static, 275, 114},	//3534 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {158, 2239, 2612, 2, Smoke::mf_static, 301, 115},	//3535 QGlobalSpace::operator|(KShell::Option, KShell::Option)
    {158, 2171, 2615, 2, Smoke::mf_static, 538, 116},	//3536 QGlobalSpace::operator!=(const QString&, QString::Null)
    {158, 2239, 2618, 2, Smoke::mf_static, 348, 117},	//3537 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {158, 2239, 2621, 2, Smoke::mf_static, 321, 118},	//3538 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {158, 2183, 2624, 2, Smoke::mf_static, 706, 119},	//3539 QGlobalSpace::operator+(const QString&, char)
    {158, 2233, 2627, 2, Smoke::mf_static, 643, 120},	//3540 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {158, 2171, 2399, 2, Smoke::mf_static, 538, 121},	//3541 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {158, 2188, 2381, 2, Smoke::mf_static, 693, 122},	//3542 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {158, 2214, 2543, 2, Smoke::mf_static, 538, 123},	//3543 QGlobalSpace::operator==(QString::Null, QString::Null)
    {158, 2239, 2630, 2, Smoke::mf_static, 329, 124},	//3544 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {158, 2193, 395, 2, Smoke::mf_static, 538, 125},	//3545 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {158, 2239, 2633, 2, Smoke::mf_static, 339, 126},	//3546 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {158, 2199, 2636, 2, Smoke::mf_static, 270, 127},	//3547 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {158, 2199, 2639, 2, Smoke::mf_static, 270, 128},	//3548 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {158, 2239, 2642, 2, Smoke::mf_static, 333, 129},	//3549 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {158, 2239, 2645, 2, Smoke::mf_static, 305, 130},	//3550 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {158, 2183, 2381, 2, Smoke::mf_static, 693, 131},	//3551 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {158, 2239, 2648, 2, Smoke::mf_static, 324, 132},	//3552 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {158, 2214, 2486, 2, Smoke::mf_static, 538, 133},	//3553 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {158, 2188, 2651, 1, Smoke::mf_static, 691, 134},	//3554 QGlobalSpace::operator-(const QPoint&)
    {158, 2239, 2653, 2, Smoke::mf_static, 348, 135},	//3555 QGlobalSpace::operator|(Qt::DropAction, int)
    {158, 2199, 2656, 2, Smoke::mf_static, 275, 136},	//3556 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {158, 2239, 2659, 2, Smoke::mf_static, 348, 137},	//3557 QGlobalSpace::operator|(QDir::SortFlag, int)
    {158, 2214, 2662, 2, Smoke::mf_static, 538, 138},	//3558 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {158, 2239, 2665, 2, Smoke::mf_static, 310, 139},	//3559 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {158, 2171, 2486, 2, Smoke::mf_static, 538, 140},	//3560 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {158, 2239, 2668, 2, Smoke::mf_static, 348, 141},	//3561 QGlobalSpace::operator|(KJob::Capability, int)
    {158, 2239, 2671, 2, Smoke::mf_static, 332, 142},	//3562 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {158, 2239, 2674, 2, Smoke::mf_static, 305, 143},	//3563 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {158, 2239, 2677, 2, Smoke::mf_static, 325, 144},	//3564 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {158, 2233, 1904, 2, Smoke::mf_static, 275, 145},	//3565 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {158, 2239, 2680, 2, Smoke::mf_static, 302, 146},	//3566 QGlobalSpace::operator|(KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>)
    {158, 2239, 2683, 2, Smoke::mf_static, 348, 147},	//3567 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {158, 2239, 2686, 2, Smoke::mf_static, 293, 148},	//3568 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {158, 2199, 2689, 2, Smoke::mf_static, 270, 149},	//3569 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {158, 2214, 2531, 2, Smoke::mf_static, 538, 150},	//3570 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {158, 2221, 2357, 2, Smoke::mf_static, 538, 151},	//3571 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {158, 2233, 2692, 2, Smoke::mf_static, 275, 152},	//3572 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {158, 2171, 2381, 2, Smoke::mf_static, 538, 153},	//3573 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {158, 2239, 2695, 2, Smoke::mf_static, 315, 154},	//3574 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {158, 2239, 2698, 2, Smoke::mf_static, 296, 155},	//3575 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    {158, 2183, 2701, 2, Smoke::mf_static, 706, 156},	//3576 QGlobalSpace::operator+(char, const QString&)
    {158, 2171, 2704, 2, Smoke::mf_static, 538, 157},	//3577 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {158, 2233, 2707, 2, Smoke::mf_static, 275, 158},	//3578 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {158, 2214, 2417, 2, Smoke::mf_static, 538, 159},	//3579 QGlobalSpace::operator==(QString::Null, const QString&)
    {158, 2214, 2525, 2, Smoke::mf_static, 538, 160},	//3580 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {158, 2183, 395, 2, Smoke::mf_static, 640, 161},	//3581 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {158, 2221, 474, 2, Smoke::mf_static, 538, 162},	//3582 QGlobalSpace::operator>(const char*, const QString&)
    {158, 2199, 2710, 2, Smoke::mf_static, 275, 163},	//3583 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {158, 2199, 2713, 2, Smoke::mf_static, 275, 164},	//3584 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {158, 2239, 2716, 2, Smoke::mf_static, 320, 165},	//3585 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {158, 2239, 2719, 2, Smoke::mf_static, 310, 166},	//3586 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {158, 2191, 2722, 2, Smoke::mf_static, 693, 167},	//3587 QGlobalSpace::operator/(const QPointF&, double)
    {158, 2171, 2725, 2, Smoke::mf_static, 538, 168},	//3588 QGlobalSpace::operator!=(bool, QBool)
    {158, 2214, 2516, 2, Smoke::mf_static, 538, 169},	//3589 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {158, 1729, 109, 1, Smoke::mf_static, 406, 170},	//3590 QGlobalSpace::i18n(const char*)
    {158, 2233, 2728, 2, Smoke::mf_static, 643, 171},	//3591 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {158, 2233, 2731, 2, Smoke::mf_static, 275, 172},	//3592 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {158, 2233, 2734, 2, Smoke::mf_static, 275, 173},	//3593 QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    {158, 2199, 2737, 2, Smoke::mf_static, 275, 174},	//3594 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {158, 2239, 2740, 2, Smoke::mf_static, 348, 175},	//3595 QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    {158, 2233, 2743, 2, Smoke::mf_static, 275, 176},	//3596 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {158, 2239, 2746, 2, Smoke::mf_static, 297, 177},	//3597 QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    {158, 2239, 2749, 2, Smoke::mf_static, 348, 178},	//3598 QGlobalSpace::operator|(Qt::MouseButton, int)
    {158, 2239, 2752, 2, Smoke::mf_static, 293, 179},	//3599 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {158, 2188, 2755, 1, Smoke::mf_static, 693, 180},	//3600 QGlobalSpace::operator-(const QPointF&)
    {158, 2239, 2757, 2, Smoke::mf_static, 297, 181},	//3601 QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    {158, 2239, 2760, 2, Smoke::mf_static, 348, 182},	//3602 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {158, 2214, 2725, 2, Smoke::mf_static, 538, 183},	//3603 QGlobalSpace::operator==(bool, QBool)
    {158, 2239, 2763, 2, Smoke::mf_static, 309, 184},	//3604 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {158, 2178, 2567, 2, Smoke::mf_static, 261, 185},	//3605 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {158, 2227, 545, 2, Smoke::mf_static, 538, 186},	//3606 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {158, 2239, 2766, 2, Smoke::mf_static, 334, 187},	//3607 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {158, 2239, 2769, 2, Smoke::mf_static, 348, 188},	//3608 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {158, 2171, 2772, 2, Smoke::mf_static, 538, 189},	//3609 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {158, 2199, 2775, 2, Smoke::mf_static, 270, 190},	//3610 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {158, 2239, 2778, 2, Smoke::mf_static, 328, 191},	//3611 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {158, 2171, 545, 2, Smoke::mf_static, 538, 192},	//3612 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {158, 2171, 2450, 2, Smoke::mf_static, 538, 193},	//3613 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {158, 2193, 2366, 2, Smoke::mf_static, 538, 194},	//3614 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {158, 2214, 2772, 2, Smoke::mf_static, 538, 195},	//3615 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {158, 2199, 2781, 2, Smoke::mf_static, 275, 196},	//3616 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {158, 2183, 2784, 2, Smoke::mf_static, 640, 197},	//3617 QGlobalSpace::operator+(const QByteArray&, char)
    {158, 2239, 2787, 2, Smoke::mf_static, 298, 198},	//3618 QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    {158, 1915, 0, 0, Smoke::mf_static, 0, 199},	//3619 QGlobalSpace::kClearDebugConfig()
    {158, 2239, 2790, 2, Smoke::mf_static, 313, 200},	//3620 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {158, 2239, 2793, 2, Smoke::mf_static, 311, 201},	//3621 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {158, 2233, 2796, 2, Smoke::mf_static, 275, 202},	//3622 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {158, 2191, 2799, 2, Smoke::mf_static, 700, 203},	//3623 QGlobalSpace::operator/(const QSizeF&, double)
    {158, 2227, 2516, 2, Smoke::mf_static, 538, 204},	//3624 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {158, 2199, 2802, 2, Smoke::mf_static, 275, 205},	//3625 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {158, 2214, 2450, 2, Smoke::mf_static, 538, 206},	//3626 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {158, 2205, 545, 2, Smoke::mf_static, 538, 207},	//3627 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {158, 2205, 2357, 2, Smoke::mf_static, 538, 208},	//3628 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {158, 2199, 2805, 2, Smoke::mf_static, 275, 209},	//3629 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {158, 1909, 2808, 1, Smoke::mf_static, 542, 210},	//3630 QGlobalSpace::kAsciiToLower(char*)
    {158, 2233, 1901, 2, Smoke::mf_static, 275, 211},	//3631 QGlobalSpace::operator>>(QDataStream&, QString&)
    {158, 2233, 2810, 2, Smoke::mf_static, 643, 212},	//3632 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {158, 2233, 2813, 2, Smoke::mf_static, 643, 213},	//3633 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {158, 2239, 2816, 2, Smoke::mf_static, 306, 214},	//3634 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {158, 2239, 2819, 2, Smoke::mf_static, 348, 215},	//3635 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {158, 2239, 2822, 2, Smoke::mf_static, 294, 216},	//3636 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus)
    {158, 2214, 2615, 2, Smoke::mf_static, 538, 217},	//3637 QGlobalSpace::operator==(const QString&, QString::Null)
    {158, 2199, 2825, 2, Smoke::mf_static, 419, 218},	//3638 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {158, 2193, 2387, 2, Smoke::mf_static, 538, 219},	//3639 QGlobalSpace::operator<(const QByteArray&, const char*)
    {158, 2233, 2828, 2, Smoke::mf_static, 643, 220},	//3640 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {158, 2239, 2831, 2, Smoke::mf_static, 295, 221},	//3641 QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    {158, 2239, 2834, 2, Smoke::mf_static, 299, 222},	//3642 QGlobalSpace::operator|(KLockFile::LockFlag, QFlags<KLockFile::LockFlag>)
    {158, 2239, 2837, 2, Smoke::mf_static, 314, 223},	//3643 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {158, 2239, 2840, 2, Smoke::mf_static, 290, 224},	//3644 QGlobalSpace::operator|(KAutostart::Condition, QFlags<KAutostart::Condition>)
    {158, 2199, 2843, 2, Smoke::mf_static, 419, 225},	//3645 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {158, 2171, 2402, 2, Smoke::mf_static, 538, 226},	//3646 QGlobalSpace::operator!=(QChar, QChar)
    {158, 2239, 2846, 2, Smoke::mf_static, 327, 227},	//3647 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {158, 2239, 2849, 2, Smoke::mf_static, 309, 228},	//3648 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {158, 2214, 2852, 2, Smoke::mf_static, 538, 229},	//3649 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {158, 2233, 2855, 2, Smoke::mf_static, 275, 230},	//3650 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {158, 2205, 474, 2, Smoke::mf_static, 538, 231},	//3651 QGlobalSpace::operator<=(const char*, const QString&)
    {158, 2171, 2588, 2, Smoke::mf_static, 538, 232},	//3652 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {158, 2239, 2858, 2, Smoke::mf_static, 303, 233},	//3653 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {158, 2199, 2861, 2, Smoke::mf_static, 270, 234},	//3654 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {158, 2171, 2864, 2, Smoke::mf_static, 538, 235},	//3655 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {158, 2233, 2867, 2, Smoke::mf_static, 643, 236},	//3656 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {158, 2205, 2366, 2, Smoke::mf_static, 538, 237},	//3657 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {158, 2239, 2870, 2, Smoke::mf_static, 291, 238},	//3658 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {158, 2239, 2873, 2, Smoke::mf_static, 348, 239},	//3659 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {158, 2233, 2825, 2, Smoke::mf_static, 419, 240},	//3660 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {158, 2183, 2876, 2, Smoke::mf_static, 640, 241},	//3661 QGlobalSpace::operator+(char, const QByteArray&)
    {158, 2214, 545, 2, Smoke::mf_static, 538, 242},	//3662 QGlobalSpace::operator==(const char*, const QByteArray&)
    {158, 2199, 2879, 2, Smoke::mf_static, 275, 243},	//3663 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {158, 2233, 2882, 2, Smoke::mf_static, 643, 244},	//3664 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {158, 2188, 2375, 2, Smoke::mf_static, 698, 245},	//3665 QGlobalSpace::operator-(const QSize&, const QSize&)
    {158, 2233, 2885, 2, Smoke::mf_static, 643, 246},	//3666 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {158, 2183, 474, 2, Smoke::mf_static, 706, 247},	//3667 QGlobalSpace::operator+(const char*, const QString&)
    {158, 2239, 2888, 2, Smoke::mf_static, 348, 248},	//3668 QGlobalSpace::operator|(Qt::WindowState, int)
    {158, 2233, 2891, 2, Smoke::mf_static, 275, 249},	//3669 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {158, 2239, 2894, 2, Smoke::mf_static, 290, 250},	//3670 QGlobalSpace::operator|(KAutostart::Condition, KAutostart::Condition)
    {158, 2239, 2897, 2, Smoke::mf_static, 295, 251},	//3671 QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    {158, 2239, 2900, 2, Smoke::mf_static, 307, 252},	//3672 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {158, 2171, 2662, 2, Smoke::mf_static, 538, 253},	//3673 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {158, 2239, 2903, 2, Smoke::mf_static, 331, 254},	//3674 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {158, 2180, 2906, 2, Smoke::mf_static, 693, 255},	//3675 QGlobalSpace::operator*(double, const QPointF&)
    {158, 2233, 2909, 2, Smoke::mf_static, 275, 256},	//3676 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {158, 2239, 2912, 2, Smoke::mf_static, 326, 257},	//3677 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {158, 2214, 2357, 2, Smoke::mf_static, 538, 258},	//3678 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {158, 2180, 2915, 2, Smoke::mf_static, 698, 259},	//3679 QGlobalSpace::operator*(const QSize&, double)
    {158, 2239, 2918, 2, Smoke::mf_static, 311, 260},	//3680 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {158, 2180, 2921, 2, Smoke::mf_static, 691, 261},	//3681 QGlobalSpace::operator*(double, const QPoint&)
    {158, 2199, 2924, 2, Smoke::mf_static, 275, 262},	//3682 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {158, 2239, 2927, 2, Smoke::mf_static, 348, 263},	//3683 QGlobalSpace::operator|(KStandardDirs::SearchOption, int)
    {158, 2239, 2930, 2, Smoke::mf_static, 348, 264},	//3684 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {158, 2239, 2933, 2, Smoke::mf_static, 316, 265},	//3685 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {158, 2239, 2936, 2, Smoke::mf_static, 325, 266},	//3686 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {158, 2239, 2939, 2, Smoke::mf_static, 312, 267},	//3687 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {158, 2214, 2942, 2, Smoke::mf_static, 538, 268},	//3688 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {158, 2239, 2945, 2, Smoke::mf_static, 317, 269},	//3689 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {158, 2239, 2948, 2, Smoke::mf_static, 348, 270},	//3690 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {158, 2239, 2951, 2, Smoke::mf_static, 294, 271},	//3691 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>)
    {158, 2239, 2954, 2, Smoke::mf_static, 329, 272},	//3692 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {158, 2233, 2957, 2, Smoke::mf_static, 643, 273},	//3693 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {158, 2227, 395, 2, Smoke::mf_static, 538, 274},	//3694 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {158, 1911, 2808, 1, Smoke::mf_static, 542, 275},	//3695 QGlobalSpace::kAsciiToUpper(char*)
    {158, 2239, 2960, 2, Smoke::mf_static, 335, 276},	//3696 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {158, 1913, 105, 1, Smoke::mf_static, 406, 277},	//3697 QGlobalSpace::kBacktrace(int)
    {158, 1913, 0, 0, Smoke::mf_static, 406, 278},	//3698 QGlobalSpace::kBacktrace()
    {158, 2239, 2963, 2, Smoke::mf_static, 348, 279},	//3699 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {158, 2239, 2966, 2, Smoke::mf_static, 323, 280},	//3700 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {158, 2239, 2969, 2, Smoke::mf_static, 348, 281},	//3701 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {158, 2239, 2972, 2, Smoke::mf_static, 338, 282},	//3702 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {158, 2239, 2975, 2, Smoke::mf_static, 308, 283},	//3703 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {158, 2199, 2978, 2, Smoke::mf_static, 275, 284},	//3704 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {158, 2199, 2981, 2, Smoke::mf_static, 275, 285},	//3705 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {158, 2199, 2984, 2, Smoke::mf_static, 275, 286},	//3706 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {158, 1923, 105, 1, Smoke::mf_static, 406, 287},	//3707 QGlobalSpace::kdBacktrace(int)
    {158, 1923, 0, 0, Smoke::mf_static, 406, 288},	//3708 QGlobalSpace::kdBacktrace()
    {158, 2233, 2987, 2, Smoke::mf_static, 643, 289},	//3709 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {158, 2239, 2990, 2, Smoke::mf_static, 312, 290},	//3710 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {158, 2171, 2561, 2, Smoke::mf_static, 538, 291},	//3711 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {158, 2239, 2993, 2, Smoke::mf_static, 348, 292},	//3712 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {158, 2214, 395, 2, Smoke::mf_static, 538, 293},	//3713 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {158, 2233, 2996, 2, Smoke::mf_static, 275, 294},	//3714 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {158, 2199, 2999, 2, Smoke::mf_static, 275, 295},	//3715 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {158, 2239, 3002, 2, Smoke::mf_static, 291, 296},	//3716 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg)
    {158, 2239, 2567, 2, Smoke::mf_static, 261, 297},	//3717 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {158, 2199, 3005, 2, Smoke::mf_static, 275, 298},	//3718 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {158, 2239, 3008, 2, Smoke::mf_static, 348, 299},	//3719 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {158, 2199, 3011, 2, Smoke::mf_static, 275, 300},	//3720 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {158, 2205, 2402, 2, Smoke::mf_static, 538, 301},	//3721 QGlobalSpace::operator<=(QChar, QChar)
    {158, 2233, 3014, 2, Smoke::mf_static, 643, 302},	//3722 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {158, 2239, 3017, 2, Smoke::mf_static, 338, 303},	//3723 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {158, 2239, 3020, 2, Smoke::mf_static, 299, 304},	//3724 QGlobalSpace::operator|(KLockFile::LockFlag, KLockFile::LockFlag)
    {158, 2171, 2942, 2, Smoke::mf_static, 538, 305},	//3725 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {158, 2239, 3023, 2, Smoke::mf_static, 330, 306},	//3726 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {158, 2233, 3026, 2, Smoke::mf_static, 275, 307},	//3727 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {158, 2239, 3029, 2, Smoke::mf_static, 303, 308},	//3728 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {158, 2233, 3032, 2, Smoke::mf_static, 275, 309},	//3729 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {158, 2239, 3035, 2, Smoke::mf_static, 348, 310},	//3730 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {158, 2191, 2915, 2, Smoke::mf_static, 698, 311},	//3731 QGlobalSpace::operator/(const QSize&, double)
    {158, 2239, 3038, 2, Smoke::mf_static, 307, 312},	//3732 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {158, 2199, 3041, 2, Smoke::mf_static, 270, 313},	//3733 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {158, 2214, 3044, 2, Smoke::mf_static, 538, 314},	//3734 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {158, 3204, 111, 2, Smoke::mf_static, 406, 315},	//3735 QGlobalSpace::tr2i18n(const char*, const char*)
    {158, 3204, 109, 1, Smoke::mf_static, 406, 316},	//3736 QGlobalSpace::tr2i18n(const char*)
    {158, 2233, 3047, 2, Smoke::mf_static, 275, 317},	//3737 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {158, 2239, 3050, 2, Smoke::mf_static, 348, 318},	//3738 QGlobalSpace::operator|(Qt::Orientation, int)
    {158, 2171, 2366, 2, Smoke::mf_static, 538, 319},	//3739 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {158, 2180, 2480, 2, Smoke::mf_static, 691, 320},	//3740 QGlobalSpace::operator*(const QPoint&, double)
    {158, 2239, 3053, 2, Smoke::mf_static, 327, 321},	//3741 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {158, 2239, 3056, 2, Smoke::mf_static, 316, 322},	//3742 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {158, 2214, 2704, 2, Smoke::mf_static, 538, 323},	//3743 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {158, 2214, 2387, 2, Smoke::mf_static, 538, 324},	//3744 QGlobalSpace::operator==(const QByteArray&, const char*)
    {158, 2180, 2799, 2, Smoke::mf_static, 700, 325},	//3745 QGlobalSpace::operator*(const QSizeF&, double)
    {158, 2214, 2864, 2, Smoke::mf_static, 538, 326},	//3746 QGlobalSpace::operator==(const QStringRef&, const char*)
    {158, 2239, 3059, 2, Smoke::mf_static, 298, 327},	//3747 QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    {158, 2239, 3062, 2, Smoke::mf_static, 348, 328},	//3748 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {158, 2180, 3065, 2, Smoke::mf_static, 698, 329},	//3749 QGlobalSpace::operator*(double, const QSize&)
    {158, 2199, 3068, 2, Smoke::mf_static, 270, 330},	//3750 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {158, 2193, 2357, 2, Smoke::mf_static, 538, 331},	//3751 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {158, 2239, 3071, 2, Smoke::mf_static, 348, 332},	//3752 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {158, 2171, 3074, 2, Smoke::mf_static, 538, 333},	//3753 QGlobalSpace::operator!=(QBool, bool)
    {158, 2171, 2375, 2, Smoke::mf_static, 538, 334},	//3754 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {158, 2233, 3077, 2, Smoke::mf_static, 275, 335},	//3755 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {158, 2171, 2516, 2, Smoke::mf_static, 538, 336},	//3756 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {158, 2239, 3080, 2, Smoke::mf_static, 322, 337},	//3757 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {158, 2239, 3083, 2, Smoke::mf_static, 348, 338},	//3758 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {158, 2180, 2722, 2, Smoke::mf_static, 693, 339},	//3759 QGlobalSpace::operator*(const QPointF&, double)
    {158, 2239, 3086, 2, Smoke::mf_static, 333, 340},	//3760 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {158, 2239, 3089, 2, Smoke::mf_static, 302, 341},	//3761 QGlobalSpace::operator|(KStandardDirs::SearchOption, KStandardDirs::SearchOption)
    {158, 2193, 2704, 2, Smoke::mf_static, 538, 342},	//3762 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {158, 2171, 2393, 2, Smoke::mf_static, 538, 343},	//3763 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {158, 2199, 3092, 2, Smoke::mf_static, 275, 344},	//3764 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {158, 2239, 3095, 2, Smoke::mf_static, 330, 345},	//3765 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {158, 2199, 3098, 2, Smoke::mf_static, 275, 346},	//3766 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {158, 2239, 3101, 2, Smoke::mf_static, 317, 347},	//3767 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {158, 2239, 3104, 2, Smoke::mf_static, 348, 348},	//3768 QGlobalSpace::operator|(Qt::WindowType, int)
    {158, 2239, 3107, 2, Smoke::mf_static, 296, 349},	//3769 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    {158, 1916, 105, 1, Smoke::mf_static, 406, 350},	//3770 QGlobalSpace::kRealBacktrace(int)
    {158, 2233, 3110, 2, Smoke::mf_static, 275, 351},	//3771 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {158, 2199, 3113, 2, Smoke::mf_static, 275, 352},	//3772 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {158, 2239, 3116, 2, Smoke::mf_static, 332, 353},	//3773 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {158, 2239, 3119, 2, Smoke::mf_static, 348, 354},	//3774 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {158, 2239, 3122, 2, Smoke::mf_static, 324, 355},	//3775 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {158, 2214, 3074, 2, Smoke::mf_static, 538, 356},	//3776 QGlobalSpace::operator==(QBool, bool)
    {158, 2233, 3125, 2, Smoke::mf_static, 275, 357},	//3777 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {158, 2233, 3128, 2, Smoke::mf_static, 275, 358},	//3778 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {158, 2199, 3131, 2, Smoke::mf_static, 275, 359},	//3779 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {158, 2199, 3134, 2, Smoke::mf_static, 275, 360},	//3780 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {158, 2239, 3137, 2, Smoke::mf_static, 318, 361},	//3781 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {158, 2214, 474, 2, Smoke::mf_static, 538, 362},	//3782 QGlobalSpace::operator==(const char*, const QString&)
    {158, 2239, 3140, 2, Smoke::mf_static, 348, 363},	//3783 QGlobalSpace::operator|(KShell::Option, int)
    {158, 1956, 111, 2, Smoke::mf_static, 130, 364},	//3784 QGlobalSpace::ki18np(const char*, const char*)
    {158, 2239, 3143, 2, Smoke::mf_static, 320, 365},	//3785 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {158, 2183, 89, 2, Smoke::mf_static, 706, 366},	//3786 QGlobalSpace::operator+(const QString&, const QString&)
    {158, 2171, 2585, 2, Smoke::mf_static, 538, 367},	//3787 QGlobalSpace::operator!=(QBool, QBool)
    {158, 2239, 3146, 2, Smoke::mf_static, 308, 368},	//3788 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {158, 2227, 474, 2, Smoke::mf_static, 538, 369},	//3789 QGlobalSpace::operator>=(const char*, const QString&)
    {158, 2239, 3149, 2, Smoke::mf_static, 348, 370},	//3790 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {158, 2227, 2366, 2, Smoke::mf_static, 538, 371},	//3791 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {158, 2221, 2387, 2, Smoke::mf_static, 538, 372},	//3792 QGlobalSpace::operator>(const QByteArray&, const char*)
    {158, 2233, 3152, 2, Smoke::mf_static, 275, 373},	//3793 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {158, 1950, 109, 1, Smoke::mf_static, 130, 374},	//3794 QGlobalSpace::ki18n(const char*)
    {158, 2239, 3155, 2, Smoke::mf_static, 348, 375},	//3795 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {158, 2171, 395, 2, Smoke::mf_static, 538, 376},	//3796 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {158, 2199, 3158, 2, Smoke::mf_static, 270, 377},	//3797 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {158, 2239, 3161, 2, Smoke::mf_static, 348, 378},	//3798 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, int)
    {158, 2233, 3164, 2, Smoke::mf_static, 275, 379},	//3799 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {158, 2199, 3167, 2, Smoke::mf_static, 275, 380},	//3800 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {158, 836, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 381},	//3801 QGlobalSpace::_ISupper (enum)
    {158, 832, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 382},	//3802 QGlobalSpace::_ISlower (enum)
    {158, 827, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 383},	//3803 QGlobalSpace::_ISalpha (enum)
    {158, 830, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 384},	//3804 QGlobalSpace::_ISdigit (enum)
    {158, 837, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 385},	//3805 QGlobalSpace::_ISxdigit (enum)
    {158, 835, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 386},	//3806 QGlobalSpace::_ISspace (enum)
    {158, 833, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 387},	//3807 QGlobalSpace::_ISprint (enum)
    {158, 831, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 388},	//3808 QGlobalSpace::_ISgraph (enum)
    {158, 828, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 389},	//3809 QGlobalSpace::_ISblank (enum)
    {158, 829, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 390},	//3810 QGlobalSpace::_IScntrl (enum)
    {158, 834, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 391},	//3811 QGlobalSpace::_ISpunct (enum)
    {158, 826, 0, 0, Smoke::mf_static|Smoke::mf_enum, 738, 392},	//3812 QGlobalSpace::_ISalnum (enum)
    {158, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 537, 393},	//3813 QGlobalSpace::ITIMER_REAL (enum)
    {158, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 537, 394},	//3814 QGlobalSpace::ITIMER_VIRTUAL (enum)
    {158, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 537, 395},	//3815 QGlobalSpace::ITIMER_PROF (enum)
    {158, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 528, 396},	//3816 QGlobalSpace::LicensedXml (enum)
    {158, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 510, 397},	//3817 QGlobalSpace::QtDebugMsg (enum)
    {158, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 510, 398},	//3818 QGlobalSpace::QtWarningMsg (enum)
    {158, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 510, 399},	//3819 QGlobalSpace::QtCriticalMsg (enum)
    {158, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 510, 400},	//3820 QGlobalSpace::QtFatalMsg (enum)
    {158, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 510, 401},	//3821 QGlobalSpace::QtSystemMsg (enum)
    {158, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 519, 402},	//3822 QGlobalSpace::LicensedOpenGL (enum)
    {158, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 522, 403},	//3823 QGlobalSpace::LicensedQt3Support (enum)
    {158, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 404},	//3824 QGlobalSpace::LicensedOpenVG (enum)
    {158, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 518, 405},	//3825 QGlobalSpace::LicensedNetwork (enum)
    {158, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 525, 406},	//3826 QGlobalSpace::LicensedSql (enum)
    {158, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 407},	//3827 QGlobalSpace::KST_KSycocaEntry (enum)
    {158, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 408},	//3828 QGlobalSpace::KST_KService (enum)
    {158, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 409},	//3829 QGlobalSpace::KST_KServiceType (enum)
    {158, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 410},	//3830 QGlobalSpace::KST_KMimeType (enum)
    {158, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 411},	//3831 QGlobalSpace::KST_KFolderMimeType (enum)
    {158, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 412},	//3832 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {158, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 413},	//3833 QGlobalSpace::KST_KServiceGroup (enum)
    {158, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 414},	//3834 QGlobalSpace::KST_KImageIOFormat (enum)
    {158, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 415},	//3835 QGlobalSpace::KST_KProtocolInfo (enum)
    {158, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 416},	//3836 QGlobalSpace::KST_KServiceSeparator (enum)
    {158, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 417},	//3837 QGlobalSpace::KST_KCustom (enum)
    {158, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 512, 418},	//3838 QGlobalSpace::LicensedCore (enum)
    {158, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 419},	//3839 QGlobalSpace::KST_KServiceFactory (enum)
    {158, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 420},	//3840 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {158, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 421},	//3841 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {158, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 422},	//3842 QGlobalSpace::KST_KImageIO (enum)
    {158, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 423},	//3843 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {158, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 424},	//3844 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {158, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 425},	//3845 QGlobalSpace::KST_CTimeInfo (enum)
    {158, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 526, 426},	//3846 QGlobalSpace::LicensedSvg (enum)
    {158, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 427},	//3847 QGlobalSpace::LicensedXmlPatterns (enum)
    {158, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 515, 428},	//3848 QGlobalSpace::LicensedGui (enum)
    {158, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 514, 429},	//3849 QGlobalSpace::LicensedDeclarative (enum)
    {158, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 511, 430},	//3850 QGlobalSpace::LicensedActiveQt (enum)
    {158, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 513, 431},	//3851 QGlobalSpace::LicensedDBus (enum)
    {158, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 527, 432},	//3852 QGlobalSpace::LicensedTest (enum)
    {158, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 524, 433},	//3853 QGlobalSpace::LicensedScriptTools (enum)
    {158, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 521, 434},	//3854 QGlobalSpace::LicensedQt3SupportLight (enum)
    {158, 840, 0, 0, Smoke::mf_static|Smoke::mf_enum, 536, 435},	//3855 QGlobalSpace::__codecvt_ok (enum)
    {158, 841, 0, 0, Smoke::mf_static|Smoke::mf_enum, 536, 436},	//3856 QGlobalSpace::__codecvt_partial (enum)
    {158, 838, 0, 0, Smoke::mf_static|Smoke::mf_enum, 536, 437},	//3857 QGlobalSpace::__codecvt_error (enum)
    {158, 839, 0, 0, Smoke::mf_static|Smoke::mf_enum, 536, 438},	//3858 QGlobalSpace::__codecvt_noconv (enum)
    {158, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 439},	//3859 QGlobalSpace::LicensedScript (enum)
    {158, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 517, 440},	//3860 QGlobalSpace::LicensedMultimedia (enum)
    {158, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 516, 441},	//3861 QGlobalSpace::LicensedHelp (enum)
    {161, 2158, 137, 1, Smoke::mf_virtual, 538, 0},	//3862 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {161, 2287, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 740, 0},	//3863 QIODevice::pos() const
    {161, 3001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 740, 0},	//3864 QIODevice::size() const
    {161, 2520, 814, 1, Smoke::mf_virtual, 538, 0},	//3865 QIODevice::seek(long long)
    {161, 2483, 0, 0, Smoke::mf_virtual, 538, 0},	//3866 QIODevice::reset()
    {161, 1107, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 740, 0},	//3867 QIODevice::bytesAvailable() const
    {161, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 740, 0},	//3868 QIODevice::bytesToWrite() const
    {161, 1119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 0},	//3869 QIODevice::canReadLine() const
    {161, 3322, 105, 1, Smoke::mf_virtual, 538, 0},	//3870 QIODevice::waitForReadyRead(int)
    {161, 3311, 105, 1, Smoke::mf_virtual, 538, 0},	//3871 QIODevice::waitForBytesWritten(int)
    {161, 2407, 1097, 2, Smoke::mf_protected|Smoke::mf_virtual, 740, 0},	//3872 QIODevice::readLineData(char*, long long)
    {161, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 347, 12},	//3873 QIODevice::NotOpen (enum)
    {161, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 347, 13},	//3874 QIODevice::ReadOnly (enum)
    {161, 822, 0, 0, Smoke::mf_static|Smoke::mf_enum, 347, 14},	//3875 QIODevice::WriteOnly (enum)
    {161, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 347, 15},	//3876 QIODevice::ReadWrite (enum)
    {161, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 347, 16},	//3877 QIODevice::Append (enum)
    {161, 776, 0, 0, Smoke::mf_static|Smoke::mf_enum, 347, 17},	//3878 QIODevice::Truncate (enum)
    {161, 761, 0, 0, Smoke::mf_static|Smoke::mf_enum, 347, 18},	//3879 QIODevice::Text (enum)
    {161, 781, 0, 0, Smoke::mf_static|Smoke::mf_enum, 347, 19},	//3880 QIODevice::Unbuffered (enum)
    {172, 1470, 3170, 1, Smoke::mf_virtual, 538, 0},	//3881 QObject::event(QEvent*)
    {172, 1471, 3172, 2, Smoke::mf_virtual, 538, 0},	//3882 QObject::eventFilter(QObject*, QEvent*)
    {172, 3170, 3175, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3883 QObject::timerEvent(QTimerEvent*)
    {172, 1150, 3177, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3884 QObject::childEvent(QChildEvent*)
    {172, 1265, 3170, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3885 QObject::customEvent(QEvent*)
    {172, 1187, 109, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3886 QObject::connectNotify(const char*)
    {172, 1401, 109, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3887 QObject::disconnectNotify(const char*)
    {176, 3322, 105, 1, Smoke::mf_virtual, 538, 0},	//3888 QProcess::waitForReadyRead(int)
    {176, 3311, 105, 1, Smoke::mf_virtual, 538, 0},	//3889 QProcess::waitForBytesWritten(int)
    {176, 1107, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 740, 0},	//3890 QProcess::bytesAvailable() const
    {176, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 740, 0},	//3891 QProcess::bytesToWrite() const
    {176, 1875, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 0},	//3892 QProcess::isSequential() const
    {176, 1119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 0},	//3893 QProcess::canReadLine() const
    {176, 1165, 0, 0, Smoke::mf_virtual, 0, 0},	//3894 QProcess::close()
    {176, 1059, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 538, 0},	//3895 QProcess::atEnd() const
    {176, 2986, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3896 QProcess::setupChildProcess()
    {176, 2381, 1097, 2, Smoke::mf_protected|Smoke::mf_virtual, 740, 0},	//3897 QProcess::readData(char*, long long)
    {176, 3361, 1100, 2, Smoke::mf_protected|Smoke::mf_virtual, 740, 0},	//3898 QProcess::writeData(const char*, long long)
    {191, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 0},	//3899 QTemporaryFile::metaObject() const
    {191, 2345, 109, 1, Smoke::mf_virtual, 757, 0},	//3900 QTemporaryFile::qt_metacast(const char*)
    {191, 2343, 118, 3, Smoke::mf_virtual, 734, 0},	//3901 QTemporaryFile::qt_metacall(QMetaObject::Call, int, void**)
    {191, 1523, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//3902 QTemporaryFile::fileEngine() const
    {191, 2158, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 538, 0},	//3903 QTemporaryFile::open(QFlags<QIODevice::OpenModeFlag>)
    {204, 1342, 0, 0, Smoke::mf_static, 406, 1},	//3904 Sonnet::defaultLanguageName()
    {204, 1377, 24, 1, Smoke::mf_static, 406, 2},	//3905 Sonnet::detectLanguage(const QString&)
    {205, 2074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 687, 1},	//3906 Sonnet::BackgroundChecker::metaObject() const
    {205, 2345, 109, 1, Smoke::mf_virtual, 757, 2},	//3907 Sonnet::BackgroundChecker::qt_metacast(const char*)
    {205, 3200, 111, 2, Smoke::mf_static, 406, 3},	//3908 Sonnet::BackgroundChecker::tr(const char*, const char*)
    {205, 3207, 111, 2, Smoke::mf_static, 406, 4},	//3909 Sonnet::BackgroundChecker::trUtf8(const char*, const char*)
    {205, 3200, 114, 3, Smoke::mf_static, 406, 5},	//3910 Sonnet::BackgroundChecker::tr(const char*, const char*, int)
    {205, 3207, 114, 3, Smoke::mf_static, 406, 6},	//3911 Sonnet::BackgroundChecker::trUtf8(const char*, const char*, int)
    {205, 2343, 118, 3, Smoke::mf_virtual, 734, 7},	//3912 Sonnet::BackgroundChecker::qt_metacall(QMetaObject::Call, int, void**)
    {205, 36, 133, 1, Smoke::mf_ctor, 530, 8},	//3913 Sonnet::BackgroundChecker::BackgroundChecker(QObject*)
    {205, 36, 3179, 2, Smoke::mf_ctor, 530, 9},	//3914 Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&, QObject*)
    {205, 2942, 24, 1, 0, 0, 10},	//3915 Sonnet::BackgroundChecker::setText(const QString&)
    {205, 3159, 0, 0, Smoke::mf_const, 406, 11},	//3916 Sonnet::BackgroundChecker::text() const
    {205, 1252, 0, 0, Smoke::mf_const, 406, 12},	//3917 Sonnet::BackgroundChecker::currentContext() const
    {205, 3015, 0, 0, Smoke::mf_const, 531, 13},	//3918 Sonnet::BackgroundChecker::speller() const
    {205, 2930, 3182, 1, 0, 0, 14},	//3919 Sonnet::BackgroundChecker::setSpeller(const Sonnet::Speller&)
    {205, 1147, 24, 1, 0, 538, 15},	//3920 Sonnet::BackgroundChecker::checkWord(const QString&)
    {205, 3126, 24, 1, Smoke::mf_const, 411, 16},	//3921 Sonnet::BackgroundChecker::suggest(const QString&) const
    {205, 1014, 24, 1, 0, 538, 17},	//3922 Sonnet::BackgroundChecker::addWordToPersonal(const QString&)
    {205, 3031, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//3923 Sonnet::BackgroundChecker::start()
    {205, 3098, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//3924 Sonnet::BackgroundChecker::stop()
    {205, 2477, 3184, 3, Smoke::mf_slot, 0, 20},	//3925 Sonnet::BackgroundChecker::replace(int, const QString&, const QString&)
    {205, 1136, 24, 1, Smoke::mf_slot, 0, 21},	//3926 Sonnet::BackgroundChecker::changeLanguage(const QString&)
    {205, 1207, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//3927 Sonnet::BackgroundChecker::continueChecking()
    {205, 2079, 967, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//3928 Sonnet::BackgroundChecker::misspelling(const QString&, int)
    {205, 1408, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3929 Sonnet::BackgroundChecker::done()
    {205, 1520, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 406, 25},	//3930 Sonnet::BackgroundChecker::fetchMoreText()
    {205, 1586, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//3931 Sonnet::BackgroundChecker::finishedCurrentFeed()
    {205, 3002, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 27},	//3932 Sonnet::BackgroundChecker::slotEngineDone()
    {205, 3200, 109, 1, Smoke::mf_static, 406, 28},	//3933 Sonnet::BackgroundChecker::tr(const char*)
    {205, 3207, 109, 1, Smoke::mf_static, 406, 29},	//3934 Sonnet::BackgroundChecker::trUtf8(const char*)
    {205, 36, 0, 0, Smoke::mf_ctor, 530, 30},	//3935 Sonnet::BackgroundChecker::BackgroundChecker()
    {205, 36, 3182, 1, Smoke::mf_ctor, 530, 31},	//3936 Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&)
    {205, 3092, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 686, 32},	//3937 Sonnet::BackgroundChecker::staticMetaObject() const
    {205, 3401, 0, 0, Smoke::mf_dtor, 0, 33 },	//3938 Sonnet::BackgroundChecker::~BackgroundChecker()
    {206, 736, 24, 1, Smoke::mf_ctor, 533, 1},	//3939 Sonnet::Speller::Speller(const QString&)
    {206, 736, 3182, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 533, 2},	//3940 Sonnet::Speller::Speller(const Sonnet::Speller&)
    {206, 2211, 3182, 1, 0, 532, 3},	//3941 Sonnet::Speller::operator=(const Sonnet::Speller&)
    {206, 1890, 0, 0, Smoke::mf_const, 538, 4},	//3942 Sonnet::Speller::isValid() const
    {206, 2719, 24, 1, 0, 0, 5},	//3943 Sonnet::Speller::setLanguage(const QString&)
    {206, 1967, 0, 0, Smoke::mf_const, 406, 6},	//3944 Sonnet::Speller::language() const
    {206, 1812, 24, 1, Smoke::mf_const, 538, 7},	//3945 Sonnet::Speller::isCorrect(const QString&) const
    {206, 1859, 24, 1, Smoke::mf_const, 538, 8},	//3946 Sonnet::Speller::isMisspelled(const QString&) const
    {206, 3126, 24, 1, Smoke::mf_const, 411, 9},	//3947 Sonnet::Speller::suggest(const QString&) const
    {206, 1143, 710, 2, Smoke::mf_const, 538, 10},	//3948 Sonnet::Speller::checkAndSuggest(const QString&, QStringList&) const
    {206, 3101, 89, 2, 0, 538, 11},	//3949 Sonnet::Speller::storeReplacement(const QString&, const QString&)
    {206, 1010, 24, 1, 0, 538, 12},	//3950 Sonnet::Speller::addToPersonal(const QString&)
    {206, 1012, 24, 1, 0, 538, 13},	//3951 Sonnet::Speller::addToSession(const QString&)
    {206, 2505, 548, 1, 0, 0, 14},	//3952 Sonnet::Speller::save(KConfig*)
    {206, 2494, 548, 1, 0, 0, 15},	//3953 Sonnet::Speller::restore(KConfig*)
    {206, 1083, 0, 0, Smoke::mf_const, 411, 16},	//3954 Sonnet::Speller::availableBackends() const
    {206, 1087, 0, 0, Smoke::mf_const, 411, 17},	//3955 Sonnet::Speller::availableLanguages() const
    {206, 1086, 0, 0, Smoke::mf_const, 411, 18},	//3956 Sonnet::Speller::availableLanguageNames() const
    {206, 1084, 0, 0, Smoke::mf_const, 385, 19},	//3957 Sonnet::Speller::availableDictionaries() const
    {206, 2646, 24, 1, 0, 0, 20},	//3958 Sonnet::Speller::setDefaultLanguage(const QString&)
    {206, 1341, 0, 0, Smoke::mf_const, 406, 21},	//3959 Sonnet::Speller::defaultLanguage() const
    {206, 2644, 24, 1, 0, 0, 22},	//3960 Sonnet::Speller::setDefaultClient(const QString&)
    {206, 1338, 0, 0, Smoke::mf_const, 406, 23},	//3961 Sonnet::Speller::defaultClient() const
    {206, 2561, 3188, 2, 0, 0, 24},	//3962 Sonnet::Speller::setAttribute(Sonnet::Speller::Attribute, bool)
    {206, 3157, 3191, 1, Smoke::mf_const, 538, 25},	//3963 Sonnet::Speller::testAttribute(Sonnet::Speller::Attribute) const
    {206, 736, 0, 0, Smoke::mf_ctor, 533, 26},	//3964 Sonnet::Speller::Speller()
    {206, 2561, 3191, 1, 0, 0, 27},	//3965 Sonnet::Speller::setAttribute(Sonnet::Speller::Attribute)
    {206, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 534, 28},	//3966 Sonnet::Speller::CheckUppercase (enum)
    {206, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 534, 29},	//3967 Sonnet::Speller::SkipRunTogether (enum)
    {206, 3511, 0, 0, Smoke::mf_dtor, 0, 30 },	//3968 Sonnet::Speller::~Speller()
    {209, 1961, 0, 0, Smoke::mf_ctor, 737, 1},	//3969 kndbgstream::kndbgstream()
    {209, 1961, 3193, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 737, 2},	//3970 kndbgstream::kndbgstream(const kndbgstream&)
    {209, 3513, 0, 0, Smoke::mf_dtor, 0, 3 },	//3971 kndbgstream::~kndbgstream()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    2588,  // KStandardDirs::addResourceType(const char*, const QString&, bool)
    2624,  // KStandardDirs::addResourceType(const char*, const char*, const QString&)
    2625,  // KStandardDirs::addResourceType(const char*, const char*, const char*)
    0,
    2589,  // KStandardDirs::addResourceType(const char*, const char*, const QString&, bool)
    2590,  // KStandardDirs::addResourceType(const char*, const char*, const char*, bool)
    0,
    1800,  // KLocale::formatDateTime(const QDateTime&) const
    1802,  // KLocale::formatDateTime(const KDateTime&) const
    0,
    1801,  // KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat) const
    1803,  // KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat) const
    0,
    1702,  // KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat, bool) const
    1703,  // KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>) const
    0,
    1794,  // KLocale::formatNumber(double) const
    1795,  // KLocale::formatNumber(const QString&) const
    0,
    1691,  // KLocale::formatNumber(double, int) const
    1796,  // KLocale::formatNumber(const QString&, bool) const
    0,
    1718,  // KLocale::readDate(const QString&, bool*) const
    1810,  // KLocale::readDate(const QString&, const QString&) const
    1811,  // KLocale::readDate(const QString&, KLocale::ReadDateFlags) const
    0,
    1719,  // KLocale::readDate(const QString&, const QString&, bool*) const
    1720,  // KLocale::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    0,
    1721,  // KLocale::readTime(const QString&, bool*) const
    1813,  // KLocale::readTime(const QString&, KLocale::ReadTimeFlags) const
    0,
    1950,  // KMD5::update(const QByteArray&)
    1951,  // KMD5::update(QIODevice&)
    0,
    1963,  // KMD5::update(const char*)
    1964,  // KMD5::update(const unsigned char*)
    0,
    1948,  // KMD5::update(const char*, int)
    1949,  // KMD5::update(const unsigned char*, int)
    0,
    1429,  // KGlobal::staticQString(const QString&)
    1439,  // KGlobal::staticQString(const char*)
    0,
    886,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&)
    887,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&)
    0,
    879,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int)
    880,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int)
    0,
    272,  // KCalendarSystem::KCalendarSystem(const KLocale*)
    383,  // KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&)
    0,
    335,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateFormat) const
    378,  // KCalendarSystem::formatDate(const QDate&, const QString&) const
    0,
    336,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DateTimeFormatStandard) const
    379,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet) const
    0,
    338,  // KCalendarSystem::readDate(const QString&, bool*) const
    381,  // KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags) const
    382,  // KCalendarSystem::readDate(const QString&, const QString&) const
    0,
    339,  // KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    340,  // KCalendarSystem::readDate(const QString&, const QString&, bool*) const
    0,
    465,  // KCmdLineOptions::add(const KCmdLineOptions&)
    466,  // KCmdLineOptions::add(const QByteArray&)
    0,
    1982,  // KMacroExpanderBase::KMacroExpanderBase(QChar)
    1990,  // KMacroExpanderBase::KMacroExpanderBase(const KMacroExpanderBase&)
    0,
    138,  // KAuth::ActionReply::ActionReply(KAuth::ActionReply::Type)
    139,  // KAuth::ActionReply::ActionReply(int)
    0,
    614,  // KConfigGroup::KConfigGroup(KConfigBase*, const QString&)
    615,  // KConfigGroup::KConfigGroup(KConfigBase*, const char*)
    616,  // KConfigGroup::KConfigGroup(const KConfigBase*, const QString&)
    617,  // KConfigGroup::KConfigGroup(const KConfigBase*, const char*)
    0,
    618,  // KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const QString&)
    619,  // KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const char*)
    0,
    630,  // KConfigGroup::changeGroup(const QString&)
    631,  // KConfigGroup::changeGroup(const char*)
    0,
    628,  // KConfigGroup::config()
    629,  // KConfigGroup::config() const
    0,
    724,  // KConfigGroup::deleteEntry(const QString&)
    725,  // KConfigGroup::deleteEntry(const char*)
    0,
    677,  // KConfigGroup::deleteEntry(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    678,  // KConfigGroup::deleteEntry(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    637,  // KConfigGroup::deleteGroup(QFlags<KConfigBase::WriteConfigFlag>)
    698,  // KConfigGroup::deleteGroup(const QString&)
    699,  // KConfigGroup::deleteGroup(const char*)
    0,
    639,  // KConfigGroup::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    640,  // KConfigGroup::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    690,  // KConfigGroup::groupImpl(const QByteArray&)
    691,  // KConfigGroup::groupImpl(const QByteArray&) const
    0,
    686,  // KConfigGroup::hasDefault(const QString&) const
    687,  // KConfigGroup::hasDefault(const char*) const
    0,
    679,  // KConfigGroup::hasKey(const QString&) const
    680,  // KConfigGroup::hasKey(const char*) const
    0,
    682,  // KConfigGroup::isEntryImmutable(const QString&) const
    683,  // KConfigGroup::isEntryImmutable(const char*) const
    0,
    700,  // KConfigGroup::readEntry(const QString&) const
    701,  // KConfigGroup::readEntry(const char*) const
    0,
    641,  // KConfigGroup::readEntry(const QString&, const QVariant&) const
    642,  // KConfigGroup::readEntry(const char*, const QVariant&) const
    0,
    643,  // KConfigGroup::readEntry(const QString&, const QString&) const
    644,  // KConfigGroup::readEntry(const char*, const QString&) const
    645,  // KConfigGroup::readEntry(const QString&, const char*) const
    646,  // KConfigGroup::readEntry(const char*, const char*) const
    0,
    647,  // KConfigGroup::readEntry(const QString&, const QList<QVariant>&) const
    648,  // KConfigGroup::readEntry(const char*, const QList<QVariant>&) const
    649,  // KConfigGroup::readEntry(const QString&, const QStringList&) const
    650,  // KConfigGroup::readEntry(const char*, const QStringList&) const
    0,
    704,  // KConfigGroup::readEntryUntranslated(const QString&) const
    705,  // KConfigGroup::readEntryUntranslated(const char*) const
    0,
    657,  // KConfigGroup::readEntryUntranslated(const QString&, const QString&) const
    658,  // KConfigGroup::readEntryUntranslated(const char*, const QString&) const
    0,
    653,  // KConfigGroup::readPathEntry(const QString&, const QString&) const
    654,  // KConfigGroup::readPathEntry(const char*, const QString&) const
    0,
    655,  // KConfigGroup::readPathEntry(const QString&, const QStringList&) const
    656,  // KConfigGroup::readPathEntry(const char*, const QStringList&) const
    0,
    702,  // KConfigGroup::readXdgListEntry(const QString&) const
    703,  // KConfigGroup::readXdgListEntry(const char*) const
    0,
    651,  // KConfigGroup::readXdgListEntry(const QString&, const QStringList&) const
    652,  // KConfigGroup::readXdgListEntry(const char*, const QStringList&) const
    0,
    684,  // KConfigGroup::revertToDefault(const QString&)
    685,  // KConfigGroup::revertToDefault(const char*)
    0,
    706,  // KConfigGroup::writeEntry(const QString&, const QVariant&)
    707,  // KConfigGroup::writeEntry(const char*, const QVariant&)
    710,  // KConfigGroup::writeEntry(const QString&, const QByteArray&)
    711,  // KConfigGroup::writeEntry(const char*, const QByteArray&)
    0,
    659,  // KConfigGroup::writeEntry(const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    660,  // KConfigGroup::writeEntry(const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    663,  // KConfigGroup::writeEntry(const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    664,  // KConfigGroup::writeEntry(const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    708,  // KConfigGroup::writeEntry(const QString&, const QString&)
    709,  // KConfigGroup::writeEntry(const char*, const QString&)
    712,  // KConfigGroup::writeEntry(const QString&, const char*)
    713,  // KConfigGroup::writeEntry(const char*, const char*)
    0,
    661,  // KConfigGroup::writeEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    662,  // KConfigGroup::writeEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    665,  // KConfigGroup::writeEntry(const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    666,  // KConfigGroup::writeEntry(const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    714,  // KConfigGroup::writeEntry(const QString&, const QStringList&)
    715,  // KConfigGroup::writeEntry(const char*, const QStringList&)
    716,  // KConfigGroup::writeEntry(const QString&, const QList<QVariant>&)
    717,  // KConfigGroup::writeEntry(const char*, const QList<QVariant>&)
    0,
    667,  // KConfigGroup::writeEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    668,  // KConfigGroup::writeEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    669,  // KConfigGroup::writeEntry(const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    670,  // KConfigGroup::writeEntry(const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    720,  // KConfigGroup::writePathEntry(const QString&, const QString&)
    721,  // KConfigGroup::writePathEntry(const char*, const QString&)
    0,
    673,  // KConfigGroup::writePathEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    674,  // KConfigGroup::writePathEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    722,  // KConfigGroup::writePathEntry(const QString&, const QStringList&)
    723,  // KConfigGroup::writePathEntry(const char*, const QStringList&)
    0,
    675,  // KConfigGroup::writePathEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    676,  // KConfigGroup::writePathEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    718,  // KConfigGroup::writeXdgListEntry(const QString&, const QStringList&)
    719,  // KConfigGroup::writeXdgListEntry(const char*, const QStringList&)
    0,
    671,  // KConfigGroup::writeXdgListEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    672,  // KConfigGroup::writeXdgListEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    3308,  // KWordMacroExpander::KWordMacroExpander(QChar)
    3312,  // KWordMacroExpander::KWordMacroExpander(const KWordMacroExpander&)
    0,
    1967,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&)
    1971,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&)
    1975,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&)
    1977,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&)
    0,
    1966,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&, QChar)
    1970,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&, QChar)
    1974,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&, QChar)
    1976,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&, QChar)
    0,
    1969,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&)
    1973,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&)
    1979,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&)
    1981,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&)
    0,
    1968,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&, QChar)
    1972,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&, QChar)
    1978,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&, QChar)
    1980,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&, QChar)
    0,
    2566,  // KSslErrorUiData::KSslErrorUiData(const KTcpSocket*)
    2567,  // KSslErrorUiData::KSslErrorUiData(const KSslErrorUiData&)
    0,
    793,  // KCoreConfigSkeleton::config()
    794,  // KCoreConfigSkeleton::config() const
    0,
    799,  // KCoreConfigSkeleton::findItem(const QString&)
    800,  // KCoreConfigSkeleton::findItem(const QString&) const
    0,
    797,  // KCoreConfigSkeleton::isImmutable(const QString&)
    798,  // KCoreConfigSkeleton::isImmutable(const QString&) const
    0,
    1052,  // KCurrencyCode::KCurrencyCode(const KCurrencyCode&)
    1076,  // KCurrencyCode::KCurrencyCode(const QFileInfo&)
    0,
    2542,  // KSslError::KSslError(const QSslError&)
    2543,  // KSslError::KSslError(const KSslError&)
    0,
    2047,  // KMimeType::findByContent(const QByteArray&)
    2050,  // KMimeType::findByContent(QIODevice*)
    0,
    2013,  // KMimeType::findByContent(const QByteArray&, int*)
    2015,  // KMimeType::findByContent(QIODevice*, int*)
    0,
    2048,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&)
    2051,  // KMimeType::findByNameAndContent(const QString&, QIODevice*)
    0,
    2049,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int)
    2052,  // KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int)
    0,
    2014,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int, int*)
    2016,  // KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int, int*)
    0,
    602,  // KConfigBase::deleteGroup(const QString&)
    603,  // KConfigBase::deleteGroup(const char*)
    0,
    585,  // KConfigBase::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    586,  // KConfigBase::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    578,  // KConfigBase::group(const QByteArray&)
    581,  // KConfigBase::group(const QByteArray&) const
    0,
    579,  // KConfigBase::group(const QString&)
    580,  // KConfigBase::group(const char*)
    582,  // KConfigBase::group(const QString&) const
    583,  // KConfigBase::group(const char*) const
    0,
    596,  // KConfigBase::groupImpl(const QByteArray&)
    597,  // KConfigBase::groupImpl(const QByteArray&) const
    0,
    575,  // KConfigBase::hasGroup(const QString&) const
    576,  // KConfigBase::hasGroup(const char*) const
    0,
    592,  // KConfigBase::isGroupImmutable(const QString&) const
    593,  // KConfigBase::isGroupImmutable(const char*) const
    0,
    1129,  // KDateTime::KDateTime(const QDateTime&)
    1130,  // KDateTime::KDateTime(const KDateTime&)
    1192,  // KDateTime::KDateTime(const QDate&)
    0,
    1126,  // KDateTime::KDateTime(const QDate&, const KDateTime::Spec&)
    1128,  // KDateTime::KDateTime(const QDateTime&, const KDateTime::Spec&)
    1193,  // KDateTime::KDateTime(const QDate&, const QTime&)
    0,
    1196,  // KDateTime::fromString(const QString&, KDateTime::TimeFormat)
    1197,  // KDateTime::fromString(const QString&, const QString&)
    0,
    1176,  // KDateTime::toString(const QString&) const
    1177,  // KDateTime::toString(KDateTime::TimeFormat) const
    0,
    1153,  // KDateTime::toTimeSpec(const KDateTime::Spec&) const
    1154,  // KDateTime::toTimeSpec(const KDateTime&) const
    0,
    3263,  // KUser::KUser(const passwd*)
    3264,  // KUser::KUser(const KUser&)
    0,
    3259,  // KUser::KUser(KUser::UIDMode)
    3260,  // KUser::KUser(unsigned int)
    3261,  // KUser::KUser(const QString&)
    3262,  // KUser::KUser(const char*)
    0,
    2519,  // KSocketFactory::connectToHost(const QUrl&, QObject*)
    2521,  // KSocketFactory::connectToHost(QTcpSocket*, const QUrl&)
    0,
    3153,  // KUrl::KUrl(const QByteArray&)
    3154,  // KUrl::KUrl(const KUrl&)
    3155,  // KUrl::KUrl(const QUrl&)
    0,
    3151,  // KUrl::KUrl(const QString&)
    3152,  // KUrl::KUrl(const char*)
    0,
    3202,  // KUrl::operator=(const KUrl&)
    3204,  // KUrl::operator=(const QByteArray&)
    0,
    3203,  // KUrl::operator=(const char*)
    3205,  // KUrl::operator=(const QString&)
    0,
    2075,  // KPluginFactory::KPluginFactory(QObject*)
    2092,  // KPluginFactory::KPluginFactory(const KAboutData&)
    2093,  // KPluginFactory::KPluginFactory(const KAboutData*)
    2097,  // KPluginFactory::KPluginFactory(KPluginFactoryPrivate&)
    0,
    2073,  // KPluginFactory::KPluginFactory(const KAboutData&, QObject*)
    2074,  // KPluginFactory::KPluginFactory(const KAboutData*, QObject*)
    2079,  // KPluginFactory::KPluginFactory(KPluginFactoryPrivate&, QObject*)
    0,
    394,  // KCharMacroExpander::KCharMacroExpander(QChar)
    398,  // KCharMacroExpander::KCharMacroExpander(const KCharMacroExpander&)
    0,
    556,  // KConfig::KConfig(KConfigPrivate&)
    560,  // KConfig::KConfig(const KComponentData&)
    0,
    559,  // KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>)
    563,  // KConfig::KConfig(const QString&, const QString&)
    0,
    529,  // KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    531,  // KConfig::KConfig(const QString&, const QString&, const char*)
    0,
    552,  // KConfig::groupImpl(const QByteArray&)
    553,  // KConfig::groupImpl(const QByteArray&) const
    0,
    3294,  // KUserGroup::KUserGroup(const group*)
    3295,  // KUserGroup::KUserGroup(const KUserGroup&)
    0,
    3290,  // KUserGroup::KUserGroup(const QString&)
    3291,  // KUserGroup::KUserGroup(const char*)
    3292,  // KUserGroup::KUserGroup(KUser::UIDMode)
    3293,  // KUserGroup::KUserGroup(unsigned int)
    0,
    209,  // KAutoSaveFile::KAutoSaveFile(QObject*)
    218,  // KAutoSaveFile::KAutoSaveFile(const KUrl&)
    0,
    1247,  // KDebug::hasNullOutputQtDebugMsg(int)
    1255,  // KDebug::hasNullOutputQtDebugMsg(bool)
    0,
    2528,  // KSslCipher::KSslCipher(const KSslCipher&)
    2529,  // KSslCipher::KSslCipher(const QSslCipher&)
    0,
    2190,  // KProcess::execute(int)
    2204,  // KProcess::execute(const QString&)
    0,
    2571,  // KSslKey::KSslKey(const KSslKey&)
    2572,  // KSslKey::KSslKey(const QSslKey&)
    0,
    3913,  // Sonnet::BackgroundChecker::BackgroundChecker(QObject*)
    3936,  // Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&)
    0,
    2455,  // KServiceType::KServiceType(KDesktopFile*)
    2470,  // KServiceType::KServiceType(KServiceTypePrivate&)
    0,
    3462,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    3497,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    3499,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    3504,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    3541,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    3560,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    3573,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    3577,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    3609,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    3613,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    3646,  // QGlobalSpace::operator!=(QChar, QChar)
    3673,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    3711,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    3725,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    3754,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    3756,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    3787,  // QGlobalSpace::operator!=(QBool, QBool)
    3796,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    3449,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    3470,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    3480,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    3655,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    3753,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    3536,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    3588,  // QGlobalSpace::operator!=(bool, QBool)
    3612,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    3652,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    3739,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    3763,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    3679,  // QGlobalSpace::operator*(const QSize&, double)
    3740,  // QGlobalSpace::operator*(const QPoint&, double)
    3745,  // QGlobalSpace::operator*(const QSizeF&, double)
    3759,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    3459,  // QGlobalSpace::operator*(double, const QSizeF&)
    3675,  // QGlobalSpace::operator*(double, const QPointF&)
    3681,  // QGlobalSpace::operator*(double, const QPoint&)
    3749,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    3476,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    3487,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    3491,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    3551,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    3581,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    3505,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    3511,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    3531,  // QGlobalSpace::operator+(QChar, const QString&)
    3617,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    3430,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    3478,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    3503,  // QGlobalSpace::operator+(const QString&, QChar)
    3661,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    3508,  // QGlobalSpace::operator+(const QString&, const char*)
    3539,  // QGlobalSpace::operator+(const QString&, char)
    3576,  // QGlobalSpace::operator+(char, const QString&)
    3667,  // QGlobalSpace::operator+(const char*, const QString&)
    3786,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    3554,  // QGlobalSpace::operator-(const QPoint&)
    3600,  // QGlobalSpace::operator-(const QPointF&)
    0,
    3463,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    3479,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    3542,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    3665,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    3475,  // QGlobalSpace::operator/(const QPoint&, double)
    3587,  // QGlobalSpace::operator/(const QPointF&, double)
    3623,  // QGlobalSpace::operator/(const QSizeF&, double)
    3731,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    3447,  // QGlobalSpace::operator<(QChar, QChar)
    3493,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    3501,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    3545,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    3751,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    3762,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    3452,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    3614,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    3421,  // QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    3445,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    3446,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    3451,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    3457,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    3465,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    3469,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    3521,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    3522,  // QGlobalSpace::operator<<(QDataStream&, const KProtocolInfo::ExtraField&)
    3547,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    3548,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    3556,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    3569,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    3584,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    3594,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    3610,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    3625,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    3629,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    3638,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    3645,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    3663,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    3682,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    3704,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    3705,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    3706,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    3715,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    3718,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    3720,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    3733,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    3750,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    3766,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    3772,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    3779,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    3780,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    3797,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    3800,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    3583,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    3764,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    3450,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    3616,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    3654,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    0,
    3520,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    3528,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    3628,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    3721,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    3627,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    3657,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    3429,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    3432,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    3441,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    3442,  // QGlobalSpace::operator==(QChar, QChar)
    3443,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    3514,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    3524,  // QGlobalSpace::operator==(QBool, QBool)
    3543,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    3553,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    3558,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    3570,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    3580,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    3589,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    3615,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    3626,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    3678,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    3688,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    3713,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    3734,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    3743,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    3428,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    3579,  // QGlobalSpace::operator==(QString::Null, const QString&)
    3744,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    3746,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    3776,  // QGlobalSpace::operator==(QBool, bool)
    0,
    3426,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    3437,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    3525,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    3603,  // QGlobalSpace::operator==(bool, QBool)
    3637,  // QGlobalSpace::operator==(const QString&, QString::Null)
    3649,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    3662,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    3455,  // QGlobalSpace::operator>(QChar, QChar)
    3509,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    3517,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    3571,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    3438,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    3495,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    3422,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    3448,  // QGlobalSpace::operator>=(QChar, QChar)
    3624,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    3694,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    3606,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    3791,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    3427,  // QGlobalSpace::operator>>(QDataStream&, KProtocolInfo::ExtraField&)
    3433,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    3464,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    3502,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    3523,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    3534,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    3540,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    3572,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    3578,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    3591,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    3592,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    3593,  // QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    3596,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    3622,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    3632,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    3633,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    3640,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    3650,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    3656,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    3660,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    3664,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    3666,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    3669,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    3676,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    3693,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    3709,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    3714,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    3722,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    3727,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    3737,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    3755,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    3771,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    3777,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    3778,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    3793,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    3799,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    3631,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    3729,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    3423,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    3424,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    3431,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    3436,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    3440,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    3444,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    3453,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    3454,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    3456,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    3458,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    3460,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    3461,  // QGlobalSpace::operator|(QDir::Filter, int)
    3466,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    3467,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    3468,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    3472,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    3473,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    3474,  // QGlobalSpace::operator|(QFile::Permission, int)
    3477,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    3481,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, int)
    3482,  // QGlobalSpace::operator|(KLockFile::LockFlag, int)
    3483,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    3484,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    3486,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    3488,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    3489,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    3490,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    3492,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    3494,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    3496,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    3498,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    3500,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    3506,  // QGlobalSpace::operator|(KShell::Option, QFlags<KShell::Option>)
    3507,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    3510,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    3512,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    3515,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    3518,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    3519,  // QGlobalSpace::operator|(KAutostart::Condition, int)
    3526,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    3529,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    3530,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    3532,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    3533,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    3535,  // QGlobalSpace::operator|(KShell::Option, KShell::Option)
    3537,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    3538,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    3544,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    3546,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    3549,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    3550,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    3552,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    3555,  // QGlobalSpace::operator|(Qt::DropAction, int)
    3557,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    3559,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    3561,  // QGlobalSpace::operator|(KJob::Capability, int)
    3562,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    3563,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    3564,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    3566,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>)
    3567,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    3568,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    3574,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    3575,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    3585,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    3586,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    3595,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    3597,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    3598,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    3599,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    3601,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    3602,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    3604,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    3607,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    3608,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    3611,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    3618,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    3620,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    3621,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    3634,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    3635,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    3636,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus)
    3641,  // QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    3642,  // QGlobalSpace::operator|(KLockFile::LockFlag, QFlags<KLockFile::LockFlag>)
    3643,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    3644,  // QGlobalSpace::operator|(KAutostart::Condition, QFlags<KAutostart::Condition>)
    3647,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    3648,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    3653,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    3658,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>)
    3659,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    3668,  // QGlobalSpace::operator|(Qt::WindowState, int)
    3670,  // QGlobalSpace::operator|(KAutostart::Condition, KAutostart::Condition)
    3671,  // QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    3672,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    3674,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    3677,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    3680,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    3683,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, int)
    3684,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    3685,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    3686,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    3687,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    3689,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    3690,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    3691,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>)
    3692,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    3696,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    3699,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    3700,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    3701,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    3702,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    3703,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    3710,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    3712,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    3716,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg)
    3719,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    3723,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    3724,  // QGlobalSpace::operator|(KLockFile::LockFlag, KLockFile::LockFlag)
    3726,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    3728,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    3730,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    3732,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    3738,  // QGlobalSpace::operator|(Qt::Orientation, int)
    3741,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    3742,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    3747,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    3748,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    3752,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    3757,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    3758,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    3760,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    3761,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, KStandardDirs::SearchOption)
    3765,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    3767,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    3768,  // QGlobalSpace::operator|(Qt::WindowType, int)
    3769,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    3773,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    3774,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    3775,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    3781,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    3783,  // QGlobalSpace::operator|(KShell::Option, int)
    3785,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    3788,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    3790,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    3795,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    3798,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, int)
    0,
    2648,  // KStringHandler::perlSplit(const QChar&, const QString&)
    2650,  // KStringHandler::perlSplit(const QRegExp&, const QString&)
    0,
    2647,  // KStringHandler::perlSplit(const QChar&, const QString&, int)
    2649,  // KStringHandler::perlSplit(const QRegExp&, const QString&, int)
    0,
    2902,  // KTimeZone::KTimeZone(const KTimeZone&)
    2939,  // KTimeZone::KTimeZone(KTimeZoneBackend*)
    0,
    91,  // KAboutPerson::KAboutPerson(const KAboutPerson&)
    97,  // KAboutPerson::KAboutPerson(const KLocalizedString&)
    0,
    1276,  // KDesktopFile::actionGroup(const QString&)
    1277,  // KDesktopFile::actionGroup(const QString&) const
    0,
    1609,  // KLocalSocket::connectToPath(const QString&, QFlags<QIODevice::OpenModeFlag>)
    1621,  // KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType)
    0,
    1901,  // KLocalizedString::subs(int) const
    1904,  // KLocalizedString::subs(unsigned int) const
    1907,  // KLocalizedString::subs(long) const
    1910,  // KLocalizedString::subs(unsigned long) const
    1919,  // KLocalizedString::subs(double) const
    1925,  // KLocalizedString::subs(const QString&) const
    0,
    1902,  // KLocalizedString::subs(int, int) const
    1905,  // KLocalizedString::subs(unsigned int, int) const
    1908,  // KLocalizedString::subs(long, int) const
    1911,  // KLocalizedString::subs(unsigned long, int) const
    1920,  // KLocalizedString::subs(double, int) const
    1926,  // KLocalizedString::subs(const QString&, int) const
    0,
    1903,  // KLocalizedString::subs(int, int, int) const
    1906,  // KLocalizedString::subs(unsigned int, int, int) const
    1909,  // KLocalizedString::subs(long, int, int) const
    1912,  // KLocalizedString::subs(unsigned long, int, int) const
    1921,  // KLocalizedString::subs(double, int, char) const
    0,
    1890,  // KLocalizedString::subs(int, int, int, const QChar&) const
    1891,  // KLocalizedString::subs(unsigned int, int, int, const QChar&) const
    1892,  // KLocalizedString::subs(long, int, int, const QChar&) const
    1893,  // KLocalizedString::subs(unsigned long, int, int, const QChar&) const
    0,
    1913,  // KLocalizedString::subs(long long) const
    1916,  // KLocalizedString::subs(unsigned long long) const
    0,
    1914,  // KLocalizedString::subs(long long, int) const
    1917,  // KLocalizedString::subs(unsigned long long, int) const
    0,
    1915,  // KLocalizedString::subs(long long, int, int) const
    1918,  // KLocalizedString::subs(unsigned long long, int, int) const
    0,
    1894,  // KLocalizedString::subs(long long, int, int, const QChar&) const
    1895,  // KLocalizedString::subs(unsigned long long, int, int, const QChar&) const
    0,
    486,  // KComponentData::KComponentData(const KComponentData&)
    501,  // KComponentData::KComponentData(const QByteArray&)
    503,  // KComponentData::KComponentData(const KAboutData&)
    504,  // KComponentData::KComponentData(const KAboutData*)
    0,
    491,  // KComponentData::KComponentData(const KAboutData&, KComponentData::MainComponentRegistration)
    492,  // KComponentData::KComponentData(const KAboutData*, KComponentData::MainComponentRegistration)
    0,
    1221,  // KDateTime::Spec::Spec(const KTimeZone&)
    1223,  // KDateTime::Spec::Spec(const KDateTime::Spec&)
    0,
    2788,  // KTcpSocket::connectToHost(const KUrl&, KTcpSocket::ProxyPolicy)
    2844,  // KTcpSocket::connectToHost(const QHostAddress&, unsigned short)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 133, 81},	// KAboutData::FullName
    {1, 259, 2},	// KAboutData::KAboutData#
    {1, 260, 55},	// KAboutData::KAboutData####
    {1, 261, 56},	// KAboutData::KAboutData#####
    {1, 262, 57},	// KAboutData::KAboutData#####$
    {1, 263, 58},	// KAboutData::KAboutData#####$#
    {1, 264, 59},	// KAboutData::KAboutData#####$##
    {1, 265, 60},	// KAboutData::KAboutData#####$###
    {1, 266, 1},	// KAboutData::KAboutData#####$####
    {1, 560, 75},	// KAboutData::License_Artistic
    {1, 561, 74},	// KAboutData::License_BSD
    {1, 562, 67},	// KAboutData::License_Custom
    {1, 563, 68},	// KAboutData::License_File
    {1, 564, 70},	// KAboutData::License_GPL
    {1, 565, 71},	// KAboutData::License_GPL_V2
    {1, 566, 78},	// KAboutData::License_GPL_V3
    {1, 567, 72},	// KAboutData::License_LGPL
    {1, 568, 73},	// KAboutData::License_LGPL_V2
    {1, 569, 79},	// KAboutData::License_LGPL_V3
    {1, 570, 76},	// KAboutData::License_QPL
    {1, 571, 77},	// KAboutData::License_QPL_V1_0
    {1, 572, 69},	// KAboutData::License_Unknown
    {1, 718, 80},	// KAboutData::ShortName
    {1, 848, 44},	// KAboutData::aboutTranslationTeam
    {1, 869, 61},	// KAboutData::addAuthor#
    {1, 870, 62},	// KAboutData::addAuthor##
    {1, 871, 63},	// KAboutData::addAuthor###
    {1, 872, 4},	// KAboutData::addAuthor####
    {1, 885, 64},	// KAboutData::addCredit#
    {1, 886, 65},	// KAboutData::addCredit##
    {1, 887, 66},	// KAboutData::addCredit###
    {1, 888, 5},	// KAboutData::addCredit####
    {1, 976, 19},	// KAboutData::addLicense$
    {1, 978, 8},	// KAboutData::addLicenseText#
    {1, 980, 10},	// KAboutData::addLicenseTextFile$
    {1, 1052, 26},	// KAboutData::appName
    {1, 1072, 41},	// KAboutData::authors
    {1, 1104, 39},	// KAboutData::bugAddress
    {1, 1128, 37},	// KAboutData::catalogName
    {1, 1220, 49},	// KAboutData::copyrightStatement
    {1, 1241, 42},	// KAboutData::credits
    {1, 1262, 50},	// KAboutData::customAuthorPlainText
    {1, 1263, 51},	// KAboutData::customAuthorRichText
    {1, 1264, 52},	// KAboutData::customAuthorTextEnabled
    {1, 1726, 38},	// KAboutData::homepage
    {1, 1767, 40},	// KAboutData::internalBugAddress
    {1, 1768, 30},	// KAboutData::internalProgramName
    {1, 1769, 35},	// KAboutData::internalVersion
    {1, 1984, 46},	// KAboutData::license
    {1, 1986, 47},	// KAboutData::licenseName$
    {1, 1987, 48},	// KAboutData::licenses
    {1, 2212, 3},	// KAboutData::operator=#
    {1, 2242, 29},	// KAboutData::organizationDomain
    {1, 2243, 45},	// KAboutData::otherText
    {1, 2310, 27},	// KAboutData::productName
    {1, 2312, 32},	// KAboutData::programIconName
    {1, 2313, 33},	// KAboutData::programLogo
    {1, 2314, 28},	// KAboutData::programName
    {1, 2558, 11},	// KAboutData::setAppName#
    {1, 2579, 23},	// KAboutData::setBugAddress#
    {1, 2587, 17},	// KAboutData::setCatalogName#
    {1, 2601, 20},	// KAboutData::setCopyrightStatement#
    {1, 2611, 53},	// KAboutData::setCustomAuthorText##
    {1, 2704, 22},	// KAboutData::setHomepage#
    {1, 2730, 18},	// KAboutData::setLicense$
    {1, 2732, 7},	// KAboutData::setLicenseText#
    {1, 2734, 9},	// KAboutData::setLicenseTextFile$
    {1, 2844, 24},	// KAboutData::setOrganizationDomain#
    {1, 2848, 21},	// KAboutData::setOtherText#
    {1, 2884, 25},	// KAboutData::setProductName#
    {1, 2890, 13},	// KAboutData::setProgramIconName$
    {1, 2892, 14},	// KAboutData::setProgramLogo#
    {1, 2894, 12},	// KAboutData::setProgramName#
    {1, 2920, 16},	// KAboutData::setShortDescription#
    {1, 2961, 6},	// KAboutData::setTranslator##
    {1, 2971, 15},	// KAboutData::setVersion#
    {1, 2990, 36},	// KAboutData::shortDescription
    {1, 3228, 31},	// KAboutData::translateInternalProgramName
    {1, 3241, 43},	// KAboutData::translators
    {1, 3256, 54},	// KAboutData::unsetCustomAuthorText
    {1, 3304, 34},	// KAboutData::version
    {1, 3425, 82},	// KAboutData::~KAboutData
    {2, 268, 83},	// KAboutLicense::KAboutLicense#
    {2, 1106, 88},	// KAboutLicense::byKeyword$
    {2, 1943, 87},	// KAboutLicense::key
    {2, 2116, 86},	// KAboutLicense::name$
    {2, 2212, 84},	// KAboutLicense::operator=#
    {2, 3159, 85},	// KAboutLicense::text
    {2, 3426, 89},	// KAboutLicense::~KAboutLicense
    {3, 270, -760},	// KAboutPerson::KAboutPerson#
    {3, 271, 98},	// KAboutPerson::KAboutPerson##
    {3, 272, 99},	// KAboutPerson::KAboutPerson###
    {3, 273, 90},	// KAboutPerson::KAboutPerson####
    {3, 1412, 95},	// KAboutPerson::emailAddress
    {3, 2115, 93},	// KAboutPerson::name
    {3, 2212, 92},	// KAboutPerson::operator=#
    {3, 3153, 94},	// KAboutPerson::task
    {3, 3331, 96},	// KAboutPerson::webAddress
    {3, 3427, 100},	// KAboutPerson::~KAboutPerson
    {4, 4, 101},	// KAuth::Action::Action
    {4, 5, 102},	// KAuth::Action::Action#
    {4, 6, 103},	// KAuth::Action::Action$
    {4, 7, 104},	// KAuth::Action::Action$$
    {4, 28, 134},	// KAuth::Action::AuthRequired
    {4, 31, 133},	// KAuth::Action::Authorized
    {4, 89, 130},	// KAuth::Action::Denied
    {4, 111, 131},	// KAuth::Action::Error
    {4, 161, 132},	// KAuth::Action::Invalid
    {4, 810, 135},	// KAuth::Action::UserCancelled
    {4, 867, 119},	// KAuth::Action::addArgument$#
    {4, 1058, 118},	// KAuth::Action::arguments
    {4, 1062, 120},	// KAuth::Action::authorize
    {4, 1376, 111},	// KAuth::Action::details
    {4, 1410, 121},	// KAuth::Action::earlyAuthorize
    {4, 1478, 123},	// KAuth::Action::execute
    {4, 1479, 124},	// KAuth::Action::execute$
    {4, 1485, 127},	// KAuth::Action::executeActions??$
    {4, 1486, 126},	// KAuth::Action::executesAsync
    {4, 1694, 115},	// KAuth::Action::hasHelper
    {4, 1722, 113},	// KAuth::Action::helperID
    {4, 1890, 112},	// KAuth::Action::isValid
    {4, 2115, 108},	// KAuth::Action::name
    {4, 2172, 107},	// KAuth::Action::operator!=#
    {4, 2212, 105},	// KAuth::Action::operator=#
    {4, 2215, 106},	// KAuth::Action::operator==#
    {4, 2560, 117},	// KAuth::Action::setArguments?
    {4, 2652, 110},	// KAuth::Action::setDetails$
    {4, 2681, 125},	// KAuth::Action::setExecutesAsync$
    {4, 2702, 114},	// KAuth::Action::setHelperID$
    {4, 2834, 109},	// KAuth::Action::setName$
    {4, 3095, 122},	// KAuth::Action::status
    {4, 3098, 128},	// KAuth::Action::stop
    {4, 3099, 129},	// KAuth::Action::stop$
    {4, 3329, 116},	// KAuth::Action::watcher
    {4, 3398, 136},	// KAuth::Action::~Action
    {5, 8, 137},	// KAuth::ActionReply::ActionReply
    {5, 9, 140},	// KAuth::ActionReply::ActionReply#
    {5, 10, -73},	// KAuth::ActionReply::ActionReply$
    {5, 29, 172},	// KAuth::ActionReply::AuthorizationDenied
    {5, 30, 161},	// KAuth::ActionReply::AuthorizationDeniedReply
    {5, 77, 175},	// KAuth::ActionReply::DBusError
    {5, 78, 164},	// KAuth::ActionReply::DBusErrorReply
    {5, 140, 174},	// KAuth::ActionReply::HelperBusy
    {5, 141, 163},	// KAuth::ActionReply::HelperBusyReply
    {5, 142, 166},	// KAuth::ActionReply::HelperError
    {5, 143, 157},	// KAuth::ActionReply::HelperErrorReply
    {5, 162, 171},	// KAuth::ActionReply::InvalidAction
    {5, 163, 160},	// KAuth::ActionReply::InvalidActionReply
    {5, 274, 165},	// KAuth::ActionReply::KAuthError
    {5, 620, 168},	// KAuth::ActionReply::NoError
    {5, 625, 169},	// KAuth::ActionReply::NoResponder
    {5, 626, 158},	// KAuth::ActionReply::NoResponderReply
    {5, 628, 170},	// KAuth::ActionReply::NoSuchAction
    {5, 629, 159},	// KAuth::ActionReply::NoSuchActionReply
    {5, 750, 167},	// KAuth::ActionReply::Success
    {5, 751, 156},	// KAuth::ActionReply::SuccessReply
    {5, 810, 173},	// KAuth::ActionReply::UserCancelled
    {5, 811, 162},	// KAuth::ActionReply::UserCancelledReply
    {5, 892, 143},	// KAuth::ActionReply::addData$#
    {5, 1267, 142},	// KAuth::ActionReply::data
    {5, 1371, 152},	// KAuth::ActionReply::deserialize#
    {5, 1462, 147},	// KAuth::ActionReply::errorCode
    {5, 1463, 149},	// KAuth::ActionReply::errorDescription
    {5, 1514, 146},	// KAuth::ActionReply::failed
    {5, 2172, 155},	// KAuth::ActionReply::operator!=#
    {5, 2212, 153},	// KAuth::ActionReply::operator=#
    {5, 2215, 154},	// KAuth::ActionReply::operator==#
    {5, 2523, 151},	// KAuth::ActionReply::serialized
    {5, 2617, 141},	// KAuth::ActionReply::setData?
    {5, 2671, 148},	// KAuth::ActionReply::setErrorCode$
    {5, 2673, 150},	// KAuth::ActionReply::setErrorDescription$
    {5, 3125, 145},	// KAuth::ActionReply::succeeded
    {5, 3243, 144},	// KAuth::ActionReply::type
    {5, 3399, 176},	// KAuth::ActionReply::~ActionReply
    {6, 854, 185},	// KAuth::ActionWatcher::action
    {6, 858, 187},	// KAuth::ActionWatcher::actionPerformed#
    {6, 859, 186},	// KAuth::ActionWatcher::actionStarted
    {6, 2074, 177},	// KAuth::ActionWatcher::metaObject
    {6, 2316, 188},	// KAuth::ActionWatcher::progressStep$
    {6, 2317, 189},	// KAuth::ActionWatcher::progressStep?
    {6, 2344, 183},	// KAuth::ActionWatcher::qt_metacall$$?
    {6, 2346, 178},	// KAuth::ActionWatcher::qt_metacast$
    {6, 3092, 193},	// KAuth::ActionWatcher::staticMetaObject
    {6, 3097, 190},	// KAuth::ActionWatcher::statusChanged$
    {6, 3201, 191},	// KAuth::ActionWatcher::tr$
    {6, 3202, 179},	// KAuth::ActionWatcher::tr$$
    {6, 3203, 181},	// KAuth::ActionWatcher::tr$$$
    {6, 3208, 192},	// KAuth::ActionWatcher::trUtf8$
    {6, 3209, 180},	// KAuth::ActionWatcher::trUtf8$$
    {6, 3210, 182},	// KAuth::ActionWatcher::trUtf8$$$
    {6, 3330, 184},	// KAuth::ActionWatcher::watcher$
    {6, 3400, 194},	// KAuth::ActionWatcher::~ActionWatcher
    {7, 1048, 199},	// KAuthorized::allowUrlAction$##
    {7, 1063, 196},	// KAuthorized::authorize$
    {7, 1065, 200},	// KAuthorized::authorizeControlModule$
    {7, 1067, 197},	// KAuthorized::authorizeControlModules?
    {7, 1069, 198},	// KAuthorized::authorizeKAction$
    {7, 1071, 195},	// KAuthorized::authorizeUrlAction$##
    {8, 275, 219},	// KAutoSaveFile::KAutoSaveFile
    {8, 276, -352},	// KAutoSaveFile::KAutoSaveFile#
    {8, 277, 208},	// KAutoSaveFile::KAutoSaveFile##
    {8, 1039, 221},	// KAutoSaveFile::allStaleFiles
    {8, 1040, 215},	// KAutoSaveFile::allStaleFiles$
    {8, 2061, 210},	// KAutoSaveFile::managedFile
    {8, 2074, 201},	// KAutoSaveFile::metaObject
    {8, 2159, 213},	// KAutoSaveFile::open$
    {8, 2344, 207},	// KAutoSaveFile::qt_metacall$$?
    {8, 2346, 202},	// KAutoSaveFile::qt_metacast$
    {8, 2455, 212},	// KAutoSaveFile::releaseLock
    {8, 2804, 211},	// KAutoSaveFile::setManagedFile#
    {8, 3028, 220},	// KAutoSaveFile::staleFiles#
    {8, 3029, 214},	// KAutoSaveFile::staleFiles#$
    {8, 3092, 222},	// KAutoSaveFile::staticMetaObject
    {8, 3201, 216},	// KAutoSaveFile::tr$
    {8, 3202, 203},	// KAutoSaveFile::tr$$
    {8, 3203, 205},	// KAutoSaveFile::tr$$$
    {8, 3208, 217},	// KAutoSaveFile::trUtf8$
    {8, 3209, 204},	// KAutoSaveFile::trUtf8$$
    {8, 3210, 206},	// KAutoSaveFile::trUtf8$$$
    {8, 3428, 223},	// KAutoSaveFile::~KAutoSaveFile
    {9, 22, 266},	// KAutostart::Applications
    {9, 41, 264},	// KAutostart::BaseDesktop
    {9, 52, 263},	// KAutostart::CheckAll
    {9, 53, 261},	// KAutostart::CheckCommand
    {9, 54, 262},	// KAutostart::CheckCondition
    {9, 90, 265},	// KAutostart::DesktopServices
    {9, 278, 255},	// KAutostart::KAutostart
    {9, 279, 256},	// KAutostart::KAutostart$
    {9, 280, 231},	// KAutostart::KAutostart$#
    {9, 618, 260},	// KAutostart::NoConditions
    {9, 1007, 245},	// KAutostart::addToAllowedEnvironments$
    {9, 1009, 249},	// KAutostart::addToExcludedEnvironments$
    {9, 1049, 243},	// KAutostart::allowedEnvironments
    {9, 1080, 257},	// KAutostart::autostarts
    {9, 1081, 258},	// KAutostart::autostarts$
    {9, 1082, 233},	// KAutostart::autostarts$$
    {9, 1142, 252},	// KAutostart::checkAllowedEnvironment$
    {9, 1173, 234},	// KAutostart::command
    {9, 1174, 239},	// KAutostart::commandToCheck
    {9, 1472, 247},	// KAutostart::excludedEnvironments
    {9, 1877, 238},	// KAutostart::isServiceRegistered$
    {9, 2074, 224},	// KAutostart::metaObject
    {9, 2344, 230},	// KAutostart::qt_metacall$$?
    {9, 2346, 225},	// KAutostart::qt_metacast$
    {9, 2466, 246},	// KAutostart::removeFromAllowedEnvironments$
    {9, 2468, 250},	// KAutostart::removeFromExcludedEnvironments$
    {9, 2556, 244},	// KAutostart::setAllowedEnvironments?
    {9, 2575, 232},	// KAutostart::setAutostarts$
    {9, 2591, 235},	// KAutostart::setCommand$
    {9, 2593, 240},	// KAutostart::setCommandToCheck$
    {9, 2679, 248},	// KAutostart::setExcludedEnvironments?
    {9, 2935, 242},	// KAutostart::setStartPhase$
    {9, 2973, 237},	// KAutostart::setVisibleName$
    {9, 3032, 251},	// KAutostart::startAfter
    {9, 3039, 241},	// KAutostart::startPhase
    {9, 3092, 259},	// KAutostart::staticMetaObject
    {9, 3201, 253},	// KAutostart::tr$
    {9, 3202, 226},	// KAutostart::tr$$
    {9, 3203, 228},	// KAutostart::tr$$$
    {9, 3208, 254},	// KAutostart::trUtf8$
    {9, 3209, 227},	// KAutostart::trUtf8$$
    {9, 3210, 229},	// KAutostart::trUtf8$$$
    {9, 3309, 236},	// KAutostart::visibleName
    {9, 3429, 267},	// KAutostart::~KAutostart
    {10, 281, 358},	// KCalendarSystem::KCalendarSystem
    {10, 282, -51},	// KCalendarSystem::KCalendarSystem#
    {10, 283, 384},	// KCalendarSystem::KCalendarSystem#?
    {10, 284, 354},	// KCalendarSystem::KCalendarSystem#?#
    {10, 285, 359},	// KCalendarSystem::KCalendarSystem?
    {10, 286, 273},	// KCalendarSystem::KCalendarSystem?#
    {10, 602, 392},	// KCalendarSystem::LongDayName
    {10, 603, 386},	// KCalendarSystem::LongFormat
    {10, 604, 388},	// KCalendarSystem::LongName
    {10, 605, 390},	// KCalendarSystem::LongNamePossessive
    {10, 716, 391},	// KCalendarSystem::ShortDayName
    {10, 717, 385},	// KCalendarSystem::ShortFormat
    {10, 718, 387},	// KCalendarSystem::ShortName
    {10, 719, 389},	// KCalendarSystem::ShortNamePossessive
    {10, 894, 297},	// KCalendarSystem::addDays#$
    {10, 984, 296},	// KCalendarSystem::addMonths#$
    {10, 1021, 295},	// KCalendarSystem::addYears#$
    {10, 1115, 271},	// KCalendarSystem::calendarLabel$
    {10, 1116, 270},	// KCalendarSystem::calendarSystems
    {10, 1117, 274},	// KCalendarSystem::calendarType
    {10, 1227, 355},	// KCalendarSystem::create
    {10, 1231, 356},	// KCalendarSystem::create$
    {10, 1232, 268},	// KCalendarSystem::create$#
    {10, 1235, 357},	// KCalendarSystem::create$?
    {10, 1236, 269},	// KCalendarSystem::create$?#
    {10, 1277, 298},	// KCalendarSystem::dateDifference##$$$$
    {10, 1286, 349},	// KCalendarSystem::dateToJulianDay$$$$
    {10, 1289, 291},	// KCalendarSystem::day#
    {10, 1291, 312},	// KCalendarSystem::dayOfWeek#
    {10, 1293, 325},	// KCalendarSystem::dayOfWeekString#
    {10, 1295, 311},	// KCalendarSystem::dayOfYear#
    {10, 1297, 371},	// KCalendarSystem::dayOfYearString#
    {10, 1298, 324},	// KCalendarSystem::dayOfYearString#$
    {10, 1300, 369},	// KCalendarSystem::dayString#
    {10, 1301, 322},	// KCalendarSystem::dayString#$
    {10, 1303, 334},	// KCalendarSystem::dayStringToInteger$$
    {10, 1305, 301},	// KCalendarSystem::daysDifference##
    {10, 1307, 308},	// KCalendarSystem::daysInMonth#
    {10, 1308, 309},	// KCalendarSystem::daysInMonth$$
    {10, 1310, 376},	// KCalendarSystem::daysInMonthString#
    {10, 1311, 330},	// KCalendarSystem::daysInMonthString#$
    {10, 1313, 310},	// KCalendarSystem::daysInWeek#
    {10, 1315, 331},	// KCalendarSystem::daysInWeekString#
    {10, 1317, 306},	// KCalendarSystem::daysInYear#
    {10, 1318, 307},	// KCalendarSystem::daysInYear$
    {10, 1320, 375},	// KCalendarSystem::daysInYearString#
    {10, 1321, 329},	// KCalendarSystem::daysInYearString#$
    {10, 1409, 276},	// KCalendarSystem::earliestValidDate
    {10, 1448, 275},	// KCalendarSystem::epoch
    {10, 1455, 360},	// KCalendarSystem::eraName#
    {10, 1456, 292},	// KCalendarSystem::eraName#$
    {10, 1458, 361},	// KCalendarSystem::eraYear#
    {10, 1459, 293},	// KCalendarSystem::eraYear#$
    {10, 1598, 377},	// KCalendarSystem::formatDate#
    {10, 1599, -54},	// KCalendarSystem::formatDate#$
    {10, 1600, -57},	// KCalendarSystem::formatDate#$$
    {10, 1601, 337},	// KCalendarSystem::formatDate#$$$
    {10, 1659, 288},	// KCalendarSystem::getDate#$$$
    {10, 1850, 315},	// KCalendarSystem::isLeapYear#
    {10, 1851, 314},	// KCalendarSystem::isLeapYear$
    {10, 1857, 344},	// KCalendarSystem::isLunar
    {10, 1858, 345},	// KCalendarSystem::isLunisolar
    {10, 1867, 347},	// KCalendarSystem::isProleptic
    {10, 1881, 346},	// KCalendarSystem::isSolar
    {10, 1891, 282},	// KCalendarSystem::isValid#
    {10, 1893, 279},	// KCalendarSystem::isValid$$
    {10, 1894, 278},	// KCalendarSystem::isValid$$$
    {10, 1895, 280},	// KCalendarSystem::isValid$$$$
    {10, 1897, 281},	// KCalendarSystem::isValidIsoWeekDate$$$
    {10, 1908, 348},	// KCalendarSystem::julianDayToDate$$$$
    {10, 1974, 277},	// KCalendarSystem::latestValidDate
    {10, 2003, 350},	// KCalendarSystem::locale
    {10, 2096, 290},	// KCalendarSystem::month#
    {10, 2098, 364},	// KCalendarSystem::monthName#
    {10, 2099, 317},	// KCalendarSystem::monthName#$
    {10, 2100, 363},	// KCalendarSystem::monthName$$
    {10, 2101, 316},	// KCalendarSystem::monthName$$$
    {10, 2103, 368},	// KCalendarSystem::monthString#
    {10, 2104, 321},	// KCalendarSystem::monthString#$
    {10, 2106, 333},	// KCalendarSystem::monthStringToInteger$$
    {10, 2108, 300},	// KCalendarSystem::monthsDifference##
    {10, 2110, 302},	// KCalendarSystem::monthsInYear#
    {10, 2111, 303},	// KCalendarSystem::monthsInYear$
    {10, 2113, 373},	// KCalendarSystem::monthsInYearString#
    {10, 2114, 327},	// KCalendarSystem::monthsInYearString#$
    {10, 2384, 380},	// KCalendarSystem::readDate$
    {10, 2385, -60},	// KCalendarSystem::readDate$$
    {10, 2386, -64},	// KCalendarSystem::readDate$$$
    {10, 2387, 341},	// KCalendarSystem::readDate$$$$
    {10, 2622, 284},	// KCalendarSystem::setDate#$$
    {10, 2623, 283},	// KCalendarSystem::setDate#$$$
    {10, 2624, 285},	// KCalendarSystem::setDate#$$$$
    {10, 2630, 286},	// KCalendarSystem::setDateIsoWeek#$$$
    {10, 2700, 353},	// KCalendarSystem::setHasYear0$
    {10, 2806, 352},	// KCalendarSystem::setMaxDaysInWeek$
    {10, 2808, 351},	// KCalendarSystem::setMaxMonthsInYear$
    {10, 2985, 287},	// KCalendarSystem::setYMD#$$$
    {10, 3334, 366},	// KCalendarSystem::weekDayName#
    {10, 3335, 319},	// KCalendarSystem::weekDayName#$
    {10, 3336, 365},	// KCalendarSystem::weekDayName$
    {10, 3337, 318},	// KCalendarSystem::weekDayName$$
    {10, 3338, 343},	// KCalendarSystem::weekDayOfPray
    {10, 3340, 362},	// KCalendarSystem::weekNumber#
    {10, 3341, 313},	// KCalendarSystem::weekNumber#$
    {10, 3343, 372},	// KCalendarSystem::weekNumberString#
    {10, 3344, 326},	// KCalendarSystem::weekNumberString#$
    {10, 3345, 342},	// KCalendarSystem::weekStartDay
    {10, 3347, 304},	// KCalendarSystem::weeksInYear#
    {10, 3348, 305},	// KCalendarSystem::weeksInYear$
    {10, 3350, 374},	// KCalendarSystem::weeksInYearString#
    {10, 3351, 328},	// KCalendarSystem::weeksInYearString#$
    {10, 3381, 289},	// KCalendarSystem::year#
    {10, 3383, 294},	// KCalendarSystem::yearInEra#
    {10, 3385, 370},	// KCalendarSystem::yearInEraString#
    {10, 3386, 323},	// KCalendarSystem::yearInEraString#$
    {10, 3388, 367},	// KCalendarSystem::yearString#
    {10, 3389, 320},	// KCalendarSystem::yearString#$
    {10, 3391, 332},	// KCalendarSystem::yearStringToInteger$$
    {10, 3393, 299},	// KCalendarSystem::yearsDifference##
    {10, 3430, 393},	// KCalendarSystem::~KCalendarSystem
    {12, 287, 399},	// KCharMacroExpander::KCharMacroExpander
    {12, 288, -329},	// KCharMacroExpander::KCharMacroExpander#
    {12, 1490, 396},	// KCharMacroExpander::expandEscapedMacro$$?
    {12, 1492, 397},	// KCharMacroExpander::expandMacro#?
    {12, 1504, 395},	// KCharMacroExpander::expandPlainMacro$$?
    {12, 3431, 400},	// KCharMacroExpander::~KCharMacroExpander
    {13, 289, 401},	// KCharsets::KCharsets
    {13, 290, 414},	// KCharsets::KCharsets#
    {13, 1085, 408},	// KCharsets::availableEncodingNames
    {13, 1171, 402},	// KCharsets::codecForName$
    {13, 1172, 403},	// KCharsets::codecForName$$
    {13, 1368, 412},	// KCharsets::descriptionForEncoding$
    {13, 1369, 409},	// KCharsets::descriptiveEncodingNames
    {13, 1430, 413},	// KCharsets::encodingForName$
    {13, 1433, 410},	// KCharsets::encodingsByScript
    {13, 1629, 404},	// KCharsets::fromEntity$
    {13, 1630, 405},	// KCharsets::fromEntity$$
    {13, 1971, 411},	// KCharsets::languageForEncoding$
    {13, 2486, 407},	// KCharsets::resolveEntities$
    {13, 3174, 406},	// KCharsets::toEntity#
    {13, 3432, 415},	// KCharsets::~KCharsets
    {14, 64, 456},	// KCmdLineArgs::CmdLineArgKDE
    {14, 65, 458},	// KCmdLineArgs::CmdLineArgNone
    {14, 66, 455},	// KCmdLineArgs::CmdLineArgQt
    {14, 67, 457},	// KCmdLineArgs::CmdLineArgsMask
    {14, 292, 445},	// KCmdLineArgs::KCmdLineArgs#
    {14, 293, 444},	// KCmdLineArgs::KCmdLineArgs###
    {14, 703, 459},	// KCmdLineArgs::Reserved
    {14, 847, 443},	// KCmdLineArgs::aboutData
    {14, 878, 450},	// KCmdLineArgs::addCmdLineOptions#
    {14, 879, 451},	// KCmdLineArgs::addCmdLineOptions##
    {14, 880, 452},	// KCmdLineArgs::addCmdLineOptions###
    {14, 881, 420},	// KCmdLineArgs::addCmdLineOptions####
    {14, 1001, 449},	// KCmdLineArgs::addStdCmdLineOptions
    {14, 1002, 419},	// KCmdLineArgs::addStdCmdLineOptions$
    {14, 1005, 439},	// KCmdLineArgs::addTempFileOption
    {14, 1052, 423},	// KCmdLineArgs::appName
    {14, 1057, 431},	// KCmdLineArgs::arg$
    {14, 1160, 435},	// KCmdLineArgs::clear
    {14, 1221, 430},	// KCmdLineArgs::count
    {14, 1266, 422},	// KCmdLineArgs::cwd
    {14, 1418, 426},	// KCmdLineArgs::enable_i18n
    {14, 1666, 427},	// KCmdLineArgs::getOption#
    {14, 1668, 428},	// KCmdLineArgs::getOptionList#
    {14, 1753, 418},	// KCmdLineArgs::init#
    {14, 1755, 448},	// KCmdLineArgs::init$?#
    {14, 1756, 446},	// KCmdLineArgs::init$?####
    {14, 1757, 447},	// KCmdLineArgs::init$?#####
    {14, 1758, 416},	// KCmdLineArgs::init$?#####$
    {14, 1759, 417},	// KCmdLineArgs::init$?#$
    {14, 1879, 429},	// KCmdLineArgs::isSet#
    {14, 1884, 440},	// KCmdLineArgs::isTempFileSet
    {14, 1997, 437},	// KCmdLineArgs::loadAppArgs#
    {14, 2060, 433},	// KCmdLineArgs::makeURL#
    {14, 2257, 453},	// KCmdLineArgs::parsedArgs
    {14, 2258, 421},	// KCmdLineArgs::parsedArgs#
    {14, 2341, 441},	// KCmdLineArgs::qtArgc
    {14, 2342, 442},	// KCmdLineArgs::qtArgv
    {14, 2483, 436},	// KCmdLineArgs::reset
    {14, 2508, 438},	// KCmdLineArgs::saveAppArgs#
    {14, 2613, 434},	// KCmdLineArgs::setCwd#
    {14, 3269, 432},	// KCmdLineArgs::url$
    {14, 3270, 454},	// KCmdLineArgs::usage
    {14, 3271, 424},	// KCmdLineArgs::usage#
    {14, 3273, 425},	// KCmdLineArgs::usageError$
    {14, 3433, 460},	// KCmdLineArgs::~KCmdLineArgs
    {15, 294, 461},	// KCmdLineOptions::KCmdLineOptions
    {15, 295, 462},	// KCmdLineOptions::KCmdLineOptions#
    {15, 863, -67},	// KCmdLineOptions::add#
    {15, 864, 467},	// KCmdLineOptions::add##
    {15, 865, 464},	// KCmdLineOptions::add###
    {15, 2212, 463},	// KCmdLineOptions::operator=#
    {15, 3434, 468},	// KCmdLineOptions::~KCmdLineOptions
    {16, 1092, 475},	// KCodecs::base64Decode#
    {16, 1093, 477},	// KCodecs::base64Decode##
    {16, 1096, 484},	// KCodecs::base64Encode#
    {16, 1097, 480},	// KCodecs::base64Encode##
    {16, 1098, 479},	// KCodecs::base64Encode##$
    {16, 1099, 483},	// KCodecs::base64Encode#$
    {16, 1331, 473},	// KCodecs::decodeRFC2047String$
    {16, 2358, 474},	// KCodecs::quotedPrintableDecode#
    {16, 2359, 472},	// KCodecs::quotedPrintableDecode##
    {16, 2361, 482},	// KCodecs::quotedPrintableEncode#
    {16, 2362, 476},	// KCodecs::quotedPrintableEncode##$
    {16, 2363, 481},	// KCodecs::quotedPrintableEncode#$
    {16, 3294, 470},	// KCodecs::uudecode#
    {16, 3295, 471},	// KCodecs::uudecode##
    {16, 3297, 469},	// KCodecs::uuencode#
    {16, 3298, 478},	// KCodecs::uuencode##
    {17, 296, 485},	// KComponentData::KComponentData
    {17, 297, -806},	// KComponentData::KComponentData#
    {17, 298, 502},	// KComponentData::KComponentData##
    {17, 299, 490},	// KComponentData::KComponentData##$
    {17, 300, -811},	// KComponentData::KComponentData#$
    {17, 697, 505},	// KComponentData::RegisterAsMainComponent
    {17, 722, 506},	// KComponentData::SkipMainComponentRegistration
    {17, 847, 496},	// KComponentData::aboutData
    {17, 1128, 499},	// KComponentData::catalogName
    {17, 1180, 498},	// KComponentData::componentName
    {17, 1184, 495},	// KComponentData::config
    {17, 1396, 494},	// KComponentData::dirs
    {17, 1890, 493},	// KComponentData::isValid
    {17, 2172, 489},	// KComponentData::operator!=#
    {17, 2212, 487},	// KComponentData::operator=#
    {17, 2215, 488},	// KComponentData::operator==#
    {17, 2544, 497},	// KComponentData::setAboutData#
    {17, 2599, 500},	// KComponentData::setConfigName$
    {17, 3435, 507},	// KComponentData::~KComponentData
    {18, 301, 526},	// KCompositeJob::KCompositeJob
    {18, 302, 515},	// KCompositeJob::KCompositeJob#
    {18, 303, 523},	// KCompositeJob::KCompositeJob##
    {18, 1004, 516},	// KCompositeJob::addSubjob#
    {18, 1163, 520},	// KCompositeJob::clearSubjobs
    {18, 1716, 518},	// KCompositeJob::hasSubjobs
    {18, 2074, 508},	// KCompositeJob::metaObject
    {18, 2344, 514},	// KCompositeJob::qt_metacall$$?
    {18, 2346, 509},	// KCompositeJob::qt_metacast$
    {18, 2470, 517},	// KCompositeJob::removeSubjob#
    {18, 3004, 522},	// KCompositeJob::slotInfoMessage#$$
    {18, 3006, 521},	// KCompositeJob::slotResult#
    {18, 3092, 527},	// KCompositeJob::staticMetaObject
    {18, 3106, 519},	// KCompositeJob::subjobs
    {18, 3201, 524},	// KCompositeJob::tr$
    {18, 3202, 510},	// KCompositeJob::tr$$
    {18, 3203, 512},	// KCompositeJob::tr$$$
    {18, 3208, 525},	// KCompositeJob::trUtf8$
    {18, 3209, 511},	// KCompositeJob::trUtf8$$
    {18, 3210, 513},	// KCompositeJob::trUtf8$$$
    {18, 3436, 528},	// KCompositeJob::~KCompositeJob
    {20, 48, 568},	// KConfig::CascadeConfig
    {20, 132, 572},	// KConfig::FullConfig
    {20, 158, 567},	// KConfig::IncludeGlobals
    {20, 304, 557},	// KConfig::KConfig
    {20, 305, -332},	// KConfig::KConfig#
    {20, 306, 561},	// KConfig::KConfig#$
    {20, 307, 562},	// KConfig::KConfig#$$
    {20, 308, 530},	// KConfig::KConfig#$$$
    {20, 309, 558},	// KConfig::KConfig$
    {20, 310, -335},	// KConfig::KConfig$$
    {20, 311, -338},	// KConfig::KConfig$$$
    {20, 617, 570},	// KConfig::NoCascade
    {20, 621, 571},	// KConfig::NoGlobals
    {20, 720, 569},	// KConfig::SimpleConfig
    {20, 853, 536},	// KConfig::accessMode
    {20, 883, 541},	// KConfig::addConfigSources?
    {20, 1146, 539},	// KConfig::checkUpdate$$
    {20, 1179, 532},	// KConfig::componentData
    {20, 1218, 564},	// KConfig::copyTo$
    {20, 1219, 538},	// KConfig::copyTo$#
    {20, 1359, 566},	// KConfig::deleteGroupImpl#
    {20, 1360, 554},	// KConfig::deleteGroupImpl#$
    {20, 1445, 565},	// KConfig::entryMap
    {20, 1446, 550},	// KConfig::entryMap$
    {20, 1591, 548},	// KConfig::forceGlobal
    {20, 1676, -341},	// KConfig::groupImpl#
    {20, 1677, 549},	// KConfig::groupList
    {20, 1692, 551},	// KConfig::hasGroupImpl#
    {20, 1811, 537},	// KConfig::isConfigWritable$
    {20, 1839, 555},	// KConfig::isGroupImmutableImpl#
    {20, 1844, 546},	// KConfig::isImmutable
    {20, 2003, 542},	// KConfig::locale
    {20, 2062, 535},	// KConfig::markAsClean
    {20, 2115, 533},	// KConfig::name
    {20, 2390, 545},	// KConfig::readDefaults
    {20, 2476, 540},	// KConfig::reparseConfiguration
    {20, 2690, 547},	// KConfig::setForceGlobal$
    {20, 2744, 543},	// KConfig::setLocale$
    {20, 2906, 544},	// KConfig::setReadDefaults$
    {20, 3137, 534},	// KConfig::sync
    {20, 3437, 573},	// KConfig::~KConfig
    {21, 134, 606},	// KConfigBase::Global
    {21, 312, 594},	// KConfigBase::KConfigBase
    {21, 313, 600},	// KConfigBase::KConfigBase#
    {21, 596, 607},	// KConfigBase::Localized
    {21, 614, 609},	// KConfigBase::NoAccess
    {21, 632, 608},	// KConfigBase::Normal
    {21, 659, 605},	// KConfigBase::Persistent
    {21, 691, 610},	// KConfigBase::ReadOnly
    {21, 695, 611},	// KConfigBase::ReadWrite
    {21, 853, 589},	// KConfigBase::accessMode
    {21, 1354, 601},	// KConfigBase::deleteGroup#
    {21, 1355, 584},	// KConfigBase::deleteGroup#$
    {21, 1356, -256},	// KConfigBase::deleteGroup$
    {21, 1357, -259},	// KConfigBase::deleteGroup$$
    {21, 1359, 604},	// KConfigBase::deleteGroupImpl#
    {21, 1360, 598},	// KConfigBase::deleteGroupImpl#$
    {21, 1671, -262},	// KConfigBase::group#
    {21, 1672, -265},	// KConfigBase::group$
    {21, 1676, -270},	// KConfigBase::groupImpl#
    {21, 1677, 574},	// KConfigBase::groupList
    {21, 1689, 577},	// KConfigBase::hasGroup#
    {21, 1690, -273},	// KConfigBase::hasGroup$
    {21, 1692, 595},	// KConfigBase::hasGroupImpl#
    {21, 1836, 591},	// KConfigBase::isGroupImmutable#
    {21, 1837, -276},	// KConfigBase::isGroupImmutable$
    {21, 1839, 599},	// KConfigBase::isGroupImmutableImpl#
    {21, 1844, 590},	// KConfigBase::isImmutable
    {21, 2062, 588},	// KConfigBase::markAsClean
    {21, 3137, 587},	// KConfigBase::sync
    {21, 3438, 612},	// KConfigBase::~KConfigBase
    {22, 314, 613},	// KConfigGroup::KConfigGroup
    {22, 315, 620},	// KConfigGroup::KConfigGroup#
    {22, 316, -76},	// KConfigGroup::KConfigGroup#$
    {22, 317, -81},	// KConfigGroup::KConfigGroup?$
    {22, 853, 627},	// KConfigGroup::accessMode
    {22, 1135, -84},	// KConfigGroup::changeGroup$
    {22, 1184, -87},	// KConfigGroup::config
    {22, 1216, 694},	// KConfigGroup::copyTo#
    {22, 1217, 632},	// KConfigGroup::copyTo#$
    {22, 1351, -90},	// KConfigGroup::deleteEntry$
    {22, 1352, -93},	// KConfigGroup::deleteEntry$$
    {22, 1353, 696},	// KConfigGroup::deleteGroup
    {22, 1354, 697},	// KConfigGroup::deleteGroup#
    {22, 1355, 638},	// KConfigGroup::deleteGroup#$
    {22, 1356, -96},	// KConfigGroup::deleteGroup$
    {22, 1357, -100},	// KConfigGroup::deleteGroup$$
    {22, 1360, 692},	// KConfigGroup::deleteGroupImpl#$
    {22, 1445, 688},	// KConfigGroup::entryMap
    {22, 1487, 624},	// KConfigGroup::exists
    {22, 1676, -103},	// KConfigGroup::groupImpl#
    {22, 1677, 635},	// KConfigGroup::groupList
    {22, 1686, -106},	// KConfigGroup::hasDefault$
    {22, 1692, 689},	// KConfigGroup::hasGroupImpl#
    {22, 1697, -109},	// KConfigGroup::hasKey$
    {22, 1828, -112},	// KConfigGroup::isEntryImmutable$
    {22, 1839, 693},	// KConfigGroup::isGroupImmutableImpl#
    {22, 1844, 681},	// KConfigGroup::isImmutable
    {22, 1890, 622},	// KConfigGroup::isValid
    {22, 1945, 636},	// KConfigGroup::keyList
    {22, 2062, 626},	// KConfigGroup::markAsClean
    {22, 2115, 623},	// KConfigGroup::name
    {22, 2212, 621},	// KConfigGroup::operator=#
    {22, 2249, 634},	// KConfigGroup::parent
    {22, 2394, -115},	// KConfigGroup::readEntry$
    {22, 2395, -118},	// KConfigGroup::readEntry$#
    {22, 2396, -121},	// KConfigGroup::readEntry$$
    {22, 2397, -126},	// KConfigGroup::readEntry$?
    {22, 2399, -131},	// KConfigGroup::readEntryUntranslated$
    {22, 2400, -134},	// KConfigGroup::readEntryUntranslated$$
    {22, 2422, -137},	// KConfigGroup::readPathEntry$$
    {22, 2423, -140},	// KConfigGroup::readPathEntry$?
    {22, 2431, -143},	// KConfigGroup::readXdgListEntry$
    {22, 2432, -146},	// KConfigGroup::readXdgListEntry$?
    {22, 2474, 695},	// KConfigGroup::reparent#
    {22, 2475, 633},	// KConfigGroup::reparent#$
    {22, 2500, -149},	// KConfigGroup::revertToDefault$
    {22, 3137, 625},	// KConfigGroup::sync
    {22, 3364, -152},	// KConfigGroup::writeEntry$#
    {22, 3365, -157},	// KConfigGroup::writeEntry$#$
    {22, 3366, -162},	// KConfigGroup::writeEntry$$
    {22, 3367, -167},	// KConfigGroup::writeEntry$$$
    {22, 3368, -172},	// KConfigGroup::writeEntry$?
    {22, 3369, -177},	// KConfigGroup::writeEntry$?$
    {22, 3373, -182},	// KConfigGroup::writePathEntry$$
    {22, 3374, -185},	// KConfigGroup::writePathEntry$$$
    {22, 3375, -188},	// KConfigGroup::writePathEntry$?
    {22, 3376, -191},	// KConfigGroup::writePathEntry$?$
    {22, 3378, -194},	// KConfigGroup::writeXdgListEntry$?
    {22, 3379, -197},	// KConfigGroup::writeXdgListEntry$?$
    {22, 3439, 726},	// KConfigGroup::~KConfigGroup
    {24, 319, 752},	// KConfigSkeletonItem::KConfigSkeletonItem#
    {24, 320, 727},	// KConfigSkeletonItem::KConfigSkeletonItem$$
    {24, 1670, 729},	// KConfigSkeletonItem::group
    {24, 1830, 744},	// KConfigSkeletonItem::isEqual#
    {24, 1844, 750},	// KConfigSkeletonItem::isImmutable
    {24, 1943, 731},	// KConfigSkeletonItem::key
    {24, 1963, 735},	// KConfigSkeletonItem::label
    {24, 2026, 753},	// KConfigSkeletonItem::mGroup
    {24, 2027, 755},	// KConfigSkeletonItem::mKey
    {24, 2028, 757},	// KConfigSkeletonItem::mName
    {24, 2068, 747},	// KConfigSkeletonItem::maxValue
    {24, 2078, 746},	// KConfigSkeletonItem::minValue
    {24, 2115, 733},	// KConfigSkeletonItem::name
    {24, 2318, 745},	// KConfigSkeletonItem::property
    {24, 2380, 740},	// KConfigSkeletonItem::readConfig#
    {24, 2389, 742},	// KConfigSkeletonItem::readDefault#
    {24, 2406, 751},	// KConfigSkeletonItem::readImmutability#
    {24, 2643, 748},	// KConfigSkeletonItem::setDefault
    {24, 2696, 728},	// KConfigSkeletonItem::setGroup$
    {24, 2716, 730},	// KConfigSkeletonItem::setKey$
    {24, 2718, 734},	// KConfigSkeletonItem::setLabel$
    {24, 2746, 754},	// KConfigSkeletonItem::setMGroup$
    {24, 2748, 756},	// KConfigSkeletonItem::setMKey$
    {24, 2750, 758},	// KConfigSkeletonItem::setMName$
    {24, 2834, 732},	// KConfigSkeletonItem::setName$
    {24, 2896, 743},	// KConfigSkeletonItem::setProperty#
    {24, 2955, 736},	// KConfigSkeletonItem::setToolTip$
    {24, 2979, 738},	// KConfigSkeletonItem::setWhatsThis$
    {24, 3134, 749},	// KConfigSkeletonItem::swapDefault
    {24, 3196, 737},	// KConfigSkeletonItem::toolTip
    {24, 3352, 739},	// KConfigSkeletonItem::whatsThis
    {24, 3360, 741},	// KConfigSkeletonItem::writeConfig#
    {24, 3440, 759},	// KConfigSkeletonItem::~KConfigSkeletonItem
    {25, 321, 809},	// KCoreConfigSkeleton::KCoreConfigSkeleton
    {25, 322, 810},	// KCoreConfigSkeleton::KCoreConfigSkeleton$
    {25, 323, 767},	// KCoreConfigSkeleton::KCoreConfigSkeleton$#
    {25, 324, 811},	// KCoreConfigSkeleton::KCoreConfigSkeleton?
    {25, 325, 768},	// KCoreConfigSkeleton::KCoreConfigSkeleton?#
    {25, 901, 812},	// KCoreConfigSkeleton::addItem#
    {25, 902, 774},	// KCoreConfigSkeleton::addItem#$
    {25, 904, 821},	// KCoreConfigSkeleton::addItemBool$$
    {25, 905, 822},	// KCoreConfigSkeleton::addItemBool$$$
    {25, 906, 779},	// KCoreConfigSkeleton::addItemBool$$$$
    {25, 908, 843},	// KCoreConfigSkeleton::addItemDateTime$#
    {25, 909, 844},	// KCoreConfigSkeleton::addItemDateTime$##
    {25, 910, 790},	// KCoreConfigSkeleton::addItemDateTime$##$
    {25, 912, 835},	// KCoreConfigSkeleton::addItemDouble$$
    {25, 913, 836},	// KCoreConfigSkeleton::addItemDouble$$$
    {25, 914, 786},	// KCoreConfigSkeleton::addItemDouble$$$$
    {25, 916, 823},	// KCoreConfigSkeleton::addItemInt$$
    {25, 917, 824},	// KCoreConfigSkeleton::addItemInt$$$
    {25, 918, 780},	// KCoreConfigSkeleton::addItemInt$$$$
    {25, 920, 829},	// KCoreConfigSkeleton::addItemInt64$?
    {25, 921, 830},	// KCoreConfigSkeleton::addItemInt64$??
    {25, 922, 783},	// KCoreConfigSkeleton::addItemInt64$??$
    {25, 924, 847},	// KCoreConfigSkeleton::addItemIntList$?
    {25, 925, 848},	// KCoreConfigSkeleton::addItemIntList$??
    {25, 926, 792},	// KCoreConfigSkeleton::addItemIntList$??$
    {25, 928, 827},	// KCoreConfigSkeleton::addItemLongLong$?
    {25, 929, 828},	// KCoreConfigSkeleton::addItemLongLong$??
    {25, 930, 782},	// KCoreConfigSkeleton::addItemLongLong$??$
    {25, 932, 815},	// KCoreConfigSkeleton::addItemPassword$$
    {25, 933, 816},	// KCoreConfigSkeleton::addItemPassword$$$
    {25, 934, 776},	// KCoreConfigSkeleton::addItemPassword$$$$
    {25, 936, 817},	// KCoreConfigSkeleton::addItemPath$$
    {25, 937, 818},	// KCoreConfigSkeleton::addItemPath$$$
    {25, 938, 777},	// KCoreConfigSkeleton::addItemPath$$$$
    {25, 940, 839},	// KCoreConfigSkeleton::addItemPoint$#
    {25, 941, 840},	// KCoreConfigSkeleton::addItemPoint$##
    {25, 942, 788},	// KCoreConfigSkeleton::addItemPoint$##$
    {25, 944, 819},	// KCoreConfigSkeleton::addItemProperty$#
    {25, 945, 820},	// KCoreConfigSkeleton::addItemProperty$##
    {25, 946, 778},	// KCoreConfigSkeleton::addItemProperty$##$
    {25, 948, 837},	// KCoreConfigSkeleton::addItemRect$#
    {25, 949, 838},	// KCoreConfigSkeleton::addItemRect$##
    {25, 950, 787},	// KCoreConfigSkeleton::addItemRect$##$
    {25, 952, 841},	// KCoreConfigSkeleton::addItemSize$#
    {25, 953, 842},	// KCoreConfigSkeleton::addItemSize$##
    {25, 954, 789},	// KCoreConfigSkeleton::addItemSize$##$
    {25, 956, 813},	// KCoreConfigSkeleton::addItemString$$
    {25, 957, 814},	// KCoreConfigSkeleton::addItemString$$$
    {25, 958, 775},	// KCoreConfigSkeleton::addItemString$$$$
    {25, 960, 845},	// KCoreConfigSkeleton::addItemStringList$?
    {25, 961, 846},	// KCoreConfigSkeleton::addItemStringList$??
    {25, 962, 791},	// KCoreConfigSkeleton::addItemStringList$??$
    {25, 964, 825},	// KCoreConfigSkeleton::addItemUInt$$
    {25, 965, 826},	// KCoreConfigSkeleton::addItemUInt$$$
    {25, 966, 781},	// KCoreConfigSkeleton::addItemUInt$$$$
    {25, 968, 833},	// KCoreConfigSkeleton::addItemUInt64$?
    {25, 969, 834},	// KCoreConfigSkeleton::addItemUInt64$??
    {25, 970, 785},	// KCoreConfigSkeleton::addItemUInt64$??$
    {25, 972, 831},	// KCoreConfigSkeleton::addItemULongLong$?
    {25, 973, 832},	// KCoreConfigSkeleton::addItemULongLong$??
    {25, 974, 784},	// KCoreConfigSkeleton::addItemULongLong$??$
    {25, 1184, -226},	// KCoreConfigSkeleton::config
    {25, 1186, 802},	// KCoreConfigSkeleton::configChanged
    {25, 1255, 773},	// KCoreConfigSkeleton::currentGroup
    {25, 1576, -229},	// KCoreConfigSkeleton::findItem$
    {25, 1845, -232},	// KCoreConfigSkeleton::isImmutable$
    {25, 1901, 796},	// KCoreConfigSkeleton::items
    {25, 2074, 760},	// KCoreConfigSkeleton::metaObject
    {25, 2344, 766},	// KCoreConfigSkeleton::qt_metacall$$?
    {25, 2346, 761},	// KCoreConfigSkeleton::qt_metacast$
    {25, 2379, 770},	// KCoreConfigSkeleton::readConfig
    {25, 2609, 772},	// KCoreConfigSkeleton::setCurrentGroup$
    {25, 2648, 769},	// KCoreConfigSkeleton::setDefaults
    {25, 2916, 795},	// KCoreConfigSkeleton::setSharedConfig?
    {25, 3092, 849},	// KCoreConfigSkeleton::staticMetaObject
    {25, 3201, 807},	// KCoreConfigSkeleton::tr$
    {25, 3202, 762},	// KCoreConfigSkeleton::tr$$
    {25, 3203, 764},	// KCoreConfigSkeleton::tr$$$
    {25, 3208, 808},	// KCoreConfigSkeleton::trUtf8$
    {25, 3209, 763},	// KCoreConfigSkeleton::trUtf8$$
    {25, 3210, 765},	// KCoreConfigSkeleton::trUtf8$$$
    {25, 3276, 801},	// KCoreConfigSkeleton::useDefaults$
    {25, 3285, 805},	// KCoreConfigSkeleton::usrReadConfig
    {25, 3286, 804},	// KCoreConfigSkeleton::usrSetDefaults
    {25, 3288, 803},	// KCoreConfigSkeleton::usrUseDefaults$
    {25, 3289, 806},	// KCoreConfigSkeleton::usrWriteConfig
    {25, 3359, 771},	// KCoreConfigSkeleton::writeConfig
    {25, 3441, 850},	// KCoreConfigSkeleton::~KCoreConfigSkeleton
    {26, 176, 856},	// KCoreConfigSkeleton::ItemBool::ItemBool#
    {26, 177, 857},	// KCoreConfigSkeleton::ItemBool::ItemBool$$$
    {26, 178, 851},	// KCoreConfigSkeleton::ItemBool::ItemBool$$$$
    {26, 1830, 854},	// KCoreConfigSkeleton::ItemBool::isEqual#
    {26, 2318, 855},	// KCoreConfigSkeleton::ItemBool::property
    {26, 2380, 852},	// KCoreConfigSkeleton::ItemBool::readConfig#
    {26, 2896, 853},	// KCoreConfigSkeleton::ItemBool::setProperty#
    {26, 3405, 858},	// KCoreConfigSkeleton::ItemBool::~ItemBool
    {27, 180, 864},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime#
    {27, 181, 865},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime$$#
    {27, 182, 859},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime$$##
    {27, 1830, 862},	// KCoreConfigSkeleton::ItemDateTime::isEqual#
    {27, 2318, 863},	// KCoreConfigSkeleton::ItemDateTime::property
    {27, 2380, 860},	// KCoreConfigSkeleton::ItemDateTime::readConfig#
    {27, 2896, 861},	// KCoreConfigSkeleton::ItemDateTime::setProperty#
    {27, 3406, 866},	// KCoreConfigSkeleton::ItemDateTime::~ItemDateTime
    {28, 184, 876},	// KCoreConfigSkeleton::ItemDouble::ItemDouble#
    {28, 185, 877},	// KCoreConfigSkeleton::ItemDouble::ItemDouble$$$
    {28, 186, 867},	// KCoreConfigSkeleton::ItemDouble::ItemDouble$$$$
    {28, 1830, 870},	// KCoreConfigSkeleton::ItemDouble::isEqual#
    {28, 2068, 873},	// KCoreConfigSkeleton::ItemDouble::maxValue
    {28, 2078, 872},	// KCoreConfigSkeleton::ItemDouble::minValue
    {28, 2318, 871},	// KCoreConfigSkeleton::ItemDouble::property
    {28, 2380, 868},	// KCoreConfigSkeleton::ItemDouble::readConfig#
    {28, 2812, 875},	// KCoreConfigSkeleton::ItemDouble::setMaxValue$
    {28, 2821, 874},	// KCoreConfigSkeleton::ItemDouble::setMinValue$
    {28, 2896, 869},	// KCoreConfigSkeleton::ItemDouble::setProperty#
    {28, 3407, 878},	// KCoreConfigSkeleton::ItemDouble::~ItemDouble
    {29, 188, 885},	// KCoreConfigSkeleton::ItemEnum::ItemEnum#
    {29, 189, -45},	// KCoreConfigSkeleton::ItemEnum::ItemEnum$$$?
    {29, 190, -48},	// KCoreConfigSkeleton::ItemEnum::ItemEnum$$$?$
    {29, 1155, 881},	// KCoreConfigSkeleton::ItemEnum::choices
    {29, 1156, 882},	// KCoreConfigSkeleton::ItemEnum::choices2
    {29, 2380, 883},	// KCoreConfigSkeleton::ItemEnum::readConfig#
    {29, 3360, 884},	// KCoreConfigSkeleton::ItemEnum::writeConfig#
    {29, 3408, 888},	// KCoreConfigSkeleton::ItemEnum::~ItemEnum
    {30, 58, 889},	// KCoreConfigSkeleton::ItemEnum::Choice::Choice
    {30, 59, 890},	// KCoreConfigSkeleton::ItemEnum::Choice::Choice#
    {30, 1963, 893},	// KCoreConfigSkeleton::ItemEnum::Choice::label
    {30, 2115, 891},	// KCoreConfigSkeleton::ItemEnum::Choice::name
    {30, 2718, 894},	// KCoreConfigSkeleton::ItemEnum::Choice::setLabel$
    {30, 2834, 892},	// KCoreConfigSkeleton::ItemEnum::Choice::setName$
    {30, 2979, 896},	// KCoreConfigSkeleton::ItemEnum::Choice::setWhatsThis$
    {30, 3352, 895},	// KCoreConfigSkeleton::ItemEnum::Choice::whatsThis
    {30, 3402, 897},	// KCoreConfigSkeleton::ItemEnum::Choice::~Choice
    {31, 60, 898},	// KCoreConfigSkeleton::ItemEnum::Choice2::Choice2
    {31, 61, 899},	// KCoreConfigSkeleton::ItemEnum::Choice2::Choice2#
    {31, 1963, 902},	// KCoreConfigSkeleton::ItemEnum::Choice2::label
    {31, 2115, 900},	// KCoreConfigSkeleton::ItemEnum::Choice2::name
    {31, 2718, 903},	// KCoreConfigSkeleton::ItemEnum::Choice2::setLabel$
    {31, 2834, 901},	// KCoreConfigSkeleton::ItemEnum::Choice2::setName$
    {31, 2955, 905},	// KCoreConfigSkeleton::ItemEnum::Choice2::setToolTip$
    {31, 2979, 907},	// KCoreConfigSkeleton::ItemEnum::Choice2::setWhatsThis$
    {31, 3196, 904},	// KCoreConfigSkeleton::ItemEnum::Choice2::toolTip
    {31, 3352, 906},	// KCoreConfigSkeleton::ItemEnum::Choice2::whatsThis
    {31, 3403, 908},	// KCoreConfigSkeleton::ItemEnum::Choice2::~Choice2
    {32, 192, 918},	// KCoreConfigSkeleton::ItemInt::ItemInt#
    {32, 193, 919},	// KCoreConfigSkeleton::ItemInt::ItemInt$$$
    {32, 194, 909},	// KCoreConfigSkeleton::ItemInt::ItemInt$$$$
    {32, 1830, 912},	// KCoreConfigSkeleton::ItemInt::isEqual#
    {32, 2068, 915},	// KCoreConfigSkeleton::ItemInt::maxValue
    {32, 2078, 914},	// KCoreConfigSkeleton::ItemInt::minValue
    {32, 2318, 913},	// KCoreConfigSkeleton::ItemInt::property
    {32, 2380, 910},	// KCoreConfigSkeleton::ItemInt::readConfig#
    {32, 2812, 917},	// KCoreConfigSkeleton::ItemInt::setMaxValue$
    {32, 2821, 916},	// KCoreConfigSkeleton::ItemInt::setMinValue$
    {32, 2896, 911},	// KCoreConfigSkeleton::ItemInt::setProperty#
    {32, 3409, 920},	// KCoreConfigSkeleton::ItemInt::~ItemInt
    {33, 196, 926},	// KCoreConfigSkeleton::ItemIntList::ItemIntList#
    {33, 197, 927},	// KCoreConfigSkeleton::ItemIntList::ItemIntList$$?
    {33, 198, 921},	// KCoreConfigSkeleton::ItemIntList::ItemIntList$$??
    {33, 1830, 924},	// KCoreConfigSkeleton::ItemIntList::isEqual#
    {33, 2318, 925},	// KCoreConfigSkeleton::ItemIntList::property
    {33, 2380, 922},	// KCoreConfigSkeleton::ItemIntList::readConfig#
    {33, 2896, 923},	// KCoreConfigSkeleton::ItemIntList::setProperty#
    {33, 3410, 928},	// KCoreConfigSkeleton::ItemIntList::~ItemIntList
    {34, 200, 938},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong#
    {34, 201, 939},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong$$?
    {34, 202, 929},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong$$??
    {34, 1830, 932},	// KCoreConfigSkeleton::ItemLongLong::isEqual#
    {34, 2068, 935},	// KCoreConfigSkeleton::ItemLongLong::maxValue
    {34, 2078, 934},	// KCoreConfigSkeleton::ItemLongLong::minValue
    {34, 2318, 933},	// KCoreConfigSkeleton::ItemLongLong::property
    {34, 2380, 930},	// KCoreConfigSkeleton::ItemLongLong::readConfig#
    {34, 2813, 937},	// KCoreConfigSkeleton::ItemLongLong::setMaxValue?
    {34, 2822, 936},	// KCoreConfigSkeleton::ItemLongLong::setMinValue?
    {34, 2896, 931},	// KCoreConfigSkeleton::ItemLongLong::setProperty#
    {34, 3411, 940},	// KCoreConfigSkeleton::ItemLongLong::~ItemLongLong
    {35, 204, 942},	// KCoreConfigSkeleton::ItemPassword::ItemPassword#
    {35, 205, 943},	// KCoreConfigSkeleton::ItemPassword::ItemPassword$$$
    {35, 206, 941},	// KCoreConfigSkeleton::ItemPassword::ItemPassword$$$$
    {35, 3412, 944},	// KCoreConfigSkeleton::ItemPassword::~ItemPassword
    {36, 208, 946},	// KCoreConfigSkeleton::ItemPath::ItemPath#
    {36, 209, 947},	// KCoreConfigSkeleton::ItemPath::ItemPath$$$
    {36, 210, 945},	// KCoreConfigSkeleton::ItemPath::ItemPath$$$$
    {36, 3413, 948},	// KCoreConfigSkeleton::ItemPath::~ItemPath
    {37, 212, 952},	// KCoreConfigSkeleton::ItemPathList::ItemPathList#
    {37, 213, 953},	// KCoreConfigSkeleton::ItemPathList::ItemPathList$$?
    {37, 214, 949},	// KCoreConfigSkeleton::ItemPathList::ItemPathList$$??
    {37, 2380, 950},	// KCoreConfigSkeleton::ItemPathList::readConfig#
    {37, 3360, 951},	// KCoreConfigSkeleton::ItemPathList::writeConfig#
    {37, 3414, 954},	// KCoreConfigSkeleton::ItemPathList::~ItemPathList
    {38, 216, 960},	// KCoreConfigSkeleton::ItemPoint::ItemPoint#
    {38, 217, 961},	// KCoreConfigSkeleton::ItemPoint::ItemPoint$$#
    {38, 218, 955},	// KCoreConfigSkeleton::ItemPoint::ItemPoint$$##
    {38, 1830, 958},	// KCoreConfigSkeleton::ItemPoint::isEqual#
    {38, 2318, 959},	// KCoreConfigSkeleton::ItemPoint::property
    {38, 2380, 956},	// KCoreConfigSkeleton::ItemPoint::readConfig#
    {38, 2896, 957},	// KCoreConfigSkeleton::ItemPoint::setProperty#
    {38, 3415, 962},	// KCoreConfigSkeleton::ItemPoint::~ItemPoint
    {39, 220, 968},	// KCoreConfigSkeleton::ItemProperty::ItemProperty#
    {39, 221, 969},	// KCoreConfigSkeleton::ItemProperty::ItemProperty$$#
    {39, 222, 963},	// KCoreConfigSkeleton::ItemProperty::ItemProperty$$##
    {39, 1830, 966},	// KCoreConfigSkeleton::ItemProperty::isEqual#
    {39, 2318, 967},	// KCoreConfigSkeleton::ItemProperty::property
    {39, 2380, 964},	// KCoreConfigSkeleton::ItemProperty::readConfig#
    {39, 2896, 965},	// KCoreConfigSkeleton::ItemProperty::setProperty#
    {39, 3416, 970},	// KCoreConfigSkeleton::ItemProperty::~ItemProperty
    {40, 224, 976},	// KCoreConfigSkeleton::ItemRect::ItemRect#
    {40, 225, 977},	// KCoreConfigSkeleton::ItemRect::ItemRect$$#
    {40, 226, 971},	// KCoreConfigSkeleton::ItemRect::ItemRect$$##
    {40, 1830, 974},	// KCoreConfigSkeleton::ItemRect::isEqual#
    {40, 2318, 975},	// KCoreConfigSkeleton::ItemRect::property
    {40, 2380, 972},	// KCoreConfigSkeleton::ItemRect::readConfig#
    {40, 2896, 973},	// KCoreConfigSkeleton::ItemRect::setProperty#
    {40, 3417, 978},	// KCoreConfigSkeleton::ItemRect::~ItemRect
    {41, 228, 984},	// KCoreConfigSkeleton::ItemSize::ItemSize#
    {41, 229, 985},	// KCoreConfigSkeleton::ItemSize::ItemSize$$#
    {41, 230, 979},	// KCoreConfigSkeleton::ItemSize::ItemSize$$##
    {41, 1830, 982},	// KCoreConfigSkeleton::ItemSize::isEqual#
    {41, 2318, 983},	// KCoreConfigSkeleton::ItemSize::property
    {41, 2380, 980},	// KCoreConfigSkeleton::ItemSize::readConfig#
    {41, 2896, 981},	// KCoreConfigSkeleton::ItemSize::setProperty#
    {41, 3418, 986},	// KCoreConfigSkeleton::ItemSize::~ItemSize
    {42, 232, 993},	// KCoreConfigSkeleton::ItemString::ItemString#
    {42, 233, 994},	// KCoreConfigSkeleton::ItemString::ItemString$$$
    {42, 234, 995},	// KCoreConfigSkeleton::ItemString::ItemString$$$$
    {42, 235, 987},	// KCoreConfigSkeleton::ItemString::ItemString$$$$$
    {42, 632, 996},	// KCoreConfigSkeleton::ItemString::Normal
    {42, 654, 997},	// KCoreConfigSkeleton::ItemString::Password
    {42, 655, 998},	// KCoreConfigSkeleton::ItemString::Path
    {42, 1830, 991},	// KCoreConfigSkeleton::ItemString::isEqual#
    {42, 2318, 992},	// KCoreConfigSkeleton::ItemString::property
    {42, 2380, 989},	// KCoreConfigSkeleton::ItemString::readConfig#
    {42, 2896, 990},	// KCoreConfigSkeleton::ItemString::setProperty#
    {42, 3360, 988},	// KCoreConfigSkeleton::ItemString::writeConfig#
    {42, 3419, 999},	// KCoreConfigSkeleton::ItemString::~ItemString
    {43, 237, 1005},	// KCoreConfigSkeleton::ItemStringList::ItemStringList#
    {43, 238, 1006},	// KCoreConfigSkeleton::ItemStringList::ItemStringList$$?
    {43, 239, 1000},	// KCoreConfigSkeleton::ItemStringList::ItemStringList$$??
    {43, 1830, 1003},	// KCoreConfigSkeleton::ItemStringList::isEqual#
    {43, 2318, 1004},	// KCoreConfigSkeleton::ItemStringList::property
    {43, 2380, 1001},	// KCoreConfigSkeleton::ItemStringList::readConfig#
    {43, 2896, 1002},	// KCoreConfigSkeleton::ItemStringList::setProperty#
    {43, 3420, 1007},	// KCoreConfigSkeleton::ItemStringList::~ItemStringList
    {44, 241, 1017},	// KCoreConfigSkeleton::ItemUInt::ItemUInt#
    {44, 242, 1018},	// KCoreConfigSkeleton::ItemUInt::ItemUInt$$$
    {44, 243, 1008},	// KCoreConfigSkeleton::ItemUInt::ItemUInt$$$$
    {44, 1830, 1011},	// KCoreConfigSkeleton::ItemUInt::isEqual#
    {44, 2068, 1014},	// KCoreConfigSkeleton::ItemUInt::maxValue
    {44, 2078, 1013},	// KCoreConfigSkeleton::ItemUInt::minValue
    {44, 2318, 1012},	// KCoreConfigSkeleton::ItemUInt::property
    {44, 2380, 1009},	// KCoreConfigSkeleton::ItemUInt::readConfig#
    {44, 2812, 1016},	// KCoreConfigSkeleton::ItemUInt::setMaxValue$
    {44, 2821, 1015},	// KCoreConfigSkeleton::ItemUInt::setMinValue$
    {44, 2896, 1010},	// KCoreConfigSkeleton::ItemUInt::setProperty#
    {44, 3421, 1019},	// KCoreConfigSkeleton::ItemUInt::~ItemUInt
    {45, 245, 1029},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong#
    {45, 246, 1030},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong$$?
    {45, 247, 1020},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong$$??
    {45, 1830, 1023},	// KCoreConfigSkeleton::ItemULongLong::isEqual#
    {45, 2068, 1026},	// KCoreConfigSkeleton::ItemULongLong::maxValue
    {45, 2078, 1025},	// KCoreConfigSkeleton::ItemULongLong::minValue
    {45, 2318, 1024},	// KCoreConfigSkeleton::ItemULongLong::property
    {45, 2380, 1021},	// KCoreConfigSkeleton::ItemULongLong::readConfig#
    {45, 2813, 1028},	// KCoreConfigSkeleton::ItemULongLong::setMaxValue?
    {45, 2822, 1027},	// KCoreConfigSkeleton::ItemULongLong::setMinValue?
    {45, 2896, 1022},	// KCoreConfigSkeleton::ItemULongLong::setProperty#
    {45, 3422, 1031},	// KCoreConfigSkeleton::ItemULongLong::~ItemULongLong
    {46, 249, 1038},	// KCoreConfigSkeleton::ItemUrl::ItemUrl#
    {46, 250, 1039},	// KCoreConfigSkeleton::ItemUrl::ItemUrl$$#
    {46, 251, 1032},	// KCoreConfigSkeleton::ItemUrl::ItemUrl$$##
    {46, 1830, 1036},	// KCoreConfigSkeleton::ItemUrl::isEqual#
    {46, 2318, 1037},	// KCoreConfigSkeleton::ItemUrl::property
    {46, 2380, 1034},	// KCoreConfigSkeleton::ItemUrl::readConfig#
    {46, 2896, 1035},	// KCoreConfigSkeleton::ItemUrl::setProperty#
    {46, 3360, 1033},	// KCoreConfigSkeleton::ItemUrl::writeConfig#
    {46, 3423, 1040},	// KCoreConfigSkeleton::ItemUrl::~ItemUrl
    {47, 253, 1047},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList#
    {47, 254, 1048},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList$$?
    {47, 255, 1041},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList$$??
    {47, 1830, 1045},	// KCoreConfigSkeleton::ItemUrlList::isEqual#
    {47, 2318, 1046},	// KCoreConfigSkeleton::ItemUrlList::property
    {47, 2380, 1042},	// KCoreConfigSkeleton::ItemUrlList::readConfig#
    {47, 2896, 1044},	// KCoreConfigSkeleton::ItemUrlList::setProperty#
    {47, 3360, 1043},	// KCoreConfigSkeleton::ItemUrlList::writeConfig#
    {47, 3424, 1049},	// KCoreConfigSkeleton::ItemUrlList::~ItemUrlList
    {48, 11, 1080},	// KCurrencyCode::ActiveCurrency
    {48, 327, -235},	// KCurrencyCode::KCurrencyCode#
    {48, 328, 1051},	// KCurrencyCode::KCurrencyCode#$
    {48, 329, 1075},	// KCurrencyCode::KCurrencyCode$
    {48, 330, 1050},	// KCurrencyCode::KCurrencyCode$$
    {48, 640, 1082},	// KCurrencyCode::ObsoleteCurrency
    {48, 753, 1081},	// KCurrencyCode::SuspendedCurrency
    {48, 1028, 1078},	// KCurrencyCode::allCurrencyCodesList
    {48, 1029, 1073},	// KCurrencyCode::allCurrencyCodesList$
    {48, 1222, 1070},	// KCurrencyCode::countriesUsingCurrency
    {48, 1249, 1079},	// KCurrencyCode::currencyCodeToName$
    {48, 1250, 1074},	// KCurrencyCode::currencyCodeToName$$
    {48, 1280, 1059},	// KCurrencyCode::dateIntroduced
    {48, 1282, 1060},	// KCurrencyCode::dateSuspended
    {48, 1287, 1061},	// KCurrencyCode::dateWithdrawn
    {48, 1325, 1069},	// KCurrencyCode::decimalPlaces
    {48, 1348, 1063},	// KCurrencyCode::defaultSymbol
    {48, 1717, 1065},	// KCurrencyCode::hasSubunits
    {48, 1718, 1066},	// KCurrencyCode::hasSubunitsInCirculation
    {48, 1890, 1071},	// KCurrencyCode::isValid
    {48, 1892, 1077},	// KCurrencyCode::isValid$
    {48, 1893, 1072},	// KCurrencyCode::isValid$$
    {48, 1898, 1054},	// KCurrencyCode::isoCurrencyCode
    {48, 1899, 1055},	// KCurrencyCode::isoCurrencyCodeNumeric
    {48, 1900, 1057},	// KCurrencyCode::isoName
    {48, 2115, 1056},	// KCurrencyCode::name
    {48, 2212, 1053},	// KCurrencyCode::operator=#
    {48, 3095, 1058},	// KCurrencyCode::status
    {48, 3123, 1067},	// KCurrencyCode::subunitSymbol
    {48, 3124, 1068},	// KCurrencyCode::subunitsPerUnit
    {48, 3136, 1062},	// KCurrencyCode::symbolList
    {48, 3247, 1064},	// KCurrencyCode::unambiguousSymbol
    {48, 3442, 1083},	// KCurrencyCode::~KCurrencyCode
    {49, 852, 1088},	// KDE::access$$
    {49, 1154, 1093},	// KDE::chmod$$
    {49, 1590, 1094},	// KDE::fopen$$
    {49, 2082, 1085},	// KDE::mkdir$$
    {49, 2160, 1087},	// KDE::open$$
    {49, 2161, 1086},	// KDE::open$$$
    {49, 2472, 1095},	// KDE::rename$$
    {49, 3304, 1089},	// KDE::version
    {49, 3305, 1090},	// KDE::versionMajor
    {49, 3306, 1091},	// KDE::versionMinor
    {49, 3307, 1084},	// KDE::versionRelease
    {49, 3308, 1092},	// KDE::versionString
    {50, 331, 1112},	// KDEDModule::KDEDModule
    {50, 332, 1103},	// KDEDModule::KDEDModule#
    {50, 2074, 1096},	// KDEDModule::metaObject
    {50, 2087, 1106},	// KDEDModule::moduleDeleted#
    {50, 2088, 1105},	// KDEDModule::moduleName
    {50, 2090, 1109},	// KDEDModule::moduleRegistered#
    {50, 2344, 1102},	// KDEDModule::qt_metacall$$?
    {50, 2346, 1097},	// KDEDModule::qt_metacast$
    {50, 2824, 1104},	// KDEDModule::setModuleName$
    {50, 3092, 1113},	// KDEDModule::staticMetaObject
    {50, 3201, 1110},	// KDEDModule::tr$
    {50, 3202, 1098},	// KDEDModule::tr$$
    {50, 3203, 1100},	// KDEDModule::tr$$$
    {50, 3208, 1111},	// KDEDModule::trUtf8$
    {50, 3209, 1099},	// KDEDModule::trUtf8$$
    {50, 3210, 1101},	// KDEDModule::trUtf8$$$
    {50, 3354, 1107},	// KDEDModule::windowRegistered?
    {50, 3356, 1108},	// KDEDModule::windowUnregistered?
    {50, 3443, 1114},	// KDEDModule::~KDEDModule
    {51, 333, 1115},	// KDEPluginVerificationData::KDEPluginVerificationData
    {51, 334, 1116},	// KDEPluginVerificationData::KDEPluginVerificationData#
    {51, 335, 1119},	// KDEPluginVerificationData::KDEVersion
    {51, 336, 1121},	// KDEPluginVerificationData::KDEVersionString
    {51, 666, 1123},	// KDEPluginVerificationData::PluginVerificationDataVersion
    {51, 1269, 1117},	// KDEPluginVerificationData::dataVersion
    {51, 2619, 1118},	// KDEPluginVerificationData::setDataVersion$
    {51, 2712, 1120},	// KDEPluginVerificationData::setKDEVersion$
    {51, 2714, 1122},	// KDEPluginVerificationData::setKDEVersionString$
    {51, 3444, 1124},	// KDEPluginVerificationData::~KDEPluginVerificationData
    {52, 14, 1214},	// KDateTime::After
    {52, 26, 1213},	// KDateTime::AtEnd
    {52, 27, 1211},	// KDateTime::AtStart
    {52, 42, 1210},	// KDateTime::Before
    {52, 62, 1204},	// KDateTime::ClockTime
    {52, 104, 1218},	// KDateTime::EndsAt
    {52, 105, 1215},	// KDateTime::Equal
    {52, 151, 1205},	// KDateTime::ISODate
    {52, 160, 1212},	// KDateTime::Inside
    {52, 161, 1199},	// KDateTime::Invalid
    {52, 337, 1125},	// KDateTime::KDateTime
    {52, 338, -279},	// KDateTime::KDateTime#
    {52, 339, -283},	// KDateTime::KDateTime##
    {52, 340, 1127},	// KDateTime::KDateTime###
    {52, 594, 1209},	// KDateTime::LocalDate
    {52, 595, 1203},	// KDateTime::LocalZone
    {52, 641, 1201},	// KDateTime::OffsetFromUTC
    {52, 652, 1216},	// KDateTime::Outside
    {52, 684, 1208},	// KDateTime::QtTextDate
    {52, 687, 1206},	// KDateTime::RFCDate
    {52, 688, 1207},	// KDateTime::RFCDateDay
    {52, 748, 1217},	// KDateTime::StartsAt
    {52, 770, 1202},	// KDateTime::TimeZone
    {52, 779, 1200},	// KDateTime::UTC
    {52, 895, 1165},	// KDateTime::addDays$
    {52, 982, 1163},	// KDateTime::addMSecs?
    {52, 985, 1166},	// KDateTime::addMonths$
    {52, 1000, 1164},	// KDateTime::addSecs?
    {52, 1022, 1167},	// KDateTime::addYears$
    {52, 1178, 1182},	// KDateTime::compare#
    {52, 1254, 1173},	// KDateTime::currentDateTime#
    {52, 1256, 1174},	// KDateTime::currentLocalDate
    {52, 1257, 1171},	// KDateTime::currentLocalDateTime
    {52, 1258, 1175},	// KDateTime::currentLocalTime
    {52, 1261, 1172},	// KDateTime::currentUtcDateTime
    {52, 1275, 1135},	// KDateTime::date
    {52, 1283, 1137},	// KDateTime::dateTime
    {52, 1323, 1170},	// KDateTime::daysTo#
    {52, 1375, 1189},	// KDateTime::detach
    {52, 1647, 1195},	// KDateTime::fromString$
    {52, 1648, -287},	// KDateTime::fromString$$
    {52, 1649, 1198},	// KDateTime::fromString$$#
    {52, 1650, 1179},	// KDateTime::fromString$$#$
    {52, 1651, 1178},	// KDateTime::fromString$$$
    {52, 1809, 1142},	// KDateTime::isClockTime
    {52, 1814, 1134},	// KDateTime::isDateOnly
    {52, 1855, 1141},	// KDateTime::isLocalZone
    {52, 1861, 1132},	// KDateTime::isNull
    {52, 1862, 1144},	// KDateTime::isOffsetFromUtc
    {52, 1873, 1146},	// KDateTime::isSecondOccurrence
    {52, 1887, 1143},	// KDateTime::isUtc
    {52, 1890, 1133},	// KDateTime::isValid
    {52, 2172, 1184},	// KDateTime::operator!=#
    {52, 2194, 1185},	// KDateTime::operator<#
    {52, 2206, 1186},	// KDateTime::operator<=#
    {52, 2212, 1131},	// KDateTime::operator=#
    {52, 2215, 1183},	// KDateTime::operator==#
    {52, 2222, 1187},	// KDateTime::operator>#
    {52, 2228, 1188},	// KDateTime::operator>=#
    {52, 2246, 1181},	// KDateTime::outOfRange
    {52, 2435, 1191},	// KDateTime::realCurrentLocalDateTime
    {52, 2517, 1168},	// KDateTime::secsTo#
    {52, 2519, 1169},	// KDateTime::secsTo_long#
    {52, 2621, 1158},	// KDateTime::setDate#
    {52, 2634, 1157},	// KDateTime::setDateOnly$
    {52, 2636, 1160},	// KDateTime::setDateTime#
    {52, 2694, 1180},	// KDateTime::setFromStringDefault#
    {52, 2910, 1162},	// KDateTime::setSecondOccurrence$
    {52, 2926, 1190},	// KDateTime::setSimulatedSystemTime#
    {52, 2947, 1159},	// KDateTime::setTime#
    {52, 2951, 1161},	// KDateTime::setTimeSpec#
    {52, 2953, 1156},	// KDateTime::setTime_t?
    {52, 3163, 1136},	// KDateTime::time
    {52, 3165, 1139},	// KDateTime::timeSpec
    {52, 3167, 1140},	// KDateTime::timeType
    {52, 3168, 1138},	// KDateTime::timeZone
    {52, 3171, 1151},	// KDateTime::toClockTime
    {52, 3177, 1150},	// KDateTime::toLocalZone
    {52, 3179, 1148},	// KDateTime::toOffsetFromUtc
    {52, 3180, 1149},	// KDateTime::toOffsetFromUtc$
    {52, 3181, 1194},	// KDateTime::toString
    {52, 3184, -290},	// KDateTime::toString$
    {52, 3186, -293},	// KDateTime::toTimeSpec#
    {52, 3187, 1155},	// KDateTime::toTime_t
    {52, 3189, 1147},	// KDateTime::toUtc
    {52, 3192, 1152},	// KDateTime::toZone#
    {52, 3291, 1145},	// KDateTime::utcOffset
    {52, 3445, 1219},	// KDateTime::~KDateTime
    {53, 62, 1239},	// KDateTime::Spec::ClockTime
    {53, 595, 1241},	// KDateTime::Spec::LocalZone
    {53, 642, 1240},	// KDateTime::Spec::OffsetFromUTC$
    {53, 732, 1220},	// KDateTime::Spec::Spec
    {53, 733, -814},	// KDateTime::Spec::Spec#
    {53, 734, 1242},	// KDateTime::Spec::Spec$
    {53, 735, 1222},	// KDateTime::Spec::Spec$$
    {53, 779, 1238},	// KDateTime::Spec::UTC
    {53, 1453, 1237},	// KDateTime::Spec::equivalentTo#
    {53, 1809, 1229},	// KDateTime::Spec::isClockTime
    {53, 1855, 1228},	// KDateTime::Spec::isLocalZone
    {53, 1862, 1231},	// KDateTime::Spec::isOffsetFromUtc
    {53, 1887, 1230},	// KDateTime::Spec::isUtc
    {53, 1890, 1225},	// KDateTime::Spec::isValid
    {53, 2172, 1236},	// KDateTime::Spec::operator!=#
    {53, 2212, 1224},	// KDateTime::Spec::operator=#
    {53, 2215, 1235},	// KDateTime::Spec::operator==#
    {53, 2963, 1234},	// KDateTime::Spec::setType#
    {53, 2964, 1243},	// KDateTime::Spec::setType$
    {53, 2965, 1233},	// KDateTime::Spec::setType$$
    {53, 3168, 1226},	// KDateTime::Spec::timeZone
    {53, 3243, 1227},	// KDateTime::Spec::type
    {53, 3291, 1232},	// KDateTime::Spec::utcOffset
    {53, 3510, 1244},	// KDateTime::Spec::~Spec
    {54, 342, 1250},	// KDebug::KDebug#
    {54, 343, 1251},	// KDebug::KDebug$
    {54, 344, 1252},	// KDebug::KDebug$$
    {54, 345, 1253},	// KDebug::KDebug$$$
    {54, 346, 1245},	// KDebug::KDebug$$$$
    {54, 1705, 1246},	// KDebug::hasNullOutput$$$$
    {54, 1706, 1254},	// KDebug::hasNullOutputQtDebugMsg
    {54, 1707, -355},	// KDebug::hasNullOutputQtDebugMsg$
    {54, 1708, 1248},	// KDebug::hasNullOutputQtDebugMsg$$
    {54, 2443, 1256},	// KDebug::registerArea#
    {54, 2444, 1249},	// KDebug::registerArea#$
    {54, 3446, 1257},	// KDebug::~KDebug
    {55, 347, 1258},	// KDebugTag::KDebugTag
    {55, 348, 1259},	// KDebugTag::KDebugTag#
    {55, 3447, 1260},	// KDebugTag::~KDebugTag
    {56, 350, 1262},	// KDesktopFile::KDesktopFile$
    {56, 351, 1261},	// KDesktopFile::KDesktopFile$$
    {56, 856, -763},	// KDesktopFile::actionGroup$
    {56, 1218, 1287},	// KDesktopFile::copyTo$
    {56, 1374, 1266},	// KDesktopFile::desktopGroup
    {56, 1524, 1288},	// KDesktopFile::fileName
    {56, 1681, 1278},	// KDesktopFile::hasActionGroup$
    {56, 1682, 1280},	// KDesktopFile::hasApplicationType
    {56, 1687, 1282},	// KDesktopFile::hasDeviceType
    {56, 1698, 1279},	// KDesktopFile::hasLinkType
    {56, 1703, 1281},	// KDesktopFile::hasMimeTypeType
    {56, 1797, 1264},	// KDesktopFile::isAuthorizedDesktopFile$
    {56, 1819, 1263},	// KDesktopFile::isDesktopFile$
    {56, 2013, 1265},	// KDesktopFile::locateLocal$
    {56, 2135, 1286},	// KDesktopFile::noDisplay
    {56, 2376, 1275},	// KDesktopFile::readActions
    {56, 2378, 1270},	// KDesktopFile::readComment
    {56, 2391, 1273},	// KDesktopFile::readDevice
    {56, 2392, 1284},	// KDesktopFile::readDocPath
    {56, 2402, 1271},	// KDesktopFile::readGenericName
    {56, 2404, 1268},	// KDesktopFile::readIcon
    {56, 2416, 1269},	// KDesktopFile::readName
    {56, 2420, 1272},	// KDesktopFile::readPath
    {56, 2428, 1267},	// KDesktopFile::readType
    {56, 2429, 1274},	// KDesktopFile::readUrl
    {56, 2491, 1289},	// KDesktopFile::resource
    {56, 3011, 1285},	// KDesktopFile::sortOrder
    {56, 3242, 1283},	// KDesktopFile::tryExec
    {56, 3448, 1290},	// KDesktopFile::~KDesktopFile
    {57, 23, 1323},	// KEncodingDetector::Arabic
    {57, 32, 1315},	// KEncodingDetector::AutoDetectedEncoding
    {57, 35, 1316},	// KEncodingDetector::BOM
    {57, 40, 1324},	// KEncodingDetector::Baltic
    {57, 50, 1325},	// KEncodingDetector::CentralEuropean
    {57, 56, 1326},	// KEncodingDetector::ChineseSimplified
    {57, 57, 1327},	// KEncodingDetector::ChineseTraditional
    {57, 76, 1328},	// KEncodingDetector::Cyrillic
    {57, 87, 1314},	// KEncodingDetector::DefaultEncoding
    {57, 100, 1319},	// KEncodingDetector::EncodingFromHTTPHeader
    {57, 101, 1318},	// KEncodingDetector::EncodingFromMetaTag
    {57, 102, 1317},	// KEncodingDetector::EncodingFromXMLHeader
    {57, 136, 1329},	// KEncodingDetector::Greek
    {57, 139, 1330},	// KEncodingDetector::Hebrew
    {57, 257, 1331},	// KEncodingDetector::Japanese
    {57, 352, 1291},	// KEncodingDetector::KEncodingDetector
    {57, 353, 1312},	// KEncodingDetector::KEncodingDetector#
    {57, 354, 1313},	// KEncodingDetector::KEncodingDetector#$
    {57, 355, 1292},	// KEncodingDetector::KEncodingDetector#$$
    {57, 553, 1332},	// KEncodingDetector::Korean
    {57, 631, 1321},	// KEncodingDetector::None
    {57, 635, 1333},	// KEncodingDetector::NorthernSaami
    {57, 713, 1322},	// KEncodingDetector::SemiautomaticDetection
    {57, 731, 1334},	// KEncodingDetector::SouthEasternEurope
    {57, 762, 1335},	// KEncodingDetector::Thai
    {57, 777, 1336},	// KEncodingDetector::Turkish
    {57, 785, 1337},	// KEncodingDetector::Unicode
    {57, 812, 1320},	// KEncodingDetector::UserChosenEncoding
    {57, 815, 1338},	// KEncodingDetector::WesternEuropean
    {57, 1051, 1310},	// KEncodingDetector::analyze$$
    {57, 1073, 1297},	// KEncodingDetector::autoDetectLanguage
    {57, 1328, 1300},	// KEncodingDetector::decode#
    {57, 1329, 1299},	// KEncodingDetector::decode$$
    {57, 1333, 1301},	// KEncodingDetector::decodeWithBuffering$$
    {57, 1336, 1302},	// KEncodingDetector::decodedInvalidCharacters
    {57, 1337, 1311},	// KEncodingDetector::decoder
    {57, 1427, 1294},	// KEncodingDetector::encoding
    {57, 1428, 1298},	// KEncodingDetector::encodingChoiceSource
    {57, 1468, 1309},	// KEncodingDetector::errorsIfUtf8$$
    {57, 1588, 1304},	// KEncodingDetector::flush
    {57, 1684, 1307},	// KEncodingDetector::hasAutoDetectionForScript$
    {57, 2120, 1306},	// KEncodingDetector::nameForScript$
    {57, 2306, 1308},	// KEncodingDetector::processNull$$
    {57, 2484, 1303},	// KEncodingDetector::resetDecoder
    {57, 2514, 1305},	// KEncodingDetector::scriptForName$
    {57, 2567, 1296},	// KEncodingDetector::setAutoDetectLanguage$
    {57, 2664, 1293},	// KEncodingDetector::setEncoding$$
    {57, 3310, 1295},	// KEncodingDetector::visuallyOrdered
    {57, 3449, 1339},	// KEncodingDetector::~KEncodingDetector
    {58, 23, 1359},	// KEncodingProber::Arabic
    {58, 40, 1360},	// KEncodingProber::Baltic
    {58, 50, 1361},	// KEncodingProber::CentralEuropean
    {58, 56, 1362},	// KEncodingProber::ChineseSimplified
    {58, 57, 1363},	// KEncodingProber::ChineseTraditional
    {58, 76, 1364},	// KEncodingProber::Cyrillic
    {58, 129, 1354},	// KEncodingProber::FoundIt
    {58, 136, 1365},	// KEncodingProber::Greek
    {58, 139, 1366},	// KEncodingProber::Hebrew
    {58, 257, 1367},	// KEncodingProber::Japanese
    {58, 356, 1353},	// KEncodingProber::KEncodingProber
    {58, 357, 1352},	// KEncodingProber::KEncodingProber#
    {58, 358, 1340},	// KEncodingProber::KEncodingProber$
    {58, 553, 1368},	// KEncodingProber::Korean
    {58, 631, 1357},	// KEncodingProber::None
    {58, 635, 1369},	// KEncodingProber::NorthernSaami
    {58, 636, 1355},	// KEncodingProber::NotMe
    {58, 651, 1370},	// KEncodingProber::Other
    {58, 670, 1356},	// KEncodingProber::Probing
    {58, 731, 1371},	// KEncodingProber::SouthEasternEurope
    {58, 762, 1372},	// KEncodingProber::Thai
    {58, 777, 1373},	// KEncodingProber::Turkish
    {58, 785, 1374},	// KEncodingProber::Unicode
    {58, 797, 1358},	// KEncodingProber::Universal
    {58, 815, 1375},	// KEncodingProber::WesternEuropean
    {58, 1183, 1347},	// KEncodingProber::confidence
    {58, 1427, 1346},	// KEncodingProber::encoding
    {58, 1432, 1345},	// KEncodingProber::encodingName
    {58, 1518, 1342},	// KEncodingProber::feed#
    {58, 1519, 1343},	// KEncodingProber::feed$$
    {58, 2118, 1351},	// KEncodingProber::nameForProberType$
    {58, 2302, 1348},	// KEncodingProber::proberType
    {58, 2304, 1350},	// KEncodingProber::proberTypeForName$
    {58, 2483, 1341},	// KEncodingProber::reset
    {58, 2880, 1349},	// KEncodingProber::setProberType$
    {58, 3088, 1344},	// KEncodingProber::state
    {58, 3450, 1376},	// KEncodingProber::~KEncodingProber
    {59, 103, 1404},	// KFilterBase::End
    {59, 111, 1405},	// KFilterBase::Error
    {59, 359, 1377},	// KFilterBase::KFilterBase
    {59, 622, 1406},	// KFilterBase::NoHeaders
    {59, 643, 1403},	// KFilterBase::Ok
    {59, 816, 1407},	// KFilterBase::WithHeaders
    {59, 1182, 1393},	// KFilterBase::compress$
    {59, 1381, 1379},	// KFilterBase::device
    {59, 1527, 1395},	// KFilterBase::filterFlags
    {59, 1572, 1396},	// KFilterBase::findFilterByFileName$
    {59, 1574, 1397},	// KFilterBase::findFilterByMimeType$
    {59, 1741, 1389},	// KFilterBase::inBufferAvailable
    {59, 1742, 1388},	// KFilterBase::inBufferEmpty
    {59, 1754, 1380},	// KFilterBase::init$
    {59, 2029, 1401},	// KFilterBase::m_bAutoDel
    {59, 2035, 1399},	// KFilterBase::m_dev
    {59, 2083, 1381},	// KFilterBase::mode
    {59, 2244, 1391},	// KFilterBase::outBufferAvailable
    {59, 2245, 1390},	// KFilterBase::outBufferFull
    {59, 2403, 1384},	// KFilterBase::readHeader
    {59, 2483, 1383},	// KFilterBase::reset
    {59, 2654, 1398},	// KFilterBase::setDevice#
    {59, 2655, 1378},	// KFilterBase::setDevice#$
    {59, 2688, 1394},	// KFilterBase::setFilterFlags$
    {59, 2706, 1387},	// KFilterBase::setInBuffer$$
    {59, 2752, 1402},	// KFilterBase::setM_bAutoDel$
    {59, 2764, 1400},	// KFilterBase::setM_dev#
    {59, 2850, 1386},	// KFilterBase::setOutBuffer$$
    {59, 3156, 1382},	// KFilterBase::terminate
    {59, 3248, 1392},	// KFilterBase::uncompress
    {59, 3371, 1385},	// KFilterBase::writeHeader#
    {59, 3451, 1408},	// KFilterBase::~KFilterBase
    {60, 1059, 1414},	// KFilterDev::atEnd
    {60, 1165, 1410},	// KFilterDev::close
    {60, 1382, 1421},	// KFilterDev::device#$
    {60, 1383, 1416},	// KFilterDev::device#$$
    {60, 1385, 1419},	// KFilterDev::deviceForFile$
    {60, 1386, 1420},	// KFilterDev::deviceForFile$$
    {60, 1387, 1415},	// KFilterDev::deviceForFile$$$
    {60, 2159, 1409},	// KFilterDev::open$
    {60, 2382, 1417},	// KFilterDev::readData$?
    {60, 2521, 1413},	// KFilterDev::seek?
    {60, 2846, 1411},	// KFilterDev::setOrigFileName#
    {60, 2927, 1412},	// KFilterDev::setSkipHeaders
    {60, 3362, 1418},	// KFilterDev::writeData$?
    {60, 3452, 1422},	// KFilterDev::~KFilterDev
    {61, 94, 1442},	// KGlobal::DoCopyCatalogs
    {61, 95, 1443},	// KGlobal::DontCopyCatalogs
    {61, 861, 1436},	// KGlobal::activeComponent
    {61, 1124, 1441},	// KGlobal::caption
    {61, 1138, 1425},	// KGlobal::charsets
    {61, 1184, 1433},	// KGlobal::config
    {61, 1362, 1432},	// KGlobal::deref
    {61, 1396, 1424},	// KGlobal::dirs
    {61, 1560, 1428},	// KGlobal::findDirectChild_helper##
    {61, 1699, 1434},	// KGlobal::hasLocale
    {61, 1700, 1427},	// KGlobal::hasMainComponent
    {61, 2003, 1440},	// KGlobal::locale
    {61, 2054, 1423},	// KGlobal::mainComponent
    {61, 2441, 1430},	// KGlobal::ref
    {61, 2548, 1426},	// KGlobal::setActiveComponent#
    {61, 2554, 1431},	// KGlobal::setAllowQuit$
    {61, 2742, 1438},	// KGlobal::setLocale#
    {61, 2743, 1437},	// KGlobal::setLocale#$
    {61, 3094, -42},	// KGlobal::staticQString$
    {61, 3246, 1435},	// KGlobal::umask
    {62, 47, 1494},	// KJob::Bytes
    {62, 93, 1496},	// KJob::Directories
    {62, 99, 1501},	// KJob::EmitResult
    {62, 126, 1495},	// KJob::Files
    {62, 360, 1487},	// KJob::KJob
    {62, 361, 1451},	// KJob::KJob#
    {62, 362, 1484},	// KJob::KJob##
    {62, 551, 1498},	// KJob::Killable
    {62, 552, 1503},	// KJob::KilledJobError
    {62, 616, 1497},	// KJob::NoCapabilities
    {62, 620, 1502},	// KJob::NoError
    {62, 686, 1500},	// KJob::Quietly
    {62, 752, 1499},	// KJob::Suspendable
    {62, 813, 1504},	// KJob::UserDefinedError
    {62, 1122, 1454},	// KJob::capabilities
    {62, 1364, 1489},	// KJob::description#$
    {62, 1365, 1490},	// KJob::description#$?
    {62, 1366, 1473},	// KJob::description#$??
    {62, 1403, 1460},	// KJob::doKill
    {62, 1404, 1462},	// KJob::doResume
    {62, 1405, 1461},	// KJob::doSuspend
    {62, 1414, 1482},	// KJob::emitPercent??
    {62, 1415, 1481},	// KJob::emitResult
    {62, 1417, 1483},	// KJob::emitSpeed$
    {62, 1460, 1465},	// KJob::error
    {62, 1464, 1467},	// KJob::errorString
    {62, 1466, 1466},	// KJob::errorText
    {62, 1473, 1464},	// KJob::exec
    {62, 1748, 1491},	// KJob::infoMessage#$
    {62, 1749, 1474},	// KJob::infoMessage#$$
    {62, 1798, 1472},	// KJob::isAutoDelete
    {62, 1883, 1455},	// KJob::isSuspended
    {62, 1958, 1488},	// KJob::kill
    {62, 1959, 1457},	// KJob::kill$
    {62, 2074, 1444},	// KJob::metaObject
    {62, 2270, 1470},	// KJob::percent
    {62, 2309, 1468},	// KJob::processedAmount$
    {62, 2344, 1450},	// KJob::qt_metacall$$?
    {62, 2346, 1445},	// KJob::qt_metacast$
    {62, 2496, 1459},	// KJob::resume
    {62, 2565, 1471},	// KJob::setAutoDelete$
    {62, 2585, 1463},	// KJob::setCapabilities$
    {62, 2669, 1476},	// KJob::setError$
    {62, 2675, 1477},	// KJob::setErrorText$
    {62, 2860, 1480},	// KJob::setPercent$
    {62, 2882, 1478},	// KJob::setProcessedAmount$?
    {62, 2957, 1479},	// KJob::setTotalAmount$?
    {62, 2967, 1452},	// KJob::setUiDelegate#
    {62, 3031, 1456},	// KJob::start
    {62, 3092, 1493},	// KJob::staticMetaObject
    {62, 3131, 1458},	// KJob::suspend
    {62, 3199, 1469},	// KJob::totalAmount$
    {62, 3201, 1485},	// KJob::tr$
    {62, 3202, 1446},	// KJob::tr$$
    {62, 3203, 1448},	// KJob::tr$$$
    {62, 3208, 1486},	// KJob::trUtf8$
    {62, 3209, 1447},	// KJob::trUtf8$$
    {62, 3210, 1449},	// KJob::trUtf8$$$
    {62, 3244, 1453},	// KJob::uiDelegate
    {62, 3327, 1492},	// KJob::warning#$
    {62, 3328, 1475},	// KJob::warning#$$
    {62, 3453, 1505},	// KJob::~KJob
    {64, 363, 1528},	// KJobTrackerInterface::KJobTrackerInterface
    {64, 364, 1513},	// KJobTrackerInterface::KJobTrackerInterface#
    {64, 1366, 1519},	// KJobTrackerInterface::description#$??
    {64, 1585, 1516},	// KJobTrackerInterface::finished#
    {64, 1749, 1520},	// KJobTrackerInterface::infoMessage#$$
    {64, 2074, 1506},	// KJobTrackerInterface::metaObject
    {64, 2271, 1524},	// KJobTrackerInterface::percent#$
    {64, 2308, 1523},	// KJobTrackerInterface::processedAmount#$?
    {64, 2344, 1512},	// KJobTrackerInterface::qt_metacall$$?
    {64, 2346, 1507},	// KJobTrackerInterface::qt_metacast$
    {64, 2446, 1514},	// KJobTrackerInterface::registerJob#
    {64, 2498, 1518},	// KJobTrackerInterface::resumed#
    {64, 3014, 1525},	// KJobTrackerInterface::speed#$
    {64, 3092, 1529},	// KJobTrackerInterface::staticMetaObject
    {64, 3133, 1517},	// KJobTrackerInterface::suspended#
    {64, 3198, 1522},	// KJobTrackerInterface::totalAmount#$?
    {64, 3201, 1526},	// KJobTrackerInterface::tr$
    {64, 3202, 1508},	// KJobTrackerInterface::tr$$
    {64, 3203, 1510},	// KJobTrackerInterface::tr$$$
    {64, 3208, 1527},	// KJobTrackerInterface::trUtf8$
    {64, 3209, 1509},	// KJobTrackerInterface::trUtf8$$
    {64, 3210, 1511},	// KJobTrackerInterface::trUtf8$$$
    {64, 3255, 1515},	// KJobTrackerInterface::unregisterJob#
    {64, 3328, 1521},	// KJobTrackerInterface::warning#$$
    {64, 3454, 1530},	// KJobTrackerInterface::~KJobTrackerInterface
    {65, 365, 1538},	// KJobUiDelegate::KJobUiDelegate
    {65, 1799, 1542},	// KJobUiDelegate::isAutoErrorHandlingEnabled
    {65, 1800, 1544},	// KJobUiDelegate::isAutoWarningHandlingEnabled
    {65, 1902, 1539},	// KJobUiDelegate::job
    {65, 2074, 1531},	// KJobUiDelegate::metaObject
    {65, 2344, 1537},	// KJobUiDelegate::qt_metacall$$?
    {65, 2346, 1532},	// KJobUiDelegate::qt_metacast$
    {65, 2569, 1541},	// KJobUiDelegate::setAutoErrorHandlingEnabled$
    {65, 2573, 1543},	// KJobUiDelegate::setAutoWarningHandlingEnabled$
    {65, 2992, 1540},	// KJobUiDelegate::showErrorMessage
    {65, 3008, 1545},	// KJobUiDelegate::slotWarning#$$
    {65, 3092, 1548},	// KJobUiDelegate::staticMetaObject
    {65, 3201, 1546},	// KJobUiDelegate::tr$
    {65, 3202, 1533},	// KJobUiDelegate::tr$$
    {65, 3203, 1535},	// KJobUiDelegate::tr$$$
    {65, 3208, 1547},	// KJobUiDelegate::trUtf8$
    {65, 3209, 1534},	// KJobUiDelegate::trUtf8$$
    {65, 3210, 1536},	// KJobUiDelegate::trUtf8$$$
    {65, 3455, 1549},	// KJobUiDelegate::~KJobUiDelegate
    {66, 106, 1572},	// KLibLoader::ErrNoComponent
    {66, 107, 1571},	// KLibLoader::ErrNoFactory
    {66, 108, 1570},	// KLibLoader::ErrNoLibrary
    {66, 109, 1574},	// KLibLoader::ErrNoServiceFound
    {66, 110, 1573},	// KLibLoader::ErrServiceProvidesNoLibrary
    {66, 1465, 1563},	// KLibLoader::errorString$
    {66, 1512, 1566},	// KLibLoader::factory$
    {66, 1513, 1557},	// KLibLoader::factory$$
    {66, 1578, 1568},	// KLibLoader::findLibrary$
    {66, 1579, 1562},	// KLibLoader::findLibrary$#
    {66, 1973, 1559},	// KLibLoader::lastErrorMessage
    {66, 1982, 1567},	// KLibLoader::library$
    {66, 1983, 1558},	// KLibLoader::library$$
    {66, 2074, 1550},	// KLibLoader::metaObject
    {66, 2344, 1556},	// KLibLoader::qt_metacall$$?
    {66, 2346, 1551},	// KLibLoader::qt_metacast$
    {66, 2522, 1561},	// KLibLoader::self
    {66, 3092, 1569},	// KLibLoader::staticMetaObject
    {66, 3201, 1564},	// KLibLoader::tr$
    {66, 3202, 1552},	// KLibLoader::tr$$
    {66, 3203, 1554},	// KLibLoader::tr$$$
    {66, 3208, 1565},	// KLibLoader::trUtf8$
    {66, 3209, 1553},	// KLibLoader::trUtf8$$
    {66, 3210, 1555},	// KLibLoader::trUtf8$$$
    {66, 3252, 1560},	// KLibLoader::unloadLibrary$
    {67, 366, 1592},	// KLibrary::KLibrary
    {67, 367, 1582},	// KLibrary::KLibrary#
    {67, 368, 1593},	// KLibrary::KLibrary$
    {67, 369, 1594},	// KLibrary::KLibrary$#
    {67, 370, 1583},	// KLibrary::KLibrary$##
    {67, 371, 1595},	// KLibrary::KLibrary$$
    {67, 372, 1596},	// KLibrary::KLibrary$$#
    {67, 373, 1584},	// KLibrary::KLibrary$$##
    {67, 1511, 1597},	// KLibrary::factory
    {67, 1512, 1585},	// KLibrary::factory$
    {67, 2074, 1575},	// KLibrary::metaObject
    {67, 2344, 1581},	// KLibrary::qt_metacall$$?
    {67, 2346, 1576},	// KLibrary::qt_metacast$
    {67, 2488, 1587},	// KLibrary::resolveFunction$
    {67, 2490, 1586},	// KLibrary::resolveSymbol$
    {67, 2685, 1598},	// KLibrary::setFileName$
    {67, 2686, 1588},	// KLibrary::setFileName$#
    {67, 3092, 1599},	// KLibrary::staticMetaObject
    {67, 3201, 1590},	// KLibrary::tr$
    {67, 3202, 1577},	// KLibrary::tr$$
    {67, 3203, 1579},	// KLibrary::tr$$$
    {67, 3208, 1591},	// KLibrary::trUtf8$
    {67, 3209, 1578},	// KLibrary::trUtf8$$
    {67, 3210, 1580},	// KLibrary::trUtf8$$$
    {67, 3250, 1589},	// KLibrary::unload
    {67, 3456, 1600},	// KLibrary::~KLibrary
    {68, 3, 1624},	// KLocalSocket::AbstractUnixSocket
    {68, 374, 1619},	// KLocalSocket::KLocalSocket
    {68, 375, 1608},	// KLocalSocket::KLocalSocket#
    {68, 798, 1623},	// KLocalSocket::UnixSocket
    {68, 800, 1625},	// KLocalSocket::UnknownLocalSocketType
    {68, 1201, 1615},	// KLocalSocket::connectToHostImplementation$$$
    {68, 1203, 1620},	// KLocalSocket::connectToPath$
    {68, 1204, -766},	// KLocalSocket::connectToPath$$
    {68, 1205, 1610},	// KLocalSocket::connectToPath$$$
    {68, 1399, 1616},	// KLocalSocket::disconnectFromHostImplementation
    {68, 1400, 1611},	// KLocalSocket::disconnectFromPath
    {68, 2001, 1613},	// KLocalSocket::localPath
    {68, 2002, 1612},	// KLocalSocket::localSocketType
    {68, 2074, 1601},	// KLocalSocket::metaObject
    {68, 2268, 1614},	// KLocalSocket::peerPath
    {68, 2344, 1607},	// KLocalSocket::qt_metacall$$?
    {68, 2346, 1602},	// KLocalSocket::qt_metacast$
    {68, 3092, 1622},	// KLocalSocket::staticMetaObject
    {68, 3201, 1617},	// KLocalSocket::tr$
    {68, 3202, 1603},	// KLocalSocket::tr$$
    {68, 3203, 1605},	// KLocalSocket::tr$$$
    {68, 3208, 1618},	// KLocalSocket::trUtf8$
    {68, 3209, 1604},	// KLocalSocket::trUtf8$$
    {68, 3210, 1606},	// KLocalSocket::trUtf8$$$
    {68, 3457, 1626},	// KLocalSocket::~KLocalSocket
    {69, 376, 1651},	// KLocalSocketServer::KLocalSocketServer
    {69, 377, 1634},	// KLocalSocketServer::KLocalSocketServer#
    {69, 1165, 1636},	// KLocalSocketServer::close
    {69, 1464, 1646},	// KLocalSocketServer::errorString
    {69, 1711, 1643},	// KLocalSocketServer::hasPendingConnections
    {69, 1746, 1647},	// KLocalSocketServer::incomingConnection$
    {69, 1852, 1637},	// KLocalSocketServer::isListening
    {69, 1989, 1652},	// KLocalSocketServer::listen$
    {69, 1993, 1635},	// KLocalSocketServer::listen$$
    {69, 2001, 1641},	// KLocalSocketServer::localPath
    {69, 2002, 1640},	// KLocalSocketServer::localSocketType
    {69, 2063, 1639},	// KLocalSocketServer::maxPendingConnections
    {69, 2074, 1627},	// KLocalSocketServer::metaObject
    {69, 2129, 1648},	// KLocalSocketServer::newConnection
    {69, 2134, 1644},	// KLocalSocketServer::nextPendingConnection
    {69, 2344, 1633},	// KLocalSocketServer::qt_metacall$$?
    {69, 2346, 1628},	// KLocalSocketServer::qt_metacast$
    {69, 2524, 1645},	// KLocalSocketServer::serverError
    {69, 2810, 1638},	// KLocalSocketServer::setMaxPendingConnections$
    {69, 3092, 1655},	// KLocalSocketServer::staticMetaObject
    {69, 3201, 1649},	// KLocalSocketServer::tr$
    {69, 3202, 1629},	// KLocalSocketServer::tr$$
    {69, 3203, 1631},	// KLocalSocketServer::tr$$$
    {69, 3208, 1650},	// KLocalSocketServer::trUtf8$
    {69, 3209, 1630},	// KLocalSocketServer::trUtf8$$
    {69, 3210, 1632},	// KLocalSocketServer::trUtf8$$$
    {69, 3319, 1653},	// KLocalSocketServer::waitForNewConnection
    {69, 3320, 1654},	// KLocalSocketServer::waitForNewConnection$
    {69, 3321, 1642},	// KLocalSocketServer::waitForNewConnection$$
    {69, 3458, 1656},	// KLocalSocketServer::~KLocalSocketServer
    {70, 15, 1823},	// KLocale::AfterMoney
    {70, 16, 1821},	// KLocale::AfterQuantityMoney
    {70, 24, 1824},	// KLocale::ArabicDigits
    {70, 25, 1825},	// KLocale::ArabicIndicDigits
    {70, 43, 1822},	// KLocale::BeforeMoney
    {70, 44, 1820},	// KLocale::BeforeQuantityMoney
    {70, 45, 1828},	// KLocale::BengaliDigits
    {70, 85, 1849},	// KLocale::DefaultBinaryDialect
    {70, 86, 1838},	// KLocale::DefaultBinaryUnits
    {70, 91, 1827},	// KLocale::DevenagariDigits
    {70, 98, 1826},	// KLocale::EasternArabicIndicDigits
    {70, 122, 1860},	// KLocale::FancyLongDate
    {70, 123, 1859},	// KLocale::FancyShortDate
    {70, 137, 1829},	// KLocale::GujaratiDigits
    {70, 138, 1830},	// KLocale::GurmukhiDigits
    {70, 148, 1850},	// KLocale::IECBinaryDialect
    {70, 157, 1880},	// KLocale::Imperial
    {70, 169, 1861},	// KLocale::IsoDate
    {70, 170, 1872},	// KLocale::IsoFormat
    {70, 171, 1863},	// KLocale::IsoOrdinalDate
    {70, 172, 1874},	// KLocale::IsoOrdinalFormat
    {70, 173, 1862},	// KLocale::IsoWeekDate
    {70, 174, 1873},	// KLocale::IsoWeekFormat
    {70, 256, 1851},	// KLocale::JEDECBinaryDialect
    {70, 379, 1659},	// KLocale::KLocale#
    {70, 380, 1788},	// KLocale::KLocale$
    {70, 381, 1789},	// KLocale::KLocale$$
    {70, 382, 1790},	// KLocale::KLocale$$$
    {70, 383, 1658},	// KLocale::KLocale$$$#
    {70, 384, 1657},	// KLocale::KLocale$?
    {70, 546, 1831},	// KLocale::KannadaDigits
    {70, 547, 1854},	// KLocale::KdeFormat
    {70, 550, 1832},	// KLocale::KhmerDigits
    {70, 554, 1853},	// KLocale::LastBinaryDialect
    {70, 601, 1858},	// KLocale::LongDate
    {70, 607, 1833},	// KLocale::MalayalamDigits
    {70, 610, 1879},	// KLocale::Metric
    {70, 611, 1852},	// KLocale::MetricBinaryDialect
    {70, 634, 1870},	// KLocale::NormalFormat
    {70, 650, 1834},	// KLocale::OriyaDigits
    {70, 653, 1819},	// KLocale::ParensAround
    {70, 668, 1855},	// KLocale::PosixFormat
    {70, 671, 1878},	// KLocale::ProcessNonStrict
    {70, 672, 1877},	// KLocale::ProcessStrict
    {70, 711, 1865},	// KLocale::Seconds
    {70, 715, 1857},	// KLocale::ShortDate
    {70, 717, 1871},	// KLocale::ShortFormat
    {70, 758, 1835},	// KLocale::TamilDigits
    {70, 760, 1836},	// KLocale::TeluguDigits
    {70, 763, 1837},	// KLocale::ThaiDigits
    {70, 765, 1866},	// KLocale::TimeDefault
    {70, 766, 1869},	// KLocale::TimeDuration
    {70, 768, 1868},	// KLocale::TimeWithoutAmPm
    {70, 769, 1867},	// KLocale::TimeWithoutSeconds
    {70, 770, 1864},	// KLocale::TimeZone
    {70, 786, 1856},	// KLocale::UnicodeFormat
    {70, 787, 1839},	// KLocale::UnitByte
    {70, 788, 1845},	// KLocale::UnitExaByte
    {70, 789, 1842},	// KLocale::UnitGigaByte
    {70, 790, 1840},	// KLocale::UnitKiloByte
    {70, 791, 1848},	// KLocale::UnitLastUnit
    {70, 792, 1841},	// KLocale::UnitMegaByte
    {70, 793, 1844},	// KLocale::UnitPetaByte
    {70, 794, 1843},	// KLocale::UnitTeraByte
    {70, 795, 1847},	// KLocale::UnitYottaByte
    {70, 796, 1846},	// KLocale::UnitZettaByte
    {70, 817, 1875},	// KLocale::WithSeconds
    {70, 818, 1876},	// KLocale::WithoutSeconds
    {70, 1027, 1771},	// KLocale::allCountriesList
    {70, 1030, 1671},	// KLocale::allDigitSetsList
    {70, 1033, 1769},	// KLocale::allLanguagesList
    {70, 1103, 1696},	// KLocale::binaryUnitDialect
    {70, 1113, 1713},	// KLocale::calendar
    {70, 1117, 1714},	// KLocale::calendarType
    {70, 1169, 1730},	// KLocale::codecForEncoding
    {70, 1211, 1818},	// KLocale::convertDigits$$
    {70, 1212, 1787},	// KLocale::convertDigits$$$
    {70, 1214, 1781},	// KLocale::copyCatalogsTo#
    {70, 1223, 1725},	// KLocale::country
    {70, 1226, 1772},	// KLocale::countryCodeToName$
    {70, 1245, 1676},	// KLocale::currency
    {70, 1246, 1675},	// KLocale::currencyCode
    {70, 1247, 1727},	// KLocale::currencyCodeList
    {70, 1251, 1677},	// KLocale::currencySymbol
    {70, 1278, 1741},	// KLocale::dateFormat
    {70, 1279, 1742},	// KLocale::dateFormatShort
    {70, 1281, 1704},	// KLocale::dateMonthNamePossessive
    {70, 1284, 1707},	// KLocale::dateTimeDigitSet
    {70, 1325, 1683},	// KLocale::decimalPlaces
    {70, 1326, 1672},	// KLocale::decimalSymbol
    {70, 1339, 1777},	// KLocale::defaultCountry
    {70, 1340, 1778},	// KLocale::defaultCurrencyCode
    {70, 1341, 1776},	// KLocale::defaultLanguage
    {70, 1389, 1674},	// KLocale::digitSet
    {70, 1391, 1791},	// KLocale::digitSetToName$
    {70, 1392, 1670},	// KLocale::digitSetToName$$
    {70, 1427, 1728},	// KLocale::encoding
    {70, 1431, 1729},	// KLocale::encodingMib
    {70, 1522, 1731},	// KLocale::fileEncodingMib
    {70, 1593, 1694},	// KLocale::formatByteSize$
    {70, 1594, 1797},	// KLocale::formatByteSize$$
    {70, 1595, 1798},	// KLocale::formatByteSize$$$
    {70, 1596, 1695},	// KLocale::formatByteSize$$$$
    {70, 1598, 1799},	// KLocale::formatDate#
    {70, 1599, 1701},	// KLocale::formatDate#$
    {70, 1603, -8},	// KLocale::formatDateTime#
    {70, 1604, -11},	// KLocale::formatDateTime#$
    {70, 1605, -14},	// KLocale::formatDateTime#$$
    {70, 1607, 1698},	// KLocale::formatDuration$
    {70, 1609, 1806},	// KLocale::formatLocaleTime#
    {70, 1610, 1706},	// KLocale::formatLocaleTime#$
    {70, 1612, 1693},	// KLocale::formatLong$
    {70, 1614, 1792},	// KLocale::formatMoney$
    {70, 1615, 1793},	// KLocale::formatMoney$$
    {70, 1616, 1690},	// KLocale::formatMoney$$$
    {70, 1618, -17},	// KLocale::formatNumber$
    {70, 1619, -20},	// KLocale::formatNumber$$
    {70, 1620, 1692},	// KLocale::formatNumber$$$
    {70, 1622, 1804},	// KLocale::formatTime#
    {70, 1623, 1805},	// KLocale::formatTime#$
    {70, 1624, 1705},	// KLocale::formatTime#$$
    {70, 1625, 1682},	// KLocale::fracDigits
    {70, 1764, 1765},	// KLocale::insertCatalog$
    {70, 1795, 1780},	// KLocale::isApplicationTranslatedInto$
    {70, 1965, 1817},	// KLocale::langLookup$
    {70, 1966, 1775},	// KLocale::langLookup$$
    {70, 1967, 1724},	// KLocale::language
    {70, 1969, 1770},	// KLocale::languageCodeToName$
    {70, 1972, 1726},	// KLocale::languageList
    {70, 2005, 1785},	// KLocale::localizedFilePath$
    {70, 2069, 1763},	// KLocale::measureSystem
    {70, 2091, 1684},	// KLocale::monetaryDecimalPlaces
    {70, 2092, 1678},	// KLocale::monetaryDecimalSymbol
    {70, 2093, 1689},	// KLocale::monetaryDigitSet
    {70, 2094, 1679},	// KLocale::monetaryThousandsSeparator
    {70, 2124, 1688},	// KLocale::negativeMonetarySignPosition
    {70, 2125, 1686},	// KLocale::negativePrefixCurrencySymbol
    {70, 2126, 1681},	// KLocale::negativeSign
    {70, 2138, 1700},	// KLocale::nounDeclension
    {70, 2212, 1660},	// KLocale::operator=#
    {70, 2248, 1761},	// KLocale::pageSize
    {70, 2288, 1687},	// KLocale::positiveMonetarySignPosition
    {70, 2289, 1685},	// KLocale::positivePrefixCurrencySymbol
    {70, 2290, 1680},	// KLocale::positiveSign
    {70, 2297, 1699},	// KLocale::prettyFormatDuration$
    {70, 2384, 1809},	// KLocale::readDate$
    {70, 2385, -23},	// KLocale::readDate$$
    {70, 2386, -27},	// KLocale::readDate$$$
    {70, 2409, 1814},	// KLocale::readLocaleTime$
    {70, 2410, 1815},	// KLocale::readLocaleTime$$
    {70, 2411, 1816},	// KLocale::readLocaleTime$$$
    {70, 2412, 1723},	// KLocale::readLocaleTime$$$$
    {70, 2414, 1807},	// KLocale::readMoney$
    {70, 2415, 1716},	// KLocale::readMoney$$
    {70, 2418, 1808},	// KLocale::readNumber$
    {70, 2419, 1717},	// KLocale::readNumber$$
    {70, 2425, 1812},	// KLocale::readTime$
    {70, 2426, -30},	// KLocale::readTime$$
    {70, 2427, 1722},	// KLocale::readTime$$$
    {70, 2460, 1786},	// KLocale::removeAcceleratorMarker$
    {70, 2462, 1766},	// KLocale::removeCatalog$
    {70, 2546, 1767},	// KLocale::setActiveCatalog$
    {70, 2577, 1697},	// KLocale::setBinaryUnitDialect$
    {70, 2583, 1715},	// KLocale::setCalendar$
    {70, 2603, 1782},	// KLocale::setCountry$#
    {70, 2605, 1758},	// KLocale::setCurrencyCode$
    {70, 2607, 1759},	// KLocale::setCurrencySymbol$
    {70, 2626, 1732},	// KLocale::setDateFormat$
    {70, 2628, 1733},	// KLocale::setDateFormatShort$
    {70, 2632, 1734},	// KLocale::setDateMonthNamePossessive$
    {70, 2638, 1736},	// KLocale::setDateTimeDigitSet$
    {70, 2640, 1754},	// KLocale::setDecimalPlaces$
    {70, 2642, 1744},	// KLocale::setDecimalSymbol$
    {70, 2657, 1748},	// KLocale::setDigitSet$
    {70, 2663, 1669},	// KLocale::setEncoding$
    {70, 2692, 1753},	// KLocale::setFracDigits$
    {70, 2721, 1783},	// KLocale::setLanguage$#
    {70, 2722, 1784},	// KLocale::setLanguage?
    {70, 2802, 1774},	// KLocale::setMainCatalog$
    {70, 2815, 1764},	// KLocale::setMeasureSystem$
    {70, 2826, 1755},	// KLocale::setMonetaryDecimalPlaces$
    {70, 2828, 1757},	// KLocale::setMonetaryDecimalSymbol$
    {70, 2830, 1760},	// KLocale::setMonetaryDigitSet$
    {70, 2832, 1756},	// KLocale::setMonetaryThousandsSeparator$
    {70, 2836, 1750},	// KLocale::setNegativeMonetarySignPosition$
    {70, 2838, 1752},	// KLocale::setNegativePrefixCurrencySymbol$
    {70, 2840, 1747},	// KLocale::setNegativeSign$
    {70, 2854, 1762},	// KLocale::setPageSize$
    {70, 2866, 1749},	// KLocale::setPositiveMonetarySignPosition$
    {70, 2868, 1751},	// KLocale::setPositivePrefixCurrencySymbol$
    {70, 2870, 1746},	// KLocale::setPositiveSign$
    {70, 2945, 1745},	// KLocale::setThousandsSeparator$
    {70, 2949, 1735},	// KLocale::setTimeFormat$
    {70, 2975, 1740},	// KLocale::setWeekDayOfPray$
    {70, 2977, 1737},	// KLocale::setWeekStartDay$
    {70, 2981, 1739},	// KLocale::setWorkingWeekEndDay$
    {70, 2983, 1738},	// KLocale::setWorkingWeekStartDay$
    {70, 3024, 1773},	// KLocale::splitLocale$$$$$
    {70, 3160, 1673},	// KLocale::thousandsSeparator
    {70, 3164, 1743},	// KLocale::timeFormat
    {70, 3230, 1768},	// KLocale::translateQt$$$
    {70, 3232, 1662},	// KLocale::translateRaw$$$
    {70, 3233, 1664},	// KLocale::translateRaw$$$$
    {70, 3234, 1666},	// KLocale::translateRaw$$$$$
    {70, 3235, 1668},	// KLocale::translateRaw$$$$$$
    {70, 3237, 1661},	// KLocale::translateRawFrom$$$$
    {70, 3238, 1663},	// KLocale::translateRawFrom$$$$$
    {70, 3239, 1665},	// KLocale::translateRawFrom$$$$$$
    {70, 3240, 1667},	// KLocale::translateRawFrom$$$$$$$
    {70, 3274, 1708},	// KLocale::use12Clock
    {70, 3277, 1779},	// KLocale::useTranscript
    {70, 3338, 1712},	// KLocale::weekDayOfPray
    {70, 3345, 1709},	// KLocale::weekStartDay
    {70, 3357, 1711},	// KLocale::workingWeekEndDay
    {70, 3358, 1710},	// KLocale::workingWeekStartDay
    {70, 3459, 1881},	// KLocale::~KLocale
    {71, 385, 1882},	// KLocalizedString::KLocalizedString
    {71, 386, 1883},	// KLocalizedString::KLocalizedString#
    {71, 1744, 1899},	// KLocalizedString::inContext$$
    {71, 1826, 1889},	// KLocalizedString::isEmpty
    {71, 2137, 1900},	// KLocalizedString::notifyCatalogsUpdated??
    {71, 2212, 1884},	// KLocalizedString::operator=#
    {71, 3108, 1923},	// KLocalizedString::subs#
    {71, 3109, 1924},	// KLocalizedString::subs#$
    {71, 3110, 1897},	// KLocalizedString::subs#$#
    {71, 3111, -769},	// KLocalizedString::subs$
    {71, 3112, -776},	// KLocalizedString::subs$$
    {71, 3113, 1898},	// KLocalizedString::subs$$#
    {71, 3114, -783},	// KLocalizedString::subs$$$
    {71, 3115, -789},	// KLocalizedString::subs$$$#
    {71, 3116, 1922},	// KLocalizedString::subs$$$$
    {71, 3117, 1896},	// KLocalizedString::subs$$$$#
    {71, 3118, -794},	// KLocalizedString::subs?
    {71, 3119, -797},	// KLocalizedString::subs?$
    {71, 3120, -800},	// KLocalizedString::subs?$$
    {71, 3121, -803},	// KLocalizedString::subs?$$#
    {71, 3181, 1885},	// KLocalizedString::toString
    {71, 3182, 1887},	// KLocalizedString::toString#
    {71, 3183, 1888},	// KLocalizedString::toString#$
    {71, 3184, 1886},	// KLocalizedString::toString$
    {71, 3460, 1927},	// KLocalizedString::~KLocalizedString
    {72, 127, 1943},	// KLockFile::ForceFlag
    {72, 388, 1935},	// KLockFile::KLockFile#
    {72, 389, 1936},	// KLockFile::KLockFile$
    {72, 390, 1928},	// KLockFile::KLockFile$#
    {72, 597, 1940},	// KLockFile::LockError
    {72, 598, 1939},	// KLockFile::LockFail
    {72, 599, 1938},	// KLockFile::LockOK
    {72, 600, 1941},	// KLockFile::LockStale
    {72, 615, 1942},	// KLockFile::NoBlockFlag
    {72, 1662, 1934},	// KLockFile::getLockInfo$$$
    {72, 1856, 1930},	// KLockFile::isLocked
    {72, 2019, 1937},	// KLockFile::lock
    {72, 2020, 1929},	// KLockFile::lock$
    {72, 2933, 1933},	// KLockFile::setStaleTime$
    {72, 3030, 1932},	// KLockFile::staleTime
    {72, 3253, 1931},	// KLockFile::unlock
    {72, 3461, 1944},	// KLockFile::~KLockFile
    {73, 391, 1945},	// KMD5::KMD5
    {73, 392, 1947},	// KMD5::KMD5#
    {73, 393, 1962},	// KMD5::KMD5$
    {73, 394, 1946},	// KMD5::KMD5$$
    {73, 1094, 1957},	// KMD5::base64Digest
    {73, 1528, 1961},	// KMD5::finalize
    {73, 1723, 1955},	// KMD5::hexDigest
    {73, 1724, 1956},	// KMD5::hexDigest#
    {73, 2367, 1953},	// KMD5::rawDigest
    {73, 2368, 1954},	// KMD5::rawDigest$
    {73, 2483, 1952},	// KMD5::reset
    {73, 3212, 1960},	// KMD5::transform$
    {73, 3262, -33},	// KMD5::update#
    {73, 3263, -36},	// KMD5::update$
    {73, 3264, -39},	// KMD5::update$$
    {73, 3302, 1959},	// KMD5::verify#
    {73, 3303, 1958},	// KMD5::verify$
    {73, 3462, 1965},	// KMD5::~KMD5
    {74, 1496, -203},	// KMacroExpander::expandMacros$?
    {74, 1497, -208},	// KMacroExpander::expandMacros$?#
    {74, 1501, -213},	// KMacroExpander::expandMacrosShellQuote$?
    {74, 1502, -218},	// KMacroExpander::expandMacrosShellQuote$?#
    {75, 395, 1991},	// KMacroExpanderBase::KMacroExpanderBase
    {75, 396, -70},	// KMacroExpanderBase::KMacroExpanderBase#
    {75, 1469, 1987},	// KMacroExpanderBase::escapeChar
    {75, 1490, 1989},	// KMacroExpanderBase::expandEscapedMacro$$?
    {75, 1495, 1983},	// KMacroExpanderBase::expandMacros$
    {75, 1499, 1985},	// KMacroExpanderBase::expandMacrosShellQuote$
    {75, 1500, 1984},	// KMacroExpanderBase::expandMacrosShellQuote$$
    {75, 1504, 1988},	// KMacroExpanderBase::expandPlainMacro$$?
    {75, 2677, 1986},	// KMacroExpanderBase::setEscapeChar#
    {75, 3463, 1992},	// KMacroExpanderBase::~KMacroExpanderBase
    {76, 111, 1996},	// KMessage::Error
    {76, 124, 2000},	// KMessage::Fatal
    {76, 159, 1997},	// KMessage::Information
    {76, 728, 1999},	// KMessage::Sorry
    {76, 814, 1998},	// KMessage::Warning
    {76, 2072, 1994},	// KMessage::message$$
    {76, 2073, 1993},	// KMessage::message$$$
    {76, 2819, 1995},	// KMessage::setMessageHandler#
    {77, 397, 2002},	// KMessageHandler::KMessageHandler
    {77, 398, 2003},	// KMessageHandler::KMessageHandler#
    {77, 2073, 2001},	// KMessageHandler::message$$$
    {77, 3464, 2004},	// KMessageHandler::~KMessageHandler
    {78, 96, 2054},	// KMimeType::DontResolveAlias
    {78, 400, 2034},	// KMimeType::KMimeType#
    {78, 401, 2032},	// KMimeType::KMimeType#$
    {78, 402, 2035},	// KMimeType::KMimeType#$$
    {78, 403, 2033},	// KMimeType::KMimeType$$$
    {78, 705, 2055},	// KMimeType::ResolveAliases
    {78, 1034, 2020},	// KMimeType::allMimeTypes
    {78, 1035, 2026},	// KMimeType::allParentMimeTypes
    {78, 1175, 2038},	// KMimeType::comment
    {78, 1176, 2008},	// KMimeType::comment#
    {78, 1343, 2021},	// KMimeType::defaultMimeType
    {78, 1344, 2022},	// KMimeType::defaultMimeTypePtr
    {78, 1508, 2030},	// KMimeType::extractKnownExtension$
    {78, 1516, 2007},	// KMimeType::favIconForUrl#
    {78, 1539, -241},	// KMimeType::findByContent#
    {78, 1540, -244},	// KMimeType::findByContent#$
    {78, 1542, 2053},	// KMimeType::findByFileContent$
    {78, 1543, 2017},	// KMimeType::findByFileContent$$
    {78, 1545, -247},	// KMimeType::findByNameAndContent$#
    {78, 1546, -250},	// KMimeType::findByNameAndContent$#$
    {78, 1547, -253},	// KMimeType::findByNameAndContent$#$$
    {78, 1549, 2044},	// KMimeType::findByPath$
    {78, 1550, 2045},	// KMimeType::findByPath$$
    {78, 1551, 2046},	// KMimeType::findByPath$$$
    {78, 1552, 2012},	// KMimeType::findByPath$$$$
    {78, 1554, 2040},	// KMimeType::findByUrl#
    {78, 1555, 2041},	// KMimeType::findByUrl#$
    {78, 1556, 2042},	// KMimeType::findByUrl#$$
    {78, 1557, 2043},	// KMimeType::findByUrl#$$$
    {78, 1558, 2011},	// KMimeType::findByUrl#$$$$
    {78, 1735, 2036},	// KMimeType::iconName
    {78, 1736, 2005},	// KMimeType::iconName#
    {78, 1738, 2037},	// KMimeType::iconNameForUrl#
    {78, 1739, 2006},	// KMimeType::iconNameForUrl#$
    {78, 1792, 2027},	// KMimeType::is$
    {78, 1803, 2018},	// KMimeType::isBinaryData$
    {78, 1805, 2019},	// KMimeType::isBufferBinaryData#
    {78, 1815, 2023},	// KMimeType::isDefault
    {78, 2055, 2029},	// KMimeType::mainExtension
    {78, 2076, 2039},	// KMimeType::mimeType$
    {78, 2077, 2010},	// KMimeType::mimeType$$
    {78, 2251, 2024},	// KMimeType::parentMimeType
    {78, 2252, 2025},	// KMimeType::parentMimeTypes
    {78, 2264, 2009},	// KMimeType::patterns
    {78, 2988, 2031},	// KMimeType::sharedMimeInfoVersion
    {78, 3282, 2028},	// KMimeType::userSpecifiedIconName
    {78, 3465, 2056},	// KMimeType::~KMimeType
    {80, 405, 2060},	// KMimeTypeTrader::KMimeTypeTrader#
    {80, 2294, 2063},	// KMimeTypeTrader::preferredService$
    {80, 2295, 2058},	// KMimeTypeTrader::preferredService$$
    {80, 2348, 2061},	// KMimeTypeTrader::query$
    {80, 2349, 2062},	// KMimeTypeTrader::query$$
    {80, 2350, 2057},	// KMimeTypeTrader::query$$$
    {80, 2522, 2059},	// KMimeTypeTrader::self
    {80, 3466, 2064},	// KMimeTypeTrader::~KMimeTypeTrader
    {82, 406, 2089},	// KPluginFactory::KPluginFactory
    {82, 407, -320},	// KPluginFactory::KPluginFactory#
    {82, 408, -325},	// KPluginFactory::KPluginFactory##
    {82, 409, 2090},	// KPluginFactory::KPluginFactory$
    {82, 410, 2091},	// KPluginFactory::KPluginFactory$$
    {82, 411, 2072},	// KPluginFactory::KPluginFactory$$#
    {82, 1179, 2076},	// KPluginFactory::componentData
    {82, 1227, 2094},	// KPluginFactory::create
    {82, 1228, 2095},	// KPluginFactory::create#
    {82, 1229, 2096},	// KPluginFactory::create#$
    {82, 1230, 2077},	// KPluginFactory::create#$?
    {82, 1233, 2086},	// KPluginFactory::create$##?$
    {82, 1238, 2083},	// KPluginFactory::createObject#$?
    {82, 1240, 2084},	// KPluginFactory::createPartObject##$?
    {82, 2074, 2065},	// KPluginFactory::metaObject
    {82, 2145, 2078},	// KPluginFactory::objectCreated#
    {82, 2344, 2071},	// KPluginFactory::qt_metacall$$?
    {82, 2346, 2066},	// KPluginFactory::qt_metacast$
    {82, 2595, 2085},	// KPluginFactory::setComponentData#
    {82, 2987, 2082},	// KPluginFactory::setupTranslations
    {82, 3092, 2098},	// KPluginFactory::staticMetaObject
    {82, 3105, 2080},	// KPluginFactory::stringListToVariantList?
    {82, 3201, 2087},	// KPluginFactory::tr$
    {82, 3202, 2067},	// KPluginFactory::tr$$
    {82, 3203, 2069},	// KPluginFactory::tr$$$
    {82, 3208, 2088},	// KPluginFactory::trUtf8$
    {82, 3209, 2068},	// KPluginFactory::trUtf8$$
    {82, 3210, 2070},	// KPluginFactory::trUtf8$$$
    {82, 3300, 2081},	// KPluginFactory::variantListToStringList?
    {82, 3467, 2099},	// KPluginFactory::~KPluginFactory
    {84, 412, 2102},	// KPluginInfo::KPluginInfo
    {84, 413, 2132},	// KPluginInfo::KPluginInfo#
    {84, 414, 2138},	// KPluginInfo::KPluginInfo$
    {84, 415, 2100},	// KPluginInfo::KPluginInfo$$
    {84, 416, 2101},	// KPluginInfo::KPluginInfo?
    {84, 1061, 2115},	// KPluginInfo::author
    {84, 1130, 2117},	// KPluginInfo::category
    {84, 1175, 2112},	// KPluginInfo::comment
    {84, 1184, 2127},	// KPluginInfo::config
    {84, 1349, 2130},	// KPluginInfo::defaults
    {84, 1361, 2123},	// KPluginInfo::dependencies
    {84, 1411, 2116},	// KPluginInfo::email
    {84, 1447, 2114},	// KPluginInfo::entryPath
    {84, 1632, 2140},	// KPluginInfo::fromFiles?
    {84, 1633, 2104},	// KPluginInfo::fromFiles?#
    {84, 1635, 2141},	// KPluginInfo::fromKPartsInstanceName$
    {84, 1636, 2105},	// KPluginInfo::fromKPartsInstanceName$#
    {84, 1644, 2139},	// KPluginInfo::fromServices?
    {84, 1645, 2103},	// KPluginInfo::fromServices?#
    {84, 1654, 2122},	// KPluginInfo::fullLicense
    {84, 1733, 2113},	// KPluginInfo::icon
    {84, 1843, 2106},	// KPluginInfo::isHidden
    {84, 1865, 2108},	// KPluginInfo::isPluginEnabled
    {84, 1866, 2109},	// KPluginInfo::isPluginEnabledByDefault
    {84, 1890, 2131},	// KPluginInfo::isValid
    {84, 1922, 2125},	// KPluginInfo::kcmServices
    {84, 1984, 2121},	// KPluginInfo::license
    {84, 1994, 2143},	// KPluginInfo::load
    {84, 1995, 2129},	// KPluginInfo::load#
    {84, 2115, 2111},	// KPluginInfo::name
    {84, 2172, 2135},	// KPluginInfo::operator!=#
    {84, 2194, 2136},	// KPluginInfo::operator<#
    {84, 2212, 2133},	// KPluginInfo::operator=#
    {84, 2215, 2134},	// KPluginInfo::operator==#
    {84, 2222, 2137},	// KPluginInfo::operator>#
    {84, 2281, 2118},	// KPluginInfo::pluginName
    {84, 2319, 2110},	// KPluginInfo::property$
    {84, 2505, 2142},	// KPluginInfo::save
    {84, 2506, 2128},	// KPluginInfo::save#
    {84, 2525, 2124},	// KPluginInfo::service
    {84, 2597, 2126},	// KPluginInfo::setConfig#
    {84, 2864, 2107},	// KPluginInfo::setPluginEnabled$
    {84, 3304, 2119},	// KPluginInfo::version
    {84, 3332, 2120},	// KPluginInfo::website
    {84, 3468, 2144},	// KPluginInfo::~KPluginInfo
    {85, 418, 2164},	// KPluginLoader::KPluginLoader#
    {85, 419, 2165},	// KPluginLoader::KPluginLoader##
    {85, 420, 2153},	// KPluginLoader::KPluginLoader###
    {85, 421, 2162},	// KPluginLoader::KPluginLoader$
    {85, 422, 2163},	// KPluginLoader::KPluginLoader$#
    {85, 423, 2152},	// KPluginLoader::KPluginLoader$##
    {85, 1464, 2157},	// KPluginLoader::errorString
    {85, 1511, 2154},	// KPluginLoader::factory
    {85, 1853, 2158},	// KPluginLoader::isLoaded
    {85, 1994, 2159},	// KPluginLoader::load
    {85, 2074, 2145},	// KPluginLoader::metaObject
    {85, 2281, 2155},	// KPluginLoader::pluginName
    {85, 2282, 2156},	// KPluginLoader::pluginVersion
    {85, 2344, 2151},	// KPluginLoader::qt_metacall$$?
    {85, 2346, 2146},	// KPluginLoader::qt_metacast$
    {85, 3092, 2166},	// KPluginLoader::staticMetaObject
    {85, 3201, 2160},	// KPluginLoader::tr$
    {85, 3202, 2147},	// KPluginLoader::tr$$
    {85, 3203, 2149},	// KPluginLoader::tr$$$
    {85, 3208, 2161},	// KPluginLoader::trUtf8$
    {85, 3209, 2148},	// KPluginLoader::trUtf8$$
    {85, 3210, 2150},	// KPluginLoader::trUtf8$$$
    {85, 3469, 2167},	// KPluginLoader::~KPluginLoader
    {86, 128, 2211},	// KProcess::ForwardedChannels
    {86, 424, 2200},	// KProcess::KProcess
    {86, 425, 2175},	// KProcess::KProcess#
    {86, 426, 2197},	// KProcess::KProcess##
    {86, 609, 2210},	// KProcess::MergedChannels
    {86, 644, 2213},	// KProcess::OnlyStderrChannel
    {86, 645, 2212},	// KProcess::OnlyStdoutChannel
    {86, 714, 2209},	// KProcess::SeparateChannels
    {86, 1161, 2181},	// KProcess::clearEnvironment
    {86, 1162, 2186},	// KProcess::clearProgram
    {86, 1478, 2203},	// KProcess::execute
    {86, 1479, -361},	// KProcess::execute$
    {86, 1480, 2205},	// KProcess::execute$?
    {86, 1481, 2191},	// KProcess::execute$?$
    {86, 1482, 2206},	// KProcess::execute?
    {86, 1483, 2192},	// KProcess::execute?$
    {86, 2074, 2168},	// KProcess::metaObject
    {86, 2203, 2184},	// KProcess::operator<<$
    {86, 2204, 2185},	// KProcess::operator<<?
    {86, 2247, 2177},	// KProcess::outputChannelMode
    {86, 2279, 2196},	// KProcess::pid
    {86, 2311, 2188},	// KProcess::program
    {86, 2344, 2174},	// KProcess::qt_metacall$$?
    {86, 2346, 2169},	// KProcess::qt_metacast$
    {86, 2666, 2201},	// KProcess::setEnv$$
    {86, 2667, 2179},	// KProcess::setEnv$$$
    {86, 2842, 2178},	// KProcess::setNextOpenMode$
    {86, 2852, 2176},	// KProcess::setOutputChannelMode$
    {86, 2886, 2202},	// KProcess::setProgram$
    {86, 2887, 2182},	// KProcess::setProgram$?
    {86, 2888, 2183},	// KProcess::setProgram?
    {86, 2918, 2187},	// KProcess::setShellCommand$
    {86, 3031, 2189},	// KProcess::start
    {86, 3034, 2193},	// KProcess::startDetached
    {86, 3035, 2207},	// KProcess::startDetached$
    {86, 3036, 2194},	// KProcess::startDetached$?
    {86, 3037, 2195},	// KProcess::startDetached?
    {86, 3092, 2208},	// KProcess::staticMetaObject
    {86, 3201, 2198},	// KProcess::tr$
    {86, 3202, 2170},	// KProcess::tr$$
    {86, 3203, 2172},	// KProcess::tr$$$
    {86, 3208, 2199},	// KProcess::trUtf8$
    {86, 3209, 2171},	// KProcess::trUtf8$$
    {86, 3210, 2173},	// KProcess::trUtf8$$$
    {86, 3258, 2180},	// KProcess::unsetEnv$
    {86, 3470, 2214},	// KProcess::~KProcess
    {88, 131, 2290},	// KProtocolInfo::FromUrl
    {88, 428, 2234},	// KProtocolInfo::KProtocolInfo#$
    {88, 612, 2289},	// KProtocolInfo::Name
    {88, 754, 2288},	// KProtocolInfo::T_ERROR
    {88, 755, 2286},	// KProtocolInfo::T_FILESYSTEM
    {88, 756, 2287},	// KProtocolInfo::T_NONE
    {88, 757, 2285},	// KProtocolInfo::T_STREAM
    {88, 1055, 2236},	// KProtocolInfo::archiveMimeTypes
    {88, 1118, 2239},	// KProtocolInfo::canDeleteRecursive
    {88, 1120, 2237},	// KProtocolInfo::canRenameFromFile
    {88, 1121, 2238},	// KProtocolInfo::canRenameToFile
    {88, 1123, 2232},	// KProtocolInfo::capabilities$
    {88, 1185, 2225},	// KProtocolInfo::config$
    {88, 1343, 2235},	// KProtocolInfo::defaultMimeType
    {88, 1380, 2228},	// KProtocolInfo::determineMimetypeFromExtension$
    {88, 1407, 2229},	// KProtocolInfo::docPath$
    {88, 1474, 2218},	// KProtocolInfo::exec$
    {88, 1506, 2219},	// KProtocolInfo::extraFields#
    {88, 1526, 2240},	// KProtocolInfo::fileNameUsedForCopying
    {88, 1734, 2224},	// KProtocolInfo::icon$
    {88, 1833, 2222},	// KProtocolInfo::isFilterProtocol#
    {88, 1834, 2223},	// KProtocolInfo::isFilterProtocol$
    {88, 1841, 2220},	// KProtocolInfo::isHelperProtocol#
    {88, 1842, 2221},	// KProtocolInfo::isHelperProtocol$
    {88, 1847, 2216},	// KProtocolInfo::isKnownProtocol#
    {88, 1848, 2217},	// KProtocolInfo::isKnownProtocol$
    {88, 2030, 2277},	// KProtocolInfo::m_canCopyFromFile
    {88, 2031, 2279},	// KProtocolInfo::m_canCopyToFile
    {88, 2032, 2281},	// KProtocolInfo::m_config
    {88, 2033, 2271},	// KProtocolInfo::m_defaultMimetype
    {88, 2034, 2273},	// KProtocolInfo::m_determineMimetypeFromExtension
    {88, 2036, 2243},	// KProtocolInfo::m_exec
    {88, 2037, 2275},	// KProtocolInfo::m_icon
    {88, 2038, 2245},	// KProtocolInfo::m_inputType
    {88, 2039, 2253},	// KProtocolInfo::m_isHelperProtocol
    {88, 2040, 2251},	// KProtocolInfo::m_isSourceProtocol
    {88, 2041, 2249},	// KProtocolInfo::m_listing
    {88, 2042, 2283},	// KProtocolInfo::m_maxSlaves
    {88, 2043, 2241},	// KProtocolInfo::m_name
    {88, 2044, 2247},	// KProtocolInfo::m_outputType
    {88, 2046, 2263},	// KProtocolInfo::m_supportsDeleting
    {88, 2047, 2265},	// KProtocolInfo::m_supportsLinking
    {88, 2048, 2255},	// KProtocolInfo::m_supportsListing
    {88, 2049, 2261},	// KProtocolInfo::m_supportsMakeDir
    {88, 2050, 2267},	// KProtocolInfo::m_supportsMoving
    {88, 2051, 2269},	// KProtocolInfo::m_supportsOpening
    {88, 2052, 2257},	// KProtocolInfo::m_supportsReading
    {88, 2053, 2259},	// KProtocolInfo::m_supportsWriting
    {88, 2065, 2226},	// KProtocolInfo::maxSlaves$
    {88, 2067, 2227},	// KProtocolInfo::maxSlavesPerHost$
    {88, 2328, 2230},	// KProtocolInfo::protocolClass$
    {88, 2329, 2215},	// KProtocolInfo::protocols
    {88, 2331, 2233},	// KProtocolInfo::proxiedBy$
    {88, 2754, 2278},	// KProtocolInfo::setM_canCopyFromFile$
    {88, 2756, 2280},	// KProtocolInfo::setM_canCopyToFile$
    {88, 2758, 2282},	// KProtocolInfo::setM_config$
    {88, 2760, 2272},	// KProtocolInfo::setM_defaultMimetype$
    {88, 2762, 2274},	// KProtocolInfo::setM_determineMimetypeFromExtension$
    {88, 2766, 2244},	// KProtocolInfo::setM_exec$
    {88, 2768, 2276},	// KProtocolInfo::setM_icon$
    {88, 2770, 2246},	// KProtocolInfo::setM_inputType$
    {88, 2772, 2254},	// KProtocolInfo::setM_isHelperProtocol$
    {88, 2774, 2252},	// KProtocolInfo::setM_isSourceProtocol$
    {88, 2776, 2250},	// KProtocolInfo::setM_listing?
    {88, 2778, 2284},	// KProtocolInfo::setM_maxSlaves$
    {88, 2780, 2242},	// KProtocolInfo::setM_name$
    {88, 2782, 2248},	// KProtocolInfo::setM_outputType$
    {88, 2786, 2264},	// KProtocolInfo::setM_supportsDeleting$
    {88, 2788, 2266},	// KProtocolInfo::setM_supportsLinking$
    {88, 2790, 2256},	// KProtocolInfo::setM_supportsListing$
    {88, 2792, 2262},	// KProtocolInfo::setM_supportsMakeDir$
    {88, 2794, 2268},	// KProtocolInfo::setM_supportsMoving$
    {88, 2796, 2270},	// KProtocolInfo::setM_supportsOpening$
    {88, 2798, 2258},	// KProtocolInfo::setM_supportsReading$
    {88, 2800, 2260},	// KProtocolInfo::setM_supportsWriting$
    {88, 2994, 2231},	// KProtocolInfo::showFilePreview$
    {88, 3471, 2291},	// KProtocolInfo::~KProtocolInfo
    {89, 84, 2300},	// KProtocolInfo::ExtraField::DateTime
    {89, 118, 2292},	// KProtocolInfo::ExtraField::ExtraField
    {89, 119, 2294},	// KProtocolInfo::ExtraField::ExtraField#
    {89, 120, 2293},	// KProtocolInfo::ExtraField::ExtraField$$
    {89, 161, 2301},	// KProtocolInfo::ExtraField::Invalid
    {89, 749, 2299},	// KProtocolInfo::ExtraField::String
    {89, 2115, 2295},	// KProtocolInfo::ExtraField::name
    {89, 2834, 2296},	// KProtocolInfo::ExtraField::setName$
    {89, 2964, 2298},	// KProtocolInfo::ExtraField::setType$
    {89, 3243, 2297},	// KProtocolInfo::ExtraField::type
    {89, 3404, 2302},	// KProtocolInfo::ExtraField::~ExtraField
    {90, 2364, 2304},	// KRandom::random
    {90, 2366, 2303},	// KRandom::randomString$
    {91, 429, 2313},	// KRandomSequence::KRandomSequence
    {91, 430, 2306},	// KRandomSequence::KRandomSequence#
    {91, 431, 2305},	// KRandomSequence::KRandomSequence$
    {91, 1657, 2311},	// KRandomSequence::getBool
    {91, 1660, 2309},	// KRandomSequence::getDouble
    {91, 1664, 2310},	// KRandomSequence::getLong$
    {91, 2085, 2312},	// KRandomSequence::modulate$
    {91, 2212, 2307},	// KRandomSequence::operator=#
    {91, 2911, 2314},	// KRandomSequence::setSeed
    {91, 2912, 2308},	// KRandomSequence::setSeed$
    {91, 3472, 2315},	// KRandomSequence::~KRandomSequence
    {92, 450, 2316},	// KSaveFile::KSaveFile
    {92, 451, 2329},	// KSaveFile::KSaveFile$
    {92, 452, 2317},	// KSaveFile::KSaveFile$#
    {92, 846, 2323},	// KSaveFile::abort
    {92, 1089, 2331},	// KSaveFile::backupFile$
    {92, 1090, 2325},	// KSaveFile::backupFile$$
    {92, 1460, 2320},	// KSaveFile::error
    {92, 1464, 2321},	// KSaveFile::errorString
    {92, 1524, 2319},	// KSaveFile::fileName
    {92, 1528, 2324},	// KSaveFile::finalize
    {92, 2140, 2334},	// KSaveFile::numberedBackupFile$
    {92, 2141, 2335},	// KSaveFile::numberedBackupFile$$
    {92, 2142, 2336},	// KSaveFile::numberedBackupFile$$$
    {92, 2143, 2327},	// KSaveFile::numberedBackupFile$$$$
    {92, 2158, 2330},	// KSaveFile::open
    {92, 2159, 2322},	// KSaveFile::open$
    {92, 2370, 2337},	// KSaveFile::rcsBackupFile$
    {92, 2371, 2338},	// KSaveFile::rcsBackupFile$$
    {92, 2372, 2328},	// KSaveFile::rcsBackupFile$$$
    {92, 2685, 2318},	// KSaveFile::setFileName$
    {92, 2998, 2332},	// KSaveFile::simpleBackupFile$
    {92, 2999, 2333},	// KSaveFile::simpleBackupFile$$
    {92, 3000, 2326},	// KSaveFile::simpleBackupFile$$$
    {92, 3473, 2339},	// KSaveFile::~KSaveFile
    {93, 79, 2394},	// KService::DBusMulti
    {93, 80, 2392},	// KService::DBusNone
    {93, 81, 2393},	// KService::DBusUnique
    {93, 82, 2395},	// KService::DBusWait
    {93, 454, 2342},	// KService::KService#
    {93, 455, 2343},	// KService::KService#$
    {93, 456, 2341},	// KService::KService$
    {93, 457, 2340},	// KService::KService$$$
    {93, 842, 2389},	// KService::_k_accessServiceTypes
    {93, 860, 2368},	// KService::actions
    {93, 1038, 2387},	// KService::allServices
    {93, 1044, 2367},	// KService::allowAsDefault
    {93, 1046, 2369},	// KService::allowMultipleFiles
    {93, 1129, 2363},	// KService::categories
    {93, 1175, 2359},	// KService::comment
    {93, 1324, 2357},	// KService::dbusStartupType
    {93, 1372, 2354},	// KService::desktopEntryName
    {93, 1373, 2353},	// KService::desktopEntryPath
    {93, 1406, 2375},	// KService::docPath
    {93, 1473, 2346},	// KService::exec
    {93, 1656, 2360},	// KService::genericName
    {93, 1702, 2366},	// KService::hasMimeType#
    {93, 1714, 2365},	// KService::hasServiceType$
    {93, 1733, 2348},	// KService::icon
    {93, 1760, 2370},	// KService::initialPreference
    {93, 1793, 2344},	// KService::isApplication
    {93, 1946, 2362},	// KService::keywords
    {93, 1981, 2347},	// KService::library
    {93, 2012, 2378},	// KService::locateLocal
    {93, 2070, 2355},	// KService::menuId
    {93, 2131, 2390},	// KService::newServicePath$$
    {93, 2132, 2391},	// KService::newServicePath$$$
    {93, 2133, 2388},	// KService::newServicePath$$$?
    {93, 2135, 2371},	// KService::noDisplay
    {93, 2250, 2373},	// KService::parentApp
    {93, 2260, 2358},	// KService::path
    {93, 2280, 2374},	// KService::pluginKeyword
    {93, 2319, 2377},	// KService::property$
    {93, 2320, 2376},	// KService::property$$
    {93, 2527, 2384},	// KService::serviceByDesktopName$
    {93, 2529, 2383},	// KService::serviceByDesktopPath$
    {93, 2531, 2385},	// KService::serviceByMenuId$
    {93, 2533, 2382},	// KService::serviceByName$
    {93, 2535, 2386},	// KService::serviceByStorageId$
    {93, 2541, 2364},	// KService::serviceTypes
    {93, 2817, 2379},	// KService::setMenuId$
    {93, 2939, 2380},	// KService::setTerminal$
    {93, 2941, 2381},	// KService::setTerminalOptions$
    {93, 2995, 2372},	// KService::showInKDE
    {93, 3100, 2356},	// KService::storageId
    {93, 3122, 2351},	// KService::substituteUid
    {93, 3154, 2349},	// KService::terminal
    {93, 3155, 2350},	// KService::terminalOptions
    {93, 3243, 2345},	// KService::type
    {93, 3259, 2361},	// KService::untranslatedGenericName
    {93, 3283, 2352},	// KService::username
    {93, 3474, 2396},	// KService::~KService
    {94, 458, 2398},	// KServiceAction::KServiceAction
    {94, 459, 2399},	// KServiceAction::KServiceAction#
    {94, 460, 2409},	// KServiceAction::KServiceAction$$$$
    {94, 461, 2397},	// KServiceAction::KServiceAction$$$$$
    {94, 1267, 2402},	// KServiceAction::data
    {94, 1473, 2406},	// KServiceAction::exec
    {94, 1733, 2405},	// KServiceAction::icon
    {94, 1874, 2408},	// KServiceAction::isSeparator
    {94, 2115, 2403},	// KServiceAction::name
    {94, 2135, 2407},	// KServiceAction::noDisplay
    {94, 2212, 2400},	// KServiceAction::operator=#
    {94, 2615, 2401},	// KServiceAction::setData#
    {94, 3159, 2404},	// KServiceAction::text
    {94, 3475, 2410},	// KServiceAction::~KServiceAction
    {95, 18, 2452},	// KServiceGroup::AllowSeparators
    {95, 112, 2451},	// KServiceGroup::ExcludeNoDisplay
    {95, 463, 2413},	// KServiceGroup::KServiceGroup#$$
    {95, 464, 2411},	// KServiceGroup::KServiceGroup$
    {95, 465, 2412},	// KServiceGroup::KServiceGroup$$
    {95, 623, 2449},	// KServiceGroup::NoOptions
    {95, 729, 2453},	// KServiceGroup::SortByGenericName
    {95, 730, 2450},	// KServiceGroup::SortEntries
    {95, 897, 2444},	// KServiceGroup::addEntry?
    {95, 1045, 2426},	// KServiceGroup::allowInline
    {95, 1101, 2440},	// KServiceGroup::baseGroup$
    {95, 1102, 2438},	// KServiceGroup::baseGroupName
    {95, 1124, 2415},	// KServiceGroup::caption
    {95, 1149, 2418},	// KServiceGroup::childCount
    {95, 1152, 2443},	// KServiceGroup::childGroup$
    {95, 1175, 2417},	// KServiceGroup::comment
    {95, 1395, 2439},	// KServiceGroup::directoryEntryPath
    {95, 1440, 2446},	// KServiceGroup::entries
    {95, 1441, 2435},	// KServiceGroup::entries$
    {95, 1442, 2434},	// KServiceGroup::entries$$
    {95, 1443, 2445},	// KServiceGroup::entries$$$
    {95, 1444, 2433},	// KServiceGroup::entries$$$$
    {95, 1672, 2442},	// KServiceGroup::group$
    {95, 1673, 2447},	// KServiceGroup::groupEntries
    {95, 1674, 2436},	// KServiceGroup::groupEntries$
    {95, 1733, 2416},	// KServiceGroup::icon
    {95, 1761, 2424},	// KServiceGroup::inlineAlias
    {95, 1762, 2428},	// KServiceGroup::inlineValue
    {95, 1976, 2432},	// KServiceGroup::layoutInfo
    {95, 2135, 2419},	// KServiceGroup::noDisplay
    {95, 2447, 2414},	// KServiceGroup::relPath
    {95, 2501, 2441},	// KServiceGroup::root
    {95, 2536, 2448},	// KServiceGroup::serviceEntries
    {95, 2537, 2437},	// KServiceGroup::serviceEntries$
    {95, 2552, 2427},	// KServiceGroup::setAllowInline$
    {95, 2708, 2425},	// KServiceGroup::setInlineAlias$
    {95, 2710, 2429},	// KServiceGroup::setInlineValue$
    {95, 2726, 2431},	// KServiceGroup::setLayoutInfo?
    {95, 2922, 2421},	// KServiceGroup::setShowEmptyMenu$
    {95, 2924, 2423},	// KServiceGroup::setShowInlineHeader$
    {95, 2991, 2420},	// KServiceGroup::showEmptyMenu
    {95, 2996, 2422},	// KServiceGroup::showInlineHeader
    {95, 3130, 2430},	// KServiceGroup::suppressGenericNames
    {95, 3476, 2454},	// KServiceGroup::~KServiceGroup
    {96, 467, -370},	// KServiceType::KServiceType#
    {96, 468, 2456},	// KServiceType::KServiceType#$
    {96, 469, 2471},	// KServiceType::KServiceType#$$
    {96, 1037, 2469},	// KServiceType::allServiceTypes
    {96, 1175, 2457},	// KServiceType::comment
    {96, 1373, 2458},	// KServiceType::desktopEntryPath
    {96, 1751, 2461},	// KServiceType::inherits$
    {96, 1817, 2459},	// KServiceType::isDerived
    {96, 2253, 2460},	// KServiceType::parentServiceType
    {96, 2254, 2465},	// KServiceType::parentType
    {96, 2322, 2462},	// KServiceType::propertyDef$
    {96, 2323, 2463},	// KServiceType::propertyDefNames
    {96, 2324, 2464},	// KServiceType::propertyDefs
    {96, 2538, 2467},	// KServiceType::serviceOffersOffset
    {96, 2540, 2468},	// KServiceType::serviceType$
    {96, 2914, 2466},	// KServiceType::setServiceOffersOffset$
    {96, 3477, 2472},	// KServiceType::~KServiceType
    {98, 1054, 2477},	// KServiceTypeTrader::applyConstraints?$
    {98, 1346, 2479},	// KServiceTypeTrader::defaultOffers$
    {98, 1347, 2474},	// KServiceTypeTrader::defaultOffers$$
    {98, 2294, 2475},	// KServiceTypeTrader::preferredService$
    {98, 2348, 2478},	// KServiceTypeTrader::query$
    {98, 2349, 2473},	// KServiceTypeTrader::query$$
    {98, 2522, 2476},	// KServiceTypeTrader::self
    {98, 3478, 2480},	// KServiceTypeTrader::~KServiceTypeTrader
    {99, 2162, 2483},	// KSharedConfig::openConfig
    {99, 2163, 2486},	// KSharedConfig::openConfig#
    {99, 2164, 2487},	// KSharedConfig::openConfig#$
    {99, 2165, 2488},	// KSharedConfig::openConfig#$$
    {99, 2166, 2482},	// KSharedConfig::openConfig#$$$
    {99, 2167, 2484},	// KSharedConfig::openConfig$
    {99, 2168, 2485},	// KSharedConfig::openConfig$$
    {99, 2169, 2481},	// KSharedConfig::openConfig$$$
    {99, 3479, 2489},	// KSharedConfig::~KSharedConfig
    {100, 2, 2498},	// KShell::AbortOnMeta
    {100, 39, 2500},	// KShell::BadQuoting
    {100, 130, 2501},	// KShell::FoundMeta
    {100, 620, 2499},	// KShell::NoError
    {100, 623, 2496},	// KShell::NoOptions
    {100, 764, 2497},	// KShell::TildeExpand
    {100, 1906, 2495},	// KShell::joinArgs?
    {100, 2356, 2494},	// KShell::quoteArg$
    {100, 3020, 2492},	// KShell::splitArgs$
    {100, 3021, 2493},	// KShell::splitArgs$$
    {100, 3022, 2491},	// KShell::splitArgs$$$
    {100, 3162, 2490},	// KShell::tildeExpand$
    {101, 1189, 2520},	// KSocketFactory::connectToHost#
    {101, 1190, -304},	// KSocketFactory::connectToHost##
    {101, 1193, 2516},	// KSocketFactory::connectToHost#$$$
    {101, 1195, 2503},	// KSocketFactory::connectToHost$$$
    {101, 1196, 2502},	// KSocketFactory::connectToHost$$$#
    {101, 1273, 2512},	// KSocketFactory::datagramSocket$$
    {101, 1274, 2511},	// KSocketFactory::datagramSocket$$#
    {101, 1989, 2508},	// KSocketFactory::listen$
    {101, 1990, 2509},	// KSocketFactory::listen$#
    {101, 1991, 2510},	// KSocketFactory::listen$#$
    {101, 1992, 2507},	// KSocketFactory::listen$#$#
    {101, 2336, 2517},	// KSocketFactory::proxyForConnection$$
    {101, 2338, 2518},	// KSocketFactory::proxyForDatagram$$
    {101, 2340, 2524},	// KSocketFactory::proxyForListening$
    {101, 3139, 2514},	// KSocketFactory::synchronousConnectToHost#
    {101, 3140, 2523},	// KSocketFactory::synchronousConnectToHost##
    {101, 3141, 2522},	// KSocketFactory::synchronousConnectToHost##$
    {101, 3142, 2515},	// KSocketFactory::synchronousConnectToHost#$
    {101, 3143, 2513},	// KSocketFactory::synchronousConnectToHost#$#
    {101, 3144, 2526},	// KSocketFactory::synchronousConnectToHost#$$$
    {101, 3145, 2525},	// KSocketFactory::synchronousConnectToHost#$$$$
    {101, 3146, 2505},	// KSocketFactory::synchronousConnectToHost$$$
    {101, 3147, 2506},	// KSocketFactory::synchronousConnectToHost$$$$
    {101, 3148, 2504},	// KSocketFactory::synchronousConnectToHost$$$$#
    {102, 470, 2527},	// KSslCipher::KSslCipher
    {102, 471, -358},	// KSslCipher::KSslCipher#
    {102, 1060, 2532},	// KSslCipher::authenticationMethod
    {102, 1388, 2535},	// KSslCipher::digestMethod
    {102, 1435, 2533},	// KSslCipher::encryptionMethod
    {102, 1861, 2531},	// KSslCipher::isNull
    {102, 1944, 2534},	// KSslCipher::keyExchangeMethod
    {102, 2115, 2536},	// KSslCipher::name
    {102, 2212, 2530},	// KSslCipher::operator=#
    {102, 3128, 2537},	// KSslCipher::supportedBits
    {102, 3129, 2539},	// KSslCipher::supportedCiphers
    {102, 3279, 2538},	// KSslCipher::usedBits
    {102, 3480, 2540},	// KSslCipher::~KSslCipher
    {103, 51, 2554},	// KSslError::CertificateSignatureFailed
    {103, 117, 2556},	// KSslError::ExpiredCertificate
    {103, 146, 2562},	// KSslError::HostNameMismatch
    {103, 164, 2553},	// KSslError::InvalidCertificate
    {103, 165, 2552},	// KSslError::InvalidCertificateAuthorityCertificate
    {103, 166, 2558},	// KSslError::InvalidCertificatePurpose
    {103, 472, 2548},	// KSslError::KSslError
    {103, 473, -238},	// KSslError::KSslError#
    {103, 474, 2549},	// KSslError::KSslError$
    {103, 475, 2541},	// KSslError::KSslError$#
    {103, 620, 2550},	// KSslError::NoError
    {103, 624, 2561},	// KSslError::NoPeerCertificate
    {103, 656, 2563},	// KSslError::PathLengthExceeded
    {103, 698, 2559},	// KSslError::RejectedCertificate
    {103, 707, 2557},	// KSslError::RevokedCertificate
    {103, 712, 2555},	// KSslError::SelfSignedCertificate
    {103, 799, 2551},	// KSslError::UnknownError
    {103, 807, 2560},	// KSslError::UntrustedCertificate
    {103, 1133, 2547},	// KSslError::certificate
    {103, 1460, 2545},	// KSslError::error
    {103, 1464, 2546},	// KSslError::errorString
    {103, 2212, 2544},	// KSslError::operator=#
    {103, 3481, 2564},	// KSslError::~KSslError
    {104, 476, 2565},	// KSslErrorUiData::KSslErrorUiData
    {104, 477, -223},	// KSslErrorUiData::KSslErrorUiData#
    {104, 2212, 2568},	// KSslErrorUiData::operator=#
    {104, 3482, 2569},	// KSslErrorUiData::~KSslErrorUiData
    {105, 92, 2580},	// KSslKey::Dh
    {105, 97, 2579},	// KSslKey::Dsa
    {105, 478, 2570},	// KSslKey::KSslKey
    {105, 479, -364},	// KSslKey::KSslKey#
    {105, 669, 2582},	// KSslKey::PrivateKey
    {105, 679, 2581},	// KSslKey::PublicKey
    {105, 709, 2578},	// KSslKey::Rsa
    {105, 1026, 2574},	// KSslKey::algorithm
    {105, 1831, 2575},	// KSslKey::isExportable
    {105, 2212, 2573},	// KSslKey::operator=#
    {105, 2515, 2576},	// KSslKey::secrecy
    {105, 3172, 2577},	// KSslKey::toDer
    {105, 3483, 2583},	// KSslKey::~KSslKey
    {106, 155, 2645},	// KStandardDirs::IgnoreExecBit
    {106, 480, 2584},	// KStandardDirs::KStandardDirs
    {106, 619, 2644},	// KStandardDirs::NoDuplicates
    {106, 627, 2642},	// KStandardDirs::NoSearchOptions
    {106, 696, 2643},	// KStandardDirs::Recursive
    {106, 890, 2602},	// KStandardDirs::addCustomized#
    {106, 989, 2585},	// KStandardDirs::addPrefix$
    {106, 993, 2626},	// KStandardDirs::addResourceDir$$
    {106, 994, 2591},	// KStandardDirs::addResourceDir$$$
    {106, 996, 2623},	// KStandardDirs::addResourceType$$
    {106, 997, -1},	// KStandardDirs::addResourceType$$$
    {106, 998, -5},	// KStandardDirs::addResourceType$$$$
    {106, 1017, 2586},	// KStandardDirs::addXdgConfigPrefix$
    {106, 1019, 2587},	// KStandardDirs::addXdgDataPrefix$
    {106, 1041, 2604},	// KStandardDirs::allTypes
    {106, 1111, 2628},	// KStandardDirs::calcResourceHash$$
    {106, 1112, 2594},	// KStandardDirs::calcResourceHash$$$
    {106, 1140, 2622},	// KStandardDirs::checkAccess$$
    {106, 1488, 2616},	// KStandardDirs::exists$
    {106, 1530, 2634},	// KStandardDirs::findAllExe?$
    {106, 1531, 2635},	// KStandardDirs::findAllExe?$$
    {106, 1532, 2601},	// KStandardDirs::findAllExe?$$$
    {106, 1534, 2629},	// KStandardDirs::findAllResources$
    {106, 1535, 2630},	// KStandardDirs::findAllResources$$
    {106, 1536, 2597},	// KStandardDirs::findAllResources$$$
    {106, 1537, 2598},	// KStandardDirs::findAllResources$$$?
    {106, 1562, 2595},	// KStandardDirs::findDirs$$
    {106, 1566, 2632},	// KStandardDirs::findExe$
    {106, 1567, 2633},	// KStandardDirs::findExe$$
    {106, 1568, 2600},	// KStandardDirs::findExe$$$
    {106, 1581, 2592},	// KStandardDirs::findResource$$
    {106, 1583, 2596},	// KStandardDirs::findResourceDir$$
    {106, 1766, 2615},	// KStandardDirs::installPath$
    {106, 1871, 2627},	// KStandardDirs::isRestrictedResource$
    {106, 1872, 2593},	// KStandardDirs::isRestrictedResource$$
    {106, 1926, 2608},	// KStandardDirs::kde_default$
    {106, 1947, 2609},	// KStandardDirs::kfsstnd_prefixes
    {106, 1948, 2610},	// KStandardDirs::kfsstnd_xdg_conf_prefixes
    {106, 1949, 2611},	// KStandardDirs::kfsstnd_xdg_data_prefixes
    {106, 2006, 2612},	// KStandardDirs::localkdedir
    {106, 2007, 2614},	// KStandardDirs::localxdgconfdir
    {106, 2008, 2613},	// KStandardDirs::localxdgdatadir
    {106, 2010, 2639},	// KStandardDirs::locate$$
    {106, 2011, 2619},	// KStandardDirs::locate$$#
    {106, 2014, 2640},	// KStandardDirs::locateLocal$$
    {106, 2015, 2620},	// KStandardDirs::locateLocal$$#
    {106, 2016, 2641},	// KStandardDirs::locateLocal$$$
    {106, 2017, 2621},	// KStandardDirs::locateLocal$$$#
    {106, 2057, 2638},	// KStandardDirs::makeDir$
    {106, 2058, 2607},	// KStandardDirs::makeDir$$
    {106, 2437, 2618},	// KStandardDirs::realFilePath$
    {106, 2440, 2617},	// KStandardDirs::realPath$
    {106, 2449, 2606},	// KStandardDirs::relativeLocation$$
    {106, 2493, 2603},	// KStandardDirs::resourceDirs$
    {106, 2510, 2636},	// KStandardDirs::saveLocation$
    {106, 2511, 2637},	// KStandardDirs::saveLocation$$
    {106, 2512, 2605},	// KStandardDirs::saveLocation$$$
    {106, 3149, 2631},	// KStandardDirs::systemPaths
    {106, 3150, 2599},	// KStandardDirs::systemPaths$
    {106, 3484, 2646},	// KStandardDirs::~KStandardDirs
    {107, 1126, 2663},	// KStringHandler::capwords$
    {107, 1127, 2652},	// KStringHandler::capwords?
    {107, 1243, 2662},	// KStringHandler::csqueeze$
    {107, 1244, 2661},	// KStringHandler::csqueeze$$
    {107, 1627, 2664},	// KStringHandler::from8Bit$
    {107, 1889, 2665},	// KStringHandler::isUtf8$
    {107, 2024, 2656},	// KStringHandler::lsqueeze$
    {107, 2025, 2655},	// KStringHandler::lsqueeze$$
    {107, 2122, 2654},	// KStringHandler::naturalCompare$$
    {107, 2123, 2653},	// KStringHandler::naturalCompare$$$
    {107, 2147, 2651},	// KStringHandler::obscure$
    {107, 2273, -751},	// KStringHandler::perlSplit#$
    {107, 2274, -754},	// KStringHandler::perlSplit#$$
    {107, 2275, 2659},	// KStringHandler::perlSplit$$
    {107, 2276, 2658},	// KStringHandler::perlSplit$$$
    {107, 2292, 2657},	// KStringHandler::preProcessWrap$
    {107, 2503, 2667},	// KStringHandler::rsqueeze$
    {107, 2504, 2666},	// KStringHandler::rsqueeze$$
    {107, 3152, 2660},	// KStringHandler::tagUrls$
    {108, 135, 2703},	// KSycoca::GlobalDatabase
    {108, 482, 2675},	// KSycoca::KSycoca$
    {108, 593, 2702},	// KSycoca::LocalDatabase
    {108, 849, 2698},	// KSycoca::absoluteFilePath
    {108, 850, 2681},	// KSycoca::absoluteFilePath?
    {108, 899, 2686},	// KSycoca::addFactory#
    {108, 1036, 2685},	// KSycoca::allResourceDirs
    {108, 1270, 2692},	// KSycoca::databaseChanged
    {108, 1271, 2693},	// KSycoca::databaseChanged?
    {108, 1397, 2688},	// KSycoca::disableAutoRebuild
    {108, 1510, 2694},	// KSycoca::factories
    {108, 1564, 2678},	// KSycoca::findEntry$$
    {108, 1570, 2679},	// KSycoca::findFactory$
    {108, 1587, 2690},	// KSycoca::flagError
    {108, 1801, 2677},	// KSycoca::isAvailable
    {108, 1806, 2687},	// KSycoca::isBuilding
    {108, 1808, 2689},	// KSycoca::isChanged$
    {108, 1947, 2680},	// KSycoca::kfsstnd_prefixes
    {108, 1967, 2682},	// KSycoca::language
    {108, 2045, 2700},	// KSycoca::m_str_deprecated
    {108, 2074, 2668},	// KSycoca::metaObject
    {108, 2344, 2674},	// KSycoca::qt_metacall$$?
    {108, 2346, 2669},	// KSycoca::qt_metacast$
    {108, 2401, 2691},	// KSycoca::readError
    {108, 2784, 2701},	// KSycoca::setM_str_deprecated#
    {108, 3092, 2699},	// KSycoca::staticMetaObject
    {108, 3103, 2695},	// KSycoca::stream
    {108, 3166, 2683},	// KSycoca::timeStamp
    {108, 3201, 2696},	// KSycoca::tr$
    {108, 3202, 2670},	// KSycoca::tr$$
    {108, 3203, 2672},	// KSycoca::tr$$$
    {108, 3208, 2697},	// KSycoca::trUtf8$
    {108, 3209, 2671},	// KSycoca::trUtf8$$
    {108, 3210, 2673},	// KSycoca::trUtf8$$$
    {108, 3267, 2684},	// KSycoca::updateSignature
    {108, 3304, 2676},	// KSycoca::version
    {108, 3485, 2704},	// KSycoca::~KSycoca
    {109, 483, 2705},	// KSycocaEntry::KSycocaEntry
    {109, 484, 2721},	// KSycocaEntry::KSycocaEntry#
    {109, 1447, 2711},	// KSycocaEntry::entryPath
    {109, 1816, 2714},	// KSycocaEntry::isDeleted
    {109, 1874, 2718},	// KSycocaEntry::isSeparator
    {109, 1886, 2706},	// KSycocaEntry::isType$
    {109, 1890, 2713},	// KSycocaEntry::isValid
    {109, 2115, 2710},	// KSycocaEntry::name
    {109, 2148, 2719},	// KSycocaEntry::offset
    {109, 2319, 2715},	// KSycocaEntry::property$
    {109, 2325, 2716},	// KSycocaEntry::propertyNames
    {109, 2374, 2708},	// KSycocaEntry::read#$
    {109, 2375, 2709},	// KSycocaEntry::read#?
    {109, 2506, 2720},	// KSycocaEntry::save#
    {109, 2650, 2717},	// KSycocaEntry::setDeleted$
    {109, 3100, 2712},	// KSycocaEntry::storageId
    {109, 3135, 2707},	// KSycocaEntry::sycocaType
    {109, 3486, 2722},	// KSycocaEntry::~KSycocaEntry
    {113, 486, 2724},	// KSystemTimeZone::KSystemTimeZone#
    {113, 487, 2725},	// KSystemTimeZone::KSystemTimeZone#$
    {113, 488, 2726},	// KSystemTimeZone::KSystemTimeZone#$$
    {113, 489, 2727},	// KSystemTimeZone::KSystemTimeZone#$$$
    {113, 490, 2728},	// KSystemTimeZone::KSystemTimeZone#$$$$
    {113, 491, 2723},	// KSystemTimeZone::KSystemTimeZone#$$$$$
    {113, 3487, 2729},	// KSystemTimeZone::~KSystemTimeZone
    {114, 493, 2738},	// KSystemTimeZoneBackend::KSystemTimeZoneBackend#
    {114, 494, 2730},	// KSystemTimeZoneBackend::KSystemTimeZoneBackend#$$$$$
    {114, 1164, 2731},	// KSystemTimeZoneBackend::clone
    {114, 1821, 2737},	// KSystemTimeZoneBackend::isDst#$
    {114, 1825, 2736},	// KSystemTimeZoneBackend::isDstAtUtc##
    {114, 2149, 2735},	// KSystemTimeZoneBackend::offset#$
    {114, 2153, 2734},	// KSystemTimeZoneBackend::offsetAtUtc##
    {114, 2156, 2733},	// KSystemTimeZoneBackend::offsetAtZoneTime##$
    {114, 3243, 2732},	// KSystemTimeZoneBackend::type
    {114, 3488, 2739},	// KSystemTimeZoneBackend::~KSystemTimeZoneBackend
    {115, 495, 2740},	// KSystemTimeZoneSource::KSystemTimeZoneSource
    {115, 496, 2744},	// KSystemTimeZoneSource::KSystemTimeZoneSource#
    {115, 1439, 2743},	// KSystemTimeZoneSource::endParseBlock
    {115, 2256, 2741},	// KSystemTimeZoneSource::parse#
    {115, 3038, 2742},	// KSystemTimeZoneSource::startParseBlock
    {115, 3489, 2745},	// KSystemTimeZoneSource::~KSystemTimeZoneSource
    {116, 1880, 2760},	// KSystemTimeZones::isSimulated
    {116, 1998, 2757},	// KSystemTimeZones::local
    {116, 2074, 2746},	// KSystemTimeZones::metaObject
    {116, 2344, 2752},	// KSystemTimeZones::qt_metacall$$?
    {116, 2346, 2747},	// KSystemTimeZones::qt_metacast$
    {116, 2434, 2756},	// KSystemTimeZones::readZone$
    {116, 2438, 2758},	// KSystemTimeZones::realLocalZone
    {116, 2740, 2759},	// KSystemTimeZones::setLocalZone#
    {116, 3092, 2764},	// KSystemTimeZones::staticMetaObject
    {116, 3169, 2753},	// KSystemTimeZones::timeZones
    {116, 3201, 2762},	// KSystemTimeZones::tr$
    {116, 3202, 2748},	// KSystemTimeZones::tr$$
    {116, 3203, 2750},	// KSystemTimeZones::tr$$$
    {116, 3208, 2763},	// KSystemTimeZones::trUtf8$
    {116, 3209, 2749},	// KSystemTimeZones::trUtf8$$
    {116, 3210, 2751},	// KSystemTimeZones::trUtf8$$$
    {116, 3395, 2755},	// KSystemTimeZones::zone$
    {116, 3396, 2761},	// KSystemTimeZones::zoneinfoDir
    {116, 3397, 2754},	// KSystemTimeZones::zones
    {116, 3490, 2765},	// KSystemTimeZones::~KSystemTimeZones
    {117, 19, 2867},	// KTcpSocket::AnySslVersion
    {117, 33, 2880},	// KTcpSocket::AutoProxy
    {117, 46, 2859},	// KTcpSocket::BoundState
    {117, 63, 2861},	// KTcpSocket::ClosingState
    {117, 70, 2858},	// KTcpSocket::ConnectedState
    {117, 71, 2857},	// KTcpSocket::ConnectingState
    {117, 72, 2869},	// KTcpSocket::ConnectionRefusedError
    {117, 145, 2856},	// KTcpSocket::HostLookupState
    {117, 147, 2871},	// KTcpSocket::HostNotFoundError
    {117, 497, 2841},	// KTcpSocket::KTcpSocket
    {117, 498, 2773},	// KTcpSocket::KTcpSocket#
    {117, 592, 2860},	// KTcpSocket::ListeningState
    {117, 608, 2881},	// KTcpSocket::ManualProxy
    {117, 613, 2875},	// KTcpSocket::NetworkError
    {117, 699, 2870},	// KTcpSocket::RemoteHostClosedError
    {117, 724, 2872},	// KTcpSocket::SocketAccessError
    {117, 726, 2873},	// KTcpSocket::SocketResourceError
    {117, 727, 2874},	// KTcpSocket::SocketTimeoutError
    {117, 739, 2878},	// KTcpSocket::SslClientMode
    {117, 741, 2879},	// KTcpSocket::SslServerMode
    {117, 742, 2863},	// KTcpSocket::SslV2
    {117, 743, 2864},	// KTcpSocket::SslV3
    {117, 744, 2866},	// KTcpSocket::SslV3_1
    {117, 772, 2865},	// KTcpSocket::TlsV1
    {117, 782, 2855},	// KTcpSocket::UnconnectedState
    {117, 783, 2877},	// KTcpSocket::UnencryptedMode
    {117, 799, 2868},	// KTcpSocket::UnknownError
    {117, 804, 2862},	// KTcpSocket::UnknownSslVersion
    {117, 806, 2876},	// KTcpSocket::UnsupportedSocketOperationError
    {117, 846, 2785},	// KTcpSocket::abort
    {117, 874, 2805},	// KTcpSocket::addCaCertificate#
    {117, 876, 2806},	// KTcpSocket::addCaCertificates?
    {117, 1025, 2821},	// KTcpSocket::advertisedSslVersion
    {117, 1059, 2774},	// KTcpSocket::atEnd
    {117, 1107, 2775},	// KTcpSocket::bytesAvailable
    {117, 1108, 2776},	// KTcpSocket::bytesToWrite
    {117, 1109, 2807},	// KTcpSocket::caCertificates
    {117, 1119, 2777},	// KTcpSocket::canReadLine
    {117, 1157, 2808},	// KTcpSocket::ciphers
    {117, 1165, 2778},	// KTcpSocket::close
    {117, 1189, 2845},	// KTcpSocket::connectToHost#
    {117, 1191, -817},	// KTcpSocket::connectToHost#$
    {117, 1192, 2787},	// KTcpSocket::connectToHost#$$
    {117, 1194, 2843},	// KTcpSocket::connectToHost$$
    {117, 1195, 2786},	// KTcpSocket::connectToHost$$$
    {117, 1198, 2848},	// KTcpSocket::connectToHostEncrypted$$
    {117, 1199, 2809},	// KTcpSocket::connectToHostEncrypted$$$
    {117, 1206, 2828},	// KTcpSocket::connected
    {117, 1398, 2789},	// KTcpSocket::disconnectFromHost
    {117, 1402, 2829},	// KTcpSocket::disconnected
    {117, 1434, 2834},	// KTcpSocket::encrypted
    {117, 1436, 2825},	// KTcpSocket::encryptionMode
    {117, 1438, 2835},	// KTcpSocket::encryptionModeChanged$
    {117, 1460, 2790},	// KTcpSocket::error
    {117, 1461, 2830},	// KTcpSocket::error$
    {117, 1588, 2792},	// KTcpSocket::flush
    {117, 1727, 2831},	// KTcpSocket::hostFound
    {117, 1740, 2837},	// KTcpSocket::ignoreSslErrors
    {117, 1875, 2779},	// KTcpSocket::isSequential
    {117, 1890, 2793},	// KTcpSocket::isValid
    {117, 1999, 2794},	// KTcpSocket::localAddress
    {117, 2000, 2810},	// KTcpSocket::localCertificate
    {117, 2074, 2766},	// KTcpSocket::metaObject
    {117, 2127, 2822},	// KTcpSocket::negotiatedSslVersion
    {117, 2128, 2823},	// KTcpSocket::negotiatedSslVersionName
    {117, 2159, 2780},	// KTcpSocket::open$
    {117, 2265, 2795},	// KTcpSocket::peerAddress
    {117, 2266, 2811},	// KTcpSocket::peerCertificateChain
    {117, 2267, 2796},	// KTcpSocket::peerName
    {117, 2269, 2797},	// KTcpSocket::peerPort
    {117, 2301, 2812},	// KTcpSocket::privateKey
    {117, 2332, 2798},	// KTcpSocket::proxy
    {117, 2334, 2832},	// KTcpSocket::proxyAuthenticationRequired##
    {117, 2344, 2772},	// KTcpSocket::qt_metacall$$?
    {117, 2346, 2767},	// KTcpSocket::qt_metacast$
    {117, 2377, 2799},	// KTcpSocket::readBufferSize
    {117, 2382, 2783},	// KTcpSocket::readData$?
    {117, 2542, 2813},	// KTcpSocket::sessionCipher
    {117, 2550, 2820},	// KTcpSocket::setAdvertisedSslVersion$
    {117, 2581, 2814},	// KTcpSocket::setCaCertificates?
    {117, 2589, 2815},	// KTcpSocket::setCiphers?
    {117, 2736, 2816},	// KTcpSocket::setLocalCertificate#
    {117, 2737, 2849},	// KTcpSocket::setLocalCertificate$
    {117, 2738, 2817},	// KTcpSocket::setLocalCertificate$$
    {117, 2874, 2818},	// KTcpSocket::setPrivateKey#
    {117, 2875, 2850},	// KTcpSocket::setPrivateKey$
    {117, 2876, 2851},	// KTcpSocket::setPrivateKey$$
    {117, 2877, 2852},	// KTcpSocket::setPrivateKey$$$
    {117, 2878, 2819},	// KTcpSocket::setPrivateKey$$$#
    {117, 2900, 2800},	// KTcpSocket::setProxy#
    {117, 2904, 2801},	// KTcpSocket::setReadBufferSize?
    {117, 2929, 2827},	// KTcpSocket::setSocketOption$#
    {117, 3010, 2826},	// KTcpSocket::socketOption$
    {117, 3025, 2791},	// KTcpSocket::sslErrors
    {117, 3026, 2836},	// KTcpSocket::sslErrors?
    {117, 3033, 2838},	// KTcpSocket::startClientEncryption
    {117, 3088, 2802},	// KTcpSocket::state
    {117, 3090, 2833},	// KTcpSocket::stateChanged$
    {117, 3092, 2854},	// KTcpSocket::staticMetaObject
    {117, 3201, 2839},	// KTcpSocket::tr$
    {117, 3202, 2768},	// KTcpSocket::tr$$
    {117, 3203, 2770},	// KTcpSocket::tr$$$
    {117, 3208, 2840},	// KTcpSocket::trUtf8$
    {117, 3209, 2769},	// KTcpSocket::trUtf8$$
    {117, 3210, 2771},	// KTcpSocket::trUtf8$$$
    {117, 3312, 2781},	// KTcpSocket::waitForBytesWritten$
    {117, 3313, 2846},	// KTcpSocket::waitForConnected
    {117, 3314, 2803},	// KTcpSocket::waitForConnected$
    {117, 3315, 2847},	// KTcpSocket::waitForDisconnected
    {117, 3316, 2804},	// KTcpSocket::waitForDisconnected$
    {117, 3317, 2853},	// KTcpSocket::waitForEncrypted
    {117, 3318, 2824},	// KTcpSocket::waitForEncrypted$
    {117, 3322, 2842},	// KTcpSocket::waitForReadyRead
    {117, 3323, 2782},	// KTcpSocket::waitForReadyRead$
    {117, 3362, 2784},	// KTcpSocket::writeData$?
    {117, 3491, 2882},	// KTcpSocket::~KTcpSocket
    {118, 499, 2892},	// KTempDir::KTempDir
    {118, 500, 2893},	// KTempDir::KTempDir$
    {118, 501, 2883},	// KTempDir::KTempDir$$
    {118, 1074, 2885},	// KTempDir::autoRemove
    {118, 1234, 2891},	// KTempDir::create$$
    {118, 1487, 2889},	// KTempDir::exists
    {118, 2115, 2887},	// KTempDir::name
    {118, 2464, 2890},	// KTempDir::removeDir$
    {118, 2571, 2884},	// KTempDir::setAutoRemove$
    {118, 3095, 2886},	// KTempDir::status
    {118, 3249, 2888},	// KTempDir::unlink
    {118, 3492, 2894},	// KTempDir::~KTempDir
    {119, 502, 2898},	// KTemporaryFile::KTemporaryFile
    {119, 503, 2895},	// KTemporaryFile::KTemporaryFile#
    {119, 2872, 2896},	// KTemporaryFile::setPrefix$
    {119, 2937, 2897},	// KTemporaryFile::setSuffix$
    {119, 3493, 2899},	// KTemporaryFile::~KTemporaryFile
    {120, 167, 2954},	// KTimeZone::InvalidOffset
    {120, 168, 2955},	// KTimeZone::InvalidTime_t
    {120, 504, 2900},	// KTimeZone::KTimeZone
    {120, 505, -757},	// KTimeZone::KTimeZone#
    {120, 506, 2901},	// KTimeZone::KTimeZone$
    {120, 778, 2956},	// KTimeZone::UNKNOWN
    {120, 844, 2914},	// KTimeZone::abbreviation#
    {120, 845, 2913},	// KTimeZone::abbreviations
    {120, 1175, 2912},	// KTimeZone::comment
    {120, 1209, 2916},	// KTimeZone::convert##
    {120, 1224, 2909},	// KTimeZone::countryCode
    {120, 1259, 2942},	// KTimeZone::currentOffset
    {120, 1260, 2919},	// KTimeZone::currentOffset$
    {120, 1267, 2952},	// KTimeZone::data
    {120, 1268, 2934},	// KTimeZone::data$
    {120, 1653, 2936},	// KTimeZone::fromTime_t$
    {120, 1719, 2926},	// KTimeZone::hasTransitions
    {120, 1822, 2924},	// KTimeZone::isDst$
    {120, 1824, 2923},	// KTimeZone::isDstAtUtc#
    {120, 1890, 2907},	// KTimeZone::isValid
    {120, 1975, 2910},	// KTimeZone::latitude
    {120, 1979, 2931},	// KTimeZone::leapSecondChanges
    {120, 2022, 2911},	// KTimeZone::longitude
    {120, 2115, 2908},	// KTimeZone::name
    {120, 2150, 2922},	// KTimeZone::offset$
    {120, 2152, 2921},	// KTimeZone::offsetAtUtc#
    {120, 2155, 2943},	// KTimeZone::offsetAtZoneTime#
    {120, 2157, 2920},	// KTimeZone::offsetAtZoneTime#$
    {120, 2172, 2905},	// KTimeZone::operator!=#
    {120, 2212, 2903},	// KTimeZone::operator=#
    {120, 2215, 2904},	// KTimeZone::operator==#
    {120, 2255, 2933},	// KTimeZone::parse
    {120, 2278, 2925},	// KTimeZone::phases
    {120, 2615, 2953},	// KTimeZone::setData#
    {120, 2616, 2940},	// KTimeZone::setData##
    {120, 3012, 2932},	// KTimeZone::source
    {120, 3188, 2937},	// KTimeZone::toTime_t#
    {120, 3190, 2917},	// KTimeZone::toUtc#
    {120, 3194, 2941},	// KTimeZone::toZoneTime#
    {120, 3195, 2918},	// KTimeZone::toZoneTime#$
    {120, 3214, 2946},	// KTimeZone::transition#
    {120, 3215, 2947},	// KTimeZone::transition#?
    {120, 3216, 2928},	// KTimeZone::transition#?$
    {120, 3218, 2948},	// KTimeZone::transitionIndex#
    {120, 3219, 2949},	// KTimeZone::transitionIndex#$
    {120, 3220, 2929},	// KTimeZone::transitionIndex#$$
    {120, 3222, 2950},	// KTimeZone::transitionTimes#
    {120, 3223, 2951},	// KTimeZone::transitionTimes##
    {120, 3224, 2930},	// KTimeZone::transitionTimes###
    {120, 3225, 2944},	// KTimeZone::transitions
    {120, 3226, 2945},	// KTimeZone::transitions#
    {120, 3227, 2927},	// KTimeZone::transitions##
    {120, 3243, 2906},	// KTimeZone::type
    {120, 3266, 2935},	// KTimeZone::updateBase#
    {120, 3290, 2938},	// KTimeZone::utc
    {120, 3292, 2915},	// KTimeZone::utcOffsets
    {120, 3494, 2957},	// KTimeZone::~KTimeZone
    {121, 555, 2958},	// KTimeZone::LeapSeconds::LeapSeconds
    {121, 556, 2960},	// KTimeZone::LeapSeconds::LeapSeconds#
    {121, 557, 2967},	// KTimeZone::LeapSeconds::LeapSeconds#$
    {121, 558, 2959},	// KTimeZone::LeapSeconds::LeapSeconds#$$
    {121, 1175, 2966},	// KTimeZone::LeapSeconds::comment
    {121, 1283, 2964},	// KTimeZone::LeapSeconds::dateTime
    {121, 1890, 2963},	// KTimeZone::LeapSeconds::isValid
    {121, 1980, 2965},	// KTimeZone::LeapSeconds::leapSeconds
    {121, 2194, 2962},	// KTimeZone::LeapSeconds::operator<#
    {121, 2212, 2961},	// KTimeZone::LeapSeconds::operator=#
    {121, 3507, 2968},	// KTimeZone::LeapSeconds::~LeapSeconds
    {122, 660, 2969},	// KTimeZone::Phase::Phase
    {122, 661, 2972},	// KTimeZone::Phase::Phase#
    {122, 662, 2980},	// KTimeZone::Phase::Phase$#$
    {122, 663, 2970},	// KTimeZone::Phase::Phase$#$$
    {122, 664, 2981},	// KTimeZone::Phase::Phase$?$
    {122, 665, 2971},	// KTimeZone::Phase::Phase$?$$
    {122, 845, 2977},	// KTimeZone::Phase::abbreviations
    {122, 1175, 2979},	// KTimeZone::Phase::comment
    {122, 1820, 2978},	// KTimeZone::Phase::isDst
    {122, 2172, 2975},	// KTimeZone::Phase::operator!=#
    {122, 2212, 2973},	// KTimeZone::Phase::operator=#
    {122, 2215, 2974},	// KTimeZone::Phase::operator==#
    {122, 3291, 2976},	// KTimeZone::Phase::utcOffset
    {122, 3509, 2982},	// KTimeZone::Phase::~Phase
    {123, 773, 2983},	// KTimeZone::Transition::Transition
    {123, 774, 2985},	// KTimeZone::Transition::Transition#
    {123, 775, 2984},	// KTimeZone::Transition::Transition##
    {123, 2194, 2989},	// KTimeZone::Transition::operator<#
    {123, 2212, 2986},	// KTimeZone::Transition::operator=#
    {123, 2277, 2988},	// KTimeZone::Transition::phase
    {123, 3163, 2987},	// KTimeZone::Transition::time
    {123, 3512, 2990},	// KTimeZone::Transition::~Transition
    {124, 507, 2991},	// KTimeZoneBackend::KTimeZoneBackend
    {124, 508, 2993},	// KTimeZoneBackend::KTimeZoneBackend#
    {124, 509, 3004},	// KTimeZoneBackend::KTimeZoneBackend#$
    {124, 510, 3005},	// KTimeZoneBackend::KTimeZoneBackend#$$
    {124, 511, 3006},	// KTimeZoneBackend::KTimeZoneBackend#$$$
    {124, 512, 3007},	// KTimeZoneBackend::KTimeZoneBackend#$$$$
    {124, 513, 3003},	// KTimeZoneBackend::KTimeZoneBackend#$$$$$
    {124, 514, 2992},	// KTimeZoneBackend::KTimeZoneBackend$
    {124, 1164, 2995},	// KTimeZoneBackend::clone
    {124, 1720, 3002},	// KTimeZoneBackend::hasTransitions#
    {124, 1821, 3001},	// KTimeZoneBackend::isDst#$
    {124, 1825, 3000},	// KTimeZoneBackend::isDstAtUtc##
    {124, 2149, 2999},	// KTimeZoneBackend::offset#$
    {124, 2153, 2998},	// KTimeZoneBackend::offsetAtUtc##
    {124, 2156, 2997},	// KTimeZoneBackend::offsetAtZoneTime##$
    {124, 2212, 2994},	// KTimeZoneBackend::operator=#
    {124, 3243, 2996},	// KTimeZoneBackend::type
    {124, 3495, 3008},	// KTimeZoneBackend::~KTimeZoneBackend
    {125, 515, 3009},	// KTimeZoneData::KTimeZoneData
    {125, 516, 3010},	// KTimeZoneData::KTimeZoneData#
    {125, 844, 3014},	// KTimeZoneData::abbreviation#
    {125, 845, 3013},	// KTimeZoneData::abbreviations
    {125, 1164, 3012},	// KTimeZoneData::clone
    {125, 1719, 3018},	// KTimeZoneData::hasTransitions
    {125, 1978, 3024},	// KTimeZoneData::leapSecondChange#
    {125, 1979, 3023},	// KTimeZoneData::leapSecondChanges
    {125, 2212, 3011},	// KTimeZoneData::operator=#
    {125, 2278, 3017},	// KTimeZoneData::phases
    {125, 2300, 3016},	// KTimeZoneData::previousUtcOffset
    {125, 2728, 3027},	// KTimeZoneData::setLeapSecondChanges?
    {125, 2862, 3025},	// KTimeZoneData::setPhases?$
    {125, 2959, 3026},	// KTimeZoneData::setTransitions?
    {125, 3214, 3030},	// KTimeZoneData::transition#
    {125, 3215, 3031},	// KTimeZoneData::transition#?
    {125, 3216, 3020},	// KTimeZoneData::transition#?$
    {125, 3218, 3032},	// KTimeZoneData::transitionIndex#
    {125, 3219, 3033},	// KTimeZoneData::transitionIndex#$
    {125, 3220, 3021},	// KTimeZoneData::transitionIndex#$$
    {125, 3222, 3034},	// KTimeZoneData::transitionTimes#
    {125, 3223, 3035},	// KTimeZoneData::transitionTimes##
    {125, 3224, 3022},	// KTimeZoneData::transitionTimes###
    {125, 3225, 3028},	// KTimeZoneData::transitions
    {125, 3226, 3029},	// KTimeZoneData::transitions#
    {125, 3227, 3019},	// KTimeZoneData::transitions##
    {125, 3292, 3015},	// KTimeZoneData::utcOffsets
    {125, 3496, 3036},	// KTimeZoneData::~KTimeZoneData
    {126, 517, 3037},	// KTimeZoneSource::KTimeZoneSource
    {126, 518, 3041},	// KTimeZoneSource::KTimeZoneSource#
    {126, 519, 3040},	// KTimeZoneSource::KTimeZoneSource$
    {126, 2256, 3038},	// KTimeZoneSource::parse#
    {126, 3278, 3039},	// KTimeZoneSource::useZoneParse
    {126, 3497, 3042},	// KTimeZoneSource::~KTimeZoneSource
    {127, 520, 3043},	// KTimeZones::KTimeZones
    {127, 863, 3046},	// KTimeZones::add#
    {127, 1160, 3049},	// KTimeZones::clear
    {127, 2457, 3047},	// KTimeZones::remove#
    {127, 2458, 3048},	// KTimeZones::remove$
    {127, 3395, 3044},	// KTimeZones::zone$
    {127, 3397, 3045},	// KTimeZones::zones
    {127, 3498, 3050},	// KTimeZones::~KTimeZones
    {128, 1771, 3086},	// KToolInvocation::invokeBrowser$
    {128, 1772, 3063},	// KToolInvocation::invokeBrowser$#
    {128, 1773, 3077},	// KToolInvocation::invokeHelp
    {128, 1774, 3078},	// KToolInvocation::invokeHelp$
    {128, 1775, 3079},	// KToolInvocation::invokeHelp$$
    {128, 1776, 3059},	// KToolInvocation::invokeHelp$$#
    {128, 1778, 3081},	// KToolInvocation::invokeMailer#
    {128, 1779, 3082},	// KToolInvocation::invokeMailer##
    {128, 1780, 3061},	// KToolInvocation::invokeMailer##$
    {128, 1781, 3080},	// KToolInvocation::invokeMailer$$
    {128, 1782, 3060},	// KToolInvocation::invokeMailer$$#
    {128, 1783, 3083},	// KToolInvocation::invokeMailer$$$$$
    {128, 1784, 3084},	// KToolInvocation::invokeMailer$$$$$$
    {128, 1785, 3085},	// KToolInvocation::invokeMailer$$$$$$?
    {128, 1786, 3062},	// KToolInvocation::invokeMailer$$$$$$?#
    {128, 1788, 3087},	// KToolInvocation::invokeTerminal$
    {128, 1789, 3088},	// KToolInvocation::invokeTerminal$$
    {128, 1790, 3064},	// KToolInvocation::invokeTerminal$$#
    {128, 1919, 3074},	// KToolInvocation::kapplication_hook?#
    {128, 1928, 3122},	// KToolInvocation::kdeinitExec$
    {128, 1929, 3123},	// KToolInvocation::kdeinitExec$?
    {128, 1930, 3124},	// KToolInvocation::kdeinitExec$?$
    {128, 1931, 3125},	// KToolInvocation::kdeinitExec$?$$
    {128, 1932, 3072},	// KToolInvocation::kdeinitExec$?$$#
    {128, 1934, 3126},	// KToolInvocation::kdeinitExecWait$
    {128, 1935, 3127},	// KToolInvocation::kdeinitExecWait$?
    {128, 1936, 3128},	// KToolInvocation::kdeinitExecWait$?$
    {128, 1937, 3129},	// KToolInvocation::kdeinitExecWait$?$$
    {128, 1938, 3073},	// KToolInvocation::kdeinitExecWait$?$$#
    {128, 1960, 3065},	// KToolInvocation::klauncher
    {128, 2074, 3051},	// KToolInvocation::metaObject
    {128, 2344, 3057},	// KToolInvocation::qt_metacall$$?
    {128, 2346, 3052},	// KToolInvocation::qt_metacast$
    {128, 2522, 3058},	// KToolInvocation::self
    {128, 3041, 3116},	// KToolInvocation::startServiceByDesktopName$
    {128, 3042, 3111},	// KToolInvocation::startServiceByDesktopName$$
    {128, 3043, 3112},	// KToolInvocation::startServiceByDesktopName$$$
    {128, 3044, 3113},	// KToolInvocation::startServiceByDesktopName$$$$
    {128, 3045, 3114},	// KToolInvocation::startServiceByDesktopName$$$$$
    {128, 3046, 3115},	// KToolInvocation::startServiceByDesktopName$$$$$#
    {128, 3047, 3070},	// KToolInvocation::startServiceByDesktopName$$$$$#$
    {128, 3048, 3117},	// KToolInvocation::startServiceByDesktopName$?
    {128, 3049, 3118},	// KToolInvocation::startServiceByDesktopName$?$
    {128, 3050, 3119},	// KToolInvocation::startServiceByDesktopName$?$$
    {128, 3051, 3120},	// KToolInvocation::startServiceByDesktopName$?$$$
    {128, 3052, 3121},	// KToolInvocation::startServiceByDesktopName$?$$$#
    {128, 3053, 3071},	// KToolInvocation::startServiceByDesktopName$?$$$#$
    {128, 3055, 3105},	// KToolInvocation::startServiceByDesktopPath$
    {128, 3056, 3100},	// KToolInvocation::startServiceByDesktopPath$$
    {128, 3057, 3101},	// KToolInvocation::startServiceByDesktopPath$$$
    {128, 3058, 3102},	// KToolInvocation::startServiceByDesktopPath$$$$
    {128, 3059, 3103},	// KToolInvocation::startServiceByDesktopPath$$$$$
    {128, 3060, 3104},	// KToolInvocation::startServiceByDesktopPath$$$$$#
    {128, 3061, 3068},	// KToolInvocation::startServiceByDesktopPath$$$$$#$
    {128, 3062, 3106},	// KToolInvocation::startServiceByDesktopPath$?
    {128, 3063, 3107},	// KToolInvocation::startServiceByDesktopPath$?$
    {128, 3064, 3108},	// KToolInvocation::startServiceByDesktopPath$?$$
    {128, 3065, 3109},	// KToolInvocation::startServiceByDesktopPath$?$$$
    {128, 3066, 3110},	// KToolInvocation::startServiceByDesktopPath$?$$$#
    {128, 3067, 3069},	// KToolInvocation::startServiceByDesktopPath$?$$$#$
    {128, 3069, 3094},	// KToolInvocation::startServiceByName$
    {128, 3070, 3089},	// KToolInvocation::startServiceByName$$
    {128, 3071, 3090},	// KToolInvocation::startServiceByName$$$
    {128, 3072, 3091},	// KToolInvocation::startServiceByName$$$$
    {128, 3073, 3092},	// KToolInvocation::startServiceByName$$$$$
    {128, 3074, 3093},	// KToolInvocation::startServiceByName$$$$$#
    {128, 3075, 3066},	// KToolInvocation::startServiceByName$$$$$#$
    {128, 3076, 3095},	// KToolInvocation::startServiceByName$?
    {128, 3077, 3096},	// KToolInvocation::startServiceByName$?$
    {128, 3078, 3097},	// KToolInvocation::startServiceByName$?$$
    {128, 3079, 3098},	// KToolInvocation::startServiceByName$?$$$
    {128, 3080, 3099},	// KToolInvocation::startServiceByName$?$$$#
    {128, 3081, 3067},	// KToolInvocation::startServiceByName$?$$$#$
    {128, 3092, 3130},	// KToolInvocation::staticMetaObject
    {128, 3201, 3075},	// KToolInvocation::tr$
    {128, 3202, 3053},	// KToolInvocation::tr$$
    {128, 3203, 3055},	// KToolInvocation::tr$$$
    {128, 3208, 3076},	// KToolInvocation::trUtf8$
    {128, 3209, 3054},	// KToolInvocation::trUtf8$$
    {128, 3210, 3056},	// KToolInvocation::trUtf8$$$
    {128, 3499, 3131},	// KToolInvocation::~KToolInvocation
    {129, 522, 3133},	// KTzfileTimeZone::KTzfileTimeZone#
    {129, 523, 3134},	// KTzfileTimeZone::KTzfileTimeZone#$
    {129, 524, 3135},	// KTzfileTimeZone::KTzfileTimeZone#$$
    {129, 525, 3136},	// KTzfileTimeZone::KTzfileTimeZone#$$$
    {129, 526, 3137},	// KTzfileTimeZone::KTzfileTimeZone#$$$$
    {129, 527, 3132},	// KTzfileTimeZone::KTzfileTimeZone#$$$$$
    {129, 3500, 3138},	// KTzfileTimeZone::~KTzfileTimeZone
    {130, 529, 3143},	// KTzfileTimeZoneBackend::KTzfileTimeZoneBackend#
    {130, 530, 3139},	// KTzfileTimeZoneBackend::KTzfileTimeZoneBackend#$$$$$
    {130, 1164, 3140},	// KTzfileTimeZoneBackend::clone
    {130, 1720, 3142},	// KTzfileTimeZoneBackend::hasTransitions#
    {130, 3243, 3141},	// KTzfileTimeZoneBackend::type
    {130, 3501, 3144},	// KTzfileTimeZoneBackend::~KTzfileTimeZoneBackend
    {131, 532, 3148},	// KTzfileTimeZoneSource::KTzfileTimeZoneSource#
    {131, 533, 3145},	// KTzfileTimeZoneSource::KTzfileTimeZoneSource$
    {131, 2018, 3146},	// KTzfileTimeZoneSource::location
    {131, 2256, 3147},	// KTzfileTimeZoneSource::parse#
    {131, 3502, 3149},	// KTzfileTimeZoneSource::~KTzfileTimeZoneSource
    {132, 12, 3246},	// KUrl::AddTrailingSlash
    {132, 17, 3257},	// KUrl::AllowEmptyPath
    {132, 21, 3253},	// KUrl::AppendTrailingSlash
    {132, 34, 3250},	// KUrl::AvoidEmptyPath
    {132, 49, 3251},	// KUrl::CaseInsensitiveKeys
    {132, 68, 3256},	// KUrl::CompareWithoutFragment
    {132, 69, 3255},	// KUrl::CompareWithoutTrailingSlash
    {132, 88, 3242},	// KUrl::DefaultMimeDataFlags
    {132, 156, 3254},	// KUrl::IgnoreTrailingSlash
    {132, 534, 3150},	// KUrl::KUrl
    {132, 535, -307},	// KUrl::KUrl#
    {132, 536, 3156},	// KUrl::KUrl#$
    {132, 537, -311},	// KUrl::KUrl$
    {132, 549, 3248},	// KUrl::KeepDirSeparators
    {132, 559, 3245},	// KUrl::LeaveTrailingSlash
    {132, 630, 3243},	// KUrl::NoTextExport
    {132, 639, 3252},	// KUrl::ObeyTrailingSlash
    {132, 658, 3249},	// KUrl::PermitEmptyPath
    {132, 701, 3244},	// KUrl::RemoveTrailingSlash
    {132, 721, 3247},	// KUrl::SimplifyDirSeparators
    {132, 987, 3187},	// KUrl::addPath$
    {132, 991, 3190},	// KUrl::addQueryItem$$
    {132, 1024, 3171},	// KUrl::adjustPath$
    {132, 1132, 3195},	// KUrl::cd$
    {132, 1158, 3229},	// KUrl::cleanPath
    {132, 1159, 3170},	// KUrl::cleanPath$
    {132, 1167, 3237},	// KUrl::cmp#
    {132, 1168, 3211},	// KUrl::cmp#$
    {132, 1335, 3223},	// KUrl::decode_string$
    {132, 1393, 3234},	// KUrl::directory
    {132, 1394, 3193},	// KUrl::directory#
    {132, 1420, 3221},	// KUrl::encode_string$
    {132, 1422, 3222},	// KUrl::encode_string_no_slash$
    {132, 1423, 3180},	// KUrl::encodedHtmlRef
    {132, 1424, 3230},	// KUrl::encodedPathAndQuery
    {132, 1425, 3231},	// KUrl::encodedPathAndQuery$
    {132, 1426, 3173},	// KUrl::encodedPathAndQuery$#
    {132, 1450, 3238},	// KUrl::equals#
    {132, 1451, 3212},	// KUrl::equals##
    {132, 1521, 3185},	// KUrl::fileEncoding
    {132, 1524, 3233},	// KUrl::fileName
    {132, 1525, 3192},	// KUrl::fileName#
    {132, 1638, 3219},	// KUrl::fromMimeDataByteArray#
    {132, 1640, 3217},	// KUrl::fromPath$
    {132, 1642, 3218},	// KUrl::fromPathOrUrl$
    {132, 1693, 3182},	// KUrl::hasHTMLRef
    {132, 1695, 3165},	// KUrl::hasHost
    {132, 1709, 3164},	// KUrl::hasPass
    {132, 1710, 3169},	// KUrl::hasPath
    {132, 1712, 3178},	// KUrl::hasRef
    {132, 1715, 3186},	// KUrl::hasSubUrl
    {132, 1721, 3161},	// KUrl::hasUser
    {132, 1728, 3179},	// KUrl::htmlRef
    {132, 1854, 3183},	// KUrl::isLocalFile
    {132, 1864, 3213},	// KUrl::isParentOf#
    {132, 1869, 3224},	// KUrl::isRelativeUrl$
    {132, 1904, 3216},	// KUrl::join?
    {132, 2170, 3210},	// KUrl::operator QVariant
    {132, 2172, 3208},	// KUrl::operator!=#
    {132, 2175, 3209},	// KUrl::operator!=$
    {132, 2212, -314},	// KUrl::operator=#
    {132, 2213, -317},	// KUrl::operator=$
    {132, 2215, 3206},	// KUrl::operator==#
    {132, 2218, 3207},	// KUrl::operator==$
    {132, 2259, 3162},	// KUrl::pass
    {132, 2260, 3227},	// KUrl::path
    {132, 2261, 3166},	// KUrl::path$
    {132, 2262, 3198},	// KUrl::pathOrUrl
    {132, 2263, 3199},	// KUrl::pathOrUrl$
    {132, 2284, 3239},	// KUrl::populateMimeData#
    {132, 2285, 3240},	// KUrl::populateMimeData#?
    {132, 2286, 3220},	// KUrl::populateMimeData#?$
    {132, 2298, 3236},	// KUrl::prettyUrl
    {132, 2299, 3197},	// KUrl::prettyUrl$
    {132, 2326, 3157},	// KUrl::protocol
    {132, 2347, 3175},	// KUrl::query
    {132, 2352, 3189},	// KUrl::queryItem$
    {132, 2353, 3232},	// KUrl::queryItems
    {132, 2354, 3188},	// KUrl::queryItems#
    {132, 2441, 3176},	// KUrl::ref
    {132, 2451, 3241},	// KUrl::relativePath$$
    {132, 2452, 3226},	// KUrl::relativePath$$$
    {132, 2454, 3225},	// KUrl::relativeUrl##
    {132, 2659, 3194},	// KUrl::setDirectory$
    {132, 2661, 3172},	// KUrl::setEncodedPathAndQuery$
    {132, 2683, 3184},	// KUrl::setFileEncoding$
    {132, 2685, 3191},	// KUrl::setFileName$
    {132, 2698, 3181},	// KUrl::setHTMLRef$
    {132, 2856, 3163},	// KUrl::setPass$
    {132, 2858, 3168},	// KUrl::setPath$
    {132, 2898, 3158},	// KUrl::setProtocol$
    {132, 2902, 3174},	// KUrl::setQuery$
    {132, 2908, 3177},	// KUrl::setRef$
    {132, 2969, 3160},	// KUrl::setUser$
    {132, 3017, 3215},	// KUrl::split#
    {132, 3018, 3214},	// KUrl::split$
    {132, 3175, 3228},	// KUrl::toLocalFile
    {132, 3176, 3167},	// KUrl::toLocalFile$
    {132, 3178, 3200},	// KUrl::toMimeDataString
    {132, 3260, 3201},	// KUrl::upUrl
    {132, 3268, 3235},	// KUrl::url
    {132, 3269, 3196},	// KUrl::url$
    {132, 3280, 3159},	// KUrl::user
    {132, 3503, 3258},	// KUrl::~KUrl
    {133, 133, 3285},	// KUser::FullName
    {133, 144, 3288},	// KUser::HomePhone
    {133, 538, 3282},	// KUser::KUser
    {133, 539, -296},	// KUser::KUser#
    {133, 540, -299},	// KUser::KUser$
    {133, 708, 3286},	// KUser::RoomNumber
    {133, 808, 3283},	// KUser::UseEffectiveUID
    {133, 809, 3284},	// KUser::UseRealUserID
    {133, 819, 3287},	// KUser::WorkPhone
    {133, 1042, 3281},	// KUser::allUserNames
    {133, 1043, 3280},	// KUser::allUsers
    {133, 1509, 3275},	// KUser::faceIconPath
    {133, 1655, 3273},	// KUser::fullName
    {133, 1669, 3270},	// KUser::gid
    {133, 1678, 3278},	// KUser::groupNames
    {133, 1679, 3277},	// KUser::groups
    {133, 1725, 3274},	// KUser::homeDir
    {133, 1882, 3271},	// KUser::isSuperUser
    {133, 1890, 3268},	// KUser::isValid
    {133, 2021, 3272},	// KUser::loginName
    {133, 2172, 3267},	// KUser::operator!=#
    {133, 2212, 3265},	// KUser::operator=#
    {133, 2215, 3266},	// KUser::operator==#
    {133, 2319, 3279},	// KUser::property$
    {133, 2989, 3276},	// KUser::shell
    {133, 3245, 3269},	// KUser::uid
    {133, 3504, 3289},	// KUser::~KUser
    {134, 541, 3306},	// KUserGroup::KUserGroup
    {134, 542, -344},	// KUserGroup::KUserGroup#
    {134, 543, -347},	// KUserGroup::KUserGroup$
    {134, 1031, 3305},	// KUserGroup::allGroupNames
    {134, 1032, 3304},	// KUserGroup::allGroups
    {134, 1669, 3300},	// KUserGroup::gid
    {134, 1890, 3299},	// KUserGroup::isValid
    {134, 2115, 3301},	// KUserGroup::name
    {134, 2172, 3298},	// KUserGroup::operator!=#
    {134, 2212, 3296},	// KUserGroup::operator=#
    {134, 2215, 3297},	// KUserGroup::operator==#
    {134, 3281, 3303},	// KUserGroup::userNames
    {134, 3284, 3302},	// KUserGroup::users
    {134, 3505, 3307},	// KUserGroup::~KUserGroup
    {135, 544, 3313},	// KWordMacroExpander::KWordMacroExpander
    {135, 545, -200},	// KWordMacroExpander::KWordMacroExpander#
    {135, 1490, 3310},	// KWordMacroExpander::expandEscapedMacro$$?
    {135, 1493, 3311},	// KWordMacroExpander::expandMacro$?
    {135, 1504, 3309},	// KWordMacroExpander::expandPlainMacro$$?
    {135, 3506, 3314},	// KWordMacroExpander::~KWordMacroExpander
    {136, 648, 3343},	// OrgKdeKLauncherInterface::OrgKdeKLauncherInterface$$#
    {136, 649, 3323},	// OrgKdeKLauncherInterface::OrgKdeKLauncherInterface$$##
    {136, 1075, 3324},	// OrgKdeKLauncherInterface::autoStart
    {136, 1076, 3325},	// OrgKdeKLauncherInterface::autoStart$
    {136, 1077, 3338},	// OrgKdeKLauncherInterface::autoStart0Done
    {136, 1078, 3339},	// OrgKdeKLauncherInterface::autoStart1Done
    {136, 1079, 3340},	// OrgKdeKLauncherInterface::autoStart2Done
    {136, 1476, 3327},	// OrgKdeKLauncherInterface::exec_blind$?
    {136, 1477, 3326},	// OrgKdeKLauncherInterface::exec_blind$??$
    {136, 1940, 3328},	// OrgKdeKLauncherInterface::kdeinit_exec$??$$$$
    {136, 1942, 3329},	// OrgKdeKLauncherInterface::kdeinit_exec_wait$??$$$$
    {136, 2074, 3315},	// OrgKdeKLauncherInterface::metaObject
    {136, 2344, 3321},	// OrgKdeKLauncherInterface::qt_metacall$$?
    {136, 2346, 3316},	// OrgKdeKLauncherInterface::qt_metacast$
    {136, 2476, 3330},	// OrgKdeKLauncherInterface::reparseConfiguration
    {136, 2480, 3331},	// OrgKdeKLauncherInterface::requestHoldSlave$$
    {136, 2482, 3332},	// OrgKdeKLauncherInterface::requestSlave$$$$
    {136, 2724, 3333},	// OrgKdeKLauncherInterface::setLaunchEnv$$
    {136, 3083, 3334},	// OrgKdeKLauncherInterface::start_service_by_desktop_name$??$$$$$
    {136, 3085, 3335},	// OrgKdeKLauncherInterface::start_service_by_desktop_path$??$$$$$
    {136, 3087, 3336},	// OrgKdeKLauncherInterface::start_service_by_name$??$$$$$
    {136, 3091, 3322},	// OrgKdeKLauncherInterface::staticInterfaceName
    {136, 3092, 3344},	// OrgKdeKLauncherInterface::staticMetaObject
    {136, 3201, 3341},	// OrgKdeKLauncherInterface::tr$
    {136, 3202, 3317},	// OrgKdeKLauncherInterface::tr$$
    {136, 3203, 3319},	// OrgKdeKLauncherInterface::tr$$$
    {136, 3208, 3342},	// OrgKdeKLauncherInterface::trUtf8$
    {136, 3209, 3318},	// OrgKdeKLauncherInterface::trUtf8$$
    {136, 3210, 3320},	// OrgKdeKLauncherInterface::trUtf8$$$
    {136, 3325, 3337},	// OrgKdeKLauncherInterface::waitForSlave$
    {136, 3508, 3345},	// OrgKdeKLauncherInterface::~OrgKdeKLauncherInterface
    {158, 152, 3815},	// QGlobalSpace::ITIMER_PROF
    {158, 153, 3813},	// QGlobalSpace::ITIMER_REAL
    {158, 154, 3814},	// QGlobalSpace::ITIMER_VIRTUAL
    {158, 432, 3845},	// QGlobalSpace::KST_CTimeInfo
    {158, 433, 3837},	// QGlobalSpace::KST_KCustom
    {158, 434, 3832},	// QGlobalSpace::KST_KDEDesktopMimeType
    {158, 435, 3831},	// QGlobalSpace::KST_KFolderMimeType
    {158, 436, 3842},	// QGlobalSpace::KST_KImageIO
    {158, 437, 3834},	// QGlobalSpace::KST_KImageIOFormat
    {158, 438, 3830},	// QGlobalSpace::KST_KMimeType
    {158, 439, 3844},	// QGlobalSpace::KST_KMimeTypeFactory
    {158, 440, 3835},	// QGlobalSpace::KST_KProtocolInfo
    {158, 441, 3843},	// QGlobalSpace::KST_KProtocolInfoFactory
    {158, 442, 3828},	// QGlobalSpace::KST_KService
    {158, 443, 3839},	// QGlobalSpace::KST_KServiceFactory
    {158, 444, 3833},	// QGlobalSpace::KST_KServiceGroup
    {158, 445, 3841},	// QGlobalSpace::KST_KServiceGroupFactory
    {158, 446, 3836},	// QGlobalSpace::KST_KServiceSeparator
    {158, 447, 3829},	// QGlobalSpace::KST_KServiceType
    {158, 448, 3840},	// QGlobalSpace::KST_KServiceTypeFactory
    {158, 449, 3827},	// QGlobalSpace::KST_KSycocaEntry
    {158, 573, 3850},	// QGlobalSpace::LicensedActiveQt
    {158, 574, 3838},	// QGlobalSpace::LicensedCore
    {158, 575, 3851},	// QGlobalSpace::LicensedDBus
    {158, 576, 3849},	// QGlobalSpace::LicensedDeclarative
    {158, 577, 3848},	// QGlobalSpace::LicensedGui
    {158, 578, 3861},	// QGlobalSpace::LicensedHelp
    {158, 579, 3860},	// QGlobalSpace::LicensedMultimedia
    {158, 580, 3825},	// QGlobalSpace::LicensedNetwork
    {158, 581, 3822},	// QGlobalSpace::LicensedOpenGL
    {158, 582, 3824},	// QGlobalSpace::LicensedOpenVG
    {158, 583, 3823},	// QGlobalSpace::LicensedQt3Support
    {158, 584, 3854},	// QGlobalSpace::LicensedQt3SupportLight
    {158, 585, 3859},	// QGlobalSpace::LicensedScript
    {158, 586, 3853},	// QGlobalSpace::LicensedScriptTools
    {158, 587, 3826},	// QGlobalSpace::LicensedSql
    {158, 588, 3846},	// QGlobalSpace::LicensedSvg
    {158, 589, 3852},	// QGlobalSpace::LicensedTest
    {158, 590, 3816},	// QGlobalSpace::LicensedXml
    {158, 591, 3847},	// QGlobalSpace::LicensedXmlPatterns
    {158, 680, 3819},	// QGlobalSpace::QtCriticalMsg
    {158, 681, 3817},	// QGlobalSpace::QtDebugMsg
    {158, 682, 3820},	// QGlobalSpace::QtFatalMsg
    {158, 683, 3821},	// QGlobalSpace::QtSystemMsg
    {158, 685, 3818},	// QGlobalSpace::QtWarningMsg
    {158, 826, 3812},	// QGlobalSpace::_ISalnum
    {158, 827, 3803},	// QGlobalSpace::_ISalpha
    {158, 828, 3809},	// QGlobalSpace::_ISblank
    {158, 829, 3810},	// QGlobalSpace::_IScntrl
    {158, 830, 3804},	// QGlobalSpace::_ISdigit
    {158, 831, 3808},	// QGlobalSpace::_ISgraph
    {158, 832, 3802},	// QGlobalSpace::_ISlower
    {158, 833, 3807},	// QGlobalSpace::_ISprint
    {158, 834, 3811},	// QGlobalSpace::_ISpunct
    {158, 835, 3806},	// QGlobalSpace::_ISspace
    {158, 836, 3801},	// QGlobalSpace::_ISupper
    {158, 837, 3805},	// QGlobalSpace::_ISxdigit
    {158, 838, 3857},	// QGlobalSpace::__codecvt_error
    {158, 839, 3858},	// QGlobalSpace::__codecvt_noconv
    {158, 840, 3855},	// QGlobalSpace::__codecvt_ok
    {158, 841, 3856},	// QGlobalSpace::__codecvt_partial
    {158, 1730, 3590},	// QGlobalSpace::i18n$
    {158, 1732, 3471},	// QGlobalSpace::i18nc$$
    {158, 1910, 3630},	// QGlobalSpace::kAsciiToLower$
    {158, 1912, 3695},	// QGlobalSpace::kAsciiToUpper$
    {158, 1913, 3698},	// QGlobalSpace::kBacktrace
    {158, 1914, 3697},	// QGlobalSpace::kBacktrace$
    {158, 1915, 3619},	// QGlobalSpace::kClearDebugConfig
    {158, 1917, 3770},	// QGlobalSpace::kRealBacktrace$
    {158, 1921, 3439},	// QGlobalSpace::kasciistricmp$$
    {158, 1923, 3708},	// QGlobalSpace::kdBacktrace
    {158, 1924, 3707},	// QGlobalSpace::kdBacktrace$
    {158, 1951, 3794},	// QGlobalSpace::ki18n$
    {158, 1953, 3425},	// QGlobalSpace::ki18nc$$
    {158, 1955, 3435},	// QGlobalSpace::ki18ncp$$$
    {158, 1957, 3784},	// QGlobalSpace::ki18np$$
    {158, 2173, -373},	// QGlobalSpace::operator!=##
    {158, 2174, -392},	// QGlobalSpace::operator!=#$
    {158, 2176, -398},	// QGlobalSpace::operator!=$#
    {158, 2177, 3527},	// QGlobalSpace::operator!=$$
    {158, 2179, 3605},	// QGlobalSpace::operator&##
    {158, 2181, -405},	// QGlobalSpace::operator*#$
    {158, 2182, -410},	// QGlobalSpace::operator*$#
    {158, 2184, -415},	// QGlobalSpace::operator+##
    {158, 2185, -421},	// QGlobalSpace::operator+#$
    {158, 2186, -426},	// QGlobalSpace::operator+$#
    {158, 2187, -431},	// QGlobalSpace::operator+$$
    {158, 2189, -437},	// QGlobalSpace::operator-#
    {158, 2190, -440},	// QGlobalSpace::operator-##
    {158, 2192, -445},	// QGlobalSpace::operator/#$
    {158, 2195, -450},	// QGlobalSpace::operator<##
    {158, 2196, 3639},	// QGlobalSpace::operator<#$
    {158, 2197, -457},	// QGlobalSpace::operator<$#
    {158, 2198, 3485},	// QGlobalSpace::operator<$$
    {158, 2200, -460},	// QGlobalSpace::operator<<##
    {158, 2201, -497},	// QGlobalSpace::operator<<#$
    {158, 2202, -500},	// QGlobalSpace::operator<<#?
    {158, 2207, -504},	// QGlobalSpace::operator<=##
    {158, 2208, 3513},	// QGlobalSpace::operator<=#$
    {158, 2209, -509},	// QGlobalSpace::operator<=$#
    {158, 2210, 3651},	// QGlobalSpace::operator<=$$
    {158, 2216, -512},	// QGlobalSpace::operator==##
    {158, 2217, -533},	// QGlobalSpace::operator==#$
    {158, 2219, -539},	// QGlobalSpace::operator==$#
    {158, 2220, 3782},	// QGlobalSpace::operator==$$
    {158, 2223, -547},	// QGlobalSpace::operator>##
    {158, 2224, 3792},	// QGlobalSpace::operator>#$
    {158, 2225, -552},	// QGlobalSpace::operator>$#
    {158, 2226, 3582},	// QGlobalSpace::operator>$$
    {158, 2229, -555},	// QGlobalSpace::operator>=##
    {158, 2230, 3434},	// QGlobalSpace::operator>=#$
    {158, 2231, -560},	// QGlobalSpace::operator>=$#
    {158, 2232, 3789},	// QGlobalSpace::operator>=$$
    {158, 2234, -563},	// QGlobalSpace::operator>>##
    {158, 2235, -600},	// QGlobalSpace::operator>>#$
    {158, 2236, 3565},	// QGlobalSpace::operator>>#?
    {158, 2238, 3516},	// QGlobalSpace::operator^##
    {158, 2240, 3717},	// QGlobalSpace::operator|##
    {158, 2241, -603},	// QGlobalSpace::operator|$$
    {158, 3205, 3736},	// QGlobalSpace::tr2i18n$
    {158, 3206, 3735},	// QGlobalSpace::tr2i18n$$
    {204, 1342, 3904},	// Sonnet::defaultLanguageName
    {204, 1378, 3905},	// Sonnet::detectLanguage$
    {205, 36, 3935},	// Sonnet::BackgroundChecker::BackgroundChecker
    {205, 37, -367},	// Sonnet::BackgroundChecker::BackgroundChecker#
    {205, 38, 3914},	// Sonnet::BackgroundChecker::BackgroundChecker##
    {205, 1015, 3922},	// Sonnet::BackgroundChecker::addWordToPersonal$
    {205, 1137, 3926},	// Sonnet::BackgroundChecker::changeLanguage$
    {205, 1148, 3920},	// Sonnet::BackgroundChecker::checkWord$
    {205, 1207, 3927},	// Sonnet::BackgroundChecker::continueChecking
    {205, 1252, 3917},	// Sonnet::BackgroundChecker::currentContext
    {205, 1408, 3929},	// Sonnet::BackgroundChecker::done
    {205, 1520, 3930},	// Sonnet::BackgroundChecker::fetchMoreText
    {205, 1586, 3931},	// Sonnet::BackgroundChecker::finishedCurrentFeed
    {205, 2074, 3906},	// Sonnet::BackgroundChecker::metaObject
    {205, 2080, 3928},	// Sonnet::BackgroundChecker::misspelling$$
    {205, 2344, 3912},	// Sonnet::BackgroundChecker::qt_metacall$$?
    {205, 2346, 3907},	// Sonnet::BackgroundChecker::qt_metacast$
    {205, 2478, 3925},	// Sonnet::BackgroundChecker::replace$$$
    {205, 2931, 3919},	// Sonnet::BackgroundChecker::setSpeller#
    {205, 2943, 3915},	// Sonnet::BackgroundChecker::setText$
    {205, 3002, 3932},	// Sonnet::BackgroundChecker::slotEngineDone
    {205, 3015, 3918},	// Sonnet::BackgroundChecker::speller
    {205, 3031, 3923},	// Sonnet::BackgroundChecker::start
    {205, 3092, 3937},	// Sonnet::BackgroundChecker::staticMetaObject
    {205, 3098, 3924},	// Sonnet::BackgroundChecker::stop
    {205, 3127, 3921},	// Sonnet::BackgroundChecker::suggest$
    {205, 3159, 3916},	// Sonnet::BackgroundChecker::text
    {205, 3201, 3933},	// Sonnet::BackgroundChecker::tr$
    {205, 3202, 3908},	// Sonnet::BackgroundChecker::tr$$
    {205, 3203, 3910},	// Sonnet::BackgroundChecker::tr$$$
    {205, 3208, 3934},	// Sonnet::BackgroundChecker::trUtf8$
    {205, 3209, 3909},	// Sonnet::BackgroundChecker::trUtf8$$
    {205, 3210, 3911},	// Sonnet::BackgroundChecker::trUtf8$$$
    {205, 3401, 3938},	// Sonnet::BackgroundChecker::~BackgroundChecker
    {206, 55, 3966},	// Sonnet::Speller::CheckUppercase
    {206, 723, 3967},	// Sonnet::Speller::SkipRunTogether
    {206, 736, 3964},	// Sonnet::Speller::Speller
    {206, 737, 3940},	// Sonnet::Speller::Speller#
    {206, 738, 3939},	// Sonnet::Speller::Speller$
    {206, 1011, 3950},	// Sonnet::Speller::addToPersonal$
    {206, 1013, 3951},	// Sonnet::Speller::addToSession$
    {206, 1083, 3954},	// Sonnet::Speller::availableBackends
    {206, 1084, 3957},	// Sonnet::Speller::availableDictionaries
    {206, 1086, 3956},	// Sonnet::Speller::availableLanguageNames
    {206, 1087, 3955},	// Sonnet::Speller::availableLanguages
    {206, 1144, 3948},	// Sonnet::Speller::checkAndSuggest$?
    {206, 1338, 3961},	// Sonnet::Speller::defaultClient
    {206, 1341, 3959},	// Sonnet::Speller::defaultLanguage
    {206, 1813, 3945},	// Sonnet::Speller::isCorrect$
    {206, 1860, 3946},	// Sonnet::Speller::isMisspelled$
    {206, 1890, 3942},	// Sonnet::Speller::isValid
    {206, 1967, 3944},	// Sonnet::Speller::language
    {206, 2212, 3941},	// Sonnet::Speller::operator=#
    {206, 2495, 3953},	// Sonnet::Speller::restore#
    {206, 2506, 3952},	// Sonnet::Speller::save#
    {206, 2562, 3965},	// Sonnet::Speller::setAttribute$
    {206, 2563, 3962},	// Sonnet::Speller::setAttribute$$
    {206, 2645, 3960},	// Sonnet::Speller::setDefaultClient$
    {206, 2647, 3958},	// Sonnet::Speller::setDefaultLanguage$
    {206, 2720, 3943},	// Sonnet::Speller::setLanguage$
    {206, 3102, 3949},	// Sonnet::Speller::storeReplacement$$
    {206, 3127, 3947},	// Sonnet::Speller::suggest$
    {206, 3158, 3963},	// Sonnet::Speller::testAttribute$
    {206, 3511, 3968},	// Sonnet::Speller::~Speller
    {209, 1961, 3969},	// kndbgstream::kndbgstream
    {209, 1962, 3970},	// kndbgstream::kndbgstream#
    {209, 3513, 3971},	// kndbgstream::~kndbgstream
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtnetwork_Smoke();
SMOKE_IMPORT void init_qtdbus_Smoke();

static bool initialized = false;
Smoke *kdecore_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kdecore_Smoke() {
    init_qtcore_Smoke();
    init_qtnetwork_Smoke();
    init_qtdbus_Smoke();
    if (initialized) return;
    kdecore_Smoke = new Smoke(
        "kdecore",
        __smokekdecore::classes, 212,
        __smokekdecore::methods, 3972,
        __smokekdecore::methodMaps, 3350,
        __smokekdecore::methodNames, 3513,
        __smokekdecore::types, 759,
        __smokekdecore::inheritanceList,
        __smokekdecore::argumentList,
        __smokekdecore::ambiguousMethodList,
        __smokekdecore::cast );
    initialized = true;
}

void delete_kdecore_Smoke() { delete kdecore_Smoke; }

}
