#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 15: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 44: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 25: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 83: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QCloseEvent
      switch(to) {
        case 5: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QColor
      switch(to) {
        case 6: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDragEnterEvent
      switch(to) {
        case 8: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragLeaveEvent
      switch(to) {
        case 9: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragMoveEvent
      switch(to) {
        case 10: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDropEvent
      switch(to) {
        case 11: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QEvent
      switch(to) {
        case 12: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFont
      switch(to) {
        case 14: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 15:   //QFrame
      switch(to) {
        case 44: return (void*)(QWidget*)(QFrame*)xptr;
        case 25: return (void*)(QObject*)(QFrame*)xptr;
        case 15: return (void*)(QFrame*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 83: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIODevice
      switch(to) {
        case 25: return (void*)(QObject*)(QIODevice*)xptr;
        case 18: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 19:   //QInputMethodEvent
      switch(to) {
        case 19: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QKeyEvent
      switch(to) {
        case 20: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QMetaObject
      switch(to) {
        case 21: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 22:   //QMimeData
      switch(to) {
        case 22: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 23:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QMoveEvent
      switch(to) {
        case 24: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QObject
      switch(to) {
        case 25: return (void*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 80: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 51: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 46: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 45: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 52: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 50: return (void*)(QsciLexer*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 83: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 81: return (void*)(QsciMacro*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 53: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 26:   //QPaintEngine
      switch(to) {
        case 26: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 27:   //QPaintEvent
      switch(to) {
        case 27: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QPainter
      switch(to) {
        case 28: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 29:   //QPalette
      switch(to) {
        case 29: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 30:   //QPixmap
      switch(to) {
        case 30: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 31:   //QPoint
      switch(to) {
        case 31: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 32:   //QPrinter
      switch(to) {
        case 32: return (void*)(QPrinter*)xptr;
        case 82: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 33:   //QRect
      switch(to) {
        case 33: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 34:   //QRegExp
      switch(to) {
        case 34: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 35:   //QResizeEvent
      switch(to) {
        case 35: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QSettings
      switch(to) {
        case 36: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 37:   //QShowEvent
      switch(to) {
        case 37: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QSize
      switch(to) {
        case 38: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 39:   //QStyle
      switch(to) {
        case 39: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 40:   //QTabletEvent
      switch(to) {
        case 40: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QTimerEvent
      switch(to) {
        case 41: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QVariant
      switch(to) {
        case 42: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 43:   //QWheelEvent
      switch(to) {
        case 43: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QWidget
      switch(to) {
        case 25: return (void*)(QObject*)(QWidget*)xptr;
        case 44: return (void*)(QWidget*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 83: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 45:   //QsciAPIs
      switch(to) {
        case 46: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 25: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 45: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 46:   //QsciAbstractAPIs
      switch(to) {
        case 25: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 46: return (void*)(QsciAbstractAPIs*)xptr;
        case 45: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 47:   //QsciCommand
      switch(to) {
        case 47: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 48:   //QsciCommandSet
      switch(to) {
        case 48: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 49:   //QsciDocument
      switch(to) {
        case 49: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 50:   //QsciLexer
      switch(to) {
        case 25: return (void*)(QObject*)(QsciLexer*)xptr;
        case 50: return (void*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 80: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 51: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 52: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 51:   //QsciLexerBash
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 51: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 52:   //QsciLexerBatch
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 52: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexerCMake
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 53: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerCPP
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 54: return (void*)(QsciLexerCPP*)xptr;
        case 63: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 64: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerCSS
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 55: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCSharp
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerCustom
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 57: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerD
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 58: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerDiff
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 59: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerFortran
      switch(to) {
        case 61: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 60: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerFortran77
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 61: return (void*)(QsciLexerFortran77*)xptr;
        case 60: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerHTML
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 62: return (void*)(QsciLexerHTML*)xptr;
        case 79: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerIDL
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 63: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerJava
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 64: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerJavaScript
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerLua
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 66: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerMakefile
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 67: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerPOV
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 68: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerPascal
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 69: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerPerl
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 70: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerPostScript
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 71: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerProperties
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 72: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerPython
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 73: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerRuby
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 74: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerSQL
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 75: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerTCL
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 76: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerTeX
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 77: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerVHDL
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 78: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerXML
      switch(to) {
        case 62: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 79: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 80:   //QsciLexerYAML
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 80: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 81:   //QsciMacro
      switch(to) {
        case 25: return (void*)(QObject*)(QsciMacro*)xptr;
        case 81: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 82:   //QsciPrinter
      switch(to) {
        case 32: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 82: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 83:   //QsciScintilla
      switch(to) {
        case 84: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 15: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 44: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 25: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 83: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 84:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 15: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 44: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 25: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 84: return (void*)(QsciScintillaBase*)xptr;
        case 83: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 85:   //QsciStyle
      switch(to) {
        case 85: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 86:   //QsciStyledText
      switch(to) {
        case 86: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    46, 0,	// 1: QsciAbstractAPIs
    25, 0,	// 3: QObject
    50, 0,	// 5: QsciLexer
    54, 0,	// 7: QsciLexerCPP
    61, 0,	// 9: QsciLexerFortran77
    62, 0,	// 11: QsciLexerHTML
    32, 0,	// 13: QPrinter
    84, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QColor", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFont", true, 0, 0, 0, 0, 0 },	//14
    { "QFrame", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//18
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//21
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//22
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QObject", true, 0, 0, 0, 0, 0 },	//25
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//26
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QPainter", true, 0, 0, 0, 0, 0 },	//28
    { "QPalette", true, 0, 0, 0, 0, 0 },	//29
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//30
    { "QPoint", true, 0, 0, 0, 0, 0 },	//31
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//32
    { "QRect", true, 0, 0, 0, 0, 0 },	//33
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//34
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QSettings", true, 0, 0, 0, 0, 0 },	//36
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QSize", true, 0, 0, 0, 0, 0 },	//38
    { "QStyle", true, 0, 0, 0, 0, 0 },	//39
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QVariant", true, 0, 0, 0, 0, 0 },	//42
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QWidget", true, 0, 0, 0, 0, 0 },	//44
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//45
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//46
    { "QsciCommand", false, 0, xcall_QsciCommand, 0, 0, sizeof(QsciCommand) },	//47
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//48
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//49
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//50
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//51
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//52
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//53
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//54
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//55
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//56
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//57
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//58
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//59
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//60
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//61
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//62
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//63
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//64
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//65
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//66
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//67
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//68
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//69
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//70
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//71
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//72
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//73
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//74
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//75
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//76
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//77
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//78
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//79
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//80
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//81
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//82
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//83
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//84
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//85
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//86
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QChildEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QCloseEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QColor", 6, Smoke::t_class|Smoke::tf_stack },	//5
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QDragEnterEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragLeaveEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragMoveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDropEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QFocusEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFont", 14, Smoke::t_class|Smoke::tf_stack },	//13
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QIODevice*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QInputMethodEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//18
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QMetaObject::Call", 21, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QMimeData*", 22, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QMouseEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QMoveEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QObject*", 25, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QPaintEngine*", 26, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QPaintEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QPainter&", 28, Smoke::t_class|Smoke::tf_ref },	//28
    { "QPainter*", 28, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QPrinter::PrinterMode", 32, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QRect&", 33, Smoke::t_class|Smoke::tf_ref },	//31
    { "QRegExp&", 34, Smoke::t_class|Smoke::tf_ref },	//32
    { "QResizeEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QSettings&", 36, Smoke::t_class|Smoke::tf_ref },	//34
    { "QShowEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QSize", 38, Smoke::t_class|Smoke::tf_stack },	//36
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//39
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//40
    { "QStyle&", 39, Smoke::t_class|Smoke::tf_ref },	//41
    { "QTabletEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QTimerEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QVariant", 42, Smoke::t_class|Smoke::tf_stack },	//44
    { "QWheelEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QWidget*", 44, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QsciAPIs*", 45, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QsciAbstractAPIs*", 46, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QsciCommandSet*", 48, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QsciDocument", 49, Smoke::t_class|Smoke::tf_stack },	//50
    { "QsciDocument&", 49, Smoke::t_class|Smoke::tf_ref },	//51
    { "QsciDocument*", 49, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciLexer*", 50, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QsciLexerBash*", 51, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciLexerBatch*", 52, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QsciLexerCMake*", 53, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QsciLexerCPP*", 54, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexerCSS*", 55, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerCSharp*", 56, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerCustom*", 57, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerD*", 58, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerDiff*", 59, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerFortran*", 60, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerFortran77*", 61, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerHTML*", 62, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerIDL*", 63, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerJava*", 64, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerJavaScript*", 65, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerLua*", 66, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerMakefile*", 67, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerPOV*", 68, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerPascal*", 69, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerPerl*", 70, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerPostScript*", 71, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerProperties*", 72, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerPython*", 73, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciLexerPython::IndentationWarning", 73, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QsciLexerRuby*", 74, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerSQL*", 75, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QsciLexerTCL*", 76, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerTeX*", 77, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerVHDL*", 78, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QsciLexerXML*", 79, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QsciLexerYAML*", 80, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciMacro*", 81, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciPrinter*", 82, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciScintilla*", 83, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QsciScintilla::AnnotationDisplay", 83, Smoke::t_enum|Smoke::tf_stack },	//88
    { "QsciScintilla::AutoCompletionSource", 83, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QsciScintilla::BraceMatch", 83, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QsciScintilla::CallTipsStyle", 83, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QsciScintilla::EdgeMode", 83, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QsciScintilla::EolMode", 83, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QsciScintilla::FoldStyle", 83, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::IndentState", 83, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::MarginType", 83, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::MarkerSymbol", 83, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::WhitespaceVisibility", 83, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::WrapMode", 83, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintilla::WrapVisualFlag", 83, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QsciScintillaBase*", 84, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QsciStyle*", 85, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QsciStyle::TextCase", 85, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QsciStyledText*", 86, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//144
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QtValidLicenseForActiveQtModule", 16, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QtValidLicenseForCoreModule", 16, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QtValidLicenseForDBusModule", 16, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QtValidLicenseForDeclarativeModule", 16, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QtValidLicenseForGuiModule", 16, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QtValidLicenseForHelpModule", 16, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QtValidLicenseForMultimediaModule", 16, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QtValidLicenseForNetworkModule", 16, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QtValidLicenseForOpenGLModule", 16, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QtValidLicenseForOpenVGModule", 16, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QtValidLicenseForQt3SupportLightModule", 16, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QtValidLicenseForQt3SupportModule", 16, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QtValidLicenseForScriptModule", 16, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QtValidLicenseForScriptToolsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QtValidLicenseForSqlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QtValidLicenseForSvgModule", 16, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QtValidLicenseForTestModule", 16, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QtValidLicenseForXmlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//195
    { "QtValidLicenseForXmlPatternsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//196
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//197
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//198
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//199
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//200
    { "const QColor&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const QFont&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QMetaObject&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QMetaObject*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//205
    { "const QMimeData*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//206
    { "const QPalette&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QPixmap&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QPoint&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QRect&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QRegExp&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//214
    { "const QsciDocument&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QsciStyle&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QsciStyledText&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//218
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//219
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//220
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//221
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//222
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//223
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//224
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//225
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//226
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//227
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//228
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    11, 0,	//1  QEvent*
    45, 0,	//3  QWheelEvent*
    24, 11, 0,	//5  QObject*, QEvent*
    43, 0,	//8  QTimerEvent*
    3, 0,	//10  QChildEvent*
    218, 0,	//12  const char*
    25, 0,	//14  QPaintDevice::PaintDeviceMetric
    198, 0,	//16  bool
    220, 0,	//18  int
    17, 0,	//20  QKeyEvent*
    23, 0,	//22  QMoveEvent*
    4, 0,	//24  QCloseEvent*
    42, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    35, 0,	//30  QShowEvent*
    14, 0,	//32  QHideEvent*
    197, 0,	//34  _XEvent*
    138, 0,	//36  Qt::InputMethodQuery
    41, 0,	//38  QStyle&
    207, 0,	//40  const QPalette&
    202, 0,	//42  const QFont&
    218, 218, 0,	//44  const char*, const char*
    218, 218, 220, 0,	//47  const char*, const char*, int
    20, 220, 227, 0,	//51  QMetaObject::Call, int, void**
    53, 0,	//55  QsciLexer*
    212, 0,	//57  const QString&
    213, 39, 0,	//59  const QStringList&, QStringList&
    213, 220, 91, 19, 0,	//62  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    34, 218, 0,	//67  QSettings&, const char*
    34, 0,	//70  QSettings&
    215, 0,	//72  const QsciDocument&
    24, 0,	//74  QObject*
    222, 0,	//76  int*
    48, 0,	//78  QsciAbstractAPIs*
    201, 0,	//80  const QColor&
    87, 0,	//82  QsciScintilla*
    201, 220, 0,	//84  const QColor&, int
    198, 220, 0,	//87  bool, int
    202, 220, 0,	//90  const QFont&, int
    34, 212, 0,	//93  QSettings&, const QString&
    24, 198, 0,	//96  QObject*, bool
    220, 220, 0,	//99  int, int
    220, 216, 0,	//102  int, const QsciStyle&
    77, 0,	//105  QsciLexerPython::IndentationWarning
    212, 87, 0,	//107  const QString&, QsciScintilla*
    30, 0,	//110  QPrinter::PrinterMode
    28, 198, 31, 220, 0,	//112  QPainter&, bool, QRect&, int
    101, 220, 220, 0,	//117  QsciScintillaBase*, int, int
    99, 0,	//121  QsciScintilla::WrapMode
    101, 0,	//123  QsciScintillaBase*
    101, 220, 0,	//125  QsciScintillaBase*, int
    46, 0,	//128  QWidget*
    220, 221, 221, 0,	//130  int, int&, int&
    220, 212, 220, 0,	//134  int, const QString&, int
    220, 212, 216, 0,	//138  int, const QString&, const QsciStyle&
    220, 217, 0,	//142  int, const QsciStyledText&
    220, 203, 0,	//145  int, const QList<QsciStyledText>&
    93, 0,	//148  QsciScintilla::EolMode
    212, 198, 198, 198, 198, 198, 220, 220, 198, 0,	//150  const QString&, bool, bool, bool, bool, bool, int, int, bool
    222, 222, 0,	//160  int*, int*
    222, 222, 222, 222, 0,	//163  int*, int*, int*, int*
    199, 0,	//168  char
    209, 0,	//170  const QPoint&
    220, 222, 222, 0,	//172  int, int*, int*
    97, 220, 0,	//176  QsciScintilla::MarkerSymbol, int
    199, 220, 0,	//179  char, int
    208, 220, 0,	//182  const QPixmap&, int
    220, 224, 0,	//185  int, unsigned int
    15, 0,	//188  QIODevice*
    220, 208, 0,	//190  int, const QPixmap&
    201, 201, 0,	//193  const QColor&, const QColor&
    88, 0,	//196  QsciScintilla::AnnotationDisplay
    213, 0,	//198  const QStringList&
    91, 0,	//200  QsciScintilla::CallTipsStyle
    92, 0,	//202  QsciScintilla::EdgeMode
    220, 96, 0,	//204  int, QsciScintilla::MarginType
    100, 100, 220, 0,	//207  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    220, 213, 0,	//211  int, const QStringList&
    212, 220, 220, 0,	//214  const QString&, int, int
    89, 0,	//218  QsciScintilla::AutoCompletionSource
    90, 0,	//220  QsciScintilla::BraceMatch
    94, 220, 0,	//222  QsciScintilla::FoldStyle, int
    220, 198, 0,	//225  int, bool
    220, 212, 0,	//228  int, const QString&
    220, 220, 220, 220, 0,	//231  int, int, int, int
    98, 0,	//236  QsciScintilla::WhitespaceVisibility
    220, 220, 144, 0,	//238  int, int, Qt::KeyboardModifiers
    212, 198, 198, 198, 198, 0,	//242  const QString&, bool, bool, bool, bool
    212, 198, 198, 198, 198, 198, 0,	//248  const QString&, bool, bool, bool, bool, bool
    212, 198, 198, 198, 198, 198, 220, 0,	//255  const QString&, bool, bool, bool, bool, bool, int
    212, 198, 198, 198, 198, 198, 220, 220, 0,	//263  const QString&, bool, bool, bool, bool, bool, int, int
    97, 0,	//272  QsciScintilla::MarkerSymbol
    208, 0,	//274  const QPixmap&
    100, 0,	//276  QsciScintilla::WrapVisualFlag
    100, 100, 0,	//278  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    94, 0,	//281  QsciScintilla::FoldStyle
    224, 225, 223, 0,	//283  unsigned int, unsigned long, long
    224, 225, 226, 0,	//287  unsigned int, unsigned long, void*
    224, 225, 218, 0,	//291  unsigned int, unsigned long, const char*
    224, 218, 0,	//295  unsigned int, const char*
    224, 218, 218, 0,	//298  unsigned int, const char*, const char*
    224, 223, 0,	//302  unsigned int, long
    224, 220, 0,	//305  unsigned int, int
    224, 223, 223, 200, 0,	//308  unsigned int, long, long, char*
    224, 225, 201, 0,	//313  unsigned int, unsigned long, const QColor&
    224, 201, 0,	//317  unsigned int, const QColor&
    224, 225, 29, 210, 223, 223, 0,	//320  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    224, 225, 208, 0,	//327  unsigned int, unsigned long, const QPixmap&
    224, 0,	//331  unsigned int
    218, 220, 0,	//333  const char*, int
    220, 220, 220, 0,	//336  int, int, int
    220, 220, 218, 220, 220, 220, 220, 220, 220, 220, 0,	//340  int, int, const char*, int, int, int, int, int, int, int
    206, 0,	//351  const QMimeData*
    6, 0,	//353  QContextMenuEvent*
    7, 0,	//355  QDragEnterEvent*
    8, 0,	//357  QDragLeaveEvent*
    9, 0,	//359  QDragMoveEvent*
    10, 0,	//361  QDropEvent*
    12, 0,	//363  QFocusEvent*
    16, 0,	//365  QInputMethodEvent*
    22, 0,	//367  QMouseEvent*
    27, 0,	//369  QPaintEvent*
    33, 0,	//371  QResizeEvent*
    224, 225, 0,	//373  unsigned int, unsigned long
    220, 212, 201, 201, 202, 198, 0,	//376  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    103, 0,	//383  QsciStyle::TextCase
    216, 0,	//385  const QsciStyle&
    220, 212, 201, 201, 202, 0,	//387  int, const QString&, const QColor&, const QColor&, const QFont&
    212, 220, 0,	//393  const QString&, int
    212, 216, 0,	//396  const QString&, const QsciStyle&
    217, 0,	//399  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AiClosing",	//54
    "AiMaintain",	//55
    "AiOpening",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationStandard",	//60
    "Array",	//61
    "ArrayParenthesis",	//62
    "Asm",	//63
    "Assignment",	//64
    "AtRule",	//65
    "Attribute",	//66
    "Auto",	//67
    "B0",	//68
    "B1",	//69
    "B10",	//70
    "B2",	//71
    "B3",	//72
    "B4",	//73
    "B5",	//74
    "B6",	//75
    "B7",	//76
    "B8",	//77
    "B9",	//78
    "Background",	//79
    "BacktickHereDocument",	//80
    "Backticks",	//81
    "BadDirective",	//82
    "BadStringCharacter",	//83
    "Base85String",	//84
    "BasicFunctions",	//85
    "BlockForeach",	//86
    "BlockIf",	//87
    "BlockMacro",	//88
    "BlockWhile",	//89
    "BottomLeftCorner",	//90
    "Box",	//91
    "BoxedFoldStyle",	//92
    "BoxedMinus",	//93
    "BoxedMinusConnected",	//94
    "BoxedPlus",	//95
    "BoxedPlusConnected",	//96
    "BoxedTreeFoldStyle",	//97
    "C5E",	//98
    "CDATA",	//99
    "CSS1Property",	//100
    "CSS2Property",	//101
    "CSS3Property",	//102
    "CallTipsContext",	//103
    "CallTipsNoAutoCompletionContext",	//104
    "CallTipsNoContext",	//105
    "CallTipsNone",	//106
    "Cassette",	//107
    "Character",	//108
    "Cicero",	//109
    "Circle",	//110
    "CircledFoldStyle",	//111
    "CircledMinus",	//112
    "CircledMinusConnected",	//113
    "CircledPlus",	//114
    "CircledPlusConnected",	//115
    "CircledTreeFoldStyle",	//116
    "ClassName",	//117
    "ClassSelector",	//118
    "ClassVariable",	//119
    "Color",	//120
    "Comm10E",	//121
    "Command",	//122
    "Comment",	//123
    "CommentBlock",	//124
    "CommentBox",	//125
    "CommentDoc",	//126
    "CommentDocKeyword",	//127
    "CommentDocKeywordError",	//128
    "CommentLine",	//129
    "CommentLineDoc",	//130
    "CommentLineHash",	//131
    "CommentNested",	//132
    "CommentParenthesis",	//133
    "Continuation",	//134
    "CoroutinesIOSystemFacilities",	//135
    "CurrentPage",	//136
    "Custom",	//137
    "DLE",	//138
    "DSCComment",	//139
    "DSCCommentValue",	//140
    "DataSection",	//141
    "Decorator",	//142
    "Default",	//143
    "DefaultValue",	//144
    "DemotedKeyword",	//145
    "DevicePixel",	//146
    "DictionaryParenthesis",	//147
    "Didot",	//148
    "Directive",	//149
    "DocumentDelimiter",	//150
    "DottedOperator",	//151
    "DoubleQuotedHereDocument",	//152
    "DoubleQuotedString",	//153
    "DownTriangle",	//154
    "DrawChildren",	//155
    "DrawWindowBackground",	//156
    "DuplexAuto",	//157
    "DuplexLongSide",	//158
    "DuplexNone",	//159
    "DuplexShortSide",	//160
    "EdgeBackground",	//161
    "EdgeLine",	//162
    "EdgeNone",	//163
    "Entity",	//164
    "Envelope",	//165
    "EnvelopeManual",	//166
    "EolMac",	//167
    "EolUnix",	//168
    "EolWindows",	//169
    "Error",	//170
    "Executive",	//171
    "ExpandKeyword",	//172
    "ExtendedCSSProperty",	//173
    "ExtendedFunction",	//174
    "ExtendedPseudoClass",	//175
    "ExtendedPseudoElement",	//176
    "ExternalCommand",	//177
    "FirstPageFirst",	//178
    "Folio",	//179
    "FormSource",	//180
    "FormatBody",	//181
    "FormatIdentifier",	//182
    "Function",	//183
    "FunctionMethodName",	//184
    "Global",	//185
    "GlobalClass",	//186
    "GrayScale",	//187
    "Group",	//188
    "HLine",	//189
    "HTMLComment",	//190
    "HTMLDoubleQuotedString",	//191
    "HTMLNumber",	//192
    "HTMLSingleQuotedString",	//193
    "HTMLValue",	//194
    "Hash",	//195
    "Header",	//196
    "HereDocument",	//197
    "HereDocumentDelimiter",	//198
    "HexNumber",	//199
    "HexString",	//200
    "HideCommandChar",	//201
    "HighResolution",	//202
    "HighlightedIdentifier",	//203
    "IDSelector",	//204
    "ITCLKeyword",	//205
    "Identifier",	//206
    "Idle",	//207
    "IgnoreMask",	//208
    "ImmediateEvalLiteral",	//209
    "Important",	//210
    "Inch",	//211
    "Inconsistent",	//212
    "InstanceVariable",	//213
    "IntrinsicFunction",	//214
    "Invisible",	//215
    "JavaScriptComment",	//216
    "JavaScriptCommentDoc",	//217
    "JavaScriptCommentLine",	//218
    "JavaScriptDefault",	//219
    "JavaScriptDoubleQuotedString",	//220
    "JavaScriptKeyword",	//221
    "JavaScriptNumber",	//222
    "JavaScriptRegex",	//223
    "JavaScriptSingleQuotedString",	//224
    "JavaScriptStart",	//225
    "JavaScriptSymbol",	//226
    "JavaScriptUnclosedString",	//227
    "JavaScriptWord",	//228
    "Keyword",	//229
    "KeywordDoc",	//230
    "KeywordSecondary",	//231
    "KeywordSet2",	//232
    "KeywordSet3",	//233
    "KeywordSet5",	//234
    "KeywordSet6",	//235
    "KeywordSet7",	//236
    "KeywordSet8",	//237
    "KeywordSet9",	//238
    "Label",	//239
    "Landscape",	//240
    "LargeCapacity",	//241
    "LargeFormat",	//242
    "LastPageFirst",	//243
    "Ledger",	//244
    "LeftSideRoundedSplitter",	//245
    "LeftSideSplitter",	//246
    "Legal",	//247
    "Letter",	//248
    "LicensedActiveQt",	//249
    "LicensedCore",	//250
    "LicensedDBus",	//251
    "LicensedDeclarative",	//252
    "LicensedGui",	//253
    "LicensedHelp",	//254
    "LicensedMultimedia",	//255
    "LicensedNetwork",	//256
    "LicensedOpenGL",	//257
    "LicensedOpenVG",	//258
    "LicensedQt3Support",	//259
    "LicensedQt3SupportLight",	//260
    "LicensedScript",	//261
    "LicensedScriptTools",	//262
    "LicensedSql",	//263
    "LicensedSvg",	//264
    "LicensedTest",	//265
    "LicensedXml",	//266
    "LicensedXmlPatterns",	//267
    "LineAdded",	//268
    "LineChanged",	//269
    "LineComment",	//270
    "LineRemoved",	//271
    "Literal",	//272
    "LiteralString",	//273
    "Lower",	//274
    "LowerCase",	//275
    "Manual",	//276
    "MaxPageSource",	//277
    "Middle",	//278
    "Millimeter",	//279
    "Minus",	//280
    "Modifier",	//281
    "ModuleName",	//282
    "NPageSize",	//283
    "NPaperSize",	//284
    "Name",	//285
    "NativeFormat",	//286
    "NoBraceMatch",	//287
    "NoFoldStyle",	//288
    "NoFrame",	//289
    "NoWarning",	//290
    "Number",	//291
    "NumberMargin",	//292
    "ObjectsCSGAppearance",	//293
    "OnlyOne",	//294
    "Operator",	//295
    "OriginalCase",	//296
    "OtherInTag",	//297
    "PHPComment",	//298
    "PHPCommentLine",	//299
    "PHPDefault",	//300
    "PHPDoubleQuotedString",	//301
    "PHPDoubleQuotedVariable",	//302
    "PHPKeyword",	//303
    "PHPNumber",	//304
    "PHPOperator",	//305
    "PHPSingleQuotedString",	//306
    "PHPStart",	//307
    "PHPVariable",	//308
    "POD",	//309
    "PODVerbatim",	//310
    "PageRange",	//311
    "Panel",	//312
    "ParameterExpansion",	//313
    "PdfFormat",	//314
    "PercentStringQ",	//315
    "PercentStringq",	//316
    "PercentStringr",	//317
    "PercentStringw",	//318
    "PercentStringx",	//319
    "Pica",	//320
    "Plain",	//321
    "PlainFoldStyle",	//322
    "Plus",	//323
    "PlusComment",	//324
    "PlusKeyword",	//325
    "PlusPrompt",	//326
    "Point",	//327
    "Portrait",	//328
    "Position",	//329
    "PostScriptFormat",	//330
    "PreProcessor",	//331
    "PreProcessorParenthesis",	//332
    "PredefinedFunctions",	//333
    "PredefinedIdentifiers",	//334
    "Preprocessor",	//335
    "PrinterResolution",	//336
    "ProcedureParenthesis",	//337
    "PseudoClass",	//338
    "PseudoElement",	//339
    "PythonClassName",	//340
    "PythonComment",	//341
    "PythonDefault",	//342
    "PythonDoubleQuotedString",	//343
    "PythonFunctionMethodName",	//344
    "PythonIdentifier",	//345
    "PythonKeyword",	//346
    "PythonNumber",	//347
    "PythonOperator",	//348
    "PythonSingleQuotedString",	//349
    "PythonStart",	//350
    "PythonTripleDoubleQuotedString",	//351
    "PythonTripleSingleQuotedString",	//352
    "QSCN_SELCHANGED",	//353
    "QSCN_SELCHANGED$",	//354
    "Q_COMPLEX_TYPE",	//355
    "Q_DUMMY_TYPE",	//356
    "Q_MOVABLE_TYPE",	//357
    "Q_PRIMITIVE_TYPE",	//358
    "Q_STATIC_TYPE",	//359
    "QsciAPIs",	//360
    "QsciAPIs#",	//361
    "QsciAbstractAPIs",	//362
    "QsciAbstractAPIs#",	//363
    "QsciDocument",	//364
    "QsciDocument#",	//365
    "QsciLexer",	//366
    "QsciLexer#",	//367
    "QsciLexerBash",	//368
    "QsciLexerBash#",	//369
    "QsciLexerBatch",	//370
    "QsciLexerBatch#",	//371
    "QsciLexerCMake",	//372
    "QsciLexerCMake#",	//373
    "QsciLexerCPP",	//374
    "QsciLexerCPP#",	//375
    "QsciLexerCPP#$",	//376
    "QsciLexerCSS",	//377
    "QsciLexerCSS#",	//378
    "QsciLexerCSharp",	//379
    "QsciLexerCSharp#",	//380
    "QsciLexerCustom",	//381
    "QsciLexerCustom#",	//382
    "QsciLexerD",	//383
    "QsciLexerD#",	//384
    "QsciLexerDiff",	//385
    "QsciLexerDiff#",	//386
    "QsciLexerFortran",	//387
    "QsciLexerFortran#",	//388
    "QsciLexerFortran77",	//389
    "QsciLexerFortran77#",	//390
    "QsciLexerHTML",	//391
    "QsciLexerHTML#",	//392
    "QsciLexerIDL",	//393
    "QsciLexerIDL#",	//394
    "QsciLexerJava",	//395
    "QsciLexerJava#",	//396
    "QsciLexerJavaScript",	//397
    "QsciLexerJavaScript#",	//398
    "QsciLexerLua",	//399
    "QsciLexerLua#",	//400
    "QsciLexerMakefile",	//401
    "QsciLexerMakefile#",	//402
    "QsciLexerPOV",	//403
    "QsciLexerPOV#",	//404
    "QsciLexerPascal",	//405
    "QsciLexerPascal#",	//406
    "QsciLexerPerl",	//407
    "QsciLexerPerl#",	//408
    "QsciLexerPostScript",	//409
    "QsciLexerPostScript#",	//410
    "QsciLexerProperties",	//411
    "QsciLexerProperties#",	//412
    "QsciLexerPython",	//413
    "QsciLexerPython#",	//414
    "QsciLexerRuby",	//415
    "QsciLexerRuby#",	//416
    "QsciLexerSQL",	//417
    "QsciLexerSQL#",	//418
    "QsciLexerTCL",	//419
    "QsciLexerTCL#",	//420
    "QsciLexerTeX",	//421
    "QsciLexerTeX#",	//422
    "QsciLexerVHDL",	//423
    "QsciLexerVHDL#",	//424
    "QsciLexerXML",	//425
    "QsciLexerXML#",	//426
    "QsciLexerYAML",	//427
    "QsciLexerYAML#",	//428
    "QsciMacro",	//429
    "QsciMacro#",	//430
    "QsciMacro$#",	//431
    "QsciPrinter",	//432
    "QsciPrinter$",	//433
    "QsciScintilla",	//434
    "QsciScintilla#",	//435
    "QsciScintillaBase",	//436
    "QsciScintillaBase#",	//437
    "QsciStyle",	//438
    "QsciStyle#",	//439
    "QsciStyle$",	//440
    "QsciStyle$$###",	//441
    "QsciStyle$$###$",	//442
    "QsciStyledText",	//443
    "QsciStyledText#",	//444
    "QsciStyledText$#",	//445
    "QsciStyledText$$",	//446
    "QtCriticalMsg",	//447
    "QtDebugMsg",	//448
    "QtFatalMsg",	//449
    "QtSystemMsg",	//450
    "QtWarningMsg",	//451
    "QuotedKeyword",	//452
    "QuotedString",	//453
    "QuotedStringQ",	//454
    "QuotedStringQQ",	//455
    "QuotedStringQR",	//456
    "QuotedStringQW",	//457
    "QuotedStringQX",	//458
    "Raised",	//459
    "Rectangle",	//460
    "Reference",	//461
    "Regex",	//462
    "RightArrow",	//463
    "RightTriangle",	//464
    "RoundedBottomLeftCorner",	//465
    "SCEN_CHANGE",	//466
    "SCLEX_ABAQUS",	//467
    "SCLEX_ADA",	//468
    "SCLEX_APDL",	//469
    "SCLEX_ASM",	//470
    "SCLEX_ASN1",	//471
    "SCLEX_ASP",	//472
    "SCLEX_ASYMPTOTE",	//473
    "SCLEX_AU3",	//474
    "SCLEX_AVE",	//475
    "SCLEX_BAAN",	//476
    "SCLEX_BASH",	//477
    "SCLEX_BATCH",	//478
    "SCLEX_BLITZBASIC",	//479
    "SCLEX_BULLANT",	//480
    "SCLEX_CAML",	//481
    "SCLEX_CLW",	//482
    "SCLEX_CLWNOCASE",	//483
    "SCLEX_CMAKE",	//484
    "SCLEX_COBOL",	//485
    "SCLEX_CONF",	//486
    "SCLEX_CONTAINER",	//487
    "SCLEX_CPP",	//488
    "SCLEX_CPPNOCASE",	//489
    "SCLEX_CSOUND",	//490
    "SCLEX_CSS",	//491
    "SCLEX_D",	//492
    "SCLEX_DIFF",	//493
    "SCLEX_EIFFEL",	//494
    "SCLEX_EIFFELKW",	//495
    "SCLEX_ERLANG",	//496
    "SCLEX_ERRORLIST",	//497
    "SCLEX_ESCRIPT",	//498
    "SCLEX_F77",	//499
    "SCLEX_FLAGSHIP",	//500
    "SCLEX_FORTH",	//501
    "SCLEX_FORTRAN",	//502
    "SCLEX_FREEBASIC",	//503
    "SCLEX_GAP",	//504
    "SCLEX_GUI4CLI",	//505
    "SCLEX_HASKELL",	//506
    "SCLEX_HTML",	//507
    "SCLEX_INNOSETUP",	//508
    "SCLEX_KIX",	//509
    "SCLEX_LATEX",	//510
    "SCLEX_LISP",	//511
    "SCLEX_LOT",	//512
    "SCLEX_LOUT",	//513
    "SCLEX_LUA",	//514
    "SCLEX_MAGIK",	//515
    "SCLEX_MAKEFILE",	//516
    "SCLEX_MATLAB",	//517
    "SCLEX_METAPOST",	//518
    "SCLEX_MMIXAL",	//519
    "SCLEX_MSSQL",	//520
    "SCLEX_MYSQL",	//521
    "SCLEX_NIMROD",	//522
    "SCLEX_NNCRONTAB",	//523
    "SCLEX_NSIS",	//524
    "SCLEX_NULL",	//525
    "SCLEX_OCTAVE",	//526
    "SCLEX_OPAL",	//527
    "SCLEX_PASCAL",	//528
    "SCLEX_PERL",	//529
    "SCLEX_PHP",	//530
    "SCLEX_PHPSCRIPT",	//531
    "SCLEX_PLM",	//532
    "SCLEX_PO",	//533
    "SCLEX_POV",	//534
    "SCLEX_POWERBASIC",	//535
    "SCLEX_POWERPRO",	//536
    "SCLEX_POWERSHELL",	//537
    "SCLEX_PROGRESS",	//538
    "SCLEX_PROPERTIES",	//539
    "SCLEX_PS",	//540
    "SCLEX_PUREBASIC",	//541
    "SCLEX_PYTHON",	//542
    "SCLEX_R",	//543
    "SCLEX_REBOL",	//544
    "SCLEX_RUBY",	//545
    "SCLEX_SCRIPTOL",	//546
    "SCLEX_SMALLTALK",	//547
    "SCLEX_SML",	//548
    "SCLEX_SORCUS",	//549
    "SCLEX_SPECMAN",	//550
    "SCLEX_SPICE",	//551
    "SCLEX_SQL",	//552
    "SCLEX_TACL",	//553
    "SCLEX_TADS3",	//554
    "SCLEX_TAL",	//555
    "SCLEX_TCL",	//556
    "SCLEX_TEX",	//557
    "SCLEX_VB",	//558
    "SCLEX_VBSCRIPT",	//559
    "SCLEX_VERILOG",	//560
    "SCLEX_VHDL",	//561
    "SCLEX_XML",	//562
    "SCLEX_YAML",	//563
    "SCN_AUTOCCANCELLED",	//564
    "SCN_AUTOCCHARDELETED",	//565
    "SCN_AUTOCSELECTION",	//566
    "SCN_AUTOCSELECTION$$",	//567
    "SCN_CALLTIPCLICK",	//568
    "SCN_CALLTIPCLICK$",	//569
    "SCN_CHARADDED",	//570
    "SCN_CHARADDED$",	//571
    "SCN_DOUBLECLICK",	//572
    "SCN_DOUBLECLICK$$$",	//573
    "SCN_DWELLEND",	//574
    "SCN_DWELLEND$$$",	//575
    "SCN_DWELLSTART",	//576
    "SCN_DWELLSTART$$$",	//577
    "SCN_HOTSPOTCLICK",	//578
    "SCN_HOTSPOTCLICK$$",	//579
    "SCN_HOTSPOTDOUBLECLICK",	//580
    "SCN_HOTSPOTDOUBLECLICK$$",	//581
    "SCN_INDICATORCLICK",	//582
    "SCN_INDICATORCLICK$$",	//583
    "SCN_INDICATORRELEASE",	//584
    "SCN_INDICATORRELEASE$$",	//585
    "SCN_MACRORECORD",	//586
    "SCN_MACRORECORD$$$",	//587
    "SCN_MARGINCLICK",	//588
    "SCN_MARGINCLICK$$$",	//589
    "SCN_MODIFIED",	//590
    "SCN_MODIFIED$$$$$$$$$$",	//591
    "SCN_MODIFYATTEMPTRO",	//592
    "SCN_NEEDSHOWN",	//593
    "SCN_NEEDSHOWN$$",	//594
    "SCN_PAINTED",	//595
    "SCN_SAVEPOINTLEFT",	//596
    "SCN_SAVEPOINTREACHED",	//597
    "SCN_STYLENEEDED",	//598
    "SCN_STYLENEEDED$",	//599
    "SCN_UPDATEUI",	//600
    "SCN_USERLISTSELECTION",	//601
    "SCN_USERLISTSELECTION$$",	//602
    "SCN_ZOOM",	//603
    "SGMLBlockDefault",	//604
    "SGMLCommand",	//605
    "SGMLComment",	//606
    "SGMLDefault",	//607
    "SGMLDoubleQuotedString",	//608
    "SGMLEntity",	//609
    "SGMLError",	//610
    "SGMLParameter",	//611
    "SGMLParameterComment",	//612
    "SGMLSingleQuotedString",	//613
    "SGMLSpecial",	//614
    "Scalar",	//615
    "ScreenResolution",	//616
    "Script",	//617
    "Section",	//618
    "Selection",	//619
    "SendScintilla",	//620
    "SendScintilla$",	//621
    "SendScintilla$#",	//622
    "SendScintilla$$",	//623
    "SendScintilla$$#",	//624
    "SendScintilla$$##$$",	//625
    "SendScintilla$$$",	//626
    "SendScintilla$$$$",	//627
    "SendScintillaPtrResult",	//628
    "SendScintillaPtrResult$",	//629
    "Shadow_Mask",	//630
    "Shape_Mask",	//631
    "SingleQuotedHereDocument",	//632
    "SingleQuotedString",	//633
    "SloppyBraceMatch",	//634
    "SmallFormat",	//635
    "SmallRectangle",	//636
    "Spaces",	//637
    "Special",	//638
    "StandardFunction",	//639
    "StandardOperator",	//640
    "StandardPackage",	//641
    "StandardType",	//642
    "Stderr",	//643
    "Stdin",	//644
    "Stdout",	//645
    "StrictBraceMatch",	//646
    "String",	//647
    "StringLeftQuote",	//648
    "StringRightQuote",	//649
    "StringTableMathsFunctions",	//650
    "StringVariable",	//651
    "StyledPanel",	//652
    "SubroutinePrototype",	//653
    "Substitution",	//654
    "SubstitutionBrace",	//655
    "Sunken",	//656
    "Symbol",	//657
    "SymbolMargin",	//658
    "SymbolMarginDefaultBackgroundColor",	//659
    "SymbolMarginDefaultForegroundColor",	//660
    "SymbolTable",	//661
    "SyntaxErrorMarker",	//662
    "TCLKeyword",	//663
    "Tabloid",	//664
    "Tabs",	//665
    "TabsAfterSpaces",	//666
    "Tag",	//667
    "Target",	//668
    "Text",	//669
    "TextBlockMarker",	//670
    "TextMargin",	//671
    "TextMarginRightJustified",	//672
    "ThreeDots",	//673
    "ThreeRightArrows",	//674
    "TkCommand",	//675
    "TkKeyword",	//676
    "Tractor",	//677
    "TripleDoubleQuotedString",	//678
    "TripleSingleQuotedString",	//679
    "Typedefs",	//680
    "TypesModifiersItems",	//681
    "UUID",	//682
    "UnclosedString",	//683
    "UnknownAttribute",	//684
    "UnknownProperty",	//685
    "UnknownPseudoClass",	//686
    "UnknownTag",	//687
    "UpperCase",	//688
    "VBScriptComment",	//689
    "VBScriptDefault",	//690
    "VBScriptIdentifier",	//691
    "VBScriptKeyword",	//692
    "VBScriptNumber",	//693
    "VBScriptStart",	//694
    "VBScriptString",	//695
    "VBScriptUnclosedString",	//696
    "VLine",	//697
    "Value",	//698
    "Variable",	//699
    "VerbatimString",	//700
    "VerticalLine",	//701
    "WinPanel",	//702
    "WrapCharacter",	//703
    "WrapFlagByBorder",	//704
    "WrapFlagByText",	//705
    "WrapFlagNone",	//706
    "WrapNone",	//707
    "WrapWord",	//708
    "WsInvisible",	//709
    "WsVisible",	//710
    "WsVisibleAfterIndent",	//711
    "XMLEnd",	//712
    "XMLStart",	//713
    "XMLTagEnd",	//714
    "actionEvent",	//715
    "add",	//716
    "add$",	//717
    "alternateKey",	//718
    "annotate",	//719
    "annotate$#",	//720
    "annotate$$#",	//721
    "annotate$$$",	//722
    "annotate$?",	//723
    "annotation",	//724
    "annotation$",	//725
    "annotationDisplay",	//726
    "apiContext",	//727
    "apiContext$$$",	//728
    "apiPreparationCancelled",	//729
    "apiPreparationFinished",	//730
    "apiPreparationStarted",	//731
    "apis",	//732
    "append",	//733
    "append$",	//734
    "autoCompleteFromAPIs",	//735
    "autoCompleteFromAll",	//736
    "autoCompleteFromDocument",	//737
    "autoCompletionCaseSensitivity",	//738
    "autoCompletionFillups",	//739
    "autoCompletionFillupsEnabled",	//740
    "autoCompletionReplaceWord",	//741
    "autoCompletionSelected",	//742
    "autoCompletionSelected$",	//743
    "autoCompletionShowSingle",	//744
    "autoCompletionSource",	//745
    "autoCompletionThreshold",	//746
    "autoCompletionWordSeparators",	//747
    "autoIndent",	//748
    "autoIndentStyle",	//749
    "backslashEscapes",	//750
    "backspaceUnindents",	//751
    "beginUndoAction",	//752
    "blockEnd",	//753
    "blockEnd$",	//754
    "blockLookback",	//755
    "blockStart",	//756
    "blockStart$",	//757
    "blockStartKeyword",	//758
    "blockStartKeyword$",	//759
    "braceMatching",	//760
    "braceStyle",	//761
    "callTip",	//762
    "callTips",	//763
    "callTips?$$?",	//764
    "callTipsStyle",	//765
    "callTipsVisible",	//766
    "canInsertFromMimeData",	//767
    "canInsertFromMimeData#",	//768
    "cancelList",	//769
    "cancelPreparation",	//770
    "caseSensitive",	//771
    "caseSensitiveTags",	//772
    "changeEvent",	//773
    "changeable",	//774
    "childEvent",	//775
    "clear",	//776
    "clearAlternateKeys",	//777
    "clearAnnotations",	//778
    "clearAnnotations$",	//779
    "clearFolds",	//780
    "clearKeys",	//781
    "clearMarginText",	//782
    "clearMarginText$",	//783
    "clearRegisteredImages",	//784
    "closeEvent",	//785
    "color",	//786
    "color$",	//787
    "colorChanged",	//788
    "colorChanged#$",	//789
    "commands",	//790
    "connectNotify",	//791
    "contextMenuEvent",	//792
    "contextMenuEvent#",	//793
    "convertEols",	//794
    "convertEols$",	//795
    "copy",	//796
    "copyAvailable",	//797
    "copyAvailable$",	//798
    "cursorPositionChanged",	//799
    "cursorPositionChanged$$",	//800
    "customEvent",	//801
    "cut",	//802
    "defaultColor",	//803
    "defaultColor$",	//804
    "defaultEolFill",	//805
    "defaultEolFill$",	//806
    "defaultFont",	//807
    "defaultFont$",	//808
    "defaultPaper",	//809
    "defaultPaper$",	//810
    "defaultPreparedName",	//811
    "defaultStyle",	//812
    "description",	//813
    "description$",	//814
    "devType",	//815
    "disconnectNotify",	//816
    "document",	//817
    "dollarsAllowed",	//818
    "dragEnterEvent",	//819
    "dragEnterEvent#",	//820
    "dragLeaveEvent",	//821
    "dragLeaveEvent#",	//822
    "dragMoveEvent",	//823
    "dragMoveEvent#",	//824
    "dropEvent",	//825
    "dropEvent#",	//826
    "edgeColor",	//827
    "edgeColumn",	//828
    "edgeMode",	//829
    "editor",	//830
    "enabledChange",	//831
    "endRecording",	//832
    "endUndoAction",	//833
    "ensureCursorVisible",	//834
    "ensureLineVisible",	//835
    "ensureLineVisible$",	//836
    "enterEvent",	//837
    "eolFill",	//838
    "eolFill$",	//839
    "eolFillChanged",	//840
    "eolFillChanged$$",	//841
    "eolMode",	//842
    "eolVisibility",	//843
    "event",	//844
    "event#",	//845
    "eventFilter",	//846
    "findFirst",	//847
    "findFirst$$$$$",	//848
    "findFirst$$$$$$",	//849
    "findFirst$$$$$$$",	//850
    "findFirst$$$$$$$$",	//851
    "findFirst$$$$$$$$$",	//852
    "findNext",	//853
    "firstVisibleLine",	//854
    "focusInEvent",	//855
    "focusInEvent#",	//856
    "focusNextPrevChild",	//857
    "focusNextPrevChild$",	//858
    "focusOutEvent",	//859
    "focusOutEvent#",	//860
    "foldAll",	//861
    "foldAll$",	//862
    "foldAtBegin",	//863
    "foldAtElse",	//864
    "foldAtParenthesis",	//865
    "foldComments",	//866
    "foldCompact",	//867
    "foldDirectives",	//868
    "foldLine",	//869
    "foldLine$",	//870
    "foldPODBlocks",	//871
    "foldPackages",	//872
    "foldPreprocessor",	//873
    "foldQuotes",	//874
    "foldScriptComments",	//875
    "foldScriptHeredocs",	//876
    "folding",	//877
    "font",	//878
    "font$",	//879
    "fontChange",	//880
    "fontChanged",	//881
    "fontChanged#$",	//882
    "formatPage",	//883
    "formatPage#$#$",	//884
    "fromMimeData",	//885
    "fromMimeData#",	//886
    "getCursorPosition",	//887
    "getCursorPosition$$",	//888
    "getSelection",	//889
    "getSelection$$$$",	//890
    "hasSelectedText",	//891
    "heightForWidth",	//892
    "hideEvent",	//893
    "hotspot",	//894
    "indent",	//895
    "indent$",	//896
    "indentation",	//897
    "indentation$",	//898
    "indentationGuideView",	//899
    "indentationGuides",	//900
    "indentationWarning",	//901
    "indentationWidth",	//902
    "indentationsUseTabs",	//903
    "inputMethodEvent",	//904
    "inputMethodEvent#",	//905
    "inputMethodQuery",	//906
    "insert",	//907
    "insert$",	//908
    "insertAt",	//909
    "insertAt$$$",	//910
    "installedAPIFiles",	//911
    "isCallTipActive",	//912
    "isListActive",	//913
    "isModified",	//914
    "isPrepared",	//915
    "isPrepared$",	//916
    "isReadOnly",	//917
    "isRedoAvailable",	//918
    "isUndoAvailable",	//919
    "isUtf8",	//920
    "isWordCharacter",	//921
    "isWordCharacter$",	//922
    "key",	//923
    "keyPressEvent",	//924
    "keyPressEvent#",	//925
    "keyReleaseEvent",	//926
    "keywords",	//927
    "keywords$",	//928
    "language",	//929
    "languageChange",	//930
    "leaveEvent",	//931
    "length",	//932
    "level",	//933
    "lexer",	//934
    "lexerId",	//935
    "lineAt",	//936
    "lineAt#",	//937
    "lineIndexFromPosition",	//938
    "lineIndexFromPosition$$$",	//939
    "lineLength",	//940
    "lineLength$",	//941
    "lines",	//942
    "linesChanged",	//943
    "load",	//944
    "load$",	//945
    "loadPrepared",	//946
    "loadPrepared$",	//947
    "magnification",	//948
    "marginClicked",	//949
    "marginClicked$$$",	//950
    "marginLineNumbers",	//951
    "marginLineNumbers$",	//952
    "marginMarkerMask",	//953
    "marginMarkerMask$",	//954
    "marginSensitivity",	//955
    "marginSensitivity$",	//956
    "marginType",	//957
    "marginType$",	//958
    "marginWidth",	//959
    "marginWidth$",	//960
    "markerAdd",	//961
    "markerAdd$$",	//962
    "markerDefine",	//963
    "markerDefine#",	//964
    "markerDefine#$",	//965
    "markerDefine$",	//966
    "markerDefine$$",	//967
    "markerDelete",	//968
    "markerDelete$",	//969
    "markerDelete$$",	//970
    "markerDeleteAll",	//971
    "markerDeleteAll$",	//972
    "markerDeleteHandle",	//973
    "markerDeleteHandle$",	//974
    "markerFindNext",	//975
    "markerFindNext$$",	//976
    "markerFindPrevious",	//977
    "markerFindPrevious$$",	//978
    "markerLine",	//979
    "markerLine$",	//980
    "markersAtLine",	//981
    "markersAtLine$",	//982
    "metaObject",	//983
    "metric",	//984
    "minimumSizeHint",	//985
    "modificationAttempted",	//986
    "modificationChanged",	//987
    "modificationChanged$",	//988
    "mouseDoubleClickEvent",	//989
    "mouseDoubleClickEvent#",	//990
    "mouseMoveEvent",	//991
    "mouseMoveEvent#",	//992
    "mousePressEvent",	//993
    "mousePressEvent#",	//994
    "mouseReleaseEvent",	//995
    "mouseReleaseEvent#",	//996
    "moveEvent",	//997
    "moveToMatchingBrace",	//998
    "operator=",	//999
    "operator=#",	//1000
    "paintEngine",	//1001
    "paintEvent",	//1002
    "paintEvent#",	//1003
    "paletteChange",	//1004
    "paper",	//1005
    "paper$",	//1006
    "paperChanged",	//1007
    "paperChanged#$",	//1008
    "paste",	//1009
    "play",	//1010
    "pool",	//1011
    "positionFromLineIndex",	//1012
    "positionFromLineIndex$$",	//1013
    "prepare",	//1014
    "printRange",	//1015
    "printRange#",	//1016
    "printRange#$",	//1017
    "printRange#$$",	//1018
    "propertyChanged",	//1019
    "propertyChanged$$",	//1020
    "qt_metacall",	//1021
    "qt_metacall$$?",	//1022
    "qt_metacast",	//1023
    "qt_metacast$",	//1024
    "read",	//1025
    "read#",	//1026
    "readProperties",	//1027
    "readProperties#$",	//1028
    "readSettings",	//1029
    "readSettings#",	//1030
    "readSettings#$",	//1031
    "recolor",	//1032
    "recolor$",	//1033
    "recolor$$",	//1034
    "redo",	//1035
    "refresh",	//1036
    "refreshProperties",	//1037
    "registerImage",	//1038
    "registerImage$#",	//1039
    "remove",	//1040
    "remove$",	//1041
    "removeSelectedText",	//1042
    "replace",	//1043
    "replace$",	//1044
    "resetFoldMarginColors",	//1045
    "resetSelectionBackgroundColor",	//1046
    "resetSelectionForegroundColor",	//1047
    "resizeEvent",	//1048
    "resizeEvent#",	//1049
    "save",	//1050
    "savePrepared",	//1051
    "savePrepared$",	//1052
    "scriptsStyled",	//1053
    "scrollContentsBy",	//1054
    "scrollContentsBy$$",	//1055
    "selectAll",	//1056
    "selectAll$",	//1057
    "selectToMatchingBrace",	//1058
    "selectedText",	//1059
    "selectionChanged",	//1060
    "selectionToEol",	//1061
    "setAPIs",	//1062
    "setAPIs#",	//1063
    "setAlternateKey",	//1064
    "setAlternateKey$",	//1065
    "setAnnotationDisplay",	//1066
    "setAnnotationDisplay$",	//1067
    "setAutoCompletionCaseSensitivity",	//1068
    "setAutoCompletionCaseSensitivity$",	//1069
    "setAutoCompletionFillups",	//1070
    "setAutoCompletionFillups$",	//1071
    "setAutoCompletionFillupsEnabled",	//1072
    "setAutoCompletionFillupsEnabled$",	//1073
    "setAutoCompletionReplaceWord",	//1074
    "setAutoCompletionReplaceWord$",	//1075
    "setAutoCompletionShowSingle",	//1076
    "setAutoCompletionShowSingle$",	//1077
    "setAutoCompletionSource",	//1078
    "setAutoCompletionSource$",	//1079
    "setAutoCompletionThreshold",	//1080
    "setAutoCompletionThreshold$",	//1081
    "setAutoCompletionWordSeparators",	//1082
    "setAutoCompletionWordSeparators?",	//1083
    "setAutoIndent",	//1084
    "setAutoIndent$",	//1085
    "setAutoIndentStyle",	//1086
    "setAutoIndentStyle$",	//1087
    "setBackslashEscapes",	//1088
    "setBackslashEscapes$",	//1089
    "setBackspaceUnindents",	//1090
    "setBackspaceUnindents$",	//1091
    "setBraceMatching",	//1092
    "setBraceMatching$",	//1093
    "setCallTipsBackgroundColor",	//1094
    "setCallTipsBackgroundColor#",	//1095
    "setCallTipsForegroundColor",	//1096
    "setCallTipsForegroundColor#",	//1097
    "setCallTipsHighlightColor",	//1098
    "setCallTipsHighlightColor#",	//1099
    "setCallTipsStyle",	//1100
    "setCallTipsStyle$",	//1101
    "setCallTipsVisible",	//1102
    "setCallTipsVisible$",	//1103
    "setCaretForegroundColor",	//1104
    "setCaretForegroundColor#",	//1105
    "setCaretLineBackgroundColor",	//1106
    "setCaretLineBackgroundColor#",	//1107
    "setCaretLineVisible",	//1108
    "setCaretLineVisible$",	//1109
    "setCaretWidth",	//1110
    "setCaretWidth$",	//1111
    "setCaseSensitiveTags",	//1112
    "setCaseSensitiveTags$",	//1113
    "setChangeable",	//1114
    "setChangeable$",	//1115
    "setColor",	//1116
    "setColor#",	//1117
    "setColor#$",	//1118
    "setCursorPosition",	//1119
    "setCursorPosition$$",	//1120
    "setDefaultColor",	//1121
    "setDefaultColor#",	//1122
    "setDefaultFont",	//1123
    "setDefaultFont#",	//1124
    "setDefaultPaper",	//1125
    "setDefaultPaper#",	//1126
    "setDescription",	//1127
    "setDescription$",	//1128
    "setDocument",	//1129
    "setDocument#",	//1130
    "setDollarsAllowed",	//1131
    "setDollarsAllowed$",	//1132
    "setEdgeColor",	//1133
    "setEdgeColor#",	//1134
    "setEdgeColumn",	//1135
    "setEdgeColumn$",	//1136
    "setEdgeMode",	//1137
    "setEdgeMode$",	//1138
    "setEditor",	//1139
    "setEditor#",	//1140
    "setEolFill",	//1141
    "setEolFill$",	//1142
    "setEolFill$$",	//1143
    "setEolMode",	//1144
    "setEolMode$",	//1145
    "setEolVisibility",	//1146
    "setEolVisibility$",	//1147
    "setFoldAtBegin",	//1148
    "setFoldAtBegin$",	//1149
    "setFoldAtElse",	//1150
    "setFoldAtElse$",	//1151
    "setFoldAtParenthesis",	//1152
    "setFoldAtParenthesis$",	//1153
    "setFoldComments",	//1154
    "setFoldComments$",	//1155
    "setFoldCompact",	//1156
    "setFoldCompact$",	//1157
    "setFoldDirectives",	//1158
    "setFoldDirectives$",	//1159
    "setFoldMarginColors",	//1160
    "setFoldMarginColors##",	//1161
    "setFoldPODBlocks",	//1162
    "setFoldPODBlocks$",	//1163
    "setFoldPackages",	//1164
    "setFoldPackages$",	//1165
    "setFoldPreprocessor",	//1166
    "setFoldPreprocessor$",	//1167
    "setFoldQuotes",	//1168
    "setFoldQuotes$",	//1169
    "setFoldScriptComments",	//1170
    "setFoldScriptComments$",	//1171
    "setFoldScriptHeredocs",	//1172
    "setFoldScriptHeredocs$",	//1173
    "setFolding",	//1174
    "setFolding$",	//1175
    "setFolding$$",	//1176
    "setFont",	//1177
    "setFont#",	//1178
    "setFont#$",	//1179
    "setHotspot",	//1180
    "setHotspot$",	//1181
    "setIndentation",	//1182
    "setIndentation$$",	//1183
    "setIndentationGuides",	//1184
    "setIndentationGuides$",	//1185
    "setIndentationGuidesBackgroundColor",	//1186
    "setIndentationGuidesBackgroundColor#",	//1187
    "setIndentationGuidesForegroundColor",	//1188
    "setIndentationGuidesForegroundColor#",	//1189
    "setIndentationWarning",	//1190
    "setIndentationWarning$",	//1191
    "setIndentationWidth",	//1192
    "setIndentationWidth$",	//1193
    "setIndentationsUseTabs",	//1194
    "setIndentationsUseTabs$",	//1195
    "setKey",	//1196
    "setKey$",	//1197
    "setLevel",	//1198
    "setLevel$",	//1199
    "setLexer",	//1200
    "setLexer#",	//1201
    "setMagnification",	//1202
    "setMagnification$",	//1203
    "setMarginLineNumbers",	//1204
    "setMarginLineNumbers$$",	//1205
    "setMarginMarkerMask",	//1206
    "setMarginMarkerMask$$",	//1207
    "setMarginSensitivity",	//1208
    "setMarginSensitivity$$",	//1209
    "setMarginText",	//1210
    "setMarginText$#",	//1211
    "setMarginText$$#",	//1212
    "setMarginText$$$",	//1213
    "setMarginText$?",	//1214
    "setMarginType",	//1215
    "setMarginType$$",	//1216
    "setMarginWidth",	//1217
    "setMarginWidth$$",	//1218
    "setMarginsBackgroundColor",	//1219
    "setMarginsBackgroundColor#",	//1220
    "setMarginsFont",	//1221
    "setMarginsFont#",	//1222
    "setMarginsForegroundColor",	//1223
    "setMarginsForegroundColor#",	//1224
    "setMarkerBackgroundColor",	//1225
    "setMarkerBackgroundColor#",	//1226
    "setMarkerBackgroundColor#$",	//1227
    "setMarkerForegroundColor",	//1228
    "setMarkerForegroundColor#",	//1229
    "setMarkerForegroundColor#$",	//1230
    "setMatchedBraceBackgroundColor",	//1231
    "setMatchedBraceBackgroundColor#",	//1232
    "setMatchedBraceForegroundColor",	//1233
    "setMatchedBraceForegroundColor#",	//1234
    "setModified",	//1235
    "setModified$",	//1236
    "setPaper",	//1237
    "setPaper#",	//1238
    "setPaper#$",	//1239
    "setReadOnly",	//1240
    "setReadOnly$",	//1241
    "setScriptsStyled",	//1242
    "setScriptsStyled$",	//1243
    "setSelection",	//1244
    "setSelection$$$$",	//1245
    "setSelectionBackgroundColor",	//1246
    "setSelectionBackgroundColor#",	//1247
    "setSelectionForegroundColor",	//1248
    "setSelectionForegroundColor#",	//1249
    "setSelectionToEol",	//1250
    "setSelectionToEol$",	//1251
    "setSmartHighlighting",	//1252
    "setSmartHighlighting$",	//1253
    "setStylePreprocessor",	//1254
    "setStylePreprocessor$",	//1255
    "setStyling",	//1256
    "setStyling$#",	//1257
    "setStyling$$",	//1258
    "setTabIndents",	//1259
    "setTabIndents$",	//1260
    "setTabWidth",	//1261
    "setTabWidth$",	//1262
    "setText",	//1263
    "setText$",	//1264
    "setTextCase",	//1265
    "setTextCase$",	//1266
    "setTokenize",	//1267
    "setTokenize$",	//1268
    "setUnmatchedBraceBackgroundColor",	//1269
    "setUnmatchedBraceBackgroundColor#",	//1270
    "setUnmatchedBraceForegroundColor",	//1271
    "setUnmatchedBraceForegroundColor#",	//1272
    "setUtf8",	//1273
    "setUtf8$",	//1274
    "setV2UnicodeAllowed",	//1275
    "setV2UnicodeAllowed$",	//1276
    "setV3BinaryOctalAllowed",	//1277
    "setV3BinaryOctalAllowed$",	//1278
    "setV3BytesAllowed",	//1279
    "setV3BytesAllowed$",	//1280
    "setVisible",	//1281
    "setVisible$",	//1282
    "setWhitespaceVisibility",	//1283
    "setWhitespaceVisibility$",	//1284
    "setWrapMode",	//1285
    "setWrapMode$",	//1286
    "setWrapVisualFlags",	//1287
    "setWrapVisualFlags$",	//1288
    "setWrapVisualFlags$$",	//1289
    "setWrapVisualFlags$$$",	//1290
    "showEvent",	//1291
    "showUserList",	//1292
    "showUserList$?",	//1293
    "sizeHint",	//1294
    "smartHighlighting",	//1295
    "standardCommands",	//1296
    "startRecording",	//1297
    "startStyling",	//1298
    "startStyling$",	//1299
    "startStyling$$",	//1300
    "staticMetaObject",	//1301
    "style",	//1302
    "styleBitsNeeded",	//1303
    "styleChange",	//1304
    "stylePreprocessor",	//1305
    "styleText",	//1306
    "styleText$$",	//1307
    "tabIndents",	//1308
    "tabWidth",	//1309
    "tabletEvent",	//1310
    "text",	//1311
    "text$",	//1312
    "textCase",	//1313
    "textChanged",	//1314
    "textHeight",	//1315
    "textHeight$",	//1316
    "timerEvent",	//1317
    "toMimeData",	//1318
    "toMimeData$",	//1319
    "tokenize",	//1320
    "tr",	//1321
    "tr$",	//1322
    "tr$$",	//1323
    "tr$$$",	//1324
    "trUtf8",	//1325
    "trUtf8$",	//1326
    "trUtf8$$",	//1327
    "trUtf8$$$",	//1328
    "undo",	//1329
    "unindent",	//1330
    "unindent$",	//1331
    "updateAutoCompletionList",	//1332
    "updateAutoCompletionList??",	//1333
    "userListActivated",	//1334
    "userListActivated$$",	//1335
    "v2UnicodeAllowed",	//1336
    "v3BinaryOctalAllowed",	//1337
    "v3BytesAllowed",	//1338
    "validKey",	//1339
    "validKey$",	//1340
    "viewportEvent",	//1341
    "visible",	//1342
    "wheelEvent",	//1343
    "whitespaceVisibility",	//1344
    "windowActivationChange",	//1345
    "wordAtPoint",	//1346
    "wordAtPoint#",	//1347
    "wordCharacters",	//1348
    "wrapMode",	//1349
    "write",	//1350
    "write#",	//1351
    "writeProperties",	//1352
    "writeProperties#$",	//1353
    "writeSettings",	//1354
    "writeSettings#",	//1355
    "writeSettings#$",	//1356
    "x11Event",	//1357
    "zoomIn",	//1358
    "zoomIn$",	//1359
    "zoomOut",	//1360
    "zoomOut$",	//1361
    "zoomTo",	//1362
    "zoomTo$",	//1363
    "~QsciAPIs",	//1364
    "~QsciAbstractAPIs",	//1365
    "~QsciCommand",	//1366
    "~QsciDocument",	//1367
    "~QsciLexer",	//1368
    "~QsciLexerBash",	//1369
    "~QsciLexerBatch",	//1370
    "~QsciLexerCMake",	//1371
    "~QsciLexerCPP",	//1372
    "~QsciLexerCSS",	//1373
    "~QsciLexerCSharp",	//1374
    "~QsciLexerCustom",	//1375
    "~QsciLexerD",	//1376
    "~QsciLexerDiff",	//1377
    "~QsciLexerFortran",	//1378
    "~QsciLexerFortran77",	//1379
    "~QsciLexerHTML",	//1380
    "~QsciLexerIDL",	//1381
    "~QsciLexerJava",	//1382
    "~QsciLexerJavaScript",	//1383
    "~QsciLexerLua",	//1384
    "~QsciLexerMakefile",	//1385
    "~QsciLexerPOV",	//1386
    "~QsciLexerPascal",	//1387
    "~QsciLexerPerl",	//1388
    "~QsciLexerPostScript",	//1389
    "~QsciLexerProperties",	//1390
    "~QsciLexerPython",	//1391
    "~QsciLexerRuby",	//1392
    "~QsciLexerSQL",	//1393
    "~QsciLexerTCL",	//1394
    "~QsciLexerTeX",	//1395
    "~QsciLexerVHDL",	//1396
    "~QsciLexerXML",	//1397
    "~QsciLexerYAML",	//1398
    "~QsciMacro",	//1399
    "~QsciPrinter",	//1400
    "~QsciScintilla",	//1401
    "~QsciScintillaBase",	//1402
    "~QsciStyle",	//1403
    "~QsciStyledText",	//1404
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 985, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 36, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1294, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 36, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 844, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 198, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1341, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 198, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1343, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {15, 773, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {16, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1},	//7 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2},	//8 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3},	//9 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 4},	//10 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 5},	//11 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 6},	//12 QGlobalSpace::LicensedGui (enum)
    {16, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 7},	//13 QGlobalSpace::LicensedXml (enum)
    {16, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 8},	//14 QGlobalSpace::LicensedQt3SupportLight (enum)
    {16, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 9},	//15 QGlobalSpace::LicensedScript (enum)
    {16, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 10},	//16 QGlobalSpace::LicensedOpenVG (enum)
    {16, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 11},	//17 QGlobalSpace::LicensedDBus (enum)
    {16, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 12},	//18 QGlobalSpace::LicensedTest (enum)
    {16, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 13},	//19 QGlobalSpace::LicensedActiveQt (enum)
    {16, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 14},	//20 QGlobalSpace::LicensedScriptTools (enum)
    {16, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 15},	//21 QGlobalSpace::LicensedSvg (enum)
    {16, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 16},	//22 QGlobalSpace::LicensedDeclarative (enum)
    {16, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 17},	//23 QGlobalSpace::LicensedSql (enum)
    {16, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 18},	//24 QGlobalSpace::LicensedOpenGL (enum)
    {16, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 19},	//25 QGlobalSpace::LicensedCore (enum)
    {16, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 20},	//26 QGlobalSpace::QtDebugMsg (enum)
    {16, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 21},	//27 QGlobalSpace::QtWarningMsg (enum)
    {16, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 22},	//28 QGlobalSpace::QtCriticalMsg (enum)
    {16, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 23},	//29 QGlobalSpace::QtFatalMsg (enum)
    {16, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 24},	//30 QGlobalSpace::QtSystemMsg (enum)
    {16, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 25},	//31 QGlobalSpace::LicensedHelp (enum)
    {16, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 26},	//32 QGlobalSpace::LicensedMultimedia (enum)
    {16, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 27},	//33 QGlobalSpace::LicensedQt3Support (enum)
    {16, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 28},	//34 QGlobalSpace::LicensedXmlPatterns (enum)
    {16, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 29},	//35 QGlobalSpace::LicensedNetwork (enum)
    {25, 844, 1, 1, Smoke::mf_virtual, 198, 0},	//36 QObject::event(QEvent*)
    {25, 846, 5, 2, Smoke::mf_virtual, 198, 0},	//37 QObject::eventFilter(QObject*, QEvent*)
    {25, 1317, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::timerEvent(QTimerEvent*)
    {25, 775, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::childEvent(QChildEvent*)
    {25, 801, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::customEvent(QEvent*)
    {25, 791, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QObject::connectNotify(const char*)
    {25, 816, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QObject::disconnectNotify(const char*)
    {32, 815, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 0},	//43 QPrinter::devType() const
    {32, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 0},	//44 QPrinter::paintEngine() const
    {32, 984, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 220, 0},	//45 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {32, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 4},	//46 QPrinter::ScreenResolution (enum)
    {32, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 5},	//47 QPrinter::PrinterResolution (enum)
    {32, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 6},	//48 QPrinter::HighResolution (enum)
    {44, 815, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 0},	//49 QWidget::devType() const
    {44, 1281, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//50 QWidget::setVisible(bool)
    {44, 892, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 220, 0},	//51 QWidget::heightForWidth(int) const
    {44, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 0},	//52 QWidget::paintEngine() const
    {44, 926, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//53 QWidget::keyReleaseEvent(QKeyEvent*)
    {44, 837, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//54 QWidget::enterEvent(QEvent*)
    {44, 931, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//55 QWidget::leaveEvent(QEvent*)
    {44, 997, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//56 QWidget::moveEvent(QMoveEvent*)
    {44, 785, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//57 QWidget::closeEvent(QCloseEvent*)
    {44, 1310, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//58 QWidget::tabletEvent(QTabletEvent*)
    {44, 715, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//59 QWidget::actionEvent(QActionEvent*)
    {44, 1291, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//60 QWidget::showEvent(QShowEvent*)
    {44, 893, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//61 QWidget::hideEvent(QHideEvent*)
    {44, 1357, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 198, 0},	//62 QWidget::x11Event(_XEvent*)
    {44, 984, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 220, 0},	//63 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {44, 906, 36, 1, Smoke::mf_const|Smoke::mf_virtual, 44, 0},	//64 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {44, 1304, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//65 QWidget::styleChange(QStyle&)
    {44, 831, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//66 QWidget::enabledChange(bool)
    {44, 1004, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//67 QWidget::paletteChange(const QPalette&)
    {44, 880, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//68 QWidget::fontChange(const QFont&)
    {44, 1345, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//69 QWidget::windowActivationChange(bool)
    {44, 930, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//70 QWidget::languageChange()
    {45, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//71 QsciAPIs::metaObject() const
    {45, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//72 QsciAPIs::qt_metacast(const char*)
    {45, 1321, 44, 2, Smoke::mf_static, 37, 3},	//73 QsciAPIs::tr(const char*, const char*)
    {45, 1325, 44, 2, Smoke::mf_static, 37, 4},	//74 QsciAPIs::trUtf8(const char*, const char*)
    {45, 1321, 47, 3, Smoke::mf_static, 37, 5},	//75 QsciAPIs::tr(const char*, const char*, int)
    {45, 1325, 47, 3, Smoke::mf_static, 37, 6},	//76 QsciAPIs::trUtf8(const char*, const char*, int)
    {45, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//77 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {45, 360, 55, 1, Smoke::mf_ctor, 47, 8},	//78 QsciAPIs::QsciAPIs(QsciLexer*)
    {45, 716, 57, 1, 0, 0, 9},	//79 QsciAPIs::add(const QString&)
    {45, 776, 0, 0, 0, 0, 10},	//80 QsciAPIs::clear()
    {45, 944, 57, 1, 0, 198, 11},	//81 QsciAPIs::load(const QString&)
    {45, 1040, 57, 1, 0, 0, 12},	//82 QsciAPIs::remove(const QString&)
    {45, 1014, 0, 0, 0, 0, 13},	//83 QsciAPIs::prepare()
    {45, 770, 0, 0, 0, 0, 14},	//84 QsciAPIs::cancelPreparation()
    {45, 811, 0, 0, Smoke::mf_const, 37, 15},	//85 QsciAPIs::defaultPreparedName() const
    {45, 915, 57, 1, Smoke::mf_const, 198, 16},	//86 QsciAPIs::isPrepared(const QString&) const
    {45, 946, 57, 1, 0, 198, 17},	//87 QsciAPIs::loadPrepared(const QString&)
    {45, 1051, 57, 1, Smoke::mf_const, 198, 18},	//88 QsciAPIs::savePrepared(const QString&) const
    {45, 1332, 59, 2, Smoke::mf_virtual, 0, 19},	//89 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {45, 742, 57, 1, Smoke::mf_virtual, 0, 20},	//90 QsciAPIs::autoCompletionSelected(const QString&)
    {45, 763, 62, 4, Smoke::mf_virtual, 38, 21},	//91 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {45, 844, 1, 1, Smoke::mf_virtual, 198, 22},	//92 QsciAPIs::event(QEvent*)
    {45, 911, 0, 0, Smoke::mf_const, 38, 23},	//93 QsciAPIs::installedAPIFiles() const
    {45, 729, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//94 QsciAPIs::apiPreparationCancelled()
    {45, 731, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//95 QsciAPIs::apiPreparationStarted()
    {45, 730, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//96 QsciAPIs::apiPreparationFinished()
    {45, 1321, 12, 1, Smoke::mf_static, 37, 27},	//97 QsciAPIs::tr(const char*)
    {45, 1325, 12, 1, Smoke::mf_static, 37, 28},	//98 QsciAPIs::trUtf8(const char*)
    {45, 915, 0, 0, Smoke::mf_const, 198, 29},	//99 QsciAPIs::isPrepared() const
    {45, 946, 0, 0, 0, 198, 30},	//100 QsciAPIs::loadPrepared()
    {45, 1051, 0, 0, Smoke::mf_const, 198, 31},	//101 QsciAPIs::savePrepared() const
    {45, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 32},	//102 QsciAPIs::staticMetaObject() const
    {45, 1364, 0, 0, Smoke::mf_dtor, 0, 33 },	//103 QsciAPIs::~QsciAPIs()
    {46, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//104 QsciAbstractAPIs::metaObject() const
    {46, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//105 QsciAbstractAPIs::qt_metacast(const char*)
    {46, 1321, 44, 2, Smoke::mf_static, 37, 3},	//106 QsciAbstractAPIs::tr(const char*, const char*)
    {46, 1325, 44, 2, Smoke::mf_static, 37, 4},	//107 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {46, 1321, 47, 3, Smoke::mf_static, 37, 5},	//108 QsciAbstractAPIs::tr(const char*, const char*, int)
    {46, 1325, 47, 3, Smoke::mf_static, 37, 6},	//109 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {46, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//110 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {46, 362, 55, 1, Smoke::mf_ctor, 48, 8},	//111 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {46, 934, 0, 0, Smoke::mf_const, 53, 9},	//112 QsciAbstractAPIs::lexer() const
    {46, 1332, 59, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//113 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {46, 742, 57, 1, Smoke::mf_virtual, 0, 11},	//114 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {46, 763, 62, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 38, 12},	//115 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {46, 1321, 12, 1, Smoke::mf_static, 37, 13},	//116 QsciAbstractAPIs::tr(const char*)
    {46, 1325, 12, 1, Smoke::mf_static, 37, 14},	//117 QsciAbstractAPIs::trUtf8(const char*)
    {46, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 15},	//118 QsciAbstractAPIs::staticMetaObject() const
    {46, 1365, 0, 0, Smoke::mf_dtor, 0, 16 },	//119 QsciAbstractAPIs::~QsciAbstractAPIs()
    {47, 1196, 18, 1, 0, 0, 1},	//120 QsciCommand::setKey(int)
    {47, 1064, 18, 1, 0, 0, 2},	//121 QsciCommand::setAlternateKey(int)
    {47, 923, 0, 0, Smoke::mf_const, 220, 3},	//122 QsciCommand::key() const
    {47, 718, 0, 0, Smoke::mf_const, 220, 4},	//123 QsciCommand::alternateKey() const
    {47, 1339, 18, 1, Smoke::mf_static, 198, 5},	//124 QsciCommand::validKey(int)
    {47, 813, 0, 0, Smoke::mf_const, 37, 6},	//125 QsciCommand::description() const
    {47, 1366, 0, 0, Smoke::mf_dtor, 0, 7 },	//126 QsciCommand::~QsciCommand()
    {48, 1029, 67, 2, 0, 198, 1},	//127 QsciCommandSet::readSettings(QSettings&, const char*)
    {48, 1354, 67, 2, 0, 198, 2},	//128 QsciCommandSet::writeSettings(QSettings&, const char*)
    {48, 790, 0, 0, 0, 18, 3},	//129 QsciCommandSet::commands()
    {48, 781, 0, 0, 0, 0, 4},	//130 QsciCommandSet::clearKeys()
    {48, 777, 0, 0, 0, 0, 5},	//131 QsciCommandSet::clearAlternateKeys()
    {48, 1029, 70, 1, 0, 198, 6},	//132 QsciCommandSet::readSettings(QSettings&)
    {48, 1354, 70, 1, 0, 198, 7},	//133 QsciCommandSet::writeSettings(QSettings&)
    {49, 364, 0, 0, Smoke::mf_ctor, 52, 1},	//134 QsciDocument::QsciDocument()
    {49, 364, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 2},	//135 QsciDocument::QsciDocument(const QsciDocument&)
    {49, 999, 72, 1, 0, 51, 3},	//136 QsciDocument::operator=(const QsciDocument&)
    {49, 1367, 0, 0, Smoke::mf_dtor, 0, 4 },	//137 QsciDocument::~QsciDocument()
    {50, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//138 QsciLexer::metaObject() const
    {50, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//139 QsciLexer::qt_metacast(const char*)
    {50, 1321, 44, 2, Smoke::mf_static, 37, 3},	//140 QsciLexer::tr(const char*, const char*)
    {50, 1325, 44, 2, Smoke::mf_static, 37, 4},	//141 QsciLexer::trUtf8(const char*, const char*)
    {50, 1321, 47, 3, Smoke::mf_static, 37, 5},	//142 QsciLexer::tr(const char*, const char*, int)
    {50, 1325, 47, 3, Smoke::mf_static, 37, 6},	//143 QsciLexer::trUtf8(const char*, const char*, int)
    {50, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//144 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {50, 366, 74, 1, Smoke::mf_ctor, 53, 8},	//145 QsciLexer::QsciLexer(QObject*)
    {50, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 218, 9},	//146 QsciLexer::language() const [pure virtual]
    {50, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//147 QsciLexer::lexer() const
    {50, 935, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 11},	//148 QsciLexer::lexerId() const
    {50, 732, 0, 0, Smoke::mf_const, 48, 12},	//149 QsciLexer::apis() const
    {50, 739, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 13},	//150 QsciLexer::autoCompletionFillups() const
    {50, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 14},	//151 QsciLexer::autoCompletionWordSeparators() const
    {50, 749, 0, 0, 0, 220, 15},	//152 QsciLexer::autoIndentStyle()
    {50, 753, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 16},	//153 QsciLexer::blockEnd(int*) const
    {50, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 17},	//154 QsciLexer::blockLookback() const
    {50, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 18},	//155 QsciLexer::blockStart(int*) const
    {50, 758, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 19},	//156 QsciLexer::blockStartKeyword(int*) const
    {50, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 20},	//157 QsciLexer::braceStyle() const
    {50, 771, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 21},	//158 QsciLexer::caseSensitive() const
    {50, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 22},	//159 QsciLexer::color(int) const
    {50, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 23},	//160 QsciLexer::eolFill(int) const
    {50, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 24},	//161 QsciLexer::font(int) const
    {50, 899, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 25},	//162 QsciLexer::indentationGuideView() const
    {50, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 26},	//163 QsciLexer::keywords(int) const
    {50, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 27},	//164 QsciLexer::defaultStyle() const
    {50, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 37, 28},	//165 QsciLexer::description(int) const [pure virtual]
    {50, 1005, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 29},	//166 QsciLexer::paper(int) const
    {50, 803, 0, 0, Smoke::mf_const, 5, 30},	//167 QsciLexer::defaultColor() const
    {50, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 31},	//168 QsciLexer::defaultColor(int) const
    {50, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 32},	//169 QsciLexer::defaultEolFill(int) const
    {50, 807, 0, 0, Smoke::mf_const, 13, 33},	//170 QsciLexer::defaultFont() const
    {50, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 34},	//171 QsciLexer::defaultFont(int) const
    {50, 809, 0, 0, Smoke::mf_const, 5, 35},	//172 QsciLexer::defaultPaper() const
    {50, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 36},	//173 QsciLexer::defaultPaper(int) const
    {50, 830, 0, 0, Smoke::mf_const, 87, 37},	//174 QsciLexer::editor() const
    {50, 1062, 78, 1, 0, 0, 38},	//175 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {50, 1121, 80, 1, 0, 0, 39},	//176 QsciLexer::setDefaultColor(const QColor&)
    {50, 1123, 42, 1, 0, 0, 40},	//177 QsciLexer::setDefaultFont(const QFont&)
    {50, 1125, 80, 1, 0, 0, 41},	//178 QsciLexer::setDefaultPaper(const QColor&)
    {50, 1139, 82, 1, Smoke::mf_virtual, 0, 42},	//179 QsciLexer::setEditor(QsciScintilla*)
    {50, 1029, 67, 2, 0, 198, 43},	//180 QsciLexer::readSettings(QSettings&, const char*)
    {50, 1037, 0, 0, Smoke::mf_virtual, 0, 44},	//181 QsciLexer::refreshProperties()
    {50, 1303, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 45},	//182 QsciLexer::styleBitsNeeded() const
    {50, 1348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 46},	//183 QsciLexer::wordCharacters() const
    {50, 1354, 67, 2, Smoke::mf_const, 198, 47},	//184 QsciLexer::writeSettings(QSettings&, const char*) const
    {50, 1086, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//185 QsciLexer::setAutoIndentStyle(int)
    {50, 1116, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//186 QsciLexer::setColor(const QColor&, int)
    {50, 1141, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//187 QsciLexer::setEolFill(bool, int)
    {50, 1177, 90, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//188 QsciLexer::setFont(const QFont&, int)
    {50, 1237, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//189 QsciLexer::setPaper(const QColor&, int)
    {50, 788, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//190 QsciLexer::colorChanged(const QColor&, int)
    {50, 840, 87, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//191 QsciLexer::eolFillChanged(bool, int)
    {50, 881, 90, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//192 QsciLexer::fontChanged(const QFont&, int)
    {50, 1007, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//193 QsciLexer::paperChanged(const QColor&, int)
    {50, 1019, 44, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//194 QsciLexer::propertyChanged(const char*, const char*)
    {50, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 58},	//195 QsciLexer::readProperties(QSettings&, const QString&)
    {50, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 59},	//196 QsciLexer::writeProperties(QSettings&, const QString&) const
    {50, 1321, 12, 1, Smoke::mf_static, 37, 60},	//197 QsciLexer::tr(const char*)
    {50, 1325, 12, 1, Smoke::mf_static, 37, 61},	//198 QsciLexer::trUtf8(const char*)
    {50, 366, 0, 0, Smoke::mf_ctor, 53, 62},	//199 QsciLexer::QsciLexer()
    {50, 753, 0, 0, Smoke::mf_const, 218, 63},	//200 QsciLexer::blockEnd() const
    {50, 756, 0, 0, Smoke::mf_const, 218, 64},	//201 QsciLexer::blockStart() const
    {50, 758, 0, 0, Smoke::mf_const, 218, 65},	//202 QsciLexer::blockStartKeyword() const
    {50, 1029, 70, 1, 0, 198, 66},	//203 QsciLexer::readSettings(QSettings&)
    {50, 1354, 70, 1, Smoke::mf_const, 198, 67},	//204 QsciLexer::writeSettings(QSettings&) const
    {50, 1116, 80, 1, Smoke::mf_slot, 0, 68},	//205 QsciLexer::setColor(const QColor&)
    {50, 1141, 16, 1, Smoke::mf_slot, 0, 69},	//206 QsciLexer::setEolFill(bool)
    {50, 1177, 42, 1, Smoke::mf_slot, 0, 70},	//207 QsciLexer::setFont(const QFont&)
    {50, 1237, 80, 1, Smoke::mf_slot, 0, 71},	//208 QsciLexer::setPaper(const QColor&)
    {50, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 72},	//209 QsciLexer::staticMetaObject() const
    {50, 1368, 0, 0, Smoke::mf_dtor, 0, 73 },	//210 QsciLexer::~QsciLexer()
    {51, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//211 QsciLexerBash::metaObject() const
    {51, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//212 QsciLexerBash::qt_metacast(const char*)
    {51, 1321, 44, 2, Smoke::mf_static, 37, 3},	//213 QsciLexerBash::tr(const char*, const char*)
    {51, 1325, 44, 2, Smoke::mf_static, 37, 4},	//214 QsciLexerBash::trUtf8(const char*, const char*)
    {51, 1321, 47, 3, Smoke::mf_static, 37, 5},	//215 QsciLexerBash::tr(const char*, const char*, int)
    {51, 1325, 47, 3, Smoke::mf_static, 37, 6},	//216 QsciLexerBash::trUtf8(const char*, const char*, int)
    {51, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//217 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {51, 368, 74, 1, Smoke::mf_ctor, 54, 8},	//218 QsciLexerBash::QsciLexerBash(QObject*)
    {51, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//219 QsciLexerBash::language() const
    {51, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//220 QsciLexerBash::lexer() const
    {51, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 11},	//221 QsciLexerBash::braceStyle() const
    {51, 1348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 12},	//222 QsciLexerBash::wordCharacters() const
    {51, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//223 QsciLexerBash::defaultColor(int) const
    {51, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 14},	//224 QsciLexerBash::defaultEolFill(int) const
    {51, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//225 QsciLexerBash::defaultFont(int) const
    {51, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//226 QsciLexerBash::defaultPaper(int) const
    {51, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 17},	//227 QsciLexerBash::keywords(int) const
    {51, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 18},	//228 QsciLexerBash::description(int) const
    {51, 1037, 0, 0, Smoke::mf_virtual, 0, 19},	//229 QsciLexerBash::refreshProperties()
    {51, 866, 0, 0, Smoke::mf_const, 198, 20},	//230 QsciLexerBash::foldComments() const
    {51, 867, 0, 0, Smoke::mf_const, 198, 21},	//231 QsciLexerBash::foldCompact() const
    {51, 1154, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//232 QsciLexerBash::setFoldComments(bool)
    {51, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//233 QsciLexerBash::setFoldCompact(bool)
    {51, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 24},	//234 QsciLexerBash::readProperties(QSettings&, const QString&)
    {51, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 25},	//235 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {51, 1321, 12, 1, Smoke::mf_static, 37, 26},	//236 QsciLexerBash::tr(const char*)
    {51, 1325, 12, 1, Smoke::mf_static, 37, 27},	//237 QsciLexerBash::trUtf8(const char*)
    {51, 368, 0, 0, Smoke::mf_ctor, 54, 28},	//238 QsciLexerBash::QsciLexerBash()
    {51, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 29},	//239 QsciLexerBash::staticMetaObject() const
    {51, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 30},	//240 QsciLexerBash::Default (enum)
    {51, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 31},	//241 QsciLexerBash::Error (enum)
    {51, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 32},	//242 QsciLexerBash::Comment (enum)
    {51, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 33},	//243 QsciLexerBash::Number (enum)
    {51, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 34},	//244 QsciLexerBash::Keyword (enum)
    {51, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 35},	//245 QsciLexerBash::DoubleQuotedString (enum)
    {51, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 36},	//246 QsciLexerBash::SingleQuotedString (enum)
    {51, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 37},	//247 QsciLexerBash::Operator (enum)
    {51, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 38},	//248 QsciLexerBash::Identifier (enum)
    {51, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 39},	//249 QsciLexerBash::Scalar (enum)
    {51, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 40},	//250 QsciLexerBash::ParameterExpansion (enum)
    {51, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 41},	//251 QsciLexerBash::Backticks (enum)
    {51, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 42},	//252 QsciLexerBash::HereDocumentDelimiter (enum)
    {51, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 43},	//253 QsciLexerBash::SingleQuotedHereDocument (enum)
    {51, 1369, 0, 0, Smoke::mf_dtor, 0, 44 },	//254 QsciLexerBash::~QsciLexerBash()
    {52, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//255 QsciLexerBatch::metaObject() const
    {52, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//256 QsciLexerBatch::qt_metacast(const char*)
    {52, 1321, 44, 2, Smoke::mf_static, 37, 3},	//257 QsciLexerBatch::tr(const char*, const char*)
    {52, 1325, 44, 2, Smoke::mf_static, 37, 4},	//258 QsciLexerBatch::trUtf8(const char*, const char*)
    {52, 1321, 47, 3, Smoke::mf_static, 37, 5},	//259 QsciLexerBatch::tr(const char*, const char*, int)
    {52, 1325, 47, 3, Smoke::mf_static, 37, 6},	//260 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {52, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//261 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {52, 370, 74, 1, Smoke::mf_ctor, 55, 8},	//262 QsciLexerBatch::QsciLexerBatch(QObject*)
    {52, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//263 QsciLexerBatch::language() const
    {52, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//264 QsciLexerBatch::lexer() const
    {52, 1348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//265 QsciLexerBatch::wordCharacters() const
    {52, 771, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 12},	//266 QsciLexerBatch::caseSensitive() const
    {52, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//267 QsciLexerBatch::defaultColor(int) const
    {52, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 14},	//268 QsciLexerBatch::defaultEolFill(int) const
    {52, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//269 QsciLexerBatch::defaultFont(int) const
    {52, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//270 QsciLexerBatch::defaultPaper(int) const
    {52, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 17},	//271 QsciLexerBatch::keywords(int) const
    {52, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 18},	//272 QsciLexerBatch::description(int) const
    {52, 1321, 12, 1, Smoke::mf_static, 37, 19},	//273 QsciLexerBatch::tr(const char*)
    {52, 1325, 12, 1, Smoke::mf_static, 37, 20},	//274 QsciLexerBatch::trUtf8(const char*)
    {52, 370, 0, 0, Smoke::mf_ctor, 55, 21},	//275 QsciLexerBatch::QsciLexerBatch()
    {52, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 22},	//276 QsciLexerBatch::staticMetaObject() const
    {52, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 23},	//277 QsciLexerBatch::Default (enum)
    {52, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 24},	//278 QsciLexerBatch::Comment (enum)
    {52, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 25},	//279 QsciLexerBatch::Keyword (enum)
    {52, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 26},	//280 QsciLexerBatch::Label (enum)
    {52, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 27},	//281 QsciLexerBatch::HideCommandChar (enum)
    {52, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 28},	//282 QsciLexerBatch::ExternalCommand (enum)
    {52, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 29},	//283 QsciLexerBatch::Variable (enum)
    {52, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 30},	//284 QsciLexerBatch::Operator (enum)
    {52, 1370, 0, 0, Smoke::mf_dtor, 0, 31 },	//285 QsciLexerBatch::~QsciLexerBatch()
    {53, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//286 QsciLexerCMake::metaObject() const
    {53, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//287 QsciLexerCMake::qt_metacast(const char*)
    {53, 1321, 44, 2, Smoke::mf_static, 37, 3},	//288 QsciLexerCMake::tr(const char*, const char*)
    {53, 1325, 44, 2, Smoke::mf_static, 37, 4},	//289 QsciLexerCMake::trUtf8(const char*, const char*)
    {53, 1321, 47, 3, Smoke::mf_static, 37, 5},	//290 QsciLexerCMake::tr(const char*, const char*, int)
    {53, 1325, 47, 3, Smoke::mf_static, 37, 6},	//291 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {53, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//292 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {53, 372, 74, 1, Smoke::mf_ctor, 56, 8},	//293 QsciLexerCMake::QsciLexerCMake(QObject*)
    {53, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//294 QsciLexerCMake::language() const
    {53, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//295 QsciLexerCMake::lexer() const
    {53, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//296 QsciLexerCMake::defaultColor(int) const
    {53, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//297 QsciLexerCMake::defaultFont(int) const
    {53, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//298 QsciLexerCMake::defaultPaper(int) const
    {53, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 14},	//299 QsciLexerCMake::keywords(int) const
    {53, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 15},	//300 QsciLexerCMake::description(int) const
    {53, 1037, 0, 0, Smoke::mf_virtual, 0, 16},	//301 QsciLexerCMake::refreshProperties()
    {53, 864, 0, 0, Smoke::mf_const, 198, 17},	//302 QsciLexerCMake::foldAtElse() const
    {53, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//303 QsciLexerCMake::setFoldAtElse(bool)
    {53, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 19},	//304 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {53, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 20},	//305 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {53, 1321, 12, 1, Smoke::mf_static, 37, 21},	//306 QsciLexerCMake::tr(const char*)
    {53, 1325, 12, 1, Smoke::mf_static, 37, 22},	//307 QsciLexerCMake::trUtf8(const char*)
    {53, 372, 0, 0, Smoke::mf_ctor, 56, 23},	//308 QsciLexerCMake::QsciLexerCMake()
    {53, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 24},	//309 QsciLexerCMake::staticMetaObject() const
    {53, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 25},	//310 QsciLexerCMake::Default (enum)
    {53, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 26},	//311 QsciLexerCMake::Comment (enum)
    {53, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 27},	//312 QsciLexerCMake::String (enum)
    {53, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 28},	//313 QsciLexerCMake::StringLeftQuote (enum)
    {53, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 29},	//314 QsciLexerCMake::StringRightQuote (enum)
    {53, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 30},	//315 QsciLexerCMake::Function (enum)
    {53, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 31},	//316 QsciLexerCMake::Variable (enum)
    {53, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 32},	//317 QsciLexerCMake::Label (enum)
    {53, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 33},	//318 QsciLexerCMake::KeywordSet3 (enum)
    {53, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 34},	//319 QsciLexerCMake::BlockWhile (enum)
    {53, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 35},	//320 QsciLexerCMake::BlockForeach (enum)
    {53, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 36},	//321 QsciLexerCMake::BlockIf (enum)
    {53, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 37},	//322 QsciLexerCMake::BlockMacro (enum)
    {53, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 38},	//323 QsciLexerCMake::StringVariable (enum)
    {53, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 39},	//324 QsciLexerCMake::Number (enum)
    {53, 1371, 0, 0, Smoke::mf_dtor, 0, 40 },	//325 QsciLexerCMake::~QsciLexerCMake()
    {54, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//326 QsciLexerCPP::metaObject() const
    {54, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//327 QsciLexerCPP::qt_metacast(const char*)
    {54, 1321, 44, 2, Smoke::mf_static, 37, 3},	//328 QsciLexerCPP::tr(const char*, const char*)
    {54, 1325, 44, 2, Smoke::mf_static, 37, 4},	//329 QsciLexerCPP::trUtf8(const char*, const char*)
    {54, 1321, 47, 3, Smoke::mf_static, 37, 5},	//330 QsciLexerCPP::tr(const char*, const char*, int)
    {54, 1325, 47, 3, Smoke::mf_static, 37, 6},	//331 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {54, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//332 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {54, 374, 96, 2, Smoke::mf_ctor, 57, 8},	//333 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {54, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//334 QsciLexerCPP::language() const
    {54, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//335 QsciLexerCPP::lexer() const
    {54, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//336 QsciLexerCPP::autoCompletionWordSeparators() const
    {54, 753, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 12},	//337 QsciLexerCPP::blockEnd(int*) const
    {54, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 13},	//338 QsciLexerCPP::blockStart(int*) const
    {54, 758, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 14},	//339 QsciLexerCPP::blockStartKeyword(int*) const
    {54, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 15},	//340 QsciLexerCPP::braceStyle() const
    {54, 1348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 16},	//341 QsciLexerCPP::wordCharacters() const
    {54, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//342 QsciLexerCPP::defaultColor(int) const
    {54, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 18},	//343 QsciLexerCPP::defaultEolFill(int) const
    {54, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 19},	//344 QsciLexerCPP::defaultFont(int) const
    {54, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 20},	//345 QsciLexerCPP::defaultPaper(int) const
    {54, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 21},	//346 QsciLexerCPP::keywords(int) const
    {54, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 22},	//347 QsciLexerCPP::description(int) const
    {54, 1037, 0, 0, Smoke::mf_virtual, 0, 23},	//348 QsciLexerCPP::refreshProperties()
    {54, 864, 0, 0, Smoke::mf_const, 198, 24},	//349 QsciLexerCPP::foldAtElse() const
    {54, 866, 0, 0, Smoke::mf_const, 198, 25},	//350 QsciLexerCPP::foldComments() const
    {54, 867, 0, 0, Smoke::mf_const, 198, 26},	//351 QsciLexerCPP::foldCompact() const
    {54, 873, 0, 0, Smoke::mf_const, 198, 27},	//352 QsciLexerCPP::foldPreprocessor() const
    {54, 1305, 0, 0, Smoke::mf_const, 198, 28},	//353 QsciLexerCPP::stylePreprocessor() const
    {54, 1131, 16, 1, 0, 0, 29},	//354 QsciLexerCPP::setDollarsAllowed(bool)
    {54, 818, 0, 0, Smoke::mf_const, 198, 30},	//355 QsciLexerCPP::dollarsAllowed() const
    {54, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//356 QsciLexerCPP::setFoldAtElse(bool)
    {54, 1154, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//357 QsciLexerCPP::setFoldComments(bool)
    {54, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//358 QsciLexerCPP::setFoldCompact(bool)
    {54, 1166, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//359 QsciLexerCPP::setFoldPreprocessor(bool)
    {54, 1254, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//360 QsciLexerCPP::setStylePreprocessor(bool)
    {54, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 36},	//361 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {54, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 37},	//362 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {54, 1321, 12, 1, Smoke::mf_static, 37, 38},	//363 QsciLexerCPP::tr(const char*)
    {54, 1325, 12, 1, Smoke::mf_static, 37, 39},	//364 QsciLexerCPP::trUtf8(const char*)
    {54, 374, 0, 0, Smoke::mf_ctor, 57, 40},	//365 QsciLexerCPP::QsciLexerCPP()
    {54, 374, 74, 1, Smoke::mf_ctor, 57, 41},	//366 QsciLexerCPP::QsciLexerCPP(QObject*)
    {54, 753, 0, 0, Smoke::mf_const, 218, 42},	//367 QsciLexerCPP::blockEnd() const
    {54, 756, 0, 0, Smoke::mf_const, 218, 43},	//368 QsciLexerCPP::blockStart() const
    {54, 758, 0, 0, Smoke::mf_const, 218, 44},	//369 QsciLexerCPP::blockStartKeyword() const
    {54, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 45},	//370 QsciLexerCPP::staticMetaObject() const
    {54, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 46},	//371 QsciLexerCPP::Default (enum)
    {54, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 47},	//372 QsciLexerCPP::Comment (enum)
    {54, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 48},	//373 QsciLexerCPP::CommentLine (enum)
    {54, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 49},	//374 QsciLexerCPP::CommentDoc (enum)
    {54, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 50},	//375 QsciLexerCPP::Number (enum)
    {54, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 51},	//376 QsciLexerCPP::Keyword (enum)
    {54, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 52},	//377 QsciLexerCPP::DoubleQuotedString (enum)
    {54, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 53},	//378 QsciLexerCPP::SingleQuotedString (enum)
    {54, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 54},	//379 QsciLexerCPP::UUID (enum)
    {54, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 55},	//380 QsciLexerCPP::PreProcessor (enum)
    {54, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 56},	//381 QsciLexerCPP::Operator (enum)
    {54, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 57},	//382 QsciLexerCPP::Identifier (enum)
    {54, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 58},	//383 QsciLexerCPP::UnclosedString (enum)
    {54, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 59},	//384 QsciLexerCPP::VerbatimString (enum)
    {54, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 60},	//385 QsciLexerCPP::Regex (enum)
    {54, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 61},	//386 QsciLexerCPP::CommentLineDoc (enum)
    {54, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 62},	//387 QsciLexerCPP::KeywordSet2 (enum)
    {54, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 63},	//388 QsciLexerCPP::CommentDocKeyword (enum)
    {54, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 64},	//389 QsciLexerCPP::CommentDocKeywordError (enum)
    {54, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 65},	//390 QsciLexerCPP::GlobalClass (enum)
    {54, 1372, 0, 0, Smoke::mf_dtor, 0, 66 },	//391 QsciLexerCPP::~QsciLexerCPP()
    {55, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//392 QsciLexerCSS::metaObject() const
    {55, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//393 QsciLexerCSS::qt_metacast(const char*)
    {55, 1321, 44, 2, Smoke::mf_static, 37, 3},	//394 QsciLexerCSS::tr(const char*, const char*)
    {55, 1325, 44, 2, Smoke::mf_static, 37, 4},	//395 QsciLexerCSS::trUtf8(const char*, const char*)
    {55, 1321, 47, 3, Smoke::mf_static, 37, 5},	//396 QsciLexerCSS::tr(const char*, const char*, int)
    {55, 1325, 47, 3, Smoke::mf_static, 37, 6},	//397 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {55, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//398 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {55, 377, 74, 1, Smoke::mf_ctor, 58, 8},	//399 QsciLexerCSS::QsciLexerCSS(QObject*)
    {55, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//400 QsciLexerCSS::language() const
    {55, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//401 QsciLexerCSS::lexer() const
    {55, 753, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//402 QsciLexerCSS::blockEnd(int*) const
    {55, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 12},	//403 QsciLexerCSS::blockStart(int*) const
    {55, 1348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 13},	//404 QsciLexerCSS::wordCharacters() const
    {55, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//405 QsciLexerCSS::defaultColor(int) const
    {55, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//406 QsciLexerCSS::defaultFont(int) const
    {55, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 16},	//407 QsciLexerCSS::keywords(int) const
    {55, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//408 QsciLexerCSS::description(int) const
    {55, 1037, 0, 0, Smoke::mf_virtual, 0, 18},	//409 QsciLexerCSS::refreshProperties()
    {55, 866, 0, 0, Smoke::mf_const, 198, 19},	//410 QsciLexerCSS::foldComments() const
    {55, 867, 0, 0, Smoke::mf_const, 198, 20},	//411 QsciLexerCSS::foldCompact() const
    {55, 1154, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//412 QsciLexerCSS::setFoldComments(bool)
    {55, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//413 QsciLexerCSS::setFoldCompact(bool)
    {55, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 23},	//414 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {55, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 24},	//415 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {55, 1321, 12, 1, Smoke::mf_static, 37, 25},	//416 QsciLexerCSS::tr(const char*)
    {55, 1325, 12, 1, Smoke::mf_static, 37, 26},	//417 QsciLexerCSS::trUtf8(const char*)
    {55, 377, 0, 0, Smoke::mf_ctor, 58, 27},	//418 QsciLexerCSS::QsciLexerCSS()
    {55, 753, 0, 0, Smoke::mf_const, 218, 28},	//419 QsciLexerCSS::blockEnd() const
    {55, 756, 0, 0, Smoke::mf_const, 218, 29},	//420 QsciLexerCSS::blockStart() const
    {55, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 30},	//421 QsciLexerCSS::staticMetaObject() const
    {55, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 31},	//422 QsciLexerCSS::Default (enum)
    {55, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 32},	//423 QsciLexerCSS::Tag (enum)
    {55, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 33},	//424 QsciLexerCSS::ClassSelector (enum)
    {55, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 34},	//425 QsciLexerCSS::PseudoClass (enum)
    {55, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 35},	//426 QsciLexerCSS::UnknownPseudoClass (enum)
    {55, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 36},	//427 QsciLexerCSS::Operator (enum)
    {55, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 37},	//428 QsciLexerCSS::CSS1Property (enum)
    {55, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 38},	//429 QsciLexerCSS::UnknownProperty (enum)
    {55, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 39},	//430 QsciLexerCSS::Value (enum)
    {55, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 40},	//431 QsciLexerCSS::Comment (enum)
    {55, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 41},	//432 QsciLexerCSS::IDSelector (enum)
    {55, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 42},	//433 QsciLexerCSS::Important (enum)
    {55, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 43},	//434 QsciLexerCSS::AtRule (enum)
    {55, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 44},	//435 QsciLexerCSS::DoubleQuotedString (enum)
    {55, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 45},	//436 QsciLexerCSS::SingleQuotedString (enum)
    {55, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 46},	//437 QsciLexerCSS::CSS2Property (enum)
    {55, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 47},	//438 QsciLexerCSS::Attribute (enum)
    {55, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 48},	//439 QsciLexerCSS::CSS3Property (enum)
    {55, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 49},	//440 QsciLexerCSS::PseudoElement (enum)
    {55, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 50},	//441 QsciLexerCSS::ExtendedCSSProperty (enum)
    {55, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 51},	//442 QsciLexerCSS::ExtendedPseudoClass (enum)
    {55, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 52},	//443 QsciLexerCSS::ExtendedPseudoElement (enum)
    {55, 1373, 0, 0, Smoke::mf_dtor, 0, 53 },	//444 QsciLexerCSS::~QsciLexerCSS()
    {56, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//445 QsciLexerCSharp::metaObject() const
    {56, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//446 QsciLexerCSharp::qt_metacast(const char*)
    {56, 1321, 44, 2, Smoke::mf_static, 37, 3},	//447 QsciLexerCSharp::tr(const char*, const char*)
    {56, 1325, 44, 2, Smoke::mf_static, 37, 4},	//448 QsciLexerCSharp::trUtf8(const char*, const char*)
    {56, 1321, 47, 3, Smoke::mf_static, 37, 5},	//449 QsciLexerCSharp::tr(const char*, const char*, int)
    {56, 1325, 47, 3, Smoke::mf_static, 37, 6},	//450 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {56, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//451 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {56, 379, 74, 1, Smoke::mf_ctor, 59, 8},	//452 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {56, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//453 QsciLexerCSharp::language() const
    {56, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//454 QsciLexerCSharp::defaultColor(int) const
    {56, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 11},	//455 QsciLexerCSharp::defaultEolFill(int) const
    {56, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//456 QsciLexerCSharp::defaultFont(int) const
    {56, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//457 QsciLexerCSharp::defaultPaper(int) const
    {56, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 14},	//458 QsciLexerCSharp::keywords(int) const
    {56, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 15},	//459 QsciLexerCSharp::description(int) const
    {56, 1321, 12, 1, Smoke::mf_static, 37, 16},	//460 QsciLexerCSharp::tr(const char*)
    {56, 1325, 12, 1, Smoke::mf_static, 37, 17},	//461 QsciLexerCSharp::trUtf8(const char*)
    {56, 379, 0, 0, Smoke::mf_ctor, 59, 18},	//462 QsciLexerCSharp::QsciLexerCSharp()
    {56, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 19},	//463 QsciLexerCSharp::staticMetaObject() const
    {56, 1374, 0, 0, Smoke::mf_dtor, 0, 20 },	//464 QsciLexerCSharp::~QsciLexerCSharp()
    {57, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//465 QsciLexerCustom::metaObject() const
    {57, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//466 QsciLexerCustom::qt_metacast(const char*)
    {57, 1321, 44, 2, Smoke::mf_static, 37, 3},	//467 QsciLexerCustom::tr(const char*, const char*)
    {57, 1325, 44, 2, Smoke::mf_static, 37, 4},	//468 QsciLexerCustom::trUtf8(const char*, const char*)
    {57, 1321, 47, 3, Smoke::mf_static, 37, 5},	//469 QsciLexerCustom::tr(const char*, const char*, int)
    {57, 1325, 47, 3, Smoke::mf_static, 37, 6},	//470 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {57, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//471 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {57, 381, 74, 1, Smoke::mf_ctor, 60, 8},	//472 QsciLexerCustom::QsciLexerCustom(QObject*)
    {57, 1256, 99, 2, 0, 0, 9},	//473 QsciLexerCustom::setStyling(int, int)
    {57, 1256, 102, 2, 0, 0, 10},	//474 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {57, 1298, 99, 2, 0, 0, 11},	//475 QsciLexerCustom::startStyling(int, int)
    {57, 1306, 99, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//476 QsciLexerCustom::styleText(int, int) [pure virtual]
    {57, 1139, 82, 1, Smoke::mf_virtual, 0, 13},	//477 QsciLexerCustom::setEditor(QsciScintilla*)
    {57, 1303, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 14},	//478 QsciLexerCustom::styleBitsNeeded() const
    {57, 1321, 12, 1, Smoke::mf_static, 37, 15},	//479 QsciLexerCustom::tr(const char*)
    {57, 1325, 12, 1, Smoke::mf_static, 37, 16},	//480 QsciLexerCustom::trUtf8(const char*)
    {57, 381, 0, 0, Smoke::mf_ctor, 60, 17},	//481 QsciLexerCustom::QsciLexerCustom()
    {57, 1298, 18, 1, 0, 0, 18},	//482 QsciLexerCustom::startStyling(int)
    {57, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 19},	//483 QsciLexerCustom::staticMetaObject() const
    {57, 1375, 0, 0, Smoke::mf_dtor, 0, 20 },	//484 QsciLexerCustom::~QsciLexerCustom()
    {58, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//485 QsciLexerD::metaObject() const
    {58, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//486 QsciLexerD::qt_metacast(const char*)
    {58, 1321, 44, 2, Smoke::mf_static, 37, 3},	//487 QsciLexerD::tr(const char*, const char*)
    {58, 1325, 44, 2, Smoke::mf_static, 37, 4},	//488 QsciLexerD::trUtf8(const char*, const char*)
    {58, 1321, 47, 3, Smoke::mf_static, 37, 5},	//489 QsciLexerD::tr(const char*, const char*, int)
    {58, 1325, 47, 3, Smoke::mf_static, 37, 6},	//490 QsciLexerD::trUtf8(const char*, const char*, int)
    {58, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//491 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {58, 383, 74, 1, Smoke::mf_ctor, 61, 8},	//492 QsciLexerD::QsciLexerD(QObject*)
    {58, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//493 QsciLexerD::language() const
    {58, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//494 QsciLexerD::lexer() const
    {58, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//495 QsciLexerD::autoCompletionWordSeparators() const
    {58, 753, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 12},	//496 QsciLexerD::blockEnd(int*) const
    {58, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 13},	//497 QsciLexerD::blockStart(int*) const
    {58, 758, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 14},	//498 QsciLexerD::blockStartKeyword(int*) const
    {58, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 15},	//499 QsciLexerD::braceStyle() const
    {58, 1348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 16},	//500 QsciLexerD::wordCharacters() const
    {58, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//501 QsciLexerD::defaultColor(int) const
    {58, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 18},	//502 QsciLexerD::defaultEolFill(int) const
    {58, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 19},	//503 QsciLexerD::defaultFont(int) const
    {58, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 20},	//504 QsciLexerD::defaultPaper(int) const
    {58, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 21},	//505 QsciLexerD::keywords(int) const
    {58, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 22},	//506 QsciLexerD::description(int) const
    {58, 1037, 0, 0, Smoke::mf_virtual, 0, 23},	//507 QsciLexerD::refreshProperties()
    {58, 864, 0, 0, Smoke::mf_const, 198, 24},	//508 QsciLexerD::foldAtElse() const
    {58, 866, 0, 0, Smoke::mf_const, 198, 25},	//509 QsciLexerD::foldComments() const
    {58, 867, 0, 0, Smoke::mf_const, 198, 26},	//510 QsciLexerD::foldCompact() const
    {58, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//511 QsciLexerD::setFoldAtElse(bool)
    {58, 1154, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//512 QsciLexerD::setFoldComments(bool)
    {58, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//513 QsciLexerD::setFoldCompact(bool)
    {58, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 30},	//514 QsciLexerD::readProperties(QSettings&, const QString&)
    {58, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 31},	//515 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {58, 1321, 12, 1, Smoke::mf_static, 37, 32},	//516 QsciLexerD::tr(const char*)
    {58, 1325, 12, 1, Smoke::mf_static, 37, 33},	//517 QsciLexerD::trUtf8(const char*)
    {58, 383, 0, 0, Smoke::mf_ctor, 61, 34},	//518 QsciLexerD::QsciLexerD()
    {58, 753, 0, 0, Smoke::mf_const, 218, 35},	//519 QsciLexerD::blockEnd() const
    {58, 756, 0, 0, Smoke::mf_const, 218, 36},	//520 QsciLexerD::blockStart() const
    {58, 758, 0, 0, Smoke::mf_const, 218, 37},	//521 QsciLexerD::blockStartKeyword() const
    {58, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 38},	//522 QsciLexerD::staticMetaObject() const
    {58, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 39},	//523 QsciLexerD::Default (enum)
    {58, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 40},	//524 QsciLexerD::Comment (enum)
    {58, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 41},	//525 QsciLexerD::CommentLine (enum)
    {58, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 42},	//526 QsciLexerD::CommentDoc (enum)
    {58, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 43},	//527 QsciLexerD::CommentNested (enum)
    {58, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 44},	//528 QsciLexerD::Number (enum)
    {58, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 45},	//529 QsciLexerD::Keyword (enum)
    {58, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 46},	//530 QsciLexerD::KeywordSecondary (enum)
    {58, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 47},	//531 QsciLexerD::KeywordDoc (enum)
    {58, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 48},	//532 QsciLexerD::Typedefs (enum)
    {58, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 49},	//533 QsciLexerD::String (enum)
    {58, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 50},	//534 QsciLexerD::UnclosedString (enum)
    {58, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 51},	//535 QsciLexerD::Character (enum)
    {58, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 52},	//536 QsciLexerD::Operator (enum)
    {58, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 53},	//537 QsciLexerD::Identifier (enum)
    {58, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 54},	//538 QsciLexerD::CommentLineDoc (enum)
    {58, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 55},	//539 QsciLexerD::CommentDocKeyword (enum)
    {58, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 56},	//540 QsciLexerD::CommentDocKeywordError (enum)
    {58, 1376, 0, 0, Smoke::mf_dtor, 0, 57 },	//541 QsciLexerD::~QsciLexerD()
    {59, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//542 QsciLexerDiff::metaObject() const
    {59, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//543 QsciLexerDiff::qt_metacast(const char*)
    {59, 1321, 44, 2, Smoke::mf_static, 37, 3},	//544 QsciLexerDiff::tr(const char*, const char*)
    {59, 1325, 44, 2, Smoke::mf_static, 37, 4},	//545 QsciLexerDiff::trUtf8(const char*, const char*)
    {59, 1321, 47, 3, Smoke::mf_static, 37, 5},	//546 QsciLexerDiff::tr(const char*, const char*, int)
    {59, 1325, 47, 3, Smoke::mf_static, 37, 6},	//547 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {59, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//548 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {59, 385, 74, 1, Smoke::mf_ctor, 62, 8},	//549 QsciLexerDiff::QsciLexerDiff(QObject*)
    {59, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//550 QsciLexerDiff::language() const
    {59, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//551 QsciLexerDiff::lexer() const
    {59, 1348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//552 QsciLexerDiff::wordCharacters() const
    {59, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//553 QsciLexerDiff::defaultColor(int) const
    {59, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 13},	//554 QsciLexerDiff::description(int) const
    {59, 1321, 12, 1, Smoke::mf_static, 37, 14},	//555 QsciLexerDiff::tr(const char*)
    {59, 1325, 12, 1, Smoke::mf_static, 37, 15},	//556 QsciLexerDiff::trUtf8(const char*)
    {59, 385, 0, 0, Smoke::mf_ctor, 62, 16},	//557 QsciLexerDiff::QsciLexerDiff()
    {59, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 17},	//558 QsciLexerDiff::staticMetaObject() const
    {59, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 18},	//559 QsciLexerDiff::Default (enum)
    {59, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 19},	//560 QsciLexerDiff::Comment (enum)
    {59, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 20},	//561 QsciLexerDiff::Command (enum)
    {59, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 21},	//562 QsciLexerDiff::Header (enum)
    {59, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 22},	//563 QsciLexerDiff::Position (enum)
    {59, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 23},	//564 QsciLexerDiff::LineRemoved (enum)
    {59, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 24},	//565 QsciLexerDiff::LineAdded (enum)
    {59, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 25},	//566 QsciLexerDiff::LineChanged (enum)
    {59, 1377, 0, 0, Smoke::mf_dtor, 0, 26 },	//567 QsciLexerDiff::~QsciLexerDiff()
    {60, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//568 QsciLexerFortran::metaObject() const
    {60, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//569 QsciLexerFortran::qt_metacast(const char*)
    {60, 1321, 44, 2, Smoke::mf_static, 37, 3},	//570 QsciLexerFortran::tr(const char*, const char*)
    {60, 1325, 44, 2, Smoke::mf_static, 37, 4},	//571 QsciLexerFortran::trUtf8(const char*, const char*)
    {60, 1321, 47, 3, Smoke::mf_static, 37, 5},	//572 QsciLexerFortran::tr(const char*, const char*, int)
    {60, 1325, 47, 3, Smoke::mf_static, 37, 6},	//573 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {60, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//574 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {60, 387, 74, 1, Smoke::mf_ctor, 63, 8},	//575 QsciLexerFortran::QsciLexerFortran(QObject*)
    {60, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//576 QsciLexerFortran::language() const
    {60, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//577 QsciLexerFortran::lexer() const
    {60, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//578 QsciLexerFortran::keywords(int) const
    {60, 1321, 12, 1, Smoke::mf_static, 37, 12},	//579 QsciLexerFortran::tr(const char*)
    {60, 1325, 12, 1, Smoke::mf_static, 37, 13},	//580 QsciLexerFortran::trUtf8(const char*)
    {60, 387, 0, 0, Smoke::mf_ctor, 63, 14},	//581 QsciLexerFortran::QsciLexerFortran()
    {60, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 15},	//582 QsciLexerFortran::staticMetaObject() const
    {60, 1378, 0, 0, Smoke::mf_dtor, 0, 16 },	//583 QsciLexerFortran::~QsciLexerFortran()
    {61, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//584 QsciLexerFortran77::metaObject() const
    {61, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//585 QsciLexerFortran77::qt_metacast(const char*)
    {61, 1321, 44, 2, Smoke::mf_static, 37, 3},	//586 QsciLexerFortran77::tr(const char*, const char*)
    {61, 1325, 44, 2, Smoke::mf_static, 37, 4},	//587 QsciLexerFortran77::trUtf8(const char*, const char*)
    {61, 1321, 47, 3, Smoke::mf_static, 37, 5},	//588 QsciLexerFortran77::tr(const char*, const char*, int)
    {61, 1325, 47, 3, Smoke::mf_static, 37, 6},	//589 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {61, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//590 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {61, 389, 74, 1, Smoke::mf_ctor, 64, 8},	//591 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {61, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//592 QsciLexerFortran77::language() const
    {61, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//593 QsciLexerFortran77::lexer() const
    {61, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 11},	//594 QsciLexerFortran77::braceStyle() const
    {61, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//595 QsciLexerFortran77::defaultColor(int) const
    {61, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 13},	//596 QsciLexerFortran77::defaultEolFill(int) const
    {61, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//597 QsciLexerFortran77::defaultFont(int) const
    {61, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//598 QsciLexerFortran77::defaultPaper(int) const
    {61, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 16},	//599 QsciLexerFortran77::keywords(int) const
    {61, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//600 QsciLexerFortran77::description(int) const
    {61, 1037, 0, 0, Smoke::mf_virtual, 0, 18},	//601 QsciLexerFortran77::refreshProperties()
    {61, 867, 0, 0, Smoke::mf_const, 198, 19},	//602 QsciLexerFortran77::foldCompact() const
    {61, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//603 QsciLexerFortran77::setFoldCompact(bool)
    {61, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 21},	//604 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {61, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 22},	//605 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {61, 1321, 12, 1, Smoke::mf_static, 37, 23},	//606 QsciLexerFortran77::tr(const char*)
    {61, 1325, 12, 1, Smoke::mf_static, 37, 24},	//607 QsciLexerFortran77::trUtf8(const char*)
    {61, 389, 0, 0, Smoke::mf_ctor, 64, 25},	//608 QsciLexerFortran77::QsciLexerFortran77()
    {61, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 26},	//609 QsciLexerFortran77::staticMetaObject() const
    {61, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 27},	//610 QsciLexerFortran77::Default (enum)
    {61, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 28},	//611 QsciLexerFortran77::Comment (enum)
    {61, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 29},	//612 QsciLexerFortran77::Number (enum)
    {61, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 30},	//613 QsciLexerFortran77::SingleQuotedString (enum)
    {61, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 31},	//614 QsciLexerFortran77::DoubleQuotedString (enum)
    {61, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 32},	//615 QsciLexerFortran77::UnclosedString (enum)
    {61, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 33},	//616 QsciLexerFortran77::Operator (enum)
    {61, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 34},	//617 QsciLexerFortran77::Identifier (enum)
    {61, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 35},	//618 QsciLexerFortran77::Keyword (enum)
    {61, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 36},	//619 QsciLexerFortran77::IntrinsicFunction (enum)
    {61, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 37},	//620 QsciLexerFortran77::ExtendedFunction (enum)
    {61, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 38},	//621 QsciLexerFortran77::PreProcessor (enum)
    {61, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 39},	//622 QsciLexerFortran77::DottedOperator (enum)
    {61, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 40},	//623 QsciLexerFortran77::Label (enum)
    {61, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 41},	//624 QsciLexerFortran77::Continuation (enum)
    {61, 1379, 0, 0, Smoke::mf_dtor, 0, 42 },	//625 QsciLexerFortran77::~QsciLexerFortran77()
    {62, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//626 QsciLexerHTML::metaObject() const
    {62, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//627 QsciLexerHTML::qt_metacast(const char*)
    {62, 1321, 44, 2, Smoke::mf_static, 37, 3},	//628 QsciLexerHTML::tr(const char*, const char*)
    {62, 1325, 44, 2, Smoke::mf_static, 37, 4},	//629 QsciLexerHTML::trUtf8(const char*, const char*)
    {62, 1321, 47, 3, Smoke::mf_static, 37, 5},	//630 QsciLexerHTML::tr(const char*, const char*, int)
    {62, 1325, 47, 3, Smoke::mf_static, 37, 6},	//631 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {62, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//632 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {62, 391, 74, 1, Smoke::mf_ctor, 65, 8},	//633 QsciLexerHTML::QsciLexerHTML(QObject*)
    {62, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//634 QsciLexerHTML::language() const
    {62, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//635 QsciLexerHTML::lexer() const
    {62, 1348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//636 QsciLexerHTML::wordCharacters() const
    {62, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//637 QsciLexerHTML::defaultColor(int) const
    {62, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 13},	//638 QsciLexerHTML::defaultEolFill(int) const
    {62, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//639 QsciLexerHTML::defaultFont(int) const
    {62, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//640 QsciLexerHTML::defaultPaper(int) const
    {62, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 16},	//641 QsciLexerHTML::keywords(int) const
    {62, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//642 QsciLexerHTML::description(int) const
    {62, 1037, 0, 0, Smoke::mf_virtual, 0, 18},	//643 QsciLexerHTML::refreshProperties()
    {62, 867, 0, 0, Smoke::mf_const, 198, 19},	//644 QsciLexerHTML::foldCompact() const
    {62, 873, 0, 0, Smoke::mf_const, 198, 20},	//645 QsciLexerHTML::foldPreprocessor() const
    {62, 772, 0, 0, Smoke::mf_const, 198, 21},	//646 QsciLexerHTML::caseSensitiveTags() const
    {62, 1170, 16, 1, 0, 0, 22},	//647 QsciLexerHTML::setFoldScriptComments(bool)
    {62, 875, 0, 0, Smoke::mf_const, 198, 23},	//648 QsciLexerHTML::foldScriptComments() const
    {62, 1172, 16, 1, 0, 0, 24},	//649 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {62, 876, 0, 0, Smoke::mf_const, 198, 25},	//650 QsciLexerHTML::foldScriptHeredocs() const
    {62, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//651 QsciLexerHTML::setFoldCompact(bool)
    {62, 1166, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//652 QsciLexerHTML::setFoldPreprocessor(bool)
    {62, 1112, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//653 QsciLexerHTML::setCaseSensitiveTags(bool)
    {62, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 29},	//654 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {62, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 30},	//655 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {62, 1321, 12, 1, Smoke::mf_static, 37, 31},	//656 QsciLexerHTML::tr(const char*)
    {62, 1325, 12, 1, Smoke::mf_static, 37, 32},	//657 QsciLexerHTML::trUtf8(const char*)
    {62, 391, 0, 0, Smoke::mf_ctor, 65, 33},	//658 QsciLexerHTML::QsciLexerHTML()
    {62, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 34},	//659 QsciLexerHTML::staticMetaObject() const
    {62, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 35},	//660 QsciLexerHTML::Default (enum)
    {62, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 36},	//661 QsciLexerHTML::Tag (enum)
    {62, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 37},	//662 QsciLexerHTML::UnknownTag (enum)
    {62, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 38},	//663 QsciLexerHTML::Attribute (enum)
    {62, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 39},	//664 QsciLexerHTML::UnknownAttribute (enum)
    {62, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 40},	//665 QsciLexerHTML::HTMLNumber (enum)
    {62, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 41},	//666 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {62, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 42},	//667 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {62, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 43},	//668 QsciLexerHTML::OtherInTag (enum)
    {62, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 44},	//669 QsciLexerHTML::HTMLComment (enum)
    {62, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 45},	//670 QsciLexerHTML::Entity (enum)
    {62, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 46},	//671 QsciLexerHTML::XMLTagEnd (enum)
    {62, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 47},	//672 QsciLexerHTML::XMLStart (enum)
    {62, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 48},	//673 QsciLexerHTML::XMLEnd (enum)
    {62, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 49},	//674 QsciLexerHTML::Script (enum)
    {62, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 50},	//675 QsciLexerHTML::ASPAtStart (enum)
    {62, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 51},	//676 QsciLexerHTML::ASPStart (enum)
    {62, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 52},	//677 QsciLexerHTML::CDATA (enum)
    {62, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 53},	//678 QsciLexerHTML::PHPStart (enum)
    {62, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 54},	//679 QsciLexerHTML::HTMLValue (enum)
    {62, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 55},	//680 QsciLexerHTML::ASPXCComment (enum)
    {62, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 56},	//681 QsciLexerHTML::SGMLDefault (enum)
    {62, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 57},	//682 QsciLexerHTML::SGMLCommand (enum)
    {62, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 58},	//683 QsciLexerHTML::SGMLParameter (enum)
    {62, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 59},	//684 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {62, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 60},	//685 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {62, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 61},	//686 QsciLexerHTML::SGMLError (enum)
    {62, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 62},	//687 QsciLexerHTML::SGMLSpecial (enum)
    {62, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 63},	//688 QsciLexerHTML::SGMLEntity (enum)
    {62, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 64},	//689 QsciLexerHTML::SGMLComment (enum)
    {62, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 65},	//690 QsciLexerHTML::SGMLParameterComment (enum)
    {62, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 66},	//691 QsciLexerHTML::SGMLBlockDefault (enum)
    {62, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 67},	//692 QsciLexerHTML::JavaScriptStart (enum)
    {62, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 68},	//693 QsciLexerHTML::JavaScriptDefault (enum)
    {62, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 69},	//694 QsciLexerHTML::JavaScriptComment (enum)
    {62, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 70},	//695 QsciLexerHTML::JavaScriptCommentLine (enum)
    {62, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 71},	//696 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {62, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 72},	//697 QsciLexerHTML::JavaScriptNumber (enum)
    {62, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 73},	//698 QsciLexerHTML::JavaScriptWord (enum)
    {62, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 74},	//699 QsciLexerHTML::JavaScriptKeyword (enum)
    {62, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 75},	//700 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {62, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 76},	//701 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {62, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 77},	//702 QsciLexerHTML::JavaScriptSymbol (enum)
    {62, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 78},	//703 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {62, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 79},	//704 QsciLexerHTML::JavaScriptRegex (enum)
    {62, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 80},	//705 QsciLexerHTML::ASPJavaScriptStart (enum)
    {62, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 81},	//706 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {62, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 82},	//707 QsciLexerHTML::ASPJavaScriptComment (enum)
    {62, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 83},	//708 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {62, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 84},	//709 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {62, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 85},	//710 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {62, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 86},	//711 QsciLexerHTML::ASPJavaScriptWord (enum)
    {62, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 87},	//712 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {62, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 88},	//713 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {62, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 89},	//714 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {62, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 90},	//715 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {62, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 91},	//716 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {62, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 92},	//717 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {62, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 93},	//718 QsciLexerHTML::VBScriptStart (enum)
    {62, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 94},	//719 QsciLexerHTML::VBScriptDefault (enum)
    {62, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 95},	//720 QsciLexerHTML::VBScriptComment (enum)
    {62, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 96},	//721 QsciLexerHTML::VBScriptNumber (enum)
    {62, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 97},	//722 QsciLexerHTML::VBScriptKeyword (enum)
    {62, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 98},	//723 QsciLexerHTML::VBScriptString (enum)
    {62, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 99},	//724 QsciLexerHTML::VBScriptIdentifier (enum)
    {62, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 100},	//725 QsciLexerHTML::VBScriptUnclosedString (enum)
    {62, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 101},	//726 QsciLexerHTML::ASPVBScriptStart (enum)
    {62, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 102},	//727 QsciLexerHTML::ASPVBScriptDefault (enum)
    {62, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 103},	//728 QsciLexerHTML::ASPVBScriptComment (enum)
    {62, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 104},	//729 QsciLexerHTML::ASPVBScriptNumber (enum)
    {62, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 105},	//730 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {62, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 106},	//731 QsciLexerHTML::ASPVBScriptString (enum)
    {62, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 107},	//732 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {62, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 108},	//733 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {62, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 109},	//734 QsciLexerHTML::PythonStart (enum)
    {62, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 110},	//735 QsciLexerHTML::PythonDefault (enum)
    {62, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 111},	//736 QsciLexerHTML::PythonComment (enum)
    {62, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 112},	//737 QsciLexerHTML::PythonNumber (enum)
    {62, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 113},	//738 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {62, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 114},	//739 QsciLexerHTML::PythonSingleQuotedString (enum)
    {62, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 115},	//740 QsciLexerHTML::PythonKeyword (enum)
    {62, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 116},	//741 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {62, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 117},	//742 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {62, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 118},	//743 QsciLexerHTML::PythonClassName (enum)
    {62, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 119},	//744 QsciLexerHTML::PythonFunctionMethodName (enum)
    {62, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 120},	//745 QsciLexerHTML::PythonOperator (enum)
    {62, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 121},	//746 QsciLexerHTML::PythonIdentifier (enum)
    {62, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 122},	//747 QsciLexerHTML::ASPPythonStart (enum)
    {62, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 123},	//748 QsciLexerHTML::ASPPythonDefault (enum)
    {62, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 124},	//749 QsciLexerHTML::ASPPythonComment (enum)
    {62, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 125},	//750 QsciLexerHTML::ASPPythonNumber (enum)
    {62, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 126},	//751 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {62, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 127},	//752 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {62, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 128},	//753 QsciLexerHTML::ASPPythonKeyword (enum)
    {62, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 129},	//754 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {62, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 130},	//755 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {62, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 131},	//756 QsciLexerHTML::ASPPythonClassName (enum)
    {62, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 132},	//757 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {62, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 133},	//758 QsciLexerHTML::ASPPythonOperator (enum)
    {62, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 134},	//759 QsciLexerHTML::ASPPythonIdentifier (enum)
    {62, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 135},	//760 QsciLexerHTML::PHPDefault (enum)
    {62, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 136},	//761 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {62, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 137},	//762 QsciLexerHTML::PHPSingleQuotedString (enum)
    {62, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 138},	//763 QsciLexerHTML::PHPKeyword (enum)
    {62, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 139},	//764 QsciLexerHTML::PHPNumber (enum)
    {62, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 140},	//765 QsciLexerHTML::PHPVariable (enum)
    {62, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 141},	//766 QsciLexerHTML::PHPComment (enum)
    {62, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 142},	//767 QsciLexerHTML::PHPCommentLine (enum)
    {62, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 143},	//768 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {62, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 144},	//769 QsciLexerHTML::PHPOperator (enum)
    {62, 1380, 0, 0, Smoke::mf_dtor, 0, 145 },	//770 QsciLexerHTML::~QsciLexerHTML()
    {63, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//771 QsciLexerIDL::metaObject() const
    {63, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//772 QsciLexerIDL::qt_metacast(const char*)
    {63, 1321, 44, 2, Smoke::mf_static, 37, 3},	//773 QsciLexerIDL::tr(const char*, const char*)
    {63, 1325, 44, 2, Smoke::mf_static, 37, 4},	//774 QsciLexerIDL::trUtf8(const char*, const char*)
    {63, 1321, 47, 3, Smoke::mf_static, 37, 5},	//775 QsciLexerIDL::tr(const char*, const char*, int)
    {63, 1325, 47, 3, Smoke::mf_static, 37, 6},	//776 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {63, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//777 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {63, 393, 74, 1, Smoke::mf_ctor, 66, 8},	//778 QsciLexerIDL::QsciLexerIDL(QObject*)
    {63, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//779 QsciLexerIDL::language() const
    {63, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//780 QsciLexerIDL::defaultColor(int) const
    {63, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//781 QsciLexerIDL::keywords(int) const
    {63, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 12},	//782 QsciLexerIDL::description(int) const
    {63, 1321, 12, 1, Smoke::mf_static, 37, 13},	//783 QsciLexerIDL::tr(const char*)
    {63, 1325, 12, 1, Smoke::mf_static, 37, 14},	//784 QsciLexerIDL::trUtf8(const char*)
    {63, 393, 0, 0, Smoke::mf_ctor, 66, 15},	//785 QsciLexerIDL::QsciLexerIDL()
    {63, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 16},	//786 QsciLexerIDL::staticMetaObject() const
    {63, 1381, 0, 0, Smoke::mf_dtor, 0, 17 },	//787 QsciLexerIDL::~QsciLexerIDL()
    {64, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//788 QsciLexerJava::metaObject() const
    {64, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//789 QsciLexerJava::qt_metacast(const char*)
    {64, 1321, 44, 2, Smoke::mf_static, 37, 3},	//790 QsciLexerJava::tr(const char*, const char*)
    {64, 1325, 44, 2, Smoke::mf_static, 37, 4},	//791 QsciLexerJava::trUtf8(const char*, const char*)
    {64, 1321, 47, 3, Smoke::mf_static, 37, 5},	//792 QsciLexerJava::tr(const char*, const char*, int)
    {64, 1325, 47, 3, Smoke::mf_static, 37, 6},	//793 QsciLexerJava::trUtf8(const char*, const char*, int)
    {64, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//794 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {64, 395, 74, 1, Smoke::mf_ctor, 67, 8},	//795 QsciLexerJava::QsciLexerJava(QObject*)
    {64, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//796 QsciLexerJava::language() const
    {64, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//797 QsciLexerJava::keywords(int) const
    {64, 1321, 12, 1, Smoke::mf_static, 37, 11},	//798 QsciLexerJava::tr(const char*)
    {64, 1325, 12, 1, Smoke::mf_static, 37, 12},	//799 QsciLexerJava::trUtf8(const char*)
    {64, 395, 0, 0, Smoke::mf_ctor, 67, 13},	//800 QsciLexerJava::QsciLexerJava()
    {64, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 14},	//801 QsciLexerJava::staticMetaObject() const
    {64, 1382, 0, 0, Smoke::mf_dtor, 0, 15 },	//802 QsciLexerJava::~QsciLexerJava()
    {65, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//803 QsciLexerJavaScript::metaObject() const
    {65, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//804 QsciLexerJavaScript::qt_metacast(const char*)
    {65, 1321, 44, 2, Smoke::mf_static, 37, 3},	//805 QsciLexerJavaScript::tr(const char*, const char*)
    {65, 1325, 44, 2, Smoke::mf_static, 37, 4},	//806 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {65, 1321, 47, 3, Smoke::mf_static, 37, 5},	//807 QsciLexerJavaScript::tr(const char*, const char*, int)
    {65, 1325, 47, 3, Smoke::mf_static, 37, 6},	//808 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {65, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//809 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {65, 397, 74, 1, Smoke::mf_ctor, 68, 8},	//810 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {65, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//811 QsciLexerJavaScript::language() const
    {65, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//812 QsciLexerJavaScript::defaultColor(int) const
    {65, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 11},	//813 QsciLexerJavaScript::defaultEolFill(int) const
    {65, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//814 QsciLexerJavaScript::defaultFont(int) const
    {65, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//815 QsciLexerJavaScript::defaultPaper(int) const
    {65, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 14},	//816 QsciLexerJavaScript::keywords(int) const
    {65, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 15},	//817 QsciLexerJavaScript::description(int) const
    {65, 1321, 12, 1, Smoke::mf_static, 37, 16},	//818 QsciLexerJavaScript::tr(const char*)
    {65, 1325, 12, 1, Smoke::mf_static, 37, 17},	//819 QsciLexerJavaScript::trUtf8(const char*)
    {65, 397, 0, 0, Smoke::mf_ctor, 68, 18},	//820 QsciLexerJavaScript::QsciLexerJavaScript()
    {65, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 19},	//821 QsciLexerJavaScript::staticMetaObject() const
    {65, 1383, 0, 0, Smoke::mf_dtor, 0, 20 },	//822 QsciLexerJavaScript::~QsciLexerJavaScript()
    {66, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//823 QsciLexerLua::metaObject() const
    {66, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//824 QsciLexerLua::qt_metacast(const char*)
    {66, 1321, 44, 2, Smoke::mf_static, 37, 3},	//825 QsciLexerLua::tr(const char*, const char*)
    {66, 1325, 44, 2, Smoke::mf_static, 37, 4},	//826 QsciLexerLua::trUtf8(const char*, const char*)
    {66, 1321, 47, 3, Smoke::mf_static, 37, 5},	//827 QsciLexerLua::tr(const char*, const char*, int)
    {66, 1325, 47, 3, Smoke::mf_static, 37, 6},	//828 QsciLexerLua::trUtf8(const char*, const char*, int)
    {66, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//829 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {66, 399, 74, 1, Smoke::mf_ctor, 69, 8},	//830 QsciLexerLua::QsciLexerLua(QObject*)
    {66, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//831 QsciLexerLua::language() const
    {66, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//832 QsciLexerLua::lexer() const
    {66, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//833 QsciLexerLua::autoCompletionWordSeparators() const
    {66, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 12},	//834 QsciLexerLua::blockStart(int*) const
    {66, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 13},	//835 QsciLexerLua::braceStyle() const
    {66, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//836 QsciLexerLua::defaultColor(int) const
    {66, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 15},	//837 QsciLexerLua::defaultEolFill(int) const
    {66, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 16},	//838 QsciLexerLua::defaultFont(int) const
    {66, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//839 QsciLexerLua::defaultPaper(int) const
    {66, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 18},	//840 QsciLexerLua::keywords(int) const
    {66, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 19},	//841 QsciLexerLua::description(int) const
    {66, 1037, 0, 0, Smoke::mf_virtual, 0, 20},	//842 QsciLexerLua::refreshProperties()
    {66, 867, 0, 0, Smoke::mf_const, 198, 21},	//843 QsciLexerLua::foldCompact() const
    {66, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//844 QsciLexerLua::setFoldCompact(bool)
    {66, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 23},	//845 QsciLexerLua::readProperties(QSettings&, const QString&)
    {66, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 24},	//846 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {66, 1321, 12, 1, Smoke::mf_static, 37, 25},	//847 QsciLexerLua::tr(const char*)
    {66, 1325, 12, 1, Smoke::mf_static, 37, 26},	//848 QsciLexerLua::trUtf8(const char*)
    {66, 399, 0, 0, Smoke::mf_ctor, 69, 27},	//849 QsciLexerLua::QsciLexerLua()
    {66, 756, 0, 0, Smoke::mf_const, 218, 28},	//850 QsciLexerLua::blockStart() const
    {66, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 29},	//851 QsciLexerLua::staticMetaObject() const
    {66, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 30},	//852 QsciLexerLua::Default (enum)
    {66, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 31},	//853 QsciLexerLua::Comment (enum)
    {66, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 32},	//854 QsciLexerLua::LineComment (enum)
    {66, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 33},	//855 QsciLexerLua::Number (enum)
    {66, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 34},	//856 QsciLexerLua::Keyword (enum)
    {66, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 35},	//857 QsciLexerLua::String (enum)
    {66, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 36},	//858 QsciLexerLua::Character (enum)
    {66, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 37},	//859 QsciLexerLua::LiteralString (enum)
    {66, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 38},	//860 QsciLexerLua::Preprocessor (enum)
    {66, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 39},	//861 QsciLexerLua::Operator (enum)
    {66, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 40},	//862 QsciLexerLua::Identifier (enum)
    {66, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 41},	//863 QsciLexerLua::UnclosedString (enum)
    {66, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 42},	//864 QsciLexerLua::BasicFunctions (enum)
    {66, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 43},	//865 QsciLexerLua::StringTableMathsFunctions (enum)
    {66, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 44},	//866 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {66, 1384, 0, 0, Smoke::mf_dtor, 0, 45 },	//867 QsciLexerLua::~QsciLexerLua()
    {67, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//868 QsciLexerMakefile::metaObject() const
    {67, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//869 QsciLexerMakefile::qt_metacast(const char*)
    {67, 1321, 44, 2, Smoke::mf_static, 37, 3},	//870 QsciLexerMakefile::tr(const char*, const char*)
    {67, 1325, 44, 2, Smoke::mf_static, 37, 4},	//871 QsciLexerMakefile::trUtf8(const char*, const char*)
    {67, 1321, 47, 3, Smoke::mf_static, 37, 5},	//872 QsciLexerMakefile::tr(const char*, const char*, int)
    {67, 1325, 47, 3, Smoke::mf_static, 37, 6},	//873 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {67, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//874 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {67, 401, 74, 1, Smoke::mf_ctor, 70, 8},	//875 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {67, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//876 QsciLexerMakefile::language() const
    {67, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//877 QsciLexerMakefile::lexer() const
    {67, 1348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//878 QsciLexerMakefile::wordCharacters() const
    {67, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//879 QsciLexerMakefile::defaultColor(int) const
    {67, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 13},	//880 QsciLexerMakefile::defaultEolFill(int) const
    {67, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//881 QsciLexerMakefile::defaultFont(int) const
    {67, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//882 QsciLexerMakefile::defaultPaper(int) const
    {67, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//883 QsciLexerMakefile::description(int) const
    {67, 1321, 12, 1, Smoke::mf_static, 37, 17},	//884 QsciLexerMakefile::tr(const char*)
    {67, 1325, 12, 1, Smoke::mf_static, 37, 18},	//885 QsciLexerMakefile::trUtf8(const char*)
    {67, 401, 0, 0, Smoke::mf_ctor, 70, 19},	//886 QsciLexerMakefile::QsciLexerMakefile()
    {67, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 20},	//887 QsciLexerMakefile::staticMetaObject() const
    {67, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 21},	//888 QsciLexerMakefile::Default (enum)
    {67, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 22},	//889 QsciLexerMakefile::Comment (enum)
    {67, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 23},	//890 QsciLexerMakefile::Preprocessor (enum)
    {67, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 24},	//891 QsciLexerMakefile::Variable (enum)
    {67, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 25},	//892 QsciLexerMakefile::Operator (enum)
    {67, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 26},	//893 QsciLexerMakefile::Target (enum)
    {67, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 27},	//894 QsciLexerMakefile::Error (enum)
    {67, 1385, 0, 0, Smoke::mf_dtor, 0, 28 },	//895 QsciLexerMakefile::~QsciLexerMakefile()
    {68, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//896 QsciLexerPOV::metaObject() const
    {68, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//897 QsciLexerPOV::qt_metacast(const char*)
    {68, 1321, 44, 2, Smoke::mf_static, 37, 3},	//898 QsciLexerPOV::tr(const char*, const char*)
    {68, 1325, 44, 2, Smoke::mf_static, 37, 4},	//899 QsciLexerPOV::trUtf8(const char*, const char*)
    {68, 1321, 47, 3, Smoke::mf_static, 37, 5},	//900 QsciLexerPOV::tr(const char*, const char*, int)
    {68, 1325, 47, 3, Smoke::mf_static, 37, 6},	//901 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {68, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//902 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {68, 403, 74, 1, Smoke::mf_ctor, 71, 8},	//903 QsciLexerPOV::QsciLexerPOV(QObject*)
    {68, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//904 QsciLexerPOV::language() const
    {68, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//905 QsciLexerPOV::lexer() const
    {68, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 11},	//906 QsciLexerPOV::braceStyle() const
    {68, 1348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 12},	//907 QsciLexerPOV::wordCharacters() const
    {68, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//908 QsciLexerPOV::defaultColor(int) const
    {68, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 14},	//909 QsciLexerPOV::defaultEolFill(int) const
    {68, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//910 QsciLexerPOV::defaultFont(int) const
    {68, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//911 QsciLexerPOV::defaultPaper(int) const
    {68, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 17},	//912 QsciLexerPOV::keywords(int) const
    {68, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 18},	//913 QsciLexerPOV::description(int) const
    {68, 1037, 0, 0, Smoke::mf_virtual, 0, 19},	//914 QsciLexerPOV::refreshProperties()
    {68, 866, 0, 0, Smoke::mf_const, 198, 20},	//915 QsciLexerPOV::foldComments() const
    {68, 867, 0, 0, Smoke::mf_const, 198, 21},	//916 QsciLexerPOV::foldCompact() const
    {68, 868, 0, 0, Smoke::mf_const, 198, 22},	//917 QsciLexerPOV::foldDirectives() const
    {68, 1154, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//918 QsciLexerPOV::setFoldComments(bool)
    {68, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//919 QsciLexerPOV::setFoldCompact(bool)
    {68, 1158, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//920 QsciLexerPOV::setFoldDirectives(bool)
    {68, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 26},	//921 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {68, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 27},	//922 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {68, 1321, 12, 1, Smoke::mf_static, 37, 28},	//923 QsciLexerPOV::tr(const char*)
    {68, 1325, 12, 1, Smoke::mf_static, 37, 29},	//924 QsciLexerPOV::trUtf8(const char*)
    {68, 403, 0, 0, Smoke::mf_ctor, 71, 30},	//925 QsciLexerPOV::QsciLexerPOV()
    {68, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 31},	//926 QsciLexerPOV::staticMetaObject() const
    {68, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 32},	//927 QsciLexerPOV::Default (enum)
    {68, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 33},	//928 QsciLexerPOV::Comment (enum)
    {68, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 34},	//929 QsciLexerPOV::CommentLine (enum)
    {68, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 35},	//930 QsciLexerPOV::Number (enum)
    {68, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 36},	//931 QsciLexerPOV::Operator (enum)
    {68, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 37},	//932 QsciLexerPOV::Identifier (enum)
    {68, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 38},	//933 QsciLexerPOV::String (enum)
    {68, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 39},	//934 QsciLexerPOV::UnclosedString (enum)
    {68, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 40},	//935 QsciLexerPOV::Directive (enum)
    {68, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 41},	//936 QsciLexerPOV::BadDirective (enum)
    {68, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 42},	//937 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {68, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 43},	//938 QsciLexerPOV::TypesModifiersItems (enum)
    {68, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 44},	//939 QsciLexerPOV::PredefinedIdentifiers (enum)
    {68, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 45},	//940 QsciLexerPOV::PredefinedFunctions (enum)
    {68, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 46},	//941 QsciLexerPOV::KeywordSet6 (enum)
    {68, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 47},	//942 QsciLexerPOV::KeywordSet7 (enum)
    {68, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 48},	//943 QsciLexerPOV::KeywordSet8 (enum)
    {68, 1386, 0, 0, Smoke::mf_dtor, 0, 49 },	//944 QsciLexerPOV::~QsciLexerPOV()
    {69, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//945 QsciLexerPascal::metaObject() const
    {69, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//946 QsciLexerPascal::qt_metacast(const char*)
    {69, 1321, 44, 2, Smoke::mf_static, 37, 3},	//947 QsciLexerPascal::tr(const char*, const char*)
    {69, 1325, 44, 2, Smoke::mf_static, 37, 4},	//948 QsciLexerPascal::trUtf8(const char*, const char*)
    {69, 1321, 47, 3, Smoke::mf_static, 37, 5},	//949 QsciLexerPascal::tr(const char*, const char*, int)
    {69, 1325, 47, 3, Smoke::mf_static, 37, 6},	//950 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {69, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//951 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {69, 405, 74, 1, Smoke::mf_ctor, 72, 8},	//952 QsciLexerPascal::QsciLexerPascal(QObject*)
    {69, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//953 QsciLexerPascal::language() const
    {69, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//954 QsciLexerPascal::lexer() const
    {69, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//955 QsciLexerPascal::autoCompletionWordSeparators() const
    {69, 753, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 12},	//956 QsciLexerPascal::blockEnd(int*) const
    {69, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 13},	//957 QsciLexerPascal::blockStart(int*) const
    {69, 758, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 14},	//958 QsciLexerPascal::blockStartKeyword(int*) const
    {69, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 15},	//959 QsciLexerPascal::braceStyle() const
    {69, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//960 QsciLexerPascal::defaultColor(int) const
    {69, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 17},	//961 QsciLexerPascal::defaultEolFill(int) const
    {69, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 18},	//962 QsciLexerPascal::defaultFont(int) const
    {69, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 19},	//963 QsciLexerPascal::defaultPaper(int) const
    {69, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 20},	//964 QsciLexerPascal::keywords(int) const
    {69, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 21},	//965 QsciLexerPascal::description(int) const
    {69, 1037, 0, 0, Smoke::mf_virtual, 0, 22},	//966 QsciLexerPascal::refreshProperties()
    {69, 866, 0, 0, Smoke::mf_const, 198, 23},	//967 QsciLexerPascal::foldComments() const
    {69, 867, 0, 0, Smoke::mf_const, 198, 24},	//968 QsciLexerPascal::foldCompact() const
    {69, 873, 0, 0, Smoke::mf_const, 198, 25},	//969 QsciLexerPascal::foldPreprocessor() const
    {69, 1252, 16, 1, 0, 0, 26},	//970 QsciLexerPascal::setSmartHighlighting(bool)
    {69, 1295, 0, 0, Smoke::mf_const, 198, 27},	//971 QsciLexerPascal::smartHighlighting() const
    {69, 1154, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//972 QsciLexerPascal::setFoldComments(bool)
    {69, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//973 QsciLexerPascal::setFoldCompact(bool)
    {69, 1166, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//974 QsciLexerPascal::setFoldPreprocessor(bool)
    {69, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 31},	//975 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {69, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 32},	//976 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {69, 1321, 12, 1, Smoke::mf_static, 37, 33},	//977 QsciLexerPascal::tr(const char*)
    {69, 1325, 12, 1, Smoke::mf_static, 37, 34},	//978 QsciLexerPascal::trUtf8(const char*)
    {69, 405, 0, 0, Smoke::mf_ctor, 72, 35},	//979 QsciLexerPascal::QsciLexerPascal()
    {69, 753, 0, 0, Smoke::mf_const, 218, 36},	//980 QsciLexerPascal::blockEnd() const
    {69, 756, 0, 0, Smoke::mf_const, 218, 37},	//981 QsciLexerPascal::blockStart() const
    {69, 758, 0, 0, Smoke::mf_const, 218, 38},	//982 QsciLexerPascal::blockStartKeyword() const
    {69, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 39},	//983 QsciLexerPascal::staticMetaObject() const
    {69, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 40},	//984 QsciLexerPascal::Default (enum)
    {69, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 41},	//985 QsciLexerPascal::Identifier (enum)
    {69, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 42},	//986 QsciLexerPascal::Comment (enum)
    {69, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 43},	//987 QsciLexerPascal::CommentParenthesis (enum)
    {69, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 44},	//988 QsciLexerPascal::CommentLine (enum)
    {69, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 45},	//989 QsciLexerPascal::PreProcessor (enum)
    {69, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 46},	//990 QsciLexerPascal::PreProcessorParenthesis (enum)
    {69, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 47},	//991 QsciLexerPascal::Number (enum)
    {69, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 48},	//992 QsciLexerPascal::HexNumber (enum)
    {69, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 49},	//993 QsciLexerPascal::Keyword (enum)
    {69, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 50},	//994 QsciLexerPascal::SingleQuotedString (enum)
    {69, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 51},	//995 QsciLexerPascal::UnclosedString (enum)
    {69, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 52},	//996 QsciLexerPascal::Character (enum)
    {69, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 53},	//997 QsciLexerPascal::Operator (enum)
    {69, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 54},	//998 QsciLexerPascal::Asm (enum)
    {69, 1387, 0, 0, Smoke::mf_dtor, 0, 55 },	//999 QsciLexerPascal::~QsciLexerPascal()
    {70, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//1000 QsciLexerPerl::metaObject() const
    {70, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//1001 QsciLexerPerl::qt_metacast(const char*)
    {70, 1321, 44, 2, Smoke::mf_static, 37, 3},	//1002 QsciLexerPerl::tr(const char*, const char*)
    {70, 1325, 44, 2, Smoke::mf_static, 37, 4},	//1003 QsciLexerPerl::trUtf8(const char*, const char*)
    {70, 1321, 47, 3, Smoke::mf_static, 37, 5},	//1004 QsciLexerPerl::tr(const char*, const char*, int)
    {70, 1325, 47, 3, Smoke::mf_static, 37, 6},	//1005 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {70, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//1006 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {70, 407, 74, 1, Smoke::mf_ctor, 73, 8},	//1007 QsciLexerPerl::QsciLexerPerl(QObject*)
    {70, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//1008 QsciLexerPerl::language() const
    {70, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//1009 QsciLexerPerl::lexer() const
    {70, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//1010 QsciLexerPerl::autoCompletionWordSeparators() const
    {70, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 12},	//1011 QsciLexerPerl::braceStyle() const
    {70, 1348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 13},	//1012 QsciLexerPerl::wordCharacters() const
    {70, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1013 QsciLexerPerl::defaultColor(int) const
    {70, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 15},	//1014 QsciLexerPerl::defaultEolFill(int) const
    {70, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 16},	//1015 QsciLexerPerl::defaultFont(int) const
    {70, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//1016 QsciLexerPerl::defaultPaper(int) const
    {70, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 18},	//1017 QsciLexerPerl::keywords(int) const
    {70, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 19},	//1018 QsciLexerPerl::description(int) const
    {70, 1037, 0, 0, Smoke::mf_virtual, 0, 20},	//1019 QsciLexerPerl::refreshProperties()
    {70, 866, 0, 0, Smoke::mf_const, 198, 21},	//1020 QsciLexerPerl::foldComments() const
    {70, 867, 0, 0, Smoke::mf_const, 198, 22},	//1021 QsciLexerPerl::foldCompact() const
    {70, 1164, 16, 1, 0, 0, 23},	//1022 QsciLexerPerl::setFoldPackages(bool)
    {70, 872, 0, 0, Smoke::mf_const, 198, 24},	//1023 QsciLexerPerl::foldPackages() const
    {70, 1162, 16, 1, 0, 0, 25},	//1024 QsciLexerPerl::setFoldPODBlocks(bool)
    {70, 871, 0, 0, Smoke::mf_const, 198, 26},	//1025 QsciLexerPerl::foldPODBlocks() const
    {70, 1154, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1026 QsciLexerPerl::setFoldComments(bool)
    {70, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1027 QsciLexerPerl::setFoldCompact(bool)
    {70, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 29},	//1028 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {70, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 30},	//1029 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {70, 1321, 12, 1, Smoke::mf_static, 37, 31},	//1030 QsciLexerPerl::tr(const char*)
    {70, 1325, 12, 1, Smoke::mf_static, 37, 32},	//1031 QsciLexerPerl::trUtf8(const char*)
    {70, 407, 0, 0, Smoke::mf_ctor, 73, 33},	//1032 QsciLexerPerl::QsciLexerPerl()
    {70, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 34},	//1033 QsciLexerPerl::staticMetaObject() const
    {70, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 35},	//1034 QsciLexerPerl::Default (enum)
    {70, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 36},	//1035 QsciLexerPerl::Error (enum)
    {70, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 37},	//1036 QsciLexerPerl::Comment (enum)
    {70, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 38},	//1037 QsciLexerPerl::POD (enum)
    {70, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 39},	//1038 QsciLexerPerl::Number (enum)
    {70, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 40},	//1039 QsciLexerPerl::Keyword (enum)
    {70, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 41},	//1040 QsciLexerPerl::DoubleQuotedString (enum)
    {70, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 42},	//1041 QsciLexerPerl::SingleQuotedString (enum)
    {70, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 43},	//1042 QsciLexerPerl::Operator (enum)
    {70, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 44},	//1043 QsciLexerPerl::Identifier (enum)
    {70, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 45},	//1044 QsciLexerPerl::Scalar (enum)
    {70, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 46},	//1045 QsciLexerPerl::Array (enum)
    {70, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 47},	//1046 QsciLexerPerl::Hash (enum)
    {70, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 48},	//1047 QsciLexerPerl::SymbolTable (enum)
    {70, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 49},	//1048 QsciLexerPerl::Regex (enum)
    {70, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 50},	//1049 QsciLexerPerl::Substitution (enum)
    {70, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 51},	//1050 QsciLexerPerl::Backticks (enum)
    {70, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 52},	//1051 QsciLexerPerl::DataSection (enum)
    {70, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 53},	//1052 QsciLexerPerl::HereDocumentDelimiter (enum)
    {70, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 54},	//1053 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {70, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 55},	//1054 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {70, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 56},	//1055 QsciLexerPerl::BacktickHereDocument (enum)
    {70, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 57},	//1056 QsciLexerPerl::QuotedStringQ (enum)
    {70, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 58},	//1057 QsciLexerPerl::QuotedStringQQ (enum)
    {70, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 59},	//1058 QsciLexerPerl::QuotedStringQX (enum)
    {70, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 60},	//1059 QsciLexerPerl::QuotedStringQR (enum)
    {70, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 61},	//1060 QsciLexerPerl::QuotedStringQW (enum)
    {70, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 62},	//1061 QsciLexerPerl::PODVerbatim (enum)
    {70, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 63},	//1062 QsciLexerPerl::SubroutinePrototype (enum)
    {70, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 64},	//1063 QsciLexerPerl::FormatIdentifier (enum)
    {70, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 65},	//1064 QsciLexerPerl::FormatBody (enum)
    {70, 1388, 0, 0, Smoke::mf_dtor, 0, 66 },	//1065 QsciLexerPerl::~QsciLexerPerl()
    {71, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//1066 QsciLexerPostScript::metaObject() const
    {71, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//1067 QsciLexerPostScript::qt_metacast(const char*)
    {71, 1321, 44, 2, Smoke::mf_static, 37, 3},	//1068 QsciLexerPostScript::tr(const char*, const char*)
    {71, 1325, 44, 2, Smoke::mf_static, 37, 4},	//1069 QsciLexerPostScript::trUtf8(const char*, const char*)
    {71, 1321, 47, 3, Smoke::mf_static, 37, 5},	//1070 QsciLexerPostScript::tr(const char*, const char*, int)
    {71, 1325, 47, 3, Smoke::mf_static, 37, 6},	//1071 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {71, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//1072 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {71, 409, 74, 1, Smoke::mf_ctor, 74, 8},	//1073 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {71, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//1074 QsciLexerPostScript::language() const
    {71, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//1075 QsciLexerPostScript::lexer() const
    {71, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 11},	//1076 QsciLexerPostScript::braceStyle() const
    {71, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1077 QsciLexerPostScript::defaultColor(int) const
    {71, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1078 QsciLexerPostScript::defaultFont(int) const
    {71, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1079 QsciLexerPostScript::defaultPaper(int) const
    {71, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 15},	//1080 QsciLexerPostScript::keywords(int) const
    {71, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//1081 QsciLexerPostScript::description(int) const
    {71, 1037, 0, 0, Smoke::mf_virtual, 0, 17},	//1082 QsciLexerPostScript::refreshProperties()
    {71, 1320, 0, 0, Smoke::mf_const, 198, 18},	//1083 QsciLexerPostScript::tokenize() const
    {71, 933, 0, 0, Smoke::mf_const, 220, 19},	//1084 QsciLexerPostScript::level() const
    {71, 867, 0, 0, Smoke::mf_const, 198, 20},	//1085 QsciLexerPostScript::foldCompact() const
    {71, 864, 0, 0, Smoke::mf_const, 198, 21},	//1086 QsciLexerPostScript::foldAtElse() const
    {71, 1267, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1087 QsciLexerPostScript::setTokenize(bool)
    {71, 1198, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1088 QsciLexerPostScript::setLevel(int)
    {71, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1089 QsciLexerPostScript::setFoldCompact(bool)
    {71, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1090 QsciLexerPostScript::setFoldAtElse(bool)
    {71, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 26},	//1091 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {71, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 27},	//1092 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {71, 1321, 12, 1, Smoke::mf_static, 37, 28},	//1093 QsciLexerPostScript::tr(const char*)
    {71, 1325, 12, 1, Smoke::mf_static, 37, 29},	//1094 QsciLexerPostScript::trUtf8(const char*)
    {71, 409, 0, 0, Smoke::mf_ctor, 74, 30},	//1095 QsciLexerPostScript::QsciLexerPostScript()
    {71, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 31},	//1096 QsciLexerPostScript::staticMetaObject() const
    {71, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 32},	//1097 QsciLexerPostScript::Default (enum)
    {71, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 33},	//1098 QsciLexerPostScript::Comment (enum)
    {71, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 34},	//1099 QsciLexerPostScript::DSCComment (enum)
    {71, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 35},	//1100 QsciLexerPostScript::DSCCommentValue (enum)
    {71, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 36},	//1101 QsciLexerPostScript::Number (enum)
    {71, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 37},	//1102 QsciLexerPostScript::Name (enum)
    {71, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 38},	//1103 QsciLexerPostScript::Keyword (enum)
    {71, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 39},	//1104 QsciLexerPostScript::Literal (enum)
    {71, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 40},	//1105 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {71, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 41},	//1106 QsciLexerPostScript::ArrayParenthesis (enum)
    {71, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 42},	//1107 QsciLexerPostScript::DictionaryParenthesis (enum)
    {71, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 43},	//1108 QsciLexerPostScript::ProcedureParenthesis (enum)
    {71, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 44},	//1109 QsciLexerPostScript::Text (enum)
    {71, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 45},	//1110 QsciLexerPostScript::HexString (enum)
    {71, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 46},	//1111 QsciLexerPostScript::Base85String (enum)
    {71, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 47},	//1112 QsciLexerPostScript::BadStringCharacter (enum)
    {71, 1389, 0, 0, Smoke::mf_dtor, 0, 48 },	//1113 QsciLexerPostScript::~QsciLexerPostScript()
    {72, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//1114 QsciLexerProperties::metaObject() const
    {72, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//1115 QsciLexerProperties::qt_metacast(const char*)
    {72, 1321, 44, 2, Smoke::mf_static, 37, 3},	//1116 QsciLexerProperties::tr(const char*, const char*)
    {72, 1325, 44, 2, Smoke::mf_static, 37, 4},	//1117 QsciLexerProperties::trUtf8(const char*, const char*)
    {72, 1321, 47, 3, Smoke::mf_static, 37, 5},	//1118 QsciLexerProperties::tr(const char*, const char*, int)
    {72, 1325, 47, 3, Smoke::mf_static, 37, 6},	//1119 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {72, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//1120 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {72, 411, 74, 1, Smoke::mf_ctor, 75, 8},	//1121 QsciLexerProperties::QsciLexerProperties(QObject*)
    {72, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//1122 QsciLexerProperties::language() const
    {72, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//1123 QsciLexerProperties::lexer() const
    {72, 1348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//1124 QsciLexerProperties::wordCharacters() const
    {72, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1125 QsciLexerProperties::defaultColor(int) const
    {72, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 13},	//1126 QsciLexerProperties::defaultEolFill(int) const
    {72, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1127 QsciLexerProperties::defaultFont(int) const
    {72, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1128 QsciLexerProperties::defaultPaper(int) const
    {72, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//1129 QsciLexerProperties::description(int) const
    {72, 1037, 0, 0, Smoke::mf_virtual, 0, 17},	//1130 QsciLexerProperties::refreshProperties()
    {72, 867, 0, 0, Smoke::mf_const, 198, 18},	//1131 QsciLexerProperties::foldCompact() const
    {72, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1132 QsciLexerProperties::setFoldCompact(bool)
    {72, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 20},	//1133 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {72, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 21},	//1134 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {72, 1321, 12, 1, Smoke::mf_static, 37, 22},	//1135 QsciLexerProperties::tr(const char*)
    {72, 1325, 12, 1, Smoke::mf_static, 37, 23},	//1136 QsciLexerProperties::trUtf8(const char*)
    {72, 411, 0, 0, Smoke::mf_ctor, 75, 24},	//1137 QsciLexerProperties::QsciLexerProperties()
    {72, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 25},	//1138 QsciLexerProperties::staticMetaObject() const
    {72, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 26},	//1139 QsciLexerProperties::Default (enum)
    {72, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 27},	//1140 QsciLexerProperties::Comment (enum)
    {72, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 28},	//1141 QsciLexerProperties::Section (enum)
    {72, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 29},	//1142 QsciLexerProperties::Assignment (enum)
    {72, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 30},	//1143 QsciLexerProperties::DefaultValue (enum)
    {72, 1390, 0, 0, Smoke::mf_dtor, 0, 31 },	//1144 QsciLexerProperties::~QsciLexerProperties()
    {73, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//1145 QsciLexerPython::metaObject() const
    {73, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//1146 QsciLexerPython::qt_metacast(const char*)
    {73, 1321, 44, 2, Smoke::mf_static, 37, 3},	//1147 QsciLexerPython::tr(const char*, const char*)
    {73, 1325, 44, 2, Smoke::mf_static, 37, 4},	//1148 QsciLexerPython::trUtf8(const char*, const char*)
    {73, 1321, 47, 3, Smoke::mf_static, 37, 5},	//1149 QsciLexerPython::tr(const char*, const char*, int)
    {73, 1325, 47, 3, Smoke::mf_static, 37, 6},	//1150 QsciLexerPython::trUtf8(const char*, const char*, int)
    {73, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//1151 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {73, 413, 74, 1, Smoke::mf_ctor, 76, 8},	//1152 QsciLexerPython::QsciLexerPython(QObject*)
    {73, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//1153 QsciLexerPython::language() const
    {73, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//1154 QsciLexerPython::lexer() const
    {73, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//1155 QsciLexerPython::autoCompletionWordSeparators() const
    {73, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 12},	//1156 QsciLexerPython::blockLookback() const
    {73, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 13},	//1157 QsciLexerPython::blockStart(int*) const
    {73, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 14},	//1158 QsciLexerPython::braceStyle() const
    {73, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1159 QsciLexerPython::defaultColor(int) const
    {73, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 16},	//1160 QsciLexerPython::defaultEolFill(int) const
    {73, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 17},	//1161 QsciLexerPython::defaultFont(int) const
    {73, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 18},	//1162 QsciLexerPython::defaultPaper(int) const
    {73, 899, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 19},	//1163 QsciLexerPython::indentationGuideView() const
    {73, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 20},	//1164 QsciLexerPython::keywords(int) const
    {73, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 21},	//1165 QsciLexerPython::description(int) const
    {73, 1037, 0, 0, Smoke::mf_virtual, 0, 22},	//1166 QsciLexerPython::refreshProperties()
    {73, 866, 0, 0, Smoke::mf_const, 198, 23},	//1167 QsciLexerPython::foldComments() const
    {73, 874, 0, 0, Smoke::mf_const, 198, 24},	//1168 QsciLexerPython::foldQuotes() const
    {73, 901, 0, 0, Smoke::mf_const, 77, 25},	//1169 QsciLexerPython::indentationWarning() const
    {73, 1275, 16, 1, 0, 0, 26},	//1170 QsciLexerPython::setV2UnicodeAllowed(bool)
    {73, 1336, 0, 0, Smoke::mf_const, 198, 27},	//1171 QsciLexerPython::v2UnicodeAllowed() const
    {73, 1277, 16, 1, 0, 0, 28},	//1172 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {73, 1337, 0, 0, Smoke::mf_const, 198, 29},	//1173 QsciLexerPython::v3BinaryOctalAllowed() const
    {73, 1279, 16, 1, 0, 0, 30},	//1174 QsciLexerPython::setV3BytesAllowed(bool)
    {73, 1338, 0, 0, Smoke::mf_const, 198, 31},	//1175 QsciLexerPython::v3BytesAllowed() const
    {73, 1154, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1176 QsciLexerPython::setFoldComments(bool)
    {73, 1168, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1177 QsciLexerPython::setFoldQuotes(bool)
    {73, 1190, 105, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1178 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {73, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 35},	//1179 QsciLexerPython::readProperties(QSettings&, const QString&)
    {73, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 36},	//1180 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {73, 1321, 12, 1, Smoke::mf_static, 37, 37},	//1181 QsciLexerPython::tr(const char*)
    {73, 1325, 12, 1, Smoke::mf_static, 37, 38},	//1182 QsciLexerPython::trUtf8(const char*)
    {73, 413, 0, 0, Smoke::mf_ctor, 76, 39},	//1183 QsciLexerPython::QsciLexerPython()
    {73, 756, 0, 0, Smoke::mf_const, 218, 40},	//1184 QsciLexerPython::blockStart() const
    {73, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 41},	//1185 QsciLexerPython::staticMetaObject() const
    {73, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 42},	//1186 QsciLexerPython::Default (enum)
    {73, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 43},	//1187 QsciLexerPython::Comment (enum)
    {73, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 44},	//1188 QsciLexerPython::Number (enum)
    {73, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 45},	//1189 QsciLexerPython::DoubleQuotedString (enum)
    {73, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 46},	//1190 QsciLexerPython::SingleQuotedString (enum)
    {73, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 47},	//1191 QsciLexerPython::Keyword (enum)
    {73, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 48},	//1192 QsciLexerPython::TripleSingleQuotedString (enum)
    {73, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 49},	//1193 QsciLexerPython::TripleDoubleQuotedString (enum)
    {73, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 50},	//1194 QsciLexerPython::ClassName (enum)
    {73, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 51},	//1195 QsciLexerPython::FunctionMethodName (enum)
    {73, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 52},	//1196 QsciLexerPython::Operator (enum)
    {73, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 53},	//1197 QsciLexerPython::Identifier (enum)
    {73, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 54},	//1198 QsciLexerPython::CommentBlock (enum)
    {73, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 55},	//1199 QsciLexerPython::UnclosedString (enum)
    {73, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 56},	//1200 QsciLexerPython::HighlightedIdentifier (enum)
    {73, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 57},	//1201 QsciLexerPython::Decorator (enum)
    {73, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 58},	//1202 QsciLexerPython::NoWarning (enum)
    {73, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 59},	//1203 QsciLexerPython::Inconsistent (enum)
    {73, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 60},	//1204 QsciLexerPython::TabsAfterSpaces (enum)
    {73, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 61},	//1205 QsciLexerPython::Spaces (enum)
    {73, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 62},	//1206 QsciLexerPython::Tabs (enum)
    {73, 1391, 0, 0, Smoke::mf_dtor, 0, 63 },	//1207 QsciLexerPython::~QsciLexerPython()
    {74, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//1208 QsciLexerRuby::metaObject() const
    {74, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//1209 QsciLexerRuby::qt_metacast(const char*)
    {74, 1321, 44, 2, Smoke::mf_static, 37, 3},	//1210 QsciLexerRuby::tr(const char*, const char*)
    {74, 1325, 44, 2, Smoke::mf_static, 37, 4},	//1211 QsciLexerRuby::trUtf8(const char*, const char*)
    {74, 1321, 47, 3, Smoke::mf_static, 37, 5},	//1212 QsciLexerRuby::tr(const char*, const char*, int)
    {74, 1325, 47, 3, Smoke::mf_static, 37, 6},	//1213 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {74, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//1214 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {74, 415, 74, 1, Smoke::mf_ctor, 78, 8},	//1215 QsciLexerRuby::QsciLexerRuby(QObject*)
    {74, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//1216 QsciLexerRuby::language() const
    {74, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//1217 QsciLexerRuby::lexer() const
    {74, 753, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//1218 QsciLexerRuby::blockEnd(int*) const
    {74, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 12},	//1219 QsciLexerRuby::blockStart(int*) const
    {74, 758, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 13},	//1220 QsciLexerRuby::blockStartKeyword(int*) const
    {74, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 14},	//1221 QsciLexerRuby::braceStyle() const
    {74, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1222 QsciLexerRuby::defaultColor(int) const
    {74, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 16},	//1223 QsciLexerRuby::defaultEolFill(int) const
    {74, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 17},	//1224 QsciLexerRuby::defaultFont(int) const
    {74, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 18},	//1225 QsciLexerRuby::defaultPaper(int) const
    {74, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 19},	//1226 QsciLexerRuby::keywords(int) const
    {74, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 20},	//1227 QsciLexerRuby::description(int) const
    {74, 1321, 12, 1, Smoke::mf_static, 37, 21},	//1228 QsciLexerRuby::tr(const char*)
    {74, 1325, 12, 1, Smoke::mf_static, 37, 22},	//1229 QsciLexerRuby::trUtf8(const char*)
    {74, 415, 0, 0, Smoke::mf_ctor, 78, 23},	//1230 QsciLexerRuby::QsciLexerRuby()
    {74, 753, 0, 0, Smoke::mf_const, 218, 24},	//1231 QsciLexerRuby::blockEnd() const
    {74, 756, 0, 0, Smoke::mf_const, 218, 25},	//1232 QsciLexerRuby::blockStart() const
    {74, 758, 0, 0, Smoke::mf_const, 218, 26},	//1233 QsciLexerRuby::blockStartKeyword() const
    {74, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 27},	//1234 QsciLexerRuby::staticMetaObject() const
    {74, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 28},	//1235 QsciLexerRuby::Default (enum)
    {74, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 29},	//1236 QsciLexerRuby::Error (enum)
    {74, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 30},	//1237 QsciLexerRuby::Comment (enum)
    {74, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 31},	//1238 QsciLexerRuby::POD (enum)
    {74, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 32},	//1239 QsciLexerRuby::Number (enum)
    {74, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 33},	//1240 QsciLexerRuby::Keyword (enum)
    {74, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 34},	//1241 QsciLexerRuby::DoubleQuotedString (enum)
    {74, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 35},	//1242 QsciLexerRuby::SingleQuotedString (enum)
    {74, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 36},	//1243 QsciLexerRuby::ClassName (enum)
    {74, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 37},	//1244 QsciLexerRuby::FunctionMethodName (enum)
    {74, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 38},	//1245 QsciLexerRuby::Operator (enum)
    {74, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 39},	//1246 QsciLexerRuby::Identifier (enum)
    {74, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 40},	//1247 QsciLexerRuby::Regex (enum)
    {74, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 41},	//1248 QsciLexerRuby::Global (enum)
    {74, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 42},	//1249 QsciLexerRuby::Symbol (enum)
    {74, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 43},	//1250 QsciLexerRuby::ModuleName (enum)
    {74, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 44},	//1251 QsciLexerRuby::InstanceVariable (enum)
    {74, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 45},	//1252 QsciLexerRuby::ClassVariable (enum)
    {74, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 46},	//1253 QsciLexerRuby::Backticks (enum)
    {74, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 47},	//1254 QsciLexerRuby::DataSection (enum)
    {74, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 48},	//1255 QsciLexerRuby::HereDocumentDelimiter (enum)
    {74, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 49},	//1256 QsciLexerRuby::HereDocument (enum)
    {74, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 50},	//1257 QsciLexerRuby::PercentStringq (enum)
    {74, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 51},	//1258 QsciLexerRuby::PercentStringQ (enum)
    {74, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 52},	//1259 QsciLexerRuby::PercentStringx (enum)
    {74, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 53},	//1260 QsciLexerRuby::PercentStringr (enum)
    {74, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 54},	//1261 QsciLexerRuby::PercentStringw (enum)
    {74, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 55},	//1262 QsciLexerRuby::DemotedKeyword (enum)
    {74, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 56},	//1263 QsciLexerRuby::Stdin (enum)
    {74, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 57},	//1264 QsciLexerRuby::Stdout (enum)
    {74, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 58},	//1265 QsciLexerRuby::Stderr (enum)
    {74, 1392, 0, 0, Smoke::mf_dtor, 0, 59 },	//1266 QsciLexerRuby::~QsciLexerRuby()
    {75, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//1267 QsciLexerSQL::metaObject() const
    {75, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//1268 QsciLexerSQL::qt_metacast(const char*)
    {75, 1321, 44, 2, Smoke::mf_static, 37, 3},	//1269 QsciLexerSQL::tr(const char*, const char*)
    {75, 1325, 44, 2, Smoke::mf_static, 37, 4},	//1270 QsciLexerSQL::trUtf8(const char*, const char*)
    {75, 1321, 47, 3, Smoke::mf_static, 37, 5},	//1271 QsciLexerSQL::tr(const char*, const char*, int)
    {75, 1325, 47, 3, Smoke::mf_static, 37, 6},	//1272 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {75, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//1273 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {75, 417, 74, 1, Smoke::mf_ctor, 79, 8},	//1274 QsciLexerSQL::QsciLexerSQL(QObject*)
    {75, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//1275 QsciLexerSQL::language() const
    {75, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//1276 QsciLexerSQL::lexer() const
    {75, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 11},	//1277 QsciLexerSQL::braceStyle() const
    {75, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1278 QsciLexerSQL::defaultColor(int) const
    {75, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 13},	//1279 QsciLexerSQL::defaultEolFill(int) const
    {75, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1280 QsciLexerSQL::defaultFont(int) const
    {75, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1281 QsciLexerSQL::defaultPaper(int) const
    {75, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 16},	//1282 QsciLexerSQL::keywords(int) const
    {75, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//1283 QsciLexerSQL::description(int) const
    {75, 1037, 0, 0, Smoke::mf_virtual, 0, 18},	//1284 QsciLexerSQL::refreshProperties()
    {75, 866, 0, 0, Smoke::mf_const, 198, 19},	//1285 QsciLexerSQL::foldComments() const
    {75, 867, 0, 0, Smoke::mf_const, 198, 20},	//1286 QsciLexerSQL::foldCompact() const
    {75, 750, 0, 0, Smoke::mf_const, 198, 21},	//1287 QsciLexerSQL::backslashEscapes() const
    {75, 1154, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1288 QsciLexerSQL::setFoldComments(bool)
    {75, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1289 QsciLexerSQL::setFoldCompact(bool)
    {75, 1088, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1290 QsciLexerSQL::setBackslashEscapes(bool)
    {75, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 25},	//1291 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {75, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 26},	//1292 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {75, 1321, 12, 1, Smoke::mf_static, 37, 27},	//1293 QsciLexerSQL::tr(const char*)
    {75, 1325, 12, 1, Smoke::mf_static, 37, 28},	//1294 QsciLexerSQL::trUtf8(const char*)
    {75, 417, 0, 0, Smoke::mf_ctor, 79, 29},	//1295 QsciLexerSQL::QsciLexerSQL()
    {75, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 30},	//1296 QsciLexerSQL::staticMetaObject() const
    {75, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 31},	//1297 QsciLexerSQL::Default (enum)
    {75, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 32},	//1298 QsciLexerSQL::Comment (enum)
    {75, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 33},	//1299 QsciLexerSQL::CommentLine (enum)
    {75, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 34},	//1300 QsciLexerSQL::CommentDoc (enum)
    {75, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 35},	//1301 QsciLexerSQL::Number (enum)
    {75, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 36},	//1302 QsciLexerSQL::Keyword (enum)
    {75, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 37},	//1303 QsciLexerSQL::DoubleQuotedString (enum)
    {75, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 38},	//1304 QsciLexerSQL::SingleQuotedString (enum)
    {75, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 39},	//1305 QsciLexerSQL::PlusKeyword (enum)
    {75, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 40},	//1306 QsciLexerSQL::PlusPrompt (enum)
    {75, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 41},	//1307 QsciLexerSQL::Operator (enum)
    {75, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 42},	//1308 QsciLexerSQL::Identifier (enum)
    {75, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 43},	//1309 QsciLexerSQL::PlusComment (enum)
    {75, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 44},	//1310 QsciLexerSQL::CommentLineHash (enum)
    {75, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 45},	//1311 QsciLexerSQL::CommentDocKeyword (enum)
    {75, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 46},	//1312 QsciLexerSQL::CommentDocKeywordError (enum)
    {75, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 47},	//1313 QsciLexerSQL::KeywordSet5 (enum)
    {75, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 48},	//1314 QsciLexerSQL::KeywordSet6 (enum)
    {75, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 49},	//1315 QsciLexerSQL::KeywordSet7 (enum)
    {75, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 50},	//1316 QsciLexerSQL::KeywordSet8 (enum)
    {75, 1393, 0, 0, Smoke::mf_dtor, 0, 51 },	//1317 QsciLexerSQL::~QsciLexerSQL()
    {76, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//1318 QsciLexerTCL::metaObject() const
    {76, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//1319 QsciLexerTCL::qt_metacast(const char*)
    {76, 1321, 44, 2, Smoke::mf_static, 37, 3},	//1320 QsciLexerTCL::tr(const char*, const char*)
    {76, 1325, 44, 2, Smoke::mf_static, 37, 4},	//1321 QsciLexerTCL::trUtf8(const char*, const char*)
    {76, 1321, 47, 3, Smoke::mf_static, 37, 5},	//1322 QsciLexerTCL::tr(const char*, const char*, int)
    {76, 1325, 47, 3, Smoke::mf_static, 37, 6},	//1323 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {76, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//1324 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {76, 419, 74, 1, Smoke::mf_ctor, 80, 8},	//1325 QsciLexerTCL::QsciLexerTCL(QObject*)
    {76, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//1326 QsciLexerTCL::language() const
    {76, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//1327 QsciLexerTCL::lexer() const
    {76, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 11},	//1328 QsciLexerTCL::braceStyle() const
    {76, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1329 QsciLexerTCL::defaultColor(int) const
    {76, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 13},	//1330 QsciLexerTCL::defaultEolFill(int) const
    {76, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1331 QsciLexerTCL::defaultFont(int) const
    {76, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1332 QsciLexerTCL::defaultPaper(int) const
    {76, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 16},	//1333 QsciLexerTCL::keywords(int) const
    {76, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//1334 QsciLexerTCL::description(int) const
    {76, 1037, 0, 0, Smoke::mf_virtual, 0, 18},	//1335 QsciLexerTCL::refreshProperties()
    {76, 867, 0, 0, Smoke::mf_const, 198, 19},	//1336 QsciLexerTCL::foldCompact() const
    {76, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//1337 QsciLexerTCL::setFoldCompact(bool)
    {76, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 21},	//1338 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {76, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 22},	//1339 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {76, 1321, 12, 1, Smoke::mf_static, 37, 23},	//1340 QsciLexerTCL::tr(const char*)
    {76, 1325, 12, 1, Smoke::mf_static, 37, 24},	//1341 QsciLexerTCL::trUtf8(const char*)
    {76, 419, 0, 0, Smoke::mf_ctor, 80, 25},	//1342 QsciLexerTCL::QsciLexerTCL()
    {76, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 26},	//1343 QsciLexerTCL::staticMetaObject() const
    {76, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 27},	//1344 QsciLexerTCL::Default (enum)
    {76, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 28},	//1345 QsciLexerTCL::Comment (enum)
    {76, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 29},	//1346 QsciLexerTCL::CommentLine (enum)
    {76, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 30},	//1347 QsciLexerTCL::Number (enum)
    {76, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 31},	//1348 QsciLexerTCL::QuotedKeyword (enum)
    {76, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 32},	//1349 QsciLexerTCL::QuotedString (enum)
    {76, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 33},	//1350 QsciLexerTCL::Operator (enum)
    {76, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 34},	//1351 QsciLexerTCL::Identifier (enum)
    {76, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 35},	//1352 QsciLexerTCL::Substitution (enum)
    {76, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 36},	//1353 QsciLexerTCL::SubstitutionBrace (enum)
    {76, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 37},	//1354 QsciLexerTCL::Modifier (enum)
    {76, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 38},	//1355 QsciLexerTCL::ExpandKeyword (enum)
    {76, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 39},	//1356 QsciLexerTCL::TCLKeyword (enum)
    {76, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 40},	//1357 QsciLexerTCL::TkKeyword (enum)
    {76, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 41},	//1358 QsciLexerTCL::ITCLKeyword (enum)
    {76, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 42},	//1359 QsciLexerTCL::TkCommand (enum)
    {76, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 43},	//1360 QsciLexerTCL::KeywordSet6 (enum)
    {76, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 44},	//1361 QsciLexerTCL::KeywordSet7 (enum)
    {76, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 45},	//1362 QsciLexerTCL::KeywordSet8 (enum)
    {76, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 46},	//1363 QsciLexerTCL::KeywordSet9 (enum)
    {76, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 47},	//1364 QsciLexerTCL::CommentBox (enum)
    {76, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 48},	//1365 QsciLexerTCL::CommentBlock (enum)
    {76, 1394, 0, 0, Smoke::mf_dtor, 0, 49 },	//1366 QsciLexerTCL::~QsciLexerTCL()
    {77, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//1367 QsciLexerTeX::metaObject() const
    {77, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//1368 QsciLexerTeX::qt_metacast(const char*)
    {77, 1321, 44, 2, Smoke::mf_static, 37, 3},	//1369 QsciLexerTeX::tr(const char*, const char*)
    {77, 1325, 44, 2, Smoke::mf_static, 37, 4},	//1370 QsciLexerTeX::trUtf8(const char*, const char*)
    {77, 1321, 47, 3, Smoke::mf_static, 37, 5},	//1371 QsciLexerTeX::tr(const char*, const char*, int)
    {77, 1325, 47, 3, Smoke::mf_static, 37, 6},	//1372 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {77, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//1373 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {77, 421, 74, 1, Smoke::mf_ctor, 81, 8},	//1374 QsciLexerTeX::QsciLexerTeX(QObject*)
    {77, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//1375 QsciLexerTeX::language() const
    {77, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//1376 QsciLexerTeX::lexer() const
    {77, 1348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//1377 QsciLexerTeX::wordCharacters() const
    {77, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1378 QsciLexerTeX::defaultColor(int) const
    {77, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 13},	//1379 QsciLexerTeX::keywords(int) const
    {77, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 14},	//1380 QsciLexerTeX::description(int) const
    {77, 1321, 12, 1, Smoke::mf_static, 37, 15},	//1381 QsciLexerTeX::tr(const char*)
    {77, 1325, 12, 1, Smoke::mf_static, 37, 16},	//1382 QsciLexerTeX::trUtf8(const char*)
    {77, 421, 0, 0, Smoke::mf_ctor, 81, 17},	//1383 QsciLexerTeX::QsciLexerTeX()
    {77, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 18},	//1384 QsciLexerTeX::staticMetaObject() const
    {77, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 19},	//1385 QsciLexerTeX::Default (enum)
    {77, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 20},	//1386 QsciLexerTeX::Special (enum)
    {77, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 21},	//1387 QsciLexerTeX::Group (enum)
    {77, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 22},	//1388 QsciLexerTeX::Symbol (enum)
    {77, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 23},	//1389 QsciLexerTeX::Command (enum)
    {77, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 24},	//1390 QsciLexerTeX::Text (enum)
    {77, 1395, 0, 0, Smoke::mf_dtor, 0, 25 },	//1391 QsciLexerTeX::~QsciLexerTeX()
    {78, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//1392 QsciLexerVHDL::metaObject() const
    {78, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//1393 QsciLexerVHDL::qt_metacast(const char*)
    {78, 1321, 44, 2, Smoke::mf_static, 37, 3},	//1394 QsciLexerVHDL::tr(const char*, const char*)
    {78, 1325, 44, 2, Smoke::mf_static, 37, 4},	//1395 QsciLexerVHDL::trUtf8(const char*, const char*)
    {78, 1321, 47, 3, Smoke::mf_static, 37, 5},	//1396 QsciLexerVHDL::tr(const char*, const char*, int)
    {78, 1325, 47, 3, Smoke::mf_static, 37, 6},	//1397 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {78, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//1398 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {78, 423, 74, 1, Smoke::mf_ctor, 82, 8},	//1399 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {78, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//1400 QsciLexerVHDL::language() const
    {78, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//1401 QsciLexerVHDL::lexer() const
    {78, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 11},	//1402 QsciLexerVHDL::braceStyle() const
    {78, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1403 QsciLexerVHDL::defaultColor(int) const
    {78, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 13},	//1404 QsciLexerVHDL::defaultEolFill(int) const
    {78, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1405 QsciLexerVHDL::defaultFont(int) const
    {78, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1406 QsciLexerVHDL::defaultPaper(int) const
    {78, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 16},	//1407 QsciLexerVHDL::keywords(int) const
    {78, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//1408 QsciLexerVHDL::description(int) const
    {78, 1037, 0, 0, Smoke::mf_virtual, 0, 18},	//1409 QsciLexerVHDL::refreshProperties()
    {78, 866, 0, 0, Smoke::mf_const, 198, 19},	//1410 QsciLexerVHDL::foldComments() const
    {78, 867, 0, 0, Smoke::mf_const, 198, 20},	//1411 QsciLexerVHDL::foldCompact() const
    {78, 864, 0, 0, Smoke::mf_const, 198, 21},	//1412 QsciLexerVHDL::foldAtElse() const
    {78, 863, 0, 0, Smoke::mf_const, 198, 22},	//1413 QsciLexerVHDL::foldAtBegin() const
    {78, 865, 0, 0, Smoke::mf_const, 198, 23},	//1414 QsciLexerVHDL::foldAtParenthesis() const
    {78, 1154, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1415 QsciLexerVHDL::setFoldComments(bool)
    {78, 1156, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1416 QsciLexerVHDL::setFoldCompact(bool)
    {78, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1417 QsciLexerVHDL::setFoldAtElse(bool)
    {78, 1148, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1418 QsciLexerVHDL::setFoldAtBegin(bool)
    {78, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1419 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {78, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 29},	//1420 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {78, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 30},	//1421 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {78, 1321, 12, 1, Smoke::mf_static, 37, 31},	//1422 QsciLexerVHDL::tr(const char*)
    {78, 1325, 12, 1, Smoke::mf_static, 37, 32},	//1423 QsciLexerVHDL::trUtf8(const char*)
    {78, 423, 0, 0, Smoke::mf_ctor, 82, 33},	//1424 QsciLexerVHDL::QsciLexerVHDL()
    {78, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 34},	//1425 QsciLexerVHDL::staticMetaObject() const
    {78, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 35},	//1426 QsciLexerVHDL::Default (enum)
    {78, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 36},	//1427 QsciLexerVHDL::Comment (enum)
    {78, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 37},	//1428 QsciLexerVHDL::CommentLine (enum)
    {78, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 38},	//1429 QsciLexerVHDL::Number (enum)
    {78, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 39},	//1430 QsciLexerVHDL::String (enum)
    {78, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 40},	//1431 QsciLexerVHDL::Operator (enum)
    {78, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 41},	//1432 QsciLexerVHDL::Identifier (enum)
    {78, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 42},	//1433 QsciLexerVHDL::UnclosedString (enum)
    {78, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 43},	//1434 QsciLexerVHDL::Keyword (enum)
    {78, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 44},	//1435 QsciLexerVHDL::StandardOperator (enum)
    {78, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 45},	//1436 QsciLexerVHDL::Attribute (enum)
    {78, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 46},	//1437 QsciLexerVHDL::StandardFunction (enum)
    {78, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 47},	//1438 QsciLexerVHDL::StandardPackage (enum)
    {78, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 48},	//1439 QsciLexerVHDL::StandardType (enum)
    {78, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 49},	//1440 QsciLexerVHDL::KeywordSet7 (enum)
    {78, 1396, 0, 0, Smoke::mf_dtor, 0, 50 },	//1441 QsciLexerVHDL::~QsciLexerVHDL()
    {79, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//1442 QsciLexerXML::metaObject() const
    {79, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//1443 QsciLexerXML::qt_metacast(const char*)
    {79, 1321, 44, 2, Smoke::mf_static, 37, 3},	//1444 QsciLexerXML::tr(const char*, const char*)
    {79, 1325, 44, 2, Smoke::mf_static, 37, 4},	//1445 QsciLexerXML::trUtf8(const char*, const char*)
    {79, 1321, 47, 3, Smoke::mf_static, 37, 5},	//1446 QsciLexerXML::tr(const char*, const char*, int)
    {79, 1325, 47, 3, Smoke::mf_static, 37, 6},	//1447 QsciLexerXML::trUtf8(const char*, const char*, int)
    {79, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//1448 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {79, 425, 74, 1, Smoke::mf_ctor, 83, 8},	//1449 QsciLexerXML::QsciLexerXML(QObject*)
    {79, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//1450 QsciLexerXML::language() const
    {79, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//1451 QsciLexerXML::lexer() const
    {79, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//1452 QsciLexerXML::defaultColor(int) const
    {79, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 12},	//1453 QsciLexerXML::defaultEolFill(int) const
    {79, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1454 QsciLexerXML::defaultFont(int) const
    {79, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1455 QsciLexerXML::defaultPaper(int) const
    {79, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 15},	//1456 QsciLexerXML::keywords(int) const
    {79, 1037, 0, 0, Smoke::mf_virtual, 0, 16},	//1457 QsciLexerXML::refreshProperties()
    {79, 1242, 16, 1, 0, 0, 17},	//1458 QsciLexerXML::setScriptsStyled(bool)
    {79, 1053, 0, 0, Smoke::mf_const, 198, 18},	//1459 QsciLexerXML::scriptsStyled() const
    {79, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 19},	//1460 QsciLexerXML::readProperties(QSettings&, const QString&)
    {79, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 20},	//1461 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {79, 1321, 12, 1, Smoke::mf_static, 37, 21},	//1462 QsciLexerXML::tr(const char*)
    {79, 1325, 12, 1, Smoke::mf_static, 37, 22},	//1463 QsciLexerXML::trUtf8(const char*)
    {79, 425, 0, 0, Smoke::mf_ctor, 83, 23},	//1464 QsciLexerXML::QsciLexerXML()
    {79, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 24},	//1465 QsciLexerXML::staticMetaObject() const
    {79, 1397, 0, 0, Smoke::mf_dtor, 0, 25 },	//1466 QsciLexerXML::~QsciLexerXML()
    {80, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//1467 QsciLexerYAML::metaObject() const
    {80, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//1468 QsciLexerYAML::qt_metacast(const char*)
    {80, 1321, 44, 2, Smoke::mf_static, 37, 3},	//1469 QsciLexerYAML::tr(const char*, const char*)
    {80, 1325, 44, 2, Smoke::mf_static, 37, 4},	//1470 QsciLexerYAML::trUtf8(const char*, const char*)
    {80, 1321, 47, 3, Smoke::mf_static, 37, 5},	//1471 QsciLexerYAML::tr(const char*, const char*, int)
    {80, 1325, 47, 3, Smoke::mf_static, 37, 6},	//1472 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {80, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//1473 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {80, 427, 74, 1, Smoke::mf_ctor, 84, 8},	//1474 QsciLexerYAML::QsciLexerYAML(QObject*)
    {80, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 9},	//1475 QsciLexerYAML::language() const
    {80, 934, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 10},	//1476 QsciLexerYAML::lexer() const
    {80, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//1477 QsciLexerYAML::defaultColor(int) const
    {80, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 198, 12},	//1478 QsciLexerYAML::defaultEolFill(int) const
    {80, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1479 QsciLexerYAML::defaultFont(int) const
    {80, 809, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1480 QsciLexerYAML::defaultPaper(int) const
    {80, 927, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 15},	//1481 QsciLexerYAML::keywords(int) const
    {80, 813, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//1482 QsciLexerYAML::description(int) const
    {80, 1037, 0, 0, Smoke::mf_virtual, 0, 17},	//1483 QsciLexerYAML::refreshProperties()
    {80, 866, 0, 0, Smoke::mf_const, 198, 18},	//1484 QsciLexerYAML::foldComments() const
    {80, 1154, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1485 QsciLexerYAML::setFoldComments(bool)
    {80, 1027, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 198, 20},	//1486 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {80, 1352, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 21},	//1487 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {80, 1321, 12, 1, Smoke::mf_static, 37, 22},	//1488 QsciLexerYAML::tr(const char*)
    {80, 1325, 12, 1, Smoke::mf_static, 37, 23},	//1489 QsciLexerYAML::trUtf8(const char*)
    {80, 427, 0, 0, Smoke::mf_ctor, 84, 24},	//1490 QsciLexerYAML::QsciLexerYAML()
    {80, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 25},	//1491 QsciLexerYAML::staticMetaObject() const
    {80, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 26},	//1492 QsciLexerYAML::Default (enum)
    {80, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 27},	//1493 QsciLexerYAML::Comment (enum)
    {80, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 28},	//1494 QsciLexerYAML::Identifier (enum)
    {80, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 29},	//1495 QsciLexerYAML::Keyword (enum)
    {80, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 30},	//1496 QsciLexerYAML::Number (enum)
    {80, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 31},	//1497 QsciLexerYAML::Reference (enum)
    {80, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 32},	//1498 QsciLexerYAML::DocumentDelimiter (enum)
    {80, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 33},	//1499 QsciLexerYAML::TextBlockMarker (enum)
    {80, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 34},	//1500 QsciLexerYAML::SyntaxErrorMarker (enum)
    {80, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 35},	//1501 QsciLexerYAML::Operator (enum)
    {80, 1398, 0, 0, Smoke::mf_dtor, 0, 36 },	//1502 QsciLexerYAML::~QsciLexerYAML()
    {81, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//1503 QsciMacro::metaObject() const
    {81, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//1504 QsciMacro::qt_metacast(const char*)
    {81, 1321, 44, 2, Smoke::mf_static, 37, 3},	//1505 QsciMacro::tr(const char*, const char*)
    {81, 1325, 44, 2, Smoke::mf_static, 37, 4},	//1506 QsciMacro::trUtf8(const char*, const char*)
    {81, 1321, 47, 3, Smoke::mf_static, 37, 5},	//1507 QsciMacro::tr(const char*, const char*, int)
    {81, 1325, 47, 3, Smoke::mf_static, 37, 6},	//1508 QsciMacro::trUtf8(const char*, const char*, int)
    {81, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//1509 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {81, 429, 82, 1, Smoke::mf_ctor, 85, 8},	//1510 QsciMacro::QsciMacro(QsciScintilla*)
    {81, 429, 107, 2, Smoke::mf_ctor, 85, 9},	//1511 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {81, 776, 0, 0, 0, 0, 10},	//1512 QsciMacro::clear()
    {81, 944, 57, 1, 0, 198, 11},	//1513 QsciMacro::load(const QString&)
    {81, 1050, 0, 0, Smoke::mf_const, 37, 12},	//1514 QsciMacro::save() const
    {81, 1010, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1515 QsciMacro::play()
    {81, 1297, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1516 QsciMacro::startRecording()
    {81, 832, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1517 QsciMacro::endRecording()
    {81, 1321, 12, 1, Smoke::mf_static, 37, 16},	//1518 QsciMacro::tr(const char*)
    {81, 1325, 12, 1, Smoke::mf_static, 37, 17},	//1519 QsciMacro::trUtf8(const char*)
    {81, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 18},	//1520 QsciMacro::staticMetaObject() const
    {81, 1399, 0, 0, Smoke::mf_dtor, 0, 19 },	//1521 QsciMacro::~QsciMacro()
    {82, 432, 110, 1, Smoke::mf_ctor, 86, 1},	//1522 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {82, 883, 112, 4, Smoke::mf_virtual, 0, 2},	//1523 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {82, 948, 0, 0, Smoke::mf_const, 220, 3},	//1524 QsciPrinter::magnification() const
    {82, 1202, 18, 1, Smoke::mf_virtual, 0, 4},	//1525 QsciPrinter::setMagnification(int)
    {82, 1015, 117, 3, Smoke::mf_virtual, 220, 5},	//1526 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {82, 1349, 0, 0, Smoke::mf_const, 99, 6},	//1527 QsciPrinter::wrapMode() const
    {82, 1285, 121, 1, Smoke::mf_virtual, 0, 7},	//1528 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {82, 432, 0, 0, Smoke::mf_ctor, 86, 8},	//1529 QsciPrinter::QsciPrinter()
    {82, 1015, 123, 1, 0, 220, 9},	//1530 QsciPrinter::printRange(QsciScintillaBase*)
    {82, 1015, 125, 2, 0, 220, 10},	//1531 QsciPrinter::printRange(QsciScintillaBase*, int)
    {82, 1400, 0, 0, Smoke::mf_dtor, 0, 11 },	//1532 QsciPrinter::~QsciPrinter()
    {83, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//1533 QsciScintilla::metaObject() const
    {83, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//1534 QsciScintilla::qt_metacast(const char*)
    {83, 1321, 44, 2, Smoke::mf_static, 37, 3},	//1535 QsciScintilla::tr(const char*, const char*)
    {83, 1325, 44, 2, Smoke::mf_static, 37, 4},	//1536 QsciScintilla::trUtf8(const char*, const char*)
    {83, 1321, 47, 3, Smoke::mf_static, 37, 5},	//1537 QsciScintilla::tr(const char*, const char*, int)
    {83, 1325, 47, 3, Smoke::mf_static, 37, 6},	//1538 QsciScintilla::trUtf8(const char*, const char*, int)
    {83, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//1539 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {83, 434, 128, 1, Smoke::mf_ctor, 87, 8},	//1540 QsciScintilla::QsciScintilla(QWidget*)
    {83, 727, 130, 3, Smoke::mf_virtual, 38, 9},	//1541 QsciScintilla::apiContext(int, int&, int&)
    {83, 719, 134, 3, 0, 0, 10},	//1542 QsciScintilla::annotate(int, const QString&, int)
    {83, 719, 138, 3, 0, 0, 11},	//1543 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {83, 719, 142, 2, 0, 0, 12},	//1544 QsciScintilla::annotate(int, const QsciStyledText&)
    {83, 719, 145, 2, 0, 0, 13},	//1545 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {83, 724, 18, 1, Smoke::mf_const, 37, 14},	//1546 QsciScintilla::annotation(int) const
    {83, 726, 0, 0, Smoke::mf_const, 88, 15},	//1547 QsciScintilla::annotationDisplay() const
    {83, 778, 18, 1, 0, 0, 16},	//1548 QsciScintilla::clearAnnotations(int)
    {83, 738, 0, 0, Smoke::mf_const, 198, 17},	//1549 QsciScintilla::autoCompletionCaseSensitivity() const
    {83, 740, 0, 0, Smoke::mf_const, 198, 18},	//1550 QsciScintilla::autoCompletionFillupsEnabled() const
    {83, 741, 0, 0, Smoke::mf_const, 198, 19},	//1551 QsciScintilla::autoCompletionReplaceWord() const
    {83, 744, 0, 0, Smoke::mf_const, 198, 20},	//1552 QsciScintilla::autoCompletionShowSingle() const
    {83, 745, 0, 0, Smoke::mf_const, 89, 21},	//1553 QsciScintilla::autoCompletionSource() const
    {83, 746, 0, 0, Smoke::mf_const, 220, 22},	//1554 QsciScintilla::autoCompletionThreshold() const
    {83, 748, 0, 0, Smoke::mf_const, 198, 23},	//1555 QsciScintilla::autoIndent() const
    {83, 751, 0, 0, Smoke::mf_const, 198, 24},	//1556 QsciScintilla::backspaceUnindents() const
    {83, 752, 0, 0, 0, 0, 25},	//1557 QsciScintilla::beginUndoAction()
    {83, 760, 0, 0, Smoke::mf_const, 90, 26},	//1558 QsciScintilla::braceMatching() const
    {83, 765, 0, 0, Smoke::mf_const, 91, 27},	//1559 QsciScintilla::callTipsStyle() const
    {83, 766, 0, 0, Smoke::mf_const, 220, 28},	//1560 QsciScintilla::callTipsVisible() const
    {83, 769, 0, 0, 0, 0, 29},	//1561 QsciScintilla::cancelList()
    {83, 771, 0, 0, Smoke::mf_const, 198, 30},	//1562 QsciScintilla::caseSensitive() const
    {83, 780, 0, 0, 0, 0, 31},	//1563 QsciScintilla::clearFolds()
    {83, 784, 0, 0, 0, 0, 32},	//1564 QsciScintilla::clearRegisteredImages()
    {83, 786, 0, 0, Smoke::mf_const, 5, 33},	//1565 QsciScintilla::color() const
    {83, 794, 148, 1, 0, 0, 34},	//1566 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {83, 817, 0, 0, Smoke::mf_const, 50, 35},	//1567 QsciScintilla::document() const
    {83, 833, 0, 0, 0, 0, 36},	//1568 QsciScintilla::endUndoAction()
    {83, 827, 0, 0, Smoke::mf_const, 5, 37},	//1569 QsciScintilla::edgeColor() const
    {83, 828, 0, 0, Smoke::mf_const, 220, 38},	//1570 QsciScintilla::edgeColumn() const
    {83, 829, 0, 0, Smoke::mf_const, 92, 39},	//1571 QsciScintilla::edgeMode() const
    {83, 1177, 42, 1, 0, 0, 40},	//1572 QsciScintilla::setFont(const QFont&)
    {83, 842, 0, 0, Smoke::mf_const, 93, 41},	//1573 QsciScintilla::eolMode() const
    {83, 843, 0, 0, Smoke::mf_const, 198, 42},	//1574 QsciScintilla::eolVisibility() const
    {83, 847, 150, 9, Smoke::mf_virtual, 198, 43},	//1575 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {83, 853, 0, 0, Smoke::mf_virtual, 198, 44},	//1576 QsciScintilla::findNext()
    {83, 854, 0, 0, Smoke::mf_const, 220, 45},	//1577 QsciScintilla::firstVisibleLine() const
    {83, 877, 0, 0, Smoke::mf_const, 94, 46},	//1578 QsciScintilla::folding() const
    {83, 887, 160, 2, Smoke::mf_const, 0, 47},	//1579 QsciScintilla::getCursorPosition(int*, int*) const
    {83, 889, 163, 4, Smoke::mf_const, 0, 48},	//1580 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {83, 891, 0, 0, Smoke::mf_const, 198, 49},	//1581 QsciScintilla::hasSelectedText() const
    {83, 897, 18, 1, Smoke::mf_const, 220, 50},	//1582 QsciScintilla::indentation(int) const
    {83, 900, 0, 0, Smoke::mf_const, 198, 51},	//1583 QsciScintilla::indentationGuides() const
    {83, 903, 0, 0, Smoke::mf_const, 198, 52},	//1584 QsciScintilla::indentationsUseTabs() const
    {83, 902, 0, 0, Smoke::mf_const, 220, 53},	//1585 QsciScintilla::indentationWidth() const
    {83, 912, 0, 0, Smoke::mf_const, 198, 54},	//1586 QsciScintilla::isCallTipActive() const
    {83, 913, 0, 0, Smoke::mf_const, 198, 55},	//1587 QsciScintilla::isListActive() const
    {83, 914, 0, 0, Smoke::mf_const, 198, 56},	//1588 QsciScintilla::isModified() const
    {83, 917, 0, 0, Smoke::mf_const, 198, 57},	//1589 QsciScintilla::isReadOnly() const
    {83, 918, 0, 0, Smoke::mf_const, 198, 58},	//1590 QsciScintilla::isRedoAvailable() const
    {83, 919, 0, 0, Smoke::mf_const, 198, 59},	//1591 QsciScintilla::isUndoAvailable() const
    {83, 920, 0, 0, Smoke::mf_const, 198, 60},	//1592 QsciScintilla::isUtf8() const
    {83, 921, 168, 1, Smoke::mf_const, 198, 61},	//1593 QsciScintilla::isWordCharacter(char) const
    {83, 936, 170, 1, Smoke::mf_const, 220, 62},	//1594 QsciScintilla::lineAt(const QPoint&) const
    {83, 938, 172, 3, Smoke::mf_const, 0, 63},	//1595 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {83, 940, 18, 1, Smoke::mf_const, 220, 64},	//1596 QsciScintilla::lineLength(int) const
    {83, 942, 0, 0, Smoke::mf_const, 220, 65},	//1597 QsciScintilla::lines() const
    {83, 932, 0, 0, Smoke::mf_const, 220, 66},	//1598 QsciScintilla::length() const
    {83, 934, 0, 0, Smoke::mf_const, 53, 67},	//1599 QsciScintilla::lexer() const
    {83, 951, 18, 1, Smoke::mf_const, 198, 68},	//1600 QsciScintilla::marginLineNumbers(int) const
    {83, 953, 18, 1, Smoke::mf_const, 220, 69},	//1601 QsciScintilla::marginMarkerMask(int) const
    {83, 955, 18, 1, Smoke::mf_const, 198, 70},	//1602 QsciScintilla::marginSensitivity(int) const
    {83, 957, 18, 1, Smoke::mf_const, 96, 71},	//1603 QsciScintilla::marginType(int) const
    {83, 959, 18, 1, Smoke::mf_const, 220, 72},	//1604 QsciScintilla::marginWidth(int) const
    {83, 963, 176, 2, 0, 220, 73},	//1605 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {83, 963, 179, 2, 0, 220, 74},	//1606 QsciScintilla::markerDefine(char, int)
    {83, 963, 182, 2, 0, 220, 75},	//1607 QsciScintilla::markerDefine(const QPixmap&, int)
    {83, 961, 99, 2, 0, 220, 76},	//1608 QsciScintilla::markerAdd(int, int)
    {83, 981, 18, 1, Smoke::mf_const, 224, 77},	//1609 QsciScintilla::markersAtLine(int) const
    {83, 968, 99, 2, 0, 0, 78},	//1610 QsciScintilla::markerDelete(int, int)
    {83, 971, 18, 1, 0, 0, 79},	//1611 QsciScintilla::markerDeleteAll(int)
    {83, 973, 18, 1, 0, 0, 80},	//1612 QsciScintilla::markerDeleteHandle(int)
    {83, 979, 18, 1, Smoke::mf_const, 220, 81},	//1613 QsciScintilla::markerLine(int) const
    {83, 975, 185, 2, Smoke::mf_const, 220, 82},	//1614 QsciScintilla::markerFindNext(int, unsigned int) const
    {83, 977, 185, 2, Smoke::mf_const, 220, 83},	//1615 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {83, 1005, 0, 0, Smoke::mf_const, 5, 84},	//1616 QsciScintilla::paper() const
    {83, 1012, 99, 2, Smoke::mf_const, 220, 85},	//1617 QsciScintilla::positionFromLineIndex(int, int) const
    {83, 1025, 188, 1, 0, 198, 86},	//1618 QsciScintilla::read(QIODevice*)
    {83, 1032, 99, 2, Smoke::mf_virtual, 0, 87},	//1619 QsciScintilla::recolor(int, int)
    {83, 1038, 190, 2, 0, 0, 88},	//1620 QsciScintilla::registerImage(int, const QPixmap&)
    {83, 1043, 57, 1, Smoke::mf_virtual, 0, 89},	//1621 QsciScintilla::replace(const QString&)
    {83, 1045, 0, 0, 0, 0, 90},	//1622 QsciScintilla::resetFoldMarginColors()
    {83, 1160, 193, 2, 0, 0, 91},	//1623 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {83, 1066, 196, 1, 0, 0, 92},	//1624 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {83, 1072, 16, 1, 0, 0, 93},	//1625 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {83, 1070, 12, 1, 0, 0, 94},	//1626 QsciScintilla::setAutoCompletionFillups(const char*)
    {83, 1082, 198, 1, 0, 0, 95},	//1627 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {83, 1094, 80, 1, 0, 0, 96},	//1628 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {83, 1096, 80, 1, 0, 0, 97},	//1629 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {83, 1098, 80, 1, 0, 0, 98},	//1630 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {83, 1100, 200, 1, 0, 0, 99},	//1631 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {83, 1102, 18, 1, 0, 0, 100},	//1632 QsciScintilla::setCallTipsVisible(int)
    {83, 1129, 72, 1, 0, 0, 101},	//1633 QsciScintilla::setDocument(const QsciDocument&)
    {83, 1133, 80, 1, 0, 0, 102},	//1634 QsciScintilla::setEdgeColor(const QColor&)
    {83, 1135, 18, 1, 0, 0, 103},	//1635 QsciScintilla::setEdgeColumn(int)
    {83, 1137, 202, 1, 0, 0, 104},	//1636 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {83, 1210, 134, 3, 0, 0, 105},	//1637 QsciScintilla::setMarginText(int, const QString&, int)
    {83, 1210, 138, 3, 0, 0, 106},	//1638 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {83, 1210, 142, 2, 0, 0, 107},	//1639 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {83, 1210, 145, 2, 0, 0, 108},	//1640 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {83, 1215, 204, 2, 0, 0, 109},	//1641 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {83, 782, 18, 1, 0, 0, 110},	//1642 QsciScintilla::clearMarginText(int)
    {83, 1225, 84, 2, 0, 0, 111},	//1643 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {83, 1228, 84, 2, 0, 0, 112},	//1644 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {83, 1231, 80, 1, 0, 0, 113},	//1645 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {83, 1233, 80, 1, 0, 0, 114},	//1646 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {83, 1269, 80, 1, 0, 0, 115},	//1647 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {83, 1271, 80, 1, 0, 0, 116},	//1648 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {83, 1287, 207, 3, 0, 0, 117},	//1649 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {83, 1059, 0, 0, Smoke::mf_const, 37, 118},	//1650 QsciScintilla::selectedText() const
    {83, 1061, 0, 0, Smoke::mf_const, 198, 119},	//1651 QsciScintilla::selectionToEol() const
    {83, 1250, 16, 1, 0, 0, 120},	//1652 QsciScintilla::setSelectionToEol(bool)
    {83, 1292, 211, 2, 0, 0, 121},	//1653 QsciScintilla::showUserList(int, const QStringList&)
    {83, 1296, 0, 0, Smoke::mf_const, 49, 122},	//1654 QsciScintilla::standardCommands() const
    {83, 1308, 0, 0, Smoke::mf_const, 198, 123},	//1655 QsciScintilla::tabIndents() const
    {83, 1309, 0, 0, Smoke::mf_const, 220, 124},	//1656 QsciScintilla::tabWidth() const
    {83, 1311, 0, 0, Smoke::mf_const, 37, 125},	//1657 QsciScintilla::text() const
    {83, 1311, 18, 1, Smoke::mf_const, 37, 126},	//1658 QsciScintilla::text(int) const
    {83, 1315, 18, 1, Smoke::mf_const, 220, 127},	//1659 QsciScintilla::textHeight(int) const
    {83, 1344, 0, 0, Smoke::mf_const, 98, 128},	//1660 QsciScintilla::whitespaceVisibility() const
    {83, 1346, 170, 1, Smoke::mf_const, 37, 129},	//1661 QsciScintilla::wordAtPoint(const QPoint&) const
    {83, 1348, 0, 0, Smoke::mf_const, 218, 130},	//1662 QsciScintilla::wordCharacters() const
    {83, 1349, 0, 0, Smoke::mf_const, 99, 131},	//1663 QsciScintilla::wrapMode() const
    {83, 1350, 188, 1, Smoke::mf_const, 198, 132},	//1664 QsciScintilla::write(QIODevice*) const
    {83, 733, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 133},	//1665 QsciScintilla::append(const QString&)
    {83, 736, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 134},	//1666 QsciScintilla::autoCompleteFromAll()
    {83, 735, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 135},	//1667 QsciScintilla::autoCompleteFromAPIs()
    {83, 737, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 136},	//1668 QsciScintilla::autoCompleteFromDocument()
    {83, 762, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 137},	//1669 QsciScintilla::callTip()
    {83, 776, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 138},	//1670 QsciScintilla::clear()
    {83, 796, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 139},	//1671 QsciScintilla::copy()
    {83, 802, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 140},	//1672 QsciScintilla::cut()
    {83, 834, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 141},	//1673 QsciScintilla::ensureCursorVisible()
    {83, 835, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 142},	//1674 QsciScintilla::ensureLineVisible(int)
    {83, 861, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 143},	//1675 QsciScintilla::foldAll(bool)
    {83, 869, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 144},	//1676 QsciScintilla::foldLine(int)
    {83, 895, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 145},	//1677 QsciScintilla::indent(int)
    {83, 907, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 146},	//1678 QsciScintilla::insert(const QString&)
    {83, 909, 214, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 147},	//1679 QsciScintilla::insertAt(const QString&, int, int)
    {83, 998, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 148},	//1680 QsciScintilla::moveToMatchingBrace()
    {83, 1009, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 149},	//1681 QsciScintilla::paste()
    {83, 1035, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 150},	//1682 QsciScintilla::redo()
    {83, 1042, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 151},	//1683 QsciScintilla::removeSelectedText()
    {83, 1046, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 152},	//1684 QsciScintilla::resetSelectionBackgroundColor()
    {83, 1047, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 153},	//1685 QsciScintilla::resetSelectionForegroundColor()
    {83, 1056, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 154},	//1686 QsciScintilla::selectAll(bool)
    {83, 1058, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 155},	//1687 QsciScintilla::selectToMatchingBrace()
    {83, 1068, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 156},	//1688 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {83, 1074, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 157},	//1689 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {83, 1076, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 158},	//1690 QsciScintilla::setAutoCompletionShowSingle(bool)
    {83, 1078, 218, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 159},	//1691 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {83, 1080, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 160},	//1692 QsciScintilla::setAutoCompletionThreshold(int)
    {83, 1084, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 161},	//1693 QsciScintilla::setAutoIndent(bool)
    {83, 1092, 220, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 162},	//1694 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {83, 1090, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 163},	//1695 QsciScintilla::setBackspaceUnindents(bool)
    {83, 1104, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 164},	//1696 QsciScintilla::setCaretForegroundColor(const QColor&)
    {83, 1106, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 165},	//1697 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {83, 1108, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 166},	//1698 QsciScintilla::setCaretLineVisible(bool)
    {83, 1110, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 167},	//1699 QsciScintilla::setCaretWidth(int)
    {83, 1116, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 168},	//1700 QsciScintilla::setColor(const QColor&)
    {83, 1119, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 169},	//1701 QsciScintilla::setCursorPosition(int, int)
    {83, 1144, 148, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 170},	//1702 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {83, 1146, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 171},	//1703 QsciScintilla::setEolVisibility(bool)
    {83, 1174, 222, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 172},	//1704 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {83, 1182, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 173},	//1705 QsciScintilla::setIndentation(int, int)
    {83, 1184, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 174},	//1706 QsciScintilla::setIndentationGuides(bool)
    {83, 1186, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 175},	//1707 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {83, 1188, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 176},	//1708 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {83, 1194, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1709 QsciScintilla::setIndentationsUseTabs(bool)
    {83, 1192, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1710 QsciScintilla::setIndentationWidth(int)
    {83, 1200, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1711 QsciScintilla::setLexer(QsciLexer*)
    {83, 1219, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1712 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {83, 1221, 42, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1713 QsciScintilla::setMarginsFont(const QFont&)
    {83, 1223, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1714 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {83, 1204, 225, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1715 QsciScintilla::setMarginLineNumbers(int, bool)
    {83, 1206, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1716 QsciScintilla::setMarginMarkerMask(int, int)
    {83, 1208, 225, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1717 QsciScintilla::setMarginSensitivity(int, bool)
    {83, 1217, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1718 QsciScintilla::setMarginWidth(int, int)
    {83, 1217, 228, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1719 QsciScintilla::setMarginWidth(int, const QString&)
    {83, 1235, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1720 QsciScintilla::setModified(bool)
    {83, 1237, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1721 QsciScintilla::setPaper(const QColor&)
    {83, 1240, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1722 QsciScintilla::setReadOnly(bool)
    {83, 1244, 231, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1723 QsciScintilla::setSelection(int, int, int, int)
    {83, 1246, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1724 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {83, 1248, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1725 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {83, 1259, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1726 QsciScintilla::setTabIndents(bool)
    {83, 1261, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1727 QsciScintilla::setTabWidth(int)
    {83, 1263, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1728 QsciScintilla::setText(const QString&)
    {83, 1273, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1729 QsciScintilla::setUtf8(bool)
    {83, 1283, 236, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1730 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {83, 1285, 121, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1731 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {83, 1329, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1732 QsciScintilla::undo()
    {83, 1330, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1733 QsciScintilla::unindent(int)
    {83, 1358, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1734 QsciScintilla::zoomIn(int)
    {83, 1358, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1735 QsciScintilla::zoomIn()
    {83, 1360, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1736 QsciScintilla::zoomOut(int)
    {83, 1360, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1737 QsciScintilla::zoomOut()
    {83, 1362, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1738 QsciScintilla::zoomTo(int)
    {83, 799, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 207},	//1739 QsciScintilla::cursorPositionChanged(int, int)
    {83, 797, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 208},	//1740 QsciScintilla::copyAvailable(bool)
    {83, 943, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 209},	//1741 QsciScintilla::linesChanged()
    {83, 949, 238, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 210},	//1742 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {83, 986, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 211},	//1743 QsciScintilla::modificationAttempted()
    {83, 987, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 212},	//1744 QsciScintilla::modificationChanged(bool)
    {83, 1060, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 213},	//1745 QsciScintilla::selectionChanged()
    {83, 1314, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 214},	//1746 QsciScintilla::textChanged()
    {83, 1334, 228, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 215},	//1747 QsciScintilla::userListActivated(int, const QString&)
    {83, 1321, 12, 1, Smoke::mf_static, 37, 216},	//1748 QsciScintilla::tr(const char*)
    {83, 1325, 12, 1, Smoke::mf_static, 37, 217},	//1749 QsciScintilla::trUtf8(const char*)
    {83, 434, 0, 0, Smoke::mf_ctor, 87, 218},	//1750 QsciScintilla::QsciScintilla()
    {83, 778, 0, 0, 0, 0, 219},	//1751 QsciScintilla::clearAnnotations()
    {83, 847, 242, 5, 0, 198, 220},	//1752 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {83, 847, 248, 6, 0, 198, 221},	//1753 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {83, 847, 255, 7, 0, 198, 222},	//1754 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {83, 847, 263, 8, 0, 198, 223},	//1755 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {83, 963, 272, 1, 0, 220, 224},	//1756 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {83, 963, 168, 1, 0, 220, 225},	//1757 QsciScintilla::markerDefine(char)
    {83, 963, 274, 1, 0, 220, 226},	//1758 QsciScintilla::markerDefine(const QPixmap&)
    {83, 968, 18, 1, 0, 0, 227},	//1759 QsciScintilla::markerDelete(int)
    {83, 971, 0, 0, 0, 0, 228},	//1760 QsciScintilla::markerDeleteAll()
    {83, 1032, 0, 0, 0, 0, 229},	//1761 QsciScintilla::recolor()
    {83, 1032, 18, 1, 0, 0, 230},	//1762 QsciScintilla::recolor(int)
    {83, 782, 0, 0, 0, 0, 231},	//1763 QsciScintilla::clearMarginText()
    {83, 1225, 80, 1, 0, 0, 232},	//1764 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {83, 1228, 80, 1, 0, 0, 233},	//1765 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {83, 1287, 276, 1, 0, 0, 234},	//1766 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {83, 1287, 278, 2, 0, 0, 235},	//1767 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {83, 861, 0, 0, Smoke::mf_slot, 0, 236},	//1768 QsciScintilla::foldAll()
    {83, 1056, 0, 0, Smoke::mf_slot, 0, 237},	//1769 QsciScintilla::selectAll()
    {83, 1174, 281, 1, Smoke::mf_slot, 0, 238},	//1770 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {83, 1200, 0, 0, Smoke::mf_slot, 0, 239},	//1771 QsciScintilla::setLexer()
    {83, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 240},	//1772 QsciScintilla::staticMetaObject() const
    {83, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 241},	//1773 QsciScintilla::AiMaintain (enum)
    {83, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 242},	//1774 QsciScintilla::AiOpening (enum)
    {83, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 243},	//1775 QsciScintilla::AiClosing (enum)
    {83, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 244},	//1776 QsciScintilla::AnnotationHidden (enum)
    {83, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 245},	//1777 QsciScintilla::AnnotationStandard (enum)
    {83, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 246},	//1778 QsciScintilla::AnnotationBoxed (enum)
    {83, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 247},	//1779 QsciScintilla::AcsNone (enum)
    {83, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 248},	//1780 QsciScintilla::AcsAll (enum)
    {83, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 249},	//1781 QsciScintilla::AcsDocument (enum)
    {83, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 250},	//1782 QsciScintilla::AcsAPIs (enum)
    {83, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 251},	//1783 QsciScintilla::NoBraceMatch (enum)
    {83, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 252},	//1784 QsciScintilla::StrictBraceMatch (enum)
    {83, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 253},	//1785 QsciScintilla::SloppyBraceMatch (enum)
    {83, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 254},	//1786 QsciScintilla::CallTipsNone (enum)
    {83, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 255},	//1787 QsciScintilla::CallTipsNoContext (enum)
    {83, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 256},	//1788 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {83, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 257},	//1789 QsciScintilla::CallTipsContext (enum)
    {83, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 258},	//1790 QsciScintilla::EdgeNone (enum)
    {83, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 259},	//1791 QsciScintilla::EdgeLine (enum)
    {83, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 260},	//1792 QsciScintilla::EdgeBackground (enum)
    {83, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 261},	//1793 QsciScintilla::EolWindows (enum)
    {83, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 262},	//1794 QsciScintilla::EolUnix (enum)
    {83, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 263},	//1795 QsciScintilla::EolMac (enum)
    {83, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 264},	//1796 QsciScintilla::NoFoldStyle (enum)
    {83, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 265},	//1797 QsciScintilla::PlainFoldStyle (enum)
    {83, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 266},	//1798 QsciScintilla::CircledFoldStyle (enum)
    {83, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 267},	//1799 QsciScintilla::BoxedFoldStyle (enum)
    {83, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 268},	//1800 QsciScintilla::CircledTreeFoldStyle (enum)
    {83, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 269},	//1801 QsciScintilla::BoxedTreeFoldStyle (enum)
    {83, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 270},	//1802 QsciScintilla::SymbolMargin (enum)
    {83, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 271},	//1803 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {83, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 272},	//1804 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {83, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 273},	//1805 QsciScintilla::NumberMargin (enum)
    {83, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 274},	//1806 QsciScintilla::TextMargin (enum)
    {83, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 275},	//1807 QsciScintilla::TextMarginRightJustified (enum)
    {83, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 276},	//1808 QsciScintilla::Circle (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 277},	//1809 QsciScintilla::Rectangle (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 278},	//1810 QsciScintilla::RightTriangle (enum)
    {83, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 279},	//1811 QsciScintilla::SmallRectangle (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 280},	//1812 QsciScintilla::RightArrow (enum)
    {83, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 281},	//1813 QsciScintilla::Invisible (enum)
    {83, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 282},	//1814 QsciScintilla::DownTriangle (enum)
    {83, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 283},	//1815 QsciScintilla::Minus (enum)
    {83, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 284},	//1816 QsciScintilla::Plus (enum)
    {83, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 285},	//1817 QsciScintilla::VerticalLine (enum)
    {83, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 286},	//1818 QsciScintilla::BottomLeftCorner (enum)
    {83, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 287},	//1819 QsciScintilla::LeftSideSplitter (enum)
    {83, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 288},	//1820 QsciScintilla::BoxedPlus (enum)
    {83, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 289},	//1821 QsciScintilla::BoxedPlusConnected (enum)
    {83, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 290},	//1822 QsciScintilla::BoxedMinus (enum)
    {83, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 291},	//1823 QsciScintilla::BoxedMinusConnected (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 292},	//1824 QsciScintilla::RoundedBottomLeftCorner (enum)
    {83, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 293},	//1825 QsciScintilla::LeftSideRoundedSplitter (enum)
    {83, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 294},	//1826 QsciScintilla::CircledPlus (enum)
    {83, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 295},	//1827 QsciScintilla::CircledPlusConnected (enum)
    {83, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 296},	//1828 QsciScintilla::CircledMinus (enum)
    {83, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 297},	//1829 QsciScintilla::CircledMinusConnected (enum)
    {83, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 298},	//1830 QsciScintilla::Background (enum)
    {83, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 299},	//1831 QsciScintilla::ThreeDots (enum)
    {83, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 300},	//1832 QsciScintilla::ThreeRightArrows (enum)
    {83, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 301},	//1833 QsciScintilla::WsInvisible (enum)
    {83, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 302},	//1834 QsciScintilla::WsVisible (enum)
    {83, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 303},	//1835 QsciScintilla::WsVisibleAfterIndent (enum)
    {83, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 304},	//1836 QsciScintilla::WrapNone (enum)
    {83, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 305},	//1837 QsciScintilla::WrapWord (enum)
    {83, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 306},	//1838 QsciScintilla::WrapCharacter (enum)
    {83, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 307},	//1839 QsciScintilla::WrapFlagNone (enum)
    {83, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 308},	//1840 QsciScintilla::WrapFlagByText (enum)
    {83, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 309},	//1841 QsciScintilla::WrapFlagByBorder (enum)
    {83, 1401, 0, 0, Smoke::mf_dtor, 0, 310 },	//1842 QsciScintilla::~QsciScintilla()
    {84, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 1},	//1843 QsciScintillaBase::metaObject() const
    {84, 1023, 12, 1, Smoke::mf_virtual, 226, 2},	//1844 QsciScintillaBase::qt_metacast(const char*)
    {84, 1321, 44, 2, Smoke::mf_static, 37, 3},	//1845 QsciScintillaBase::tr(const char*, const char*)
    {84, 1325, 44, 2, Smoke::mf_static, 37, 4},	//1846 QsciScintillaBase::trUtf8(const char*, const char*)
    {84, 1321, 47, 3, Smoke::mf_static, 37, 5},	//1847 QsciScintillaBase::tr(const char*, const char*, int)
    {84, 1325, 47, 3, Smoke::mf_static, 37, 6},	//1848 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {84, 1021, 51, 3, Smoke::mf_virtual, 220, 7},	//1849 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {84, 436, 128, 1, Smoke::mf_ctor, 101, 8},	//1850 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {84, 1011, 0, 0, Smoke::mf_static, 101, 9},	//1851 QsciScintillaBase::pool()
    {84, 620, 283, 3, Smoke::mf_const, 223, 10},	//1852 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {84, 620, 287, 3, Smoke::mf_const, 223, 11},	//1853 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {84, 620, 291, 3, Smoke::mf_const, 223, 12},	//1854 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {84, 620, 295, 2, Smoke::mf_const, 223, 13},	//1855 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {84, 620, 298, 3, Smoke::mf_const, 223, 14},	//1856 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {84, 620, 302, 2, Smoke::mf_const, 223, 15},	//1857 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {84, 620, 305, 2, Smoke::mf_const, 223, 16},	//1858 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {84, 620, 308, 4, Smoke::mf_const, 223, 17},	//1859 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {84, 620, 313, 3, Smoke::mf_const, 223, 18},	//1860 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {84, 620, 317, 2, Smoke::mf_const, 223, 19},	//1861 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {84, 620, 320, 6, Smoke::mf_const, 223, 20},	//1862 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {84, 620, 327, 3, Smoke::mf_const, 223, 21},	//1863 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {84, 628, 331, 1, Smoke::mf_const, 226, 22},	//1864 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {84, 353, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1865 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {84, 564, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1866 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {84, 565, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1867 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {84, 566, 333, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1868 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {84, 466, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1869 QsciScintillaBase::SCEN_CHANGE()
    {84, 568, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1870 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {84, 570, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1871 QsciScintillaBase::SCN_CHARADDED(int)
    {84, 572, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1872 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {84, 574, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1873 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {84, 576, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1874 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {84, 578, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1875 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {84, 580, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1876 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {84, 582, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1877 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {84, 584, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1878 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {84, 586, 287, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1879 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {84, 588, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1880 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {84, 590, 340, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1881 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {84, 592, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1882 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {84, 593, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1883 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {84, 595, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1884 QsciScintillaBase::SCN_PAINTED()
    {84, 596, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1885 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {84, 597, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1886 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {84, 598, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1887 QsciScintillaBase::SCN_STYLENEEDED(int)
    {84, 600, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1888 QsciScintillaBase::SCN_UPDATEUI()
    {84, 601, 333, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1889 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {84, 603, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1890 QsciScintillaBase::SCN_ZOOM()
    {84, 767, 351, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 198, 49},	//1891 QsciScintillaBase::canInsertFromMimeData(const QMimeData*) const
    {84, 885, 351, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 37, 50},	//1892 QsciScintillaBase::fromMimeData(const QMimeData*) const
    {84, 1318, 57, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 21, 51},	//1893 QsciScintillaBase::toMimeData(const QString&) const
    {84, 792, 353, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//1894 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {84, 819, 355, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1895 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {84, 821, 357, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1896 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {84, 823, 359, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1897 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {84, 825, 361, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//1898 QsciScintillaBase::dropEvent(QDropEvent*)
    {84, 855, 363, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1899 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {84, 859, 363, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1900 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {84, 857, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 198, 59},	//1901 QsciScintillaBase::focusNextPrevChild(bool)
    {84, 924, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//1902 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {84, 904, 365, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//1903 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {84, 989, 367, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//1904 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {84, 991, 367, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//1905 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {84, 993, 367, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//1906 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {84, 995, 367, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//1907 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {84, 1002, 369, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//1908 QsciScintillaBase::paintEvent(QPaintEvent*)
    {84, 1048, 371, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//1909 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {84, 1054, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//1910 QsciScintillaBase::scrollContentsBy(int, int)
    {84, 1321, 12, 1, Smoke::mf_static, 37, 69},	//1911 QsciScintillaBase::tr(const char*)
    {84, 1325, 12, 1, Smoke::mf_static, 37, 70},	//1912 QsciScintillaBase::trUtf8(const char*)
    {84, 436, 0, 0, Smoke::mf_ctor, 101, 71},	//1913 QsciScintillaBase::QsciScintillaBase()
    {84, 620, 331, 1, Smoke::mf_const, 223, 72},	//1914 QsciScintillaBase::SendScintilla(unsigned int) const
    {84, 620, 373, 2, Smoke::mf_const, 223, 73},	//1915 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {84, 1301, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 204, 74},	//1916 QsciScintillaBase::staticMetaObject() const
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 75},	//1917 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 76},	//1918 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 77},	//1919 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 78},	//1920 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 79},	//1921 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 80},	//1922 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 81},	//1923 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 82},	//1924 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 83},	//1925 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 84},	//1926 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 85},	//1927 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 86},	//1928 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 87},	//1929 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 88},	//1930 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 89},	//1931 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 90},	//1932 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 91},	//1933 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 92},	//1934 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 93},	//1935 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 94},	//1936 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 95},	//1937 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 96},	//1938 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 97},	//1939 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 98},	//1940 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 99},	//1941 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 100},	//1942 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 101},	//1943 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 102},	//1944 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 103},	//1945 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 104},	//1946 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 105},	//1947 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 106},	//1948 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 107},	//1949 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 108},	//1950 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 109},	//1951 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 110},	//1952 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 111},	//1953 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 112},	//1954 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 113},	//1955 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 114},	//1956 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 115},	//1957 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 116},	//1958 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 117},	//1959 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 118},	//1960 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 119},	//1961 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 120},	//1962 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 121},	//1963 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 122},	//1964 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 123},	//1965 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 124},	//1966 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 125},	//1967 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 126},	//1968 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 127},	//1969 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 128},	//1970 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 129},	//1971 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 130},	//1972 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 131},	//1973 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 132},	//1974 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 133},	//1975 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 134},	//1976 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 135},	//1977 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 136},	//1978 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 137},	//1979 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 138},	//1980 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 139},	//1981 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 140},	//1982 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 141},	//1983 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 142},	//1984 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 143},	//1985 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 144},	//1986 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 145},	//1987 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 146},	//1988 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 147},	//1989 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 148},	//1990 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 149},	//1991 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 150},	//1992 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 151},	//1993 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 152},	//1994 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 153},	//1995 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 154},	//1996 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 155},	//1997 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 156},	//1998 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 157},	//1999 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 158},	//2000 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 159},	//2001 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 160},	//2002 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 161},	//2003 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 162},	//2004 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 163},	//2005 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 164},	//2006 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 165},	//2007 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 166},	//2008 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 167},	//2009 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 168},	//2010 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 169},	//2011 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 170},	//2012 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 171},	//2013 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 172},	//2014 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 173},	//2015 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 174},	//2016 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 175},	//2017 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 176},	//2018 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 177},	//2019 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 178},	//2020 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 179},	//2021 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 180},	//2022 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 181},	//2023 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 182},	//2024 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 183},	//2025 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 184},	//2026 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 185},	//2027 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 186},	//2028 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 187},	//2029 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 188},	//2030 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 189},	//2031 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 190},	//2032 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 191},	//2033 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 192},	//2034 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 193},	//2035 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 194},	//2036 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 195},	//2037 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 196},	//2038 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 197},	//2039 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 198},	//2040 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 199},	//2041 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 200},	//2042 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 201},	//2043 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 202},	//2044 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 203},	//2045 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 204},	//2046 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 205},	//2047 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 206},	//2048 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 207},	//2049 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 208},	//2050 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 209},	//2051 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 210},	//2052 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 211},	//2053 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 212},	//2054 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 213},	//2055 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 214},	//2056 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 215},	//2057 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 216},	//2058 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 217},	//2059 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 218},	//2060 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 219},	//2061 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 220},	//2062 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 221},	//2063 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 222},	//2064 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 223},	//2065 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 224},	//2066 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 225},	//2067 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 226},	//2068 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 227},	//2069 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 228},	//2070 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 229},	//2071 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 230},	//2072 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 231},	//2073 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 232},	//2074 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 233},	//2075 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 234},	//2076 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 235},	//2077 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 236},	//2078 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 237},	//2079 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 238},	//2080 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 239},	//2081 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 240},	//2082 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 241},	//2083 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 242},	//2084 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 243},	//2085 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 244},	//2086 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 245},	//2087 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 246},	//2088 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 247},	//2089 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 248},	//2090 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 249},	//2091 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 250},	//2092 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 251},	//2093 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 252},	//2094 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 253},	//2095 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 254},	//2096 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 255},	//2097 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 256},	//2098 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 257},	//2099 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 258},	//2100 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 259},	//2101 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 260},	//2102 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 261},	//2103 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 262},	//2104 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 263},	//2105 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 264},	//2106 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 265},	//2107 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 266},	//2108 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 267},	//2109 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 268},	//2110 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 269},	//2111 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 270},	//2112 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 271},	//2113 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 272},	//2114 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 273},	//2115 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 274},	//2116 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 275},	//2117 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 276},	//2118 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 277},	//2119 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 278},	//2120 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 279},	//2121 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 280},	//2122 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 281},	//2123 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 282},	//2124 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 283},	//2125 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 284},	//2126 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 285},	//2127 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 286},	//2128 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 287},	//2129 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 288},	//2130 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 289},	//2131 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 290},	//2132 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 291},	//2133 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 292},	//2134 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 293},	//2135 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 294},	//2136 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 295},	//2137 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 296},	//2138 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 297},	//2139 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 298},	//2140 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 299},	//2141 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 300},	//2142 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 301},	//2143 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 302},	//2144 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 303},	//2145 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 304},	//2146 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 305},	//2147 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 306},	//2148 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 307},	//2149 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 308},	//2150 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 309},	//2151 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 310},	//2152 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 311},	//2153 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 312},	//2154 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 313},	//2155 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 314},	//2156 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 315},	//2157 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 316},	//2158 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 317},	//2159 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 318},	//2160 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 319},	//2161 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 320},	//2162 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 321},	//2163 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 322},	//2164 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 323},	//2165 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 324},	//2166 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 325},	//2167 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 326},	//2168 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 327},	//2169 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 328},	//2170 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 329},	//2171 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 330},	//2172 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 331},	//2173 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 332},	//2174 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 333},	//2175 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 334},	//2176 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 335},	//2177 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 336},	//2178 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 337},	//2179 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 338},	//2180 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 339},	//2181 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 340},	//2182 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 341},	//2183 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 342},	//2184 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 343},	//2185 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 344},	//2186 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 345},	//2187 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 346},	//2188 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 347},	//2189 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 348},	//2190 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 349},	//2191 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 350},	//2192 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 351},	//2193 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 352},	//2194 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 353},	//2195 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 354},	//2196 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 355},	//2197 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 356},	//2198 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 357},	//2199 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 358},	//2200 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 359},	//2201 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 360},	//2202 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 361},	//2203 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 362},	//2204 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 363},	//2205 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 364},	//2206 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 365},	//2207 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 366},	//2208 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 367},	//2209 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 368},	//2210 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 369},	//2211 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 370},	//2212 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 371},	//2213 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 372},	//2214 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 373},	//2215 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 374},	//2216 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 375},	//2217 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 376},	//2218 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 377},	//2219 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 378},	//2220 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 379},	//2221 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 380},	//2222 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 381},	//2223 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 382},	//2224 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 383},	//2225 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 384},	//2226 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 385},	//2227 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 386},	//2228 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 387},	//2229 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 388},	//2230 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 389},	//2231 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 390},	//2232 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 391},	//2233 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 392},	//2234 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 393},	//2235 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 394},	//2236 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 395},	//2237 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 396},	//2238 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 397},	//2239 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 398},	//2240 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 399},	//2241 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 400},	//2242 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 401},	//2243 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 402},	//2244 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 403},	//2245 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 404},	//2246 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 405},	//2247 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 406},	//2248 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 407},	//2249 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 408},	//2250 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 409},	//2251 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 410},	//2252 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 411},	//2253 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 412},	//2254 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 413},	//2255 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 414},	//2256 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 415},	//2257 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 416},	//2258 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 417},	//2259 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 418},	//2260 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 419},	//2261 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 420},	//2262 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 421},	//2263 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 422},	//2264 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 423},	//2265 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 424},	//2266 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 425},	//2267 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 426},	//2268 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 427},	//2269 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 428},	//2270 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 429},	//2271 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 430},	//2272 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 431},	//2273 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 432},	//2274 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 433},	//2275 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 434},	//2276 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 435},	//2277 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 436},	//2278 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 437},	//2279 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 438},	//2280 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 439},	//2281 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 440},	//2282 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 441},	//2283 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 442},	//2284 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 443},	//2285 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 444},	//2286 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 445},	//2287 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 446},	//2288 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 447},	//2289 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 448},	//2290 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 449},	//2291 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 450},	//2292 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 451},	//2293 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 452},	//2294 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 453},	//2295 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 454},	//2296 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 455},	//2297 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 456},	//2298 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 457},	//2299 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 458},	//2300 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 459},	//2301 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 460},	//2302 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 461},	//2303 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 462},	//2304 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 463},	//2305 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 464},	//2306 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 465},	//2307 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 466},	//2308 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 467},	//2309 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 468},	//2310 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 469},	//2311 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 470},	//2312 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 471},	//2313 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 472},	//2314 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 473},	//2315 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 474},	//2316 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 475},	//2317 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 476},	//2318 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 477},	//2319 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 478},	//2320 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 479},	//2321 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 480},	//2322 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 481},	//2323 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 482},	//2324 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 483},	//2325 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 484},	//2326 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 485},	//2327 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 486},	//2328 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 487},	//2329 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 488},	//2330 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 489},	//2331 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 490},	//2332 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 491},	//2333 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 492},	//2334 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 493},	//2335 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 494},	//2336 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 495},	//2337 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 496},	//2338 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 497},	//2339 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 498},	//2340 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 499},	//2341 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 500},	//2342 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 501},	//2343 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 502},	//2344 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 503},	//2345 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 504},	//2346 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 505},	//2347 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 506},	//2348 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 507},	//2349 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 508},	//2350 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 509},	//2351 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 510},	//2352 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 511},	//2353 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 512},	//2354 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 513},	//2355 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 514},	//2356 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 515},	//2357 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 516},	//2358 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 517},	//2359 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 518},	//2360 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 519},	//2361 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 520},	//2362 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 521},	//2363 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 522},	//2364 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 523},	//2365 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 524},	//2366 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 525},	//2367 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 526},	//2368 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 527},	//2369 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 528},	//2370 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 529},	//2371 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 530},	//2372 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 531},	//2373 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 532},	//2374 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 533},	//2375 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 534},	//2376 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 535},	//2377 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 536},	//2378 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 537},	//2379 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 538},	//2380 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 539},	//2381 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 540},	//2382 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 541},	//2383 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 542},	//2384 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 543},	//2385 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 544},	//2386 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 545},	//2387 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 546},	//2388 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 547},	//2389 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 548},	//2390 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 549},	//2391 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 550},	//2392 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 551},	//2393 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 552},	//2394 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 553},	//2395 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 554},	//2396 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 555},	//2397 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 556},	//2398 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 557},	//2399 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 558},	//2400 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 559},	//2401 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 560},	//2402 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 561},	//2403 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 562},	//2404 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 563},	//2405 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 564},	//2406 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 565},	//2407 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 566},	//2408 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 567},	//2409 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 568},	//2410 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 569},	//2411 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 570},	//2412 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 571},	//2413 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 572},	//2414 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 573},	//2415 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 574},	//2416 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 575},	//2417 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 576},	//2418 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 577},	//2419 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 578},	//2420 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 579},	//2421 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 580},	//2422 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 581},	//2423 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 582},	//2424 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 583},	//2425 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 584},	//2426 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 585},	//2427 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 586},	//2428 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 587},	//2429 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 588},	//2430 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 589},	//2431 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 590},	//2432 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 591},	//2433 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 592},	//2434 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 593},	//2435 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 594},	//2436 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 595},	//2437 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 596},	//2438 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 597},	//2439 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 598},	//2440 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 599},	//2441 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 600},	//2442 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 601},	//2443 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 602},	//2444 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 603},	//2445 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 604},	//2446 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 605},	//2447 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 606},	//2448 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 607},	//2449 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 608},	//2450 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 609},	//2451 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 610},	//2452 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 611},	//2453 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 612},	//2454 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 613},	//2455 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 614},	//2456 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 615},	//2457 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 616},	//2458 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 617},	//2459 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 618},	//2460 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 619},	//2461 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 620},	//2462 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 621},	//2463 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 622},	//2464 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 623},	//2465 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 624},	//2466 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 625},	//2467 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 626},	//2468 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 627},	//2469 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 628},	//2470 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 629},	//2471 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 630},	//2472 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 631},	//2473 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 632},	//2474 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 633},	//2475 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 634},	//2476 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 635},	//2477 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 636},	//2478 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 637},	//2479 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 638},	//2480 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 639},	//2481 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 640},	//2482 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 641},	//2483 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 642},	//2484 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 643},	//2485 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 644},	//2486 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 645},	//2487 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 646},	//2488 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 647},	//2489 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 648},	//2490 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 649},	//2491 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 650},	//2492 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 651},	//2493 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 652},	//2494 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 653},	//2495 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 654},	//2496 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 655},	//2497 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 656},	//2498 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 657},	//2499 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 658},	//2500 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 659},	//2501 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 660},	//2502 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 661},	//2503 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 662},	//2504 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 663},	//2505 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 664},	//2506 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 665},	//2507 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 666},	//2508 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 667},	//2509 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 668},	//2510 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 669},	//2511 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 670},	//2512 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 671},	//2513 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 672},	//2514 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 673},	//2515 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 674},	//2516 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 675},	//2517 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 676},	//2518 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 677},	//2519 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 678},	//2520 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 679},	//2521 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 680},	//2522 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 681},	//2523 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 682},	//2524 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 683},	//2525 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 684},	//2526 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 685},	//2527 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 686},	//2528 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 687},	//2529 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 688},	//2530 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 689},	//2531 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 690},	//2532 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 691},	//2533 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 692},	//2534 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 693},	//2535 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 694},	//2536 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 695},	//2537 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 696},	//2538 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 697},	//2539 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 698},	//2540 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 699},	//2541 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 700},	//2542 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 701},	//2543 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 702},	//2544 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 703},	//2545 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 704},	//2546 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 705},	//2547 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 706},	//2548 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 707},	//2549 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 708},	//2550 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 709},	//2551 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 710},	//2552 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 711},	//2553 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 712},	//2554 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 713},	//2555 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 714},	//2556 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 715},	//2557 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 716},	//2558 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 717},	//2559 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 718},	//2560 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 719},	//2561 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 720},	//2562 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 721},	//2563 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 722},	//2564 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 723},	//2565 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 724},	//2566 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 725},	//2567 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 726},	//2568 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 727},	//2569 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 728},	//2570 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 729},	//2571 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 730},	//2572 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 731},	//2573 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 732},	//2574 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 733},	//2575 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 734},	//2576 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 735},	//2577 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 736},	//2578 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 737},	//2579 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 738},	//2580 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 739},	//2581 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 740},	//2582 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 741},	//2583 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 742},	//2584 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 743},	//2585 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 744},	//2586 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 745},	//2587 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 746},	//2588 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 747},	//2589 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 748},	//2590 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 749},	//2591 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 750},	//2592 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 751},	//2593 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 752},	//2594 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 753},	//2595 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 754},	//2596 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 755},	//2597 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 756},	//2598 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 757},	//2599 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 758},	//2600 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 759},	//2601 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 760},	//2602 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 761},	//2603 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 762},	//2604 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 763},	//2605 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 764},	//2606 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 765},	//2607 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 766},	//2608 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 767},	//2609 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 768},	//2610 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 769},	//2611 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 770},	//2612 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 771},	//2613 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 772},	//2614 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 773},	//2615 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 774},	//2616 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 775},	//2617 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 776},	//2618 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 777},	//2619 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 778},	//2620 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 779},	//2621 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 780},	//2622 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 781},	//2623 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 782},	//2624 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 783},	//2625 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 784},	//2626 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 785},	//2627 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 786},	//2628 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 787},	//2629 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 788},	//2630 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 789},	//2631 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 790},	//2632 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 791},	//2633 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 792},	//2634 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 793},	//2635 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 794},	//2636 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 795},	//2637 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 796},	//2638 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 797},	//2639 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 798},	//2640 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 799},	//2641 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 800},	//2642 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 801},	//2643 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 802},	//2644 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 803},	//2645 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 804},	//2646 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 805},	//2647 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 806},	//2648 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 807},	//2649 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 808},	//2650 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 809},	//2651 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 810},	//2652 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 811},	//2653 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 812},	//2654 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 813},	//2655 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 814},	//2656 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 815},	//2657 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 816},	//2658 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 817},	//2659 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 818},	//2660 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 819},	//2661 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 820},	//2662 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 821},	//2663 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 822},	//2664 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 823},	//2665 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 824},	//2666 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 825},	//2667 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 826},	//2668 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 827},	//2669 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 828},	//2670 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 829},	//2671 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 830},	//2672 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 831},	//2673 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 832},	//2674 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 833},	//2675 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 834},	//2676 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 835},	//2677 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 836},	//2678 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 837},	//2679 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 838},	//2680 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 839},	//2681 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 840},	//2682 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 841},	//2683 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 842},	//2684 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 843},	//2685 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 844},	//2686 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 845},	//2687 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 846},	//2688 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 847},	//2689 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 848},	//2690 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 849},	//2691 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 850},	//2692 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 851},	//2693 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 852},	//2694 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 853},	//2695 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 854},	//2696 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 855},	//2697 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 856},	//2698 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 857},	//2699 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 858},	//2700 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 859},	//2701 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 860},	//2702 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 861},	//2703 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 862},	//2704 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 863},	//2705 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 864},	//2706 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 865},	//2707 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 866},	//2708 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 867},	//2709 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 868},	//2710 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 869},	//2711 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 870},	//2712 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 871},	//2713 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 872},	//2714 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 873},	//2715 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 874},	//2716 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 875},	//2717 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 876},	//2718 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 877},	//2719 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 878},	//2720 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 879},	//2721 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 880},	//2722 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 881},	//2723 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 882},	//2724 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 883},	//2725 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 884},	//2726 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 885},	//2727 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 886},	//2728 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 887},	//2729 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 888},	//2730 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 889},	//2731 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 890},	//2732 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 891},	//2733 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 892},	//2734 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 893},	//2735 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 894},	//2736 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 895},	//2737 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 896},	//2738 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 897},	//2739 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 898},	//2740 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 899},	//2741 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 900},	//2742 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 901},	//2743 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 902},	//2744 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 903},	//2745 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 904},	//2746 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 905},	//2747 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 906},	//2748 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 907},	//2749 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 908},	//2750 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 909},	//2751 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 910},	//2752 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 911},	//2753 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 912},	//2754 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 913},	//2755 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 914},	//2756 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 915},	//2757 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 916},	//2758 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 917},	//2759 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 918},	//2760 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 919},	//2761 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 920},	//2762 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 921},	//2763 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 922},	//2764 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 923},	//2765 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 924},	//2766 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 925},	//2767 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 926},	//2768 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 927},	//2769 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 928},	//2770 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 929},	//2771 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 930},	//2772 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 931},	//2773 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 932},	//2774 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 933},	//2775 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 934},	//2776 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 935},	//2777 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 936},	//2778 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 937},	//2779 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 938},	//2780 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 939},	//2781 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 940},	//2782 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 941},	//2783 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 942},	//2784 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 943},	//2785 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 944},	//2786 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 945},	//2787 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 946},	//2788 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 947},	//2789 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 948},	//2790 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 949},	//2791 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 950},	//2792 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 951},	//2793 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 952},	//2794 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 953},	//2795 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 954},	//2796 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 955},	//2797 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 956},	//2798 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 957},	//2799 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 958},	//2800 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 959},	//2801 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 960},	//2802 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 961},	//2803 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 962},	//2804 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 963},	//2805 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 964},	//2806 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 965},	//2807 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 966},	//2808 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 967},	//2809 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 968},	//2810 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 969},	//2811 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 970},	//2812 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 971},	//2813 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 972},	//2814 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 973},	//2815 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 974},	//2816 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 975},	//2817 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 976},	//2818 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 977},	//2819 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 978},	//2820 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 979},	//2821 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 980},	//2822 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 981},	//2823 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 982},	//2824 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 983},	//2825 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 984},	//2826 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 985},	//2827 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 986},	//2828 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 987},	//2829 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 988},	//2830 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 989},	//2831 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 990},	//2832 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 991},	//2833 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 992},	//2834 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 993},	//2835 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 994},	//2836 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 995},	//2837 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 996},	//2838 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 997},	//2839 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 998},	//2840 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 999},	//2841 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1000},	//2842 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1001},	//2843 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1002},	//2844 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1003},	//2845 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1004},	//2846 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1005},	//2847 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1006},	//2848 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1007},	//2849 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1008},	//2850 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1009},	//2851 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1010},	//2852 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1011},	//2853 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1012},	//2854 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1013},	//2855 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1014},	//2856 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1015},	//2857 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1016},	//2858 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1017},	//2859 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1018},	//2860 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1019},	//2861 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1020},	//2862 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1021},	//2863 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1022},	//2864 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1023},	//2865 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1024},	//2866 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1025},	//2867 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1026},	//2868 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1027},	//2869 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1028},	//2870 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1029},	//2871 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1030},	//2872 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1031},	//2873 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1032},	//2874 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1033},	//2875 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1034},	//2876 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1035},	//2877 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1036},	//2878 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1037},	//2879 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1038},	//2880 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1039},	//2881 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1040},	//2882 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1041},	//2883 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1042},	//2884 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1043},	//2885 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1044},	//2886 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1045},	//2887 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1046},	//2888 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1047},	//2889 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1048},	//2890 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1049},	//2891 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1050},	//2892 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1051},	//2893 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1052},	//2894 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1053},	//2895 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1054},	//2896 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1055},	//2897 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1056},	//2898 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1057},	//2899 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1058},	//2900 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1059},	//2901 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1060},	//2902 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1061},	//2903 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1062},	//2904 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1063},	//2905 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1064},	//2906 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1065},	//2907 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1066},	//2908 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1067},	//2909 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1068},	//2910 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1069},	//2911 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1070},	//2912 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1071},	//2913 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1072},	//2914 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1073},	//2915 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1074},	//2916 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1075},	//2917 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1076},	//2918 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1077},	//2919 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1078},	//2920 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1079},	//2921 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1080},	//2922 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1081},	//2923 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1082},	//2924 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1083},	//2925 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1084},	//2926 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1085},	//2927 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1086},	//2928 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1087},	//2929 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1088},	//2930 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1089},	//2931 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1090},	//2932 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1091},	//2933 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1092},	//2934 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1093},	//2935 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1094},	//2936 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1095},	//2937 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1096},	//2938 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1097},	//2939 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1098},	//2940 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1099},	//2941 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1100},	//2942 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1101},	//2943 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1102},	//2944 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1103},	//2945 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1104},	//2946 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1105},	//2947 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1106},	//2948 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1107},	//2949 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1108},	//2950 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1109},	//2951 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1110},	//2952 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1111},	//2953 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1112},	//2954 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1113},	//2955 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1114},	//2956 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1115},	//2957 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1116},	//2958 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1117},	//2959 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1118},	//2960 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1119},	//2961 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1120},	//2962 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1121},	//2963 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1122},	//2964 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1123},	//2965 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1124},	//2966 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1125},	//2967 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1126},	//2968 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1127},	//2969 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1128},	//2970 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1129},	//2971 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1130},	//2972 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1131},	//2973 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1132},	//2974 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1133},	//2975 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1134},	//2976 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1135},	//2977 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1136},	//2978 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1137},	//2979 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1138},	//2980 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1139},	//2981 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1140},	//2982 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1141},	//2983 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1142},	//2984 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1143},	//2985 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1144},	//2986 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1145},	//2987 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1146},	//2988 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1147},	//2989 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1148},	//2990 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1149},	//2991 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1150},	//2992 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1151},	//2993 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1152},	//2994 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1153},	//2995 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1154},	//2996 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1155},	//2997 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1156},	//2998 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1157},	//2999 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1158},	//3000 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1159},	//3001 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1160},	//3002 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1161},	//3003 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1162},	//3004 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1163},	//3005 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1164},	//3006 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1165},	//3007 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1166},	//3008 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1167},	//3009 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1168},	//3010 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1169},	//3011 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1170},	//3012 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1171},	//3013 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1172},	//3014 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1173},	//3015 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1174},	//3016 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1175},	//3017 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1176},	//3018 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1177},	//3019 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1178},	//3020 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1179},	//3021 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1180},	//3022 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1181},	//3023 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1182},	//3024 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1183},	//3025 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1184},	//3026 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1185},	//3027 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1186},	//3028 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1187},	//3029 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1188},	//3030 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1189},	//3031 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1190},	//3032 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1191},	//3033 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1192},	//3034 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1193},	//3035 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1194},	//3036 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1195},	//3037 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1196},	//3038 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1197},	//3039 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1198},	//3040 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1199},	//3041 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1200},	//3042 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1201},	//3043 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1202},	//3044 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1203},	//3045 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1204},	//3046 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1205},	//3047 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1206},	//3048 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1207},	//3049 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1208},	//3050 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1209},	//3051 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1210},	//3052 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1211},	//3053 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1212},	//3054 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1213},	//3055 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1214},	//3056 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1215},	//3057 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1216},	//3058 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1217},	//3059 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1218},	//3060 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1219},	//3061 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1220},	//3062 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1221},	//3063 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1222},	//3064 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1223},	//3065 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1224},	//3066 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1225},	//3067 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1226},	//3068 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1227},	//3069 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1228},	//3070 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1229},	//3071 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1230},	//3072 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1231},	//3073 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1232},	//3074 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1233},	//3075 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1234},	//3076 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1235},	//3077 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1236},	//3078 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1237},	//3079 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1238},	//3080 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1239},	//3081 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1240},	//3082 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1241},	//3083 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1242},	//3084 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1243},	//3085 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1244},	//3086 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1245},	//3087 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1246},	//3088 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1247},	//3089 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1248},	//3090 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1249},	//3091 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1250},	//3092 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1251},	//3093 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1252},	//3094 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1253},	//3095 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1254},	//3096 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1255},	//3097 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1256},	//3098 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1257},	//3099 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1258},	//3100 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1259},	//3101 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1260},	//3102 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1261},	//3103 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1262},	//3104 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1263},	//3105 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1264},	//3106 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1265},	//3107 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1266},	//3108 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1267},	//3109 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1268},	//3110 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1269},	//3111 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1270},	//3112 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1271},	//3113 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1272},	//3114 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1273},	//3115 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1274},	//3116 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1275},	//3117 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1276},	//3118 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1277},	//3119 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1278},	//3120 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1279},	//3121 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1280},	//3122 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1281},	//3123 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1282},	//3124 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1283},	//3125 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1284},	//3126 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1285},	//3127 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1286},	//3128 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1287},	//3129 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1288},	//3130 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1289},	//3131 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1290},	//3132 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1291},	//3133 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1292},	//3134 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1293},	//3135 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1294},	//3136 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1295},	//3137 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1296},	//3138 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1297},	//3139 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1298},	//3140 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1299},	//3141 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1300},	//3142 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1301},	//3143 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1302},	//3144 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1303},	//3145 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1304},	//3146 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1305},	//3147 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1306},	//3148 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1307},	//3149 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1308},	//3150 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1309},	//3151 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1310},	//3152 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1311},	//3153 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1312},	//3154 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1313},	//3155 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1314},	//3156 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1315},	//3157 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1316},	//3158 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1317},	//3159 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1318},	//3160 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1319},	//3161 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1320},	//3162 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1321},	//3163 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1322},	//3164 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1323},	//3165 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1324},	//3166 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1325},	//3167 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1326},	//3168 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1327},	//3169 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1328},	//3170 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1329},	//3171 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1330},	//3172 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1331},	//3173 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1332},	//3174 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1333},	//3175 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1334},	//3176 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1335},	//3177 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1336},	//3178 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1337},	//3179 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1338},	//3180 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1339},	//3181 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1340},	//3182 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1341},	//3183 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1342},	//3184 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1343},	//3185 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1344},	//3186 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1345},	//3187 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1346},	//3188 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1347},	//3189 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1348},	//3190 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1349},	//3191 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1350},	//3192 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1351},	//3193 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1352},	//3194 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1353},	//3195 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1354},	//3196 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1355},	//3197 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1356},	//3198 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1357},	//3199 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1358},	//3200 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1359},	//3201 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1360},	//3202 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1361},	//3203 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1362},	//3204 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1363},	//3205 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1364},	//3206 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1365},	//3207 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1366},	//3208 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1367},	//3209 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1368},	//3210 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1369},	//3211 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1370},	//3212 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1371},	//3213 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1372},	//3214 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1373},	//3215 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1374},	//3216 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1375},	//3217 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1376},	//3218 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1377},	//3219 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1378},	//3220 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1379},	//3221 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1380},	//3222 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1381},	//3223 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1382},	//3224 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1383},	//3225 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1384},	//3226 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1385},	//3227 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1386},	//3228 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1387},	//3229 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1388},	//3230 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1389},	//3231 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1390},	//3232 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1391},	//3233 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1392},	//3234 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1393},	//3235 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1394},	//3236 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1395},	//3237 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1396},	//3238 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1397},	//3239 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1398},	//3240 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1399},	//3241 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1400},	//3242 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1401},	//3243 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1402},	//3244 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1403},	//3245 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1404},	//3246 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1405},	//3247 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1406},	//3248 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1407},	//3249 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1408},	//3250 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1409},	//3251 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1410},	//3252 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1411},	//3253 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1412},	//3254 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1413},	//3255 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1414},	//3256 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1415},	//3257 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1416},	//3258 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1417},	//3259 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1418},	//3260 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1419},	//3261 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1420},	//3262 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1421},	//3263 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1422},	//3264 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1423},	//3265 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1424},	//3266 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1425},	//3267 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1426},	//3268 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1427},	//3269 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1428},	//3270 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1429},	//3271 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1430},	//3272 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1431},	//3273 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1432},	//3274 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1433},	//3275 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1434},	//3276 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1435},	//3277 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1436},	//3278 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1437},	//3279 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1438},	//3280 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1439},	//3281 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1440},	//3282 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1441},	//3283 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1442},	//3284 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1443},	//3285 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1444},	//3286 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1445},	//3287 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1446},	//3288 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1447},	//3289 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1448},	//3290 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1449},	//3291 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1450},	//3292 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1451},	//3293 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1452},	//3294 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1453},	//3295 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1454},	//3296 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1455},	//3297 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1456},	//3298 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1457},	//3299 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1458},	//3300 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1459},	//3301 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1460},	//3302 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1461},	//3303 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1462},	//3304 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1463},	//3305 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1464},	//3306 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1465},	//3307 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1466},	//3308 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1467},	//3309 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1468},	//3310 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1469},	//3311 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1470},	//3312 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1471},	//3313 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1472},	//3314 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1473},	//3315 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1474},	//3316 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1475},	//3317 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1476},	//3318 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1477},	//3319 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1478},	//3320 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1479},	//3321 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1480},	//3322 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1481},	//3323 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1482},	//3324 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1483},	//3325 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1484},	//3326 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1485},	//3327 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1486},	//3328 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1487},	//3329 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1488},	//3330 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1489},	//3331 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1490},	//3332 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1491},	//3333 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1492},	//3334 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1493},	//3335 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1494},	//3336 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1495},	//3337 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1496},	//3338 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1497},	//3339 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1498},	//3340 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1499},	//3341 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1500},	//3342 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1501},	//3343 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1502},	//3344 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1503},	//3345 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1504},	//3346 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1505},	//3347 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1506},	//3348 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1507},	//3349 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1508},	//3350 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1509},	//3351 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1510},	//3352 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1511},	//3353 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1512},	//3354 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1513},	//3355 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1514},	//3356 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1515},	//3357 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1516},	//3358 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1517},	//3359 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1518},	//3360 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1519},	//3361 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1520},	//3362 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1521},	//3363 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1522},	//3364 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1523},	//3365 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1524},	//3366 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1525},	//3367 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1526},	//3368 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1527},	//3369 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1528},	//3370 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1529},	//3371 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1530},	//3372 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1531},	//3373 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1532},	//3374 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1533},	//3375 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1534},	//3376 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1535},	//3377 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1536},	//3378 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1537},	//3379 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1538},	//3380 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1539},	//3381 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1540},	//3382 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1541},	//3383 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1542},	//3384 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1543},	//3385 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1544},	//3386 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1545},	//3387 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1546},	//3388 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1547},	//3389 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1548},	//3390 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1549},	//3391 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1550},	//3392 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1551},	//3393 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1552},	//3394 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1553},	//3395 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1554},	//3396 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1555},	//3397 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1556},	//3398 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1557},	//3399 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1558},	//3400 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1559},	//3401 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1560},	//3402 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1561},	//3403 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1562},	//3404 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1563},	//3405 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1564},	//3406 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1565},	//3407 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1566},	//3408 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1567},	//3409 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1568},	//3410 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1569},	//3411 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1570},	//3412 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1571},	//3413 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1572},	//3414 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1573},	//3415 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1574},	//3416 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1575},	//3417 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1576},	//3418 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1577},	//3419 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1578},	//3420 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1579},	//3421 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1580},	//3422 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1581},	//3423 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1582},	//3424 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1583},	//3425 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1584},	//3426 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1585},	//3427 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1586},	//3428 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1587},	//3429 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1588},	//3430 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1589},	//3431 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1590},	//3432 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1591},	//3433 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1592},	//3434 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1593},	//3435 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1594},	//3436 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1595},	//3437 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1596},	//3438 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1597},	//3439 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1598},	//3440 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1599},	//3441 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1600},	//3442 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1601},	//3443 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1602},	//3444 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1603},	//3445 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1604},	//3446 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1605},	//3447 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1606},	//3448 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1607},	//3449 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1608},	//3450 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1609},	//3451 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1610},	//3452 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1611},	//3453 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1612},	//3454 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1613},	//3455 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1614},	//3456 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1615},	//3457 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1616},	//3458 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1617},	//3459 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1618},	//3460 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1619},	//3461 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1620},	//3462 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1621},	//3463 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1622},	//3464 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1623},	//3465 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1624},	//3466 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1625},	//3467 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1626},	//3468 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1627},	//3469 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1628},	//3470 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1629},	//3471 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1630},	//3472 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1631},	//3473 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1632},	//3474 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1633},	//3475 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1634},	//3476 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1635},	//3477 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1636},	//3478 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1637},	//3479 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1638},	//3480 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1639},	//3481 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1640},	//3482 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1641},	//3483 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1642},	//3484 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1643},	//3485 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1644},	//3486 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1645},	//3487 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1646},	//3488 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1647},	//3489 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1648},	//3490 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1649},	//3491 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1650},	//3492 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1651},	//3493 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1652},	//3494 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1653},	//3495 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1654},	//3496 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1655},	//3497 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1656},	//3498 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1657},	//3499 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1658},	//3500 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1659},	//3501 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1660},	//3502 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1661},	//3503 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1662},	//3504 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1663},	//3505 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1664},	//3506 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1665},	//3507 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1666},	//3508 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1667},	//3509 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1668},	//3510 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1669},	//3511 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1670},	//3512 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1671},	//3513 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1672},	//3514 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1673},	//3515 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1674},	//3516 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1675},	//3517 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1676},	//3518 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1677},	//3519 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1678},	//3520 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1679},	//3521 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1680},	//3522 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1681},	//3523 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1682},	//3524 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1683},	//3525 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1684},	//3526 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1685},	//3527 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1686},	//3528 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1687},	//3529 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1688},	//3530 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1689},	//3531 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1690},	//3532 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1691},	//3533 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1692},	//3534 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1693},	//3535 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1694},	//3536 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1695},	//3537 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1696},	//3538 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1697},	//3539 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1698},	//3540 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1699},	//3541 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1700},	//3542 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1701},	//3543 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1702},	//3544 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1703},	//3545 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1704},	//3546 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1705},	//3547 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1706},	//3548 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1707},	//3549 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1708},	//3550 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1709},	//3551 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1710},	//3552 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1711},	//3553 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1712},	//3554 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1713},	//3555 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1714},	//3556 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1715},	//3557 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1716},	//3558 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1717},	//3559 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1718},	//3560 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1719},	//3561 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1720},	//3562 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1721},	//3563 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1722},	//3564 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1723},	//3565 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1724},	//3566 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1725},	//3567 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1726},	//3568 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1727},	//3569 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1728},	//3570 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1729},	//3571 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1730},	//3572 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1731},	//3573 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1732},	//3574 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1733},	//3575 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1734},	//3576 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1735},	//3577 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1736},	//3578 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1737},	//3579 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1738},	//3580 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1739},	//3581 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1740},	//3582 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1741},	//3583 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1742},	//3584 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1743},	//3585 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1744},	//3586 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1745},	//3587 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1746},	//3588 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1747},	//3589 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1748},	//3590 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1749},	//3591 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1750},	//3592 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1751},	//3593 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1752},	//3594 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1753},	//3595 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1754},	//3596 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1755},	//3597 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1756},	//3598 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1757},	//3599 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1758},	//3600 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1759},	//3601 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1760},	//3602 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1761},	//3603 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1762},	//3604 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1763},	//3605 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1764},	//3606 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1765},	//3607 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1766},	//3608 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1767},	//3609 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1768},	//3610 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1769},	//3611 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1770},	//3612 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1771},	//3613 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1772},	//3614 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1773},	//3615 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1774},	//3616 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1775},	//3617 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1776},	//3618 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1777},	//3619 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1778},	//3620 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1779},	//3621 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1780},	//3622 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1781},	//3623 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1782},	//3624 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1783},	//3625 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1784},	//3626 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1785},	//3627 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1786},	//3628 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1787},	//3629 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1788},	//3630 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1789},	//3631 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1790},	//3632 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1791},	//3633 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1792},	//3634 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1793},	//3635 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1794},	//3636 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1795},	//3637 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1796},	//3638 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1797},	//3639 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1798},	//3640 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1799},	//3641 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1800},	//3642 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1801},	//3643 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1802},	//3644 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1803},	//3645 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1804},	//3646 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1805},	//3647 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1806},	//3648 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1807},	//3649 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1808},	//3650 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1809},	//3651 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1810},	//3652 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1811},	//3653 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1812},	//3654 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1813},	//3655 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1814},	//3656 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1815},	//3657 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1816},	//3658 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1817},	//3659 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1818},	//3660 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1819},	//3661 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1820},	//3662 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1821},	//3663 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1822},	//3664 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1823},	//3665 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1824},	//3666 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1825},	//3667 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1826},	//3668 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1827},	//3669 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1828},	//3670 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1829},	//3671 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1830},	//3672 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1831},	//3673 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1832},	//3674 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1833},	//3675 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1834},	//3676 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1835},	//3677 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1836},	//3678 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1837},	//3679 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1838},	//3680 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1839},	//3681 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1840},	//3682 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1841},	//3683 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1842},	//3684 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1843},	//3685 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1844},	//3686 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1845},	//3687 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1846},	//3688 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1847},	//3689 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1848},	//3690 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1849},	//3691 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1850},	//3692 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1851},	//3693 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1852},	//3694 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1853},	//3695 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1854},	//3696 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1855},	//3697 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1856},	//3698 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1857},	//3699 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1858},	//3700 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1859},	//3701 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1860},	//3702 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1861},	//3703 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1862},	//3704 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1863},	//3705 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1864},	//3706 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1865},	//3707 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1866},	//3708 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1867},	//3709 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1868},	//3710 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1869},	//3711 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1870},	//3712 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1871},	//3713 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1872},	//3714 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1873},	//3715 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1874},	//3716 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1875},	//3717 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1876},	//3718 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1877},	//3719 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1878},	//3720 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1879},	//3721 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1880},	//3722 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1881},	//3723 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1882},	//3724 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1883},	//3725 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1884},	//3726 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1885},	//3727 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1886},	//3728 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1887},	//3729 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1888},	//3730 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1889},	//3731 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1890},	//3732 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1891},	//3733 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1892},	//3734 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1893},	//3735 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1894},	//3736 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1895},	//3737 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1896},	//3738 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1897},	//3739 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1898},	//3740 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1899},	//3741 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1900},	//3742 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1901},	//3743 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1902},	//3744 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1903},	//3745 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1904},	//3746 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1905},	//3747 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1906},	//3748 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1907},	//3749 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1908},	//3750 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1909},	//3751 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1910},	//3752 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1911},	//3753 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1912},	//3754 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1913},	//3755 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1914},	//3756 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1915},	//3757 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1916},	//3758 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1917},	//3759 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1918},	//3760 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1919},	//3761 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1920},	//3762 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1921},	//3763 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1922},	//3764 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1923},	//3765 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1924},	//3766 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1925},	//3767 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1926},	//3768 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1927},	//3769 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1928},	//3770 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1929},	//3771 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1930},	//3772 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1931},	//3773 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1932},	//3774 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1933},	//3775 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1934},	//3776 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1935},	//3777 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1936},	//3778 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1937},	//3779 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1938},	//3780 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1939},	//3781 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1940},	//3782 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1941},	//3783 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1942},	//3784 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1943},	//3785 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1944},	//3786 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1945},	//3787 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1946},	//3788 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1947},	//3789 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1948},	//3790 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1949},	//3791 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1950},	//3792 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1951},	//3793 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1952},	//3794 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1953},	//3795 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1954},	//3796 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1955},	//3797 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1956},	//3798 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1957},	//3799 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1958},	//3800 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1959},	//3801 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1960},	//3802 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1961},	//3803 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1962},	//3804 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1963},	//3805 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1964},	//3806 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1965},	//3807 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1966},	//3808 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1967},	//3809 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1968},	//3810 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1969},	//3811 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1970},	//3812 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1971},	//3813 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1972},	//3814 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1973},	//3815 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1974},	//3816 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1975},	//3817 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1976},	//3818 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1977},	//3819 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1978},	//3820 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1979},	//3821 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1980},	//3822 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1981},	//3823 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1982},	//3824 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1983},	//3825 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1984},	//3826 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1985},	//3827 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1986},	//3828 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1987},	//3829 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1988},	//3830 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1989},	//3831 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1990},	//3832 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1991},	//3833 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1992},	//3834 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1993},	//3835 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1994},	//3836 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1995},	//3837 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1996},	//3838 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1997},	//3839 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1998},	//3840 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 1999},	//3841 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2000},	//3842 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2001},	//3843 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2002},	//3844 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2003},	//3845 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2004},	//3846 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2005},	//3847 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2006},	//3848 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2007},	//3849 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2008},	//3850 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2009},	//3851 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2010},	//3852 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2011},	//3853 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2012},	//3854 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2013},	//3855 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2014},	//3856 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2015},	//3857 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2016},	//3858 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2017},	//3859 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2018},	//3860 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2019},	//3861 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2020},	//3862 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2021},	//3863 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2022},	//3864 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2023},	//3865 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2024},	//3866 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2025},	//3867 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2026},	//3868 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2027},	//3869 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2028},	//3870 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2029},	//3871 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2030},	//3872 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2031},	//3873 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2032},	//3874 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2033},	//3875 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2034},	//3876 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2035},	//3877 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2036},	//3878 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2037},	//3879 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2038},	//3880 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2039},	//3881 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2040},	//3882 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2041},	//3883 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2042},	//3884 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2043},	//3885 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2044},	//3886 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2045},	//3887 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2046},	//3888 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2047},	//3889 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2048},	//3890 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2049},	//3891 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2050},	//3892 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2051},	//3893 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2052},	//3894 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2053},	//3895 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2054},	//3896 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2055},	//3897 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2056},	//3898 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2057},	//3899 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2058},	//3900 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2059},	//3901 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2060},	//3902 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2061},	//3903 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2062},	//3904 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2063},	//3905 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2064},	//3906 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2065},	//3907 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2066},	//3908 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2067},	//3909 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2068},	//3910 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2069},	//3911 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2070},	//3912 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2071},	//3913 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2072},	//3914 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2073},	//3915 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2074},	//3916 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2075},	//3917 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2076},	//3918 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2077},	//3919 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2078},	//3920 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2079},	//3921 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2080},	//3922 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2081},	//3923 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2082},	//3924 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2083},	//3925 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2084},	//3926 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2085},	//3927 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2086},	//3928 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2087},	//3929 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2088},	//3930 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2089},	//3931 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2090},	//3932 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2091},	//3933 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2092},	//3934 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2093},	//3935 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2094},	//3936 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2095},	//3937 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2096},	//3938 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2097},	//3939 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2098},	//3940 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2099},	//3941 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2100},	//3942 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2101},	//3943 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2102},	//3944 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2103},	//3945 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2104},	//3946 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2105},	//3947 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2106},	//3948 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2107},	//3949 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2108},	//3950 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2109},	//3951 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2110},	//3952 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2111},	//3953 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2112},	//3954 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2113},	//3955 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2114},	//3956 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2115},	//3957 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2116},	//3958 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2117},	//3959 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2118},	//3960 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2119},	//3961 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2120},	//3962 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2121},	//3963 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2122},	//3964 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2123},	//3965 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2124},	//3966 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2125},	//3967 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2126},	//3968 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2127},	//3969 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2128},	//3970 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2129},	//3971 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2130},	//3972 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2131},	//3973 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2132},	//3974 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2133},	//3975 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2134},	//3976 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2135},	//3977 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2136},	//3978 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2137},	//3979 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2138},	//3980 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2139},	//3981 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2140},	//3982 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2141},	//3983 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2142},	//3984 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2143},	//3985 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2144},	//3986 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2145},	//3987 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2146},	//3988 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2147},	//3989 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2148},	//3990 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2149},	//3991 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2150},	//3992 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2151},	//3993 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2152},	//3994 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2153},	//3995 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2154},	//3996 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2155},	//3997 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2156},	//3998 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2157},	//3999 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2158},	//4000 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2159},	//4001 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2160},	//4002 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2161},	//4003 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2162},	//4004 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2163},	//4005 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2164},	//4006 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2165},	//4007 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2166},	//4008 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2167},	//4009 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2168},	//4010 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2169},	//4011 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2170},	//4012 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2171},	//4013 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2172},	//4014 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2173},	//4015 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2174},	//4016 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2175},	//4017 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2176},	//4018 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2177},	//4019 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2178},	//4020 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2179},	//4021 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2180},	//4022 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2181},	//4023 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2182},	//4024 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2183},	//4025 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2184},	//4026 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2185},	//4027 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2186},	//4028 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2187},	//4029 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2188},	//4030 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2189},	//4031 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2190},	//4032 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2191},	//4033 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2192},	//4034 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2193},	//4035 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2194},	//4036 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2195},	//4037 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2196},	//4038 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2197},	//4039 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2198},	//4040 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2199},	//4041 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2200},	//4042 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2201},	//4043 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2202},	//4044 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2203},	//4045 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2204},	//4046 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2205},	//4047 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2206},	//4048 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2207},	//4049 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2208},	//4050 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2209},	//4051 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2210},	//4052 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2211},	//4053 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2212},	//4054 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2213},	//4055 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2214},	//4056 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2215},	//4057 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2216},	//4058 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2217},	//4059 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2218},	//4060 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2219},	//4061 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2220},	//4062 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2221},	//4063 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2222},	//4064 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2223},	//4065 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2224},	//4066 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2225},	//4067 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2226},	//4068 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2227},	//4069 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2228},	//4070 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2229},	//4071 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2230},	//4072 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2231},	//4073 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2232},	//4074 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2233},	//4075 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2234},	//4076 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2235},	//4077 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2236},	//4078 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2237},	//4079 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2238},	//4080 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2239},	//4081 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2240},	//4082 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2241},	//4083 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2242},	//4084 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2243},	//4085 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2244},	//4086 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2245},	//4087 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2246},	//4088 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2247},	//4089 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2248},	//4090 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2249},	//4091 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2250},	//4092 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2251},	//4093 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2252},	//4094 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2253},	//4095 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2254},	//4096 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2255},	//4097 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2256},	//4098 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2257},	//4099 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2258},	//4100 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2259},	//4101 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2260},	//4102 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2261},	//4103 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2262},	//4104 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2263},	//4105 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2264},	//4106 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2265},	//4107 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2266},	//4108 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2267},	//4109 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2268},	//4110 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2269},	//4111 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2270},	//4112 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2271},	//4113 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2272},	//4114 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2273},	//4115 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2274},	//4116 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2275},	//4117 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2276},	//4118 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2277},	//4119 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2278},	//4120 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2279},	//4121 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2280},	//4122 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2281},	//4123 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2282},	//4124 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2283},	//4125 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2284},	//4126 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2285},	//4127 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2286},	//4128 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2287},	//4129 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2288},	//4130 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2289},	//4131 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2290},	//4132 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2291},	//4133 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2292},	//4134 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2293},	//4135 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2294},	//4136 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2295},	//4137 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2296},	//4138 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2297},	//4139 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2298},	//4140 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2299},	//4141 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2300},	//4142 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2301},	//4143 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2302},	//4144 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2303},	//4145 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2304},	//4146 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2305},	//4147 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2306},	//4148 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2307},	//4149 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2308},	//4150 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2309},	//4151 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2310},	//4152 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2311},	//4153 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2312},	//4154 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2313},	//4155 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2314},	//4156 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2315},	//4157 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2316},	//4158 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2317},	//4159 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2318},	//4160 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2319},	//4161 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2320},	//4162 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2321},	//4163 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2322},	//4164 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2323},	//4165 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2324},	//4166 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2325},	//4167 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2326},	//4168 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2327},	//4169 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2328},	//4170 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2329},	//4171 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2330},	//4172 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2331},	//4173 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2332},	//4174 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2333},	//4175 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2334},	//4176 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2335},	//4177 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2336},	//4178 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2337},	//4179 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2338},	//4180 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2339},	//4181 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2340},	//4182 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2341},	//4183 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2342},	//4184 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2343},	//4185 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2344},	//4186 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2345},	//4187 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2346},	//4188 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2347},	//4189 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2348},	//4190 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2349},	//4191 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2350},	//4192 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2351},	//4193 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2352},	//4194 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2353},	//4195 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2354},	//4196 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2355},	//4197 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2356},	//4198 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2357},	//4199 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2358},	//4200 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2359},	//4201 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2360},	//4202 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2361},	//4203 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2362},	//4204 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2363},	//4205 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2364},	//4206 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2365},	//4207 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2366},	//4208 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2367},	//4209 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2368},	//4210 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2369},	//4211 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2370},	//4212 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2371},	//4213 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2372},	//4214 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2373},	//4215 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2374},	//4216 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2375},	//4217 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2376},	//4218 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2377},	//4219 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2378},	//4220 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2379},	//4221 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2380},	//4222 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2381},	//4223 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2382},	//4224 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2383},	//4225 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2384},	//4226 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2385},	//4227 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2386},	//4228 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2387},	//4229 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2388},	//4230 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2389},	//4231 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2390},	//4232 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2391},	//4233 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2392},	//4234 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2393},	//4235 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2394},	//4236 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2395},	//4237 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2396},	//4238 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2397},	//4239 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2398},	//4240 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2399},	//4241 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2400},	//4242 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2401},	//4243 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2402},	//4244 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2403},	//4245 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2404},	//4246 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2405},	//4247 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2406},	//4248 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2407},	//4249 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2408},	//4250 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2409},	//4251 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2410},	//4252 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2411},	//4253 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2412},	//4254 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2413},	//4255 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2414},	//4256 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2415},	//4257 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2416},	//4258 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2417},	//4259 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2418},	//4260 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2419},	//4261 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2420},	//4262 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2421},	//4263 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2422},	//4264 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2423},	//4265 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2424},	//4266 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2425},	//4267 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2426},	//4268 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2427},	//4269 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2428},	//4270 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2429},	//4271 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2430},	//4272 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2431},	//4273 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2432},	//4274 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2433},	//4275 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2434},	//4276 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2435},	//4277 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2436},	//4278 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2437},	//4279 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2438},	//4280 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2439},	//4281 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2440},	//4282 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2441},	//4283 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2442},	//4284 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2443},	//4285 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2444},	//4286 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2445},	//4287 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2446},	//4288 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2447},	//4289 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2448},	//4290 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2449},	//4291 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2450},	//4292 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2451},	//4293 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2452},	//4294 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2453},	//4295 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2454},	//4296 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2455},	//4297 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2456},	//4298 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2457},	//4299 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2458},	//4300 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2459},	//4301 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2460},	//4302 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2461},	//4303 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2462},	//4304 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2463},	//4305 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2464},	//4306 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2465},	//4307 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2466},	//4308 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2467},	//4309 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2468},	//4310 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2469},	//4311 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2470},	//4312 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2471},	//4313 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2472},	//4314 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2473},	//4315 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2474},	//4316 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2475},	//4317 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2476},	//4318 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2477},	//4319 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2478},	//4320 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2479},	//4321 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2480},	//4322 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2481},	//4323 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2482},	//4324 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2483},	//4325 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2484},	//4326 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2485},	//4327 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2486},	//4328 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2487},	//4329 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2488},	//4330 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2489},	//4331 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2490},	//4332 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2491},	//4333 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2492},	//4334 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2493},	//4335 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2494},	//4336 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2495},	//4337 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2496},	//4338 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2497},	//4339 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2498},	//4340 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2499},	//4341 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2500},	//4342 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2501},	//4343 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2502},	//4344 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2503},	//4345 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2504},	//4346 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2505},	//4347 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2506},	//4348 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2507},	//4349 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2508},	//4350 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2509},	//4351 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2510},	//4352 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2511},	//4353 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2512},	//4354 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2513},	//4355 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2514},	//4356 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2515},	//4357 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2516},	//4358 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2517},	//4359 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2518},	//4360 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2519},	//4361 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2520},	//4362 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2521},	//4363 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2522},	//4364 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2523},	//4365 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2524},	//4366 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2525},	//4367 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2526},	//4368 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2527},	//4369 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2528},	//4370 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2529},	//4371 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2530},	//4372 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2531},	//4373 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2532},	//4374 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2533},	//4375 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2534},	//4376 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2535},	//4377 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2536},	//4378 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2537},	//4379 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2538},	//4380 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2539},	//4381 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2540},	//4382 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2541},	//4383 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2542},	//4384 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2543},	//4385 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2544},	//4386 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2545},	//4387 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2546},	//4388 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2547},	//4389 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2548},	//4390 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2549},	//4391 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2550},	//4392 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2551},	//4393 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2552},	//4394 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2553},	//4395 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2554},	//4396 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2555},	//4397 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2556},	//4398 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2557},	//4399 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2558},	//4400 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2559},	//4401 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2560},	//4402 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2561},	//4403 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2562},	//4404 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2563},	//4405 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2564},	//4406 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2565},	//4407 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2566},	//4408 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2567},	//4409 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2568},	//4410 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2569},	//4411 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2570},	//4412 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2571},	//4413 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2572},	//4414 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2573},	//4415 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2574},	//4416 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2575},	//4417 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2576},	//4418 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2577},	//4419 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2578},	//4420 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2579},	//4421 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2580},	//4422 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2581},	//4423 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2582},	//4424 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2583},	//4425 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2584},	//4426 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2585},	//4427 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2586},	//4428 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2587},	//4429 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2588},	//4430 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2589},	//4431 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2590},	//4432 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2591},	//4433 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2592},	//4434 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2593},	//4435 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2594},	//4436 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2595},	//4437 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2596},	//4438 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2597},	//4439 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2598},	//4440 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2599},	//4441 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2600},	//4442 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2601},	//4443 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2602},	//4444 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2603},	//4445 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2604},	//4446 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2605},	//4447 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2606},	//4448 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2607},	//4449 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2608},	//4450 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2609},	//4451 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2610},	//4452 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2611},	//4453 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2612},	//4454 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2613},	//4455 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2614},	//4456 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2615},	//4457 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2616},	//4458 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2617},	//4459 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2618},	//4460 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2619},	//4461 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2620},	//4462 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2621},	//4463 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2622},	//4464 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2623},	//4465 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2624},	//4466 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2625},	//4467 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2626},	//4468 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2627},	//4469 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2628},	//4470 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2629},	//4471 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2630},	//4472 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2631},	//4473 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2632},	//4474 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2633},	//4475 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2634},	//4476 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2635},	//4477 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2636},	//4478 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2637},	//4479 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2638},	//4480 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2639},	//4481 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2640},	//4482 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2641},	//4483 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2642},	//4484 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2643},	//4485 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2644},	//4486 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2645},	//4487 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2646},	//4488 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2647},	//4489 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2648},	//4490 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2649},	//4491 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2650},	//4492 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2651},	//4493 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2652},	//4494 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2653},	//4495 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2654},	//4496 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2655},	//4497 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2656},	//4498 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2657},	//4499 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2658},	//4500 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2659},	//4501 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2660},	//4502 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2661},	//4503 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2662},	//4504 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2663},	//4505 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2664},	//4506 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2665},	//4507 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2666},	//4508 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2667},	//4509 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2668},	//4510 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2669},	//4511 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2670},	//4512 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2671},	//4513 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2672},	//4514 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2673},	//4515 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2674},	//4516 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2675},	//4517 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2676},	//4518 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2677},	//4519 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2678},	//4520 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2679},	//4521 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2680},	//4522 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2681},	//4523 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2682},	//4524 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2683},	//4525 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2684},	//4526 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2685},	//4527 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2686},	//4528 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2687},	//4529 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2688},	//4530 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2689},	//4531 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2690},	//4532 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2691},	//4533 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2692},	//4534 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2693},	//4535 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2694},	//4536 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2695},	//4537 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2696},	//4538 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2697},	//4539 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2698},	//4540 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2699},	//4541 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2700},	//4542 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2701},	//4543 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2702},	//4544 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2703},	//4545 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2704},	//4546 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2705},	//4547 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2706},	//4548 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2707},	//4549 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2708},	//4550 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2709},	//4551 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2710},	//4552 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2711},	//4553 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2712},	//4554 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2713},	//4555 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2714},	//4556 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2715},	//4557 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2716},	//4558 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2717},	//4559 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2718},	//4560 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2719},	//4561 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2720},	//4562 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2721},	//4563 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2722},	//4564 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2723},	//4565 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2724},	//4566 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2725},	//4567 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2726},	//4568 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2727},	//4569 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2728},	//4570 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2729},	//4571 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2730},	//4572 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2731},	//4573 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2732},	//4574 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2733},	//4575 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2734},	//4576 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2735},	//4577 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2736},	//4578 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2737},	//4579 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2738},	//4580 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2739},	//4581 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2740},	//4582 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2741},	//4583 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2742},	//4584 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2743},	//4585 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2744},	//4586 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2745},	//4587 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2746},	//4588 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2747},	//4589 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2748},	//4590 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2749},	//4591 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2750},	//4592 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2751},	//4593 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2752},	//4594 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2753},	//4595 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2754},	//4596 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2755},	//4597 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2756},	//4598 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2757},	//4599 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2758},	//4600 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2759},	//4601 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2760},	//4602 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2761},	//4603 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2762},	//4604 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2763},	//4605 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2764},	//4606 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2765},	//4607 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2766},	//4608 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2767},	//4609 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2768},	//4610 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2769},	//4611 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2770},	//4612 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2771},	//4613 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2772},	//4614 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2773},	//4615 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2774},	//4616 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2775},	//4617 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2776},	//4618 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2777},	//4619 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2778},	//4620 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2779},	//4621 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2780},	//4622 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2781},	//4623 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2782},	//4624 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2783},	//4625 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2784},	//4626 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2785},	//4627 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2786},	//4628 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2787},	//4629 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2788},	//4630 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2789},	//4631 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2790},	//4632 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2791},	//4633 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2792},	//4634 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2793},	//4635 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2794},	//4636 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2795},	//4637 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2796},	//4638 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2797},	//4639 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2798},	//4640 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2799},	//4641 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2800},	//4642 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2801},	//4643 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2802},	//4644 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2803},	//4645 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2804},	//4646 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2805},	//4647 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2806},	//4648 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2807},	//4649 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2808},	//4650 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2809},	//4651 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2810},	//4652 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2811},	//4653 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2812},	//4654 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2813},	//4655 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2814},	//4656 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2815},	//4657 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2816},	//4658 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2817},	//4659 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2818},	//4660 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2819},	//4661 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2820},	//4662 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2821},	//4663 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2822},	//4664 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2823},	//4665 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2824},	//4666 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2825},	//4667 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2826},	//4668 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2827},	//4669 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2828},	//4670 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2829},	//4671 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2830},	//4672 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2831},	//4673 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2832},	//4674 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2833},	//4675 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2834},	//4676 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2835},	//4677 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2836},	//4678 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2837},	//4679 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2838},	//4680 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2839},	//4681 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2840},	//4682 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2841},	//4683 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2842},	//4684 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2843},	//4685 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2844},	//4686 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2845},	//4687 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2846},	//4688 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2847},	//4689 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2848},	//4690 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2849},	//4691 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2850},	//4692 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2851},	//4693 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2852},	//4694 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2853},	//4695 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2854},	//4696 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2855},	//4697 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2856},	//4698 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2857},	//4699 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2858},	//4700 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2859},	//4701 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2860},	//4702 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2861},	//4703 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2862},	//4704 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2863},	//4705 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2864},	//4706 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2865},	//4707 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2866},	//4708 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2867},	//4709 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2868},	//4710 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2869},	//4711 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2870},	//4712 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2871},	//4713 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2872},	//4714 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2873},	//4715 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2874},	//4716 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2875},	//4717 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2876},	//4718 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2877},	//4719 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2878},	//4720 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2879},	//4721 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2880},	//4722 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2881},	//4723 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2882},	//4724 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2883},	//4725 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2884},	//4726 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2885},	//4727 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2886},	//4728 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2887},	//4729 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2888},	//4730 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2889},	//4731 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2890},	//4732 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2891},	//4733 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2892},	//4734 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2893},	//4735 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2894},	//4736 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2895},	//4737 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2896},	//4738 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2897},	//4739 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2898},	//4740 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2899},	//4741 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2900},	//4742 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2901},	//4743 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2902},	//4744 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2903},	//4745 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2904},	//4746 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2905},	//4747 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2906},	//4748 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2907},	//4749 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2908},	//4750 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2909},	//4751 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2910},	//4752 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2911},	//4753 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2912},	//4754 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2913},	//4755 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2914},	//4756 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2915},	//4757 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2916},	//4758 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2917},	//4759 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2918},	//4760 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2919},	//4761 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2920},	//4762 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2921},	//4763 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2922},	//4764 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2923},	//4765 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2924},	//4766 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2925},	//4767 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2926},	//4768 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2927},	//4769 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2928},	//4770 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2929},	//4771 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2930},	//4772 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2931},	//4773 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2932},	//4774 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2933},	//4775 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2934},	//4776 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2935},	//4777 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2936},	//4778 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2937},	//4779 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2938},	//4780 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2939},	//4781 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2940},	//4782 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2941},	//4783 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2942},	//4784 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2943},	//4785 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2944},	//4786 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2945},	//4787 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2946},	//4788 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2947},	//4789 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2948},	//4790 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2949},	//4791 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2950},	//4792 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2951},	//4793 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2952},	//4794 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2953},	//4795 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2954},	//4796 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2955},	//4797 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2956},	//4798 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2957},	//4799 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2958},	//4800 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2959},	//4801 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2960},	//4802 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2961},	//4803 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2962},	//4804 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2963},	//4805 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2964},	//4806 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2965},	//4807 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2966},	//4808 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2967},	//4809 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2968},	//4810 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2969},	//4811 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2970},	//4812 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2971},	//4813 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2972},	//4814 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2973},	//4815 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2974},	//4816 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2975},	//4817 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2976},	//4818 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2977},	//4819 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2978},	//4820 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2979},	//4821 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2980},	//4822 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2981},	//4823 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2982},	//4824 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2983},	//4825 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2984},	//4826 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2985},	//4827 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2986},	//4828 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2987},	//4829 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2988},	//4830 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2989},	//4831 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2990},	//4832 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2991},	//4833 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2992},	//4834 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2993},	//4835 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2994},	//4836 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2995},	//4837 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2996},	//4838 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2997},	//4839 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2998},	//4840 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 2999},	//4841 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3000},	//4842 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3001},	//4843 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3002},	//4844 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3003},	//4845 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3004},	//4846 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3005},	//4847 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3006},	//4848 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3007},	//4849 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3008},	//4850 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3009},	//4851 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3010},	//4852 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3011},	//4853 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3012},	//4854 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3013},	//4855 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3014},	//4856 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3015},	//4857 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3016},	//4858 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3017},	//4859 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3018},	//4860 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3019},	//4861 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3020},	//4862 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3021},	//4863 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3022},	//4864 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3023},	//4865 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3024},	//4866 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3025},	//4867 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3026},	//4868 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3027},	//4869 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3028},	//4870 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3029},	//4871 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3030},	//4872 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3031},	//4873 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3032},	//4874 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3033},	//4875 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3034},	//4876 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3035},	//4877 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3036},	//4878 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3037},	//4879 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3038},	//4880 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3039},	//4881 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3040},	//4882 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3041},	//4883 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3042},	//4884 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3043},	//4885 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3044},	//4886 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3045},	//4887 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3046},	//4888 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3047},	//4889 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3048},	//4890 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3049},	//4891 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3050},	//4892 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3051},	//4893 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3052},	//4894 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3053},	//4895 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3054},	//4896 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3055},	//4897 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3056},	//4898 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3057},	//4899 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3058},	//4900 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3059},	//4901 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3060},	//4902 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3061},	//4903 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3062},	//4904 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3063},	//4905 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3064},	//4906 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3065},	//4907 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3066},	//4908 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3067},	//4909 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3068},	//4910 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3069},	//4911 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3070},	//4912 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3071},	//4913 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3072},	//4914 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3073},	//4915 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3074},	//4916 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3075},	//4917 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3076},	//4918 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3077},	//4919 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3078},	//4920 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3079},	//4921 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3080},	//4922 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3081},	//4923 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3082},	//4924 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3083},	//4925 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3084},	//4926 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3085},	//4927 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3086},	//4928 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3087},	//4929 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3088},	//4930 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3089},	//4931 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3090},	//4932 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3091},	//4933 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3092},	//4934 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3093},	//4935 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3094},	//4936 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3095},	//4937 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3096},	//4938 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3097},	//4939 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3098},	//4940 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3099},	//4941 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3100},	//4942 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3101},	//4943 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3102},	//4944 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3103},	//4945 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3104},	//4946 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3105},	//4947 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3106},	//4948 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3107},	//4949 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3108},	//4950 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3109},	//4951 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3110},	//4952 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3111},	//4953 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3112},	//4954 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3113},	//4955 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3114},	//4956 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3115},	//4957 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3116},	//4958 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3117},	//4959 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3118},	//4960 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3119},	//4961 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3120},	//4962 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3121},	//4963 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3122},	//4964 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3123},	//4965 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3124},	//4966 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3125},	//4967 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3126},	//4968 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3127},	//4969 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3128},	//4970 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3129},	//4971 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3130},	//4972 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3131},	//4973 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3132},	//4974 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3133},	//4975 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3134},	//4976 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3135},	//4977 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3136},	//4978 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3137},	//4979 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3138},	//4980 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3139},	//4981 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3140},	//4982 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3141},	//4983 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3142},	//4984 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3143},	//4985 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3144},	//4986 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3145},	//4987 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3146},	//4988 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3147},	//4989 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3148},	//4990 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3149},	//4991 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3150},	//4992 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3151},	//4993 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3152},	//4994 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3153},	//4995 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3154},	//4996 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3155},	//4997 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3156},	//4998 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3157},	//4999 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3158},	//5000 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3159},	//5001 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3160},	//5002 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3161},	//5003 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3162},	//5004 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3163},	//5005 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3164},	//5006 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3165},	//5007 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3166},	//5008 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3167},	//5009 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3168},	//5010 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3169},	//5011 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3170},	//5012 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3171},	//5013 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3172},	//5014 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3173},	//5015 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3174},	//5016 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3175},	//5017 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3176},	//5018 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3177},	//5019 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3178},	//5020 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3179},	//5021 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3180},	//5022 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3181},	//5023 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3182},	//5024 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3183},	//5025 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3184},	//5026 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3185},	//5027 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3186},	//5028 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3187},	//5029 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3188},	//5030 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3189},	//5031 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3190},	//5032 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3191},	//5033 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3192},	//5034 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3193},	//5035 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3194},	//5036 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3195},	//5037 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3196},	//5038 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3197},	//5039 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3198},	//5040 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3199},	//5041 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3200},	//5042 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3201},	//5043 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3202},	//5044 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3203},	//5045 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3204},	//5046 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3205},	//5047 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3206},	//5048 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3207},	//5049 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3208},	//5050 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3209},	//5051 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3210},	//5052 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3211},	//5053 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3212},	//5054 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3213},	//5055 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3214},	//5056 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3215},	//5057 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3216},	//5058 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3217},	//5059 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3218},	//5060 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3219},	//5061 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3220},	//5062 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3221},	//5063 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3222},	//5064 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3223},	//5065 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3224},	//5066 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3225},	//5067 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3226},	//5068 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3227},	//5069 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3228},	//5070 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3229},	//5071 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3230},	//5072 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3231},	//5073 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3232},	//5074 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3233},	//5075 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3234},	//5076 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3235},	//5077 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3236},	//5078 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3237},	//5079 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3238},	//5080 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3239},	//5081 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3240},	//5082 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3241},	//5083 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3242},	//5084 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3243},	//5085 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3244},	//5086 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3245},	//5087 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3246},	//5088 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3247},	//5089 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3248},	//5090 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3249},	//5091 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3250},	//5092 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3251},	//5093 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3252},	//5094 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3253},	//5095 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3254},	//5096 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3255},	//5097 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3256},	//5098 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3257},	//5099 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3258},	//5100 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3259},	//5101 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3260},	//5102 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3261},	//5103 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3262},	//5104 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3263},	//5105 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3264},	//5106 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3265},	//5107 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3266},	//5108 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3267},	//5109 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3268},	//5110 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3269},	//5111 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3270},	//5112 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3271},	//5113 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3272},	//5114 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3273},	//5115 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3274},	//5116 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3275},	//5117 QsciScintillaBase::SCLEX_SML (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3276},	//5118 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3277},	//5119 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3278},	//5120 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3279},	//5121 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3280},	//5122 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3281},	//5123 QsciScintillaBase::SCLEX_XML (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3282},	//5124 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3283},	//5125 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3284},	//5126 QsciScintillaBase::SCLEX_VB (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3285},	//5127 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3286},	//5128 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3287},	//5129 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3288},	//5130 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3289},	//5131 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3290},	//5132 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3291},	//5133 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3292},	//5134 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3293},	//5135 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3294},	//5136 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3295},	//5137 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3296},	//5138 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3297},	//5139 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3298},	//5140 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3299},	//5141 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3300},	//5142 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3301},	//5143 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3302},	//5144 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3303},	//5145 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3304},	//5146 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3305},	//5147 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3306},	//5148 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3307},	//5149 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3308},	//5150 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3309},	//5151 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3310},	//5152 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3311},	//5153 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3312},	//5154 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3313},	//5155 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3314},	//5156 QsciScintillaBase::SCLEX_POV (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3315},	//5157 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3316},	//5158 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3317},	//5159 QsciScintillaBase::SCLEX_PS (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3318},	//5160 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3319},	//5161 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3320},	//5162 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3321},	//5163 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3322},	//5164 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3323},	//5165 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3324},	//5166 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3325},	//5167 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3326},	//5168 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3327},	//5169 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3328},	//5170 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3329},	//5171 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3330},	//5172 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3331},	//5173 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3332},	//5174 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3333},	//5175 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3334},	//5176 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3335},	//5177 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3336},	//5178 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3337},	//5179 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3338},	//5180 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3339},	//5181 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3340},	//5182 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3341},	//5183 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3342},	//5184 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3343},	//5185 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3344},	//5186 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3345},	//5187 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3346},	//5188 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3347},	//5189 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3348},	//5190 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3349},	//5191 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3350},	//5192 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3351},	//5193 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3352},	//5194 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3353},	//5195 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3354},	//5196 QsciScintillaBase::SCLEX_D (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3355},	//5197 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3356},	//5198 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3357},	//5199 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3358},	//5200 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3359},	//5201 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3360},	//5202 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3361},	//5203 QsciScintillaBase::SCLEX_R (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3362},	//5204 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3363},	//5205 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3364},	//5206 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3365},	//5207 QsciScintillaBase::SCLEX_PO (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3366},	//5208 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3367},	//5209 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3368},	//5210 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3369},	//5211 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3370},	//5212 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3371},	//5213 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 3372},	//5214 QsciScintillaBase::SCLEX_SML (enum)
    {84, 1402, 0, 0, Smoke::mf_dtor, 0, 3373 },	//5215 QsciScintillaBase::~QsciScintillaBase()
    {85, 438, 18, 1, Smoke::mf_ctor, 102, 1},	//5216 QsciStyle::QsciStyle(int)
    {85, 438, 376, 6, Smoke::mf_ctor, 102, 2},	//5217 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {85, 1302, 0, 0, Smoke::mf_const, 220, 3},	//5218 QsciStyle::style() const
    {85, 1127, 57, 1, 0, 0, 4},	//5219 QsciStyle::setDescription(const QString&)
    {85, 813, 0, 0, Smoke::mf_const, 37, 5},	//5220 QsciStyle::description() const
    {85, 1116, 80, 1, 0, 0, 6},	//5221 QsciStyle::setColor(const QColor&)
    {85, 786, 0, 0, Smoke::mf_const, 5, 7},	//5222 QsciStyle::color() const
    {85, 1237, 80, 1, 0, 0, 8},	//5223 QsciStyle::setPaper(const QColor&)
    {85, 1005, 0, 0, Smoke::mf_const, 5, 9},	//5224 QsciStyle::paper() const
    {85, 1177, 42, 1, 0, 0, 10},	//5225 QsciStyle::setFont(const QFont&)
    {85, 878, 0, 0, Smoke::mf_const, 13, 11},	//5226 QsciStyle::font() const
    {85, 1141, 16, 1, 0, 0, 12},	//5227 QsciStyle::setEolFill(bool)
    {85, 838, 0, 0, Smoke::mf_const, 198, 13},	//5228 QsciStyle::eolFill() const
    {85, 1265, 383, 1, 0, 0, 14},	//5229 QsciStyle::setTextCase(QsciStyle::TextCase)
    {85, 1313, 0, 0, Smoke::mf_const, 103, 15},	//5230 QsciStyle::textCase() const
    {85, 1281, 16, 1, 0, 0, 16},	//5231 QsciStyle::setVisible(bool)
    {85, 1342, 0, 0, Smoke::mf_const, 198, 17},	//5232 QsciStyle::visible() const
    {85, 1114, 16, 1, 0, 0, 18},	//5233 QsciStyle::setChangeable(bool)
    {85, 774, 0, 0, Smoke::mf_const, 198, 19},	//5234 QsciStyle::changeable() const
    {85, 1180, 16, 1, 0, 0, 20},	//5235 QsciStyle::setHotspot(bool)
    {85, 894, 0, 0, Smoke::mf_const, 198, 21},	//5236 QsciStyle::hotspot() const
    {85, 1036, 0, 0, 0, 0, 22},	//5237 QsciStyle::refresh()
    {85, 438, 385, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 23},	//5238 QsciStyle::QsciStyle(const QsciStyle&)
    {85, 438, 0, 0, Smoke::mf_ctor, 102, 24},	//5239 QsciStyle::QsciStyle()
    {85, 438, 387, 5, Smoke::mf_ctor, 102, 25},	//5240 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {85, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 26},	//5241 QsciStyle::OriginalCase (enum)
    {85, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 27},	//5242 QsciStyle::UpperCase (enum)
    {85, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 28},	//5243 QsciStyle::LowerCase (enum)
    {85, 1403, 0, 0, Smoke::mf_dtor, 0, 29 },	//5244 QsciStyle::~QsciStyle()
    {86, 443, 393, 2, Smoke::mf_ctor, 104, 1},	//5245 QsciStyledText::QsciStyledText(const QString&, int)
    {86, 443, 396, 2, Smoke::mf_ctor, 104, 2},	//5246 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {86, 1311, 0, 0, Smoke::mf_const, 212, 3},	//5247 QsciStyledText::text() const
    {86, 1302, 0, 0, Smoke::mf_const, 220, 4},	//5248 QsciStyledText::style() const
    {86, 443, 399, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 104, 5},	//5249 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {86, 1404, 0, 0, Smoke::mf_dtor, 0, 6 },	//5250 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1756,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    1757,  // QsciScintilla::markerDefine(char)
    0,
    1605,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1606,  // QsciScintilla::markerDefine(char, int)
    0,
    1718,  // QsciScintilla::setMarginWidth(int, int)
    1719,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    5201,  // QsciScintillaBase::SCLEX_ABAQUS
    0,
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    5137,  // QsciScintillaBase::SCLEX_ADA
    0,
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    5178,  // QsciScintillaBase::SCLEX_APDL
    0,
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    5151,  // QsciScintillaBase::SCLEX_ASM
    0,
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    5180,  // QsciScintillaBase::SCLEX_ASN1
    0,
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    5146,  // QsciScintillaBase::SCLEX_ASP
    0,
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5202,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    0,
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    5177,  // QsciScintillaBase::SCLEX_AU3
    0,
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    5136,  // QsciScintillaBase::SCLEX_AVE
    0,
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    5148,  // QsciScintillaBase::SCLEX_BAAN
    0,
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    5179,  // QsciScintillaBase::SCLEX_BASH
    0,
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    5130,  // QsciScintillaBase::SCLEX_BATCH
    0,
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5183,  // QsciScintillaBase::SCLEX_BLITZBASIC
    0,
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    5144,  // QsciScintillaBase::SCLEX_BULLANT
    0,
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    5182,  // QsciScintillaBase::SCLEX_CAML
    0,
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    5162,  // QsciScintillaBase::SCLEX_CLW
    0,
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5163,  // QsciScintillaBase::SCLEX_CLWNOCASE
    0,
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    5197,  // QsciScintillaBase::SCLEX_CMAKE
    0,
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    5209,  // QsciScintillaBase::SCLEX_COBOL
    0,
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    5134,  // QsciScintillaBase::SCLEX_CONF
    0,
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    5118,  // QsciScintillaBase::SCLEX_CONTAINER
    0,
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    5121,  // QsciScintillaBase::SCLEX_CPP
    0,
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5152,  // QsciScintillaBase::SCLEX_CPPNOCASE
    0,
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    5191,  // QsciScintillaBase::SCLEX_CSOUND
    0,
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    5155,  // QsciScintillaBase::SCLEX_CSS
    0,
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    5196,  // QsciScintillaBase::SCLEX_D
    0,
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    5133,  // QsciScintillaBase::SCLEX_DIFF
    0,
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    5140,  // QsciScintillaBase::SCLEX_EIFFEL
    0,
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    5141,  // QsciScintillaBase::SCLEX_EIFFELKW
    0,
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    5170,  // QsciScintillaBase::SCLEX_ERLANG
    0,
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    5128,  // QsciScintillaBase::SCLEX_ERRORLIST
    0,
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    5158,  // QsciScintillaBase::SCLEX_ESCRIPT
    0,
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    5154,  // QsciScintillaBase::SCLEX_F77
    0,
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5190,  // QsciScintillaBase::SCLEX_FLAGSHIP
    0,
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    5169,  // QsciScintillaBase::SCLEX_FORTH
    0,
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    5153,  // QsciScintillaBase::SCLEX_FORTRAN
    0,
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    5192,  // QsciScintillaBase::SCLEX_FREEBASIC
    0,
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    5198,  // QsciScintillaBase::SCLEX_GAP
    0,
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    5175,  // QsciScintillaBase::SCLEX_GUI4CLI
    0,
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    5185,  // QsciScintillaBase::SCLEX_HASKELL
    0,
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    5122,  // QsciScintillaBase::SCLEX_HTML
    0,
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    5193,  // QsciScintillaBase::SCLEX_INNOSETUP
    0,
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    5174,  // QsciScintillaBase::SCLEX_KIX
    0,
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    5131,  // QsciScintillaBase::SCLEX_LATEX
    0,
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    5138,  // QsciScintillaBase::SCLEX_LISP
    0,
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    5164,  // QsciScintillaBase::SCLEX_LOT
    0,
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    5157,  // QsciScintillaBase::SCLEX_LOUT
    0,
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    5132,  // QsciScintillaBase::SCLEX_LUA
    0,
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    5204,  // QsciScintillaBase::SCLEX_MAGIK
    0,
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    5129,  // QsciScintillaBase::SCLEX_MAKEFILE
    0,
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    5149,  // QsciScintillaBase::SCLEX_MATLAB
    0,
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    5167,  // QsciScintillaBase::SCLEX_METAPOST
    0,
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    5161,  // QsciScintillaBase::SCLEX_MMIXAL
    0,
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    5172,  // QsciScintillaBase::SCLEX_MSSQL
    0,
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    5206,  // QsciScintillaBase::SCLEX_MYSQL
    0,
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    5213,  // QsciScintillaBase::SCLEX_NIMROD
    0,
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5143,  // QsciScintillaBase::SCLEX_NNCRONTAB
    0,
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    5160,  // QsciScintillaBase::SCLEX_NSIS
    0,
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    5119,  // QsciScintillaBase::SCLEX_NULL
    0,
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    5171,  // QsciScintillaBase::SCLEX_OCTAVE
    0,
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    5194,  // QsciScintillaBase::SCLEX_OPAL
    0,
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    5135,  // QsciScintillaBase::SCLEX_PASCAL
    0,
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    5124,  // QsciScintillaBase::SCLEX_PERL
    0,
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    5147,  // QsciScintillaBase::SCLEX_PHP
    0,
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5186,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    0,
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    5199,  // QsciScintillaBase::SCLEX_PLM
    0,
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    5207,  // QsciScintillaBase::SCLEX_PO
    0,
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    5156,  // QsciScintillaBase::SCLEX_POV
    0,
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    5168,  // QsciScintillaBase::SCLEX_POWERBASIC
    0,
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    5212,  // QsciScintillaBase::SCLEX_POWERPRO
    0,
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    5205,  // QsciScintillaBase::SCLEX_POWERSHELL
    0,
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    5200,  // QsciScintillaBase::SCLEX_PROGRESS
    0,
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    5127,  // QsciScintillaBase::SCLEX_PROPERTIES
    0,
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    5159,  // QsciScintillaBase::SCLEX_PS
    0,
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    5184,  // QsciScintillaBase::SCLEX_PUREBASIC
    0,
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    5120,  // QsciScintillaBase::SCLEX_PYTHON
    0,
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    5203,  // QsciScintillaBase::SCLEX_R
    0,
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    5188,  // QsciScintillaBase::SCLEX_REBOL
    0,
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    5139,  // QsciScintillaBase::SCLEX_RUBY
    0,
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5150,  // QsciScintillaBase::SCLEX_SCRIPTOL
    0,
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    5189,  // QsciScintillaBase::SCLEX_SMALLTALK
    0,
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    5214,  // QsciScintillaBase::SCLEX_SML
    0,
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    5211,  // QsciScintillaBase::SCLEX_SORCUS
    0,
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    5176,  // QsciScintillaBase::SCLEX_SPECMAN
    0,
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    5195,  // QsciScintillaBase::SCLEX_SPICE
    0,
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    5125,  // QsciScintillaBase::SCLEX_SQL
    0,
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    5210,  // QsciScintillaBase::SCLEX_TACL
    0,
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    5187,  // QsciScintillaBase::SCLEX_TADS3
    0,
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    5208,  // QsciScintillaBase::SCLEX_TAL
    0,
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    5142,  // QsciScintillaBase::SCLEX_TCL
    0,
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    5166,  // QsciScintillaBase::SCLEX_TEX
    0,
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    5126,  // QsciScintillaBase::SCLEX_VB
    0,
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5145,  // QsciScintillaBase::SCLEX_VBSCRIPT
    0,
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    5173,  // QsciScintillaBase::SCLEX_VERILOG
    0,
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    5181,  // QsciScintillaBase::SCLEX_VHDL
    0,
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    5123,  // QsciScintillaBase::SCLEX_XML
    0,
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    5165,  // QsciScintillaBase::SCLEX_YAML
    0,
    1855,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    1857,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    1858,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    1915,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    1860,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    1863,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    0,
    1852,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    1853,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    1854,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    1856,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 249, 19},	// QGlobalSpace::LicensedActiveQt
    {16, 250, 25},	// QGlobalSpace::LicensedCore
    {16, 251, 17},	// QGlobalSpace::LicensedDBus
    {16, 252, 22},	// QGlobalSpace::LicensedDeclarative
    {16, 253, 12},	// QGlobalSpace::LicensedGui
    {16, 254, 31},	// QGlobalSpace::LicensedHelp
    {16, 255, 32},	// QGlobalSpace::LicensedMultimedia
    {16, 256, 35},	// QGlobalSpace::LicensedNetwork
    {16, 257, 24},	// QGlobalSpace::LicensedOpenGL
    {16, 258, 16},	// QGlobalSpace::LicensedOpenVG
    {16, 259, 33},	// QGlobalSpace::LicensedQt3Support
    {16, 260, 14},	// QGlobalSpace::LicensedQt3SupportLight
    {16, 261, 15},	// QGlobalSpace::LicensedScript
    {16, 262, 20},	// QGlobalSpace::LicensedScriptTools
    {16, 263, 23},	// QGlobalSpace::LicensedSql
    {16, 264, 21},	// QGlobalSpace::LicensedSvg
    {16, 265, 18},	// QGlobalSpace::LicensedTest
    {16, 266, 13},	// QGlobalSpace::LicensedXml
    {16, 267, 34},	// QGlobalSpace::LicensedXmlPatterns
    {16, 355, 7},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 356, 11},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 357, 10},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 358, 8},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 359, 9},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 447, 28},	// QGlobalSpace::QtCriticalMsg
    {16, 448, 26},	// QGlobalSpace::QtDebugMsg
    {16, 449, 29},	// QGlobalSpace::QtFatalMsg
    {16, 450, 30},	// QGlobalSpace::QtSystemMsg
    {16, 451, 27},	// QGlobalSpace::QtWarningMsg
    {45, 361, 78},	// QsciAPIs::QsciAPIs#
    {45, 717, 79},	// QsciAPIs::add$
    {45, 729, 94},	// QsciAPIs::apiPreparationCancelled
    {45, 730, 96},	// QsciAPIs::apiPreparationFinished
    {45, 731, 95},	// QsciAPIs::apiPreparationStarted
    {45, 743, 90},	// QsciAPIs::autoCompletionSelected$
    {45, 764, 91},	// QsciAPIs::callTips?$$?
    {45, 770, 84},	// QsciAPIs::cancelPreparation
    {45, 776, 80},	// QsciAPIs::clear
    {45, 811, 85},	// QsciAPIs::defaultPreparedName
    {45, 845, 92},	// QsciAPIs::event#
    {45, 911, 93},	// QsciAPIs::installedAPIFiles
    {45, 915, 99},	// QsciAPIs::isPrepared
    {45, 916, 86},	// QsciAPIs::isPrepared$
    {45, 945, 81},	// QsciAPIs::load$
    {45, 946, 100},	// QsciAPIs::loadPrepared
    {45, 947, 87},	// QsciAPIs::loadPrepared$
    {45, 983, 71},	// QsciAPIs::metaObject
    {45, 1014, 83},	// QsciAPIs::prepare
    {45, 1022, 77},	// QsciAPIs::qt_metacall$$?
    {45, 1024, 72},	// QsciAPIs::qt_metacast$
    {45, 1041, 82},	// QsciAPIs::remove$
    {45, 1051, 101},	// QsciAPIs::savePrepared
    {45, 1052, 88},	// QsciAPIs::savePrepared$
    {45, 1301, 102},	// QsciAPIs::staticMetaObject
    {45, 1322, 97},	// QsciAPIs::tr$
    {45, 1323, 73},	// QsciAPIs::tr$$
    {45, 1324, 75},	// QsciAPIs::tr$$$
    {45, 1326, 98},	// QsciAPIs::trUtf8$
    {45, 1327, 74},	// QsciAPIs::trUtf8$$
    {45, 1328, 76},	// QsciAPIs::trUtf8$$$
    {45, 1333, 89},	// QsciAPIs::updateAutoCompletionList??
    {45, 1364, 103},	// QsciAPIs::~QsciAPIs
    {46, 363, 111},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {46, 743, 114},	// QsciAbstractAPIs::autoCompletionSelected$
    {46, 764, 115},	// QsciAbstractAPIs::callTips?$$?
    {46, 934, 112},	// QsciAbstractAPIs::lexer
    {46, 983, 104},	// QsciAbstractAPIs::metaObject
    {46, 1022, 110},	// QsciAbstractAPIs::qt_metacall$$?
    {46, 1024, 105},	// QsciAbstractAPIs::qt_metacast$
    {46, 1301, 118},	// QsciAbstractAPIs::staticMetaObject
    {46, 1322, 116},	// QsciAbstractAPIs::tr$
    {46, 1323, 106},	// QsciAbstractAPIs::tr$$
    {46, 1324, 108},	// QsciAbstractAPIs::tr$$$
    {46, 1326, 117},	// QsciAbstractAPIs::trUtf8$
    {46, 1327, 107},	// QsciAbstractAPIs::trUtf8$$
    {46, 1328, 109},	// QsciAbstractAPIs::trUtf8$$$
    {46, 1333, 113},	// QsciAbstractAPIs::updateAutoCompletionList??
    {46, 1365, 119},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {47, 718, 123},	// QsciCommand::alternateKey
    {47, 813, 125},	// QsciCommand::description
    {47, 923, 122},	// QsciCommand::key
    {47, 1065, 121},	// QsciCommand::setAlternateKey$
    {47, 1197, 120},	// QsciCommand::setKey$
    {47, 1340, 124},	// QsciCommand::validKey$
    {47, 1366, 126},	// QsciCommand::~QsciCommand
    {48, 777, 131},	// QsciCommandSet::clearAlternateKeys
    {48, 781, 130},	// QsciCommandSet::clearKeys
    {48, 790, 129},	// QsciCommandSet::commands
    {48, 1030, 132},	// QsciCommandSet::readSettings#
    {48, 1031, 127},	// QsciCommandSet::readSettings#$
    {48, 1355, 133},	// QsciCommandSet::writeSettings#
    {48, 1356, 128},	// QsciCommandSet::writeSettings#$
    {49, 364, 134},	// QsciDocument::QsciDocument
    {49, 365, 135},	// QsciDocument::QsciDocument#
    {49, 1000, 136},	// QsciDocument::operator=#
    {49, 1367, 137},	// QsciDocument::~QsciDocument
    {50, 366, 199},	// QsciLexer::QsciLexer
    {50, 367, 145},	// QsciLexer::QsciLexer#
    {50, 732, 149},	// QsciLexer::apis
    {50, 739, 150},	// QsciLexer::autoCompletionFillups
    {50, 747, 151},	// QsciLexer::autoCompletionWordSeparators
    {50, 749, 152},	// QsciLexer::autoIndentStyle
    {50, 753, 200},	// QsciLexer::blockEnd
    {50, 754, 153},	// QsciLexer::blockEnd$
    {50, 755, 154},	// QsciLexer::blockLookback
    {50, 756, 201},	// QsciLexer::blockStart
    {50, 757, 155},	// QsciLexer::blockStart$
    {50, 758, 202},	// QsciLexer::blockStartKeyword
    {50, 759, 156},	// QsciLexer::blockStartKeyword$
    {50, 761, 157},	// QsciLexer::braceStyle
    {50, 771, 158},	// QsciLexer::caseSensitive
    {50, 787, 159},	// QsciLexer::color$
    {50, 789, 190},	// QsciLexer::colorChanged#$
    {50, 803, 167},	// QsciLexer::defaultColor
    {50, 804, 168},	// QsciLexer::defaultColor$
    {50, 806, 169},	// QsciLexer::defaultEolFill$
    {50, 807, 170},	// QsciLexer::defaultFont
    {50, 808, 171},	// QsciLexer::defaultFont$
    {50, 809, 172},	// QsciLexer::defaultPaper
    {50, 810, 173},	// QsciLexer::defaultPaper$
    {50, 812, 164},	// QsciLexer::defaultStyle
    {50, 814, 165},	// QsciLexer::description$
    {50, 830, 174},	// QsciLexer::editor
    {50, 839, 160},	// QsciLexer::eolFill$
    {50, 841, 191},	// QsciLexer::eolFillChanged$$
    {50, 879, 161},	// QsciLexer::font$
    {50, 882, 192},	// QsciLexer::fontChanged#$
    {50, 899, 162},	// QsciLexer::indentationGuideView
    {50, 928, 163},	// QsciLexer::keywords$
    {50, 929, 146},	// QsciLexer::language
    {50, 934, 147},	// QsciLexer::lexer
    {50, 935, 148},	// QsciLexer::lexerId
    {50, 983, 138},	// QsciLexer::metaObject
    {50, 1006, 166},	// QsciLexer::paper$
    {50, 1008, 193},	// QsciLexer::paperChanged#$
    {50, 1020, 194},	// QsciLexer::propertyChanged$$
    {50, 1022, 144},	// QsciLexer::qt_metacall$$?
    {50, 1024, 139},	// QsciLexer::qt_metacast$
    {50, 1028, 195},	// QsciLexer::readProperties#$
    {50, 1030, 203},	// QsciLexer::readSettings#
    {50, 1031, 180},	// QsciLexer::readSettings#$
    {50, 1037, 181},	// QsciLexer::refreshProperties
    {50, 1063, 175},	// QsciLexer::setAPIs#
    {50, 1087, 185},	// QsciLexer::setAutoIndentStyle$
    {50, 1117, 205},	// QsciLexer::setColor#
    {50, 1118, 186},	// QsciLexer::setColor#$
    {50, 1122, 176},	// QsciLexer::setDefaultColor#
    {50, 1124, 177},	// QsciLexer::setDefaultFont#
    {50, 1126, 178},	// QsciLexer::setDefaultPaper#
    {50, 1140, 179},	// QsciLexer::setEditor#
    {50, 1142, 206},	// QsciLexer::setEolFill$
    {50, 1143, 187},	// QsciLexer::setEolFill$$
    {50, 1178, 207},	// QsciLexer::setFont#
    {50, 1179, 188},	// QsciLexer::setFont#$
    {50, 1238, 208},	// QsciLexer::setPaper#
    {50, 1239, 189},	// QsciLexer::setPaper#$
    {50, 1301, 209},	// QsciLexer::staticMetaObject
    {50, 1303, 182},	// QsciLexer::styleBitsNeeded
    {50, 1322, 197},	// QsciLexer::tr$
    {50, 1323, 140},	// QsciLexer::tr$$
    {50, 1324, 142},	// QsciLexer::tr$$$
    {50, 1326, 198},	// QsciLexer::trUtf8$
    {50, 1327, 141},	// QsciLexer::trUtf8$$
    {50, 1328, 143},	// QsciLexer::trUtf8$$$
    {50, 1348, 183},	// QsciLexer::wordCharacters
    {50, 1353, 196},	// QsciLexer::writeProperties#$
    {50, 1355, 204},	// QsciLexer::writeSettings#
    {50, 1356, 184},	// QsciLexer::writeSettings#$
    {50, 1368, 210},	// QsciLexer::~QsciLexer
    {51, 81, 251},	// QsciLexerBash::Backticks
    {51, 123, 242},	// QsciLexerBash::Comment
    {51, 143, 240},	// QsciLexerBash::Default
    {51, 153, 245},	// QsciLexerBash::DoubleQuotedString
    {51, 170, 241},	// QsciLexerBash::Error
    {51, 198, 252},	// QsciLexerBash::HereDocumentDelimiter
    {51, 206, 248},	// QsciLexerBash::Identifier
    {51, 229, 244},	// QsciLexerBash::Keyword
    {51, 291, 243},	// QsciLexerBash::Number
    {51, 295, 247},	// QsciLexerBash::Operator
    {51, 313, 250},	// QsciLexerBash::ParameterExpansion
    {51, 368, 238},	// QsciLexerBash::QsciLexerBash
    {51, 369, 218},	// QsciLexerBash::QsciLexerBash#
    {51, 615, 249},	// QsciLexerBash::Scalar
    {51, 632, 253},	// QsciLexerBash::SingleQuotedHereDocument
    {51, 633, 246},	// QsciLexerBash::SingleQuotedString
    {51, 761, 221},	// QsciLexerBash::braceStyle
    {51, 804, 223},	// QsciLexerBash::defaultColor$
    {51, 806, 224},	// QsciLexerBash::defaultEolFill$
    {51, 808, 225},	// QsciLexerBash::defaultFont$
    {51, 810, 226},	// QsciLexerBash::defaultPaper$
    {51, 814, 228},	// QsciLexerBash::description$
    {51, 866, 230},	// QsciLexerBash::foldComments
    {51, 867, 231},	// QsciLexerBash::foldCompact
    {51, 928, 227},	// QsciLexerBash::keywords$
    {51, 929, 219},	// QsciLexerBash::language
    {51, 934, 220},	// QsciLexerBash::lexer
    {51, 983, 211},	// QsciLexerBash::metaObject
    {51, 1022, 217},	// QsciLexerBash::qt_metacall$$?
    {51, 1024, 212},	// QsciLexerBash::qt_metacast$
    {51, 1028, 234},	// QsciLexerBash::readProperties#$
    {51, 1037, 229},	// QsciLexerBash::refreshProperties
    {51, 1155, 232},	// QsciLexerBash::setFoldComments$
    {51, 1157, 233},	// QsciLexerBash::setFoldCompact$
    {51, 1301, 239},	// QsciLexerBash::staticMetaObject
    {51, 1322, 236},	// QsciLexerBash::tr$
    {51, 1323, 213},	// QsciLexerBash::tr$$
    {51, 1324, 215},	// QsciLexerBash::tr$$$
    {51, 1326, 237},	// QsciLexerBash::trUtf8$
    {51, 1327, 214},	// QsciLexerBash::trUtf8$$
    {51, 1328, 216},	// QsciLexerBash::trUtf8$$$
    {51, 1348, 222},	// QsciLexerBash::wordCharacters
    {51, 1353, 235},	// QsciLexerBash::writeProperties#$
    {51, 1369, 254},	// QsciLexerBash::~QsciLexerBash
    {52, 123, 278},	// QsciLexerBatch::Comment
    {52, 143, 277},	// QsciLexerBatch::Default
    {52, 177, 282},	// QsciLexerBatch::ExternalCommand
    {52, 201, 281},	// QsciLexerBatch::HideCommandChar
    {52, 229, 279},	// QsciLexerBatch::Keyword
    {52, 239, 280},	// QsciLexerBatch::Label
    {52, 295, 284},	// QsciLexerBatch::Operator
    {52, 370, 275},	// QsciLexerBatch::QsciLexerBatch
    {52, 371, 262},	// QsciLexerBatch::QsciLexerBatch#
    {52, 699, 283},	// QsciLexerBatch::Variable
    {52, 771, 266},	// QsciLexerBatch::caseSensitive
    {52, 804, 267},	// QsciLexerBatch::defaultColor$
    {52, 806, 268},	// QsciLexerBatch::defaultEolFill$
    {52, 808, 269},	// QsciLexerBatch::defaultFont$
    {52, 810, 270},	// QsciLexerBatch::defaultPaper$
    {52, 814, 272},	// QsciLexerBatch::description$
    {52, 928, 271},	// QsciLexerBatch::keywords$
    {52, 929, 263},	// QsciLexerBatch::language
    {52, 934, 264},	// QsciLexerBatch::lexer
    {52, 983, 255},	// QsciLexerBatch::metaObject
    {52, 1022, 261},	// QsciLexerBatch::qt_metacall$$?
    {52, 1024, 256},	// QsciLexerBatch::qt_metacast$
    {52, 1301, 276},	// QsciLexerBatch::staticMetaObject
    {52, 1322, 273},	// QsciLexerBatch::tr$
    {52, 1323, 257},	// QsciLexerBatch::tr$$
    {52, 1324, 259},	// QsciLexerBatch::tr$$$
    {52, 1326, 274},	// QsciLexerBatch::trUtf8$
    {52, 1327, 258},	// QsciLexerBatch::trUtf8$$
    {52, 1328, 260},	// QsciLexerBatch::trUtf8$$$
    {52, 1348, 265},	// QsciLexerBatch::wordCharacters
    {52, 1370, 285},	// QsciLexerBatch::~QsciLexerBatch
    {53, 86, 320},	// QsciLexerCMake::BlockForeach
    {53, 87, 321},	// QsciLexerCMake::BlockIf
    {53, 88, 322},	// QsciLexerCMake::BlockMacro
    {53, 89, 319},	// QsciLexerCMake::BlockWhile
    {53, 123, 311},	// QsciLexerCMake::Comment
    {53, 143, 310},	// QsciLexerCMake::Default
    {53, 183, 315},	// QsciLexerCMake::Function
    {53, 233, 318},	// QsciLexerCMake::KeywordSet3
    {53, 239, 317},	// QsciLexerCMake::Label
    {53, 291, 324},	// QsciLexerCMake::Number
    {53, 372, 308},	// QsciLexerCMake::QsciLexerCMake
    {53, 373, 293},	// QsciLexerCMake::QsciLexerCMake#
    {53, 647, 312},	// QsciLexerCMake::String
    {53, 648, 313},	// QsciLexerCMake::StringLeftQuote
    {53, 649, 314},	// QsciLexerCMake::StringRightQuote
    {53, 651, 323},	// QsciLexerCMake::StringVariable
    {53, 699, 316},	// QsciLexerCMake::Variable
    {53, 804, 296},	// QsciLexerCMake::defaultColor$
    {53, 808, 297},	// QsciLexerCMake::defaultFont$
    {53, 810, 298},	// QsciLexerCMake::defaultPaper$
    {53, 814, 300},	// QsciLexerCMake::description$
    {53, 864, 302},	// QsciLexerCMake::foldAtElse
    {53, 928, 299},	// QsciLexerCMake::keywords$
    {53, 929, 294},	// QsciLexerCMake::language
    {53, 934, 295},	// QsciLexerCMake::lexer
    {53, 983, 286},	// QsciLexerCMake::metaObject
    {53, 1022, 292},	// QsciLexerCMake::qt_metacall$$?
    {53, 1024, 287},	// QsciLexerCMake::qt_metacast$
    {53, 1028, 304},	// QsciLexerCMake::readProperties#$
    {53, 1037, 301},	// QsciLexerCMake::refreshProperties
    {53, 1151, 303},	// QsciLexerCMake::setFoldAtElse$
    {53, 1301, 309},	// QsciLexerCMake::staticMetaObject
    {53, 1322, 306},	// QsciLexerCMake::tr$
    {53, 1323, 288},	// QsciLexerCMake::tr$$
    {53, 1324, 290},	// QsciLexerCMake::tr$$$
    {53, 1326, 307},	// QsciLexerCMake::trUtf8$
    {53, 1327, 289},	// QsciLexerCMake::trUtf8$$
    {53, 1328, 291},	// QsciLexerCMake::trUtf8$$$
    {53, 1353, 305},	// QsciLexerCMake::writeProperties#$
    {53, 1371, 325},	// QsciLexerCMake::~QsciLexerCMake
    {54, 123, 372},	// QsciLexerCPP::Comment
    {54, 126, 374},	// QsciLexerCPP::CommentDoc
    {54, 127, 388},	// QsciLexerCPP::CommentDocKeyword
    {54, 128, 389},	// QsciLexerCPP::CommentDocKeywordError
    {54, 129, 373},	// QsciLexerCPP::CommentLine
    {54, 130, 386},	// QsciLexerCPP::CommentLineDoc
    {54, 143, 371},	// QsciLexerCPP::Default
    {54, 153, 377},	// QsciLexerCPP::DoubleQuotedString
    {54, 186, 390},	// QsciLexerCPP::GlobalClass
    {54, 206, 382},	// QsciLexerCPP::Identifier
    {54, 229, 376},	// QsciLexerCPP::Keyword
    {54, 232, 387},	// QsciLexerCPP::KeywordSet2
    {54, 291, 375},	// QsciLexerCPP::Number
    {54, 295, 381},	// QsciLexerCPP::Operator
    {54, 331, 380},	// QsciLexerCPP::PreProcessor
    {54, 374, 365},	// QsciLexerCPP::QsciLexerCPP
    {54, 375, 366},	// QsciLexerCPP::QsciLexerCPP#
    {54, 376, 333},	// QsciLexerCPP::QsciLexerCPP#$
    {54, 462, 385},	// QsciLexerCPP::Regex
    {54, 633, 378},	// QsciLexerCPP::SingleQuotedString
    {54, 682, 379},	// QsciLexerCPP::UUID
    {54, 683, 383},	// QsciLexerCPP::UnclosedString
    {54, 700, 384},	// QsciLexerCPP::VerbatimString
    {54, 747, 336},	// QsciLexerCPP::autoCompletionWordSeparators
    {54, 753, 367},	// QsciLexerCPP::blockEnd
    {54, 754, 337},	// QsciLexerCPP::blockEnd$
    {54, 756, 368},	// QsciLexerCPP::blockStart
    {54, 757, 338},	// QsciLexerCPP::blockStart$
    {54, 758, 369},	// QsciLexerCPP::blockStartKeyword
    {54, 759, 339},	// QsciLexerCPP::blockStartKeyword$
    {54, 761, 340},	// QsciLexerCPP::braceStyle
    {54, 804, 342},	// QsciLexerCPP::defaultColor$
    {54, 806, 343},	// QsciLexerCPP::defaultEolFill$
    {54, 808, 344},	// QsciLexerCPP::defaultFont$
    {54, 810, 345},	// QsciLexerCPP::defaultPaper$
    {54, 814, 347},	// QsciLexerCPP::description$
    {54, 818, 355},	// QsciLexerCPP::dollarsAllowed
    {54, 864, 349},	// QsciLexerCPP::foldAtElse
    {54, 866, 350},	// QsciLexerCPP::foldComments
    {54, 867, 351},	// QsciLexerCPP::foldCompact
    {54, 873, 352},	// QsciLexerCPP::foldPreprocessor
    {54, 928, 346},	// QsciLexerCPP::keywords$
    {54, 929, 334},	// QsciLexerCPP::language
    {54, 934, 335},	// QsciLexerCPP::lexer
    {54, 983, 326},	// QsciLexerCPP::metaObject
    {54, 1022, 332},	// QsciLexerCPP::qt_metacall$$?
    {54, 1024, 327},	// QsciLexerCPP::qt_metacast$
    {54, 1028, 361},	// QsciLexerCPP::readProperties#$
    {54, 1037, 348},	// QsciLexerCPP::refreshProperties
    {54, 1132, 354},	// QsciLexerCPP::setDollarsAllowed$
    {54, 1151, 356},	// QsciLexerCPP::setFoldAtElse$
    {54, 1155, 357},	// QsciLexerCPP::setFoldComments$
    {54, 1157, 358},	// QsciLexerCPP::setFoldCompact$
    {54, 1167, 359},	// QsciLexerCPP::setFoldPreprocessor$
    {54, 1255, 360},	// QsciLexerCPP::setStylePreprocessor$
    {54, 1301, 370},	// QsciLexerCPP::staticMetaObject
    {54, 1305, 353},	// QsciLexerCPP::stylePreprocessor
    {54, 1322, 363},	// QsciLexerCPP::tr$
    {54, 1323, 328},	// QsciLexerCPP::tr$$
    {54, 1324, 330},	// QsciLexerCPP::tr$$$
    {54, 1326, 364},	// QsciLexerCPP::trUtf8$
    {54, 1327, 329},	// QsciLexerCPP::trUtf8$$
    {54, 1328, 331},	// QsciLexerCPP::trUtf8$$$
    {54, 1348, 341},	// QsciLexerCPP::wordCharacters
    {54, 1353, 362},	// QsciLexerCPP::writeProperties#$
    {54, 1372, 391},	// QsciLexerCPP::~QsciLexerCPP
    {55, 65, 434},	// QsciLexerCSS::AtRule
    {55, 66, 438},	// QsciLexerCSS::Attribute
    {55, 100, 428},	// QsciLexerCSS::CSS1Property
    {55, 101, 437},	// QsciLexerCSS::CSS2Property
    {55, 102, 439},	// QsciLexerCSS::CSS3Property
    {55, 118, 424},	// QsciLexerCSS::ClassSelector
    {55, 123, 431},	// QsciLexerCSS::Comment
    {55, 143, 422},	// QsciLexerCSS::Default
    {55, 153, 435},	// QsciLexerCSS::DoubleQuotedString
    {55, 173, 441},	// QsciLexerCSS::ExtendedCSSProperty
    {55, 175, 442},	// QsciLexerCSS::ExtendedPseudoClass
    {55, 176, 443},	// QsciLexerCSS::ExtendedPseudoElement
    {55, 204, 432},	// QsciLexerCSS::IDSelector
    {55, 210, 433},	// QsciLexerCSS::Important
    {55, 295, 427},	// QsciLexerCSS::Operator
    {55, 338, 425},	// QsciLexerCSS::PseudoClass
    {55, 339, 440},	// QsciLexerCSS::PseudoElement
    {55, 377, 418},	// QsciLexerCSS::QsciLexerCSS
    {55, 378, 399},	// QsciLexerCSS::QsciLexerCSS#
    {55, 633, 436},	// QsciLexerCSS::SingleQuotedString
    {55, 667, 423},	// QsciLexerCSS::Tag
    {55, 685, 429},	// QsciLexerCSS::UnknownProperty
    {55, 686, 426},	// QsciLexerCSS::UnknownPseudoClass
    {55, 698, 430},	// QsciLexerCSS::Value
    {55, 753, 419},	// QsciLexerCSS::blockEnd
    {55, 754, 402},	// QsciLexerCSS::blockEnd$
    {55, 756, 420},	// QsciLexerCSS::blockStart
    {55, 757, 403},	// QsciLexerCSS::blockStart$
    {55, 804, 405},	// QsciLexerCSS::defaultColor$
    {55, 808, 406},	// QsciLexerCSS::defaultFont$
    {55, 814, 408},	// QsciLexerCSS::description$
    {55, 866, 410},	// QsciLexerCSS::foldComments
    {55, 867, 411},	// QsciLexerCSS::foldCompact
    {55, 928, 407},	// QsciLexerCSS::keywords$
    {55, 929, 400},	// QsciLexerCSS::language
    {55, 934, 401},	// QsciLexerCSS::lexer
    {55, 983, 392},	// QsciLexerCSS::metaObject
    {55, 1022, 398},	// QsciLexerCSS::qt_metacall$$?
    {55, 1024, 393},	// QsciLexerCSS::qt_metacast$
    {55, 1028, 414},	// QsciLexerCSS::readProperties#$
    {55, 1037, 409},	// QsciLexerCSS::refreshProperties
    {55, 1155, 412},	// QsciLexerCSS::setFoldComments$
    {55, 1157, 413},	// QsciLexerCSS::setFoldCompact$
    {55, 1301, 421},	// QsciLexerCSS::staticMetaObject
    {55, 1322, 416},	// QsciLexerCSS::tr$
    {55, 1323, 394},	// QsciLexerCSS::tr$$
    {55, 1324, 396},	// QsciLexerCSS::tr$$$
    {55, 1326, 417},	// QsciLexerCSS::trUtf8$
    {55, 1327, 395},	// QsciLexerCSS::trUtf8$$
    {55, 1328, 397},	// QsciLexerCSS::trUtf8$$$
    {55, 1348, 404},	// QsciLexerCSS::wordCharacters
    {55, 1353, 415},	// QsciLexerCSS::writeProperties#$
    {55, 1373, 444},	// QsciLexerCSS::~QsciLexerCSS
    {56, 379, 462},	// QsciLexerCSharp::QsciLexerCSharp
    {56, 380, 452},	// QsciLexerCSharp::QsciLexerCSharp#
    {56, 804, 454},	// QsciLexerCSharp::defaultColor$
    {56, 806, 455},	// QsciLexerCSharp::defaultEolFill$
    {56, 808, 456},	// QsciLexerCSharp::defaultFont$
    {56, 810, 457},	// QsciLexerCSharp::defaultPaper$
    {56, 814, 459},	// QsciLexerCSharp::description$
    {56, 928, 458},	// QsciLexerCSharp::keywords$
    {56, 929, 453},	// QsciLexerCSharp::language
    {56, 983, 445},	// QsciLexerCSharp::metaObject
    {56, 1022, 451},	// QsciLexerCSharp::qt_metacall$$?
    {56, 1024, 446},	// QsciLexerCSharp::qt_metacast$
    {56, 1301, 463},	// QsciLexerCSharp::staticMetaObject
    {56, 1322, 460},	// QsciLexerCSharp::tr$
    {56, 1323, 447},	// QsciLexerCSharp::tr$$
    {56, 1324, 449},	// QsciLexerCSharp::tr$$$
    {56, 1326, 461},	// QsciLexerCSharp::trUtf8$
    {56, 1327, 448},	// QsciLexerCSharp::trUtf8$$
    {56, 1328, 450},	// QsciLexerCSharp::trUtf8$$$
    {56, 1374, 464},	// QsciLexerCSharp::~QsciLexerCSharp
    {57, 381, 481},	// QsciLexerCustom::QsciLexerCustom
    {57, 382, 472},	// QsciLexerCustom::QsciLexerCustom#
    {57, 983, 465},	// QsciLexerCustom::metaObject
    {57, 1022, 471},	// QsciLexerCustom::qt_metacall$$?
    {57, 1024, 466},	// QsciLexerCustom::qt_metacast$
    {57, 1140, 477},	// QsciLexerCustom::setEditor#
    {57, 1257, 474},	// QsciLexerCustom::setStyling$#
    {57, 1258, 473},	// QsciLexerCustom::setStyling$$
    {57, 1299, 482},	// QsciLexerCustom::startStyling$
    {57, 1300, 475},	// QsciLexerCustom::startStyling$$
    {57, 1301, 483},	// QsciLexerCustom::staticMetaObject
    {57, 1303, 478},	// QsciLexerCustom::styleBitsNeeded
    {57, 1307, 476},	// QsciLexerCustom::styleText$$
    {57, 1322, 479},	// QsciLexerCustom::tr$
    {57, 1323, 467},	// QsciLexerCustom::tr$$
    {57, 1324, 469},	// QsciLexerCustom::tr$$$
    {57, 1326, 480},	// QsciLexerCustom::trUtf8$
    {57, 1327, 468},	// QsciLexerCustom::trUtf8$$
    {57, 1328, 470},	// QsciLexerCustom::trUtf8$$$
    {57, 1375, 484},	// QsciLexerCustom::~QsciLexerCustom
    {58, 108, 535},	// QsciLexerD::Character
    {58, 123, 524},	// QsciLexerD::Comment
    {58, 126, 526},	// QsciLexerD::CommentDoc
    {58, 127, 539},	// QsciLexerD::CommentDocKeyword
    {58, 128, 540},	// QsciLexerD::CommentDocKeywordError
    {58, 129, 525},	// QsciLexerD::CommentLine
    {58, 130, 538},	// QsciLexerD::CommentLineDoc
    {58, 132, 527},	// QsciLexerD::CommentNested
    {58, 143, 523},	// QsciLexerD::Default
    {58, 206, 537},	// QsciLexerD::Identifier
    {58, 229, 529},	// QsciLexerD::Keyword
    {58, 230, 531},	// QsciLexerD::KeywordDoc
    {58, 231, 530},	// QsciLexerD::KeywordSecondary
    {58, 291, 528},	// QsciLexerD::Number
    {58, 295, 536},	// QsciLexerD::Operator
    {58, 383, 518},	// QsciLexerD::QsciLexerD
    {58, 384, 492},	// QsciLexerD::QsciLexerD#
    {58, 647, 533},	// QsciLexerD::String
    {58, 680, 532},	// QsciLexerD::Typedefs
    {58, 683, 534},	// QsciLexerD::UnclosedString
    {58, 747, 495},	// QsciLexerD::autoCompletionWordSeparators
    {58, 753, 519},	// QsciLexerD::blockEnd
    {58, 754, 496},	// QsciLexerD::blockEnd$
    {58, 756, 520},	// QsciLexerD::blockStart
    {58, 757, 497},	// QsciLexerD::blockStart$
    {58, 758, 521},	// QsciLexerD::blockStartKeyword
    {58, 759, 498},	// QsciLexerD::blockStartKeyword$
    {58, 761, 499},	// QsciLexerD::braceStyle
    {58, 804, 501},	// QsciLexerD::defaultColor$
    {58, 806, 502},	// QsciLexerD::defaultEolFill$
    {58, 808, 503},	// QsciLexerD::defaultFont$
    {58, 810, 504},	// QsciLexerD::defaultPaper$
    {58, 814, 506},	// QsciLexerD::description$
    {58, 864, 508},	// QsciLexerD::foldAtElse
    {58, 866, 509},	// QsciLexerD::foldComments
    {58, 867, 510},	// QsciLexerD::foldCompact
    {58, 928, 505},	// QsciLexerD::keywords$
    {58, 929, 493},	// QsciLexerD::language
    {58, 934, 494},	// QsciLexerD::lexer
    {58, 983, 485},	// QsciLexerD::metaObject
    {58, 1022, 491},	// QsciLexerD::qt_metacall$$?
    {58, 1024, 486},	// QsciLexerD::qt_metacast$
    {58, 1028, 514},	// QsciLexerD::readProperties#$
    {58, 1037, 507},	// QsciLexerD::refreshProperties
    {58, 1151, 511},	// QsciLexerD::setFoldAtElse$
    {58, 1155, 512},	// QsciLexerD::setFoldComments$
    {58, 1157, 513},	// QsciLexerD::setFoldCompact$
    {58, 1301, 522},	// QsciLexerD::staticMetaObject
    {58, 1322, 516},	// QsciLexerD::tr$
    {58, 1323, 487},	// QsciLexerD::tr$$
    {58, 1324, 489},	// QsciLexerD::tr$$$
    {58, 1326, 517},	// QsciLexerD::trUtf8$
    {58, 1327, 488},	// QsciLexerD::trUtf8$$
    {58, 1328, 490},	// QsciLexerD::trUtf8$$$
    {58, 1348, 500},	// QsciLexerD::wordCharacters
    {58, 1353, 515},	// QsciLexerD::writeProperties#$
    {58, 1376, 541},	// QsciLexerD::~QsciLexerD
    {59, 122, 561},	// QsciLexerDiff::Command
    {59, 123, 560},	// QsciLexerDiff::Comment
    {59, 143, 559},	// QsciLexerDiff::Default
    {59, 196, 562},	// QsciLexerDiff::Header
    {59, 268, 565},	// QsciLexerDiff::LineAdded
    {59, 269, 566},	// QsciLexerDiff::LineChanged
    {59, 271, 564},	// QsciLexerDiff::LineRemoved
    {59, 329, 563},	// QsciLexerDiff::Position
    {59, 385, 557},	// QsciLexerDiff::QsciLexerDiff
    {59, 386, 549},	// QsciLexerDiff::QsciLexerDiff#
    {59, 804, 553},	// QsciLexerDiff::defaultColor$
    {59, 814, 554},	// QsciLexerDiff::description$
    {59, 929, 550},	// QsciLexerDiff::language
    {59, 934, 551},	// QsciLexerDiff::lexer
    {59, 983, 542},	// QsciLexerDiff::metaObject
    {59, 1022, 548},	// QsciLexerDiff::qt_metacall$$?
    {59, 1024, 543},	// QsciLexerDiff::qt_metacast$
    {59, 1301, 558},	// QsciLexerDiff::staticMetaObject
    {59, 1322, 555},	// QsciLexerDiff::tr$
    {59, 1323, 544},	// QsciLexerDiff::tr$$
    {59, 1324, 546},	// QsciLexerDiff::tr$$$
    {59, 1326, 556},	// QsciLexerDiff::trUtf8$
    {59, 1327, 545},	// QsciLexerDiff::trUtf8$$
    {59, 1328, 547},	// QsciLexerDiff::trUtf8$$$
    {59, 1348, 552},	// QsciLexerDiff::wordCharacters
    {59, 1377, 567},	// QsciLexerDiff::~QsciLexerDiff
    {60, 387, 581},	// QsciLexerFortran::QsciLexerFortran
    {60, 388, 575},	// QsciLexerFortran::QsciLexerFortran#
    {60, 928, 578},	// QsciLexerFortran::keywords$
    {60, 929, 576},	// QsciLexerFortran::language
    {60, 934, 577},	// QsciLexerFortran::lexer
    {60, 983, 568},	// QsciLexerFortran::metaObject
    {60, 1022, 574},	// QsciLexerFortran::qt_metacall$$?
    {60, 1024, 569},	// QsciLexerFortran::qt_metacast$
    {60, 1301, 582},	// QsciLexerFortran::staticMetaObject
    {60, 1322, 579},	// QsciLexerFortran::tr$
    {60, 1323, 570},	// QsciLexerFortran::tr$$
    {60, 1324, 572},	// QsciLexerFortran::tr$$$
    {60, 1326, 580},	// QsciLexerFortran::trUtf8$
    {60, 1327, 571},	// QsciLexerFortran::trUtf8$$
    {60, 1328, 573},	// QsciLexerFortran::trUtf8$$$
    {60, 1378, 583},	// QsciLexerFortran::~QsciLexerFortran
    {61, 123, 611},	// QsciLexerFortran77::Comment
    {61, 134, 624},	// QsciLexerFortran77::Continuation
    {61, 143, 610},	// QsciLexerFortran77::Default
    {61, 151, 622},	// QsciLexerFortran77::DottedOperator
    {61, 153, 614},	// QsciLexerFortran77::DoubleQuotedString
    {61, 174, 620},	// QsciLexerFortran77::ExtendedFunction
    {61, 206, 617},	// QsciLexerFortran77::Identifier
    {61, 214, 619},	// QsciLexerFortran77::IntrinsicFunction
    {61, 229, 618},	// QsciLexerFortran77::Keyword
    {61, 239, 623},	// QsciLexerFortran77::Label
    {61, 291, 612},	// QsciLexerFortran77::Number
    {61, 295, 616},	// QsciLexerFortran77::Operator
    {61, 331, 621},	// QsciLexerFortran77::PreProcessor
    {61, 389, 608},	// QsciLexerFortran77::QsciLexerFortran77
    {61, 390, 591},	// QsciLexerFortran77::QsciLexerFortran77#
    {61, 633, 613},	// QsciLexerFortran77::SingleQuotedString
    {61, 683, 615},	// QsciLexerFortran77::UnclosedString
    {61, 761, 594},	// QsciLexerFortran77::braceStyle
    {61, 804, 595},	// QsciLexerFortran77::defaultColor$
    {61, 806, 596},	// QsciLexerFortran77::defaultEolFill$
    {61, 808, 597},	// QsciLexerFortran77::defaultFont$
    {61, 810, 598},	// QsciLexerFortran77::defaultPaper$
    {61, 814, 600},	// QsciLexerFortran77::description$
    {61, 867, 602},	// QsciLexerFortran77::foldCompact
    {61, 928, 599},	// QsciLexerFortran77::keywords$
    {61, 929, 592},	// QsciLexerFortran77::language
    {61, 934, 593},	// QsciLexerFortran77::lexer
    {61, 983, 584},	// QsciLexerFortran77::metaObject
    {61, 1022, 590},	// QsciLexerFortran77::qt_metacall$$?
    {61, 1024, 585},	// QsciLexerFortran77::qt_metacast$
    {61, 1028, 604},	// QsciLexerFortran77::readProperties#$
    {61, 1037, 601},	// QsciLexerFortran77::refreshProperties
    {61, 1157, 603},	// QsciLexerFortran77::setFoldCompact$
    {61, 1301, 609},	// QsciLexerFortran77::staticMetaObject
    {61, 1322, 606},	// QsciLexerFortran77::tr$
    {61, 1323, 586},	// QsciLexerFortran77::tr$$
    {61, 1324, 588},	// QsciLexerFortran77::tr$$$
    {61, 1326, 607},	// QsciLexerFortran77::trUtf8$
    {61, 1327, 587},	// QsciLexerFortran77::trUtf8$$
    {61, 1328, 589},	// QsciLexerFortran77::trUtf8$$$
    {61, 1353, 605},	// QsciLexerFortran77::writeProperties#$
    {61, 1379, 625},	// QsciLexerFortran77::~QsciLexerFortran77
    {62, 11, 675},	// QsciLexerHTML::ASPAtStart
    {62, 12, 707},	// QsciLexerHTML::ASPJavaScriptComment
    {62, 13, 709},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {62, 14, 708},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {62, 15, 706},	// QsciLexerHTML::ASPJavaScriptDefault
    {62, 16, 713},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {62, 17, 712},	// QsciLexerHTML::ASPJavaScriptKeyword
    {62, 18, 710},	// QsciLexerHTML::ASPJavaScriptNumber
    {62, 19, 717},	// QsciLexerHTML::ASPJavaScriptRegex
    {62, 20, 714},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {62, 21, 705},	// QsciLexerHTML::ASPJavaScriptStart
    {62, 22, 715},	// QsciLexerHTML::ASPJavaScriptSymbol
    {62, 23, 716},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {62, 24, 711},	// QsciLexerHTML::ASPJavaScriptWord
    {62, 25, 756},	// QsciLexerHTML::ASPPythonClassName
    {62, 26, 749},	// QsciLexerHTML::ASPPythonComment
    {62, 27, 748},	// QsciLexerHTML::ASPPythonDefault
    {62, 28, 751},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {62, 29, 757},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {62, 30, 759},	// QsciLexerHTML::ASPPythonIdentifier
    {62, 31, 753},	// QsciLexerHTML::ASPPythonKeyword
    {62, 32, 750},	// QsciLexerHTML::ASPPythonNumber
    {62, 33, 758},	// QsciLexerHTML::ASPPythonOperator
    {62, 34, 752},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {62, 35, 747},	// QsciLexerHTML::ASPPythonStart
    {62, 36, 755},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {62, 37, 754},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {62, 38, 676},	// QsciLexerHTML::ASPStart
    {62, 39, 728},	// QsciLexerHTML::ASPVBScriptComment
    {62, 40, 727},	// QsciLexerHTML::ASPVBScriptDefault
    {62, 41, 732},	// QsciLexerHTML::ASPVBScriptIdentifier
    {62, 42, 730},	// QsciLexerHTML::ASPVBScriptKeyword
    {62, 43, 729},	// QsciLexerHTML::ASPVBScriptNumber
    {62, 44, 726},	// QsciLexerHTML::ASPVBScriptStart
    {62, 45, 731},	// QsciLexerHTML::ASPVBScriptString
    {62, 46, 733},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {62, 47, 680},	// QsciLexerHTML::ASPXCComment
    {62, 66, 663},	// QsciLexerHTML::Attribute
    {62, 99, 677},	// QsciLexerHTML::CDATA
    {62, 143, 660},	// QsciLexerHTML::Default
    {62, 164, 670},	// QsciLexerHTML::Entity
    {62, 190, 669},	// QsciLexerHTML::HTMLComment
    {62, 191, 666},	// QsciLexerHTML::HTMLDoubleQuotedString
    {62, 192, 665},	// QsciLexerHTML::HTMLNumber
    {62, 193, 667},	// QsciLexerHTML::HTMLSingleQuotedString
    {62, 194, 679},	// QsciLexerHTML::HTMLValue
    {62, 216, 694},	// QsciLexerHTML::JavaScriptComment
    {62, 217, 696},	// QsciLexerHTML::JavaScriptCommentDoc
    {62, 218, 695},	// QsciLexerHTML::JavaScriptCommentLine
    {62, 219, 693},	// QsciLexerHTML::JavaScriptDefault
    {62, 220, 700},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {62, 221, 699},	// QsciLexerHTML::JavaScriptKeyword
    {62, 222, 697},	// QsciLexerHTML::JavaScriptNumber
    {62, 223, 704},	// QsciLexerHTML::JavaScriptRegex
    {62, 224, 701},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {62, 225, 692},	// QsciLexerHTML::JavaScriptStart
    {62, 226, 702},	// QsciLexerHTML::JavaScriptSymbol
    {62, 227, 703},	// QsciLexerHTML::JavaScriptUnclosedString
    {62, 228, 698},	// QsciLexerHTML::JavaScriptWord
    {62, 297, 668},	// QsciLexerHTML::OtherInTag
    {62, 298, 766},	// QsciLexerHTML::PHPComment
    {62, 299, 767},	// QsciLexerHTML::PHPCommentLine
    {62, 300, 760},	// QsciLexerHTML::PHPDefault
    {62, 301, 761},	// QsciLexerHTML::PHPDoubleQuotedString
    {62, 302, 768},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {62, 303, 763},	// QsciLexerHTML::PHPKeyword
    {62, 304, 764},	// QsciLexerHTML::PHPNumber
    {62, 305, 769},	// QsciLexerHTML::PHPOperator
    {62, 306, 762},	// QsciLexerHTML::PHPSingleQuotedString
    {62, 307, 678},	// QsciLexerHTML::PHPStart
    {62, 308, 765},	// QsciLexerHTML::PHPVariable
    {62, 340, 743},	// QsciLexerHTML::PythonClassName
    {62, 341, 736},	// QsciLexerHTML::PythonComment
    {62, 342, 735},	// QsciLexerHTML::PythonDefault
    {62, 343, 738},	// QsciLexerHTML::PythonDoubleQuotedString
    {62, 344, 744},	// QsciLexerHTML::PythonFunctionMethodName
    {62, 345, 746},	// QsciLexerHTML::PythonIdentifier
    {62, 346, 740},	// QsciLexerHTML::PythonKeyword
    {62, 347, 737},	// QsciLexerHTML::PythonNumber
    {62, 348, 745},	// QsciLexerHTML::PythonOperator
    {62, 349, 739},	// QsciLexerHTML::PythonSingleQuotedString
    {62, 350, 734},	// QsciLexerHTML::PythonStart
    {62, 351, 742},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {62, 352, 741},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {62, 391, 658},	// QsciLexerHTML::QsciLexerHTML
    {62, 392, 633},	// QsciLexerHTML::QsciLexerHTML#
    {62, 604, 691},	// QsciLexerHTML::SGMLBlockDefault
    {62, 605, 682},	// QsciLexerHTML::SGMLCommand
    {62, 606, 689},	// QsciLexerHTML::SGMLComment
    {62, 607, 681},	// QsciLexerHTML::SGMLDefault
    {62, 608, 684},	// QsciLexerHTML::SGMLDoubleQuotedString
    {62, 609, 688},	// QsciLexerHTML::SGMLEntity
    {62, 610, 686},	// QsciLexerHTML::SGMLError
    {62, 611, 683},	// QsciLexerHTML::SGMLParameter
    {62, 612, 690},	// QsciLexerHTML::SGMLParameterComment
    {62, 613, 685},	// QsciLexerHTML::SGMLSingleQuotedString
    {62, 614, 687},	// QsciLexerHTML::SGMLSpecial
    {62, 617, 674},	// QsciLexerHTML::Script
    {62, 667, 661},	// QsciLexerHTML::Tag
    {62, 684, 664},	// QsciLexerHTML::UnknownAttribute
    {62, 687, 662},	// QsciLexerHTML::UnknownTag
    {62, 689, 720},	// QsciLexerHTML::VBScriptComment
    {62, 690, 719},	// QsciLexerHTML::VBScriptDefault
    {62, 691, 724},	// QsciLexerHTML::VBScriptIdentifier
    {62, 692, 722},	// QsciLexerHTML::VBScriptKeyword
    {62, 693, 721},	// QsciLexerHTML::VBScriptNumber
    {62, 694, 718},	// QsciLexerHTML::VBScriptStart
    {62, 695, 723},	// QsciLexerHTML::VBScriptString
    {62, 696, 725},	// QsciLexerHTML::VBScriptUnclosedString
    {62, 712, 673},	// QsciLexerHTML::XMLEnd
    {62, 713, 672},	// QsciLexerHTML::XMLStart
    {62, 714, 671},	// QsciLexerHTML::XMLTagEnd
    {62, 772, 646},	// QsciLexerHTML::caseSensitiveTags
    {62, 804, 637},	// QsciLexerHTML::defaultColor$
    {62, 806, 638},	// QsciLexerHTML::defaultEolFill$
    {62, 808, 639},	// QsciLexerHTML::defaultFont$
    {62, 810, 640},	// QsciLexerHTML::defaultPaper$
    {62, 814, 642},	// QsciLexerHTML::description$
    {62, 867, 644},	// QsciLexerHTML::foldCompact
    {62, 873, 645},	// QsciLexerHTML::foldPreprocessor
    {62, 875, 648},	// QsciLexerHTML::foldScriptComments
    {62, 876, 650},	// QsciLexerHTML::foldScriptHeredocs
    {62, 928, 641},	// QsciLexerHTML::keywords$
    {62, 929, 634},	// QsciLexerHTML::language
    {62, 934, 635},	// QsciLexerHTML::lexer
    {62, 983, 626},	// QsciLexerHTML::metaObject
    {62, 1022, 632},	// QsciLexerHTML::qt_metacall$$?
    {62, 1024, 627},	// QsciLexerHTML::qt_metacast$
    {62, 1028, 654},	// QsciLexerHTML::readProperties#$
    {62, 1037, 643},	// QsciLexerHTML::refreshProperties
    {62, 1113, 653},	// QsciLexerHTML::setCaseSensitiveTags$
    {62, 1157, 651},	// QsciLexerHTML::setFoldCompact$
    {62, 1167, 652},	// QsciLexerHTML::setFoldPreprocessor$
    {62, 1171, 647},	// QsciLexerHTML::setFoldScriptComments$
    {62, 1173, 649},	// QsciLexerHTML::setFoldScriptHeredocs$
    {62, 1301, 659},	// QsciLexerHTML::staticMetaObject
    {62, 1322, 656},	// QsciLexerHTML::tr$
    {62, 1323, 628},	// QsciLexerHTML::tr$$
    {62, 1324, 630},	// QsciLexerHTML::tr$$$
    {62, 1326, 657},	// QsciLexerHTML::trUtf8$
    {62, 1327, 629},	// QsciLexerHTML::trUtf8$$
    {62, 1328, 631},	// QsciLexerHTML::trUtf8$$$
    {62, 1348, 636},	// QsciLexerHTML::wordCharacters
    {62, 1353, 655},	// QsciLexerHTML::writeProperties#$
    {62, 1380, 770},	// QsciLexerHTML::~QsciLexerHTML
    {63, 393, 785},	// QsciLexerIDL::QsciLexerIDL
    {63, 394, 778},	// QsciLexerIDL::QsciLexerIDL#
    {63, 804, 780},	// QsciLexerIDL::defaultColor$
    {63, 814, 782},	// QsciLexerIDL::description$
    {63, 928, 781},	// QsciLexerIDL::keywords$
    {63, 929, 779},	// QsciLexerIDL::language
    {63, 983, 771},	// QsciLexerIDL::metaObject
    {63, 1022, 777},	// QsciLexerIDL::qt_metacall$$?
    {63, 1024, 772},	// QsciLexerIDL::qt_metacast$
    {63, 1301, 786},	// QsciLexerIDL::staticMetaObject
    {63, 1322, 783},	// QsciLexerIDL::tr$
    {63, 1323, 773},	// QsciLexerIDL::tr$$
    {63, 1324, 775},	// QsciLexerIDL::tr$$$
    {63, 1326, 784},	// QsciLexerIDL::trUtf8$
    {63, 1327, 774},	// QsciLexerIDL::trUtf8$$
    {63, 1328, 776},	// QsciLexerIDL::trUtf8$$$
    {63, 1381, 787},	// QsciLexerIDL::~QsciLexerIDL
    {64, 395, 800},	// QsciLexerJava::QsciLexerJava
    {64, 396, 795},	// QsciLexerJava::QsciLexerJava#
    {64, 928, 797},	// QsciLexerJava::keywords$
    {64, 929, 796},	// QsciLexerJava::language
    {64, 983, 788},	// QsciLexerJava::metaObject
    {64, 1022, 794},	// QsciLexerJava::qt_metacall$$?
    {64, 1024, 789},	// QsciLexerJava::qt_metacast$
    {64, 1301, 801},	// QsciLexerJava::staticMetaObject
    {64, 1322, 798},	// QsciLexerJava::tr$
    {64, 1323, 790},	// QsciLexerJava::tr$$
    {64, 1324, 792},	// QsciLexerJava::tr$$$
    {64, 1326, 799},	// QsciLexerJava::trUtf8$
    {64, 1327, 791},	// QsciLexerJava::trUtf8$$
    {64, 1328, 793},	// QsciLexerJava::trUtf8$$$
    {64, 1382, 802},	// QsciLexerJava::~QsciLexerJava
    {65, 397, 820},	// QsciLexerJavaScript::QsciLexerJavaScript
    {65, 398, 810},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {65, 804, 812},	// QsciLexerJavaScript::defaultColor$
    {65, 806, 813},	// QsciLexerJavaScript::defaultEolFill$
    {65, 808, 814},	// QsciLexerJavaScript::defaultFont$
    {65, 810, 815},	// QsciLexerJavaScript::defaultPaper$
    {65, 814, 817},	// QsciLexerJavaScript::description$
    {65, 928, 816},	// QsciLexerJavaScript::keywords$
    {65, 929, 811},	// QsciLexerJavaScript::language
    {65, 983, 803},	// QsciLexerJavaScript::metaObject
    {65, 1022, 809},	// QsciLexerJavaScript::qt_metacall$$?
    {65, 1024, 804},	// QsciLexerJavaScript::qt_metacast$
    {65, 1301, 821},	// QsciLexerJavaScript::staticMetaObject
    {65, 1322, 818},	// QsciLexerJavaScript::tr$
    {65, 1323, 805},	// QsciLexerJavaScript::tr$$
    {65, 1324, 807},	// QsciLexerJavaScript::tr$$$
    {65, 1326, 819},	// QsciLexerJavaScript::trUtf8$
    {65, 1327, 806},	// QsciLexerJavaScript::trUtf8$$
    {65, 1328, 808},	// QsciLexerJavaScript::trUtf8$$$
    {65, 1383, 822},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {66, 85, 864},	// QsciLexerLua::BasicFunctions
    {66, 108, 858},	// QsciLexerLua::Character
    {66, 123, 853},	// QsciLexerLua::Comment
    {66, 135, 866},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {66, 143, 852},	// QsciLexerLua::Default
    {66, 206, 862},	// QsciLexerLua::Identifier
    {66, 229, 856},	// QsciLexerLua::Keyword
    {66, 270, 854},	// QsciLexerLua::LineComment
    {66, 273, 859},	// QsciLexerLua::LiteralString
    {66, 291, 855},	// QsciLexerLua::Number
    {66, 295, 861},	// QsciLexerLua::Operator
    {66, 335, 860},	// QsciLexerLua::Preprocessor
    {66, 399, 849},	// QsciLexerLua::QsciLexerLua
    {66, 400, 830},	// QsciLexerLua::QsciLexerLua#
    {66, 647, 857},	// QsciLexerLua::String
    {66, 650, 865},	// QsciLexerLua::StringTableMathsFunctions
    {66, 683, 863},	// QsciLexerLua::UnclosedString
    {66, 747, 833},	// QsciLexerLua::autoCompletionWordSeparators
    {66, 756, 850},	// QsciLexerLua::blockStart
    {66, 757, 834},	// QsciLexerLua::blockStart$
    {66, 761, 835},	// QsciLexerLua::braceStyle
    {66, 804, 836},	// QsciLexerLua::defaultColor$
    {66, 806, 837},	// QsciLexerLua::defaultEolFill$
    {66, 808, 838},	// QsciLexerLua::defaultFont$
    {66, 810, 839},	// QsciLexerLua::defaultPaper$
    {66, 814, 841},	// QsciLexerLua::description$
    {66, 867, 843},	// QsciLexerLua::foldCompact
    {66, 928, 840},	// QsciLexerLua::keywords$
    {66, 929, 831},	// QsciLexerLua::language
    {66, 934, 832},	// QsciLexerLua::lexer
    {66, 983, 823},	// QsciLexerLua::metaObject
    {66, 1022, 829},	// QsciLexerLua::qt_metacall$$?
    {66, 1024, 824},	// QsciLexerLua::qt_metacast$
    {66, 1028, 845},	// QsciLexerLua::readProperties#$
    {66, 1037, 842},	// QsciLexerLua::refreshProperties
    {66, 1157, 844},	// QsciLexerLua::setFoldCompact$
    {66, 1301, 851},	// QsciLexerLua::staticMetaObject
    {66, 1322, 847},	// QsciLexerLua::tr$
    {66, 1323, 825},	// QsciLexerLua::tr$$
    {66, 1324, 827},	// QsciLexerLua::tr$$$
    {66, 1326, 848},	// QsciLexerLua::trUtf8$
    {66, 1327, 826},	// QsciLexerLua::trUtf8$$
    {66, 1328, 828},	// QsciLexerLua::trUtf8$$$
    {66, 1353, 846},	// QsciLexerLua::writeProperties#$
    {66, 1384, 867},	// QsciLexerLua::~QsciLexerLua
    {67, 123, 889},	// QsciLexerMakefile::Comment
    {67, 143, 888},	// QsciLexerMakefile::Default
    {67, 170, 894},	// QsciLexerMakefile::Error
    {67, 295, 892},	// QsciLexerMakefile::Operator
    {67, 335, 890},	// QsciLexerMakefile::Preprocessor
    {67, 401, 886},	// QsciLexerMakefile::QsciLexerMakefile
    {67, 402, 875},	// QsciLexerMakefile::QsciLexerMakefile#
    {67, 668, 893},	// QsciLexerMakefile::Target
    {67, 699, 891},	// QsciLexerMakefile::Variable
    {67, 804, 879},	// QsciLexerMakefile::defaultColor$
    {67, 806, 880},	// QsciLexerMakefile::defaultEolFill$
    {67, 808, 881},	// QsciLexerMakefile::defaultFont$
    {67, 810, 882},	// QsciLexerMakefile::defaultPaper$
    {67, 814, 883},	// QsciLexerMakefile::description$
    {67, 929, 876},	// QsciLexerMakefile::language
    {67, 934, 877},	// QsciLexerMakefile::lexer
    {67, 983, 868},	// QsciLexerMakefile::metaObject
    {67, 1022, 874},	// QsciLexerMakefile::qt_metacall$$?
    {67, 1024, 869},	// QsciLexerMakefile::qt_metacast$
    {67, 1301, 887},	// QsciLexerMakefile::staticMetaObject
    {67, 1322, 884},	// QsciLexerMakefile::tr$
    {67, 1323, 870},	// QsciLexerMakefile::tr$$
    {67, 1324, 872},	// QsciLexerMakefile::tr$$$
    {67, 1326, 885},	// QsciLexerMakefile::trUtf8$
    {67, 1327, 871},	// QsciLexerMakefile::trUtf8$$
    {67, 1328, 873},	// QsciLexerMakefile::trUtf8$$$
    {67, 1348, 878},	// QsciLexerMakefile::wordCharacters
    {67, 1385, 895},	// QsciLexerMakefile::~QsciLexerMakefile
    {68, 82, 936},	// QsciLexerPOV::BadDirective
    {68, 123, 928},	// QsciLexerPOV::Comment
    {68, 129, 929},	// QsciLexerPOV::CommentLine
    {68, 143, 927},	// QsciLexerPOV::Default
    {68, 149, 935},	// QsciLexerPOV::Directive
    {68, 206, 932},	// QsciLexerPOV::Identifier
    {68, 235, 941},	// QsciLexerPOV::KeywordSet6
    {68, 236, 942},	// QsciLexerPOV::KeywordSet7
    {68, 237, 943},	// QsciLexerPOV::KeywordSet8
    {68, 291, 930},	// QsciLexerPOV::Number
    {68, 293, 937},	// QsciLexerPOV::ObjectsCSGAppearance
    {68, 295, 931},	// QsciLexerPOV::Operator
    {68, 333, 940},	// QsciLexerPOV::PredefinedFunctions
    {68, 334, 939},	// QsciLexerPOV::PredefinedIdentifiers
    {68, 403, 925},	// QsciLexerPOV::QsciLexerPOV
    {68, 404, 903},	// QsciLexerPOV::QsciLexerPOV#
    {68, 647, 933},	// QsciLexerPOV::String
    {68, 681, 938},	// QsciLexerPOV::TypesModifiersItems
    {68, 683, 934},	// QsciLexerPOV::UnclosedString
    {68, 761, 906},	// QsciLexerPOV::braceStyle
    {68, 804, 908},	// QsciLexerPOV::defaultColor$
    {68, 806, 909},	// QsciLexerPOV::defaultEolFill$
    {68, 808, 910},	// QsciLexerPOV::defaultFont$
    {68, 810, 911},	// QsciLexerPOV::defaultPaper$
    {68, 814, 913},	// QsciLexerPOV::description$
    {68, 866, 915},	// QsciLexerPOV::foldComments
    {68, 867, 916},	// QsciLexerPOV::foldCompact
    {68, 868, 917},	// QsciLexerPOV::foldDirectives
    {68, 928, 912},	// QsciLexerPOV::keywords$
    {68, 929, 904},	// QsciLexerPOV::language
    {68, 934, 905},	// QsciLexerPOV::lexer
    {68, 983, 896},	// QsciLexerPOV::metaObject
    {68, 1022, 902},	// QsciLexerPOV::qt_metacall$$?
    {68, 1024, 897},	// QsciLexerPOV::qt_metacast$
    {68, 1028, 921},	// QsciLexerPOV::readProperties#$
    {68, 1037, 914},	// QsciLexerPOV::refreshProperties
    {68, 1155, 918},	// QsciLexerPOV::setFoldComments$
    {68, 1157, 919},	// QsciLexerPOV::setFoldCompact$
    {68, 1159, 920},	// QsciLexerPOV::setFoldDirectives$
    {68, 1301, 926},	// QsciLexerPOV::staticMetaObject
    {68, 1322, 923},	// QsciLexerPOV::tr$
    {68, 1323, 898},	// QsciLexerPOV::tr$$
    {68, 1324, 900},	// QsciLexerPOV::tr$$$
    {68, 1326, 924},	// QsciLexerPOV::trUtf8$
    {68, 1327, 899},	// QsciLexerPOV::trUtf8$$
    {68, 1328, 901},	// QsciLexerPOV::trUtf8$$$
    {68, 1348, 907},	// QsciLexerPOV::wordCharacters
    {68, 1353, 922},	// QsciLexerPOV::writeProperties#$
    {68, 1386, 944},	// QsciLexerPOV::~QsciLexerPOV
    {69, 63, 998},	// QsciLexerPascal::Asm
    {69, 108, 996},	// QsciLexerPascal::Character
    {69, 123, 986},	// QsciLexerPascal::Comment
    {69, 129, 988},	// QsciLexerPascal::CommentLine
    {69, 133, 987},	// QsciLexerPascal::CommentParenthesis
    {69, 143, 984},	// QsciLexerPascal::Default
    {69, 199, 992},	// QsciLexerPascal::HexNumber
    {69, 206, 985},	// QsciLexerPascal::Identifier
    {69, 229, 993},	// QsciLexerPascal::Keyword
    {69, 291, 991},	// QsciLexerPascal::Number
    {69, 295, 997},	// QsciLexerPascal::Operator
    {69, 331, 989},	// QsciLexerPascal::PreProcessor
    {69, 332, 990},	// QsciLexerPascal::PreProcessorParenthesis
    {69, 405, 979},	// QsciLexerPascal::QsciLexerPascal
    {69, 406, 952},	// QsciLexerPascal::QsciLexerPascal#
    {69, 633, 994},	// QsciLexerPascal::SingleQuotedString
    {69, 683, 995},	// QsciLexerPascal::UnclosedString
    {69, 747, 955},	// QsciLexerPascal::autoCompletionWordSeparators
    {69, 753, 980},	// QsciLexerPascal::blockEnd
    {69, 754, 956},	// QsciLexerPascal::blockEnd$
    {69, 756, 981},	// QsciLexerPascal::blockStart
    {69, 757, 957},	// QsciLexerPascal::blockStart$
    {69, 758, 982},	// QsciLexerPascal::blockStartKeyword
    {69, 759, 958},	// QsciLexerPascal::blockStartKeyword$
    {69, 761, 959},	// QsciLexerPascal::braceStyle
    {69, 804, 960},	// QsciLexerPascal::defaultColor$
    {69, 806, 961},	// QsciLexerPascal::defaultEolFill$
    {69, 808, 962},	// QsciLexerPascal::defaultFont$
    {69, 810, 963},	// QsciLexerPascal::defaultPaper$
    {69, 814, 965},	// QsciLexerPascal::description$
    {69, 866, 967},	// QsciLexerPascal::foldComments
    {69, 867, 968},	// QsciLexerPascal::foldCompact
    {69, 873, 969},	// QsciLexerPascal::foldPreprocessor
    {69, 928, 964},	// QsciLexerPascal::keywords$
    {69, 929, 953},	// QsciLexerPascal::language
    {69, 934, 954},	// QsciLexerPascal::lexer
    {69, 983, 945},	// QsciLexerPascal::metaObject
    {69, 1022, 951},	// QsciLexerPascal::qt_metacall$$?
    {69, 1024, 946},	// QsciLexerPascal::qt_metacast$
    {69, 1028, 975},	// QsciLexerPascal::readProperties#$
    {69, 1037, 966},	// QsciLexerPascal::refreshProperties
    {69, 1155, 972},	// QsciLexerPascal::setFoldComments$
    {69, 1157, 973},	// QsciLexerPascal::setFoldCompact$
    {69, 1167, 974},	// QsciLexerPascal::setFoldPreprocessor$
    {69, 1253, 970},	// QsciLexerPascal::setSmartHighlighting$
    {69, 1295, 971},	// QsciLexerPascal::smartHighlighting
    {69, 1301, 983},	// QsciLexerPascal::staticMetaObject
    {69, 1322, 977},	// QsciLexerPascal::tr$
    {69, 1323, 947},	// QsciLexerPascal::tr$$
    {69, 1324, 949},	// QsciLexerPascal::tr$$$
    {69, 1326, 978},	// QsciLexerPascal::trUtf8$
    {69, 1327, 948},	// QsciLexerPascal::trUtf8$$
    {69, 1328, 950},	// QsciLexerPascal::trUtf8$$$
    {69, 1353, 976},	// QsciLexerPascal::writeProperties#$
    {69, 1387, 999},	// QsciLexerPascal::~QsciLexerPascal
    {70, 61, 1045},	// QsciLexerPerl::Array
    {70, 80, 1055},	// QsciLexerPerl::BacktickHereDocument
    {70, 81, 1050},	// QsciLexerPerl::Backticks
    {70, 123, 1036},	// QsciLexerPerl::Comment
    {70, 141, 1051},	// QsciLexerPerl::DataSection
    {70, 143, 1034},	// QsciLexerPerl::Default
    {70, 152, 1054},	// QsciLexerPerl::DoubleQuotedHereDocument
    {70, 153, 1040},	// QsciLexerPerl::DoubleQuotedString
    {70, 170, 1035},	// QsciLexerPerl::Error
    {70, 181, 1064},	// QsciLexerPerl::FormatBody
    {70, 182, 1063},	// QsciLexerPerl::FormatIdentifier
    {70, 195, 1046},	// QsciLexerPerl::Hash
    {70, 198, 1052},	// QsciLexerPerl::HereDocumentDelimiter
    {70, 206, 1043},	// QsciLexerPerl::Identifier
    {70, 229, 1039},	// QsciLexerPerl::Keyword
    {70, 291, 1038},	// QsciLexerPerl::Number
    {70, 295, 1042},	// QsciLexerPerl::Operator
    {70, 309, 1037},	// QsciLexerPerl::POD
    {70, 310, 1061},	// QsciLexerPerl::PODVerbatim
    {70, 407, 1032},	// QsciLexerPerl::QsciLexerPerl
    {70, 408, 1007},	// QsciLexerPerl::QsciLexerPerl#
    {70, 454, 1056},	// QsciLexerPerl::QuotedStringQ
    {70, 455, 1057},	// QsciLexerPerl::QuotedStringQQ
    {70, 456, 1059},	// QsciLexerPerl::QuotedStringQR
    {70, 457, 1060},	// QsciLexerPerl::QuotedStringQW
    {70, 458, 1058},	// QsciLexerPerl::QuotedStringQX
    {70, 462, 1048},	// QsciLexerPerl::Regex
    {70, 615, 1044},	// QsciLexerPerl::Scalar
    {70, 632, 1053},	// QsciLexerPerl::SingleQuotedHereDocument
    {70, 633, 1041},	// QsciLexerPerl::SingleQuotedString
    {70, 653, 1062},	// QsciLexerPerl::SubroutinePrototype
    {70, 654, 1049},	// QsciLexerPerl::Substitution
    {70, 661, 1047},	// QsciLexerPerl::SymbolTable
    {70, 747, 1010},	// QsciLexerPerl::autoCompletionWordSeparators
    {70, 761, 1011},	// QsciLexerPerl::braceStyle
    {70, 804, 1013},	// QsciLexerPerl::defaultColor$
    {70, 806, 1014},	// QsciLexerPerl::defaultEolFill$
    {70, 808, 1015},	// QsciLexerPerl::defaultFont$
    {70, 810, 1016},	// QsciLexerPerl::defaultPaper$
    {70, 814, 1018},	// QsciLexerPerl::description$
    {70, 866, 1020},	// QsciLexerPerl::foldComments
    {70, 867, 1021},	// QsciLexerPerl::foldCompact
    {70, 871, 1025},	// QsciLexerPerl::foldPODBlocks
    {70, 872, 1023},	// QsciLexerPerl::foldPackages
    {70, 928, 1017},	// QsciLexerPerl::keywords$
    {70, 929, 1008},	// QsciLexerPerl::language
    {70, 934, 1009},	// QsciLexerPerl::lexer
    {70, 983, 1000},	// QsciLexerPerl::metaObject
    {70, 1022, 1006},	// QsciLexerPerl::qt_metacall$$?
    {70, 1024, 1001},	// QsciLexerPerl::qt_metacast$
    {70, 1028, 1028},	// QsciLexerPerl::readProperties#$
    {70, 1037, 1019},	// QsciLexerPerl::refreshProperties
    {70, 1155, 1026},	// QsciLexerPerl::setFoldComments$
    {70, 1157, 1027},	// QsciLexerPerl::setFoldCompact$
    {70, 1163, 1024},	// QsciLexerPerl::setFoldPODBlocks$
    {70, 1165, 1022},	// QsciLexerPerl::setFoldPackages$
    {70, 1301, 1033},	// QsciLexerPerl::staticMetaObject
    {70, 1322, 1030},	// QsciLexerPerl::tr$
    {70, 1323, 1002},	// QsciLexerPerl::tr$$
    {70, 1324, 1004},	// QsciLexerPerl::tr$$$
    {70, 1326, 1031},	// QsciLexerPerl::trUtf8$
    {70, 1327, 1003},	// QsciLexerPerl::trUtf8$$
    {70, 1328, 1005},	// QsciLexerPerl::trUtf8$$$
    {70, 1348, 1012},	// QsciLexerPerl::wordCharacters
    {70, 1353, 1029},	// QsciLexerPerl::writeProperties#$
    {70, 1388, 1065},	// QsciLexerPerl::~QsciLexerPerl
    {71, 62, 1106},	// QsciLexerPostScript::ArrayParenthesis
    {71, 83, 1112},	// QsciLexerPostScript::BadStringCharacter
    {71, 84, 1111},	// QsciLexerPostScript::Base85String
    {71, 123, 1098},	// QsciLexerPostScript::Comment
    {71, 139, 1099},	// QsciLexerPostScript::DSCComment
    {71, 140, 1100},	// QsciLexerPostScript::DSCCommentValue
    {71, 143, 1097},	// QsciLexerPostScript::Default
    {71, 147, 1107},	// QsciLexerPostScript::DictionaryParenthesis
    {71, 200, 1110},	// QsciLexerPostScript::HexString
    {71, 209, 1105},	// QsciLexerPostScript::ImmediateEvalLiteral
    {71, 229, 1103},	// QsciLexerPostScript::Keyword
    {71, 272, 1104},	// QsciLexerPostScript::Literal
    {71, 285, 1102},	// QsciLexerPostScript::Name
    {71, 291, 1101},	// QsciLexerPostScript::Number
    {71, 337, 1108},	// QsciLexerPostScript::ProcedureParenthesis
    {71, 409, 1095},	// QsciLexerPostScript::QsciLexerPostScript
    {71, 410, 1073},	// QsciLexerPostScript::QsciLexerPostScript#
    {71, 669, 1109},	// QsciLexerPostScript::Text
    {71, 761, 1076},	// QsciLexerPostScript::braceStyle
    {71, 804, 1077},	// QsciLexerPostScript::defaultColor$
    {71, 808, 1078},	// QsciLexerPostScript::defaultFont$
    {71, 810, 1079},	// QsciLexerPostScript::defaultPaper$
    {71, 814, 1081},	// QsciLexerPostScript::description$
    {71, 864, 1086},	// QsciLexerPostScript::foldAtElse
    {71, 867, 1085},	// QsciLexerPostScript::foldCompact
    {71, 928, 1080},	// QsciLexerPostScript::keywords$
    {71, 929, 1074},	// QsciLexerPostScript::language
    {71, 933, 1084},	// QsciLexerPostScript::level
    {71, 934, 1075},	// QsciLexerPostScript::lexer
    {71, 983, 1066},	// QsciLexerPostScript::metaObject
    {71, 1022, 1072},	// QsciLexerPostScript::qt_metacall$$?
    {71, 1024, 1067},	// QsciLexerPostScript::qt_metacast$
    {71, 1028, 1091},	// QsciLexerPostScript::readProperties#$
    {71, 1037, 1082},	// QsciLexerPostScript::refreshProperties
    {71, 1151, 1090},	// QsciLexerPostScript::setFoldAtElse$
    {71, 1157, 1089},	// QsciLexerPostScript::setFoldCompact$
    {71, 1199, 1088},	// QsciLexerPostScript::setLevel$
    {71, 1268, 1087},	// QsciLexerPostScript::setTokenize$
    {71, 1301, 1096},	// QsciLexerPostScript::staticMetaObject
    {71, 1320, 1083},	// QsciLexerPostScript::tokenize
    {71, 1322, 1093},	// QsciLexerPostScript::tr$
    {71, 1323, 1068},	// QsciLexerPostScript::tr$$
    {71, 1324, 1070},	// QsciLexerPostScript::tr$$$
    {71, 1326, 1094},	// QsciLexerPostScript::trUtf8$
    {71, 1327, 1069},	// QsciLexerPostScript::trUtf8$$
    {71, 1328, 1071},	// QsciLexerPostScript::trUtf8$$$
    {71, 1353, 1092},	// QsciLexerPostScript::writeProperties#$
    {71, 1389, 1113},	// QsciLexerPostScript::~QsciLexerPostScript
    {72, 64, 1142},	// QsciLexerProperties::Assignment
    {72, 123, 1140},	// QsciLexerProperties::Comment
    {72, 143, 1139},	// QsciLexerProperties::Default
    {72, 144, 1143},	// QsciLexerProperties::DefaultValue
    {72, 411, 1137},	// QsciLexerProperties::QsciLexerProperties
    {72, 412, 1121},	// QsciLexerProperties::QsciLexerProperties#
    {72, 618, 1141},	// QsciLexerProperties::Section
    {72, 804, 1125},	// QsciLexerProperties::defaultColor$
    {72, 806, 1126},	// QsciLexerProperties::defaultEolFill$
    {72, 808, 1127},	// QsciLexerProperties::defaultFont$
    {72, 810, 1128},	// QsciLexerProperties::defaultPaper$
    {72, 814, 1129},	// QsciLexerProperties::description$
    {72, 867, 1131},	// QsciLexerProperties::foldCompact
    {72, 929, 1122},	// QsciLexerProperties::language
    {72, 934, 1123},	// QsciLexerProperties::lexer
    {72, 983, 1114},	// QsciLexerProperties::metaObject
    {72, 1022, 1120},	// QsciLexerProperties::qt_metacall$$?
    {72, 1024, 1115},	// QsciLexerProperties::qt_metacast$
    {72, 1028, 1133},	// QsciLexerProperties::readProperties#$
    {72, 1037, 1130},	// QsciLexerProperties::refreshProperties
    {72, 1157, 1132},	// QsciLexerProperties::setFoldCompact$
    {72, 1301, 1138},	// QsciLexerProperties::staticMetaObject
    {72, 1322, 1135},	// QsciLexerProperties::tr$
    {72, 1323, 1116},	// QsciLexerProperties::tr$$
    {72, 1324, 1118},	// QsciLexerProperties::tr$$$
    {72, 1326, 1136},	// QsciLexerProperties::trUtf8$
    {72, 1327, 1117},	// QsciLexerProperties::trUtf8$$
    {72, 1328, 1119},	// QsciLexerProperties::trUtf8$$$
    {72, 1348, 1124},	// QsciLexerProperties::wordCharacters
    {72, 1353, 1134},	// QsciLexerProperties::writeProperties#$
    {72, 1390, 1144},	// QsciLexerProperties::~QsciLexerProperties
    {73, 117, 1194},	// QsciLexerPython::ClassName
    {73, 123, 1187},	// QsciLexerPython::Comment
    {73, 124, 1198},	// QsciLexerPython::CommentBlock
    {73, 142, 1201},	// QsciLexerPython::Decorator
    {73, 143, 1186},	// QsciLexerPython::Default
    {73, 153, 1189},	// QsciLexerPython::DoubleQuotedString
    {73, 184, 1195},	// QsciLexerPython::FunctionMethodName
    {73, 203, 1200},	// QsciLexerPython::HighlightedIdentifier
    {73, 206, 1197},	// QsciLexerPython::Identifier
    {73, 212, 1203},	// QsciLexerPython::Inconsistent
    {73, 229, 1191},	// QsciLexerPython::Keyword
    {73, 290, 1202},	// QsciLexerPython::NoWarning
    {73, 291, 1188},	// QsciLexerPython::Number
    {73, 295, 1196},	// QsciLexerPython::Operator
    {73, 413, 1183},	// QsciLexerPython::QsciLexerPython
    {73, 414, 1152},	// QsciLexerPython::QsciLexerPython#
    {73, 633, 1190},	// QsciLexerPython::SingleQuotedString
    {73, 637, 1205},	// QsciLexerPython::Spaces
    {73, 665, 1206},	// QsciLexerPython::Tabs
    {73, 666, 1204},	// QsciLexerPython::TabsAfterSpaces
    {73, 678, 1193},	// QsciLexerPython::TripleDoubleQuotedString
    {73, 679, 1192},	// QsciLexerPython::TripleSingleQuotedString
    {73, 683, 1199},	// QsciLexerPython::UnclosedString
    {73, 747, 1155},	// QsciLexerPython::autoCompletionWordSeparators
    {73, 755, 1156},	// QsciLexerPython::blockLookback
    {73, 756, 1184},	// QsciLexerPython::blockStart
    {73, 757, 1157},	// QsciLexerPython::blockStart$
    {73, 761, 1158},	// QsciLexerPython::braceStyle
    {73, 804, 1159},	// QsciLexerPython::defaultColor$
    {73, 806, 1160},	// QsciLexerPython::defaultEolFill$
    {73, 808, 1161},	// QsciLexerPython::defaultFont$
    {73, 810, 1162},	// QsciLexerPython::defaultPaper$
    {73, 814, 1165},	// QsciLexerPython::description$
    {73, 866, 1167},	// QsciLexerPython::foldComments
    {73, 874, 1168},	// QsciLexerPython::foldQuotes
    {73, 899, 1163},	// QsciLexerPython::indentationGuideView
    {73, 901, 1169},	// QsciLexerPython::indentationWarning
    {73, 928, 1164},	// QsciLexerPython::keywords$
    {73, 929, 1153},	// QsciLexerPython::language
    {73, 934, 1154},	// QsciLexerPython::lexer
    {73, 983, 1145},	// QsciLexerPython::metaObject
    {73, 1022, 1151},	// QsciLexerPython::qt_metacall$$?
    {73, 1024, 1146},	// QsciLexerPython::qt_metacast$
    {73, 1028, 1179},	// QsciLexerPython::readProperties#$
    {73, 1037, 1166},	// QsciLexerPython::refreshProperties
    {73, 1155, 1176},	// QsciLexerPython::setFoldComments$
    {73, 1169, 1177},	// QsciLexerPython::setFoldQuotes$
    {73, 1191, 1178},	// QsciLexerPython::setIndentationWarning$
    {73, 1276, 1170},	// QsciLexerPython::setV2UnicodeAllowed$
    {73, 1278, 1172},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {73, 1280, 1174},	// QsciLexerPython::setV3BytesAllowed$
    {73, 1301, 1185},	// QsciLexerPython::staticMetaObject
    {73, 1322, 1181},	// QsciLexerPython::tr$
    {73, 1323, 1147},	// QsciLexerPython::tr$$
    {73, 1324, 1149},	// QsciLexerPython::tr$$$
    {73, 1326, 1182},	// QsciLexerPython::trUtf8$
    {73, 1327, 1148},	// QsciLexerPython::trUtf8$$
    {73, 1328, 1150},	// QsciLexerPython::trUtf8$$$
    {73, 1336, 1171},	// QsciLexerPython::v2UnicodeAllowed
    {73, 1337, 1173},	// QsciLexerPython::v3BinaryOctalAllowed
    {73, 1338, 1175},	// QsciLexerPython::v3BytesAllowed
    {73, 1353, 1180},	// QsciLexerPython::writeProperties#$
    {73, 1391, 1207},	// QsciLexerPython::~QsciLexerPython
    {74, 81, 1253},	// QsciLexerRuby::Backticks
    {74, 117, 1243},	// QsciLexerRuby::ClassName
    {74, 119, 1252},	// QsciLexerRuby::ClassVariable
    {74, 123, 1237},	// QsciLexerRuby::Comment
    {74, 141, 1254},	// QsciLexerRuby::DataSection
    {74, 143, 1235},	// QsciLexerRuby::Default
    {74, 145, 1262},	// QsciLexerRuby::DemotedKeyword
    {74, 153, 1241},	// QsciLexerRuby::DoubleQuotedString
    {74, 170, 1236},	// QsciLexerRuby::Error
    {74, 184, 1244},	// QsciLexerRuby::FunctionMethodName
    {74, 185, 1248},	// QsciLexerRuby::Global
    {74, 197, 1256},	// QsciLexerRuby::HereDocument
    {74, 198, 1255},	// QsciLexerRuby::HereDocumentDelimiter
    {74, 206, 1246},	// QsciLexerRuby::Identifier
    {74, 213, 1251},	// QsciLexerRuby::InstanceVariable
    {74, 229, 1240},	// QsciLexerRuby::Keyword
    {74, 282, 1250},	// QsciLexerRuby::ModuleName
    {74, 291, 1239},	// QsciLexerRuby::Number
    {74, 295, 1245},	// QsciLexerRuby::Operator
    {74, 309, 1238},	// QsciLexerRuby::POD
    {74, 315, 1258},	// QsciLexerRuby::PercentStringQ
    {74, 316, 1257},	// QsciLexerRuby::PercentStringq
    {74, 317, 1260},	// QsciLexerRuby::PercentStringr
    {74, 318, 1261},	// QsciLexerRuby::PercentStringw
    {74, 319, 1259},	// QsciLexerRuby::PercentStringx
    {74, 415, 1230},	// QsciLexerRuby::QsciLexerRuby
    {74, 416, 1215},	// QsciLexerRuby::QsciLexerRuby#
    {74, 462, 1247},	// QsciLexerRuby::Regex
    {74, 633, 1242},	// QsciLexerRuby::SingleQuotedString
    {74, 643, 1265},	// QsciLexerRuby::Stderr
    {74, 644, 1263},	// QsciLexerRuby::Stdin
    {74, 645, 1264},	// QsciLexerRuby::Stdout
    {74, 657, 1249},	// QsciLexerRuby::Symbol
    {74, 753, 1231},	// QsciLexerRuby::blockEnd
    {74, 754, 1218},	// QsciLexerRuby::blockEnd$
    {74, 756, 1232},	// QsciLexerRuby::blockStart
    {74, 757, 1219},	// QsciLexerRuby::blockStart$
    {74, 758, 1233},	// QsciLexerRuby::blockStartKeyword
    {74, 759, 1220},	// QsciLexerRuby::blockStartKeyword$
    {74, 761, 1221},	// QsciLexerRuby::braceStyle
    {74, 804, 1222},	// QsciLexerRuby::defaultColor$
    {74, 806, 1223},	// QsciLexerRuby::defaultEolFill$
    {74, 808, 1224},	// QsciLexerRuby::defaultFont$
    {74, 810, 1225},	// QsciLexerRuby::defaultPaper$
    {74, 814, 1227},	// QsciLexerRuby::description$
    {74, 928, 1226},	// QsciLexerRuby::keywords$
    {74, 929, 1216},	// QsciLexerRuby::language
    {74, 934, 1217},	// QsciLexerRuby::lexer
    {74, 983, 1208},	// QsciLexerRuby::metaObject
    {74, 1022, 1214},	// QsciLexerRuby::qt_metacall$$?
    {74, 1024, 1209},	// QsciLexerRuby::qt_metacast$
    {74, 1301, 1234},	// QsciLexerRuby::staticMetaObject
    {74, 1322, 1228},	// QsciLexerRuby::tr$
    {74, 1323, 1210},	// QsciLexerRuby::tr$$
    {74, 1324, 1212},	// QsciLexerRuby::tr$$$
    {74, 1326, 1229},	// QsciLexerRuby::trUtf8$
    {74, 1327, 1211},	// QsciLexerRuby::trUtf8$$
    {74, 1328, 1213},	// QsciLexerRuby::trUtf8$$$
    {74, 1392, 1266},	// QsciLexerRuby::~QsciLexerRuby
    {75, 123, 1298},	// QsciLexerSQL::Comment
    {75, 126, 1300},	// QsciLexerSQL::CommentDoc
    {75, 127, 1311},	// QsciLexerSQL::CommentDocKeyword
    {75, 128, 1312},	// QsciLexerSQL::CommentDocKeywordError
    {75, 129, 1299},	// QsciLexerSQL::CommentLine
    {75, 131, 1310},	// QsciLexerSQL::CommentLineHash
    {75, 143, 1297},	// QsciLexerSQL::Default
    {75, 153, 1303},	// QsciLexerSQL::DoubleQuotedString
    {75, 206, 1308},	// QsciLexerSQL::Identifier
    {75, 229, 1302},	// QsciLexerSQL::Keyword
    {75, 234, 1313},	// QsciLexerSQL::KeywordSet5
    {75, 235, 1314},	// QsciLexerSQL::KeywordSet6
    {75, 236, 1315},	// QsciLexerSQL::KeywordSet7
    {75, 237, 1316},	// QsciLexerSQL::KeywordSet8
    {75, 291, 1301},	// QsciLexerSQL::Number
    {75, 295, 1307},	// QsciLexerSQL::Operator
    {75, 324, 1309},	// QsciLexerSQL::PlusComment
    {75, 325, 1305},	// QsciLexerSQL::PlusKeyword
    {75, 326, 1306},	// QsciLexerSQL::PlusPrompt
    {75, 417, 1295},	// QsciLexerSQL::QsciLexerSQL
    {75, 418, 1274},	// QsciLexerSQL::QsciLexerSQL#
    {75, 633, 1304},	// QsciLexerSQL::SingleQuotedString
    {75, 750, 1287},	// QsciLexerSQL::backslashEscapes
    {75, 761, 1277},	// QsciLexerSQL::braceStyle
    {75, 804, 1278},	// QsciLexerSQL::defaultColor$
    {75, 806, 1279},	// QsciLexerSQL::defaultEolFill$
    {75, 808, 1280},	// QsciLexerSQL::defaultFont$
    {75, 810, 1281},	// QsciLexerSQL::defaultPaper$
    {75, 814, 1283},	// QsciLexerSQL::description$
    {75, 866, 1285},	// QsciLexerSQL::foldComments
    {75, 867, 1286},	// QsciLexerSQL::foldCompact
    {75, 928, 1282},	// QsciLexerSQL::keywords$
    {75, 929, 1275},	// QsciLexerSQL::language
    {75, 934, 1276},	// QsciLexerSQL::lexer
    {75, 983, 1267},	// QsciLexerSQL::metaObject
    {75, 1022, 1273},	// QsciLexerSQL::qt_metacall$$?
    {75, 1024, 1268},	// QsciLexerSQL::qt_metacast$
    {75, 1028, 1291},	// QsciLexerSQL::readProperties#$
    {75, 1037, 1284},	// QsciLexerSQL::refreshProperties
    {75, 1089, 1290},	// QsciLexerSQL::setBackslashEscapes$
    {75, 1155, 1288},	// QsciLexerSQL::setFoldComments$
    {75, 1157, 1289},	// QsciLexerSQL::setFoldCompact$
    {75, 1301, 1296},	// QsciLexerSQL::staticMetaObject
    {75, 1322, 1293},	// QsciLexerSQL::tr$
    {75, 1323, 1269},	// QsciLexerSQL::tr$$
    {75, 1324, 1271},	// QsciLexerSQL::tr$$$
    {75, 1326, 1294},	// QsciLexerSQL::trUtf8$
    {75, 1327, 1270},	// QsciLexerSQL::trUtf8$$
    {75, 1328, 1272},	// QsciLexerSQL::trUtf8$$$
    {75, 1353, 1292},	// QsciLexerSQL::writeProperties#$
    {75, 1393, 1317},	// QsciLexerSQL::~QsciLexerSQL
    {76, 123, 1345},	// QsciLexerTCL::Comment
    {76, 124, 1365},	// QsciLexerTCL::CommentBlock
    {76, 125, 1364},	// QsciLexerTCL::CommentBox
    {76, 129, 1346},	// QsciLexerTCL::CommentLine
    {76, 143, 1344},	// QsciLexerTCL::Default
    {76, 172, 1355},	// QsciLexerTCL::ExpandKeyword
    {76, 205, 1358},	// QsciLexerTCL::ITCLKeyword
    {76, 206, 1351},	// QsciLexerTCL::Identifier
    {76, 235, 1360},	// QsciLexerTCL::KeywordSet6
    {76, 236, 1361},	// QsciLexerTCL::KeywordSet7
    {76, 237, 1362},	// QsciLexerTCL::KeywordSet8
    {76, 238, 1363},	// QsciLexerTCL::KeywordSet9
    {76, 281, 1354},	// QsciLexerTCL::Modifier
    {76, 291, 1347},	// QsciLexerTCL::Number
    {76, 295, 1350},	// QsciLexerTCL::Operator
    {76, 419, 1342},	// QsciLexerTCL::QsciLexerTCL
    {76, 420, 1325},	// QsciLexerTCL::QsciLexerTCL#
    {76, 452, 1348},	// QsciLexerTCL::QuotedKeyword
    {76, 453, 1349},	// QsciLexerTCL::QuotedString
    {76, 654, 1352},	// QsciLexerTCL::Substitution
    {76, 655, 1353},	// QsciLexerTCL::SubstitutionBrace
    {76, 663, 1356},	// QsciLexerTCL::TCLKeyword
    {76, 675, 1359},	// QsciLexerTCL::TkCommand
    {76, 676, 1357},	// QsciLexerTCL::TkKeyword
    {76, 761, 1328},	// QsciLexerTCL::braceStyle
    {76, 804, 1329},	// QsciLexerTCL::defaultColor$
    {76, 806, 1330},	// QsciLexerTCL::defaultEolFill$
    {76, 808, 1331},	// QsciLexerTCL::defaultFont$
    {76, 810, 1332},	// QsciLexerTCL::defaultPaper$
    {76, 814, 1334},	// QsciLexerTCL::description$
    {76, 867, 1336},	// QsciLexerTCL::foldCompact
    {76, 928, 1333},	// QsciLexerTCL::keywords$
    {76, 929, 1326},	// QsciLexerTCL::language
    {76, 934, 1327},	// QsciLexerTCL::lexer
    {76, 983, 1318},	// QsciLexerTCL::metaObject
    {76, 1022, 1324},	// QsciLexerTCL::qt_metacall$$?
    {76, 1024, 1319},	// QsciLexerTCL::qt_metacast$
    {76, 1028, 1338},	// QsciLexerTCL::readProperties#$
    {76, 1037, 1335},	// QsciLexerTCL::refreshProperties
    {76, 1157, 1337},	// QsciLexerTCL::setFoldCompact$
    {76, 1301, 1343},	// QsciLexerTCL::staticMetaObject
    {76, 1322, 1340},	// QsciLexerTCL::tr$
    {76, 1323, 1320},	// QsciLexerTCL::tr$$
    {76, 1324, 1322},	// QsciLexerTCL::tr$$$
    {76, 1326, 1341},	// QsciLexerTCL::trUtf8$
    {76, 1327, 1321},	// QsciLexerTCL::trUtf8$$
    {76, 1328, 1323},	// QsciLexerTCL::trUtf8$$$
    {76, 1353, 1339},	// QsciLexerTCL::writeProperties#$
    {76, 1394, 1366},	// QsciLexerTCL::~QsciLexerTCL
    {77, 122, 1389},	// QsciLexerTeX::Command
    {77, 143, 1385},	// QsciLexerTeX::Default
    {77, 188, 1387},	// QsciLexerTeX::Group
    {77, 421, 1383},	// QsciLexerTeX::QsciLexerTeX
    {77, 422, 1374},	// QsciLexerTeX::QsciLexerTeX#
    {77, 638, 1386},	// QsciLexerTeX::Special
    {77, 657, 1388},	// QsciLexerTeX::Symbol
    {77, 669, 1390},	// QsciLexerTeX::Text
    {77, 804, 1378},	// QsciLexerTeX::defaultColor$
    {77, 814, 1380},	// QsciLexerTeX::description$
    {77, 928, 1379},	// QsciLexerTeX::keywords$
    {77, 929, 1375},	// QsciLexerTeX::language
    {77, 934, 1376},	// QsciLexerTeX::lexer
    {77, 983, 1367},	// QsciLexerTeX::metaObject
    {77, 1022, 1373},	// QsciLexerTeX::qt_metacall$$?
    {77, 1024, 1368},	// QsciLexerTeX::qt_metacast$
    {77, 1301, 1384},	// QsciLexerTeX::staticMetaObject
    {77, 1322, 1381},	// QsciLexerTeX::tr$
    {77, 1323, 1369},	// QsciLexerTeX::tr$$
    {77, 1324, 1371},	// QsciLexerTeX::tr$$$
    {77, 1326, 1382},	// QsciLexerTeX::trUtf8$
    {77, 1327, 1370},	// QsciLexerTeX::trUtf8$$
    {77, 1328, 1372},	// QsciLexerTeX::trUtf8$$$
    {77, 1348, 1377},	// QsciLexerTeX::wordCharacters
    {77, 1395, 1391},	// QsciLexerTeX::~QsciLexerTeX
    {78, 66, 1436},	// QsciLexerVHDL::Attribute
    {78, 123, 1427},	// QsciLexerVHDL::Comment
    {78, 129, 1428},	// QsciLexerVHDL::CommentLine
    {78, 143, 1426},	// QsciLexerVHDL::Default
    {78, 206, 1432},	// QsciLexerVHDL::Identifier
    {78, 229, 1434},	// QsciLexerVHDL::Keyword
    {78, 236, 1440},	// QsciLexerVHDL::KeywordSet7
    {78, 291, 1429},	// QsciLexerVHDL::Number
    {78, 295, 1431},	// QsciLexerVHDL::Operator
    {78, 423, 1424},	// QsciLexerVHDL::QsciLexerVHDL
    {78, 424, 1399},	// QsciLexerVHDL::QsciLexerVHDL#
    {78, 639, 1437},	// QsciLexerVHDL::StandardFunction
    {78, 640, 1435},	// QsciLexerVHDL::StandardOperator
    {78, 641, 1438},	// QsciLexerVHDL::StandardPackage
    {78, 642, 1439},	// QsciLexerVHDL::StandardType
    {78, 647, 1430},	// QsciLexerVHDL::String
    {78, 683, 1433},	// QsciLexerVHDL::UnclosedString
    {78, 761, 1402},	// QsciLexerVHDL::braceStyle
    {78, 804, 1403},	// QsciLexerVHDL::defaultColor$
    {78, 806, 1404},	// QsciLexerVHDL::defaultEolFill$
    {78, 808, 1405},	// QsciLexerVHDL::defaultFont$
    {78, 810, 1406},	// QsciLexerVHDL::defaultPaper$
    {78, 814, 1408},	// QsciLexerVHDL::description$
    {78, 863, 1413},	// QsciLexerVHDL::foldAtBegin
    {78, 864, 1412},	// QsciLexerVHDL::foldAtElse
    {78, 865, 1414},	// QsciLexerVHDL::foldAtParenthesis
    {78, 866, 1410},	// QsciLexerVHDL::foldComments
    {78, 867, 1411},	// QsciLexerVHDL::foldCompact
    {78, 928, 1407},	// QsciLexerVHDL::keywords$
    {78, 929, 1400},	// QsciLexerVHDL::language
    {78, 934, 1401},	// QsciLexerVHDL::lexer
    {78, 983, 1392},	// QsciLexerVHDL::metaObject
    {78, 1022, 1398},	// QsciLexerVHDL::qt_metacall$$?
    {78, 1024, 1393},	// QsciLexerVHDL::qt_metacast$
    {78, 1028, 1420},	// QsciLexerVHDL::readProperties#$
    {78, 1037, 1409},	// QsciLexerVHDL::refreshProperties
    {78, 1149, 1418},	// QsciLexerVHDL::setFoldAtBegin$
    {78, 1151, 1417},	// QsciLexerVHDL::setFoldAtElse$
    {78, 1153, 1419},	// QsciLexerVHDL::setFoldAtParenthesis$
    {78, 1155, 1415},	// QsciLexerVHDL::setFoldComments$
    {78, 1157, 1416},	// QsciLexerVHDL::setFoldCompact$
    {78, 1301, 1425},	// QsciLexerVHDL::staticMetaObject
    {78, 1322, 1422},	// QsciLexerVHDL::tr$
    {78, 1323, 1394},	// QsciLexerVHDL::tr$$
    {78, 1324, 1396},	// QsciLexerVHDL::tr$$$
    {78, 1326, 1423},	// QsciLexerVHDL::trUtf8$
    {78, 1327, 1395},	// QsciLexerVHDL::trUtf8$$
    {78, 1328, 1397},	// QsciLexerVHDL::trUtf8$$$
    {78, 1353, 1421},	// QsciLexerVHDL::writeProperties#$
    {78, 1396, 1441},	// QsciLexerVHDL::~QsciLexerVHDL
    {79, 425, 1464},	// QsciLexerXML::QsciLexerXML
    {79, 426, 1449},	// QsciLexerXML::QsciLexerXML#
    {79, 804, 1452},	// QsciLexerXML::defaultColor$
    {79, 806, 1453},	// QsciLexerXML::defaultEolFill$
    {79, 808, 1454},	// QsciLexerXML::defaultFont$
    {79, 810, 1455},	// QsciLexerXML::defaultPaper$
    {79, 928, 1456},	// QsciLexerXML::keywords$
    {79, 929, 1450},	// QsciLexerXML::language
    {79, 934, 1451},	// QsciLexerXML::lexer
    {79, 983, 1442},	// QsciLexerXML::metaObject
    {79, 1022, 1448},	// QsciLexerXML::qt_metacall$$?
    {79, 1024, 1443},	// QsciLexerXML::qt_metacast$
    {79, 1028, 1460},	// QsciLexerXML::readProperties#$
    {79, 1037, 1457},	// QsciLexerXML::refreshProperties
    {79, 1053, 1459},	// QsciLexerXML::scriptsStyled
    {79, 1243, 1458},	// QsciLexerXML::setScriptsStyled$
    {79, 1301, 1465},	// QsciLexerXML::staticMetaObject
    {79, 1322, 1462},	// QsciLexerXML::tr$
    {79, 1323, 1444},	// QsciLexerXML::tr$$
    {79, 1324, 1446},	// QsciLexerXML::tr$$$
    {79, 1326, 1463},	// QsciLexerXML::trUtf8$
    {79, 1327, 1445},	// QsciLexerXML::trUtf8$$
    {79, 1328, 1447},	// QsciLexerXML::trUtf8$$$
    {79, 1353, 1461},	// QsciLexerXML::writeProperties#$
    {79, 1397, 1466},	// QsciLexerXML::~QsciLexerXML
    {80, 123, 1493},	// QsciLexerYAML::Comment
    {80, 143, 1492},	// QsciLexerYAML::Default
    {80, 150, 1498},	// QsciLexerYAML::DocumentDelimiter
    {80, 206, 1494},	// QsciLexerYAML::Identifier
    {80, 229, 1495},	// QsciLexerYAML::Keyword
    {80, 291, 1496},	// QsciLexerYAML::Number
    {80, 295, 1501},	// QsciLexerYAML::Operator
    {80, 427, 1490},	// QsciLexerYAML::QsciLexerYAML
    {80, 428, 1474},	// QsciLexerYAML::QsciLexerYAML#
    {80, 461, 1497},	// QsciLexerYAML::Reference
    {80, 662, 1500},	// QsciLexerYAML::SyntaxErrorMarker
    {80, 670, 1499},	// QsciLexerYAML::TextBlockMarker
    {80, 804, 1477},	// QsciLexerYAML::defaultColor$
    {80, 806, 1478},	// QsciLexerYAML::defaultEolFill$
    {80, 808, 1479},	// QsciLexerYAML::defaultFont$
    {80, 810, 1480},	// QsciLexerYAML::defaultPaper$
    {80, 814, 1482},	// QsciLexerYAML::description$
    {80, 866, 1484},	// QsciLexerYAML::foldComments
    {80, 928, 1481},	// QsciLexerYAML::keywords$
    {80, 929, 1475},	// QsciLexerYAML::language
    {80, 934, 1476},	// QsciLexerYAML::lexer
    {80, 983, 1467},	// QsciLexerYAML::metaObject
    {80, 1022, 1473},	// QsciLexerYAML::qt_metacall$$?
    {80, 1024, 1468},	// QsciLexerYAML::qt_metacast$
    {80, 1028, 1486},	// QsciLexerYAML::readProperties#$
    {80, 1037, 1483},	// QsciLexerYAML::refreshProperties
    {80, 1155, 1485},	// QsciLexerYAML::setFoldComments$
    {80, 1301, 1491},	// QsciLexerYAML::staticMetaObject
    {80, 1322, 1488},	// QsciLexerYAML::tr$
    {80, 1323, 1469},	// QsciLexerYAML::tr$$
    {80, 1324, 1471},	// QsciLexerYAML::tr$$$
    {80, 1326, 1489},	// QsciLexerYAML::trUtf8$
    {80, 1327, 1470},	// QsciLexerYAML::trUtf8$$
    {80, 1328, 1472},	// QsciLexerYAML::trUtf8$$$
    {80, 1353, 1487},	// QsciLexerYAML::writeProperties#$
    {80, 1398, 1502},	// QsciLexerYAML::~QsciLexerYAML
    {81, 430, 1510},	// QsciMacro::QsciMacro#
    {81, 431, 1511},	// QsciMacro::QsciMacro$#
    {81, 776, 1512},	// QsciMacro::clear
    {81, 832, 1517},	// QsciMacro::endRecording
    {81, 945, 1513},	// QsciMacro::load$
    {81, 983, 1503},	// QsciMacro::metaObject
    {81, 1010, 1515},	// QsciMacro::play
    {81, 1022, 1509},	// QsciMacro::qt_metacall$$?
    {81, 1024, 1504},	// QsciMacro::qt_metacast$
    {81, 1050, 1514},	// QsciMacro::save
    {81, 1297, 1516},	// QsciMacro::startRecording
    {81, 1301, 1520},	// QsciMacro::staticMetaObject
    {81, 1322, 1518},	// QsciMacro::tr$
    {81, 1323, 1505},	// QsciMacro::tr$$
    {81, 1324, 1507},	// QsciMacro::tr$$$
    {81, 1326, 1519},	// QsciMacro::trUtf8$
    {81, 1327, 1506},	// QsciMacro::trUtf8$$
    {81, 1328, 1508},	// QsciMacro::trUtf8$$$
    {81, 1399, 1521},	// QsciMacro::~QsciMacro
    {82, 432, 1529},	// QsciPrinter::QsciPrinter
    {82, 433, 1522},	// QsciPrinter::QsciPrinter$
    {82, 884, 1523},	// QsciPrinter::formatPage#$#$
    {82, 948, 1524},	// QsciPrinter::magnification
    {82, 1016, 1530},	// QsciPrinter::printRange#
    {82, 1017, 1531},	// QsciPrinter::printRange#$
    {82, 1018, 1526},	// QsciPrinter::printRange#$$
    {82, 1203, 1525},	// QsciPrinter::setMagnification$
    {82, 1286, 1528},	// QsciPrinter::setWrapMode$
    {82, 1349, 1527},	// QsciPrinter::wrapMode
    {82, 1400, 1532},	// QsciPrinter::~QsciPrinter
    {83, 49, 1782},	// QsciScintilla::AcsAPIs
    {83, 50, 1780},	// QsciScintilla::AcsAll
    {83, 51, 1781},	// QsciScintilla::AcsDocument
    {83, 52, 1779},	// QsciScintilla::AcsNone
    {83, 54, 1775},	// QsciScintilla::AiClosing
    {83, 55, 1773},	// QsciScintilla::AiMaintain
    {83, 56, 1774},	// QsciScintilla::AiOpening
    {83, 58, 1778},	// QsciScintilla::AnnotationBoxed
    {83, 59, 1776},	// QsciScintilla::AnnotationHidden
    {83, 60, 1777},	// QsciScintilla::AnnotationStandard
    {83, 79, 1830},	// QsciScintilla::Background
    {83, 90, 1818},	// QsciScintilla::BottomLeftCorner
    {83, 92, 1799},	// QsciScintilla::BoxedFoldStyle
    {83, 93, 1822},	// QsciScintilla::BoxedMinus
    {83, 94, 1823},	// QsciScintilla::BoxedMinusConnected
    {83, 95, 1820},	// QsciScintilla::BoxedPlus
    {83, 96, 1821},	// QsciScintilla::BoxedPlusConnected
    {83, 97, 1801},	// QsciScintilla::BoxedTreeFoldStyle
    {83, 103, 1789},	// QsciScintilla::CallTipsContext
    {83, 104, 1788},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {83, 105, 1787},	// QsciScintilla::CallTipsNoContext
    {83, 106, 1786},	// QsciScintilla::CallTipsNone
    {83, 110, 1808},	// QsciScintilla::Circle
    {83, 111, 1798},	// QsciScintilla::CircledFoldStyle
    {83, 112, 1828},	// QsciScintilla::CircledMinus
    {83, 113, 1829},	// QsciScintilla::CircledMinusConnected
    {83, 114, 1826},	// QsciScintilla::CircledPlus
    {83, 115, 1827},	// QsciScintilla::CircledPlusConnected
    {83, 116, 1800},	// QsciScintilla::CircledTreeFoldStyle
    {83, 154, 1814},	// QsciScintilla::DownTriangle
    {83, 161, 1792},	// QsciScintilla::EdgeBackground
    {83, 162, 1791},	// QsciScintilla::EdgeLine
    {83, 163, 1790},	// QsciScintilla::EdgeNone
    {83, 167, 1795},	// QsciScintilla::EolMac
    {83, 168, 1794},	// QsciScintilla::EolUnix
    {83, 169, 1793},	// QsciScintilla::EolWindows
    {83, 215, 1813},	// QsciScintilla::Invisible
    {83, 245, 1825},	// QsciScintilla::LeftSideRoundedSplitter
    {83, 246, 1819},	// QsciScintilla::LeftSideSplitter
    {83, 280, 1815},	// QsciScintilla::Minus
    {83, 287, 1783},	// QsciScintilla::NoBraceMatch
    {83, 288, 1796},	// QsciScintilla::NoFoldStyle
    {83, 292, 1805},	// QsciScintilla::NumberMargin
    {83, 322, 1797},	// QsciScintilla::PlainFoldStyle
    {83, 323, 1816},	// QsciScintilla::Plus
    {83, 434, 1750},	// QsciScintilla::QsciScintilla
    {83, 435, 1540},	// QsciScintilla::QsciScintilla#
    {83, 460, 1809},	// QsciScintilla::Rectangle
    {83, 463, 1812},	// QsciScintilla::RightArrow
    {83, 464, 1810},	// QsciScintilla::RightTriangle
    {83, 465, 1824},	// QsciScintilla::RoundedBottomLeftCorner
    {83, 634, 1785},	// QsciScintilla::SloppyBraceMatch
    {83, 636, 1811},	// QsciScintilla::SmallRectangle
    {83, 646, 1784},	// QsciScintilla::StrictBraceMatch
    {83, 658, 1802},	// QsciScintilla::SymbolMargin
    {83, 659, 1804},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {83, 660, 1803},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {83, 671, 1806},	// QsciScintilla::TextMargin
    {83, 672, 1807},	// QsciScintilla::TextMarginRightJustified
    {83, 673, 1831},	// QsciScintilla::ThreeDots
    {83, 674, 1832},	// QsciScintilla::ThreeRightArrows
    {83, 701, 1817},	// QsciScintilla::VerticalLine
    {83, 703, 1838},	// QsciScintilla::WrapCharacter
    {83, 704, 1841},	// QsciScintilla::WrapFlagByBorder
    {83, 705, 1840},	// QsciScintilla::WrapFlagByText
    {83, 706, 1839},	// QsciScintilla::WrapFlagNone
    {83, 707, 1836},	// QsciScintilla::WrapNone
    {83, 708, 1837},	// QsciScintilla::WrapWord
    {83, 709, 1833},	// QsciScintilla::WsInvisible
    {83, 710, 1834},	// QsciScintilla::WsVisible
    {83, 711, 1835},	// QsciScintilla::WsVisibleAfterIndent
    {83, 720, 1544},	// QsciScintilla::annotate$#
    {83, 721, 1543},	// QsciScintilla::annotate$$#
    {83, 722, 1542},	// QsciScintilla::annotate$$$
    {83, 723, 1545},	// QsciScintilla::annotate$?
    {83, 725, 1546},	// QsciScintilla::annotation$
    {83, 726, 1547},	// QsciScintilla::annotationDisplay
    {83, 728, 1541},	// QsciScintilla::apiContext$$$
    {83, 734, 1665},	// QsciScintilla::append$
    {83, 735, 1667},	// QsciScintilla::autoCompleteFromAPIs
    {83, 736, 1666},	// QsciScintilla::autoCompleteFromAll
    {83, 737, 1668},	// QsciScintilla::autoCompleteFromDocument
    {83, 738, 1549},	// QsciScintilla::autoCompletionCaseSensitivity
    {83, 740, 1550},	// QsciScintilla::autoCompletionFillupsEnabled
    {83, 741, 1551},	// QsciScintilla::autoCompletionReplaceWord
    {83, 744, 1552},	// QsciScintilla::autoCompletionShowSingle
    {83, 745, 1553},	// QsciScintilla::autoCompletionSource
    {83, 746, 1554},	// QsciScintilla::autoCompletionThreshold
    {83, 748, 1555},	// QsciScintilla::autoIndent
    {83, 751, 1556},	// QsciScintilla::backspaceUnindents
    {83, 752, 1557},	// QsciScintilla::beginUndoAction
    {83, 760, 1558},	// QsciScintilla::braceMatching
    {83, 762, 1669},	// QsciScintilla::callTip
    {83, 765, 1559},	// QsciScintilla::callTipsStyle
    {83, 766, 1560},	// QsciScintilla::callTipsVisible
    {83, 769, 1561},	// QsciScintilla::cancelList
    {83, 771, 1562},	// QsciScintilla::caseSensitive
    {83, 776, 1670},	// QsciScintilla::clear
    {83, 778, 1751},	// QsciScintilla::clearAnnotations
    {83, 779, 1548},	// QsciScintilla::clearAnnotations$
    {83, 780, 1563},	// QsciScintilla::clearFolds
    {83, 782, 1763},	// QsciScintilla::clearMarginText
    {83, 783, 1642},	// QsciScintilla::clearMarginText$
    {83, 784, 1564},	// QsciScintilla::clearRegisteredImages
    {83, 786, 1565},	// QsciScintilla::color
    {83, 795, 1566},	// QsciScintilla::convertEols$
    {83, 796, 1671},	// QsciScintilla::copy
    {83, 798, 1740},	// QsciScintilla::copyAvailable$
    {83, 800, 1739},	// QsciScintilla::cursorPositionChanged$$
    {83, 802, 1672},	// QsciScintilla::cut
    {83, 817, 1567},	// QsciScintilla::document
    {83, 827, 1569},	// QsciScintilla::edgeColor
    {83, 828, 1570},	// QsciScintilla::edgeColumn
    {83, 829, 1571},	// QsciScintilla::edgeMode
    {83, 833, 1568},	// QsciScintilla::endUndoAction
    {83, 834, 1673},	// QsciScintilla::ensureCursorVisible
    {83, 836, 1674},	// QsciScintilla::ensureLineVisible$
    {83, 842, 1573},	// QsciScintilla::eolMode
    {83, 843, 1574},	// QsciScintilla::eolVisibility
    {83, 848, 1752},	// QsciScintilla::findFirst$$$$$
    {83, 849, 1753},	// QsciScintilla::findFirst$$$$$$
    {83, 850, 1754},	// QsciScintilla::findFirst$$$$$$$
    {83, 851, 1755},	// QsciScintilla::findFirst$$$$$$$$
    {83, 852, 1575},	// QsciScintilla::findFirst$$$$$$$$$
    {83, 853, 1576},	// QsciScintilla::findNext
    {83, 854, 1577},	// QsciScintilla::firstVisibleLine
    {83, 861, 1768},	// QsciScintilla::foldAll
    {83, 862, 1675},	// QsciScintilla::foldAll$
    {83, 870, 1676},	// QsciScintilla::foldLine$
    {83, 877, 1578},	// QsciScintilla::folding
    {83, 888, 1579},	// QsciScintilla::getCursorPosition$$
    {83, 890, 1580},	// QsciScintilla::getSelection$$$$
    {83, 891, 1581},	// QsciScintilla::hasSelectedText
    {83, 896, 1677},	// QsciScintilla::indent$
    {83, 898, 1582},	// QsciScintilla::indentation$
    {83, 900, 1583},	// QsciScintilla::indentationGuides
    {83, 902, 1585},	// QsciScintilla::indentationWidth
    {83, 903, 1584},	// QsciScintilla::indentationsUseTabs
    {83, 908, 1678},	// QsciScintilla::insert$
    {83, 910, 1679},	// QsciScintilla::insertAt$$$
    {83, 912, 1586},	// QsciScintilla::isCallTipActive
    {83, 913, 1587},	// QsciScintilla::isListActive
    {83, 914, 1588},	// QsciScintilla::isModified
    {83, 917, 1589},	// QsciScintilla::isReadOnly
    {83, 918, 1590},	// QsciScintilla::isRedoAvailable
    {83, 919, 1591},	// QsciScintilla::isUndoAvailable
    {83, 920, 1592},	// QsciScintilla::isUtf8
    {83, 922, 1593},	// QsciScintilla::isWordCharacter$
    {83, 932, 1598},	// QsciScintilla::length
    {83, 934, 1599},	// QsciScintilla::lexer
    {83, 937, 1594},	// QsciScintilla::lineAt#
    {83, 939, 1595},	// QsciScintilla::lineIndexFromPosition$$$
    {83, 941, 1596},	// QsciScintilla::lineLength$
    {83, 942, 1597},	// QsciScintilla::lines
    {83, 943, 1741},	// QsciScintilla::linesChanged
    {83, 950, 1742},	// QsciScintilla::marginClicked$$$
    {83, 952, 1600},	// QsciScintilla::marginLineNumbers$
    {83, 954, 1601},	// QsciScintilla::marginMarkerMask$
    {83, 956, 1602},	// QsciScintilla::marginSensitivity$
    {83, 958, 1603},	// QsciScintilla::marginType$
    {83, 960, 1604},	// QsciScintilla::marginWidth$
    {83, 962, 1608},	// QsciScintilla::markerAdd$$
    {83, 964, 1758},	// QsciScintilla::markerDefine#
    {83, 965, 1607},	// QsciScintilla::markerDefine#$
    {83, 966, -1},	// QsciScintilla::markerDefine$
    {83, 967, -4},	// QsciScintilla::markerDefine$$
    {83, 969, 1759},	// QsciScintilla::markerDelete$
    {83, 970, 1610},	// QsciScintilla::markerDelete$$
    {83, 971, 1760},	// QsciScintilla::markerDeleteAll
    {83, 972, 1611},	// QsciScintilla::markerDeleteAll$
    {83, 974, 1612},	// QsciScintilla::markerDeleteHandle$
    {83, 976, 1614},	// QsciScintilla::markerFindNext$$
    {83, 978, 1615},	// QsciScintilla::markerFindPrevious$$
    {83, 980, 1613},	// QsciScintilla::markerLine$
    {83, 982, 1609},	// QsciScintilla::markersAtLine$
    {83, 983, 1533},	// QsciScintilla::metaObject
    {83, 986, 1743},	// QsciScintilla::modificationAttempted
    {83, 988, 1744},	// QsciScintilla::modificationChanged$
    {83, 998, 1680},	// QsciScintilla::moveToMatchingBrace
    {83, 1005, 1616},	// QsciScintilla::paper
    {83, 1009, 1681},	// QsciScintilla::paste
    {83, 1013, 1617},	// QsciScintilla::positionFromLineIndex$$
    {83, 1022, 1539},	// QsciScintilla::qt_metacall$$?
    {83, 1024, 1534},	// QsciScintilla::qt_metacast$
    {83, 1026, 1618},	// QsciScintilla::read#
    {83, 1032, 1761},	// QsciScintilla::recolor
    {83, 1033, 1762},	// QsciScintilla::recolor$
    {83, 1034, 1619},	// QsciScintilla::recolor$$
    {83, 1035, 1682},	// QsciScintilla::redo
    {83, 1039, 1620},	// QsciScintilla::registerImage$#
    {83, 1042, 1683},	// QsciScintilla::removeSelectedText
    {83, 1044, 1621},	// QsciScintilla::replace$
    {83, 1045, 1622},	// QsciScintilla::resetFoldMarginColors
    {83, 1046, 1684},	// QsciScintilla::resetSelectionBackgroundColor
    {83, 1047, 1685},	// QsciScintilla::resetSelectionForegroundColor
    {83, 1056, 1769},	// QsciScintilla::selectAll
    {83, 1057, 1686},	// QsciScintilla::selectAll$
    {83, 1058, 1687},	// QsciScintilla::selectToMatchingBrace
    {83, 1059, 1650},	// QsciScintilla::selectedText
    {83, 1060, 1745},	// QsciScintilla::selectionChanged
    {83, 1061, 1651},	// QsciScintilla::selectionToEol
    {83, 1067, 1624},	// QsciScintilla::setAnnotationDisplay$
    {83, 1069, 1688},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {83, 1071, 1626},	// QsciScintilla::setAutoCompletionFillups$
    {83, 1073, 1625},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {83, 1075, 1689},	// QsciScintilla::setAutoCompletionReplaceWord$
    {83, 1077, 1690},	// QsciScintilla::setAutoCompletionShowSingle$
    {83, 1079, 1691},	// QsciScintilla::setAutoCompletionSource$
    {83, 1081, 1692},	// QsciScintilla::setAutoCompletionThreshold$
    {83, 1083, 1627},	// QsciScintilla::setAutoCompletionWordSeparators?
    {83, 1085, 1693},	// QsciScintilla::setAutoIndent$
    {83, 1091, 1695},	// QsciScintilla::setBackspaceUnindents$
    {83, 1093, 1694},	// QsciScintilla::setBraceMatching$
    {83, 1095, 1628},	// QsciScintilla::setCallTipsBackgroundColor#
    {83, 1097, 1629},	// QsciScintilla::setCallTipsForegroundColor#
    {83, 1099, 1630},	// QsciScintilla::setCallTipsHighlightColor#
    {83, 1101, 1631},	// QsciScintilla::setCallTipsStyle$
    {83, 1103, 1632},	// QsciScintilla::setCallTipsVisible$
    {83, 1105, 1696},	// QsciScintilla::setCaretForegroundColor#
    {83, 1107, 1697},	// QsciScintilla::setCaretLineBackgroundColor#
    {83, 1109, 1698},	// QsciScintilla::setCaretLineVisible$
    {83, 1111, 1699},	// QsciScintilla::setCaretWidth$
    {83, 1117, 1700},	// QsciScintilla::setColor#
    {83, 1120, 1701},	// QsciScintilla::setCursorPosition$$
    {83, 1130, 1633},	// QsciScintilla::setDocument#
    {83, 1134, 1634},	// QsciScintilla::setEdgeColor#
    {83, 1136, 1635},	// QsciScintilla::setEdgeColumn$
    {83, 1138, 1636},	// QsciScintilla::setEdgeMode$
    {83, 1145, 1702},	// QsciScintilla::setEolMode$
    {83, 1147, 1703},	// QsciScintilla::setEolVisibility$
    {83, 1161, 1623},	// QsciScintilla::setFoldMarginColors##
    {83, 1175, 1770},	// QsciScintilla::setFolding$
    {83, 1176, 1704},	// QsciScintilla::setFolding$$
    {83, 1178, 1572},	// QsciScintilla::setFont#
    {83, 1183, 1705},	// QsciScintilla::setIndentation$$
    {83, 1185, 1706},	// QsciScintilla::setIndentationGuides$
    {83, 1187, 1707},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {83, 1189, 1708},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {83, 1193, 1710},	// QsciScintilla::setIndentationWidth$
    {83, 1195, 1709},	// QsciScintilla::setIndentationsUseTabs$
    {83, 1200, 1771},	// QsciScintilla::setLexer
    {83, 1201, 1711},	// QsciScintilla::setLexer#
    {83, 1205, 1715},	// QsciScintilla::setMarginLineNumbers$$
    {83, 1207, 1716},	// QsciScintilla::setMarginMarkerMask$$
    {83, 1209, 1717},	// QsciScintilla::setMarginSensitivity$$
    {83, 1211, 1639},	// QsciScintilla::setMarginText$#
    {83, 1212, 1638},	// QsciScintilla::setMarginText$$#
    {83, 1213, 1637},	// QsciScintilla::setMarginText$$$
    {83, 1214, 1640},	// QsciScintilla::setMarginText$?
    {83, 1216, 1641},	// QsciScintilla::setMarginType$$
    {83, 1218, -7},	// QsciScintilla::setMarginWidth$$
    {83, 1220, 1712},	// QsciScintilla::setMarginsBackgroundColor#
    {83, 1222, 1713},	// QsciScintilla::setMarginsFont#
    {83, 1224, 1714},	// QsciScintilla::setMarginsForegroundColor#
    {83, 1226, 1764},	// QsciScintilla::setMarkerBackgroundColor#
    {83, 1227, 1643},	// QsciScintilla::setMarkerBackgroundColor#$
    {83, 1229, 1765},	// QsciScintilla::setMarkerForegroundColor#
    {83, 1230, 1644},	// QsciScintilla::setMarkerForegroundColor#$
    {83, 1232, 1645},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {83, 1234, 1646},	// QsciScintilla::setMatchedBraceForegroundColor#
    {83, 1236, 1720},	// QsciScintilla::setModified$
    {83, 1238, 1721},	// QsciScintilla::setPaper#
    {83, 1241, 1722},	// QsciScintilla::setReadOnly$
    {83, 1245, 1723},	// QsciScintilla::setSelection$$$$
    {83, 1247, 1724},	// QsciScintilla::setSelectionBackgroundColor#
    {83, 1249, 1725},	// QsciScintilla::setSelectionForegroundColor#
    {83, 1251, 1652},	// QsciScintilla::setSelectionToEol$
    {83, 1260, 1726},	// QsciScintilla::setTabIndents$
    {83, 1262, 1727},	// QsciScintilla::setTabWidth$
    {83, 1264, 1728},	// QsciScintilla::setText$
    {83, 1270, 1647},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {83, 1272, 1648},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {83, 1274, 1729},	// QsciScintilla::setUtf8$
    {83, 1284, 1730},	// QsciScintilla::setWhitespaceVisibility$
    {83, 1286, 1731},	// QsciScintilla::setWrapMode$
    {83, 1288, 1766},	// QsciScintilla::setWrapVisualFlags$
    {83, 1289, 1767},	// QsciScintilla::setWrapVisualFlags$$
    {83, 1290, 1649},	// QsciScintilla::setWrapVisualFlags$$$
    {83, 1293, 1653},	// QsciScintilla::showUserList$?
    {83, 1296, 1654},	// QsciScintilla::standardCommands
    {83, 1301, 1772},	// QsciScintilla::staticMetaObject
    {83, 1308, 1655},	// QsciScintilla::tabIndents
    {83, 1309, 1656},	// QsciScintilla::tabWidth
    {83, 1311, 1657},	// QsciScintilla::text
    {83, 1312, 1658},	// QsciScintilla::text$
    {83, 1314, 1746},	// QsciScintilla::textChanged
    {83, 1316, 1659},	// QsciScintilla::textHeight$
    {83, 1322, 1748},	// QsciScintilla::tr$
    {83, 1323, 1535},	// QsciScintilla::tr$$
    {83, 1324, 1537},	// QsciScintilla::tr$$$
    {83, 1326, 1749},	// QsciScintilla::trUtf8$
    {83, 1327, 1536},	// QsciScintilla::trUtf8$$
    {83, 1328, 1538},	// QsciScintilla::trUtf8$$$
    {83, 1329, 1732},	// QsciScintilla::undo
    {83, 1331, 1733},	// QsciScintilla::unindent$
    {83, 1335, 1747},	// QsciScintilla::userListActivated$$
    {83, 1344, 1660},	// QsciScintilla::whitespaceVisibility
    {83, 1347, 1661},	// QsciScintilla::wordAtPoint#
    {83, 1348, 1662},	// QsciScintilla::wordCharacters
    {83, 1349, 1663},	// QsciScintilla::wrapMode
    {83, 1351, 1664},	// QsciScintilla::write#
    {83, 1358, 1735},	// QsciScintilla::zoomIn
    {83, 1359, 1734},	// QsciScintilla::zoomIn$
    {83, 1360, 1737},	// QsciScintilla::zoomOut
    {83, 1361, 1736},	// QsciScintilla::zoomOut$
    {83, 1363, 1738},	// QsciScintilla::zoomTo$
    {83, 1401, 1842},	// QsciScintilla::~QsciScintilla
    {84, 354, 1865},	// QsciScintillaBase::QSCN_SELCHANGED$
    {84, 436, 1913},	// QsciScintillaBase::QsciScintillaBase
    {84, 437, 1850},	// QsciScintillaBase::QsciScintillaBase#
    {84, 466, 1869},	// QsciScintillaBase::SCEN_CHANGE
    {84, 467, -10},	// QsciScintillaBase::SCLEX_ABAQUS
    {84, 468, -45},	// QsciScintillaBase::SCLEX_ADA
    {84, 469, -80},	// QsciScintillaBase::SCLEX_APDL
    {84, 470, -115},	// QsciScintillaBase::SCLEX_ASM
    {84, 471, -150},	// QsciScintillaBase::SCLEX_ASN1
    {84, 472, -185},	// QsciScintillaBase::SCLEX_ASP
    {84, 473, -220},	// QsciScintillaBase::SCLEX_ASYMPTOTE
    {84, 474, -255},	// QsciScintillaBase::SCLEX_AU3
    {84, 475, -290},	// QsciScintillaBase::SCLEX_AVE
    {84, 476, -325},	// QsciScintillaBase::SCLEX_BAAN
    {84, 477, -360},	// QsciScintillaBase::SCLEX_BASH
    {84, 478, -395},	// QsciScintillaBase::SCLEX_BATCH
    {84, 479, -430},	// QsciScintillaBase::SCLEX_BLITZBASIC
    {84, 480, -465},	// QsciScintillaBase::SCLEX_BULLANT
    {84, 481, -500},	// QsciScintillaBase::SCLEX_CAML
    {84, 482, -535},	// QsciScintillaBase::SCLEX_CLW
    {84, 483, -570},	// QsciScintillaBase::SCLEX_CLWNOCASE
    {84, 484, -605},	// QsciScintillaBase::SCLEX_CMAKE
    {84, 485, -640},	// QsciScintillaBase::SCLEX_COBOL
    {84, 486, -675},	// QsciScintillaBase::SCLEX_CONF
    {84, 487, -710},	// QsciScintillaBase::SCLEX_CONTAINER
    {84, 488, -745},	// QsciScintillaBase::SCLEX_CPP
    {84, 489, -780},	// QsciScintillaBase::SCLEX_CPPNOCASE
    {84, 490, -815},	// QsciScintillaBase::SCLEX_CSOUND
    {84, 491, -850},	// QsciScintillaBase::SCLEX_CSS
    {84, 492, -885},	// QsciScintillaBase::SCLEX_D
    {84, 493, -920},	// QsciScintillaBase::SCLEX_DIFF
    {84, 494, -955},	// QsciScintillaBase::SCLEX_EIFFEL
    {84, 495, -990},	// QsciScintillaBase::SCLEX_EIFFELKW
    {84, 496, -1025},	// QsciScintillaBase::SCLEX_ERLANG
    {84, 497, -1060},	// QsciScintillaBase::SCLEX_ERRORLIST
    {84, 498, -1095},	// QsciScintillaBase::SCLEX_ESCRIPT
    {84, 499, -1130},	// QsciScintillaBase::SCLEX_F77
    {84, 500, -1165},	// QsciScintillaBase::SCLEX_FLAGSHIP
    {84, 501, -1200},	// QsciScintillaBase::SCLEX_FORTH
    {84, 502, -1235},	// QsciScintillaBase::SCLEX_FORTRAN
    {84, 503, -1270},	// QsciScintillaBase::SCLEX_FREEBASIC
    {84, 504, -1305},	// QsciScintillaBase::SCLEX_GAP
    {84, 505, -1340},	// QsciScintillaBase::SCLEX_GUI4CLI
    {84, 506, -1375},	// QsciScintillaBase::SCLEX_HASKELL
    {84, 507, -1410},	// QsciScintillaBase::SCLEX_HTML
    {84, 508, -1445},	// QsciScintillaBase::SCLEX_INNOSETUP
    {84, 509, -1480},	// QsciScintillaBase::SCLEX_KIX
    {84, 510, -1515},	// QsciScintillaBase::SCLEX_LATEX
    {84, 511, -1550},	// QsciScintillaBase::SCLEX_LISP
    {84, 512, -1585},	// QsciScintillaBase::SCLEX_LOT
    {84, 513, -1620},	// QsciScintillaBase::SCLEX_LOUT
    {84, 514, -1655},	// QsciScintillaBase::SCLEX_LUA
    {84, 515, -1690},	// QsciScintillaBase::SCLEX_MAGIK
    {84, 516, -1725},	// QsciScintillaBase::SCLEX_MAKEFILE
    {84, 517, -1760},	// QsciScintillaBase::SCLEX_MATLAB
    {84, 518, -1795},	// QsciScintillaBase::SCLEX_METAPOST
    {84, 519, -1830},	// QsciScintillaBase::SCLEX_MMIXAL
    {84, 520, -1865},	// QsciScintillaBase::SCLEX_MSSQL
    {84, 521, -1900},	// QsciScintillaBase::SCLEX_MYSQL
    {84, 522, -1935},	// QsciScintillaBase::SCLEX_NIMROD
    {84, 523, -1970},	// QsciScintillaBase::SCLEX_NNCRONTAB
    {84, 524, -2005},	// QsciScintillaBase::SCLEX_NSIS
    {84, 525, -2040},	// QsciScintillaBase::SCLEX_NULL
    {84, 526, -2075},	// QsciScintillaBase::SCLEX_OCTAVE
    {84, 527, -2110},	// QsciScintillaBase::SCLEX_OPAL
    {84, 528, -2145},	// QsciScintillaBase::SCLEX_PASCAL
    {84, 529, -2180},	// QsciScintillaBase::SCLEX_PERL
    {84, 530, -2215},	// QsciScintillaBase::SCLEX_PHP
    {84, 531, -2250},	// QsciScintillaBase::SCLEX_PHPSCRIPT
    {84, 532, -2285},	// QsciScintillaBase::SCLEX_PLM
    {84, 533, -2320},	// QsciScintillaBase::SCLEX_PO
    {84, 534, -2355},	// QsciScintillaBase::SCLEX_POV
    {84, 535, -2390},	// QsciScintillaBase::SCLEX_POWERBASIC
    {84, 536, -2425},	// QsciScintillaBase::SCLEX_POWERPRO
    {84, 537, -2460},	// QsciScintillaBase::SCLEX_POWERSHELL
    {84, 538, -2495},	// QsciScintillaBase::SCLEX_PROGRESS
    {84, 539, -2530},	// QsciScintillaBase::SCLEX_PROPERTIES
    {84, 540, -2565},	// QsciScintillaBase::SCLEX_PS
    {84, 541, -2600},	// QsciScintillaBase::SCLEX_PUREBASIC
    {84, 542, -2635},	// QsciScintillaBase::SCLEX_PYTHON
    {84, 543, -2670},	// QsciScintillaBase::SCLEX_R
    {84, 544, -2705},	// QsciScintillaBase::SCLEX_REBOL
    {84, 545, -2740},	// QsciScintillaBase::SCLEX_RUBY
    {84, 546, -2775},	// QsciScintillaBase::SCLEX_SCRIPTOL
    {84, 547, -2810},	// QsciScintillaBase::SCLEX_SMALLTALK
    {84, 548, -2845},	// QsciScintillaBase::SCLEX_SML
    {84, 549, -2880},	// QsciScintillaBase::SCLEX_SORCUS
    {84, 550, -2915},	// QsciScintillaBase::SCLEX_SPECMAN
    {84, 551, -2950},	// QsciScintillaBase::SCLEX_SPICE
    {84, 552, -2985},	// QsciScintillaBase::SCLEX_SQL
    {84, 553, -3020},	// QsciScintillaBase::SCLEX_TACL
    {84, 554, -3055},	// QsciScintillaBase::SCLEX_TADS3
    {84, 555, -3090},	// QsciScintillaBase::SCLEX_TAL
    {84, 556, -3125},	// QsciScintillaBase::SCLEX_TCL
    {84, 557, -3160},	// QsciScintillaBase::SCLEX_TEX
    {84, 558, -3195},	// QsciScintillaBase::SCLEX_VB
    {84, 559, -3230},	// QsciScintillaBase::SCLEX_VBSCRIPT
    {84, 560, -3265},	// QsciScintillaBase::SCLEX_VERILOG
    {84, 561, -3300},	// QsciScintillaBase::SCLEX_VHDL
    {84, 562, -3335},	// QsciScintillaBase::SCLEX_XML
    {84, 563, -3370},	// QsciScintillaBase::SCLEX_YAML
    {84, 564, 1866},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {84, 565, 1867},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {84, 567, 1868},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {84, 569, 1870},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {84, 571, 1871},	// QsciScintillaBase::SCN_CHARADDED$
    {84, 573, 1872},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {84, 575, 1873},	// QsciScintillaBase::SCN_DWELLEND$$$
    {84, 577, 1874},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {84, 579, 1875},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {84, 581, 1876},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {84, 583, 1877},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {84, 585, 1878},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {84, 587, 1879},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {84, 589, 1880},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {84, 591, 1881},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {84, 592, 1882},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {84, 594, 1883},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {84, 595, 1884},	// QsciScintillaBase::SCN_PAINTED
    {84, 596, 1885},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {84, 597, 1886},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {84, 599, 1887},	// QsciScintillaBase::SCN_STYLENEEDED$
    {84, 600, 1888},	// QsciScintillaBase::SCN_UPDATEUI
    {84, 602, 1889},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {84, 603, 1890},	// QsciScintillaBase::SCN_ZOOM
    {84, 621, 1914},	// QsciScintillaBase::SendScintilla$
    {84, 622, 1861},	// QsciScintillaBase::SendScintilla$#
    {84, 623, -3405},	// QsciScintillaBase::SendScintilla$$
    {84, 624, -3410},	// QsciScintillaBase::SendScintilla$$#
    {84, 625, 1862},	// QsciScintillaBase::SendScintilla$$##$$
    {84, 626, -3413},	// QsciScintillaBase::SendScintilla$$$
    {84, 627, 1859},	// QsciScintillaBase::SendScintilla$$$$
    {84, 629, 1864},	// QsciScintillaBase::SendScintillaPtrResult$
    {84, 768, 1891},	// QsciScintillaBase::canInsertFromMimeData#
    {84, 793, 1894},	// QsciScintillaBase::contextMenuEvent#
    {84, 820, 1895},	// QsciScintillaBase::dragEnterEvent#
    {84, 822, 1896},	// QsciScintillaBase::dragLeaveEvent#
    {84, 824, 1897},	// QsciScintillaBase::dragMoveEvent#
    {84, 826, 1898},	// QsciScintillaBase::dropEvent#
    {84, 856, 1899},	// QsciScintillaBase::focusInEvent#
    {84, 858, 1901},	// QsciScintillaBase::focusNextPrevChild$
    {84, 860, 1900},	// QsciScintillaBase::focusOutEvent#
    {84, 886, 1892},	// QsciScintillaBase::fromMimeData#
    {84, 905, 1903},	// QsciScintillaBase::inputMethodEvent#
    {84, 925, 1902},	// QsciScintillaBase::keyPressEvent#
    {84, 983, 1843},	// QsciScintillaBase::metaObject
    {84, 990, 1904},	// QsciScintillaBase::mouseDoubleClickEvent#
    {84, 992, 1905},	// QsciScintillaBase::mouseMoveEvent#
    {84, 994, 1906},	// QsciScintillaBase::mousePressEvent#
    {84, 996, 1907},	// QsciScintillaBase::mouseReleaseEvent#
    {84, 1003, 1908},	// QsciScintillaBase::paintEvent#
    {84, 1011, 1851},	// QsciScintillaBase::pool
    {84, 1022, 1849},	// QsciScintillaBase::qt_metacall$$?
    {84, 1024, 1844},	// QsciScintillaBase::qt_metacast$
    {84, 1049, 1909},	// QsciScintillaBase::resizeEvent#
    {84, 1055, 1910},	// QsciScintillaBase::scrollContentsBy$$
    {84, 1301, 1916},	// QsciScintillaBase::staticMetaObject
    {84, 1319, 1893},	// QsciScintillaBase::toMimeData$
    {84, 1322, 1911},	// QsciScintillaBase::tr$
    {84, 1323, 1845},	// QsciScintillaBase::tr$$
    {84, 1324, 1847},	// QsciScintillaBase::tr$$$
    {84, 1326, 1912},	// QsciScintillaBase::trUtf8$
    {84, 1327, 1846},	// QsciScintillaBase::trUtf8$$
    {84, 1328, 1848},	// QsciScintillaBase::trUtf8$$$
    {84, 1402, 5215},	// QsciScintillaBase::~QsciScintillaBase
    {85, 275, 5243},	// QsciStyle::LowerCase
    {85, 296, 5241},	// QsciStyle::OriginalCase
    {85, 438, 5239},	// QsciStyle::QsciStyle
    {85, 439, 5238},	// QsciStyle::QsciStyle#
    {85, 440, 5216},	// QsciStyle::QsciStyle$
    {85, 441, 5240},	// QsciStyle::QsciStyle$$###
    {85, 442, 5217},	// QsciStyle::QsciStyle$$###$
    {85, 688, 5242},	// QsciStyle::UpperCase
    {85, 774, 5234},	// QsciStyle::changeable
    {85, 786, 5222},	// QsciStyle::color
    {85, 813, 5220},	// QsciStyle::description
    {85, 838, 5228},	// QsciStyle::eolFill
    {85, 878, 5226},	// QsciStyle::font
    {85, 894, 5236},	// QsciStyle::hotspot
    {85, 1005, 5224},	// QsciStyle::paper
    {85, 1036, 5237},	// QsciStyle::refresh
    {85, 1115, 5233},	// QsciStyle::setChangeable$
    {85, 1117, 5221},	// QsciStyle::setColor#
    {85, 1128, 5219},	// QsciStyle::setDescription$
    {85, 1142, 5227},	// QsciStyle::setEolFill$
    {85, 1178, 5225},	// QsciStyle::setFont#
    {85, 1181, 5235},	// QsciStyle::setHotspot$
    {85, 1238, 5223},	// QsciStyle::setPaper#
    {85, 1266, 5229},	// QsciStyle::setTextCase$
    {85, 1282, 5231},	// QsciStyle::setVisible$
    {85, 1302, 5218},	// QsciStyle::style
    {85, 1313, 5230},	// QsciStyle::textCase
    {85, 1342, 5232},	// QsciStyle::visible
    {85, 1403, 5244},	// QsciStyle::~QsciStyle
    {86, 444, 5249},	// QsciStyledText::QsciStyledText#
    {86, 445, 5246},	// QsciStyledText::QsciStyledText$#
    {86, 446, 5245},	// QsciStyledText::QsciStyledText$$
    {86, 1302, 5248},	// QsciStyledText::style
    {86, 1311, 5247},	// QsciStyledText::text
    {86, 1404, 5250},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 86,
        __smokeqsci::methods, 5251,
        __smokeqsci::methodMaps, 1999,
        __smokeqsci::methodNames, 1404,
        __smokeqsci::types, 228,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
