#include <qtnetwork_includes.h>

#include <smoke.h>
#include <qtnetwork_smoke.h>

namespace __smokeqtnetwork {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractNetworkCache
      switch(to) {
        case 50: return (void*)(QObject*)(QAbstractNetworkCache*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)xptr;
        case 43: return (void*)(QNetworkDiskCache*)(QAbstractNetworkCache*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractSocket
      switch(to) {
        case 25: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 50: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)xptr;
        case 74: return (void*)(QUdpSocket*)(QAbstractSocket*)xptr;
        case 65: return (void*)(QSslSocket*)(QAbstractSocket*)xptr;
        case 69: return (void*)(QTcpSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 3:   //QAuthenticator
      switch(to) {
        case 3: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDataStream
      switch(to) {
        case 9: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 10:   //QDate
      switch(to) {
        case 10: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 11:   //QDateTime
      switch(to) {
        case 11: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 12:   //QDebug
      switch(to) {
        case 12: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 13:   //QDir
      switch(to) {
        case 13: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 14:   //QEasingCurve
      switch(to) {
        case 14: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 15:   //QEvent
      switch(to) {
        case 15: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QFtp
      switch(to) {
        case 50: return (void*)(QObject*)(QFtp*)xptr;
        case 16: return (void*)(QFtp*)xptr;
        default: return xptr;
      }
    case 18:   //QHashDummyValue
      switch(to) {
        case 18: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 19:   //QHostAddress
      switch(to) {
        case 19: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 20:   //QHostInfo
      switch(to) {
        case 20: return (void*)(QHostInfo*)xptr;
        default: return xptr;
      }
    case 21:   //QHttp
      switch(to) {
        case 50: return (void*)(QObject*)(QHttp*)xptr;
        case 21: return (void*)(QHttp*)xptr;
        default: return xptr;
      }
    case 22:   //QHttpHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)xptr;
        case 23: return (void*)(QHttpRequestHeader*)(QHttpHeader*)xptr;
        case 24: return (void*)(QHttpResponseHeader*)(QHttpHeader*)xptr;
        default: return xptr;
      }
    case 23:   //QHttpRequestHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpRequestHeader*)xptr;
        case 23: return (void*)(QHttpRequestHeader*)xptr;
        default: return xptr;
      }
    case 24:   //QHttpResponseHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpResponseHeader*)xptr;
        case 24: return (void*)(QHttpResponseHeader*)xptr;
        default: return xptr;
      }
    case 25:   //QIODevice
      switch(to) {
        case 50: return (void*)(QObject*)(QIODevice*)xptr;
        case 25: return (void*)(QIODevice*)xptr;
        case 48: return (void*)(QNetworkReply*)(QIODevice*)xptr;
        case 74: return (void*)(QUdpSocket*)(QIODevice*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QIODevice*)xptr;
        case 65: return (void*)(QSslSocket*)(QIODevice*)xptr;
        case 69: return (void*)(QTcpSocket*)(QIODevice*)xptr;
        case 32: return (void*)(QLocalSocket*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 26:   //QIPv6Address
      switch(to) {
        case 26: return (void*)(QIPv6Address*)xptr;
        default: return xptr;
      }
    case 27:   //QIncompatibleFlag
      switch(to) {
        case 27: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 28:   //QLatin1String
      switch(to) {
        case 28: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 29:   //QLine
      switch(to) {
        case 29: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 30:   //QLineF
      switch(to) {
        case 30: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 31:   //QLocalServer
      switch(to) {
        case 50: return (void*)(QObject*)(QLocalServer*)xptr;
        case 31: return (void*)(QLocalServer*)xptr;
        default: return xptr;
      }
    case 32:   //QLocalSocket
      switch(to) {
        case 25: return (void*)(QIODevice*)(QLocalSocket*)xptr;
        case 50: return (void*)(QObject*)(QLocalSocket*)xptr;
        case 32: return (void*)(QLocalSocket*)xptr;
        default: return xptr;
      }
    case 33:   //QLocale
      switch(to) {
        case 33: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 34:   //QMargins
      switch(to) {
        case 34: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 35:   //QMetaObject
      switch(to) {
        case 35: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 36:   //QModelIndex
      switch(to) {
        case 36: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 37:   //QNetworkAccessManager
      switch(to) {
        case 50: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 37: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 38:   //QNetworkAddressEntry
      switch(to) {
        case 38: return (void*)(QNetworkAddressEntry*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkCacheMetaData
      switch(to) {
        case 39: return (void*)(QNetworkCacheMetaData*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkConfiguration
      switch(to) {
        case 40: return (void*)(QNetworkConfiguration*)xptr;
        default: return xptr;
      }
    case 41:   //QNetworkCookie
      switch(to) {
        case 41: return (void*)(QNetworkCookie*)xptr;
        default: return xptr;
      }
    case 42:   //QNetworkCookieJar
      switch(to) {
        case 50: return (void*)(QObject*)(QNetworkCookieJar*)xptr;
        case 42: return (void*)(QNetworkCookieJar*)xptr;
        default: return xptr;
      }
    case 43:   //QNetworkDiskCache
      switch(to) {
        case 1: return (void*)(QAbstractNetworkCache*)(QNetworkDiskCache*)xptr;
        case 50: return (void*)(QObject*)(QNetworkDiskCache*)xptr;
        case 43: return (void*)(QNetworkDiskCache*)xptr;
        default: return xptr;
      }
    case 44:   //QNetworkInterface
      switch(to) {
        case 44: return (void*)(QNetworkInterface*)xptr;
        default: return xptr;
      }
    case 45:   //QNetworkProxy
      switch(to) {
        case 45: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 46:   //QNetworkProxyFactory
      switch(to) {
        case 46: return (void*)(QNetworkProxyFactory*)xptr;
        default: return xptr;
      }
    case 47:   //QNetworkProxyQuery
      switch(to) {
        case 47: return (void*)(QNetworkProxyQuery*)xptr;
        default: return xptr;
      }
    case 48:   //QNetworkReply
      switch(to) {
        case 25: return (void*)(QIODevice*)(QNetworkReply*)xptr;
        case 50: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 48: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 49:   //QNetworkRequest
      switch(to) {
        case 49: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 50:   //QObject
      switch(to) {
        case 50: return (void*)(QObject*)xptr;
        case 16: return (void*)(QFtp*)(QObject*)xptr;
        case 42: return (void*)(QNetworkCookieJar*)(QObject*)xptr;
        case 31: return (void*)(QLocalServer*)(QObject*)xptr;
        case 48: return (void*)(QNetworkReply*)(QObject*)xptr;
        case 74: return (void*)(QUdpSocket*)(QObject*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)(QObject*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QObject*)xptr;
        case 21: return (void*)(QHttp*)(QObject*)xptr;
        case 65: return (void*)(QSslSocket*)(QObject*)xptr;
        case 37: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
        case 69: return (void*)(QTcpSocket*)(QObject*)xptr;
        case 43: return (void*)(QNetworkDiskCache*)(QObject*)xptr;
        case 68: return (void*)(QTcpServer*)(QObject*)xptr;
        case 32: return (void*)(QLocalSocket*)(QObject*)xptr;
        default: return xptr;
      }
    case 51:   //QPersistentModelIndex
      switch(to) {
        case 51: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 52:   //QPoint
      switch(to) {
        case 52: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 53:   //QPointF
      switch(to) {
        case 53: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 54:   //QRect
      switch(to) {
        case 54: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 55:   //QRectF
      switch(to) {
        case 55: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 56:   //QRegExp
      switch(to) {
        case 56: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 57:   //QSize
      switch(to) {
        case 57: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 58:   //QSizeF
      switch(to) {
        case 58: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 60:   //QSslCertificate
      switch(to) {
        case 60: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 61:   //QSslCipher
      switch(to) {
        case 61: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 62:   //QSslConfiguration
      switch(to) {
        case 62: return (void*)(QSslConfiguration*)xptr;
        default: return xptr;
      }
    case 63:   //QSslError
      switch(to) {
        case 63: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 64:   //QSslKey
      switch(to) {
        case 64: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 65:   //QSslSocket
      switch(to) {
        case 69: return (void*)(QTcpSocket*)(QSslSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QSslSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QSslSocket*)xptr;
        case 50: return (void*)(QObject*)(QSslSocket*)xptr;
        case 65: return (void*)(QSslSocket*)xptr;
        default: return xptr;
      }
    case 66:   //QString::Null
      switch(to) {
        case 66: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 67:   //QStringRef
      switch(to) {
        case 67: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 68:   //QTcpServer
      switch(to) {
        case 50: return (void*)(QObject*)(QTcpServer*)xptr;
        case 68: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 69:   //QTcpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 50: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 69: return (void*)(QTcpSocket*)xptr;
        case 65: return (void*)(QSslSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 70:   //QTextStream
      switch(to) {
        case 70: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 71:   //QTextStreamManipulator
      switch(to) {
        case 71: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 72:   //QTime
      switch(to) {
        case 72: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 73:   //QTimerEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 73: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 74:   //QUdpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QUdpSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QUdpSocket*)xptr;
        case 50: return (void*)(QObject*)(QUdpSocket*)xptr;
        case 74: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 75:   //QUrl
      switch(to) {
        case 75: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 76:   //QUrlInfo
      switch(to) {
        case 76: return (void*)(QUrlInfo*)xptr;
        default: return xptr;
      }
    case 77:   //QUuid
      switch(to) {
        case 77: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 78:   //QVariant
      switch(to) {
        case 78: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 79:   //QVariantComparisonHelper
      switch(to) {
        case 79: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 80:   //sockaddr
      switch(to) {
        case 80: return (void*)(sockaddr*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    50, 0,	// 1: QObject
    25, 0,	// 3: QIODevice
    22, 0,	// 5: QHttpHeader
    1, 0,	// 7: QAbstractNetworkCache
    69, 0,	// 9: QTcpSocket
    2, 0,	// 11: QAbstractSocket
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSsl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkAccessManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFtp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslCertificate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostAddress(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkCookie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxyQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrlInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUdpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QAbstractNetworkCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QAuthenticator(Smoke::Index, void*, Smoke::Stack);
void xcall_QFtp(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostAddress(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttp(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpRequestHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpResponseHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QIPv6Address(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAddressEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCacheMetaData(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookie(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookieJar(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkDiskCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkReply(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_QSsl(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCertificate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUdpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUrlInfo(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractNetworkCache", false, 1, xcall_QAbstractNetworkCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractNetworkCache) },	//1
    { "QAbstractSocket", false, 3, xcall_QAbstractSocket, xenum_QAbstractSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractSocket) },	//2
    { "QAuthenticator", false, 0, xcall_QAuthenticator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QAuthenticator) },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//9
    { "QDate", true, 0, 0, 0, 0, 0 },	//10
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//11
    { "QDebug", true, 0, 0, 0, 0, 0 },	//12
    { "QDir", true, 0, 0, 0, 0, 0 },	//13
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//14
    { "QEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QFtp", false, 1, xcall_QFtp, xenum_QFtp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QFtp) },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//18
    { "QHostAddress", false, 0, xcall_QHostAddress, xenum_QHostAddress, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostAddress) },	//19
    { "QHostInfo", false, 0, xcall_QHostInfo, xenum_QHostInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostInfo) },	//20
    { "QHttp", false, 1, xcall_QHttp, xenum_QHttp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttp) },	//21
    { "QHttpHeader", false, 0, xcall_QHttpHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpHeader) },	//22
    { "QHttpRequestHeader", false, 5, xcall_QHttpRequestHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpRequestHeader) },	//23
    { "QHttpResponseHeader", false, 5, xcall_QHttpResponseHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpResponseHeader) },	//24
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//25
    { "QIPv6Address", false, 0, xcall_QIPv6Address, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QIPv6Address) },	//26
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//27
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//28
    { "QLine", true, 0, 0, 0, 0, 0 },	//29
    { "QLineF", true, 0, 0, 0, 0, 0 },	//30
    { "QLocalServer", false, 1, xcall_QLocalServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalServer) },	//31
    { "QLocalSocket", false, 3, xcall_QLocalSocket, xenum_QLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalSocket) },	//32
    { "QLocale", true, 0, 0, 0, 0, 0 },	//33
    { "QMargins", true, 0, 0, 0, 0, 0 },	//34
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//35
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//36
    { "QNetworkAccessManager", false, 1, xcall_QNetworkAccessManager, xenum_QNetworkAccessManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkAccessManager) },	//37
    { "QNetworkAddressEntry", false, 0, xcall_QNetworkAddressEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkAddressEntry) },	//38
    { "QNetworkCacheMetaData", false, 0, xcall_QNetworkCacheMetaData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCacheMetaData) },	//39
    { "QNetworkConfiguration", true, 0, 0, 0, 0, 0 },	//40
    { "QNetworkCookie", false, 0, xcall_QNetworkCookie, xenum_QNetworkCookie, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCookie) },	//41
    { "QNetworkCookieJar", false, 1, xcall_QNetworkCookieJar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkCookieJar) },	//42
    { "QNetworkDiskCache", false, 7, xcall_QNetworkDiskCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkDiskCache) },	//43
    { "QNetworkInterface", false, 0, xcall_QNetworkInterface, xenum_QNetworkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkInterface) },	//44
    { "QNetworkProxy", false, 0, xcall_QNetworkProxy, xenum_QNetworkProxy, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxy) },	//45
    { "QNetworkProxyFactory", false, 0, xcall_QNetworkProxyFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QNetworkProxyFactory) },	//46
    { "QNetworkProxyQuery", false, 0, xcall_QNetworkProxyQuery, xenum_QNetworkProxyQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxyQuery) },	//47
    { "QNetworkReply", false, 3, xcall_QNetworkReply, xenum_QNetworkReply, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkReply) },	//48
    { "QNetworkRequest", false, 0, xcall_QNetworkRequest, xenum_QNetworkRequest, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkRequest) },	//49
    { "QObject", true, 0, 0, 0, 0, 0 },	//50
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//51
    { "QPoint", true, 0, 0, 0, 0, 0 },	//52
    { "QPointF", true, 0, 0, 0, 0, 0 },	//53
    { "QRect", true, 0, 0, 0, 0, 0 },	//54
    { "QRectF", true, 0, 0, 0, 0, 0 },	//55
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//56
    { "QSize", true, 0, 0, 0, 0, 0 },	//57
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//58
    { "QSsl", false, 0, xcall_QSsl, xenum_QSsl, Smoke::cf_namespace, 0 },	//59
    { "QSslCertificate", false, 0, xcall_QSslCertificate, xenum_QSslCertificate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCertificate) },	//60
    { "QSslCipher", false, 0, xcall_QSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCipher) },	//61
    { "QSslConfiguration", false, 0, xcall_QSslConfiguration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslConfiguration) },	//62
    { "QSslError", false, 0, xcall_QSslError, xenum_QSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslError) },	//63
    { "QSslKey", false, 0, xcall_QSslKey, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslKey) },	//64
    { "QSslSocket", false, 9, xcall_QSslSocket, xenum_QSslSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSslSocket) },	//65
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//66
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//67
    { "QTcpServer", false, 1, xcall_QTcpServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpServer) },	//68
    { "QTcpSocket", false, 11, xcall_QTcpSocket, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpSocket) },	//69
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//70
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//71
    { "QTime", true, 0, 0, 0, 0, 0 },	//72
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//73
    { "QUdpSocket", false, 11, xcall_QUdpSocket, xenum_QUdpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUdpSocket) },	//74
    { "QUrl", true, 0, 0, 0, 0, 0 },	//75
    { "QUrlInfo", false, 0, xcall_QUrlInfo, xenum_QUrlInfo, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QUrlInfo) },	//76
    { "QUuid", true, 0, 0, 0, 0, 0 },	//77
    { "QVariant", true, 0, 0, 0, 0, 0 },	//78
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//79
    { "sockaddr", true, 0, 0, 0, 0, 0 },	//80
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractNetworkCache*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractSocket*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QAbstractSocket::NetworkLayerProtocol", 2, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSocket::SocketError", 2, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAbstractSocket::SocketOption", 2, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractSocket::SocketState", 2, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractSocket::SocketType", 2, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref },	//9
    { "QAuthenticator*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//11
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//13
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//14
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//15
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//16
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QCryptographicHash::Algorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDataStream&", 9, Smoke::t_class|Smoke::tf_ref },	//20
    { "QDate&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDateTime", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "QDateTime&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "QDebug", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "QDir::Filter", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDir::SortFlag", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<QNetworkConfigurationManager::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QNetworkInterface::InterfaceFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QUdpSocket::BindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFtp*", 16, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QFtp::Command", 16, Smoke::t_enum|Smoke::tf_stack },	//66
    { "QFtp::Error", 16, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFtp::State", 16, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QFtp::TransferMode", 16, Smoke::t_enum|Smoke::tf_stack },	//69
    { "QFtp::TransferType", 16, Smoke::t_enum|Smoke::tf_stack },	//70
    { "QHash<QNetworkRequest::Attribute,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QHostAddress", 19, Smoke::t_class|Smoke::tf_stack },	//72
    { "QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref },	//73
    { "QHostAddress*", 19, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QHostAddress::SpecialAddress", 19, Smoke::t_enum|Smoke::tf_stack },	//75
    { "QHostInfo", 20, Smoke::t_class|Smoke::tf_stack },	//76
    { "QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref },	//77
    { "QHostInfo*", 20, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QHostInfo::HostInfoError", 20, Smoke::t_enum|Smoke::tf_stack },	//79
    { "QHttp*", 21, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QHttp::ConnectionMode", 21, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QHttp::Error", 21, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QHttp::State", 21, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref },	//84
    { "QHttpHeader*", 22, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QHttpRequestHeader", 23, Smoke::t_class|Smoke::tf_stack },	//86
    { "QHttpRequestHeader&", 23, Smoke::t_class|Smoke::tf_ref },	//87
    { "QHttpRequestHeader*", 23, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QHttpResponseHeader", 24, Smoke::t_class|Smoke::tf_stack },	//89
    { "QHttpResponseHeader&", 24, Smoke::t_class|Smoke::tf_ref },	//90
    { "QHttpResponseHeader*", 24, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QIODevice*", 25, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QIODevice::OpenModeFlag", 25, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QIPv6Address", 26, Smoke::t_class|Smoke::tf_stack },	//95
    { "QIPv6Address*", 26, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QIncompatibleFlag", 27, Smoke::t_class|Smoke::tf_stack },	//97
    { "QIntegerForSizeof< void* >::Unsigned", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QLine&", 29, Smoke::t_class|Smoke::tf_ref },	//100
    { "QLineF&", 30, Smoke::t_class|Smoke::tf_ref },	//101
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QList<QHostAddress>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QList<QNetworkAddressEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QList<QNetworkCookie>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QList<QNetworkInterface>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<QNetworkProxy>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<QPair<QByteArray,QByteArray> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QList<QPair<QString,QString> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<QSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QList<QSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//113
    { "QLocalServer*", 31, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QLocalSocket*", 32, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QLocalSocket::LocalSocketError", 32, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QLocalSocket::LocalSocketState", 32, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QLocale&", 33, Smoke::t_class|Smoke::tf_ref },	//118
    { "QLocale::NumberOption", 33, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QMetaObject::Call", 35, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QMultiMap<QSsl::AlternateNameEntryType,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//121
    { "QNetworkAccessManager*", 37, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QNetworkAccessManager::NetworkAccessibility", 37, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QNetworkAccessManager::Operation", 37, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QNetworkAddressEntry&", 38, Smoke::t_class|Smoke::tf_ref },	//125
    { "QNetworkAddressEntry*", 38, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QNetworkCacheMetaData", 39, Smoke::t_class|Smoke::tf_stack },	//127
    { "QNetworkCacheMetaData&", 39, Smoke::t_class|Smoke::tf_ref },	//128
    { "QNetworkCacheMetaData*", 39, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QNetworkConfiguration", 40, Smoke::t_class|Smoke::tf_stack },	//130
    { "QNetworkConfigurationManager::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QNetworkCookie&", 41, Smoke::t_class|Smoke::tf_ref },	//132
    { "QNetworkCookie*", 41, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QNetworkCookie::RawForm", 41, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QNetworkCookieJar*", 42, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QNetworkDiskCache*", 43, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QNetworkInterface", 44, Smoke::t_class|Smoke::tf_stack },	//137
    { "QNetworkInterface&", 44, Smoke::t_class|Smoke::tf_ref },	//138
    { "QNetworkInterface*", 44, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QNetworkInterface::InterfaceFlag", 44, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QNetworkProxy", 45, Smoke::t_class|Smoke::tf_stack },	//141
    { "QNetworkProxy&", 45, Smoke::t_class|Smoke::tf_ref },	//142
    { "QNetworkProxy*", 45, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QNetworkProxy::Capability", 45, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QNetworkProxy::ProxyType", 45, Smoke::t_enum|Smoke::tf_stack },	//145
    { "QNetworkProxyFactory*", 46, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QNetworkProxyQuery&", 47, Smoke::t_class|Smoke::tf_ref },	//147
    { "QNetworkProxyQuery*", 47, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QNetworkProxyQuery::QueryType", 47, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QNetworkReply*", 48, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QNetworkReply::NetworkError", 48, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QNetworkRequest", 49, Smoke::t_class|Smoke::tf_stack },	//152
    { "QNetworkRequest&", 49, Smoke::t_class|Smoke::tf_ref },	//153
    { "QNetworkRequest*", 49, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QNetworkRequest::Attribute", 49, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QNetworkRequest::CacheLoadControl", 49, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QNetworkRequest::KnownHeaders", 49, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QNetworkRequest::LoadControl", 49, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QNetworkRequest::Priority", 49, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QObject*", 50, Smoke::t_class|Smoke::tf_ptr },	//160
    { "QObject*(*)()", 50, Smoke::t_class|Smoke::tf_ptr },	//161
    { "QPair<QHostAddress,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//162
    { "QPoint&", 52, Smoke::t_class|Smoke::tf_ref },	//163
    { "QPointF&", 53, Smoke::t_class|Smoke::tf_ref },	//164
    { "QRect&", 54, Smoke::t_class|Smoke::tf_ref },	//165
    { "QRectF&", 55, Smoke::t_class|Smoke::tf_ref },	//166
    { "QRegExp&", 56, Smoke::t_class|Smoke::tf_ref },	//167
    { "QRegExp::PatternSyntax", 56, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QSize&", 57, Smoke::t_class|Smoke::tf_ref },	//169
    { "QSizeF&", 58, Smoke::t_class|Smoke::tf_ref },	//170
    { "QSsl::AlternateNameEntryType", 59, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QSsl::EncodingFormat", 59, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QSsl::KeyAlgorithm", 59, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QSsl::KeyType", 59, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QSsl::SslProtocol", 59, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QSslCertificate", 60, Smoke::t_class|Smoke::tf_stack },	//176
    { "QSslCertificate&", 60, Smoke::t_class|Smoke::tf_ref },	//177
    { "QSslCertificate*", 60, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QSslCertificate::SubjectInfo", 60, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QSslCipher", 61, Smoke::t_class|Smoke::tf_stack },	//180
    { "QSslCipher&", 61, Smoke::t_class|Smoke::tf_ref },	//181
    { "QSslCipher*", 61, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QSslConfiguration", 62, Smoke::t_class|Smoke::tf_stack },	//183
    { "QSslConfiguration&", 62, Smoke::t_class|Smoke::tf_ref },	//184
    { "QSslConfiguration*", 62, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QSslError&", 63, Smoke::t_class|Smoke::tf_ref },	//186
    { "QSslError*", 63, Smoke::t_class|Smoke::tf_ptr },	//187
    { "QSslError::SslError", 63, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QSslKey", 64, Smoke::t_class|Smoke::tf_stack },	//189
    { "QSslKey&", 64, Smoke::t_class|Smoke::tf_ref },	//190
    { "QSslKey*", 64, Smoke::t_class|Smoke::tf_ptr },	//191
    { "QSslSocket*", 65, Smoke::t_class|Smoke::tf_ptr },	//192
    { "QSslSocket::PeerVerifyMode", 65, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QSslSocket::SslMode", 65, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//195
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//196
    { "QString::Null", 66, Smoke::t_class|Smoke::tf_stack },	//197
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//199
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//200
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//201
    { "QTcpServer*", 68, Smoke::t_class|Smoke::tf_ptr },	//202
    { "QTcpSocket*", 69, Smoke::t_class|Smoke::tf_ptr },	//203
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QTextStream&", 70, Smoke::t_class|Smoke::tf_ref },	//205
    { "QTextStream&(*)(QTextStream&)", 70, Smoke::t_class|Smoke::tf_ref },	//206
    { "QTextStream::NumberFlag", 70, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QTextStreamManipulator", 71, Smoke::t_class|Smoke::tf_stack },	//208
    { "QTime&", 72, Smoke::t_class|Smoke::tf_ref },	//209
    { "QTimerEvent*", 73, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QUdpSocket*", 74, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QUdpSocket::BindFlag", 74, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QUrl", 75, Smoke::t_class|Smoke::tf_stack },	//213
    { "QUrl&", 75, Smoke::t_class|Smoke::tf_ref },	//214
    { "QUrl::FormattingOption", 75, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QUrlInfo&", 76, Smoke::t_class|Smoke::tf_ref },	//216
    { "QUrlInfo*", 76, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QUrlInfo::PermissionSpec", 76, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QUuid&", 77, Smoke::t_class|Smoke::tf_ref },	//219
    { "QVariant", 78, Smoke::t_class|Smoke::tf_stack },	//220
    { "QVariant&", 78, Smoke::t_class|Smoke::tf_ref },	//221
    { "QVariant::Type", 78, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QVariant::Type&", 78, Smoke::t_enum|Smoke::tf_ref },	//223
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//297
    { "QtValidLicenseForActiveQtModule", 17, Smoke::t_enum|Smoke::tf_stack },	//298
    { "QtValidLicenseForCoreModule", 17, Smoke::t_enum|Smoke::tf_stack },	//299
    { "QtValidLicenseForDBusModule", 17, Smoke::t_enum|Smoke::tf_stack },	//300
    { "QtValidLicenseForDeclarativeModule", 17, Smoke::t_enum|Smoke::tf_stack },	//301
    { "QtValidLicenseForGuiModule", 17, Smoke::t_enum|Smoke::tf_stack },	//302
    { "QtValidLicenseForHelpModule", 17, Smoke::t_enum|Smoke::tf_stack },	//303
    { "QtValidLicenseForMultimediaModule", 17, Smoke::t_enum|Smoke::tf_stack },	//304
    { "QtValidLicenseForNetworkModule", 17, Smoke::t_enum|Smoke::tf_stack },	//305
    { "QtValidLicenseForOpenGLModule", 17, Smoke::t_enum|Smoke::tf_stack },	//306
    { "QtValidLicenseForOpenVGModule", 17, Smoke::t_enum|Smoke::tf_stack },	//307
    { "QtValidLicenseForQt3SupportLightModule", 17, Smoke::t_enum|Smoke::tf_stack },	//308
    { "QtValidLicenseForQt3SupportModule", 17, Smoke::t_enum|Smoke::tf_stack },	//309
    { "QtValidLicenseForScriptModule", 17, Smoke::t_enum|Smoke::tf_stack },	//310
    { "QtValidLicenseForScriptToolsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//311
    { "QtValidLicenseForSqlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//312
    { "QtValidLicenseForSvgModule", 17, Smoke::t_enum|Smoke::tf_stack },	//313
    { "QtValidLicenseForTestModule", 17, Smoke::t_enum|Smoke::tf_stack },	//314
    { "QtValidLicenseForXmlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//315
    { "QtValidLicenseForXmlPatternsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//316
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//317
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//318
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//319
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//320
    { "const QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//323
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QDate&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QDateTime&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QDir&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QHash<QNetworkRequest::Attribute,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QHashDummyValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QHttpRequestHeader&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QHttpResponseHeader&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QIPv6Address&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QLatin1String&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QLine&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QLineF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QList<QHostAddress>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QList<QNetworkCookie>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QList<QPair<QByteArray,QByteArray> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QList<QPair<QString,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QList<QSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QList<QSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QLocale&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QMargins&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QMetaObject&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QMetaObject*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//351
    { "const QModelIndex&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QNetworkAddressEntry&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QNetworkCacheMetaData&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QNetworkConfiguration&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QNetworkCookie&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QNetworkInterface&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QNetworkProxy&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QNetworkProxyFactory&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QNetworkProxyQuery&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QNetworkRequest&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QObject*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//362
    { "const QPair<QHostAddress,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QPersistentModelIndex&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QPoint", 52, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//365
    { "const QPoint&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QPointF", 53, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//367
    { "const QPointF&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QRect&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QRectF&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const QRegExp&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//371
    { "const QRegExp*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//372
    { "const QSize", 57, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//373
    { "const QSize&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QSizeF", 58, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//375
    { "const QSizeF&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QSslCertificate&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QSslCipher&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QSslConfiguration&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QSslError&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QSslError::SslError&", 63, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QSslKey&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//383
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//386
    { "const QStringRef&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QTime&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QUrl&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QUrlInfo&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QUuid&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QVariant&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QVariant::Type", 78, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//393
    { "const QVariantComparisonHelper&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//395
    { "const sockaddr*", 80, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//396
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//397
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//398
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//399
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//400
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//401
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//402
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//403
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//404
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//405
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//406
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//407
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//408
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//409
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//410
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//411
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//412
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//413
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//414
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//415
    { "unsigned short*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//416
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//417
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//418
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//419
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//420
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//421
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//422
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    395, 0,	//1  const char*
    395, 395, 0,	//3  const char*, const char*
    395, 395, 401, 0,	//6  const char*, const char*, int
    120, 401, 421, 0,	//10  QMetaObject::Call, int, void**
    389, 0,	//14  const QUrl&
    354, 0,	//16  const QNetworkCacheMetaData&
    92, 0,	//18  QIODevice*
    160, 0,	//20  QObject*
    8, 160, 0,	//22  QAbstractSocket::SocketType, QObject*
    384, 415, 38, 0,	//25  const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    332, 415, 38, 0,	//29  const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    403, 0,	//33  long long
    401, 7, 38, 0,	//35  int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>
    6, 392, 0,	//39  QAbstractSocket::SocketOption, const QVariant&
    6, 0,	//42  QAbstractSocket::SocketOption
    401, 0,	//44  int
    358, 0,	//46  const QNetworkProxy&
    7, 0,	//48  QAbstractSocket::SocketState
    5, 0,	//50  QAbstractSocket::SocketError
    358, 10, 0,	//52  const QNetworkProxy&, QAuthenticator*
    384, 405, 93, 0,	//55  const QString&, quint16, QIODevice::OpenMode
    320, 403, 0,	//59  char*, long long
    395, 403, 0,	//62  const char*, long long
    415, 0,	//65  unsigned short
    332, 0,	//67  const QHostAddress&
    384, 0,	//69  const QString&
    384, 415, 0,	//71  const QString&, unsigned short
    332, 415, 0,	//74  const QHostAddress&, unsigned short
    401, 7, 0,	//77  int, QAbstractSocket::SocketState
    384, 405, 0,	//80  const QString&, quint16
    321, 0,	//83  const QAuthenticator&
    384, 384, 0,	//85  const QString&, const QString&
    69, 0,	//88  QFtp::TransferMode
    384, 92, 70, 0,	//90  const QString&, QIODevice*, QFtp::TransferType
    324, 384, 70, 0,	//94  const QByteArray&, const QString&, QFtp::TransferType
    92, 384, 70, 0,	//98  QIODevice*, const QString&, QFtp::TransferType
    390, 0,	//102  const QUrlInfo&
    404, 404, 0,	//104  qint64, qint64
    401, 384, 0,	//107  int, const QString&
    401, 317, 0,	//110  int, bool
    317, 0,	//113  bool
    384, 92, 0,	//115  const QString&, QIODevice*
    324, 384, 0,	//118  const QByteArray&, const QString&
    92, 384, 0,	//121  QIODevice*, const QString&
    399, 0,	//124  double
    31, 31, 0,	//126  QFile::Permission, QFile::Permission
    20, 17, 0,	//129  QDataStream&, QChar&
    27, 35, 0,	//132  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    395, 338, 0,	//135  const char*, const QLatin1String&
    20, 118, 0,	//138  QDataStream&, QLocale&
    294, 401, 0,	//141  Qt::WindowType, int
    320, 395, 412, 0,	//144  char*, const char*, unsigned int
    412, 0,	//148  unsigned int
    319, 0,	//150  char
    376, 399, 0,	//152  const QSizeF&, double
    24, 339, 0,	//155  QDebug, const QLine&
    324, 395, 0,	//158  const QByteArray&, const char*
    395, 384, 0,	//161  const char*, const QString&
    20, 165, 0,	//164  QDataStream&, QRect&
    259, 259, 0,	//167  Qt::ItemFlag, Qt::ItemFlag
    392, 394, 0,	//170  const QVariant&, const QVariantComparisonHelper&
    24, 38, 0,	//173  QDebug, QFlags<QIODevice::OpenModeFlag>
    374, 374, 0,	//176  const QSize&, const QSize&
    24, 332, 0,	//179  QDebug, const QHostAddress&
    16, 384, 0,	//182  QChar, const QString&
    395, 395, 412, 0,	//185  const char*, const char*, unsigned int
    338, 338, 0,	//189  const QLatin1String&, const QLatin1String&
    387, 387, 0,	//192  const QStringRef&, const QStringRef&
    24, 116, 0,	//195  QDebug, QLocalSocket::LocalSocketError
    320, 408, 395, 417, 0,	//198  char*, size_t, const char*, va_list
    368, 368, 0,	//203  const QPointF&, const QPointF&
    384, 387, 0,	//206  const QString&, const QStringRef&
    20, 332, 0,	//209  QDataStream&, const QHostAddress&
    384, 16, 0,	//212  const QString&, QChar
    395, 412, 0,	//215  const char*, unsigned int
    20, 28, 0,	//218  QDataStream&, QEasingCurve&
    338, 387, 0,	//221  const QLatin1String&, const QStringRef&
    24, 326, 0,	//224  QDebug, const QDate&
    284, 284, 0,	//227  Qt::ToolBarArea, Qt::ToolBarArea
    24, 340, 0,	//230  QDebug, const QLineF&
    370, 370, 0,	//233  const QRectF&, const QRectF&
    409, 0,	//236  unsigned char
    362, 384, 372, 350, 113, 0,	//238  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    387, 338, 0,	//244  const QStringRef&, const QLatin1String&
    20, 21, 0,	//247  QDataStream&, QDate&
    400, 0,	//250  float
    281, 401, 0,	//252  Qt::TextInteractionFlag, int
    16, 16, 0,	//255  QChar, QChar
    16, 0,	//258  QChar
    20, 214, 0,	//260  QDataStream&, QUrl&
    24, 352, 0,	//263  QDebug, const QModelIndex&
    99, 39, 0,	//266  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    24, 381, 0,	//269  QDebug, const QSslError::SslError&
    395, 401, 0,	//272  const char*, int
    399, 399, 0,	//275  double, double
    20, 393, 0,	//278  QDataStream&, const QVariant::Type
    406, 0,	//281  short
    20, 392, 0,	//283  QDataStream&, const QVariant&
    281, 60, 0,	//286  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    24, 377, 0,	//289  QDebug, const QSslCertificate&
    259, 55, 0,	//292  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    402, 0,	//295  long
    256, 54, 0,	//297  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    20, 376, 0,	//300  QDataStream&, const QSizeF&
    197, 197, 0,	//303  QString::Null, QString::Null
    395, 324, 0,	//306  const char*, const QByteArray&
    140, 140, 0,	//309  QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag
    140, 42, 0,	//312  QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>
    75, 332, 0,	//315  QHostAddress::SpecialAddress, const QHostAddress&
    322, 0,	//318  const QBitArray&
    27, 27, 0,	//320  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    320, 395, 0,	//323  char*, const char*
    322, 322, 0,	//326  const QBitArray&, const QBitArray&
    366, 366, 0,	//329  const QPoint&, const QPoint&
    262, 56, 0,	//332  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    368, 399, 0,	//335  const QPointF&, double
    24, 376, 0,	//338  QDebug, const QSizeF&
    331, 331, 0,	//341  const QHashDummyValue&, const QHashDummyValue&
    1, 1, 0,	//344  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    212, 401, 0,	//347  QUdpSocket::BindFlag, int
    369, 369, 0,	//350  const QRect&, const QRect&
    20, 219, 0,	//353  QDataStream&, QUuid&
    324, 324, 0,	//356  const QByteArray&, const QByteArray&
    397, 401, 0,	//359  const unsigned char*, int
    212, 47, 0,	//362  QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>
    324, 401, 0,	//365  const QByteArray&, int
    324, 0,	//368  const QByteArray&
    20, 384, 0,	//370  QDataStream&, const QString&
    205, 206, 0,	//373  QTextStream&, QTextStream&(*)(QTextStream&)
    24, 380, 0,	//376  QDebug, const QSslError&
    245, 401, 0,	//379  Qt::DropAction, int
    420, 408, 408, 408, 0,	//382  void*, size_t, size_t, size_t
    265, 401, 0,	//387  Qt::MatchFlag, int
    20, 366, 0,	//390  QDataStream&, const QPoint&
    24, 7, 0,	//393  QDebug, QAbstractSocket::SocketState
    24, 369, 0,	//396  QDebug, const QRect&
    24, 5, 0,	//399  QDebug, QAbstractSocket::SocketError
    204, 45, 0,	//402  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    281, 281, 0,	//405  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    198, 44, 0,	//408  QString::SectionFlag, QFlags<QString::SectionFlag>
    24, 328, 0,	//411  QDebug, const QDir&
    267, 267, 0,	//414  Qt::MouseButton, Qt::MouseButton
    420, 408, 0,	//417  void*, size_t
    245, 245, 0,	//420  Qt::DropAction, Qt::DropAction
    1, 401, 0,	//423  QAbstractFileEngine::FileFlag, int
    384, 197, 0,	//426  const QString&, QString::Null
    250, 52, 0,	//429  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    30, 401, 0,	//432  QEventLoop::ProcessEventsFlag, int
    24, 179, 0,	//435  QDebug, QSslCertificate::SubjectInfo
    119, 119, 0,	//438  QLocale::NumberOption, QLocale::NumberOption
    94, 94, 0,	//441  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    20, 101, 0,	//444  QDataStream&, QLineF&
    24, 382, 0,	//447  QDebug, const QSslKey&
    20, 340, 0,	//450  QDataStream&, const QLineF&
    376, 376, 0,	//453  const QSizeF&, const QSizeF&
    399, 374, 0,	//456  double, const QSize&
    243, 50, 0,	//459  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    265, 57, 0,	//462  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    368, 0,	//465  const QPointF&
    224, 401, 0,	//467  Qt::AlignmentFlag, int
    254, 401, 0,	//470  Qt::ImageConversionFlag, int
    24, 374, 0,	//473  QDebug, const QSize&
    204, 401, 0,	//476  QTextCodec::ConversionFlag, int
    24, 366, 0,	//479  QDebug, const QPoint&
    366, 0,	//482  const QPoint&
    24, 389, 0,	//484  QDebug, const QUrl&
    20, 368, 0,	//487  QDataStream&, const QPointF&
    204, 204, 0,	//490  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    20, 73, 0,	//493  QDataStream&, QHostAddress&
    13, 13, 0,	//496  QBool, QBool
    384, 319, 0,	//499  const QString&, char
    395, 387, 0,	//502  const char*, const QStringRef&
    414, 0,	//505  unsigned long long
    207, 401, 0,	//507  QTextStream::NumberFlag, int
    24, 368, 0,	//510  QDebug, const QPointF&
    197, 384, 0,	//513  QString::Null, const QString&
    418, 0,	//516  void(*)()
    119, 40, 0,	//518  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    250, 250, 0,	//521  Qt::GestureFlag, Qt::GestureFlag
    20, 166, 0,	//524  QDataStream&, QRectF&
    400, 400, 0,	//527  float, float
    20, 325, 0,	//530  QDataStream&, const QChar&
    20, 164, 0,	//533  QDataStream&, QPointF&
    374, 399, 0,	//536  const QSize&, double
    419, 0,	//539  void(*)(QtMsgType,const char*)
    205, 208, 0,	//541  QTextStream&, QTextStreamManipulator
    224, 224, 0,	//544  Qt::AlignmentFlag, Qt::AlignmentFlag
    20, 100, 0,	//547  QDataStream&, QLine&
    25, 25, 0,	//550  QDir::Filter, QDir::Filter
    366, 399, 0,	//553  const QPoint&, double
    20, 324, 0,	//556  QDataStream&, const QByteArray&
    20, 329, 0,	//559  QDataStream&, const QEasingCurve&
    20, 354, 0,	//562  QDataStream&, const QNetworkCacheMetaData&
    254, 254, 0,	//565  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    293, 401, 0,	//568  Qt::WindowState, int
    20, 196, 0,	//571  QDataStream&, QString&
    362, 384, 350, 0,	//574  const QObject*, const QString&, const QMetaObject&
    20, 370, 0,	//578  QDataStream&, const QRectF&
    20, 12, 0,	//581  QDataStream&, QBitArray&
    20, 169, 0,	//584  QDataStream&, QSize&
    262, 262, 0,	//587  Qt::KeyboardModifier, Qt::KeyboardModifier
    317, 13, 0,	//590  bool, QBool
    207, 207, 0,	//593  QTextStream::NumberFlag, QTextStream::NumberFlag
    20, 23, 0,	//596  QDataStream&, QDateTime&
    392, 222, 420, 0,	//599  const QVariant&, QVariant::Type, void*
    387, 384, 0,	//603  const QStringRef&, const QString&
    397, 411, 401, 0,	//606  const unsigned char*, unsigned char*, int
    262, 401, 0,	//610  Qt::KeyboardModifier, int
    20, 327, 0,	//613  QDataStream&, const QDateTime&
    297, 395, 0,	//616  QtMsgType, const char*
    30, 36, 0,	//619  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    349, 349, 0,	//622  const QMargins&, const QMargins&
    215, 215, 0,	//625  QUrl::FormattingOption, QUrl::FormattingOption
    144, 144, 0,	//628  QNetworkProxy::Capability, QNetworkProxy::Capability
    131, 41, 0,	//631  QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>
    24, 393, 0,	//634  QDebug, const QVariant::Type
    243, 401, 0,	//637  Qt::DockWidgetArea, int
    20, 209, 0,	//640  QDataStream&, QTime&
    294, 294, 0,	//643  Qt::WindowType, Qt::WindowType
    420, 401, 408, 0,	//646  void*, int, size_t
    24, 327, 0,	//650  QDebug, const QDateTime&
    407, 0,	//653  signed char
    294, 64, 0,	//655  Qt::WindowType, QFlags<Qt::WindowType>
    293, 293, 0,	//658  Qt::WindowState, Qt::WindowState
    24, 392, 0,	//661  QDebug, const QVariant&
    20, 200, 0,	//664  QDataStream&, QStringList&
    31, 401, 0,	//667  QFile::Permission, int
    161, 0,	//670  QObject*(*)()
    399, 368, 0,	//672  double, const QPointF&
    20, 389, 0,	//675  QDataStream&, const QUrl&
    20, 388, 0,	//678  QDataStream&, const QTime&
    20, 163, 0,	//681  QDataStream&, QPoint&
    212, 212, 0,	//684  QUdpSocket::BindFlag, QUdpSocket::BindFlag
    387, 0,	//687  const QStringRef&
    20, 167, 0,	//689  QDataStream&, QRegExp&
    256, 401, 0,	//692  Qt::InputMethodHint, int
    20, 348, 0,	//695  QDataStream&, const QLocale&
    408, 408, 0,	//698  size_t, size_t
    20, 322, 0,	//701  QDataStream&, const QBitArray&
    384, 324, 0,	//704  const QString&, const QByteArray&
    395, 395, 395, 401, 0,	//707  const char*, const char*, const char*, int
    215, 48, 0,	//712  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    30, 30, 0,	//715  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    324, 319, 0,	//718  const QByteArray&, char
    144, 401, 0,	//721  QNetworkProxy::Capability, int
    99, 99, 0,	//724  QLibrary::LoadHint, QLibrary::LoadHint
    224, 49, 0,	//727  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    20, 391, 0,	//730  QDataStream&, const QUuid&
    94, 38, 0,	//733  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    20, 339, 0,	//736  QDataStream&, const QLine&
    250, 401, 0,	//739  Qt::GestureFlag, int
    387, 395, 0,	//742  const QStringRef&, const char*
    26, 34, 0,	//745  QDir::SortFlag, QFlags<QDir::SortFlag>
    24, 356, 0,	//748  QDebug, const QNetworkCookie&
    20, 326, 0,	//751  QDataStream&, const QDate&
    319, 324, 0,	//754  char, const QByteArray&
    384, 395, 0,	//757  const QString&, const char*
    99, 401, 0,	//760  QLibrary::LoadHint, int
    397, 401, 401, 0,	//763  const unsigned char*, int, int
    269, 269, 0,	//767  Qt::Orientation, Qt::Orientation
    13, 317, 0,	//770  QBool, bool
    20, 385, 0,	//773  QDataStream&, const QStringList&
    20, 371, 0,	//776  QDataStream&, const QRegExp&
    26, 401, 0,	//779  QDir::SortFlag, int
    420, 398, 408, 0,	//782  void*, const void*, size_t
    420, 0,	//786  void*
    284, 61, 0,	//788  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    24, 117, 0,	//791  QDebug, QLocalSocket::LocalSocketState
    24, 364, 0,	//794  QDebug, const QPersistentModelIndex&
    20, 221, 0,	//797  QDataStream&, QVariant&
    287, 62, 0,	//800  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    399, 366, 0,	//803  double, const QPoint&
    24, 357, 0,	//806  QDebug, const QNetworkInterface&
    24, 362, 0,	//809  QDebug, const QObject*
    24, 378, 0,	//812  QDebug, const QSslCipher&
    31, 37, 0,	//815  QFile::Permission, QFlags<QFile::Permission>
    20, 128, 0,	//818  QDataStream&, QNetworkCacheMetaData&
    24, 370, 0,	//821  QDebug, const QRectF&
    207, 46, 0,	//824  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    26, 26, 0,	//827  QDir::SortFlag, QDir::SortFlag
    144, 43, 0,	//830  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    140, 401, 0,	//833  QNetworkInterface::InterfaceFlag, int
    287, 401, 0,	//836  Qt::TouchPointState, int
    25, 401, 0,	//839  QDir::Filter, int
    413, 0,	//842  unsigned long
    1, 32, 0,	//844  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    267, 58, 0,	//847  Qt::MouseButton, QFlags<Qt::MouseButton>
    245, 51, 0,	//850  Qt::DropAction, QFlags<Qt::DropAction>
    408, 0,	//853  size_t
    269, 401, 0,	//855  Qt::Orientation, int
    20, 223, 0,	//858  QDataStream&, QVariant::Type&
    284, 401, 0,	//861  Qt::ToolBarArea, int
    20, 15, 0,	//864  QDataStream&, QByteArray&
    20, 369, 0,	//867  QDataStream&, const QRect&
    24, 329, 0,	//870  QDebug, const QEasingCurve&
    364, 0,	//873  const QPersistentModelIndex&
    131, 131, 0,	//875  QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability
    119, 401, 0,	//878  QLocale::NumberOption, int
    24, 388, 0,	//881  QDebug, const QTime&
    287, 287, 0,	//884  Qt::TouchPointState, Qt::TouchPointState
    254, 53, 0,	//887  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    293, 63, 0,	//890  Qt::WindowState, QFlags<Qt::WindowState>
    243, 243, 0,	//893  Qt::DockWidgetArea, Qt::DockWidgetArea
    27, 401, 0,	//896  QDirIterator::IteratorFlag, int
    399, 376, 0,	//899  double, const QSizeF&
    24, 349, 0,	//902  QDebug, const QMargins&
    352, 0,	//905  const QModelIndex&
    215, 401, 0,	//907  QUrl::FormattingOption, int
    265, 265, 0,	//910  Qt::MatchFlag, Qt::MatchFlag
    256, 256, 0,	//913  Qt::InputMethodHint, Qt::InputMethodHint
    269, 59, 0,	//916  Qt::Orientation, QFlags<Qt::Orientation>
    24, 33, 0,	//919  QDebug, QFlags<QDir::Filter>
    259, 401, 0,	//922  Qt::ItemFlag, int
    267, 401, 0,	//925  Qt::MouseButton, int
    20, 170, 0,	//928  QDataStream&, QSizeF&
    94, 401, 0,	//931  QIODevice::OpenModeFlag, int
    198, 401, 0,	//934  QString::SectionFlag, int
    131, 401, 0,	//937  QNetworkConfigurationManager::Capability, int
    319, 384, 0,	//940  char, const QString&
    20, 374, 0,	//943  QDataStream&, const QSize&
    25, 33, 0,	//946  QDir::Filter, QFlags<QDir::Filter>
    198, 198, 0,	//949  QString::SectionFlag, QString::SectionFlag
    411, 0,	//952  unsigned char*
    337, 0,	//954  const QIPv6Address&
    396, 0,	//956  const sockaddr*
    75, 0,	//958  QHostAddress::SpecialAddress
    332, 401, 0,	//960  const QHostAddress&, int
    363, 0,	//963  const QPair<QHostAddress,int>&
    333, 0,	//965  const QHostInfo&
    341, 0,	//967  const QList<QHostAddress>&
    79, 0,	//969  QHostInfo::HostInfoError
    384, 160, 395, 0,	//971  const QString&, QObject*, const char*
    384, 415, 160, 0,	//975  const QString&, unsigned short, QObject*
    384, 81, 415, 160, 0,	//979  const QString&, QHttp::ConnectionMode, unsigned short, QObject*
    384, 81, 415, 0,	//984  const QString&, QHttp::ConnectionMode, unsigned short
    203, 0,	//988  QTcpSocket*
    384, 401, 384, 384, 0,	//990  const QString&, int, const QString&, const QString&
    384, 92, 92, 0,	//995  const QString&, QIODevice*, QIODevice*
    384, 324, 92, 0,	//999  const QString&, const QByteArray&, QIODevice*
    335, 92, 92, 0,	//1003  const QHttpRequestHeader&, QIODevice*, QIODevice*
    335, 324, 92, 0,	//1007  const QHttpRequestHeader&, const QByteArray&, QIODevice*
    336, 0,	//1011  const QHttpResponseHeader&
    401, 401, 0,	//1013  int, int
    384, 405, 10, 0,	//1016  const QString&, quint16, QAuthenticator*
    347, 0,	//1020  const QList<QSslError>&
    384, 81, 0,	//1022  const QString&, QHttp::ConnectionMode
    384, 401, 0,	//1025  const QString&, int
    384, 401, 384, 0,	//1028  const QString&, int, const QString&
    335, 0,	//1032  const QHttpRequestHeader&
    335, 92, 0,	//1034  const QHttpRequestHeader&, QIODevice*
    335, 324, 0,	//1037  const QHttpRequestHeader&, const QByteArray&
    334, 0,	//1040  const QHttpHeader&
    344, 0,	//1042  const QList<QPair<QString,QString> >&
    384, 384, 401, 401, 0,	//1044  const QString&, const QString&, int, int
    384, 384, 401, 0,	//1049  const QString&, const QString&, int
    401, 384, 401, 401, 0,	//1053  int, const QString&, int, int
    401, 384, 401, 0,	//1058  int, const QString&, int
    38, 0,	//1062  QFlags<QIODevice::OpenModeFlag>
    401, 318, 0,	//1064  int, bool*
    98, 0,	//1067  QIntegerForSizeof< void* >::Unsigned
    384, 38, 0,	//1069  const QString&, QFlags<QIODevice::OpenModeFlag>
    98, 117, 38, 0,	//1072  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>
    116, 0,	//1076  QLocalSocket::LocalSocketError
    117, 0,	//1078  QLocalSocket::LocalSocketState
    98, 117, 0,	//1080  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState
    146, 0,	//1083  QNetworkProxyFactory*
    2, 0,	//1085  QAbstractNetworkCache*
    135, 0,	//1087  QNetworkCookieJar*
    361, 0,	//1089  const QNetworkRequest&
    361, 92, 0,	//1091  const QNetworkRequest&, QIODevice*
    361, 324, 0,	//1094  const QNetworkRequest&, const QByteArray&
    361, 324, 92, 0,	//1097  const QNetworkRequest&, const QByteArray&, QIODevice*
    355, 0,	//1101  const QNetworkConfiguration&
    123, 0,	//1103  QNetworkAccessManager::NetworkAccessibility
    150, 10, 0,	//1105  QNetworkReply*, QAuthenticator*
    150, 0,	//1108  QNetworkReply*
    150, 347, 0,	//1110  QNetworkReply*, const QList<QSslError>&
    124, 361, 92, 0,	//1113  QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*
    124, 361, 0,	//1117  QNetworkAccessManager::Operation, const QNetworkRequest&
    353, 0,	//1120  const QNetworkAddressEntry&
    343, 0,	//1122  const QList<QPair<QByteArray,QByteArray> >&
    327, 0,	//1124  const QDateTime&
    330, 0,	//1126  const QHash<QNetworkRequest::Attribute,QVariant>&
    356, 0,	//1128  const QNetworkCookie&
    134, 0,	//1130  QNetworkCookie::RawForm
    342, 389, 0,	//1132  const QList<QNetworkCookie>&, const QUrl&
    342, 0,	//1135  const QList<QNetworkCookie>&
    357, 0,	//1137  const QNetworkInterface&
    145, 384, 415, 384, 384, 0,	//1139  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&
    145, 0,	//1145  QNetworkProxy::ProxyType
    43, 0,	//1147  QFlags<QNetworkProxy::Capability>
    145, 384, 0,	//1149  QNetworkProxy::ProxyType, const QString&
    145, 384, 415, 0,	//1152  QNetworkProxy::ProxyType, const QString&, unsigned short
    145, 384, 415, 384, 0,	//1156  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&
    360, 0,	//1161  const QNetworkProxyQuery&
    359, 0,	//1163  const QNetworkProxyFactory&
    389, 149, 0,	//1165  const QUrl&, QNetworkProxyQuery::QueryType
    384, 401, 384, 149, 0,	//1168  const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    415, 384, 149, 0,	//1173  unsigned short, const QString&, QNetworkProxyQuery::QueryType
    149, 0,	//1177  QNetworkProxyQuery::QueryType
    415, 384, 0,	//1179  unsigned short, const QString&
    157, 0,	//1182  QNetworkRequest::KnownHeaders
    155, 0,	//1184  QNetworkRequest::Attribute
    379, 0,	//1186  const QSslConfiguration&
    151, 0,	//1188  QNetworkReply::NetworkError
    124, 0,	//1190  QNetworkAccessManager::Operation
    151, 384, 0,	//1192  QNetworkReply::NetworkError, const QString&
    157, 392, 0,	//1195  QNetworkRequest::KnownHeaders, const QVariant&
    155, 392, 0,	//1198  QNetworkRequest::Attribute, const QVariant&
    159, 0,	//1201  QNetworkRequest::Priority
    29, 0,	//1203  QEvent*
    160, 29, 0,	//1205  QObject*, QEvent*
    210, 0,	//1208  QTimerEvent*
    18, 0,	//1210  QChildEvent*
    92, 172, 0,	//1212  QIODevice*, QSsl::EncodingFormat
    324, 172, 0,	//1215  const QByteArray&, QSsl::EncodingFormat
    377, 0,	//1218  const QSslCertificate&
    19, 0,	//1220  QCryptographicHash::Algorithm
    179, 0,	//1222  QSslCertificate::SubjectInfo
    384, 172, 168, 0,	//1224  const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax
    384, 172, 0,	//1228  const QString&, QSsl::EncodingFormat
    384, 175, 0,	//1231  const QString&, QSsl::SslProtocol
    378, 0,	//1234  const QSslCipher&
    175, 0,	//1236  QSsl::SslProtocol
    193, 0,	//1238  QSslSocket::PeerVerifyMode
    382, 0,	//1240  const QSslKey&
    346, 0,	//1242  const QList<QSslCipher>&
    345, 0,	//1244  const QList<QSslCertificate>&
    188, 0,	//1246  QSslError::SslError
    188, 377, 0,	//1248  QSslError::SslError, const QSslCertificate&
    380, 0,	//1251  const QSslError&
    324, 173, 172, 174, 324, 0,	//1253  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    92, 173, 172, 174, 324, 0,	//1259  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    324, 173, 0,	//1265  const QByteArray&, QSsl::KeyAlgorithm
    324, 173, 172, 0,	//1268  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    324, 173, 172, 174, 0,	//1272  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    92, 173, 0,	//1277  QIODevice*, QSsl::KeyAlgorithm
    92, 173, 172, 0,	//1280  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    92, 173, 172, 174, 0,	//1284  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    384, 415, 384, 38, 0,	//1289  const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>
    384, 173, 172, 324, 0,	//1294  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&
    194, 0,	//1299  QSslSocket::SslMode
    404, 0,	//1301  qint64
    384, 415, 384, 0,	//1303  const QString&, unsigned short, const QString&
    384, 173, 0,	//1307  const QString&, QSsl::KeyAlgorithm
    384, 173, 172, 0,	//1310  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    332, 415, 47, 0,	//1314  const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>
    415, 47, 0,	//1318  unsigned short, QFlags<QUdpSocket::BindFlag>
    320, 403, 74, 416, 0,	//1321  char*, long long, QHostAddress*, unsigned short*
    395, 403, 332, 415, 0,	//1326  const char*, long long, const QHostAddress&, unsigned short
    324, 332, 415, 0,	//1331  const QByteArray&, const QHostAddress&, unsigned short
    320, 403, 74, 0,	//1335  char*, long long, QHostAddress*
    384, 401, 384, 384, 403, 327, 327, 317, 317, 317, 317, 317, 317, 0,	//1339  const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    389, 401, 384, 384, 403, 327, 327, 317, 317, 317, 317, 317, 317, 0,	//1353  const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    390, 390, 401, 0,	//1367  const QUrlInfo&, const QUrlInfo&, int
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Aborted",	//1
    "Accessible",	//2
    "Active",	//3
    "AddressInUseError",	//4
    "AlwaysCache",	//5
    "AlwaysNetwork",	//6
    "Any",	//7
    "AnyIPv6",	//8
    "AnyProtocol",	//9
    "Append",	//10
    "Ascii",	//11
    "AuthenticationRequiredError",	//12
    "AuthenticationReuseAttribute",	//13
    "AuthorityIssuerSerialNumberMismatch",	//14
    "AutoVerifyPeer",	//15
    "Automatic",	//16
    "Binary",	//17
    "BoundState",	//18
    "Broadcast",	//19
    "CacheLoadControlAttribute",	//20
    "CacheSaveControlAttribute",	//21
    "CachingCapability",	//22
    "CanBroadcast",	//23
    "CanMulticast",	//24
    "Cd",	//25
    "CertificateExpired",	//26
    "CertificateNotYetValid",	//27
    "CertificateRejected",	//28
    "CertificateRevoked",	//29
    "CertificateSignatureFailed",	//30
    "CertificateUntrusted",	//31
    "Close",	//32
    "Closing",	//33
    "ClosingState",	//34
    "CommonName",	//35
    "ConnectToHost",	//36
    "Connected",	//37
    "ConnectedState",	//38
    "Connecting",	//39
    "ConnectingState",	//40
    "ConnectionEncryptedAttribute",	//41
    "ConnectionError",	//42
    "ConnectionModeHttp",	//43
    "ConnectionModeHttps",	//44
    "ConnectionRefused",	//45
    "ConnectionRefusedError",	//46
    "ContentAccessDenied",	//47
    "ContentLengthHeader",	//48
    "ContentNotFoundError",	//49
    "ContentOperationNotPermittedError",	//50
    "ContentReSendError",	//51
    "ContentTypeHeader",	//52
    "CookieHeader",	//53
    "CookieLoadControlAttribute",	//54
    "CookieSaveControlAttribute",	//55
    "CountryName",	//56
    "CustomOperation",	//57
    "CustomVerbAttribute",	//58
    "DatagramTooLargeError",	//59
    "DefaultForPlatform",	//60
    "DefaultProxy",	//61
    "DeleteOperation",	//62
    "Der",	//63
    "DnsEntry",	//64
    "DoNotBufferUploadDataAttribute",	//65
    "DontShareAddress",	//66
    "Dsa",	//67
    "EmailEntry",	//68
    "ExeGroup",	//69
    "ExeOther",	//70
    "ExeOwner",	//71
    "FtpCachingProxy",	//72
    "Full",	//73
    "Get",	//74
    "GetOperation",	//75
    "HeadOperation",	//76
    "HighPriority",	//77
    "HostLookup",	//78
    "HostLookupState",	//79
    "HostNameLookupCapability",	//80
    "HostNameMismatch",	//81
    "HostNotFound",	//82
    "HostNotFoundError",	//83
    "HttpCachingProxy",	//84
    "HttpPipeliningAllowedAttribute",	//85
    "HttpPipeliningWasUsedAttribute",	//86
    "HttpProxy",	//87
    "HttpReasonPhraseAttribute",	//88
    "HttpStatusCodeAttribute",	//89
    "IPv4Protocol",	//90
    "IPv6Protocol",	//91
    "InvalidCaCertificate",	//92
    "InvalidNotAfterField",	//93
    "InvalidNotBeforeField",	//94
    "InvalidPurpose",	//95
    "InvalidResponseHeader",	//96
    "IsLoopBack",	//97
    "IsPointToPoint",	//98
    "IsRunning",	//99
    "IsUp",	//100
    "KeepAliveOption",	//101
    "LastModifiedHeader",	//102
    "LicensedActiveQt",	//103
    "LicensedCore",	//104
    "LicensedDBus",	//105
    "LicensedDeclarative",	//106
    "LicensedGui",	//107
    "LicensedHelp",	//108
    "LicensedMultimedia",	//109
    "LicensedNetwork",	//110
    "LicensedOpenGL",	//111
    "LicensedOpenVG",	//112
    "LicensedQt3Support",	//113
    "LicensedQt3SupportLight",	//114
    "LicensedScript",	//115
    "LicensedScriptTools",	//116
    "LicensedSql",	//117
    "LicensedSvg",	//118
    "LicensedTest",	//119
    "LicensedXml",	//120
    "LicensedXmlPatterns",	//121
    "List",	//122
    "ListeningCapability",	//123
    "ListeningState",	//124
    "LocalHost",	//125
    "LocalHostIPv6",	//126
    "LocalityName",	//127
    "LocationHeader",	//128
    "LoggedIn",	//129
    "Login",	//130
    "LowDelayOption",	//131
    "LowPriority",	//132
    "Manual",	//133
    "Mkdir",	//134
    "NameAndValueOnly",	//135
    "NetworkError",	//136
    "NoError",	//137
    "NoPeerCertificate",	//138
    "NoProxy",	//139
    "NoSslSupport",	//140
    "None",	//141
    "NormalPriority",	//142
    "NotAccessible",	//143
    "NotConnected",	//144
    "NotOpen",	//145
    "Null",	//146
    "OperationCanceledError",	//147
    "Organization",	//148
    "OrganizationalUnitName",	//149
    "Passive",	//150
    "PathLengthExceeded",	//151
    "PeerClosedError",	//152
    "Pem",	//153
    "PostOperation",	//154
    "PreferCache",	//155
    "PreferNetwork",	//156
    "PrivateKey",	//157
    "ProtocolFailure",	//158
    "ProtocolInvalidOperationError",	//159
    "ProtocolUnknownError",	//160
    "ProxyAuthenticationRequiredError",	//161
    "ProxyConnectionClosedError",	//162
    "ProxyConnectionRefusedError",	//163
    "ProxyConnectionTimeoutError",	//164
    "ProxyNotFoundError",	//165
    "ProxyProtocolError",	//166
    "ProxyTimeoutError",	//167
    "PublicKey",	//168
    "Put",	//169
    "PutOperation",	//170
    "QAbstractNetworkCache",	//171
    "QAbstractNetworkCache#",	//172
    "QAbstractSocket",	//173
    "QAbstractSocket$#",	//174
    "QAuthenticator",	//175
    "QAuthenticator#",	//176
    "QFtp",	//177
    "QFtp#",	//178
    "QHostAddress",	//179
    "QHostAddress#",	//180
    "QHostAddress$",	//181
    "QHostInfo",	//182
    "QHostInfo#",	//183
    "QHostInfo$",	//184
    "QHttp",	//185
    "QHttp#",	//186
    "QHttp$",	//187
    "QHttp$$",	//188
    "QHttp$$#",	//189
    "QHttp$$$",	//190
    "QHttp$$$#",	//191
    "QHttpHeader",	//192
    "QHttpHeader#",	//193
    "QHttpHeader$",	//194
    "QHttpRequestHeader",	//195
    "QHttpRequestHeader#",	//196
    "QHttpRequestHeader$",	//197
    "QHttpRequestHeader$$",	//198
    "QHttpRequestHeader$$$",	//199
    "QHttpRequestHeader$$$$",	//200
    "QHttpResponseHeader",	//201
    "QHttpResponseHeader#",	//202
    "QHttpResponseHeader$",	//203
    "QHttpResponseHeader$$",	//204
    "QHttpResponseHeader$$$",	//205
    "QHttpResponseHeader$$$$",	//206
    "QIPv6Address",	//207
    "QIPv6Address#",	//208
    "QLocalServer",	//209
    "QLocalServer#",	//210
    "QLocalSocket",	//211
    "QLocalSocket#",	//212
    "QNetworkAccessManager",	//213
    "QNetworkAccessManager#",	//214
    "QNetworkAddressEntry",	//215
    "QNetworkAddressEntry#",	//216
    "QNetworkCacheMetaData",	//217
    "QNetworkCacheMetaData#",	//218
    "QNetworkCookie",	//219
    "QNetworkCookie#",	//220
    "QNetworkCookie##",	//221
    "QNetworkCookieJar",	//222
    "QNetworkCookieJar#",	//223
    "QNetworkDiskCache",	//224
    "QNetworkDiskCache#",	//225
    "QNetworkInterface",	//226
    "QNetworkInterface#",	//227
    "QNetworkProxy",	//228
    "QNetworkProxy#",	//229
    "QNetworkProxy$",	//230
    "QNetworkProxy$$",	//231
    "QNetworkProxy$$$",	//232
    "QNetworkProxy$$$$",	//233
    "QNetworkProxy$$$$$",	//234
    "QNetworkProxyFactory",	//235
    "QNetworkProxyFactory#",	//236
    "QNetworkProxyQuery",	//237
    "QNetworkProxyQuery#",	//238
    "QNetworkProxyQuery#$",	//239
    "QNetworkProxyQuery$",	//240
    "QNetworkProxyQuery$$",	//241
    "QNetworkProxyQuery$$$",	//242
    "QNetworkProxyQuery$$$$",	//243
    "QNetworkReply",	//244
    "QNetworkReply#",	//245
    "QNetworkRequest",	//246
    "QNetworkRequest#",	//247
    "QSslCertificate",	//248
    "QSslCertificate#",	//249
    "QSslCertificate#$",	//250
    "QSslCipher",	//251
    "QSslCipher#",	//252
    "QSslCipher$$",	//253
    "QSslConfiguration",	//254
    "QSslConfiguration#",	//255
    "QSslError",	//256
    "QSslError#",	//257
    "QSslError$",	//258
    "QSslError$#",	//259
    "QSslKey",	//260
    "QSslKey#",	//261
    "QSslKey#$",	//262
    "QSslKey#$$",	//263
    "QSslKey#$$$",	//264
    "QSslKey#$$$#",	//265
    "QSslSocket",	//266
    "QSslSocket#",	//267
    "QTcpServer",	//268
    "QTcpServer#",	//269
    "QTcpSocket",	//270
    "QTcpSocket#",	//271
    "QUdpSocket",	//272
    "QUdpSocket#",	//273
    "QUrlInfo",	//274
    "QUrlInfo#",	//275
    "QUrlInfo#$$$?##$$$$$$",	//276
    "QUrlInfo$$$$?##$$$$$$",	//277
    "Q_COMPLEX_TYPE",	//278
    "Q_DUMMY_TYPE",	//279
    "Q_MOVABLE_TYPE",	//280
    "Q_PRIMITIVE_TYPE",	//281
    "Q_STATIC_TYPE",	//282
    "QtCriticalMsg",	//283
    "QtDebugMsg",	//284
    "QtFatalMsg",	//285
    "QtSystemMsg",	//286
    "QtWarningMsg",	//287
    "QueryPeer",	//288
    "RawCommand",	//289
    "ReadGroup",	//290
    "ReadOnly",	//291
    "ReadOther",	//292
    "ReadOwner",	//293
    "ReadWrite",	//294
    "Reading",	//295
    "RedirectionTargetAttribute",	//296
    "RemoteHostClosedError",	//297
    "Remove",	//298
    "Rename",	//299
    "ReuseAddressHint",	//300
    "Rmdir",	//301
    "Rsa",	//302
    "SelfSignedCertificate",	//303
    "SelfSignedCertificateInChain",	//304
    "Sending",	//305
    "ServerNotFoundError",	//306
    "SetCookieHeader",	//307
    "SetProxy",	//308
    "SetTransferMode",	//309
    "ShareAddress",	//310
    "SocketAccessError",	//311
    "SocketAddressNotAvailableError",	//312
    "SocketResourceError",	//313
    "SocketTimeoutError",	//314
    "Socks5Proxy",	//315
    "SourceIsFromCacheAttribute",	//316
    "SslClientMode",	//317
    "SslHandshakeFailedError",	//318
    "SslServerMode",	//319
    "SslV2",	//320
    "SslV3",	//321
    "StateOrProvinceName",	//322
    "SubjectIssuerMismatch",	//323
    "TcpServer",	//324
    "TcpSocket",	//325
    "TemporaryNetworkFailureError",	//326
    "Text",	//327
    "TimeoutError",	//328
    "TlsV1",	//329
    "Truncate",	//330
    "TunnelingCapability",	//331
    "UdpSocket",	//332
    "UdpTunnelingCapability",	//333
    "UnableToDecodeIssuerPublicKey",	//334
    "UnableToDecryptCertificateSignature",	//335
    "UnableToGetIssuerCertificate",	//336
    "UnableToGetLocalIssuerCertificate",	//337
    "UnableToVerifyFirstCertificate",	//338
    "Unbuffered",	//339
    "Unconnected",	//340
    "UnconnectedState",	//341
    "UnencryptedMode",	//342
    "UnexpectedClose",	//343
    "UnfinishedSocketOperationError",	//344
    "UnknownAccessibility",	//345
    "UnknownContentError",	//346
    "UnknownError",	//347
    "UnknownNetworkError",	//348
    "UnknownNetworkLayerProtocol",	//349
    "UnknownOperation",	//350
    "UnknownProtocol",	//351
    "UnknownProxyError",	//352
    "UnknownSocketError",	//353
    "UnknownSocketType",	//354
    "UnspecifiedError",	//355
    "UnsupportedSocketOperationError",	//356
    "UrlRequest",	//357
    "User",	//358
    "UserMax",	//359
    "VerifyNone",	//360
    "VerifyPeer",	//361
    "WriteGroup",	//362
    "WriteOnly",	//363
    "WriteOther",	//364
    "WriteOwner",	//365
    "WrongContentLength",	//366
    "abort",	//367
    "abortHostLookup",	//368
    "abortHostLookup$",	//369
    "activeConfiguration",	//370
    "addCaCertificate",	//371
    "addCaCertificate#",	//372
    "addCaCertificates",	//373
    "addCaCertificates$",	//374
    "addCaCertificates$$",	//375
    "addCaCertificates$$$",	//376
    "addCaCertificates?",	//377
    "addDefaultCaCertificate",	//378
    "addDefaultCaCertificate#",	//379
    "addDefaultCaCertificates",	//380
    "addDefaultCaCertificates$",	//381
    "addDefaultCaCertificates$$",	//382
    "addDefaultCaCertificates$$$",	//383
    "addDefaultCaCertificates?",	//384
    "addPendingConnection",	//385
    "addPendingConnection#",	//386
    "addValue",	//387
    "addValue$$",	//388
    "addressEntries",	//389
    "addresses",	//390
    "algorithm",	//391
    "allAddresses",	//392
    "allCookies",	//393
    "allInterfaces",	//394
    "allValues",	//395
    "allValues$",	//396
    "alternateSubjectNames",	//397
    "applicationProxy",	//398
    "atEnd",	//399
    "attribute",	//400
    "attribute$",	//401
    "attribute$#",	//402
    "attributes",	//403
    "authenticationMethod",	//404
    "authenticationRequired",	//405
    "authenticationRequired##",	//406
    "authenticationRequired$$#",	//407
    "bind",	//408
    "bind#$",	//409
    "bind#$$",	//410
    "bind$",	//411
    "bind$$",	//412
    "broadcast",	//413
    "bytesAvailable",	//414
    "bytesToWrite",	//415
    "caCertificates",	//416
    "cache",	//417
    "cacheDirectory",	//418
    "cacheSize",	//419
    "canReadLine",	//420
    "capabilities",	//421
    "cd",	//422
    "cd$",	//423
    "certificate",	//424
    "childEvent",	//425
    "ciphers",	//426
    "clear",	//427
    "clearPendingCommands",	//428
    "clearPendingRequests",	//429
    "close",	//430
    "closeConnection",	//431
    "commandFinished",	//432
    "commandFinished$$",	//433
    "commandStarted",	//434
    "commandStarted$",	//435
    "configuration",	//436
    "connectNotify",	//437
    "connectToHost",	//438
    "connectToHost#$",	//439
    "connectToHost#$$",	//440
    "connectToHost$",	//441
    "connectToHost$$",	//442
    "connectToHost$$$",	//443
    "connectToHostEncrypted",	//444
    "connectToHostEncrypted$$",	//445
    "connectToHostEncrypted$$$",	//446
    "connectToHostEncrypted$$$$",	//447
    "connectToHostImplementation",	//448
    "connectToHostImplementation$$",	//449
    "connectToHostImplementation$$$",	//450
    "connectToServer",	//451
    "connectToServer$",	//452
    "connectToServer$$",	//453
    "connected",	//454
    "contentLength",	//455
    "contentType",	//456
    "cookieJar",	//457
    "cookiesForUrl",	//458
    "cookiesForUrl#",	//459
    "createRequest",	//460
    "createRequest$#",	//461
    "createRequest$##",	//462
    "currentCommand",	//463
    "currentDestinationDevice",	//464
    "currentDevice",	//465
    "currentId",	//466
    "currentRequest",	//467
    "currentSourceDevice",	//468
    "customEvent",	//469
    "data",	//470
    "data#",	//471
    "dataReadProgress",	//472
    "dataReadProgress$$",	//473
    "dataSendProgress",	//474
    "dataSendProgress$$",	//475
    "dataTransferProgress",	//476
    "dataTransferProgress??",	//477
    "defaultCaCertificates",	//478
    "defaultCiphers",	//479
    "defaultConfiguration",	//480
    "deleteResource",	//481
    "deleteResource#",	//482
    "detach",	//483
    "digest",	//484
    "digest$",	//485
    "disconnectFromHost",	//486
    "disconnectFromHostImplementation",	//487
    "disconnectFromServer",	//488
    "disconnectNotify",	//489
    "disconnected",	//490
    "domain",	//491
    "done",	//492
    "done$",	//493
    "downloadProgress",	//494
    "downloadProgress??",	//495
    "effectiveDate",	//496
    "encrypted",	//497
    "encryptedBytesAvailable",	//498
    "encryptedBytesToWrite",	//499
    "encryptedBytesWritten",	//500
    "encryptedBytesWritten?",	//501
    "encryptionMethod",	//502
    "equal",	//503
    "equal##$",	//504
    "error",	//505
    "error$",	//506
    "errorString",	//507
    "event",	//508
    "eventFilter",	//509
    "expirationDate",	//510
    "expire",	//511
    "expiryDate",	//512
    "fileMetaData",	//513
    "fileMetaData$",	//514
    "finished",	//515
    "finished#",	//516
    "flags",	//517
    "flush",	//518
    "fromData",	//519
    "fromData#",	//520
    "fromData#$",	//521
    "fromDevice",	//522
    "fromDevice#",	//523
    "fromDevice#$",	//524
    "fromName",	//525
    "fromName$",	//526
    "fromPath",	//527
    "fromPath$",	//528
    "fromPath$$",	//529
    "fromPath$$$",	//530
    "fullServerName",	//531
    "get",	//532
    "get#",	//533
    "get$",	//534
    "get$#",	//535
    "get$#$",	//536
    "greaterThan",	//537
    "greaterThan##$",	//538
    "group",	//539
    "handle",	//540
    "hardwareAddress",	//541
    "hasContentLength",	//542
    "hasContentType",	//543
    "hasKey",	//544
    "hasKey$",	//545
    "hasPendingCommands",	//546
    "hasPendingConnections",	//547
    "hasPendingDatagrams",	//548
    "hasPendingRequests",	//549
    "hasRawHeader",	//550
    "hasRawHeader#",	//551
    "head",	//552
    "head#",	//553
    "head$",	//554
    "header",	//555
    "header$",	//556
    "hostFound",	//557
    "hostName",	//558
    "humanReadableName",	//559
    "ignoreSslErrors",	//560
    "ignoreSslErrors?",	//561
    "incomingConnection",	//562
    "incomingConnection$",	//563
    "incomingConnection?",	//564
    "index",	//565
    "insert",	//566
    "insert#",	//567
    "interfaceFromIndex",	//568
    "interfaceFromIndex$",	//569
    "interfaceFromName",	//570
    "interfaceFromName$",	//571
    "ip",	//572
    "isCachingProxy",	//573
    "isDir",	//574
    "isEncrypted",	//575
    "isExecutable",	//576
    "isFile",	//577
    "isFinished",	//578
    "isHttpOnly",	//579
    "isInSubnet",	//580
    "isInSubnet#$",	//581
    "isInSubnet?",	//582
    "isListening",	//583
    "isNull",	//584
    "isReadable",	//585
    "isRunning",	//586
    "isSecure",	//587
    "isSequential",	//588
    "isSessionCookie",	//589
    "isSymLink",	//590
    "isTransparentProxy",	//591
    "isValid",	//592
    "isWritable",	//593
    "issuerInfo",	//594
    "issuerInfo#",	//595
    "issuerInfo$",	//596
    "keyExchangeMethod",	//597
    "keys",	//598
    "lastModified",	//599
    "lastRead",	//600
    "lastResponse",	//601
    "length",	//602
    "lessThan",	//603
    "lessThan##$",	//604
    "list",	//605
    "list$",	//606
    "listInfo",	//607
    "listInfo#",	//608
    "listen",	//609
    "listen#",	//610
    "listen#$",	//611
    "listen$",	//612
    "localAddress",	//613
    "localCertificate",	//614
    "localDomainName",	//615
    "localHostName",	//616
    "localPort",	//617
    "login",	//618
    "login$",	//619
    "login$$",	//620
    "lookupHost",	//621
    "lookupHost$#$",	//622
    "lookupId",	//623
    "majorVersion",	//624
    "manager",	//625
    "maxPendingConnections",	//626
    "maximumCacheSize",	//627
    "metaData",	//628
    "metaData#",	//629
    "metaDataChanged",	//630
    "metaObject",	//631
    "method",	//632
    "minorVersion",	//633
    "mkdir",	//634
    "mkdir$",	//635
    "mode",	//636
    "modeChanged",	//637
    "modeChanged$",	//638
    "name",	//639
    "netmask",	//640
    "networkAccessible",	//641
    "networkAccessibleChanged",	//642
    "networkAccessibleChanged$",	//643
    "networkSessionConnected",	//644
    "newConnection",	//645
    "nextPendingConnection",	//646
    "open",	//647
    "operation",	//648
    "operator!=",	//649
    "operator!=#",	//650
    "operator!=##",	//651
    "operator!=#$",	//652
    "operator!=$",	//653
    "operator!=$#",	//654
    "operator!=$$",	//655
    "operator&",	//656
    "operator&##",	//657
    "operator*",	//658
    "operator*#$",	//659
    "operator*$#",	//660
    "operator+",	//661
    "operator+##",	//662
    "operator+#$",	//663
    "operator+$#",	//664
    "operator+$$",	//665
    "operator-",	//666
    "operator-#",	//667
    "operator-##",	//668
    "operator/",	//669
    "operator/#$",	//670
    "operator<",	//671
    "operator<##",	//672
    "operator<#$",	//673
    "operator<$#",	//674
    "operator<$$",	//675
    "operator<<",	//676
    "operator<<##",	//677
    "operator<<#$",	//678
    "operator<<#?",	//679
    "operator<=",	//680
    "operator<=##",	//681
    "operator<=#$",	//682
    "operator<=$#",	//683
    "operator<=$$",	//684
    "operator=",	//685
    "operator=#",	//686
    "operator=$",	//687
    "operator==",	//688
    "operator==#",	//689
    "operator==##",	//690
    "operator==#$",	//691
    "operator==$",	//692
    "operator==$#",	//693
    "operator==$$",	//694
    "operator>",	//695
    "operator>##",	//696
    "operator>#$",	//697
    "operator>$#",	//698
    "operator>$$",	//699
    "operator>=",	//700
    "operator>=##",	//701
    "operator>=#$",	//702
    "operator>=$#",	//703
    "operator>=$$",	//704
    "operator>>",	//705
    "operator>>##",	//706
    "operator>>#$",	//707
    "operator>>#?",	//708
    "operator[]",	//709
    "operator[]$",	//710
    "operator^",	//711
    "operator^##",	//712
    "operator|",	//713
    "operator|##",	//714
    "operator|$$",	//715
    "originatingObject",	//716
    "owner",	//717
    "parse",	//718
    "parse$",	//719
    "parseCookies",	//720
    "parseCookies#",	//721
    "parseLine",	//722
    "parseLine$$",	//723
    "parseSubnet",	//724
    "parseSubnet$",	//725
    "password",	//726
    "path",	//727
    "peerAddress",	//728
    "peerCertificate",	//729
    "peerCertificateChain",	//730
    "peerHostName",	//731
    "peerName",	//732
    "peerPort",	//733
    "peerVerifyDepth",	//734
    "peerVerifyError",	//735
    "peerVerifyError#",	//736
    "peerVerifyMode",	//737
    "pendingDatagramSize",	//738
    "permissions",	//739
    "port",	//740
    "pos",	//741
    "post",	//742
    "post##",	//743
    "post$#",	//744
    "post$##",	//745
    "prefixLength",	//746
    "prepare",	//747
    "prepare#",	//748
    "priority",	//749
    "privateKey",	//750
    "protocol",	//751
    "protocolString",	//752
    "protocolTag",	//753
    "proxy",	//754
    "proxyAuthenticationRequired",	//755
    "proxyAuthenticationRequired##",	//756
    "proxyFactory",	//757
    "proxyForQuery",	//758
    "proxyForQuery#",	//759
    "publicKey",	//760
    "put",	//761
    "put##",	//762
    "put#$",	//763
    "put#$$",	//764
    "qAcos",	//765
    "qAcos$",	//766
    "qAddPostRoutine",	//767
    "qAddPostRoutine$",	//768
    "qAppName",	//769
    "qAsin",	//770
    "qAsin$",	//771
    "qAtan",	//772
    "qAtan$",	//773
    "qAtan2",	//774
    "qAtan2$$",	//775
    "qBadAlloc",	//776
    "qCeil",	//777
    "qCeil$",	//778
    "qChecksum",	//779
    "qChecksum$$",	//780
    "qCompress",	//781
    "qCompress#",	//782
    "qCompress#$",	//783
    "qCompress$$",	//784
    "qCompress$$$",	//785
    "qCos",	//786
    "qCos$",	//787
    "qCritical",	//788
    "qDebug",	//789
    "qExp",	//790
    "qExp$",	//791
    "qFabs",	//792
    "qFabs$",	//793
    "qFastCos",	//794
    "qFastCos$",	//795
    "qFastSin",	//796
    "qFastSin$",	//797
    "qFlagLocation",	//798
    "qFlagLocation$",	//799
    "qFloor",	//800
    "qFloor$",	//801
    "qFree",	//802
    "qFree$",	//803
    "qFreeAligned",	//804
    "qFreeAligned$",	//805
    "qFuzzyCompare",	//806
    "qFuzzyCompare$$",	//807
    "qFuzzyIsNull",	//808
    "qFuzzyIsNull$",	//809
    "qHash",	//810
    "qHash#",	//811
    "qHash$",	//812
    "qHash?",	//813
    "qInf",	//814
    "qInstallMsgHandler",	//815
    "qInstallMsgHandler$",	//816
    "qIntCast",	//817
    "qIntCast$",	//818
    "qIsFinite",	//819
    "qIsFinite$",	//820
    "qIsInf",	//821
    "qIsInf$",	//822
    "qIsNaN",	//823
    "qIsNaN$",	//824
    "qIsNull",	//825
    "qIsNull$",	//826
    "qLn",	//827
    "qLn$",	//828
    "qMalloc",	//829
    "qMalloc?",	//830
    "qMallocAligned",	//831
    "qMallocAligned??",	//832
    "qMemCopy",	//833
    "qMemCopy$$?",	//834
    "qMemSet",	//835
    "qMemSet$$?",	//836
    "qPow",	//837
    "qPow$$",	//838
    "qQNaN",	//839
    "qRealloc",	//840
    "qRealloc$?",	//841
    "qReallocAligned",	//842
    "qReallocAligned$???",	//843
    "qRegisterStaticPluginInstanceFunction",	//844
    "qRegisterStaticPluginInstanceFunction#",	//845
    "qRemovePostRoutine",	//846
    "qRemovePostRoutine$",	//847
    "qRound",	//848
    "qRound$",	//849
    "qRound64",	//850
    "qRound64$",	//851
    "qSNaN",	//852
    "qSetFieldWidth",	//853
    "qSetFieldWidth$",	//854
    "qSetPadChar",	//855
    "qSetPadChar#",	//856
    "qSetRealNumberPrecision",	//857
    "qSetRealNumberPrecision$",	//858
    "qSharedBuild",	//859
    "qSin",	//860
    "qSin$",	//861
    "qSqrt",	//862
    "qSqrt$",	//863
    "qStringComparisonHelper",	//864
    "qStringComparisonHelper#$",	//865
    "qStringComparisonHelper$$",	//866
    "qTan",	//867
    "qTan$",	//868
    "qUncompress",	//869
    "qUncompress#",	//870
    "qUncompress$$",	//871
    "qVersion",	//872
    "qWarning",	//873
    "qbswap_helper",	//874
    "qbswap_helper$$$",	//875
    "qgetenv",	//876
    "qgetenv$",	//877
    "qputenv",	//878
    "qputenv$#",	//879
    "qrand",	//880
    "qsrand",	//881
    "qsrand$",	//882
    "qstrcmp",	//883
    "qstrcmp##",	//884
    "qstrcmp#$",	//885
    "qstrcmp$#",	//886
    "qstrcmp$$",	//887
    "qstrcpy",	//888
    "qstrcpy$$",	//889
    "qstrdup",	//890
    "qstrdup$",	//891
    "qstricmp",	//892
    "qstricmp$$",	//893
    "qstrlen",	//894
    "qstrlen$",	//895
    "qstrncmp",	//896
    "qstrncmp$$$",	//897
    "qstrncpy",	//898
    "qstrncpy$$$",	//899
    "qstrnicmp",	//900
    "qstrnicmp$$$",	//901
    "qstrnlen",	//902
    "qstrnlen$$",	//903
    "qtTrId",	//904
    "qtTrId$",	//905
    "qtTrId$$",	//906
    "qt_assert",	//907
    "qt_assert$$$",	//908
    "qt_assert_x",	//909
    "qt_assert_x$$$$",	//910
    "qt_check_pointer",	//911
    "qt_check_pointer$$",	//912
    "qt_error_string",	//913
    "qt_error_string$",	//914
    "qt_message_output",	//915
    "qt_message_output$$",	//916
    "qt_metacall",	//917
    "qt_metacall$$?",	//918
    "qt_metacast",	//919
    "qt_metacast$",	//920
    "qt_noop",	//921
    "qt_qFindChild_helper",	//922
    "qt_qFindChild_helper#$#",	//923
    "qt_qFindChildren_helper",	//924
    "qt_qFindChildren_helper#$##?",	//925
    "queryProxy",	//926
    "queryProxy#",	//927
    "queryType",	//928
    "qvariant_cast_helper",	//929
    "qvariant_cast_helper#$$",	//930
    "qvsnprintf",	//931
    "qvsnprintf$?$?",	//932
    "rawCommand",	//933
    "rawCommand$",	//934
    "rawCommandReply",	//935
    "rawCommandReply$$",	//936
    "rawHeader",	//937
    "rawHeader#",	//938
    "rawHeaderList",	//939
    "rawHeaderPairs",	//940
    "rawHeaders",	//941
    "read",	//942
    "read$?",	//943
    "readAll",	//944
    "readBufferSize",	//945
    "readData",	//946
    "readData$?",	//947
    "readDatagram",	//948
    "readDatagram$?",	//949
    "readDatagram$?#",	//950
    "readDatagram$?#$",	//951
    "readLineData",	//952
    "readLineData$?",	//953
    "readyRead",	//954
    "readyRead#",	//955
    "realm",	//956
    "reasonPhrase",	//957
    "remove",	//958
    "remove#",	//959
    "remove$",	//960
    "removeAllValues",	//961
    "removeAllValues$",	//962
    "removeServer",	//963
    "removeServer$",	//964
    "removeValue",	//965
    "removeValue$",	//966
    "rename",	//967
    "rename$$",	//968
    "request",	//969
    "request#",	//970
    "request##",	//971
    "request###",	//972
    "requestFinished",	//973
    "requestFinished$$",	//974
    "requestStarted",	//975
    "requestStarted$",	//976
    "reset",	//977
    "responseHeaderReceived",	//978
    "responseHeaderReceived#",	//979
    "rmdir",	//980
    "rmdir$",	//981
    "saveToDisk",	//982
    "scopeId",	//983
    "seek",	//984
    "sendCustomRequest",	//985
    "sendCustomRequest##",	//986
    "sendCustomRequest###",	//987
    "serialNumber",	//988
    "serverAddress",	//989
    "serverError",	//990
    "serverName",	//991
    "serverPort",	//992
    "sessionCipher",	//993
    "setAddress",	//994
    "setAddress#",	//995
    "setAddress$",	//996
    "setAddresses",	//997
    "setAddresses?",	//998
    "setAllCookies",	//999
    "setAllCookies?",	//1000
    "setApplicationProxy",	//1001
    "setApplicationProxy#",	//1002
    "setApplicationProxyFactory",	//1003
    "setApplicationProxyFactory#",	//1004
    "setAttribute",	//1005
    "setAttribute$#",	//1006
    "setAttributes",	//1007
    "setAttributes?",	//1008
    "setBroadcast",	//1009
    "setBroadcast#",	//1010
    "setCaCertificates",	//1011
    "setCaCertificates?",	//1012
    "setCache",	//1013
    "setCache#",	//1014
    "setCacheDirectory",	//1015
    "setCacheDirectory$",	//1016
    "setCapabilities",	//1017
    "setCapabilities$",	//1018
    "setCiphers",	//1019
    "setCiphers$",	//1020
    "setCiphers?",	//1021
    "setConfiguration",	//1022
    "setConfiguration#",	//1023
    "setContentLength",	//1024
    "setContentLength$",	//1025
    "setContentType",	//1026
    "setContentType$",	//1027
    "setCookieJar",	//1028
    "setCookieJar#",	//1029
    "setCookiesFromUrl",	//1030
    "setCookiesFromUrl?#",	//1031
    "setDefaultCaCertificates",	//1032
    "setDefaultCaCertificates?",	//1033
    "setDefaultCiphers",	//1034
    "setDefaultCiphers?",	//1035
    "setDefaultConfiguration",	//1036
    "setDefaultConfiguration#",	//1037
    "setDir",	//1038
    "setDir$",	//1039
    "setDomain",	//1040
    "setDomain$",	//1041
    "setError",	//1042
    "setError$",	//1043
    "setError$$",	//1044
    "setErrorString",	//1045
    "setErrorString$",	//1046
    "setExpirationDate",	//1047
    "setExpirationDate#",	//1048
    "setFile",	//1049
    "setFile$",	//1050
    "setGroup",	//1051
    "setGroup$",	//1052
    "setHeader",	//1053
    "setHeader$#",	//1054
    "setHost",	//1055
    "setHost$",	//1056
    "setHost$$",	//1057
    "setHost$$$",	//1058
    "setHostName",	//1059
    "setHostName$",	//1060
    "setHttpOnly",	//1061
    "setHttpOnly$",	//1062
    "setIp",	//1063
    "setIp#",	//1064
    "setLastModified",	//1065
    "setLastModified#",	//1066
    "setLastRead",	//1067
    "setLastRead#",	//1068
    "setLocalAddress",	//1069
    "setLocalAddress#",	//1070
    "setLocalCertificate",	//1071
    "setLocalCertificate#",	//1072
    "setLocalCertificate$",	//1073
    "setLocalCertificate$$",	//1074
    "setLocalPort",	//1075
    "setLocalPort$",	//1076
    "setLookupId",	//1077
    "setLookupId$",	//1078
    "setMaxPendingConnections",	//1079
    "setMaxPendingConnections$",	//1080
    "setMaximumCacheSize",	//1081
    "setMaximumCacheSize?",	//1082
    "setName",	//1083
    "setName#",	//1084
    "setName$",	//1085
    "setNetmask",	//1086
    "setNetmask#",	//1087
    "setNetworkAccessible",	//1088
    "setNetworkAccessible$",	//1089
    "setOperation",	//1090
    "setOperation$",	//1091
    "setOriginatingObject",	//1092
    "setOriginatingObject#",	//1093
    "setOwner",	//1094
    "setOwner$",	//1095
    "setPassword",	//1096
    "setPassword$",	//1097
    "setPath",	//1098
    "setPath$",	//1099
    "setPeerAddress",	//1100
    "setPeerAddress#",	//1101
    "setPeerHostName",	//1102
    "setPeerHostName$",	//1103
    "setPeerName",	//1104
    "setPeerName$",	//1105
    "setPeerPort",	//1106
    "setPeerPort$",	//1107
    "setPeerVerifyDepth",	//1108
    "setPeerVerifyDepth$",	//1109
    "setPeerVerifyMode",	//1110
    "setPeerVerifyMode$",	//1111
    "setPermissions",	//1112
    "setPermissions$",	//1113
    "setPort",	//1114
    "setPort$",	//1115
    "setPrefixLength",	//1116
    "setPrefixLength$",	//1117
    "setPriority",	//1118
    "setPriority$",	//1119
    "setPrivateKey",	//1120
    "setPrivateKey#",	//1121
    "setPrivateKey$",	//1122
    "setPrivateKey$$",	//1123
    "setPrivateKey$$$",	//1124
    "setPrivateKey$$$#",	//1125
    "setProtocol",	//1126
    "setProtocol$",	//1127
    "setProtocolTag",	//1128
    "setProtocolTag$",	//1129
    "setProxy",	//1130
    "setProxy#",	//1131
    "setProxy$$",	//1132
    "setProxy$$$",	//1133
    "setProxy$$$$",	//1134
    "setProxyFactory",	//1135
    "setProxyFactory#",	//1136
    "setQueryType",	//1137
    "setQueryType$",	//1138
    "setRawHeader",	//1139
    "setRawHeader##",	//1140
    "setRawHeaders",	//1141
    "setRawHeaders?",	//1142
    "setReadBufferSize",	//1143
    "setReadBufferSize?",	//1144
    "setReadable",	//1145
    "setReadable$",	//1146
    "setRequest",	//1147
    "setRequest#",	//1148
    "setRequest$$",	//1149
    "setRequest$$$",	//1150
    "setRequest$$$$",	//1151
    "setSaveToDisk",	//1152
    "setSaveToDisk$",	//1153
    "setScopeId",	//1154
    "setScopeId$",	//1155
    "setSecure",	//1156
    "setSecure$",	//1157
    "setSize",	//1158
    "setSize?",	//1159
    "setSocket",	//1160
    "setSocket#",	//1161
    "setSocketDescriptor",	//1162
    "setSocketDescriptor$",	//1163
    "setSocketDescriptor$$",	//1164
    "setSocketDescriptor$$$",	//1165
    "setSocketDescriptor?",	//1166
    "setSocketDescriptor?$",	//1167
    "setSocketDescriptor?$$",	//1168
    "setSocketError",	//1169
    "setSocketError$",	//1170
    "setSocketOption",	//1171
    "setSocketOption$#",	//1172
    "setSocketState",	//1173
    "setSocketState$",	//1174
    "setSslConfiguration",	//1175
    "setSslConfiguration#",	//1176
    "setStatusLine",	//1177
    "setStatusLine$",	//1178
    "setStatusLine$$",	//1179
    "setStatusLine$$$",	//1180
    "setStatusLine$$$$",	//1181
    "setSymLink",	//1182
    "setSymLink$",	//1183
    "setTransferMode",	//1184
    "setTransferMode$",	//1185
    "setType",	//1186
    "setType$",	//1187
    "setUrl",	//1188
    "setUrl#",	//1189
    "setUseSystemConfiguration",	//1190
    "setUseSystemConfiguration$",	//1191
    "setUser",	//1192
    "setUser$",	//1193
    "setUser$$",	//1194
    "setValid",	//1195
    "setValid$",	//1196
    "setValue",	//1197
    "setValue#",	//1198
    "setValue$$",	//1199
    "setValues",	//1200
    "setValues?",	//1201
    "setWritable",	//1202
    "setWritable$",	//1203
    "size",	//1204
    "socketDescriptor",	//1205
    "socketOption",	//1206
    "socketOption$",	//1207
    "socketType",	//1208
    "sslConfiguration",	//1209
    "sslErrors",	//1210
    "sslErrors#?",	//1211
    "sslErrors?",	//1212
    "startClientEncryption",	//1213
    "startServerEncryption",	//1214
    "state",	//1215
    "stateChanged",	//1216
    "stateChanged$",	//1217
    "staticMetaObject",	//1218
    "statusCode",	//1219
    "subjectInfo",	//1220
    "subjectInfo#",	//1221
    "subjectInfo$",	//1222
    "supportedBits",	//1223
    "supportedCiphers",	//1224
    "supportsSsl",	//1225
    "systemCaCertificates",	//1226
    "systemProxyForQuery",	//1227
    "systemProxyForQuery#",	//1228
    "timerEvent",	//1229
    "toDer",	//1230
    "toDer#",	//1231
    "toIPv4Address",	//1232
    "toIPv6Address",	//1233
    "toPem",	//1234
    "toPem#",	//1235
    "toRawForm",	//1236
    "toRawForm$",	//1237
    "toString",	//1238
    "tr",	//1239
    "tr$",	//1240
    "tr$$",	//1241
    "tr$$$",	//1242
    "trUtf8",	//1243
    "trUtf8$",	//1244
    "trUtf8$$",	//1245
    "trUtf8$$$",	//1246
    "type",	//1247
    "updateMetaData",	//1248
    "updateMetaData#",	//1249
    "uploadProgress",	//1250
    "uploadProgress??",	//1251
    "url",	//1252
    "usedBits",	//1253
    "user",	//1254
    "value",	//1255
    "value$",	//1256
    "values",	//1257
    "version",	//1258
    "waitForBytesWritten",	//1259
    "waitForBytesWritten$",	//1260
    "waitForConnected",	//1261
    "waitForConnected$",	//1262
    "waitForDisconnected",	//1263
    "waitForDisconnected$",	//1264
    "waitForEncrypted",	//1265
    "waitForEncrypted$",	//1266
    "waitForNewConnection",	//1267
    "waitForNewConnection$",	//1268
    "waitForNewConnection$$",	//1269
    "waitForReadyRead",	//1270
    "waitForReadyRead$",	//1271
    "writeData",	//1272
    "writeData$?",	//1273
    "writeDatagram",	//1274
    "writeDatagram##$",	//1275
    "writeDatagram$?#$",	//1276
    "~QAbstractNetworkCache",	//1277
    "~QAbstractSocket",	//1278
    "~QAuthenticator",	//1279
    "~QFtp",	//1280
    "~QHostAddress",	//1281
    "~QHostInfo",	//1282
    "~QHttp",	//1283
    "~QHttpHeader",	//1284
    "~QHttpRequestHeader",	//1285
    "~QHttpResponseHeader",	//1286
    "~QIPv6Address",	//1287
    "~QLocalServer",	//1288
    "~QLocalSocket",	//1289
    "~QNetworkAccessManager",	//1290
    "~QNetworkAddressEntry",	//1291
    "~QNetworkCacheMetaData",	//1292
    "~QNetworkCookie",	//1293
    "~QNetworkCookieJar",	//1294
    "~QNetworkDiskCache",	//1295
    "~QNetworkInterface",	//1296
    "~QNetworkProxy",	//1297
    "~QNetworkProxyFactory",	//1298
    "~QNetworkProxyQuery",	//1299
    "~QNetworkReply",	//1300
    "~QNetworkRequest",	//1301
    "~QSslCertificate",	//1302
    "~QSslCipher",	//1303
    "~QSslConfiguration",	//1304
    "~QSslError",	//1305
    "~QSslKey",	//1306
    "~QSslSocket",	//1307
    "~QTcpServer",	//1308
    "~QTcpSocket",	//1309
    "~QUdpSocket",	//1310
    "~QUrlInfo",	//1311
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 1},	//1 QAbstractNetworkCache::metaObject() const
    {1, 919, 1, 1, Smoke::mf_virtual, 420, 2},	//2 QAbstractNetworkCache::qt_metacast(const char*)
    {1, 1239, 3, 2, Smoke::mf_static, 195, 3},	//3 QAbstractNetworkCache::tr(const char*, const char*)
    {1, 1243, 3, 2, Smoke::mf_static, 195, 4},	//4 QAbstractNetworkCache::trUtf8(const char*, const char*)
    {1, 1239, 6, 3, Smoke::mf_static, 195, 5},	//5 QAbstractNetworkCache::tr(const char*, const char*, int)
    {1, 1243, 6, 3, Smoke::mf_static, 195, 6},	//6 QAbstractNetworkCache::trUtf8(const char*, const char*, int)
    {1, 917, 10, 3, Smoke::mf_virtual, 401, 7},	//7 QAbstractNetworkCache::qt_metacall(QMetaObject::Call, int, void**)
    {1, 628, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 127, 8},	//8 QAbstractNetworkCache::metaData(const QUrl&) [pure virtual]
    {1, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//9 QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData&) [pure virtual]
    {1, 470, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 92, 10},	//10 QAbstractNetworkCache::data(const QUrl&) [pure virtual]
    {1, 958, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 317, 11},	//11 QAbstractNetworkCache::remove(const QUrl&) [pure virtual]
    {1, 419, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 403, 12},	//12 QAbstractNetworkCache::cacheSize() const [pure virtual]
    {1, 747, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 92, 13},	//13 QAbstractNetworkCache::prepare(const QNetworkCacheMetaData&) [pure virtual]
    {1, 566, 18, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//14 QAbstractNetworkCache::insert(QIODevice*) [pure virtual]
    {1, 427, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//15 QAbstractNetworkCache::clear() [pure virtual]
    {1, 171, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 2, 16},	//16 QAbstractNetworkCache::QAbstractNetworkCache(QObject*)
    {1, 1239, 1, 1, Smoke::mf_static, 195, 17},	//17 QAbstractNetworkCache::tr(const char*)
    {1, 1243, 1, 1, Smoke::mf_static, 195, 18},	//18 QAbstractNetworkCache::trUtf8(const char*)
    {1, 171, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 2, 19},	//19 QAbstractNetworkCache::QAbstractNetworkCache()
    {1, 1218, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 20},	//20 QAbstractNetworkCache::staticMetaObject() const
    {1, 1277, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 QAbstractNetworkCache::~QAbstractNetworkCache()
    {2, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 1},	//22 QAbstractSocket::metaObject() const
    {2, 919, 1, 1, Smoke::mf_virtual, 420, 2},	//23 QAbstractSocket::qt_metacast(const char*)
    {2, 1239, 3, 2, Smoke::mf_static, 195, 3},	//24 QAbstractSocket::tr(const char*, const char*)
    {2, 1243, 3, 2, Smoke::mf_static, 195, 4},	//25 QAbstractSocket::trUtf8(const char*, const char*)
    {2, 1239, 6, 3, Smoke::mf_static, 195, 5},	//26 QAbstractSocket::tr(const char*, const char*, int)
    {2, 1243, 6, 3, Smoke::mf_static, 195, 6},	//27 QAbstractSocket::trUtf8(const char*, const char*, int)
    {2, 917, 10, 3, Smoke::mf_virtual, 401, 7},	//28 QAbstractSocket::qt_metacall(QMetaObject::Call, int, void**)
    {2, 173, 22, 2, Smoke::mf_ctor, 3, 8},	//29 QAbstractSocket::QAbstractSocket(QAbstractSocket::SocketType, QObject*)
    {2, 438, 25, 3, 0, 0, 9},	//30 QAbstractSocket::connectToHost(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 438, 29, 3, 0, 0, 10},	//31 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 486, 0, 0, 0, 0, 11},	//32 QAbstractSocket::disconnectFromHost()
    {2, 592, 0, 0, Smoke::mf_const, 317, 12},	//33 QAbstractSocket::isValid() const
    {2, 414, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 13},	//34 QAbstractSocket::bytesAvailable() const
    {2, 415, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 14},	//35 QAbstractSocket::bytesToWrite() const
    {2, 420, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 15},	//36 QAbstractSocket::canReadLine() const
    {2, 617, 0, 0, Smoke::mf_const, 415, 16},	//37 QAbstractSocket::localPort() const
    {2, 613, 0, 0, Smoke::mf_const, 72, 17},	//38 QAbstractSocket::localAddress() const
    {2, 733, 0, 0, Smoke::mf_const, 415, 18},	//39 QAbstractSocket::peerPort() const
    {2, 728, 0, 0, Smoke::mf_const, 72, 19},	//40 QAbstractSocket::peerAddress() const
    {2, 732, 0, 0, Smoke::mf_const, 195, 20},	//41 QAbstractSocket::peerName() const
    {2, 945, 0, 0, Smoke::mf_const, 403, 21},	//42 QAbstractSocket::readBufferSize() const
    {2, 1143, 33, 1, 0, 0, 22},	//43 QAbstractSocket::setReadBufferSize(long long)
    {2, 367, 0, 0, 0, 0, 23},	//44 QAbstractSocket::abort()
    {2, 1205, 0, 0, Smoke::mf_const, 401, 24},	//45 QAbstractSocket::socketDescriptor() const
    {2, 1162, 35, 3, 0, 317, 25},	//46 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {2, 1171, 39, 2, 0, 0, 26},	//47 QAbstractSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {2, 1206, 42, 1, 0, 220, 27},	//48 QAbstractSocket::socketOption(QAbstractSocket::SocketOption)
    {2, 1208, 0, 0, Smoke::mf_const, 8, 28},	//49 QAbstractSocket::socketType() const
    {2, 1215, 0, 0, Smoke::mf_const, 7, 29},	//50 QAbstractSocket::state() const
    {2, 505, 0, 0, Smoke::mf_const, 5, 30},	//51 QAbstractSocket::error() const
    {2, 430, 0, 0, Smoke::mf_virtual, 0, 31},	//52 QAbstractSocket::close()
    {2, 588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 32},	//53 QAbstractSocket::isSequential() const
    {2, 399, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 33},	//54 QAbstractSocket::atEnd() const
    {2, 518, 0, 0, 0, 317, 34},	//55 QAbstractSocket::flush()
    {2, 1261, 44, 1, 0, 317, 35},	//56 QAbstractSocket::waitForConnected(int)
    {2, 1270, 44, 1, Smoke::mf_virtual, 317, 36},	//57 QAbstractSocket::waitForReadyRead(int)
    {2, 1259, 44, 1, Smoke::mf_virtual, 317, 37},	//58 QAbstractSocket::waitForBytesWritten(int)
    {2, 1263, 44, 1, 0, 317, 38},	//59 QAbstractSocket::waitForDisconnected(int)
    {2, 1130, 46, 1, 0, 0, 39},	//60 QAbstractSocket::setProxy(const QNetworkProxy&)
    {2, 754, 0, 0, Smoke::mf_const, 141, 40},	//61 QAbstractSocket::proxy() const
    {2, 557, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//62 QAbstractSocket::hostFound()
    {2, 454, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//63 QAbstractSocket::connected()
    {2, 490, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//64 QAbstractSocket::disconnected()
    {2, 1216, 48, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//65 QAbstractSocket::stateChanged(QAbstractSocket::SocketState)
    {2, 505, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//66 QAbstractSocket::error(QAbstractSocket::SocketError)
    {2, 755, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//67 QAbstractSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {2, 448, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//68 QAbstractSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {2, 487, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//69 QAbstractSocket::disconnectFromHostImplementation()
    {2, 946, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 49},	//70 QAbstractSocket::readData(char*, long long)
    {2, 952, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 50},	//71 QAbstractSocket::readLineData(char*, long long)
    {2, 1272, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 51},	//72 QAbstractSocket::writeData(const char*, long long)
    {2, 1173, 48, 1, Smoke::mf_protected, 0, 52},	//73 QAbstractSocket::setSocketState(QAbstractSocket::SocketState)
    {2, 1169, 50, 1, Smoke::mf_protected, 0, 53},	//74 QAbstractSocket::setSocketError(QAbstractSocket::SocketError)
    {2, 1075, 65, 1, Smoke::mf_protected, 0, 54},	//75 QAbstractSocket::setLocalPort(unsigned short)
    {2, 1069, 67, 1, Smoke::mf_protected, 0, 55},	//76 QAbstractSocket::setLocalAddress(const QHostAddress&)
    {2, 1106, 65, 1, Smoke::mf_protected, 0, 56},	//77 QAbstractSocket::setPeerPort(unsigned short)
    {2, 1100, 67, 1, Smoke::mf_protected, 0, 57},	//78 QAbstractSocket::setPeerAddress(const QHostAddress&)
    {2, 1104, 69, 1, Smoke::mf_protected, 0, 58},	//79 QAbstractSocket::setPeerName(const QString&)
    {2, 1239, 1, 1, Smoke::mf_static, 195, 59},	//80 QAbstractSocket::tr(const char*)
    {2, 1243, 1, 1, Smoke::mf_static, 195, 60},	//81 QAbstractSocket::trUtf8(const char*)
    {2, 438, 71, 2, 0, 0, 61},	//82 QAbstractSocket::connectToHost(const QString&, unsigned short)
    {2, 438, 74, 2, 0, 0, 62},	//83 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short)
    {2, 1162, 44, 1, 0, 317, 63},	//84 QAbstractSocket::setSocketDescriptor(int)
    {2, 1162, 77, 2, 0, 317, 64},	//85 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {2, 1261, 0, 0, 0, 317, 65},	//86 QAbstractSocket::waitForConnected()
    {2, 1270, 0, 0, 0, 317, 66},	//87 QAbstractSocket::waitForReadyRead()
    {2, 1259, 0, 0, 0, 317, 67},	//88 QAbstractSocket::waitForBytesWritten()
    {2, 1263, 0, 0, 0, 317, 68},	//89 QAbstractSocket::waitForDisconnected()
    {2, 448, 80, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 69},	//90 QAbstractSocket::connectToHostImplementation(const QString&, quint16)
    {2, 1218, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 70},	//91 QAbstractSocket::staticMetaObject() const
    {2, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 71},	//92 QAbstractSocket::TcpSocket (enum)
    {2, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 72},	//93 QAbstractSocket::UdpSocket (enum)
    {2, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 73},	//94 QAbstractSocket::UnknownSocketType (enum)
    {2, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 74},	//95 QAbstractSocket::IPv4Protocol (enum)
    {2, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 75},	//96 QAbstractSocket::IPv6Protocol (enum)
    {2, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 76},	//97 QAbstractSocket::UnknownNetworkLayerProtocol (enum)
    {2, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//98 QAbstractSocket::ConnectionRefusedError (enum)
    {2, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//99 QAbstractSocket::RemoteHostClosedError (enum)
    {2, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//100 QAbstractSocket::HostNotFoundError (enum)
    {2, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 80},	//101 QAbstractSocket::SocketAccessError (enum)
    {2, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 81},	//102 QAbstractSocket::SocketResourceError (enum)
    {2, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 82},	//103 QAbstractSocket::SocketTimeoutError (enum)
    {2, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 83},	//104 QAbstractSocket::DatagramTooLargeError (enum)
    {2, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 84},	//105 QAbstractSocket::NetworkError (enum)
    {2, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 85},	//106 QAbstractSocket::AddressInUseError (enum)
    {2, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 86},	//107 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {2, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 87},	//108 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {2, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 88},	//109 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {2, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 89},	//110 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {2, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 90},	//111 QAbstractSocket::SslHandshakeFailedError (enum)
    {2, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 91},	//112 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {2, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 92},	//113 QAbstractSocket::ProxyConnectionClosedError (enum)
    {2, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 93},	//114 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {2, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 94},	//115 QAbstractSocket::ProxyNotFoundError (enum)
    {2, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 95},	//116 QAbstractSocket::ProxyProtocolError (enum)
    {2, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 96},	//117 QAbstractSocket::UnknownSocketError (enum)
    {2, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 97},	//118 QAbstractSocket::UnconnectedState (enum)
    {2, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 98},	//119 QAbstractSocket::HostLookupState (enum)
    {2, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 99},	//120 QAbstractSocket::ConnectingState (enum)
    {2, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 100},	//121 QAbstractSocket::ConnectedState (enum)
    {2, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 101},	//122 QAbstractSocket::BoundState (enum)
    {2, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 102},	//123 QAbstractSocket::ListeningState (enum)
    {2, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 103},	//124 QAbstractSocket::ClosingState (enum)
    {2, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 104},	//125 QAbstractSocket::LowDelayOption (enum)
    {2, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 105},	//126 QAbstractSocket::KeepAliveOption (enum)
    {2, 1278, 0, 0, Smoke::mf_dtor, 0, 106 },	//127 QAbstractSocket::~QAbstractSocket()
    {3, 175, 0, 0, Smoke::mf_ctor, 10, 1},	//128 QAuthenticator::QAuthenticator()
    {3, 175, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 2},	//129 QAuthenticator::QAuthenticator(const QAuthenticator&)
    {3, 685, 83, 1, 0, 9, 3},	//130 QAuthenticator::operator=(const QAuthenticator&)
    {3, 688, 83, 1, Smoke::mf_const, 317, 4},	//131 QAuthenticator::operator==(const QAuthenticator&) const
    {3, 649, 83, 1, Smoke::mf_const, 317, 5},	//132 QAuthenticator::operator!=(const QAuthenticator&) const
    {3, 1254, 0, 0, Smoke::mf_const, 195, 6},	//133 QAuthenticator::user() const
    {3, 1192, 69, 1, 0, 0, 7},	//134 QAuthenticator::setUser(const QString&)
    {3, 726, 0, 0, Smoke::mf_const, 195, 8},	//135 QAuthenticator::password() const
    {3, 1096, 69, 1, 0, 0, 9},	//136 QAuthenticator::setPassword(const QString&)
    {3, 956, 0, 0, Smoke::mf_const, 195, 10},	//137 QAuthenticator::realm() const
    {3, 584, 0, 0, Smoke::mf_const, 317, 11},	//138 QAuthenticator::isNull() const
    {3, 483, 0, 0, 0, 0, 12},	//139 QAuthenticator::detach()
    {3, 1279, 0, 0, Smoke::mf_dtor, 0, 13 },	//140 QAuthenticator::~QAuthenticator()
    {16, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 1},	//141 QFtp::metaObject() const
    {16, 919, 1, 1, Smoke::mf_virtual, 420, 2},	//142 QFtp::qt_metacast(const char*)
    {16, 1239, 3, 2, Smoke::mf_static, 195, 3},	//143 QFtp::tr(const char*, const char*)
    {16, 1243, 3, 2, Smoke::mf_static, 195, 4},	//144 QFtp::trUtf8(const char*, const char*)
    {16, 1239, 6, 3, Smoke::mf_static, 195, 5},	//145 QFtp::tr(const char*, const char*, int)
    {16, 1243, 6, 3, Smoke::mf_static, 195, 6},	//146 QFtp::trUtf8(const char*, const char*, int)
    {16, 917, 10, 3, Smoke::mf_virtual, 401, 7},	//147 QFtp::qt_metacall(QMetaObject::Call, int, void**)
    {16, 177, 20, 1, Smoke::mf_ctor, 65, 8},	//148 QFtp::QFtp(QObject*)
    {16, 1130, 71, 2, 0, 401, 9},	//149 QFtp::setProxy(const QString&, unsigned short)
    {16, 438, 71, 2, 0, 401, 10},	//150 QFtp::connectToHost(const QString&, unsigned short)
    {16, 618, 85, 2, 0, 401, 11},	//151 QFtp::login(const QString&, const QString&)
    {16, 430, 0, 0, 0, 401, 12},	//152 QFtp::close()
    {16, 1184, 88, 1, 0, 401, 13},	//153 QFtp::setTransferMode(QFtp::TransferMode)
    {16, 605, 69, 1, 0, 401, 14},	//154 QFtp::list(const QString&)
    {16, 422, 69, 1, 0, 401, 15},	//155 QFtp::cd(const QString&)
    {16, 532, 90, 3, 0, 401, 16},	//156 QFtp::get(const QString&, QIODevice*, QFtp::TransferType)
    {16, 761, 94, 3, 0, 401, 17},	//157 QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    {16, 761, 98, 3, 0, 401, 18},	//158 QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    {16, 958, 69, 1, 0, 401, 19},	//159 QFtp::remove(const QString&)
    {16, 634, 69, 1, 0, 401, 20},	//160 QFtp::mkdir(const QString&)
    {16, 980, 69, 1, 0, 401, 21},	//161 QFtp::rmdir(const QString&)
    {16, 967, 85, 2, 0, 401, 22},	//162 QFtp::rename(const QString&, const QString&)
    {16, 933, 69, 1, 0, 401, 23},	//163 QFtp::rawCommand(const QString&)
    {16, 414, 0, 0, Smoke::mf_const, 403, 24},	//164 QFtp::bytesAvailable() const
    {16, 942, 59, 2, 0, 403, 25},	//165 QFtp::read(char*, long long)
    {16, 944, 0, 0, 0, 14, 26},	//166 QFtp::readAll()
    {16, 466, 0, 0, Smoke::mf_const, 401, 27},	//167 QFtp::currentId() const
    {16, 465, 0, 0, Smoke::mf_const, 92, 28},	//168 QFtp::currentDevice() const
    {16, 463, 0, 0, Smoke::mf_const, 66, 29},	//169 QFtp::currentCommand() const
    {16, 546, 0, 0, Smoke::mf_const, 317, 30},	//170 QFtp::hasPendingCommands() const
    {16, 428, 0, 0, 0, 0, 31},	//171 QFtp::clearPendingCommands()
    {16, 1215, 0, 0, Smoke::mf_const, 68, 32},	//172 QFtp::state() const
    {16, 505, 0, 0, Smoke::mf_const, 67, 33},	//173 QFtp::error() const
    {16, 507, 0, 0, Smoke::mf_const, 195, 34},	//174 QFtp::errorString() const
    {16, 367, 0, 0, Smoke::mf_slot, 0, 35},	//175 QFtp::abort()
    {16, 1216, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//176 QFtp::stateChanged(int)
    {16, 607, 102, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//177 QFtp::listInfo(const QUrlInfo&)
    {16, 954, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//178 QFtp::readyRead()
    {16, 476, 104, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//179 QFtp::dataTransferProgress(qint64, qint64)
    {16, 935, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//180 QFtp::rawCommandReply(int, const QString&)
    {16, 434, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//181 QFtp::commandStarted(int)
    {16, 432, 110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//182 QFtp::commandFinished(int, bool)
    {16, 492, 113, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//183 QFtp::done(bool)
    {16, 1239, 1, 1, Smoke::mf_static, 195, 44},	//184 QFtp::tr(const char*)
    {16, 1243, 1, 1, Smoke::mf_static, 195, 45},	//185 QFtp::trUtf8(const char*)
    {16, 177, 0, 0, Smoke::mf_ctor, 65, 46},	//186 QFtp::QFtp()
    {16, 438, 69, 1, 0, 401, 47},	//187 QFtp::connectToHost(const QString&)
    {16, 618, 0, 0, 0, 401, 48},	//188 QFtp::login()
    {16, 618, 69, 1, 0, 401, 49},	//189 QFtp::login(const QString&)
    {16, 605, 0, 0, 0, 401, 50},	//190 QFtp::list()
    {16, 532, 69, 1, 0, 401, 51},	//191 QFtp::get(const QString&)
    {16, 532, 115, 2, 0, 401, 52},	//192 QFtp::get(const QString&, QIODevice*)
    {16, 761, 118, 2, 0, 401, 53},	//193 QFtp::put(const QByteArray&, const QString&)
    {16, 761, 121, 2, 0, 401, 54},	//194 QFtp::put(QIODevice*, const QString&)
    {16, 1218, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 55},	//195 QFtp::staticMetaObject() const
    {16, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 56},	//196 QFtp::Unconnected (enum)
    {16, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 57},	//197 QFtp::HostLookup (enum)
    {16, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 58},	//198 QFtp::Connecting (enum)
    {16, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 59},	//199 QFtp::Connected (enum)
    {16, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 60},	//200 QFtp::LoggedIn (enum)
    {16, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 61},	//201 QFtp::Closing (enum)
    {16, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 62},	//202 QFtp::NoError (enum)
    {16, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 63},	//203 QFtp::UnknownError (enum)
    {16, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 64},	//204 QFtp::HostNotFound (enum)
    {16, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 65},	//205 QFtp::ConnectionRefused (enum)
    {16, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 66},	//206 QFtp::NotConnected (enum)
    {16, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 67},	//207 QFtp::None (enum)
    {16, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 68},	//208 QFtp::SetTransferMode (enum)
    {16, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 69},	//209 QFtp::SetProxy (enum)
    {16, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 70},	//210 QFtp::ConnectToHost (enum)
    {16, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 71},	//211 QFtp::Login (enum)
    {16, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 72},	//212 QFtp::Close (enum)
    {16, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 73},	//213 QFtp::List (enum)
    {16, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 74},	//214 QFtp::Cd (enum)
    {16, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 75},	//215 QFtp::Get (enum)
    {16, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 76},	//216 QFtp::Put (enum)
    {16, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 77},	//217 QFtp::Remove (enum)
    {16, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 78},	//218 QFtp::Mkdir (enum)
    {16, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 79},	//219 QFtp::Rmdir (enum)
    {16, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 80},	//220 QFtp::Rename (enum)
    {16, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 81},	//221 QFtp::RawCommand (enum)
    {16, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 82},	//222 QFtp::Active (enum)
    {16, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 83},	//223 QFtp::Passive (enum)
    {16, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 84},	//224 QFtp::Binary (enum)
    {16, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 85},	//225 QFtp::Ascii (enum)
    {16, 1280, 0, 0, Smoke::mf_dtor, 0, 86 },	//226 QFtp::~QFtp()
    {17, 848, 124, 1, Smoke::mf_static, 401, 1},	//227 QGlobalSpace::qRound(double)
    {17, 713, 126, 2, Smoke::mf_static, 37, 2},	//228 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {17, 765, 124, 1, Smoke::mf_static, 399, 3},	//229 QGlobalSpace::qAcos(double)
    {17, 705, 129, 2, Smoke::mf_static, 20, 4},	//230 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {17, 713, 132, 2, Smoke::mf_static, 35, 5},	//231 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {17, 700, 135, 2, Smoke::mf_static, 317, 6},	//232 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {17, 705, 138, 2, Smoke::mf_static, 20, 7},	//233 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {17, 769, 0, 0, Smoke::mf_static, 195, 8},	//234 QGlobalSpace::qAppName()
    {17, 713, 141, 2, Smoke::mf_static, 97, 9},	//235 QGlobalSpace::operator|(Qt::WindowType, int)
    {17, 898, 144, 3, Smoke::mf_static, 320, 10},	//236 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {17, 810, 148, 1, Smoke::mf_static, 412, 11},	//237 QGlobalSpace::qHash(unsigned int)
    {17, 810, 150, 1, Smoke::mf_static, 412, 12},	//238 QGlobalSpace::qHash(char)
    {17, 658, 152, 2, Smoke::mf_static, 375, 13},	//239 QGlobalSpace::operator*(const QSizeF&, double)
    {17, 676, 155, 2, Smoke::mf_static, 24, 14},	//240 QGlobalSpace::operator<<(QDebug, const QLine&)
    {17, 876, 1, 1, Smoke::mf_static, 14, 15},	//241 QGlobalSpace::qgetenv(const char*)
    {17, 671, 158, 2, Smoke::mf_static, 317, 16},	//242 QGlobalSpace::operator<(const QByteArray&, const char*)
    {17, 695, 161, 2, Smoke::mf_static, 317, 17},	//243 QGlobalSpace::operator>(const char*, const QString&)
    {17, 705, 164, 2, Smoke::mf_static, 20, 18},	//244 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {17, 713, 167, 2, Smoke::mf_static, 55, 19},	//245 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {17, 688, 170, 2, Smoke::mf_static, 317, 20},	//246 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {17, 676, 173, 2, Smoke::mf_static, 24, 21},	//247 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {17, 688, 176, 2, Smoke::mf_static, 317, 22},	//248 QGlobalSpace::operator==(const QSize&, const QSize&)
    {17, 676, 179, 2, Smoke::mf_static, 24, 23},	//249 QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    {17, 796, 124, 1, Smoke::mf_static, 399, 24},	//250 QGlobalSpace::qFastSin(double)
    {17, 661, 182, 2, Smoke::mf_static, 383, 25},	//251 QGlobalSpace::operator+(QChar, const QString&)
    {17, 896, 185, 3, Smoke::mf_static, 401, 26},	//252 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {17, 680, 189, 2, Smoke::mf_static, 317, 27},	//253 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {17, 680, 192, 2, Smoke::mf_static, 317, 28},	//254 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {17, 676, 195, 2, Smoke::mf_static, 24, 29},	//255 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    {17, 931, 198, 4, Smoke::mf_static, 401, 30},	//256 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {17, 649, 203, 2, Smoke::mf_static, 317, 31},	//257 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {17, 649, 206, 2, Smoke::mf_static, 317, 32},	//258 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {17, 676, 209, 2, Smoke::mf_static, 20, 33},	//259 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {17, 661, 212, 2, Smoke::mf_static, 383, 34},	//260 QGlobalSpace::operator+(const QString&, QChar)
    {17, 661, 176, 2, Smoke::mf_static, 373, 35},	//261 QGlobalSpace::operator+(const QSize&, const QSize&)
    {17, 902, 215, 2, Smoke::mf_static, 412, 36},	//262 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {17, 688, 192, 2, Smoke::mf_static, 317, 37},	//263 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {17, 705, 218, 2, Smoke::mf_static, 20, 38},	//264 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {17, 649, 221, 2, Smoke::mf_static, 317, 39},	//265 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {17, 676, 224, 2, Smoke::mf_static, 24, 40},	//266 QGlobalSpace::operator<<(QDebug, const QDate&)
    {17, 713, 227, 2, Smoke::mf_static, 61, 41},	//267 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {17, 676, 230, 2, Smoke::mf_static, 24, 42},	//268 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {17, 649, 233, 2, Smoke::mf_static, 317, 43},	//269 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {17, 810, 236, 1, Smoke::mf_static, 412, 44},	//270 QGlobalSpace::qHash(unsigned char)
    {17, 924, 238, 5, Smoke::mf_static, 0, 45},	//271 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {17, 688, 244, 2, Smoke::mf_static, 317, 46},	//272 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {17, 913, 44, 1, Smoke::mf_static, 195, 47},	//273 QGlobalSpace::qt_error_string(int)
    {17, 913, 0, 0, Smoke::mf_static, 195, 48},	//274 QGlobalSpace::qt_error_string()
    {17, 705, 247, 2, Smoke::mf_static, 20, 49},	//275 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {17, 825, 250, 1, Smoke::mf_static, 317, 50},	//276 QGlobalSpace::qIsNull(float)
    {17, 713, 252, 2, Smoke::mf_static, 97, 51},	//277 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {17, 839, 0, 0, Smoke::mf_static, 399, 52},	//278 QGlobalSpace::qQNaN()
    {17, 649, 255, 2, Smoke::mf_static, 317, 53},	//279 QGlobalSpace::operator!=(QChar, QChar)
    {17, 855, 258, 1, Smoke::mf_static, 208, 54},	//280 QGlobalSpace::qSetPadChar(QChar)
    {17, 705, 260, 2, Smoke::mf_static, 20, 55},	//281 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {17, 676, 263, 2, Smoke::mf_static, 24, 56},	//282 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {17, 666, 203, 2, Smoke::mf_static, 367, 57},	//283 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {17, 713, 266, 2, Smoke::mf_static, 39, 58},	//284 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {17, 676, 269, 2, Smoke::mf_static, 24, 59},	//285 QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    {17, 904, 272, 2, Smoke::mf_static, 195, 60},	//286 QGlobalSpace::qtTrId(const char*, int)
    {17, 904, 1, 1, Smoke::mf_static, 195, 61},	//287 QGlobalSpace::qtTrId(const char*)
    {17, 774, 275, 2, Smoke::mf_static, 399, 62},	//288 QGlobalSpace::qAtan2(double, double)
    {17, 676, 278, 2, Smoke::mf_static, 20, 63},	//289 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {17, 810, 281, 1, Smoke::mf_static, 412, 64},	//290 QGlobalSpace::qHash(short)
    {17, 676, 283, 2, Smoke::mf_static, 20, 65},	//291 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {17, 688, 135, 2, Smoke::mf_static, 317, 66},	//292 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {17, 713, 286, 2, Smoke::mf_static, 60, 67},	//293 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {17, 819, 124, 1, Smoke::mf_static, 317, 68},	//294 QGlobalSpace::qIsFinite(double)
    {17, 676, 289, 2, Smoke::mf_static, 24, 69},	//295 QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    {17, 713, 292, 2, Smoke::mf_static, 55, 70},	//296 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {17, 883, 158, 2, Smoke::mf_static, 401, 71},	//297 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {17, 890, 1, 1, Smoke::mf_static, 320, 72},	//298 QGlobalSpace::qstrdup(const char*)
    {17, 810, 295, 1, Smoke::mf_static, 412, 73},	//299 QGlobalSpace::qHash(long)
    {17, 713, 297, 2, Smoke::mf_static, 54, 74},	//300 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {17, 883, 3, 2, Smoke::mf_static, 401, 75},	//301 QGlobalSpace::qstrcmp(const char*, const char*)
    {17, 676, 300, 2, Smoke::mf_static, 20, 76},	//302 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {17, 695, 189, 2, Smoke::mf_static, 317, 77},	//303 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {17, 649, 303, 2, Smoke::mf_static, 317, 78},	//304 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {17, 661, 306, 2, Smoke::mf_static, 323, 79},	//305 QGlobalSpace::operator+(const char*, const QByteArray&)
    {17, 713, 309, 2, Smoke::mf_static, 42, 80},	//306 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    {17, 713, 312, 2, Smoke::mf_static, 42, 81},	//307 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    {17, 649, 135, 2, Smoke::mf_static, 317, 82},	//308 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {17, 688, 315, 2, Smoke::mf_static, 317, 83},	//309 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {17, 810, 318, 1, Smoke::mf_static, 412, 84},	//310 QGlobalSpace::qHash(const QBitArray&)
    {17, 713, 320, 2, Smoke::mf_static, 35, 85},	//311 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {17, 888, 323, 2, Smoke::mf_static, 320, 86},	//312 QGlobalSpace::qstrcpy(char*, const char*)
    {17, 713, 326, 2, Smoke::mf_static, 11, 87},	//313 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {17, 649, 329, 2, Smoke::mf_static, 317, 88},	//314 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {17, 671, 306, 2, Smoke::mf_static, 317, 89},	//315 QGlobalSpace::operator<(const char*, const QByteArray&)
    {17, 772, 124, 1, Smoke::mf_static, 399, 90},	//316 QGlobalSpace::qAtan(double)
    {17, 883, 306, 2, Smoke::mf_static, 401, 91},	//317 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {17, 700, 255, 2, Smoke::mf_static, 317, 92},	//318 QGlobalSpace::operator>=(QChar, QChar)
    {17, 713, 332, 2, Smoke::mf_static, 56, 93},	//319 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {17, 680, 255, 2, Smoke::mf_static, 317, 94},	//320 QGlobalSpace::operator<=(QChar, QChar)
    {17, 658, 335, 2, Smoke::mf_static, 367, 95},	//321 QGlobalSpace::operator*(const QPointF&, double)
    {17, 676, 338, 2, Smoke::mf_static, 24, 96},	//322 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {17, 688, 341, 2, Smoke::mf_static, 317, 97},	//323 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {17, 713, 344, 2, Smoke::mf_static, 32, 98},	//324 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {17, 713, 347, 2, Smoke::mf_static, 97, 99},	//325 QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    {17, 911, 272, 2, Smoke::mf_static, 0, 100},	//326 QGlobalSpace::qt_check_pointer(const char*, int)
    {17, 688, 303, 2, Smoke::mf_static, 317, 101},	//327 QGlobalSpace::operator==(QString::Null, QString::Null)
    {17, 649, 189, 2, Smoke::mf_static, 317, 102},	//328 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {17, 649, 350, 2, Smoke::mf_static, 317, 103},	//329 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {17, 705, 353, 2, Smoke::mf_static, 20, 104},	//330 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {17, 680, 356, 2, Smoke::mf_static, 317, 105},	//331 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {17, 869, 359, 2, Smoke::mf_static, 14, 106},	//332 QGlobalSpace::qUncompress(const unsigned char*, int)
    {17, 713, 362, 2, Smoke::mf_static, 47, 107},	//333 QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    {17, 781, 365, 2, Smoke::mf_static, 14, 108},	//334 QGlobalSpace::qCompress(const QByteArray&, int)
    {17, 781, 368, 1, Smoke::mf_static, 14, 109},	//335 QGlobalSpace::qCompress(const QByteArray&)
    {17, 676, 370, 2, Smoke::mf_static, 20, 110},	//336 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {17, 705, 373, 2, Smoke::mf_static, 205, 111},	//337 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 676, 376, 2, Smoke::mf_static, 24, 112},	//338 QGlobalSpace::operator<<(QDebug, const QSslError&)
    {17, 713, 379, 2, Smoke::mf_static, 97, 113},	//339 QGlobalSpace::operator|(Qt::DropAction, int)
    {17, 842, 382, 4, Smoke::mf_static, 420, 114},	//340 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {17, 713, 387, 2, Smoke::mf_static, 97, 115},	//341 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {17, 695, 135, 2, Smoke::mf_static, 317, 116},	//342 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {17, 862, 124, 1, Smoke::mf_static, 399, 117},	//343 QGlobalSpace::qSqrt(double)
    {17, 676, 373, 2, Smoke::mf_static, 205, 118},	//344 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 676, 390, 2, Smoke::mf_static, 20, 119},	//345 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {17, 676, 393, 2, Smoke::mf_static, 24, 120},	//346 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    {17, 676, 396, 2, Smoke::mf_static, 24, 121},	//347 QGlobalSpace::operator<<(QDebug, const QRect&)
    {17, 676, 399, 2, Smoke::mf_static, 24, 122},	//348 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    {17, 695, 192, 2, Smoke::mf_static, 317, 123},	//349 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {17, 700, 356, 2, Smoke::mf_static, 317, 124},	//350 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {17, 817, 250, 1, Smoke::mf_static, 401, 125},	//351 QGlobalSpace::qIntCast(float)
    {17, 713, 402, 2, Smoke::mf_static, 45, 126},	//352 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {17, 688, 203, 2, Smoke::mf_static, 317, 127},	//353 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {17, 695, 306, 2, Smoke::mf_static, 317, 128},	//354 QGlobalSpace::operator>(const char*, const QByteArray&)
    {17, 792, 124, 1, Smoke::mf_static, 399, 129},	//355 QGlobalSpace::qFabs(double)
    {17, 810, 65, 1, Smoke::mf_static, 412, 130},	//356 QGlobalSpace::qHash(unsigned short)
    {17, 688, 306, 2, Smoke::mf_static, 317, 131},	//357 QGlobalSpace::operator==(const char*, const QByteArray&)
    {17, 713, 405, 2, Smoke::mf_static, 60, 132},	//358 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {17, 713, 408, 2, Smoke::mf_static, 44, 133},	//359 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {17, 676, 411, 2, Smoke::mf_static, 24, 134},	//360 QGlobalSpace::operator<<(QDebug, const QDir&)
    {17, 713, 414, 2, Smoke::mf_static, 58, 135},	//361 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {17, 649, 192, 2, Smoke::mf_static, 317, 136},	//362 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {17, 840, 417, 2, Smoke::mf_static, 420, 137},	//363 QGlobalSpace::qRealloc(void*, size_t)
    {17, 713, 420, 2, Smoke::mf_static, 51, 138},	//364 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {17, 713, 423, 2, Smoke::mf_static, 97, 139},	//365 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {17, 688, 426, 2, Smoke::mf_static, 317, 140},	//366 QGlobalSpace::operator==(const QString&, QString::Null)
    {17, 713, 429, 2, Smoke::mf_static, 52, 141},	//367 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {17, 873, 0, 0, Smoke::mf_static, 24, 142},	//368 QGlobalSpace::qWarning()
    {17, 713, 432, 2, Smoke::mf_static, 97, 143},	//369 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {17, 806, 275, 2, Smoke::mf_static, 317, 144},	//370 QGlobalSpace::qFuzzyCompare(double, double)
    {17, 680, 135, 2, Smoke::mf_static, 317, 145},	//371 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {17, 676, 435, 2, Smoke::mf_static, 24, 146},	//372 QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    {17, 713, 438, 2, Smoke::mf_static, 40, 147},	//373 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {17, 713, 441, 2, Smoke::mf_static, 38, 148},	//374 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {17, 705, 444, 2, Smoke::mf_static, 20, 149},	//375 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {17, 676, 447, 2, Smoke::mf_static, 24, 150},	//376 QGlobalSpace::operator<<(QDebug, const QSslKey&)
    {17, 676, 450, 2, Smoke::mf_static, 20, 151},	//377 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {17, 649, 453, 2, Smoke::mf_static, 317, 152},	//378 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {17, 658, 456, 2, Smoke::mf_static, 373, 153},	//379 QGlobalSpace::operator*(double, const QSize&)
    {17, 713, 459, 2, Smoke::mf_static, 50, 154},	//380 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {17, 789, 0, 0, Smoke::mf_static, 24, 155},	//381 QGlobalSpace::qDebug()
    {17, 810, 33, 1, Smoke::mf_static, 412, 156},	//382 QGlobalSpace::qHash(long long)
    {17, 713, 462, 2, Smoke::mf_static, 57, 157},	//383 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {17, 680, 161, 2, Smoke::mf_static, 317, 158},	//384 QGlobalSpace::operator<=(const char*, const QString&)
    {17, 666, 465, 1, Smoke::mf_static, 367, 159},	//385 QGlobalSpace::operator-(const QPointF&)
    {17, 713, 467, 2, Smoke::mf_static, 97, 160},	//386 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {17, 821, 250, 1, Smoke::mf_static, 317, 161},	//387 QGlobalSpace::qIsInf(float)
    {17, 713, 470, 2, Smoke::mf_static, 97, 162},	//388 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {17, 661, 161, 2, Smoke::mf_static, 383, 163},	//389 QGlobalSpace::operator+(const char*, const QString&)
    {17, 680, 306, 2, Smoke::mf_static, 317, 164},	//390 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {17, 676, 473, 2, Smoke::mf_static, 24, 165},	//391 QGlobalSpace::operator<<(QDebug, const QSize&)
    {17, 810, 67, 1, Smoke::mf_static, 412, 166},	//392 QGlobalSpace::qHash(const QHostAddress&)
    {17, 649, 356, 2, Smoke::mf_static, 317, 167},	//393 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {17, 695, 255, 2, Smoke::mf_static, 317, 168},	//394 QGlobalSpace::operator>(QChar, QChar)
    {17, 669, 152, 2, Smoke::mf_static, 375, 169},	//395 QGlobalSpace::operator/(const QSizeF&, double)
    {17, 713, 476, 2, Smoke::mf_static, 97, 170},	//396 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {17, 676, 479, 2, Smoke::mf_static, 24, 171},	//397 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {17, 883, 356, 2, Smoke::mf_static, 401, 172},	//398 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {17, 656, 326, 2, Smoke::mf_static, 11, 173},	//399 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {17, 666, 482, 1, Smoke::mf_static, 365, 174},	//400 QGlobalSpace::operator-(const QPoint&)
    {17, 676, 484, 2, Smoke::mf_static, 24, 175},	//401 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {17, 700, 158, 2, Smoke::mf_static, 317, 176},	//402 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {17, 676, 487, 2, Smoke::mf_static, 20, 177},	//403 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {17, 713, 490, 2, Smoke::mf_static, 45, 178},	//404 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {17, 700, 189, 2, Smoke::mf_static, 317, 179},	//405 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {17, 671, 192, 2, Smoke::mf_static, 317, 180},	//406 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {17, 705, 493, 2, Smoke::mf_static, 20, 181},	//407 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {17, 649, 496, 2, Smoke::mf_static, 317, 182},	//408 QGlobalSpace::operator!=(QBool, QBool)
    {17, 661, 499, 2, Smoke::mf_static, 383, 183},	//409 QGlobalSpace::operator+(const QString&, char)
    {17, 649, 502, 2, Smoke::mf_static, 317, 184},	//410 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {17, 810, 505, 1, Smoke::mf_static, 412, 185},	//411 QGlobalSpace::qHash(unsigned long long)
    {17, 688, 189, 2, Smoke::mf_static, 317, 186},	//412 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {17, 798, 1, 1, Smoke::mf_static, 395, 187},	//413 QGlobalSpace::qFlagLocation(const char*)
    {17, 669, 335, 2, Smoke::mf_static, 367, 188},	//414 QGlobalSpace::operator/(const QPointF&, double)
    {17, 817, 124, 1, Smoke::mf_static, 401, 189},	//415 QGlobalSpace::qIntCast(double)
    {17, 713, 507, 2, Smoke::mf_static, 97, 190},	//416 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {17, 869, 368, 1, Smoke::mf_static, 14, 191},	//417 QGlobalSpace::qUncompress(const QByteArray&)
    {17, 649, 170, 2, Smoke::mf_static, 317, 192},	//418 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {17, 676, 510, 2, Smoke::mf_static, 24, 193},	//419 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {17, 688, 513, 2, Smoke::mf_static, 317, 194},	//420 QGlobalSpace::operator==(QString::Null, const QString&)
    {17, 680, 158, 2, Smoke::mf_static, 317, 195},	//421 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {17, 794, 124, 1, Smoke::mf_static, 399, 196},	//422 QGlobalSpace::qFastCos(double)
    {17, 846, 516, 1, Smoke::mf_static, 0, 197},	//423 QGlobalSpace::qRemovePostRoutine(void(*)())
    {17, 713, 518, 2, Smoke::mf_static, 40, 198},	//424 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {17, 713, 521, 2, Smoke::mf_static, 52, 199},	//425 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {17, 705, 524, 2, Smoke::mf_static, 20, 200},	//426 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {17, 806, 527, 2, Smoke::mf_static, 317, 201},	//427 QGlobalSpace::qFuzzyCompare(float, float)
    {17, 676, 530, 2, Smoke::mf_static, 20, 202},	//428 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {17, 779, 215, 2, Smoke::mf_static, 415, 203},	//429 QGlobalSpace::qChecksum(const char*, unsigned int)
    {17, 705, 533, 2, Smoke::mf_static, 20, 204},	//430 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {17, 658, 536, 2, Smoke::mf_static, 373, 205},	//431 QGlobalSpace::operator*(const QSize&, double)
    {17, 815, 539, 1, Smoke::mf_static, 419, 206},	//432 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {17, 676, 541, 2, Smoke::mf_static, 205, 207},	//433 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {17, 666, 329, 2, Smoke::mf_static, 365, 208},	//434 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {17, 713, 544, 2, Smoke::mf_static, 49, 209},	//435 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {17, 705, 547, 2, Smoke::mf_static, 20, 210},	//436 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {17, 713, 550, 2, Smoke::mf_static, 33, 211},	//437 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {17, 788, 0, 0, Smoke::mf_static, 24, 212},	//438 QGlobalSpace::qCritical()
    {17, 837, 275, 2, Smoke::mf_static, 399, 213},	//439 QGlobalSpace::qPow(double, double)
    {17, 669, 553, 2, Smoke::mf_static, 365, 214},	//440 QGlobalSpace::operator/(const QPoint&, double)
    {17, 676, 556, 2, Smoke::mf_static, 20, 215},	//441 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {17, 676, 559, 2, Smoke::mf_static, 20, 216},	//442 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {17, 649, 513, 2, Smoke::mf_static, 317, 217},	//443 QGlobalSpace::operator!=(QString::Null, const QString&)
    {17, 676, 562, 2, Smoke::mf_static, 20, 218},	//444 QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    {17, 810, 44, 1, Smoke::mf_static, 412, 219},	//445 QGlobalSpace::qHash(int)
    {17, 713, 565, 2, Smoke::mf_static, 53, 220},	//446 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {17, 921, 0, 0, Smoke::mf_static, 0, 221},	//447 QGlobalSpace::qt_noop()
    {17, 688, 206, 2, Smoke::mf_static, 317, 222},	//448 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {17, 713, 568, 2, Smoke::mf_static, 97, 223},	//449 QGlobalSpace::operator|(Qt::WindowState, int)
    {17, 649, 244, 2, Smoke::mf_static, 317, 224},	//450 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {17, 705, 571, 2, Smoke::mf_static, 20, 225},	//451 QGlobalSpace::operator>>(QDataStream&, QString&)
    {17, 922, 574, 3, Smoke::mf_static, 160, 226},	//452 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {17, 676, 578, 2, Smoke::mf_static, 20, 227},	//453 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {17, 688, 496, 2, Smoke::mf_static, 317, 228},	//454 QGlobalSpace::operator==(QBool, QBool)
    {17, 790, 124, 1, Smoke::mf_static, 399, 229},	//455 QGlobalSpace::qExp(double)
    {17, 705, 581, 2, Smoke::mf_static, 20, 230},	//456 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {17, 705, 584, 2, Smoke::mf_static, 20, 231},	//457 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {17, 713, 587, 2, Smoke::mf_static, 56, 232},	//458 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {17, 688, 590, 2, Smoke::mf_static, 317, 233},	//459 QGlobalSpace::operator==(bool, QBool)
    {17, 713, 593, 2, Smoke::mf_static, 46, 234},	//460 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {17, 808, 124, 1, Smoke::mf_static, 317, 235},	//461 QGlobalSpace::qFuzzyIsNull(double)
    {17, 705, 596, 2, Smoke::mf_static, 20, 236},	//462 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {17, 929, 599, 3, Smoke::mf_static, 317, 237},	//463 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {17, 671, 161, 2, Smoke::mf_static, 317, 238},	//464 QGlobalSpace::operator<(const char*, const QString&)
    {17, 688, 603, 2, Smoke::mf_static, 317, 239},	//465 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {17, 874, 606, 3, Smoke::mf_static, 0, 240},	//466 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {17, 810, 258, 1, Smoke::mf_static, 412, 241},	//467 QGlobalSpace::qHash(QChar)
    {17, 713, 610, 2, Smoke::mf_static, 97, 242},	//468 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {17, 676, 613, 2, Smoke::mf_static, 20, 243},	//469 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {17, 649, 603, 2, Smoke::mf_static, 317, 244},	//470 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {17, 671, 135, 2, Smoke::mf_static, 317, 245},	//471 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {17, 649, 590, 2, Smoke::mf_static, 317, 246},	//472 QGlobalSpace::operator!=(bool, QBool)
    {17, 915, 616, 2, Smoke::mf_static, 0, 247},	//473 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {17, 713, 619, 2, Smoke::mf_static, 36, 248},	//474 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {17, 881, 148, 1, Smoke::mf_static, 0, 249},	//475 QGlobalSpace::qsrand(unsigned int)
    {17, 688, 622, 2, Smoke::mf_static, 317, 250},	//476 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {17, 661, 118, 2, Smoke::mf_static, 383, 251},	//477 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {17, 713, 625, 2, Smoke::mf_static, 48, 252},	//478 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {17, 713, 628, 2, Smoke::mf_static, 43, 253},	//479 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {17, 713, 631, 2, Smoke::mf_static, 41, 254},	//480 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    {17, 676, 634, 2, Smoke::mf_static, 24, 255},	//481 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {17, 713, 637, 2, Smoke::mf_static, 97, 256},	//482 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {17, 705, 640, 2, Smoke::mf_static, 20, 257},	//483 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {17, 649, 426, 2, Smoke::mf_static, 317, 258},	//484 QGlobalSpace::operator!=(const QString&, QString::Null)
    {17, 892, 3, 2, Smoke::mf_static, 401, 259},	//485 QGlobalSpace::qstricmp(const char*, const char*)
    {17, 713, 643, 2, Smoke::mf_static, 64, 260},	//486 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {17, 835, 646, 3, Smoke::mf_static, 420, 261},	//487 QGlobalSpace::qMemSet(void*, int, size_t)
    {17, 676, 650, 2, Smoke::mf_static, 24, 262},	//488 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {17, 649, 176, 2, Smoke::mf_static, 317, 263},	//489 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {17, 777, 124, 1, Smoke::mf_static, 401, 264},	//490 QGlobalSpace::qCeil(double)
    {17, 810, 653, 1, Smoke::mf_static, 412, 265},	//491 QGlobalSpace::qHash(signed char)
    {17, 713, 655, 2, Smoke::mf_static, 64, 266},	//492 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {17, 688, 233, 2, Smoke::mf_static, 317, 267},	//493 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {17, 713, 658, 2, Smoke::mf_static, 63, 268},	//494 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {17, 688, 502, 2, Smoke::mf_static, 317, 269},	//495 QGlobalSpace::operator==(const char*, const QStringRef&)
    {17, 676, 661, 2, Smoke::mf_static, 24, 270},	//496 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {17, 705, 664, 2, Smoke::mf_static, 20, 271},	//497 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {17, 713, 667, 2, Smoke::mf_static, 97, 272},	//498 QGlobalSpace::operator|(QFile::Permission, int)
    {17, 661, 329, 2, Smoke::mf_static, 365, 273},	//499 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {17, 661, 158, 2, Smoke::mf_static, 323, 274},	//500 QGlobalSpace::operator+(const QByteArray&, const char*)
    {17, 767, 516, 1, Smoke::mf_static, 0, 275},	//501 QGlobalSpace::qAddPostRoutine(void(*)())
    {17, 844, 670, 1, Smoke::mf_static, 0, 276},	//502 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {17, 658, 672, 2, Smoke::mf_static, 367, 277},	//503 QGlobalSpace::operator*(double, const QPointF&)
    {17, 859, 0, 0, Smoke::mf_static, 317, 278},	//504 QGlobalSpace::qSharedBuild()
    {17, 676, 675, 2, Smoke::mf_static, 20, 279},	//505 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {17, 676, 678, 2, Smoke::mf_static, 20, 280},	//506 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {17, 705, 681, 2, Smoke::mf_static, 20, 281},	//507 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {17, 814, 0, 0, Smoke::mf_static, 399, 282},	//508 QGlobalSpace::qInf()
    {17, 900, 185, 3, Smoke::mf_static, 401, 283},	//509 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {17, 713, 684, 2, Smoke::mf_static, 47, 284},	//510 QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    {17, 810, 687, 1, Smoke::mf_static, 412, 285},	//511 QGlobalSpace::qHash(const QStringRef&)
    {17, 705, 689, 2, Smoke::mf_static, 20, 286},	//512 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {17, 713, 692, 2, Smoke::mf_static, 97, 287},	//513 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {17, 676, 695, 2, Smoke::mf_static, 20, 288},	//514 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {17, 695, 356, 2, Smoke::mf_static, 317, 289},	//515 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {17, 688, 255, 2, Smoke::mf_static, 317, 290},	//516 QGlobalSpace::operator==(QChar, QChar)
    {17, 786, 124, 1, Smoke::mf_static, 399, 291},	//517 QGlobalSpace::qCos(double)
    {17, 831, 698, 2, Smoke::mf_static, 420, 292},	//518 QGlobalSpace::qMallocAligned(size_t, size_t)
    {17, 676, 701, 2, Smoke::mf_static, 20, 293},	//519 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {17, 661, 704, 2, Smoke::mf_static, 383, 294},	//520 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {17, 909, 707, 4, Smoke::mf_static, 0, 295},	//521 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {17, 713, 712, 2, Smoke::mf_static, 48, 296},	//522 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {17, 713, 715, 2, Smoke::mf_static, 36, 297},	//523 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {17, 661, 718, 2, Smoke::mf_static, 323, 298},	//524 QGlobalSpace::operator+(const QByteArray&, char)
    {17, 713, 721, 2, Smoke::mf_static, 97, 299},	//525 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {17, 713, 724, 2, Smoke::mf_static, 39, 300},	//526 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {17, 872, 0, 0, Smoke::mf_static, 395, 301},	//527 QGlobalSpace::qVersion()
    {17, 713, 727, 2, Smoke::mf_static, 49, 302},	//528 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {17, 661, 203, 2, Smoke::mf_static, 367, 303},	//529 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {17, 676, 730, 2, Smoke::mf_static, 20, 304},	//530 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {17, 688, 161, 2, Smoke::mf_static, 317, 305},	//531 QGlobalSpace::operator==(const char*, const QString&)
    {17, 713, 733, 2, Smoke::mf_static, 38, 306},	//532 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {17, 676, 736, 2, Smoke::mf_static, 20, 307},	//533 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {17, 713, 739, 2, Smoke::mf_static, 97, 308},	//534 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {17, 688, 453, 2, Smoke::mf_static, 317, 309},	//535 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {17, 864, 742, 2, Smoke::mf_static, 317, 310},	//536 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {17, 713, 745, 2, Smoke::mf_static, 34, 311},	//537 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {17, 676, 748, 2, Smoke::mf_static, 24, 312},	//538 QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    {17, 676, 751, 2, Smoke::mf_static, 20, 313},	//539 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {17, 661, 754, 2, Smoke::mf_static, 323, 314},	//540 QGlobalSpace::operator+(char, const QByteArray&)
    {17, 661, 757, 2, Smoke::mf_static, 383, 315},	//541 QGlobalSpace::operator+(const QString&, const char*)
    {17, 713, 760, 2, Smoke::mf_static, 97, 316},	//542 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {17, 671, 356, 2, Smoke::mf_static, 317, 317},	//543 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {17, 781, 763, 3, Smoke::mf_static, 14, 318},	//544 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {17, 781, 359, 2, Smoke::mf_static, 14, 319},	//545 QGlobalSpace::qCompress(const unsigned char*, int)
    {17, 800, 124, 1, Smoke::mf_static, 401, 320},	//546 QGlobalSpace::qFloor(double)
    {17, 713, 767, 2, Smoke::mf_static, 59, 321},	//547 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {17, 810, 69, 1, Smoke::mf_static, 412, 322},	//548 QGlobalSpace::qHash(const QString&)
    {17, 661, 85, 2, Smoke::mf_static, 383, 323},	//549 QGlobalSpace::operator+(const QString&, const QString&)
    {17, 649, 770, 2, Smoke::mf_static, 317, 324},	//550 QGlobalSpace::operator!=(QBool, bool)
    {17, 688, 356, 2, Smoke::mf_static, 317, 325},	//551 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {17, 676, 773, 2, Smoke::mf_static, 20, 326},	//552 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {17, 823, 250, 1, Smoke::mf_static, 317, 327},	//553 QGlobalSpace::qIsNaN(float)
    {17, 676, 776, 2, Smoke::mf_static, 20, 328},	//554 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {17, 713, 779, 2, Smoke::mf_static, 97, 329},	//555 QGlobalSpace::operator|(QDir::SortFlag, int)
    {17, 833, 782, 3, Smoke::mf_static, 420, 330},	//556 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {17, 802, 786, 1, Smoke::mf_static, 0, 331},	//557 QGlobalSpace::qFree(void*)
    {17, 688, 742, 2, Smoke::mf_static, 317, 332},	//558 QGlobalSpace::operator==(const QStringRef&, const char*)
    {17, 700, 161, 2, Smoke::mf_static, 317, 333},	//559 QGlobalSpace::operator>=(const char*, const QString&)
    {17, 823, 124, 1, Smoke::mf_static, 317, 334},	//560 QGlobalSpace::qIsNaN(double)
    {17, 713, 788, 2, Smoke::mf_static, 61, 335},	//561 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {17, 658, 553, 2, Smoke::mf_static, 365, 336},	//562 QGlobalSpace::operator*(const QPoint&, double)
    {17, 676, 791, 2, Smoke::mf_static, 24, 337},	//563 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    {17, 676, 794, 2, Smoke::mf_static, 24, 338},	//564 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {17, 857, 44, 1, Smoke::mf_static, 208, 339},	//565 QGlobalSpace::qSetRealNumberPrecision(int)
    {17, 880, 0, 0, Smoke::mf_static, 401, 340},	//566 QGlobalSpace::qrand()
    {17, 705, 797, 2, Smoke::mf_static, 20, 341},	//567 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {17, 810, 14, 1, Smoke::mf_static, 412, 342},	//568 QGlobalSpace::qHash(const QUrl&)
    {17, 713, 800, 2, Smoke::mf_static, 62, 343},	//569 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {17, 661, 356, 2, Smoke::mf_static, 323, 344},	//570 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {17, 658, 803, 2, Smoke::mf_static, 365, 345},	//571 QGlobalSpace::operator*(double, const QPoint&)
    {17, 676, 806, 2, Smoke::mf_static, 24, 346},	//572 QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    {17, 649, 742, 2, Smoke::mf_static, 317, 347},	//573 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {17, 860, 124, 1, Smoke::mf_static, 399, 348},	//574 QGlobalSpace::qSin(double)
    {17, 676, 809, 2, Smoke::mf_static, 24, 349},	//575 QGlobalSpace::operator<<(QDebug, const QObject*)
    {17, 676, 812, 2, Smoke::mf_static, 24, 350},	//576 QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    {17, 688, 329, 2, Smoke::mf_static, 317, 351},	//577 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {17, 713, 815, 2, Smoke::mf_static, 37, 352},	//578 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {17, 907, 6, 3, Smoke::mf_static, 0, 353},	//579 QGlobalSpace::qt_assert(const char*, const char*, int)
    {17, 705, 818, 2, Smoke::mf_static, 20, 354},	//580 QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    {17, 676, 821, 2, Smoke::mf_static, 24, 355},	//581 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {17, 894, 1, 1, Smoke::mf_static, 412, 356},	//582 QGlobalSpace::qstrlen(const char*)
    {17, 713, 824, 2, Smoke::mf_static, 46, 357},	//583 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {17, 713, 827, 2, Smoke::mf_static, 34, 358},	//584 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {17, 821, 124, 1, Smoke::mf_static, 317, 359},	//585 QGlobalSpace::qIsInf(double)
    {17, 666, 176, 2, Smoke::mf_static, 373, 360},	//586 QGlobalSpace::operator-(const QSize&, const QSize&)
    {17, 713, 830, 2, Smoke::mf_static, 43, 361},	//587 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {17, 713, 833, 2, Smoke::mf_static, 97, 362},	//588 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    {17, 669, 536, 2, Smoke::mf_static, 373, 363},	//589 QGlobalSpace::operator/(const QSize&, double)
    {17, 700, 306, 2, Smoke::mf_static, 317, 364},	//590 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {17, 713, 836, 2, Smoke::mf_static, 97, 365},	//591 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {17, 713, 839, 2, Smoke::mf_static, 97, 366},	//592 QGlobalSpace::operator|(QDir::Filter, int)
    {17, 649, 306, 2, Smoke::mf_static, 317, 367},	//593 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {17, 867, 124, 1, Smoke::mf_static, 399, 368},	//594 QGlobalSpace::qTan(double)
    {17, 850, 124, 1, Smoke::mf_static, 403, 369},	//595 QGlobalSpace::qRound64(double)
    {17, 810, 842, 1, Smoke::mf_static, 412, 370},	//596 QGlobalSpace::qHash(unsigned long)
    {17, 713, 844, 2, Smoke::mf_static, 32, 371},	//597 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {17, 852, 0, 0, Smoke::mf_static, 399, 372},	//598 QGlobalSpace::qSNaN()
    {17, 671, 255, 2, Smoke::mf_static, 317, 373},	//599 QGlobalSpace::operator<(QChar, QChar)
    {17, 713, 847, 2, Smoke::mf_static, 58, 374},	//600 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {17, 713, 850, 2, Smoke::mf_static, 51, 375},	//601 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {17, 666, 453, 2, Smoke::mf_static, 375, 376},	//602 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {17, 829, 853, 1, Smoke::mf_static, 420, 377},	//603 QGlobalSpace::qMalloc(size_t)
    {17, 825, 124, 1, Smoke::mf_static, 317, 378},	//604 QGlobalSpace::qIsNull(double)
    {17, 878, 306, 2, Smoke::mf_static, 317, 379},	//605 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {17, 713, 855, 2, Smoke::mf_static, 97, 380},	//606 QGlobalSpace::operator|(Qt::Orientation, int)
    {17, 705, 858, 2, Smoke::mf_static, 20, 381},	//607 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {17, 713, 861, 2, Smoke::mf_static, 97, 382},	//608 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {17, 705, 864, 2, Smoke::mf_static, 20, 383},	//609 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {17, 808, 250, 1, Smoke::mf_static, 317, 384},	//610 QGlobalSpace::qFuzzyIsNull(float)
    {17, 676, 867, 2, Smoke::mf_static, 20, 385},	//611 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {17, 676, 870, 2, Smoke::mf_static, 24, 386},	//612 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {17, 810, 873, 1, Smoke::mf_static, 412, 387},	//613 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {17, 713, 875, 2, Smoke::mf_static, 41, 388},	//614 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    {17, 713, 878, 2, Smoke::mf_static, 97, 389},	//615 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {17, 676, 881, 2, Smoke::mf_static, 24, 390},	//616 QGlobalSpace::operator<<(QDebug, const QTime&)
    {17, 713, 884, 2, Smoke::mf_static, 62, 391},	//617 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {17, 695, 158, 2, Smoke::mf_static, 317, 392},	//618 QGlobalSpace::operator>(const QByteArray&, const char*)
    {17, 649, 622, 2, Smoke::mf_static, 317, 393},	//619 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {17, 713, 887, 2, Smoke::mf_static, 53, 394},	//620 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {17, 649, 161, 2, Smoke::mf_static, 317, 395},	//621 QGlobalSpace::operator!=(const char*, const QString&)
    {17, 853, 44, 1, Smoke::mf_static, 208, 396},	//622 QGlobalSpace::qSetFieldWidth(int)
    {17, 864, 757, 2, Smoke::mf_static, 317, 397},	//623 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {17, 713, 890, 2, Smoke::mf_static, 63, 398},	//624 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {17, 713, 893, 2, Smoke::mf_static, 50, 399},	//625 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {17, 713, 896, 2, Smoke::mf_static, 97, 400},	//626 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {17, 671, 189, 2, Smoke::mf_static, 317, 401},	//627 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {17, 658, 899, 2, Smoke::mf_static, 375, 402},	//628 QGlobalSpace::operator*(double, const QSizeF&)
    {17, 700, 192, 2, Smoke::mf_static, 317, 403},	//629 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {17, 676, 902, 2, Smoke::mf_static, 24, 404},	//630 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {17, 810, 368, 1, Smoke::mf_static, 412, 405},	//631 QGlobalSpace::qHash(const QByteArray&)
    {17, 688, 221, 2, Smoke::mf_static, 317, 406},	//632 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {17, 810, 905, 1, Smoke::mf_static, 412, 407},	//633 QGlobalSpace::qHash(const QModelIndex&)
    {17, 688, 350, 2, Smoke::mf_static, 317, 408},	//634 QGlobalSpace::operator==(const QRect&, const QRect&)
    {17, 713, 907, 2, Smoke::mf_static, 97, 409},	//635 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {17, 713, 910, 2, Smoke::mf_static, 57, 410},	//636 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {17, 713, 913, 2, Smoke::mf_static, 54, 411},	//637 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {17, 804, 786, 1, Smoke::mf_static, 0, 412},	//638 QGlobalSpace::qFreeAligned(void*)
    {17, 713, 916, 2, Smoke::mf_static, 59, 413},	//639 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {17, 676, 919, 2, Smoke::mf_static, 24, 414},	//640 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {17, 688, 158, 2, Smoke::mf_static, 317, 415},	//641 QGlobalSpace::operator==(const QByteArray&, const char*)
    {17, 713, 922, 2, Smoke::mf_static, 97, 416},	//642 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {17, 713, 925, 2, Smoke::mf_static, 97, 417},	//643 QGlobalSpace::operator|(Qt::MouseButton, int)
    {17, 827, 124, 1, Smoke::mf_static, 399, 418},	//644 QGlobalSpace::qLn(double)
    {17, 688, 770, 2, Smoke::mf_static, 317, 419},	//645 QGlobalSpace::operator==(QBool, bool)
    {17, 649, 158, 2, Smoke::mf_static, 317, 420},	//646 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {17, 711, 326, 2, Smoke::mf_static, 11, 421},	//647 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {17, 770, 124, 1, Smoke::mf_static, 399, 422},	//648 QGlobalSpace::qAsin(double)
    {17, 705, 928, 2, Smoke::mf_static, 20, 423},	//649 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {17, 776, 0, 0, Smoke::mf_static, 0, 424},	//650 QGlobalSpace::qBadAlloc()
    {17, 713, 931, 2, Smoke::mf_static, 97, 425},	//651 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {17, 713, 934, 2, Smoke::mf_static, 97, 426},	//652 QGlobalSpace::operator|(QString::SectionFlag, int)
    {17, 713, 937, 2, Smoke::mf_static, 97, 427},	//653 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    {17, 661, 940, 2, Smoke::mf_static, 383, 428},	//654 QGlobalSpace::operator+(char, const QString&)
    {17, 676, 943, 2, Smoke::mf_static, 20, 429},	//655 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {17, 819, 250, 1, Smoke::mf_static, 317, 430},	//656 QGlobalSpace::qIsFinite(float)
    {17, 661, 453, 2, Smoke::mf_static, 375, 431},	//657 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {17, 713, 946, 2, Smoke::mf_static, 33, 432},	//658 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {17, 713, 949, 2, Smoke::mf_static, 44, 433},	//659 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {17, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 402, 434},	//660 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {17, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 402, 435},	//661 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {17, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 402, 436},	//662 QGlobalSpace::Q_STATIC_TYPE (enum)
    {17, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 402, 437},	//663 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {17, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 402, 438},	//664 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {17, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 439},	//665 QGlobalSpace::LicensedGui (enum)
    {17, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 315, 440},	//666 QGlobalSpace::LicensedXml (enum)
    {17, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 308, 441},	//667 QGlobalSpace::LicensedQt3SupportLight (enum)
    {17, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 442},	//668 QGlobalSpace::LicensedScript (enum)
    {17, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 443},	//669 QGlobalSpace::LicensedOpenVG (enum)
    {17, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 444},	//670 QGlobalSpace::LicensedDBus (enum)
    {17, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 445},	//671 QGlobalSpace::LicensedTest (enum)
    {17, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 446},	//672 QGlobalSpace::LicensedActiveQt (enum)
    {17, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 311, 447},	//673 QGlobalSpace::LicensedScriptTools (enum)
    {17, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 448},	//674 QGlobalSpace::LicensedSvg (enum)
    {17, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 449},	//675 QGlobalSpace::LicensedDeclarative (enum)
    {17, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 450},	//676 QGlobalSpace::LicensedSql (enum)
    {17, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 451},	//677 QGlobalSpace::LicensedOpenGL (enum)
    {17, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 299, 452},	//678 QGlobalSpace::LicensedCore (enum)
    {17, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 453},	//679 QGlobalSpace::QtDebugMsg (enum)
    {17, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 454},	//680 QGlobalSpace::QtWarningMsg (enum)
    {17, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 455},	//681 QGlobalSpace::QtCriticalMsg (enum)
    {17, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 456},	//682 QGlobalSpace::QtFatalMsg (enum)
    {17, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 457},	//683 QGlobalSpace::QtSystemMsg (enum)
    {17, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 458},	//684 QGlobalSpace::LicensedHelp (enum)
    {17, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 459},	//685 QGlobalSpace::LicensedMultimedia (enum)
    {17, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 309, 460},	//686 QGlobalSpace::LicensedQt3Support (enum)
    {17, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 316, 461},	//687 QGlobalSpace::LicensedXmlPatterns (enum)
    {17, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 462},	//688 QGlobalSpace::LicensedNetwork (enum)
    {19, 179, 0, 0, Smoke::mf_ctor, 74, 1},	//689 QHostAddress::QHostAddress()
    {19, 179, 148, 1, Smoke::mf_ctor, 74, 2},	//690 QHostAddress::QHostAddress(unsigned int)
    {19, 179, 952, 1, Smoke::mf_ctor, 74, 3},	//691 QHostAddress::QHostAddress(unsigned char*)
    {19, 179, 954, 1, Smoke::mf_ctor, 74, 4},	//692 QHostAddress::QHostAddress(const QIPv6Address&)
    {19, 179, 956, 1, Smoke::mf_ctor, 74, 5},	//693 QHostAddress::QHostAddress(const sockaddr*)
    {19, 179, 69, 1, Smoke::mf_ctor, 74, 6},	//694 QHostAddress::QHostAddress(const QString&)
    {19, 179, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 74, 7},	//695 QHostAddress::QHostAddress(const QHostAddress&)
    {19, 179, 958, 1, Smoke::mf_ctor, 74, 8},	//696 QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    {19, 685, 67, 1, 0, 73, 9},	//697 QHostAddress::operator=(const QHostAddress&)
    {19, 685, 69, 1, 0, 73, 10},	//698 QHostAddress::operator=(const QString&)
    {19, 994, 148, 1, 0, 0, 11},	//699 QHostAddress::setAddress(unsigned int)
    {19, 994, 952, 1, 0, 0, 12},	//700 QHostAddress::setAddress(unsigned char*)
    {19, 994, 954, 1, 0, 0, 13},	//701 QHostAddress::setAddress(const QIPv6Address&)
    {19, 994, 956, 1, 0, 0, 14},	//702 QHostAddress::setAddress(const sockaddr*)
    {19, 994, 69, 1, 0, 317, 15},	//703 QHostAddress::setAddress(const QString&)
    {19, 751, 0, 0, Smoke::mf_const, 4, 16},	//704 QHostAddress::protocol() const
    {19, 1232, 0, 0, Smoke::mf_const, 412, 17},	//705 QHostAddress::toIPv4Address() const
    {19, 1233, 0, 0, Smoke::mf_const, 95, 18},	//706 QHostAddress::toIPv6Address() const
    {19, 1238, 0, 0, Smoke::mf_const, 195, 19},	//707 QHostAddress::toString() const
    {19, 983, 0, 0, Smoke::mf_const, 195, 20},	//708 QHostAddress::scopeId() const
    {19, 1154, 69, 1, 0, 0, 21},	//709 QHostAddress::setScopeId(const QString&)
    {19, 688, 67, 1, Smoke::mf_const, 317, 22},	//710 QHostAddress::operator==(const QHostAddress&) const
    {19, 688, 958, 1, Smoke::mf_const, 317, 23},	//711 QHostAddress::operator==(QHostAddress::SpecialAddress) const
    {19, 649, 67, 1, Smoke::mf_const, 317, 24},	//712 QHostAddress::operator!=(const QHostAddress&) const
    {19, 649, 958, 1, Smoke::mf_const, 317, 25},	//713 QHostAddress::operator!=(QHostAddress::SpecialAddress) const
    {19, 584, 0, 0, Smoke::mf_const, 317, 26},	//714 QHostAddress::isNull() const
    {19, 427, 0, 0, 0, 0, 27},	//715 QHostAddress::clear()
    {19, 580, 960, 2, Smoke::mf_const, 317, 28},	//716 QHostAddress::isInSubnet(const QHostAddress&, int) const
    {19, 580, 963, 1, Smoke::mf_const, 317, 29},	//717 QHostAddress::isInSubnet(const QPair<QHostAddress,int>&) const
    {19, 724, 69, 1, Smoke::mf_static, 162, 30},	//718 QHostAddress::parseSubnet(const QString&)
    {19, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 31},	//719 QHostAddress::Null (enum)
    {19, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 32},	//720 QHostAddress::Broadcast (enum)
    {19, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 33},	//721 QHostAddress::LocalHost (enum)
    {19, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 34},	//722 QHostAddress::LocalHostIPv6 (enum)
    {19, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 35},	//723 QHostAddress::Any (enum)
    {19, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 36},	//724 QHostAddress::AnyIPv6 (enum)
    {19, 1281, 0, 0, Smoke::mf_dtor, 0, 37 },	//725 QHostAddress::~QHostAddress()
    {20, 182, 44, 1, Smoke::mf_ctor, 78, 1},	//726 QHostInfo::QHostInfo(int)
    {20, 182, 965, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 78, 2},	//727 QHostInfo::QHostInfo(const QHostInfo&)
    {20, 685, 965, 1, 0, 77, 3},	//728 QHostInfo::operator=(const QHostInfo&)
    {20, 558, 0, 0, Smoke::mf_const, 195, 4},	//729 QHostInfo::hostName() const
    {20, 1059, 69, 1, 0, 0, 5},	//730 QHostInfo::setHostName(const QString&)
    {20, 390, 0, 0, Smoke::mf_const, 103, 6},	//731 QHostInfo::addresses() const
    {20, 997, 967, 1, 0, 0, 7},	//732 QHostInfo::setAddresses(const QList<QHostAddress>&)
    {20, 505, 0, 0, Smoke::mf_const, 79, 8},	//733 QHostInfo::error() const
    {20, 1042, 969, 1, 0, 0, 9},	//734 QHostInfo::setError(QHostInfo::HostInfoError)
    {20, 507, 0, 0, Smoke::mf_const, 195, 10},	//735 QHostInfo::errorString() const
    {20, 1045, 69, 1, 0, 0, 11},	//736 QHostInfo::setErrorString(const QString&)
    {20, 1077, 44, 1, 0, 0, 12},	//737 QHostInfo::setLookupId(int)
    {20, 623, 0, 0, Smoke::mf_const, 401, 13},	//738 QHostInfo::lookupId() const
    {20, 621, 971, 3, Smoke::mf_static, 401, 14},	//739 QHostInfo::lookupHost(const QString&, QObject*, const char*)
    {20, 368, 44, 1, Smoke::mf_static, 0, 15},	//740 QHostInfo::abortHostLookup(int)
    {20, 525, 69, 1, Smoke::mf_static, 76, 16},	//741 QHostInfo::fromName(const QString&)
    {20, 616, 0, 0, Smoke::mf_static, 195, 17},	//742 QHostInfo::localHostName()
    {20, 615, 0, 0, Smoke::mf_static, 195, 18},	//743 QHostInfo::localDomainName()
    {20, 182, 0, 0, Smoke::mf_ctor, 78, 19},	//744 QHostInfo::QHostInfo()
    {20, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 20},	//745 QHostInfo::NoError (enum)
    {20, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 21},	//746 QHostInfo::HostNotFound (enum)
    {20, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 22},	//747 QHostInfo::UnknownError (enum)
    {20, 1282, 0, 0, Smoke::mf_dtor, 0, 23 },	//748 QHostInfo::~QHostInfo()
    {21, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 1},	//749 QHttp::metaObject() const
    {21, 919, 1, 1, Smoke::mf_virtual, 420, 2},	//750 QHttp::qt_metacast(const char*)
    {21, 1239, 3, 2, Smoke::mf_static, 195, 3},	//751 QHttp::tr(const char*, const char*)
    {21, 1243, 3, 2, Smoke::mf_static, 195, 4},	//752 QHttp::trUtf8(const char*, const char*)
    {21, 1239, 6, 3, Smoke::mf_static, 195, 5},	//753 QHttp::tr(const char*, const char*, int)
    {21, 1243, 6, 3, Smoke::mf_static, 195, 6},	//754 QHttp::trUtf8(const char*, const char*, int)
    {21, 917, 10, 3, Smoke::mf_virtual, 401, 7},	//755 QHttp::qt_metacall(QMetaObject::Call, int, void**)
    {21, 185, 20, 1, Smoke::mf_ctor, 80, 8},	//756 QHttp::QHttp(QObject*)
    {21, 185, 975, 3, Smoke::mf_ctor, 80, 9},	//757 QHttp::QHttp(const QString&, unsigned short, QObject*)
    {21, 185, 979, 4, Smoke::mf_ctor, 80, 10},	//758 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short, QObject*)
    {21, 1055, 71, 2, 0, 401, 11},	//759 QHttp::setHost(const QString&, unsigned short)
    {21, 1055, 984, 3, 0, 401, 12},	//760 QHttp::setHost(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1160, 988, 1, 0, 401, 13},	//761 QHttp::setSocket(QTcpSocket*)
    {21, 1192, 85, 2, 0, 401, 14},	//762 QHttp::setUser(const QString&, const QString&)
    {21, 1130, 990, 4, 0, 401, 15},	//763 QHttp::setProxy(const QString&, int, const QString&, const QString&)
    {21, 1130, 46, 1, 0, 401, 16},	//764 QHttp::setProxy(const QNetworkProxy&)
    {21, 532, 115, 2, 0, 401, 17},	//765 QHttp::get(const QString&, QIODevice*)
    {21, 742, 995, 3, 0, 401, 18},	//766 QHttp::post(const QString&, QIODevice*, QIODevice*)
    {21, 742, 999, 3, 0, 401, 19},	//767 QHttp::post(const QString&, const QByteArray&, QIODevice*)
    {21, 552, 69, 1, 0, 401, 20},	//768 QHttp::head(const QString&)
    {21, 969, 1003, 3, 0, 401, 21},	//769 QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    {21, 969, 1007, 3, 0, 401, 22},	//770 QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    {21, 431, 0, 0, 0, 401, 23},	//771 QHttp::closeConnection()
    {21, 430, 0, 0, 0, 401, 24},	//772 QHttp::close()
    {21, 414, 0, 0, Smoke::mf_const, 403, 25},	//773 QHttp::bytesAvailable() const
    {21, 942, 59, 2, 0, 403, 26},	//774 QHttp::read(char*, long long)
    {21, 944, 0, 0, 0, 14, 27},	//775 QHttp::readAll()
    {21, 466, 0, 0, Smoke::mf_const, 401, 28},	//776 QHttp::currentId() const
    {21, 468, 0, 0, Smoke::mf_const, 92, 29},	//777 QHttp::currentSourceDevice() const
    {21, 464, 0, 0, Smoke::mf_const, 92, 30},	//778 QHttp::currentDestinationDevice() const
    {21, 467, 0, 0, Smoke::mf_const, 86, 31},	//779 QHttp::currentRequest() const
    {21, 601, 0, 0, Smoke::mf_const, 89, 32},	//780 QHttp::lastResponse() const
    {21, 549, 0, 0, Smoke::mf_const, 317, 33},	//781 QHttp::hasPendingRequests() const
    {21, 429, 0, 0, 0, 0, 34},	//782 QHttp::clearPendingRequests()
    {21, 1215, 0, 0, Smoke::mf_const, 83, 35},	//783 QHttp::state() const
    {21, 505, 0, 0, Smoke::mf_const, 82, 36},	//784 QHttp::error() const
    {21, 507, 0, 0, Smoke::mf_const, 195, 37},	//785 QHttp::errorString() const
    {21, 367, 0, 0, Smoke::mf_slot, 0, 38},	//786 QHttp::abort()
    {21, 560, 0, 0, Smoke::mf_slot, 0, 39},	//787 QHttp::ignoreSslErrors()
    {21, 1216, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//788 QHttp::stateChanged(int)
    {21, 978, 1011, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//789 QHttp::responseHeaderReceived(const QHttpResponseHeader&)
    {21, 954, 1011, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//790 QHttp::readyRead(const QHttpResponseHeader&)
    {21, 474, 1013, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//791 QHttp::dataSendProgress(int, int)
    {21, 472, 1013, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//792 QHttp::dataReadProgress(int, int)
    {21, 975, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//793 QHttp::requestStarted(int)
    {21, 973, 110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//794 QHttp::requestFinished(int, bool)
    {21, 492, 113, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//795 QHttp::done(bool)
    {21, 755, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//796 QHttp::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {21, 405, 1016, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//797 QHttp::authenticationRequired(const QString&, quint16, QAuthenticator*)
    {21, 1210, 1020, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//798 QHttp::sslErrors(const QList<QSslError>&)
    {21, 1239, 1, 1, Smoke::mf_static, 195, 51},	//799 QHttp::tr(const char*)
    {21, 1243, 1, 1, Smoke::mf_static, 195, 52},	//800 QHttp::trUtf8(const char*)
    {21, 185, 0, 0, Smoke::mf_ctor, 80, 53},	//801 QHttp::QHttp()
    {21, 185, 69, 1, Smoke::mf_ctor, 80, 54},	//802 QHttp::QHttp(const QString&)
    {21, 185, 71, 2, Smoke::mf_ctor, 80, 55},	//803 QHttp::QHttp(const QString&, unsigned short)
    {21, 185, 1022, 2, Smoke::mf_ctor, 80, 56},	//804 QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    {21, 185, 984, 3, Smoke::mf_ctor, 80, 57},	//805 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1055, 69, 1, 0, 401, 58},	//806 QHttp::setHost(const QString&)
    {21, 1055, 1022, 2, 0, 401, 59},	//807 QHttp::setHost(const QString&, QHttp::ConnectionMode)
    {21, 1192, 69, 1, 0, 401, 60},	//808 QHttp::setUser(const QString&)
    {21, 1130, 1025, 2, 0, 401, 61},	//809 QHttp::setProxy(const QString&, int)
    {21, 1130, 1028, 3, 0, 401, 62},	//810 QHttp::setProxy(const QString&, int, const QString&)
    {21, 532, 69, 1, 0, 401, 63},	//811 QHttp::get(const QString&)
    {21, 742, 115, 2, 0, 401, 64},	//812 QHttp::post(const QString&, QIODevice*)
    {21, 742, 704, 2, 0, 401, 65},	//813 QHttp::post(const QString&, const QByteArray&)
    {21, 969, 1032, 1, 0, 401, 66},	//814 QHttp::request(const QHttpRequestHeader&)
    {21, 969, 1034, 2, 0, 401, 67},	//815 QHttp::request(const QHttpRequestHeader&, QIODevice*)
    {21, 969, 1037, 2, 0, 401, 68},	//816 QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    {21, 1218, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 69},	//817 QHttp::staticMetaObject() const
    {21, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 70},	//818 QHttp::ConnectionModeHttp (enum)
    {21, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 71},	//819 QHttp::ConnectionModeHttps (enum)
    {21, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 72},	//820 QHttp::Unconnected (enum)
    {21, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 73},	//821 QHttp::HostLookup (enum)
    {21, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 74},	//822 QHttp::Connecting (enum)
    {21, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 75},	//823 QHttp::Sending (enum)
    {21, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 76},	//824 QHttp::Reading (enum)
    {21, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 77},	//825 QHttp::Connected (enum)
    {21, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 78},	//826 QHttp::Closing (enum)
    {21, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 79},	//827 QHttp::NoError (enum)
    {21, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 80},	//828 QHttp::UnknownError (enum)
    {21, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 81},	//829 QHttp::HostNotFound (enum)
    {21, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 82},	//830 QHttp::ConnectionRefused (enum)
    {21, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 83},	//831 QHttp::UnexpectedClose (enum)
    {21, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 84},	//832 QHttp::InvalidResponseHeader (enum)
    {21, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 85},	//833 QHttp::WrongContentLength (enum)
    {21, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 86},	//834 QHttp::Aborted (enum)
    {21, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 87},	//835 QHttp::AuthenticationRequiredError (enum)
    {21, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 88},	//836 QHttp::ProxyAuthenticationRequiredError (enum)
    {21, 1283, 0, 0, Smoke::mf_dtor, 0, 89 },	//837 QHttp::~QHttp()
    {22, 192, 0, 0, Smoke::mf_ctor, 85, 1},	//838 QHttpHeader::QHttpHeader()
    {22, 192, 1040, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 85, 2},	//839 QHttpHeader::QHttpHeader(const QHttpHeader&)
    {22, 192, 69, 1, Smoke::mf_ctor, 85, 3},	//840 QHttpHeader::QHttpHeader(const QString&)
    {22, 685, 1040, 1, 0, 84, 4},	//841 QHttpHeader::operator=(const QHttpHeader&)
    {22, 1197, 85, 2, 0, 0, 5},	//842 QHttpHeader::setValue(const QString&, const QString&)
    {22, 1200, 1042, 1, 0, 0, 6},	//843 QHttpHeader::setValues(const QList<QPair<QString,QString> >&)
    {22, 387, 85, 2, 0, 0, 7},	//844 QHttpHeader::addValue(const QString&, const QString&)
    {22, 1257, 0, 0, Smoke::mf_const, 109, 8},	//845 QHttpHeader::values() const
    {22, 544, 69, 1, Smoke::mf_const, 317, 9},	//846 QHttpHeader::hasKey(const QString&) const
    {22, 598, 0, 0, Smoke::mf_const, 199, 10},	//847 QHttpHeader::keys() const
    {22, 1255, 69, 1, Smoke::mf_const, 195, 11},	//848 QHttpHeader::value(const QString&) const
    {22, 395, 69, 1, Smoke::mf_const, 199, 12},	//849 QHttpHeader::allValues(const QString&) const
    {22, 965, 69, 1, 0, 0, 13},	//850 QHttpHeader::removeValue(const QString&)
    {22, 961, 69, 1, 0, 0, 14},	//851 QHttpHeader::removeAllValues(const QString&)
    {22, 542, 0, 0, Smoke::mf_const, 317, 15},	//852 QHttpHeader::hasContentLength() const
    {22, 455, 0, 0, Smoke::mf_const, 412, 16},	//853 QHttpHeader::contentLength() const
    {22, 1024, 44, 1, 0, 0, 17},	//854 QHttpHeader::setContentLength(int)
    {22, 543, 0, 0, Smoke::mf_const, 317, 18},	//855 QHttpHeader::hasContentType() const
    {22, 456, 0, 0, Smoke::mf_const, 195, 19},	//856 QHttpHeader::contentType() const
    {22, 1026, 69, 1, 0, 0, 20},	//857 QHttpHeader::setContentType(const QString&)
    {22, 1238, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 21},	//858 QHttpHeader::toString() const
    {22, 592, 0, 0, Smoke::mf_const, 317, 22},	//859 QHttpHeader::isValid() const
    {22, 624, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 401, 23},	//860 QHttpHeader::majorVersion() const [pure virtual]
    {22, 633, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 401, 24},	//861 QHttpHeader::minorVersion() const [pure virtual]
    {22, 722, 1025, 2, Smoke::mf_protected|Smoke::mf_virtual, 317, 25},	//862 QHttpHeader::parseLine(const QString&, int)
    {22, 718, 69, 1, Smoke::mf_protected, 317, 26},	//863 QHttpHeader::parse(const QString&)
    {22, 1195, 113, 1, Smoke::mf_protected, 0, 27},	//864 QHttpHeader::setValid(bool)
    {22, 1284, 0, 0, Smoke::mf_dtor, 0, 28 },	//865 QHttpHeader::~QHttpHeader()
    {23, 195, 0, 0, Smoke::mf_ctor, 88, 1},	//866 QHttpRequestHeader::QHttpRequestHeader()
    {23, 195, 1044, 4, Smoke::mf_ctor, 88, 2},	//867 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int, int)
    {23, 195, 1032, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 3},	//868 QHttpRequestHeader::QHttpRequestHeader(const QHttpRequestHeader&)
    {23, 195, 69, 1, Smoke::mf_ctor, 88, 4},	//869 QHttpRequestHeader::QHttpRequestHeader(const QString&)
    {23, 685, 1032, 1, 0, 87, 5},	//870 QHttpRequestHeader::operator=(const QHttpRequestHeader&)
    {23, 1147, 1044, 4, 0, 0, 6},	//871 QHttpRequestHeader::setRequest(const QString&, const QString&, int, int)
    {23, 632, 0, 0, Smoke::mf_const, 195, 7},	//872 QHttpRequestHeader::method() const
    {23, 727, 0, 0, Smoke::mf_const, 195, 8},	//873 QHttpRequestHeader::path() const
    {23, 624, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 401, 9},	//874 QHttpRequestHeader::majorVersion() const
    {23, 633, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 401, 10},	//875 QHttpRequestHeader::minorVersion() const
    {23, 1238, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 11},	//876 QHttpRequestHeader::toString() const
    {23, 722, 1025, 2, Smoke::mf_protected|Smoke::mf_virtual, 317, 12},	//877 QHttpRequestHeader::parseLine(const QString&, int)
    {23, 195, 85, 2, Smoke::mf_ctor, 88, 13},	//878 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&)
    {23, 195, 1049, 3, Smoke::mf_ctor, 88, 14},	//879 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int)
    {23, 1147, 85, 2, 0, 0, 15},	//880 QHttpRequestHeader::setRequest(const QString&, const QString&)
    {23, 1147, 1049, 3, 0, 0, 16},	//881 QHttpRequestHeader::setRequest(const QString&, const QString&, int)
    {23, 1285, 0, 0, Smoke::mf_dtor, 0, 17 },	//882 QHttpRequestHeader::~QHttpRequestHeader()
    {24, 201, 0, 0, Smoke::mf_ctor, 91, 1},	//883 QHttpResponseHeader::QHttpResponseHeader()
    {24, 201, 1011, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 91, 2},	//884 QHttpResponseHeader::QHttpResponseHeader(const QHttpResponseHeader&)
    {24, 201, 69, 1, Smoke::mf_ctor, 91, 3},	//885 QHttpResponseHeader::QHttpResponseHeader(const QString&)
    {24, 201, 1053, 4, Smoke::mf_ctor, 91, 4},	//886 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int, int)
    {24, 685, 1011, 1, 0, 90, 5},	//887 QHttpResponseHeader::operator=(const QHttpResponseHeader&)
    {24, 1177, 1053, 4, 0, 0, 6},	//888 QHttpResponseHeader::setStatusLine(int, const QString&, int, int)
    {24, 1219, 0, 0, Smoke::mf_const, 401, 7},	//889 QHttpResponseHeader::statusCode() const
    {24, 957, 0, 0, Smoke::mf_const, 195, 8},	//890 QHttpResponseHeader::reasonPhrase() const
    {24, 624, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 401, 9},	//891 QHttpResponseHeader::majorVersion() const
    {24, 633, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 401, 10},	//892 QHttpResponseHeader::minorVersion() const
    {24, 1238, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 11},	//893 QHttpResponseHeader::toString() const
    {24, 722, 1025, 2, Smoke::mf_protected|Smoke::mf_virtual, 317, 12},	//894 QHttpResponseHeader::parseLine(const QString&, int)
    {24, 201, 44, 1, Smoke::mf_ctor, 91, 13},	//895 QHttpResponseHeader::QHttpResponseHeader(int)
    {24, 201, 107, 2, Smoke::mf_ctor, 91, 14},	//896 QHttpResponseHeader::QHttpResponseHeader(int, const QString&)
    {24, 201, 1058, 3, Smoke::mf_ctor, 91, 15},	//897 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int)
    {24, 1177, 44, 1, 0, 0, 16},	//898 QHttpResponseHeader::setStatusLine(int)
    {24, 1177, 107, 2, 0, 0, 17},	//899 QHttpResponseHeader::setStatusLine(int, const QString&)
    {24, 1177, 1058, 3, 0, 0, 18},	//900 QHttpResponseHeader::setStatusLine(int, const QString&, int)
    {24, 1286, 0, 0, Smoke::mf_dtor, 0, 19 },	//901 QHttpResponseHeader::~QHttpResponseHeader()
    {25, 647, 1062, 1, Smoke::mf_virtual, 317, 0},	//902 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {25, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 0},	//903 QIODevice::pos() const
    {25, 1204, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 0},	//904 QIODevice::size() const
    {25, 984, 33, 1, Smoke::mf_virtual, 317, 0},	//905 QIODevice::seek(long long)
    {25, 399, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 0},	//906 QIODevice::atEnd() const
    {25, 977, 0, 0, Smoke::mf_virtual, 317, 0},	//907 QIODevice::reset()
    {25, 414, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 0},	//908 QIODevice::bytesAvailable() const
    {25, 415, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 0},	//909 QIODevice::bytesToWrite() const
    {25, 420, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 0},	//910 QIODevice::canReadLine() const
    {25, 1270, 44, 1, Smoke::mf_virtual, 317, 0},	//911 QIODevice::waitForReadyRead(int)
    {25, 1259, 44, 1, Smoke::mf_virtual, 317, 0},	//912 QIODevice::waitForBytesWritten(int)
    {25, 946, 59, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 403, 0},	//913 QIODevice::readData(char*, long long) [pure virtual]
    {25, 952, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 0},	//914 QIODevice::readLineData(char*, long long)
    {25, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 14},	//915 QIODevice::NotOpen (enum)
    {25, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 15},	//916 QIODevice::ReadOnly (enum)
    {25, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 16},	//917 QIODevice::WriteOnly (enum)
    {25, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 17},	//918 QIODevice::ReadWrite (enum)
    {25, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 18},	//919 QIODevice::Append (enum)
    {25, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 19},	//920 QIODevice::Truncate (enum)
    {25, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 20},	//921 QIODevice::Text (enum)
    {25, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 21},	//922 QIODevice::Unbuffered (enum)
    {26, 709, 44, 1, 0, 410, 1},	//923 QIPv6Address::operator[](int)
    {26, 709, 44, 1, Smoke::mf_const, 409, 2},	//924 QIPv6Address::operator[](int) const
    {26, 207, 0, 0, Smoke::mf_ctor, 96, 3},	//925 QIPv6Address::QIPv6Address()
    {26, 207, 954, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 4},	//926 QIPv6Address::QIPv6Address(const QIPv6Address&)
    {26, 1287, 0, 0, Smoke::mf_dtor, 0, 5 },	//927 QIPv6Address::~QIPv6Address()
    {31, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 1},	//928 QLocalServer::metaObject() const
    {31, 919, 1, 1, Smoke::mf_virtual, 420, 2},	//929 QLocalServer::qt_metacast(const char*)
    {31, 1239, 3, 2, Smoke::mf_static, 195, 3},	//930 QLocalServer::tr(const char*, const char*)
    {31, 1243, 3, 2, Smoke::mf_static, 195, 4},	//931 QLocalServer::trUtf8(const char*, const char*)
    {31, 1239, 6, 3, Smoke::mf_static, 195, 5},	//932 QLocalServer::tr(const char*, const char*, int)
    {31, 1243, 6, 3, Smoke::mf_static, 195, 6},	//933 QLocalServer::trUtf8(const char*, const char*, int)
    {31, 917, 10, 3, Smoke::mf_virtual, 401, 7},	//934 QLocalServer::qt_metacall(QMetaObject::Call, int, void**)
    {31, 645, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//935 QLocalServer::newConnection()
    {31, 209, 20, 1, Smoke::mf_ctor, 114, 9},	//936 QLocalServer::QLocalServer(QObject*)
    {31, 430, 0, 0, 0, 0, 10},	//937 QLocalServer::close()
    {31, 507, 0, 0, Smoke::mf_const, 195, 11},	//938 QLocalServer::errorString() const
    {31, 547, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 12},	//939 QLocalServer::hasPendingConnections() const
    {31, 583, 0, 0, Smoke::mf_const, 317, 13},	//940 QLocalServer::isListening() const
    {31, 609, 69, 1, 0, 317, 14},	//941 QLocalServer::listen(const QString&)
    {31, 626, 0, 0, Smoke::mf_const, 401, 15},	//942 QLocalServer::maxPendingConnections() const
    {31, 646, 0, 0, Smoke::mf_virtual, 115, 16},	//943 QLocalServer::nextPendingConnection()
    {31, 991, 0, 0, Smoke::mf_const, 195, 17},	//944 QLocalServer::serverName() const
    {31, 531, 0, 0, Smoke::mf_const, 195, 18},	//945 QLocalServer::fullServerName() const
    {31, 963, 69, 1, Smoke::mf_static, 317, 19},	//946 QLocalServer::removeServer(const QString&)
    {31, 990, 0, 0, Smoke::mf_const, 5, 20},	//947 QLocalServer::serverError() const
    {31, 1079, 44, 1, 0, 0, 21},	//948 QLocalServer::setMaxPendingConnections(int)
    {31, 1267, 1064, 2, 0, 317, 22},	//949 QLocalServer::waitForNewConnection(int, bool*)
    {31, 562, 1067, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//950 QLocalServer::incomingConnection(QIntegerForSizeof< void* >::Unsigned)
    {31, 1239, 1, 1, Smoke::mf_static, 195, 24},	//951 QLocalServer::tr(const char*)
    {31, 1243, 1, 1, Smoke::mf_static, 195, 25},	//952 QLocalServer::trUtf8(const char*)
    {31, 209, 0, 0, Smoke::mf_ctor, 114, 26},	//953 QLocalServer::QLocalServer()
    {31, 1267, 0, 0, 0, 317, 27},	//954 QLocalServer::waitForNewConnection()
    {31, 1267, 44, 1, 0, 317, 28},	//955 QLocalServer::waitForNewConnection(int)
    {31, 1218, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 29},	//956 QLocalServer::staticMetaObject() const
    {31, 1288, 0, 0, Smoke::mf_dtor, 0, 30 },	//957 QLocalServer::~QLocalServer()
    {32, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 1},	//958 QLocalSocket::metaObject() const
    {32, 919, 1, 1, Smoke::mf_virtual, 420, 2},	//959 QLocalSocket::qt_metacast(const char*)
    {32, 1239, 3, 2, Smoke::mf_static, 195, 3},	//960 QLocalSocket::tr(const char*, const char*)
    {32, 1243, 3, 2, Smoke::mf_static, 195, 4},	//961 QLocalSocket::trUtf8(const char*, const char*)
    {32, 1239, 6, 3, Smoke::mf_static, 195, 5},	//962 QLocalSocket::tr(const char*, const char*, int)
    {32, 1243, 6, 3, Smoke::mf_static, 195, 6},	//963 QLocalSocket::trUtf8(const char*, const char*, int)
    {32, 917, 10, 3, Smoke::mf_virtual, 401, 7},	//964 QLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {32, 211, 20, 1, Smoke::mf_ctor, 115, 8},	//965 QLocalSocket::QLocalSocket(QObject*)
    {32, 451, 1069, 2, 0, 0, 9},	//966 QLocalSocket::connectToServer(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {32, 488, 0, 0, 0, 0, 10},	//967 QLocalSocket::disconnectFromServer()
    {32, 991, 0, 0, Smoke::mf_const, 195, 11},	//968 QLocalSocket::serverName() const
    {32, 531, 0, 0, Smoke::mf_const, 195, 12},	//969 QLocalSocket::fullServerName() const
    {32, 367, 0, 0, 0, 0, 13},	//970 QLocalSocket::abort()
    {32, 588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 14},	//971 QLocalSocket::isSequential() const
    {32, 414, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 15},	//972 QLocalSocket::bytesAvailable() const
    {32, 415, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 16},	//973 QLocalSocket::bytesToWrite() const
    {32, 420, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 17},	//974 QLocalSocket::canReadLine() const
    {32, 430, 0, 0, Smoke::mf_virtual, 0, 18},	//975 QLocalSocket::close()
    {32, 505, 0, 0, Smoke::mf_const, 116, 19},	//976 QLocalSocket::error() const
    {32, 518, 0, 0, 0, 317, 20},	//977 QLocalSocket::flush()
    {32, 592, 0, 0, Smoke::mf_const, 317, 21},	//978 QLocalSocket::isValid() const
    {32, 945, 0, 0, Smoke::mf_const, 403, 22},	//979 QLocalSocket::readBufferSize() const
    {32, 1143, 33, 1, 0, 0, 23},	//980 QLocalSocket::setReadBufferSize(long long)
    {32, 1162, 1072, 3, 0, 317, 24},	//981 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>)
    {32, 1205, 0, 0, Smoke::mf_const, 98, 25},	//982 QLocalSocket::socketDescriptor() const
    {32, 1215, 0, 0, Smoke::mf_const, 117, 26},	//983 QLocalSocket::state() const
    {32, 1259, 44, 1, Smoke::mf_virtual, 317, 27},	//984 QLocalSocket::waitForBytesWritten(int)
    {32, 1261, 44, 1, 0, 317, 28},	//985 QLocalSocket::waitForConnected(int)
    {32, 1263, 44, 1, 0, 317, 29},	//986 QLocalSocket::waitForDisconnected(int)
    {32, 1270, 44, 1, Smoke::mf_virtual, 317, 30},	//987 QLocalSocket::waitForReadyRead(int)
    {32, 454, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//988 QLocalSocket::connected()
    {32, 490, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//989 QLocalSocket::disconnected()
    {32, 505, 1076, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//990 QLocalSocket::error(QLocalSocket::LocalSocketError)
    {32, 1216, 1078, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//991 QLocalSocket::stateChanged(QLocalSocket::LocalSocketState)
    {32, 946, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 35},	//992 QLocalSocket::readData(char*, long long)
    {32, 1272, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 36},	//993 QLocalSocket::writeData(const char*, long long)
    {32, 1239, 1, 1, Smoke::mf_static, 195, 37},	//994 QLocalSocket::tr(const char*)
    {32, 1243, 1, 1, Smoke::mf_static, 195, 38},	//995 QLocalSocket::trUtf8(const char*)
    {32, 211, 0, 0, Smoke::mf_ctor, 115, 39},	//996 QLocalSocket::QLocalSocket()
    {32, 451, 69, 1, 0, 0, 40},	//997 QLocalSocket::connectToServer(const QString&)
    {32, 1162, 1067, 1, 0, 317, 41},	//998 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned)
    {32, 1162, 1080, 2, 0, 317, 42},	//999 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState)
    {32, 1259, 0, 0, 0, 317, 43},	//1000 QLocalSocket::waitForBytesWritten()
    {32, 1261, 0, 0, 0, 317, 44},	//1001 QLocalSocket::waitForConnected()
    {32, 1263, 0, 0, 0, 317, 45},	//1002 QLocalSocket::waitForDisconnected()
    {32, 1270, 0, 0, 0, 317, 46},	//1003 QLocalSocket::waitForReadyRead()
    {32, 1218, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 47},	//1004 QLocalSocket::staticMetaObject() const
    {32, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 48},	//1005 QLocalSocket::ConnectionRefusedError (enum)
    {32, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 49},	//1006 QLocalSocket::PeerClosedError (enum)
    {32, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 50},	//1007 QLocalSocket::ServerNotFoundError (enum)
    {32, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 51},	//1008 QLocalSocket::SocketAccessError (enum)
    {32, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 52},	//1009 QLocalSocket::SocketResourceError (enum)
    {32, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 53},	//1010 QLocalSocket::SocketTimeoutError (enum)
    {32, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 54},	//1011 QLocalSocket::DatagramTooLargeError (enum)
    {32, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 55},	//1012 QLocalSocket::ConnectionError (enum)
    {32, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 56},	//1013 QLocalSocket::UnsupportedSocketOperationError (enum)
    {32, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 57},	//1014 QLocalSocket::UnknownSocketError (enum)
    {32, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 58},	//1015 QLocalSocket::UnconnectedState (enum)
    {32, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 59},	//1016 QLocalSocket::ConnectingState (enum)
    {32, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 60},	//1017 QLocalSocket::ConnectedState (enum)
    {32, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 61},	//1018 QLocalSocket::ClosingState (enum)
    {32, 1289, 0, 0, Smoke::mf_dtor, 0, 62 },	//1019 QLocalSocket::~QLocalSocket()
    {37, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 1},	//1020 QNetworkAccessManager::metaObject() const
    {37, 919, 1, 1, Smoke::mf_virtual, 420, 2},	//1021 QNetworkAccessManager::qt_metacast(const char*)
    {37, 1239, 3, 2, Smoke::mf_static, 195, 3},	//1022 QNetworkAccessManager::tr(const char*, const char*)
    {37, 1243, 3, 2, Smoke::mf_static, 195, 4},	//1023 QNetworkAccessManager::trUtf8(const char*, const char*)
    {37, 1239, 6, 3, Smoke::mf_static, 195, 5},	//1024 QNetworkAccessManager::tr(const char*, const char*, int)
    {37, 1243, 6, 3, Smoke::mf_static, 195, 6},	//1025 QNetworkAccessManager::trUtf8(const char*, const char*, int)
    {37, 917, 10, 3, Smoke::mf_virtual, 401, 7},	//1026 QNetworkAccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {37, 213, 20, 1, Smoke::mf_ctor, 122, 8},	//1027 QNetworkAccessManager::QNetworkAccessManager(QObject*)
    {37, 754, 0, 0, Smoke::mf_const, 141, 9},	//1028 QNetworkAccessManager::proxy() const
    {37, 1130, 46, 1, 0, 0, 10},	//1029 QNetworkAccessManager::setProxy(const QNetworkProxy&)
    {37, 757, 0, 0, Smoke::mf_const, 146, 11},	//1030 QNetworkAccessManager::proxyFactory() const
    {37, 1135, 1083, 1, 0, 0, 12},	//1031 QNetworkAccessManager::setProxyFactory(QNetworkProxyFactory*)
    {37, 417, 0, 0, Smoke::mf_const, 2, 13},	//1032 QNetworkAccessManager::cache() const
    {37, 1013, 1085, 1, 0, 0, 14},	//1033 QNetworkAccessManager::setCache(QAbstractNetworkCache*)
    {37, 457, 0, 0, Smoke::mf_const, 135, 15},	//1034 QNetworkAccessManager::cookieJar() const
    {37, 1028, 1087, 1, 0, 0, 16},	//1035 QNetworkAccessManager::setCookieJar(QNetworkCookieJar*)
    {37, 552, 1089, 1, 0, 150, 17},	//1036 QNetworkAccessManager::head(const QNetworkRequest&)
    {37, 532, 1089, 1, 0, 150, 18},	//1037 QNetworkAccessManager::get(const QNetworkRequest&)
    {37, 742, 1091, 2, 0, 150, 19},	//1038 QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    {37, 742, 1094, 2, 0, 150, 20},	//1039 QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    {37, 761, 1091, 2, 0, 150, 21},	//1040 QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    {37, 761, 1094, 2, 0, 150, 22},	//1041 QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    {37, 481, 1089, 1, 0, 150, 23},	//1042 QNetworkAccessManager::deleteResource(const QNetworkRequest&)
    {37, 985, 1097, 3, 0, 150, 24},	//1043 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&, QIODevice*)
    {37, 1022, 1101, 1, 0, 0, 25},	//1044 QNetworkAccessManager::setConfiguration(const QNetworkConfiguration&)
    {37, 436, 0, 0, Smoke::mf_const, 130, 26},	//1045 QNetworkAccessManager::configuration() const
    {37, 370, 0, 0, Smoke::mf_const, 130, 27},	//1046 QNetworkAccessManager::activeConfiguration() const
    {37, 1088, 1103, 1, Smoke::mf_property, 0, 28},	//1047 QNetworkAccessManager::setNetworkAccessible(QNetworkAccessManager::NetworkAccessibility)
    {37, 641, 0, 0, Smoke::mf_const|Smoke::mf_property, 123, 29},	//1048 QNetworkAccessManager::networkAccessible() const
    {37, 755, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1049 QNetworkAccessManager::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {37, 405, 1105, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1050 QNetworkAccessManager::authenticationRequired(QNetworkReply*, QAuthenticator*)
    {37, 515, 1108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1051 QNetworkAccessManager::finished(QNetworkReply*)
    {37, 1210, 1110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1052 QNetworkAccessManager::sslErrors(QNetworkReply*, const QList<QSslError>&)
    {37, 644, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1053 QNetworkAccessManager::networkSessionConnected()
    {37, 642, 1103, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1054 QNetworkAccessManager::networkAccessibleChanged(QNetworkAccessManager::NetworkAccessibility)
    {37, 460, 1113, 3, Smoke::mf_protected|Smoke::mf_virtual, 150, 36},	//1055 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*)
    {37, 1239, 1, 1, Smoke::mf_static, 195, 37},	//1056 QNetworkAccessManager::tr(const char*)
    {37, 1243, 1, 1, Smoke::mf_static, 195, 38},	//1057 QNetworkAccessManager::trUtf8(const char*)
    {37, 213, 0, 0, Smoke::mf_ctor, 122, 39},	//1058 QNetworkAccessManager::QNetworkAccessManager()
    {37, 985, 1094, 2, 0, 150, 40},	//1059 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&)
    {37, 460, 1117, 2, Smoke::mf_protected, 150, 41},	//1060 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&)
    {37, 1218, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 42},	//1061 QNetworkAccessManager::staticMetaObject() const
    {37, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 43},	//1062 QNetworkAccessManager::HeadOperation (enum)
    {37, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 44},	//1063 QNetworkAccessManager::GetOperation (enum)
    {37, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 45},	//1064 QNetworkAccessManager::PutOperation (enum)
    {37, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 46},	//1065 QNetworkAccessManager::PostOperation (enum)
    {37, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 47},	//1066 QNetworkAccessManager::DeleteOperation (enum)
    {37, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 48},	//1067 QNetworkAccessManager::CustomOperation (enum)
    {37, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 49},	//1068 QNetworkAccessManager::UnknownOperation (enum)
    {37, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 50},	//1069 QNetworkAccessManager::UnknownAccessibility (enum)
    {37, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 51},	//1070 QNetworkAccessManager::NotAccessible (enum)
    {37, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 52},	//1071 QNetworkAccessManager::Accessible (enum)
    {37, 1290, 0, 0, Smoke::mf_dtor, 0, 53 },	//1072 QNetworkAccessManager::~QNetworkAccessManager()
    {38, 215, 0, 0, Smoke::mf_ctor, 126, 1},	//1073 QNetworkAddressEntry::QNetworkAddressEntry()
    {38, 215, 1120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 2},	//1074 QNetworkAddressEntry::QNetworkAddressEntry(const QNetworkAddressEntry&)
    {38, 685, 1120, 1, 0, 125, 3},	//1075 QNetworkAddressEntry::operator=(const QNetworkAddressEntry&)
    {38, 688, 1120, 1, Smoke::mf_const, 317, 4},	//1076 QNetworkAddressEntry::operator==(const QNetworkAddressEntry&) const
    {38, 649, 1120, 1, Smoke::mf_const, 317, 5},	//1077 QNetworkAddressEntry::operator!=(const QNetworkAddressEntry&) const
    {38, 572, 0, 0, Smoke::mf_const, 72, 6},	//1078 QNetworkAddressEntry::ip() const
    {38, 1063, 67, 1, 0, 0, 7},	//1079 QNetworkAddressEntry::setIp(const QHostAddress&)
    {38, 640, 0, 0, Smoke::mf_const, 72, 8},	//1080 QNetworkAddressEntry::netmask() const
    {38, 1086, 67, 1, 0, 0, 9},	//1081 QNetworkAddressEntry::setNetmask(const QHostAddress&)
    {38, 746, 0, 0, Smoke::mf_const, 401, 10},	//1082 QNetworkAddressEntry::prefixLength() const
    {38, 1116, 44, 1, 0, 0, 11},	//1083 QNetworkAddressEntry::setPrefixLength(int)
    {38, 413, 0, 0, Smoke::mf_const, 72, 12},	//1084 QNetworkAddressEntry::broadcast() const
    {38, 1009, 67, 1, 0, 0, 13},	//1085 QNetworkAddressEntry::setBroadcast(const QHostAddress&)
    {38, 1291, 0, 0, Smoke::mf_dtor, 0, 14 },	//1086 QNetworkAddressEntry::~QNetworkAddressEntry()
    {39, 217, 0, 0, Smoke::mf_ctor, 129, 1},	//1087 QNetworkCacheMetaData::QNetworkCacheMetaData()
    {39, 217, 16, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 2},	//1088 QNetworkCacheMetaData::QNetworkCacheMetaData(const QNetworkCacheMetaData&)
    {39, 685, 16, 1, 0, 128, 3},	//1089 QNetworkCacheMetaData::operator=(const QNetworkCacheMetaData&)
    {39, 688, 16, 1, Smoke::mf_const, 317, 4},	//1090 QNetworkCacheMetaData::operator==(const QNetworkCacheMetaData&) const
    {39, 649, 16, 1, Smoke::mf_const, 317, 5},	//1091 QNetworkCacheMetaData::operator!=(const QNetworkCacheMetaData&) const
    {39, 592, 0, 0, Smoke::mf_const, 317, 6},	//1092 QNetworkCacheMetaData::isValid() const
    {39, 1252, 0, 0, Smoke::mf_const, 213, 7},	//1093 QNetworkCacheMetaData::url() const
    {39, 1188, 14, 1, 0, 0, 8},	//1094 QNetworkCacheMetaData::setUrl(const QUrl&)
    {39, 941, 0, 0, Smoke::mf_const, 108, 9},	//1095 QNetworkCacheMetaData::rawHeaders() const
    {39, 1141, 1122, 1, 0, 0, 10},	//1096 QNetworkCacheMetaData::setRawHeaders(const QList<QPair<QByteArray,QByteArray> >&)
    {39, 599, 0, 0, Smoke::mf_const, 22, 11},	//1097 QNetworkCacheMetaData::lastModified() const
    {39, 1065, 1124, 1, 0, 0, 12},	//1098 QNetworkCacheMetaData::setLastModified(const QDateTime&)
    {39, 510, 0, 0, Smoke::mf_const, 22, 13},	//1099 QNetworkCacheMetaData::expirationDate() const
    {39, 1047, 1124, 1, 0, 0, 14},	//1100 QNetworkCacheMetaData::setExpirationDate(const QDateTime&)
    {39, 982, 0, 0, Smoke::mf_const, 317, 15},	//1101 QNetworkCacheMetaData::saveToDisk() const
    {39, 1152, 113, 1, 0, 0, 16},	//1102 QNetworkCacheMetaData::setSaveToDisk(bool)
    {39, 403, 0, 0, Smoke::mf_const, 71, 17},	//1103 QNetworkCacheMetaData::attributes() const
    {39, 1007, 1126, 1, 0, 0, 18},	//1104 QNetworkCacheMetaData::setAttributes(const QHash<QNetworkRequest::Attribute,QVariant>&)
    {39, 1292, 0, 0, Smoke::mf_dtor, 0, 19 },	//1105 QNetworkCacheMetaData::~QNetworkCacheMetaData()
    {41, 219, 356, 2, Smoke::mf_ctor, 133, 1},	//1106 QNetworkCookie::QNetworkCookie(const QByteArray&, const QByteArray&)
    {41, 219, 1128, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 133, 2},	//1107 QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    {41, 685, 1128, 1, 0, 132, 3},	//1108 QNetworkCookie::operator=(const QNetworkCookie&)
    {41, 688, 1128, 1, Smoke::mf_const, 317, 4},	//1109 QNetworkCookie::operator==(const QNetworkCookie&) const
    {41, 649, 1128, 1, Smoke::mf_const, 317, 5},	//1110 QNetworkCookie::operator!=(const QNetworkCookie&) const
    {41, 587, 0, 0, Smoke::mf_const, 317, 6},	//1111 QNetworkCookie::isSecure() const
    {41, 1156, 113, 1, 0, 0, 7},	//1112 QNetworkCookie::setSecure(bool)
    {41, 579, 0, 0, Smoke::mf_const, 317, 8},	//1113 QNetworkCookie::isHttpOnly() const
    {41, 1061, 113, 1, 0, 0, 9},	//1114 QNetworkCookie::setHttpOnly(bool)
    {41, 589, 0, 0, Smoke::mf_const, 317, 10},	//1115 QNetworkCookie::isSessionCookie() const
    {41, 510, 0, 0, Smoke::mf_const, 22, 11},	//1116 QNetworkCookie::expirationDate() const
    {41, 1047, 1124, 1, 0, 0, 12},	//1117 QNetworkCookie::setExpirationDate(const QDateTime&)
    {41, 491, 0, 0, Smoke::mf_const, 195, 13},	//1118 QNetworkCookie::domain() const
    {41, 1040, 69, 1, 0, 0, 14},	//1119 QNetworkCookie::setDomain(const QString&)
    {41, 727, 0, 0, Smoke::mf_const, 195, 15},	//1120 QNetworkCookie::path() const
    {41, 1098, 69, 1, 0, 0, 16},	//1121 QNetworkCookie::setPath(const QString&)
    {41, 639, 0, 0, Smoke::mf_const, 14, 17},	//1122 QNetworkCookie::name() const
    {41, 1083, 368, 1, 0, 0, 18},	//1123 QNetworkCookie::setName(const QByteArray&)
    {41, 1255, 0, 0, Smoke::mf_const, 14, 19},	//1124 QNetworkCookie::value() const
    {41, 1197, 368, 1, 0, 0, 20},	//1125 QNetworkCookie::setValue(const QByteArray&)
    {41, 1236, 1130, 1, Smoke::mf_const, 14, 21},	//1126 QNetworkCookie::toRawForm(QNetworkCookie::RawForm) const
    {41, 720, 368, 1, Smoke::mf_static, 105, 22},	//1127 QNetworkCookie::parseCookies(const QByteArray&)
    {41, 219, 0, 0, Smoke::mf_ctor, 133, 23},	//1128 QNetworkCookie::QNetworkCookie()
    {41, 219, 368, 1, Smoke::mf_ctor, 133, 24},	//1129 QNetworkCookie::QNetworkCookie(const QByteArray&)
    {41, 1236, 0, 0, Smoke::mf_const, 14, 25},	//1130 QNetworkCookie::toRawForm() const
    {41, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 26},	//1131 QNetworkCookie::NameAndValueOnly (enum)
    {41, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 27},	//1132 QNetworkCookie::Full (enum)
    {41, 1293, 0, 0, Smoke::mf_dtor, 0, 28 },	//1133 QNetworkCookie::~QNetworkCookie()
    {42, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 1},	//1134 QNetworkCookieJar::metaObject() const
    {42, 919, 1, 1, Smoke::mf_virtual, 420, 2},	//1135 QNetworkCookieJar::qt_metacast(const char*)
    {42, 1239, 3, 2, Smoke::mf_static, 195, 3},	//1136 QNetworkCookieJar::tr(const char*, const char*)
    {42, 1243, 3, 2, Smoke::mf_static, 195, 4},	//1137 QNetworkCookieJar::trUtf8(const char*, const char*)
    {42, 1239, 6, 3, Smoke::mf_static, 195, 5},	//1138 QNetworkCookieJar::tr(const char*, const char*, int)
    {42, 1243, 6, 3, Smoke::mf_static, 195, 6},	//1139 QNetworkCookieJar::trUtf8(const char*, const char*, int)
    {42, 917, 10, 3, Smoke::mf_virtual, 401, 7},	//1140 QNetworkCookieJar::qt_metacall(QMetaObject::Call, int, void**)
    {42, 222, 20, 1, Smoke::mf_ctor, 135, 8},	//1141 QNetworkCookieJar::QNetworkCookieJar(QObject*)
    {42, 458, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 105, 9},	//1142 QNetworkCookieJar::cookiesForUrl(const QUrl&) const
    {42, 1030, 1132, 2, Smoke::mf_virtual, 317, 10},	//1143 QNetworkCookieJar::setCookiesFromUrl(const QList<QNetworkCookie>&, const QUrl&)
    {42, 393, 0, 0, Smoke::mf_const|Smoke::mf_protected, 105, 11},	//1144 QNetworkCookieJar::allCookies() const
    {42, 999, 1135, 1, Smoke::mf_protected, 0, 12},	//1145 QNetworkCookieJar::setAllCookies(const QList<QNetworkCookie>&)
    {42, 1239, 1, 1, Smoke::mf_static, 195, 13},	//1146 QNetworkCookieJar::tr(const char*)
    {42, 1243, 1, 1, Smoke::mf_static, 195, 14},	//1147 QNetworkCookieJar::trUtf8(const char*)
    {42, 222, 0, 0, Smoke::mf_ctor, 135, 15},	//1148 QNetworkCookieJar::QNetworkCookieJar()
    {42, 1218, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 16},	//1149 QNetworkCookieJar::staticMetaObject() const
    {42, 1294, 0, 0, Smoke::mf_dtor, 0, 17 },	//1150 QNetworkCookieJar::~QNetworkCookieJar()
    {43, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 1},	//1151 QNetworkDiskCache::metaObject() const
    {43, 919, 1, 1, Smoke::mf_virtual, 420, 2},	//1152 QNetworkDiskCache::qt_metacast(const char*)
    {43, 1239, 3, 2, Smoke::mf_static, 195, 3},	//1153 QNetworkDiskCache::tr(const char*, const char*)
    {43, 1243, 3, 2, Smoke::mf_static, 195, 4},	//1154 QNetworkDiskCache::trUtf8(const char*, const char*)
    {43, 1239, 6, 3, Smoke::mf_static, 195, 5},	//1155 QNetworkDiskCache::tr(const char*, const char*, int)
    {43, 1243, 6, 3, Smoke::mf_static, 195, 6},	//1156 QNetworkDiskCache::trUtf8(const char*, const char*, int)
    {43, 917, 10, 3, Smoke::mf_virtual, 401, 7},	//1157 QNetworkDiskCache::qt_metacall(QMetaObject::Call, int, void**)
    {43, 224, 20, 1, Smoke::mf_ctor, 136, 8},	//1158 QNetworkDiskCache::QNetworkDiskCache(QObject*)
    {43, 418, 0, 0, Smoke::mf_const, 195, 9},	//1159 QNetworkDiskCache::cacheDirectory() const
    {43, 1015, 69, 1, 0, 0, 10},	//1160 QNetworkDiskCache::setCacheDirectory(const QString&)
    {43, 627, 0, 0, Smoke::mf_const, 403, 11},	//1161 QNetworkDiskCache::maximumCacheSize() const
    {43, 1081, 33, 1, 0, 0, 12},	//1162 QNetworkDiskCache::setMaximumCacheSize(long long)
    {43, 419, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 13},	//1163 QNetworkDiskCache::cacheSize() const
    {43, 628, 14, 1, Smoke::mf_virtual, 127, 14},	//1164 QNetworkDiskCache::metaData(const QUrl&)
    {43, 1248, 16, 1, Smoke::mf_virtual, 0, 15},	//1165 QNetworkDiskCache::updateMetaData(const QNetworkCacheMetaData&)
    {43, 470, 14, 1, Smoke::mf_virtual, 92, 16},	//1166 QNetworkDiskCache::data(const QUrl&)
    {43, 958, 14, 1, Smoke::mf_virtual, 317, 17},	//1167 QNetworkDiskCache::remove(const QUrl&)
    {43, 747, 16, 1, Smoke::mf_virtual, 92, 18},	//1168 QNetworkDiskCache::prepare(const QNetworkCacheMetaData&)
    {43, 566, 18, 1, Smoke::mf_virtual, 0, 19},	//1169 QNetworkDiskCache::insert(QIODevice*)
    {43, 513, 69, 1, Smoke::mf_const, 127, 20},	//1170 QNetworkDiskCache::fileMetaData(const QString&) const
    {43, 427, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1171 QNetworkDiskCache::clear()
    {43, 511, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 403, 22},	//1172 QNetworkDiskCache::expire()
    {43, 1239, 1, 1, Smoke::mf_static, 195, 23},	//1173 QNetworkDiskCache::tr(const char*)
    {43, 1243, 1, 1, Smoke::mf_static, 195, 24},	//1174 QNetworkDiskCache::trUtf8(const char*)
    {43, 224, 0, 0, Smoke::mf_ctor, 136, 25},	//1175 QNetworkDiskCache::QNetworkDiskCache()
    {43, 1218, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 26},	//1176 QNetworkDiskCache::staticMetaObject() const
    {43, 1295, 0, 0, Smoke::mf_dtor, 0, 27 },	//1177 QNetworkDiskCache::~QNetworkDiskCache()
    {44, 226, 0, 0, Smoke::mf_ctor, 139, 1},	//1178 QNetworkInterface::QNetworkInterface()
    {44, 226, 1137, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 139, 2},	//1179 QNetworkInterface::QNetworkInterface(const QNetworkInterface&)
    {44, 685, 1137, 1, 0, 138, 3},	//1180 QNetworkInterface::operator=(const QNetworkInterface&)
    {44, 592, 0, 0, Smoke::mf_const, 317, 4},	//1181 QNetworkInterface::isValid() const
    {44, 565, 0, 0, Smoke::mf_const, 401, 5},	//1182 QNetworkInterface::index() const
    {44, 639, 0, 0, Smoke::mf_const, 195, 6},	//1183 QNetworkInterface::name() const
    {44, 559, 0, 0, Smoke::mf_const, 195, 7},	//1184 QNetworkInterface::humanReadableName() const
    {44, 517, 0, 0, Smoke::mf_const, 42, 8},	//1185 QNetworkInterface::flags() const
    {44, 541, 0, 0, Smoke::mf_const, 195, 9},	//1186 QNetworkInterface::hardwareAddress() const
    {44, 389, 0, 0, Smoke::mf_const, 104, 10},	//1187 QNetworkInterface::addressEntries() const
    {44, 570, 69, 1, Smoke::mf_static, 137, 11},	//1188 QNetworkInterface::interfaceFromName(const QString&)
    {44, 568, 44, 1, Smoke::mf_static, 137, 12},	//1189 QNetworkInterface::interfaceFromIndex(int)
    {44, 394, 0, 0, Smoke::mf_static, 106, 13},	//1190 QNetworkInterface::allInterfaces()
    {44, 392, 0, 0, Smoke::mf_static, 103, 14},	//1191 QNetworkInterface::allAddresses()
    {44, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 15},	//1192 QNetworkInterface::IsUp (enum)
    {44, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 16},	//1193 QNetworkInterface::IsRunning (enum)
    {44, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 17},	//1194 QNetworkInterface::CanBroadcast (enum)
    {44, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 18},	//1195 QNetworkInterface::IsLoopBack (enum)
    {44, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 19},	//1196 QNetworkInterface::IsPointToPoint (enum)
    {44, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 20},	//1197 QNetworkInterface::CanMulticast (enum)
    {44, 1296, 0, 0, Smoke::mf_dtor, 0, 21 },	//1198 QNetworkInterface::~QNetworkInterface()
    {45, 228, 0, 0, Smoke::mf_ctor, 143, 1},	//1199 QNetworkProxy::QNetworkProxy()
    {45, 228, 1139, 5, Smoke::mf_ctor, 143, 2},	//1200 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&)
    {45, 228, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 3},	//1201 QNetworkProxy::QNetworkProxy(const QNetworkProxy&)
    {45, 685, 46, 1, 0, 142, 4},	//1202 QNetworkProxy::operator=(const QNetworkProxy&)
    {45, 688, 46, 1, Smoke::mf_const, 317, 5},	//1203 QNetworkProxy::operator==(const QNetworkProxy&) const
    {45, 649, 46, 1, Smoke::mf_const, 317, 6},	//1204 QNetworkProxy::operator!=(const QNetworkProxy&) const
    {45, 1186, 1145, 1, 0, 0, 7},	//1205 QNetworkProxy::setType(QNetworkProxy::ProxyType)
    {45, 1247, 0, 0, Smoke::mf_const, 145, 8},	//1206 QNetworkProxy::type() const
    {45, 1017, 1147, 1, 0, 0, 9},	//1207 QNetworkProxy::setCapabilities(QFlags<QNetworkProxy::Capability>)
    {45, 421, 0, 0, Smoke::mf_const, 43, 10},	//1208 QNetworkProxy::capabilities() const
    {45, 573, 0, 0, Smoke::mf_const, 317, 11},	//1209 QNetworkProxy::isCachingProxy() const
    {45, 591, 0, 0, Smoke::mf_const, 317, 12},	//1210 QNetworkProxy::isTransparentProxy() const
    {45, 1192, 69, 1, 0, 0, 13},	//1211 QNetworkProxy::setUser(const QString&)
    {45, 1254, 0, 0, Smoke::mf_const, 195, 14},	//1212 QNetworkProxy::user() const
    {45, 1096, 69, 1, 0, 0, 15},	//1213 QNetworkProxy::setPassword(const QString&)
    {45, 726, 0, 0, Smoke::mf_const, 195, 16},	//1214 QNetworkProxy::password() const
    {45, 1059, 69, 1, 0, 0, 17},	//1215 QNetworkProxy::setHostName(const QString&)
    {45, 558, 0, 0, Smoke::mf_const, 195, 18},	//1216 QNetworkProxy::hostName() const
    {45, 1114, 65, 1, 0, 0, 19},	//1217 QNetworkProxy::setPort(unsigned short)
    {45, 740, 0, 0, Smoke::mf_const, 415, 20},	//1218 QNetworkProxy::port() const
    {45, 1001, 46, 1, Smoke::mf_static, 0, 21},	//1219 QNetworkProxy::setApplicationProxy(const QNetworkProxy&)
    {45, 398, 0, 0, Smoke::mf_static, 141, 22},	//1220 QNetworkProxy::applicationProxy()
    {45, 228, 1145, 1, Smoke::mf_ctor, 143, 23},	//1221 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType)
    {45, 228, 1149, 2, Smoke::mf_ctor, 143, 24},	//1222 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&)
    {45, 228, 1152, 3, Smoke::mf_ctor, 143, 25},	//1223 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short)
    {45, 228, 1156, 4, Smoke::mf_ctor, 143, 26},	//1224 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&)
    {45, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 27},	//1225 QNetworkProxy::DefaultProxy (enum)
    {45, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 28},	//1226 QNetworkProxy::Socks5Proxy (enum)
    {45, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 29},	//1227 QNetworkProxy::NoProxy (enum)
    {45, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 30},	//1228 QNetworkProxy::HttpProxy (enum)
    {45, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 31},	//1229 QNetworkProxy::HttpCachingProxy (enum)
    {45, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 32},	//1230 QNetworkProxy::FtpCachingProxy (enum)
    {45, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 33},	//1231 QNetworkProxy::TunnelingCapability (enum)
    {45, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 34},	//1232 QNetworkProxy::ListeningCapability (enum)
    {45, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 35},	//1233 QNetworkProxy::UdpTunnelingCapability (enum)
    {45, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 36},	//1234 QNetworkProxy::CachingCapability (enum)
    {45, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 37},	//1235 QNetworkProxy::HostNameLookupCapability (enum)
    {45, 1297, 0, 0, Smoke::mf_dtor, 0, 38 },	//1236 QNetworkProxy::~QNetworkProxy()
    {46, 235, 0, 0, Smoke::mf_ctor, 146, 1},	//1237 QNetworkProxyFactory::QNetworkProxyFactory()
    {46, 926, 1161, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 107, 2},	//1238 QNetworkProxyFactory::queryProxy(const QNetworkProxyQuery&) [pure virtual]
    {46, 1190, 113, 1, Smoke::mf_static, 0, 3},	//1239 QNetworkProxyFactory::setUseSystemConfiguration(bool)
    {46, 1003, 1083, 1, Smoke::mf_static, 0, 4},	//1240 QNetworkProxyFactory::setApplicationProxyFactory(QNetworkProxyFactory*)
    {46, 758, 1161, 1, Smoke::mf_static, 107, 5},	//1241 QNetworkProxyFactory::proxyForQuery(const QNetworkProxyQuery&)
    {46, 1227, 1161, 1, Smoke::mf_static, 107, 6},	//1242 QNetworkProxyFactory::systemProxyForQuery(const QNetworkProxyQuery&)
    {46, 235, 1163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 7},	//1243 QNetworkProxyFactory::QNetworkProxyFactory(const QNetworkProxyFactory&)
    {46, 926, 0, 0, 0, 107, 8},	//1244 QNetworkProxyFactory::queryProxy()
    {46, 1227, 0, 0, Smoke::mf_static, 107, 9},	//1245 QNetworkProxyFactory::systemProxyForQuery()
    {46, 1298, 0, 0, Smoke::mf_dtor, 0, 10 },	//1246 QNetworkProxyFactory::~QNetworkProxyFactory()
    {47, 237, 0, 0, Smoke::mf_ctor, 148, 1},	//1247 QNetworkProxyQuery::QNetworkProxyQuery()
    {47, 237, 1165, 2, Smoke::mf_ctor, 148, 2},	//1248 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    {47, 237, 1168, 4, Smoke::mf_ctor, 148, 3},	//1249 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {47, 237, 1173, 3, Smoke::mf_ctor, 148, 4},	//1250 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {47, 237, 1161, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 5},	//1251 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    {47, 685, 1161, 1, 0, 147, 6},	//1252 QNetworkProxyQuery::operator=(const QNetworkProxyQuery&)
    {47, 688, 1161, 1, Smoke::mf_const, 317, 7},	//1253 QNetworkProxyQuery::operator==(const QNetworkProxyQuery&) const
    {47, 649, 1161, 1, Smoke::mf_const, 317, 8},	//1254 QNetworkProxyQuery::operator!=(const QNetworkProxyQuery&) const
    {47, 928, 0, 0, Smoke::mf_const, 149, 9},	//1255 QNetworkProxyQuery::queryType() const
    {47, 1137, 1177, 1, 0, 0, 10},	//1256 QNetworkProxyQuery::setQueryType(QNetworkProxyQuery::QueryType)
    {47, 733, 0, 0, Smoke::mf_const, 401, 11},	//1257 QNetworkProxyQuery::peerPort() const
    {47, 1106, 44, 1, 0, 0, 12},	//1258 QNetworkProxyQuery::setPeerPort(int)
    {47, 731, 0, 0, Smoke::mf_const, 195, 13},	//1259 QNetworkProxyQuery::peerHostName() const
    {47, 1102, 69, 1, 0, 0, 14},	//1260 QNetworkProxyQuery::setPeerHostName(const QString&)
    {47, 617, 0, 0, Smoke::mf_const, 401, 15},	//1261 QNetworkProxyQuery::localPort() const
    {47, 1075, 44, 1, 0, 0, 16},	//1262 QNetworkProxyQuery::setLocalPort(int)
    {47, 753, 0, 0, Smoke::mf_const, 195, 17},	//1263 QNetworkProxyQuery::protocolTag() const
    {47, 1128, 69, 1, 0, 0, 18},	//1264 QNetworkProxyQuery::setProtocolTag(const QString&)
    {47, 1252, 0, 0, Smoke::mf_const, 213, 19},	//1265 QNetworkProxyQuery::url() const
    {47, 1188, 14, 1, 0, 0, 20},	//1266 QNetworkProxyQuery::setUrl(const QUrl&)
    {47, 237, 14, 1, Smoke::mf_ctor, 148, 21},	//1267 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    {47, 237, 1025, 2, Smoke::mf_ctor, 148, 22},	//1268 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    {47, 237, 1028, 3, Smoke::mf_ctor, 148, 23},	//1269 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    {47, 237, 65, 1, Smoke::mf_ctor, 148, 24},	//1270 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short)
    {47, 237, 1179, 2, Smoke::mf_ctor, 148, 25},	//1271 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    {47, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 26},	//1272 QNetworkProxyQuery::TcpSocket (enum)
    {47, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 27},	//1273 QNetworkProxyQuery::UdpSocket (enum)
    {47, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 28},	//1274 QNetworkProxyQuery::TcpServer (enum)
    {47, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 29},	//1275 QNetworkProxyQuery::UrlRequest (enum)
    {47, 1299, 0, 0, Smoke::mf_dtor, 0, 30 },	//1276 QNetworkProxyQuery::~QNetworkProxyQuery()
    {48, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 1},	//1277 QNetworkReply::metaObject() const
    {48, 919, 1, 1, Smoke::mf_virtual, 420, 2},	//1278 QNetworkReply::qt_metacast(const char*)
    {48, 1239, 3, 2, Smoke::mf_static, 195, 3},	//1279 QNetworkReply::tr(const char*, const char*)
    {48, 1243, 3, 2, Smoke::mf_static, 195, 4},	//1280 QNetworkReply::trUtf8(const char*, const char*)
    {48, 1239, 6, 3, Smoke::mf_static, 195, 5},	//1281 QNetworkReply::tr(const char*, const char*, int)
    {48, 1243, 6, 3, Smoke::mf_static, 195, 6},	//1282 QNetworkReply::trUtf8(const char*, const char*, int)
    {48, 917, 10, 3, Smoke::mf_virtual, 401, 7},	//1283 QNetworkReply::qt_metacall(QMetaObject::Call, int, void**)
    {48, 367, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//1284 QNetworkReply::abort() [pure virtual]
    {48, 430, 0, 0, Smoke::mf_virtual, 0, 9},	//1285 QNetworkReply::close()
    {48, 588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 10},	//1286 QNetworkReply::isSequential() const
    {48, 945, 0, 0, Smoke::mf_const, 403, 11},	//1287 QNetworkReply::readBufferSize() const
    {48, 1143, 33, 1, Smoke::mf_virtual, 0, 12},	//1288 QNetworkReply::setReadBufferSize(long long)
    {48, 625, 0, 0, Smoke::mf_const, 122, 13},	//1289 QNetworkReply::manager() const
    {48, 648, 0, 0, Smoke::mf_const, 124, 14},	//1290 QNetworkReply::operation() const
    {48, 969, 0, 0, Smoke::mf_const, 152, 15},	//1291 QNetworkReply::request() const
    {48, 505, 0, 0, Smoke::mf_const, 151, 16},	//1292 QNetworkReply::error() const
    {48, 578, 0, 0, Smoke::mf_const, 317, 17},	//1293 QNetworkReply::isFinished() const
    {48, 586, 0, 0, Smoke::mf_const, 317, 18},	//1294 QNetworkReply::isRunning() const
    {48, 1252, 0, 0, Smoke::mf_const, 213, 19},	//1295 QNetworkReply::url() const
    {48, 555, 1182, 1, Smoke::mf_const, 220, 20},	//1296 QNetworkReply::header(QNetworkRequest::KnownHeaders) const
    {48, 550, 368, 1, Smoke::mf_const, 317, 21},	//1297 QNetworkReply::hasRawHeader(const QByteArray&) const
    {48, 939, 0, 0, Smoke::mf_const, 102, 22},	//1298 QNetworkReply::rawHeaderList() const
    {48, 937, 368, 1, Smoke::mf_const, 14, 23},	//1299 QNetworkReply::rawHeader(const QByteArray&) const
    {48, 940, 0, 0, Smoke::mf_const, 343, 24},	//1300 QNetworkReply::rawHeaderPairs() const
    {48, 400, 1184, 1, Smoke::mf_const, 220, 25},	//1301 QNetworkReply::attribute(QNetworkRequest::Attribute) const
    {48, 1209, 0, 0, Smoke::mf_const, 183, 26},	//1302 QNetworkReply::sslConfiguration() const
    {48, 1175, 1186, 1, 0, 0, 27},	//1303 QNetworkReply::setSslConfiguration(const QSslConfiguration&)
    {48, 560, 1020, 1, 0, 0, 28},	//1304 QNetworkReply::ignoreSslErrors(const QList<QSslError>&)
    {48, 560, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1305 QNetworkReply::ignoreSslErrors()
    {48, 630, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1306 QNetworkReply::metaDataChanged()
    {48, 515, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1307 QNetworkReply::finished()
    {48, 505, 1188, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1308 QNetworkReply::error(QNetworkReply::NetworkError)
    {48, 1210, 1020, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1309 QNetworkReply::sslErrors(const QList<QSslError>&)
    {48, 1250, 104, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1310 QNetworkReply::uploadProgress(qint64, qint64)
    {48, 494, 104, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1311 QNetworkReply::downloadProgress(qint64, qint64)
    {48, 244, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 150, 36},	//1312 QNetworkReply::QNetworkReply(QObject*)
    {48, 1272, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 37},	//1313 QNetworkReply::writeData(const char*, long long)
    {48, 1090, 1190, 1, Smoke::mf_protected, 0, 38},	//1314 QNetworkReply::setOperation(QNetworkAccessManager::Operation)
    {48, 1147, 1089, 1, Smoke::mf_protected, 0, 39},	//1315 QNetworkReply::setRequest(const QNetworkRequest&)
    {48, 1042, 1192, 2, Smoke::mf_protected, 0, 40},	//1316 QNetworkReply::setError(QNetworkReply::NetworkError, const QString&)
    {48, 1188, 14, 1, Smoke::mf_protected, 0, 41},	//1317 QNetworkReply::setUrl(const QUrl&)
    {48, 1053, 1195, 2, Smoke::mf_protected, 0, 42},	//1318 QNetworkReply::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {48, 1139, 356, 2, Smoke::mf_protected, 0, 43},	//1319 QNetworkReply::setRawHeader(const QByteArray&, const QByteArray&)
    {48, 1005, 1198, 2, Smoke::mf_protected, 0, 44},	//1320 QNetworkReply::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {48, 1239, 1, 1, Smoke::mf_static, 195, 45},	//1321 QNetworkReply::tr(const char*)
    {48, 1243, 1, 1, Smoke::mf_static, 195, 46},	//1322 QNetworkReply::trUtf8(const char*)
    {48, 244, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 150, 47},	//1323 QNetworkReply::QNetworkReply()
    {48, 1218, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 48},	//1324 QNetworkReply::staticMetaObject() const
    {48, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 49},	//1325 QNetworkReply::NoError (enum)
    {48, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 50},	//1326 QNetworkReply::ConnectionRefusedError (enum)
    {48, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 51},	//1327 QNetworkReply::RemoteHostClosedError (enum)
    {48, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 52},	//1328 QNetworkReply::HostNotFoundError (enum)
    {48, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 53},	//1329 QNetworkReply::TimeoutError (enum)
    {48, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 54},	//1330 QNetworkReply::OperationCanceledError (enum)
    {48, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 55},	//1331 QNetworkReply::SslHandshakeFailedError (enum)
    {48, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 56},	//1332 QNetworkReply::TemporaryNetworkFailureError (enum)
    {48, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 57},	//1333 QNetworkReply::UnknownNetworkError (enum)
    {48, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 58},	//1334 QNetworkReply::ProxyConnectionRefusedError (enum)
    {48, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 59},	//1335 QNetworkReply::ProxyConnectionClosedError (enum)
    {48, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 60},	//1336 QNetworkReply::ProxyNotFoundError (enum)
    {48, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 61},	//1337 QNetworkReply::ProxyTimeoutError (enum)
    {48, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 62},	//1338 QNetworkReply::ProxyAuthenticationRequiredError (enum)
    {48, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 63},	//1339 QNetworkReply::UnknownProxyError (enum)
    {48, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 64},	//1340 QNetworkReply::ContentAccessDenied (enum)
    {48, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 65},	//1341 QNetworkReply::ContentOperationNotPermittedError (enum)
    {48, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 66},	//1342 QNetworkReply::ContentNotFoundError (enum)
    {48, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 67},	//1343 QNetworkReply::AuthenticationRequiredError (enum)
    {48, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 68},	//1344 QNetworkReply::ContentReSendError (enum)
    {48, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 69},	//1345 QNetworkReply::UnknownContentError (enum)
    {48, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 70},	//1346 QNetworkReply::ProtocolUnknownError (enum)
    {48, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 71},	//1347 QNetworkReply::ProtocolInvalidOperationError (enum)
    {48, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 72},	//1348 QNetworkReply::ProtocolFailure (enum)
    {48, 1300, 0, 0, Smoke::mf_dtor, 0, 73 },	//1349 QNetworkReply::~QNetworkReply()
    {49, 246, 14, 1, Smoke::mf_ctor, 154, 1},	//1350 QNetworkRequest::QNetworkRequest(const QUrl&)
    {49, 246, 1089, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 2},	//1351 QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    {49, 685, 1089, 1, 0, 153, 3},	//1352 QNetworkRequest::operator=(const QNetworkRequest&)
    {49, 688, 1089, 1, Smoke::mf_const, 317, 4},	//1353 QNetworkRequest::operator==(const QNetworkRequest&) const
    {49, 649, 1089, 1, Smoke::mf_const, 317, 5},	//1354 QNetworkRequest::operator!=(const QNetworkRequest&) const
    {49, 1252, 0, 0, Smoke::mf_const, 213, 6},	//1355 QNetworkRequest::url() const
    {49, 1188, 14, 1, 0, 0, 7},	//1356 QNetworkRequest::setUrl(const QUrl&)
    {49, 555, 1182, 1, Smoke::mf_const, 220, 8},	//1357 QNetworkRequest::header(QNetworkRequest::KnownHeaders) const
    {49, 1053, 1195, 2, 0, 0, 9},	//1358 QNetworkRequest::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {49, 550, 368, 1, Smoke::mf_const, 317, 10},	//1359 QNetworkRequest::hasRawHeader(const QByteArray&) const
    {49, 939, 0, 0, Smoke::mf_const, 102, 11},	//1360 QNetworkRequest::rawHeaderList() const
    {49, 937, 368, 1, Smoke::mf_const, 14, 12},	//1361 QNetworkRequest::rawHeader(const QByteArray&) const
    {49, 1139, 356, 2, 0, 0, 13},	//1362 QNetworkRequest::setRawHeader(const QByteArray&, const QByteArray&)
    {49, 400, 1198, 2, Smoke::mf_const, 220, 14},	//1363 QNetworkRequest::attribute(QNetworkRequest::Attribute, const QVariant&) const
    {49, 1005, 1198, 2, 0, 0, 15},	//1364 QNetworkRequest::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {49, 1209, 0, 0, Smoke::mf_const, 183, 16},	//1365 QNetworkRequest::sslConfiguration() const
    {49, 1175, 1186, 1, 0, 0, 17},	//1366 QNetworkRequest::setSslConfiguration(const QSslConfiguration&)
    {49, 1092, 20, 1, 0, 0, 18},	//1367 QNetworkRequest::setOriginatingObject(QObject*)
    {49, 716, 0, 0, Smoke::mf_const, 160, 19},	//1368 QNetworkRequest::originatingObject() const
    {49, 749, 0, 0, Smoke::mf_const, 159, 20},	//1369 QNetworkRequest::priority() const
    {49, 1118, 1201, 1, 0, 0, 21},	//1370 QNetworkRequest::setPriority(QNetworkRequest::Priority)
    {49, 246, 0, 0, Smoke::mf_ctor, 154, 22},	//1371 QNetworkRequest::QNetworkRequest()
    {49, 400, 1184, 1, Smoke::mf_const, 220, 23},	//1372 QNetworkRequest::attribute(QNetworkRequest::Attribute) const
    {49, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 24},	//1373 QNetworkRequest::ContentTypeHeader (enum)
    {49, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 25},	//1374 QNetworkRequest::ContentLengthHeader (enum)
    {49, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 26},	//1375 QNetworkRequest::LocationHeader (enum)
    {49, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 27},	//1376 QNetworkRequest::LastModifiedHeader (enum)
    {49, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 28},	//1377 QNetworkRequest::CookieHeader (enum)
    {49, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 29},	//1378 QNetworkRequest::SetCookieHeader (enum)
    {49, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 30},	//1379 QNetworkRequest::HttpStatusCodeAttribute (enum)
    {49, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 31},	//1380 QNetworkRequest::HttpReasonPhraseAttribute (enum)
    {49, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 32},	//1381 QNetworkRequest::RedirectionTargetAttribute (enum)
    {49, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 33},	//1382 QNetworkRequest::ConnectionEncryptedAttribute (enum)
    {49, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 34},	//1383 QNetworkRequest::CacheLoadControlAttribute (enum)
    {49, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 35},	//1384 QNetworkRequest::CacheSaveControlAttribute (enum)
    {49, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 36},	//1385 QNetworkRequest::SourceIsFromCacheAttribute (enum)
    {49, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 37},	//1386 QNetworkRequest::DoNotBufferUploadDataAttribute (enum)
    {49, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 38},	//1387 QNetworkRequest::HttpPipeliningAllowedAttribute (enum)
    {49, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 39},	//1388 QNetworkRequest::HttpPipeliningWasUsedAttribute (enum)
    {49, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 40},	//1389 QNetworkRequest::CustomVerbAttribute (enum)
    {49, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 41},	//1390 QNetworkRequest::CookieLoadControlAttribute (enum)
    {49, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 42},	//1391 QNetworkRequest::AuthenticationReuseAttribute (enum)
    {49, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 43},	//1392 QNetworkRequest::CookieSaveControlAttribute (enum)
    {49, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 44},	//1393 QNetworkRequest::User (enum)
    {49, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 45},	//1394 QNetworkRequest::UserMax (enum)
    {49, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 46},	//1395 QNetworkRequest::AlwaysNetwork (enum)
    {49, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 47},	//1396 QNetworkRequest::PreferNetwork (enum)
    {49, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 48},	//1397 QNetworkRequest::PreferCache (enum)
    {49, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 49},	//1398 QNetworkRequest::AlwaysCache (enum)
    {49, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 50},	//1399 QNetworkRequest::Automatic (enum)
    {49, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 51},	//1400 QNetworkRequest::Manual (enum)
    {49, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 52},	//1401 QNetworkRequest::HighPriority (enum)
    {49, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 53},	//1402 QNetworkRequest::NormalPriority (enum)
    {49, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 54},	//1403 QNetworkRequest::LowPriority (enum)
    {49, 1301, 0, 0, Smoke::mf_dtor, 0, 55 },	//1404 QNetworkRequest::~QNetworkRequest()
    {50, 508, 1203, 1, Smoke::mf_virtual, 317, 0},	//1405 QObject::event(QEvent*)
    {50, 509, 1205, 2, Smoke::mf_virtual, 317, 0},	//1406 QObject::eventFilter(QObject*, QEvent*)
    {50, 1229, 1208, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1407 QObject::timerEvent(QTimerEvent*)
    {50, 425, 1210, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1408 QObject::childEvent(QChildEvent*)
    {50, 469, 1203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1409 QObject::customEvent(QEvent*)
    {50, 437, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1410 QObject::connectNotify(const char*)
    {50, 489, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1411 QObject::disconnectNotify(const char*)
    {59, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 1},	//1412 QSsl::Rsa (enum)
    {59, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 2},	//1413 QSsl::Dsa (enum)
    {59, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 3},	//1414 QSsl::Pem (enum)
    {59, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 4},	//1415 QSsl::Der (enum)
    {59, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 5},	//1416 QSsl::SslV3 (enum)
    {59, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 6},	//1417 QSsl::SslV2 (enum)
    {59, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 7},	//1418 QSsl::TlsV1 (enum)
    {59, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 8},	//1419 QSsl::AnyProtocol (enum)
    {59, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 9},	//1420 QSsl::UnknownProtocol (enum)
    {59, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 10},	//1421 QSsl::EmailEntry (enum)
    {59, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 11},	//1422 QSsl::DnsEntry (enum)
    {59, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 12},	//1423 QSsl::PrivateKey (enum)
    {59, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 13},	//1424 QSsl::PublicKey (enum)
    {60, 248, 1212, 2, Smoke::mf_ctor, 178, 1},	//1425 QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    {60, 248, 1215, 2, Smoke::mf_ctor, 178, 2},	//1426 QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    {60, 248, 1218, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 178, 3},	//1427 QSslCertificate::QSslCertificate(const QSslCertificate&)
    {60, 685, 1218, 1, 0, 177, 4},	//1428 QSslCertificate::operator=(const QSslCertificate&)
    {60, 688, 1218, 1, Smoke::mf_const, 317, 5},	//1429 QSslCertificate::operator==(const QSslCertificate&) const
    {60, 649, 1218, 1, Smoke::mf_const, 317, 6},	//1430 QSslCertificate::operator!=(const QSslCertificate&) const
    {60, 584, 0, 0, Smoke::mf_const, 317, 7},	//1431 QSslCertificate::isNull() const
    {60, 592, 0, 0, Smoke::mf_const, 317, 8},	//1432 QSslCertificate::isValid() const
    {60, 427, 0, 0, 0, 0, 9},	//1433 QSslCertificate::clear()
    {60, 1258, 0, 0, Smoke::mf_const, 14, 10},	//1434 QSslCertificate::version() const
    {60, 988, 0, 0, Smoke::mf_const, 14, 11},	//1435 QSslCertificate::serialNumber() const
    {60, 484, 1220, 1, Smoke::mf_const, 14, 12},	//1436 QSslCertificate::digest(QCryptographicHash::Algorithm) const
    {60, 594, 1222, 1, Smoke::mf_const, 195, 13},	//1437 QSslCertificate::issuerInfo(QSslCertificate::SubjectInfo) const
    {60, 594, 368, 1, Smoke::mf_const, 195, 14},	//1438 QSslCertificate::issuerInfo(const QByteArray&) const
    {60, 1220, 1222, 1, Smoke::mf_const, 195, 15},	//1439 QSslCertificate::subjectInfo(QSslCertificate::SubjectInfo) const
    {60, 1220, 368, 1, Smoke::mf_const, 195, 16},	//1440 QSslCertificate::subjectInfo(const QByteArray&) const
    {60, 397, 0, 0, Smoke::mf_const, 121, 17},	//1441 QSslCertificate::alternateSubjectNames() const
    {60, 496, 0, 0, Smoke::mf_const, 22, 18},	//1442 QSslCertificate::effectiveDate() const
    {60, 512, 0, 0, Smoke::mf_const, 22, 19},	//1443 QSslCertificate::expiryDate() const
    {60, 760, 0, 0, Smoke::mf_const, 189, 20},	//1444 QSslCertificate::publicKey() const
    {60, 1234, 0, 0, Smoke::mf_const, 14, 21},	//1445 QSslCertificate::toPem() const
    {60, 1230, 0, 0, Smoke::mf_const, 14, 22},	//1446 QSslCertificate::toDer() const
    {60, 527, 1224, 3, Smoke::mf_static, 110, 23},	//1447 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {60, 522, 1212, 2, Smoke::mf_static, 110, 24},	//1448 QSslCertificate::fromDevice(QIODevice*, QSsl::EncodingFormat)
    {60, 519, 1215, 2, Smoke::mf_static, 110, 25},	//1449 QSslCertificate::fromData(const QByteArray&, QSsl::EncodingFormat)
    {60, 540, 0, 0, Smoke::mf_const, 413, 26},	//1450 QSslCertificate::handle() const
    {60, 248, 18, 1, Smoke::mf_ctor, 178, 27},	//1451 QSslCertificate::QSslCertificate(QIODevice*)
    {60, 248, 0, 0, Smoke::mf_ctor, 178, 28},	//1452 QSslCertificate::QSslCertificate()
    {60, 248, 368, 1, Smoke::mf_ctor, 178, 29},	//1453 QSslCertificate::QSslCertificate(const QByteArray&)
    {60, 484, 0, 0, Smoke::mf_const, 14, 30},	//1454 QSslCertificate::digest() const
    {60, 527, 69, 1, Smoke::mf_static, 110, 31},	//1455 QSslCertificate::fromPath(const QString&)
    {60, 527, 1228, 2, Smoke::mf_static, 110, 32},	//1456 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat)
    {60, 522, 18, 1, Smoke::mf_static, 110, 33},	//1457 QSslCertificate::fromDevice(QIODevice*)
    {60, 519, 368, 1, Smoke::mf_static, 110, 34},	//1458 QSslCertificate::fromData(const QByteArray&)
    {60, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 35},	//1459 QSslCertificate::Organization (enum)
    {60, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 36},	//1460 QSslCertificate::CommonName (enum)
    {60, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 37},	//1461 QSslCertificate::LocalityName (enum)
    {60, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 38},	//1462 QSslCertificate::OrganizationalUnitName (enum)
    {60, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 39},	//1463 QSslCertificate::CountryName (enum)
    {60, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 40},	//1464 QSslCertificate::StateOrProvinceName (enum)
    {60, 1302, 0, 0, Smoke::mf_dtor, 0, 41 },	//1465 QSslCertificate::~QSslCertificate()
    {61, 251, 0, 0, Smoke::mf_ctor, 182, 1},	//1466 QSslCipher::QSslCipher()
    {61, 251, 1231, 2, Smoke::mf_ctor, 182, 2},	//1467 QSslCipher::QSslCipher(const QString&, QSsl::SslProtocol)
    {61, 251, 1234, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 182, 3},	//1468 QSslCipher::QSslCipher(const QSslCipher&)
    {61, 685, 1234, 1, 0, 181, 4},	//1469 QSslCipher::operator=(const QSslCipher&)
    {61, 688, 1234, 1, Smoke::mf_const, 317, 5},	//1470 QSslCipher::operator==(const QSslCipher&) const
    {61, 649, 1234, 1, Smoke::mf_const, 317, 6},	//1471 QSslCipher::operator!=(const QSslCipher&) const
    {61, 584, 0, 0, Smoke::mf_const, 317, 7},	//1472 QSslCipher::isNull() const
    {61, 639, 0, 0, Smoke::mf_const, 195, 8},	//1473 QSslCipher::name() const
    {61, 1223, 0, 0, Smoke::mf_const, 401, 9},	//1474 QSslCipher::supportedBits() const
    {61, 1253, 0, 0, Smoke::mf_const, 401, 10},	//1475 QSslCipher::usedBits() const
    {61, 597, 0, 0, Smoke::mf_const, 195, 11},	//1476 QSslCipher::keyExchangeMethod() const
    {61, 404, 0, 0, Smoke::mf_const, 195, 12},	//1477 QSslCipher::authenticationMethod() const
    {61, 502, 0, 0, Smoke::mf_const, 195, 13},	//1478 QSslCipher::encryptionMethod() const
    {61, 752, 0, 0, Smoke::mf_const, 195, 14},	//1479 QSslCipher::protocolString() const
    {61, 751, 0, 0, Smoke::mf_const, 175, 15},	//1480 QSslCipher::protocol() const
    {61, 1303, 0, 0, Smoke::mf_dtor, 0, 16 },	//1481 QSslCipher::~QSslCipher()
    {62, 254, 0, 0, Smoke::mf_ctor, 185, 1},	//1482 QSslConfiguration::QSslConfiguration()
    {62, 254, 1186, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 185, 2},	//1483 QSslConfiguration::QSslConfiguration(const QSslConfiguration&)
    {62, 685, 1186, 1, 0, 184, 3},	//1484 QSslConfiguration::operator=(const QSslConfiguration&)
    {62, 688, 1186, 1, Smoke::mf_const, 317, 4},	//1485 QSslConfiguration::operator==(const QSslConfiguration&) const
    {62, 649, 1186, 1, Smoke::mf_const, 317, 5},	//1486 QSslConfiguration::operator!=(const QSslConfiguration&) const
    {62, 584, 0, 0, Smoke::mf_const, 317, 6},	//1487 QSslConfiguration::isNull() const
    {62, 751, 0, 0, Smoke::mf_const, 175, 7},	//1488 QSslConfiguration::protocol() const
    {62, 1126, 1236, 1, 0, 0, 8},	//1489 QSslConfiguration::setProtocol(QSsl::SslProtocol)
    {62, 737, 0, 0, Smoke::mf_const, 193, 9},	//1490 QSslConfiguration::peerVerifyMode() const
    {62, 1110, 1238, 1, 0, 0, 10},	//1491 QSslConfiguration::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {62, 734, 0, 0, Smoke::mf_const, 401, 11},	//1492 QSslConfiguration::peerVerifyDepth() const
    {62, 1108, 44, 1, 0, 0, 12},	//1493 QSslConfiguration::setPeerVerifyDepth(int)
    {62, 614, 0, 0, Smoke::mf_const, 176, 13},	//1494 QSslConfiguration::localCertificate() const
    {62, 1071, 1218, 1, 0, 0, 14},	//1495 QSslConfiguration::setLocalCertificate(const QSslCertificate&)
    {62, 729, 0, 0, Smoke::mf_const, 176, 15},	//1496 QSslConfiguration::peerCertificate() const
    {62, 730, 0, 0, Smoke::mf_const, 110, 16},	//1497 QSslConfiguration::peerCertificateChain() const
    {62, 993, 0, 0, Smoke::mf_const, 180, 17},	//1498 QSslConfiguration::sessionCipher() const
    {62, 750, 0, 0, Smoke::mf_const, 189, 18},	//1499 QSslConfiguration::privateKey() const
    {62, 1120, 1240, 1, 0, 0, 19},	//1500 QSslConfiguration::setPrivateKey(const QSslKey&)
    {62, 426, 0, 0, Smoke::mf_const, 111, 20},	//1501 QSslConfiguration::ciphers() const
    {62, 1019, 1242, 1, 0, 0, 21},	//1502 QSslConfiguration::setCiphers(const QList<QSslCipher>&)
    {62, 416, 0, 0, Smoke::mf_const, 110, 22},	//1503 QSslConfiguration::caCertificates() const
    {62, 1011, 1244, 1, 0, 0, 23},	//1504 QSslConfiguration::setCaCertificates(const QList<QSslCertificate>&)
    {62, 480, 0, 0, Smoke::mf_static, 183, 24},	//1505 QSslConfiguration::defaultConfiguration()
    {62, 1036, 1186, 1, Smoke::mf_static, 0, 25},	//1506 QSslConfiguration::setDefaultConfiguration(const QSslConfiguration&)
    {62, 1304, 0, 0, Smoke::mf_dtor, 0, 26 },	//1507 QSslConfiguration::~QSslConfiguration()
    {63, 256, 0, 0, Smoke::mf_ctor, 187, 1},	//1508 QSslError::QSslError()
    {63, 256, 1246, 1, Smoke::mf_ctor, 187, 2},	//1509 QSslError::QSslError(QSslError::SslError)
    {63, 256, 1248, 2, Smoke::mf_ctor, 187, 3},	//1510 QSslError::QSslError(QSslError::SslError, const QSslCertificate&)
    {63, 256, 1251, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 187, 4},	//1511 QSslError::QSslError(const QSslError&)
    {63, 685, 1251, 1, 0, 186, 5},	//1512 QSslError::operator=(const QSslError&)
    {63, 688, 1251, 1, Smoke::mf_const, 317, 6},	//1513 QSslError::operator==(const QSslError&) const
    {63, 649, 1251, 1, Smoke::mf_const, 317, 7},	//1514 QSslError::operator!=(const QSslError&) const
    {63, 505, 0, 0, Smoke::mf_const, 188, 8},	//1515 QSslError::error() const
    {63, 507, 0, 0, Smoke::mf_const, 195, 9},	//1516 QSslError::errorString() const
    {63, 424, 0, 0, Smoke::mf_const, 176, 10},	//1517 QSslError::certificate() const
    {63, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 11},	//1518 QSslError::NoError (enum)
    {63, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 12},	//1519 QSslError::UnableToGetIssuerCertificate (enum)
    {63, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 13},	//1520 QSslError::UnableToDecryptCertificateSignature (enum)
    {63, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 14},	//1521 QSslError::UnableToDecodeIssuerPublicKey (enum)
    {63, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 15},	//1522 QSslError::CertificateSignatureFailed (enum)
    {63, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 16},	//1523 QSslError::CertificateNotYetValid (enum)
    {63, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 17},	//1524 QSslError::CertificateExpired (enum)
    {63, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 18},	//1525 QSslError::InvalidNotBeforeField (enum)
    {63, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 19},	//1526 QSslError::InvalidNotAfterField (enum)
    {63, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 20},	//1527 QSslError::SelfSignedCertificate (enum)
    {63, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 21},	//1528 QSslError::SelfSignedCertificateInChain (enum)
    {63, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 22},	//1529 QSslError::UnableToGetLocalIssuerCertificate (enum)
    {63, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 23},	//1530 QSslError::UnableToVerifyFirstCertificate (enum)
    {63, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 24},	//1531 QSslError::CertificateRevoked (enum)
    {63, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 25},	//1532 QSslError::InvalidCaCertificate (enum)
    {63, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 26},	//1533 QSslError::PathLengthExceeded (enum)
    {63, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 27},	//1534 QSslError::InvalidPurpose (enum)
    {63, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 28},	//1535 QSslError::CertificateUntrusted (enum)
    {63, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 29},	//1536 QSslError::CertificateRejected (enum)
    {63, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 30},	//1537 QSslError::SubjectIssuerMismatch (enum)
    {63, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 31},	//1538 QSslError::AuthorityIssuerSerialNumberMismatch (enum)
    {63, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 32},	//1539 QSslError::NoPeerCertificate (enum)
    {63, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 33},	//1540 QSslError::HostNameMismatch (enum)
    {63, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 34},	//1541 QSslError::NoSslSupport (enum)
    {63, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 35},	//1542 QSslError::UnspecifiedError (enum)
    {63, 1305, 0, 0, Smoke::mf_dtor, 0, 36 },	//1543 QSslError::~QSslError()
    {64, 260, 0, 0, Smoke::mf_ctor, 191, 1},	//1544 QSslKey::QSslKey()
    {64, 260, 1253, 5, Smoke::mf_ctor, 191, 2},	//1545 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {64, 260, 1259, 5, Smoke::mf_ctor, 191, 3},	//1546 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {64, 260, 1240, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 191, 4},	//1547 QSslKey::QSslKey(const QSslKey&)
    {64, 685, 1240, 1, 0, 190, 5},	//1548 QSslKey::operator=(const QSslKey&)
    {64, 584, 0, 0, Smoke::mf_const, 317, 6},	//1549 QSslKey::isNull() const
    {64, 427, 0, 0, 0, 0, 7},	//1550 QSslKey::clear()
    {64, 602, 0, 0, Smoke::mf_const, 401, 8},	//1551 QSslKey::length() const
    {64, 1247, 0, 0, Smoke::mf_const, 174, 9},	//1552 QSslKey::type() const
    {64, 391, 0, 0, Smoke::mf_const, 173, 10},	//1553 QSslKey::algorithm() const
    {64, 1234, 368, 1, Smoke::mf_const, 14, 11},	//1554 QSslKey::toPem(const QByteArray&) const
    {64, 1230, 368, 1, Smoke::mf_const, 14, 12},	//1555 QSslKey::toDer(const QByteArray&) const
    {64, 540, 0, 0, Smoke::mf_const, 413, 13},	//1556 QSslKey::handle() const
    {64, 688, 1240, 1, Smoke::mf_const, 317, 14},	//1557 QSslKey::operator==(const QSslKey&) const
    {64, 649, 1240, 1, Smoke::mf_const, 317, 15},	//1558 QSslKey::operator!=(const QSslKey&) const
    {64, 260, 1265, 2, Smoke::mf_ctor, 191, 16},	//1559 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    {64, 260, 1268, 3, Smoke::mf_ctor, 191, 17},	//1560 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {64, 260, 1272, 4, Smoke::mf_ctor, 191, 18},	//1561 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {64, 260, 1277, 2, Smoke::mf_ctor, 191, 19},	//1562 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    {64, 260, 1280, 3, Smoke::mf_ctor, 191, 20},	//1563 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {64, 260, 1284, 4, Smoke::mf_ctor, 191, 21},	//1564 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {64, 1234, 0, 0, Smoke::mf_const, 14, 22},	//1565 QSslKey::toPem() const
    {64, 1230, 0, 0, Smoke::mf_const, 14, 23},	//1566 QSslKey::toDer() const
    {64, 1306, 0, 0, Smoke::mf_dtor, 0, 24 },	//1567 QSslKey::~QSslKey()
    {65, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 1},	//1568 QSslSocket::metaObject() const
    {65, 919, 1, 1, Smoke::mf_virtual, 420, 2},	//1569 QSslSocket::qt_metacast(const char*)
    {65, 1239, 3, 2, Smoke::mf_static, 195, 3},	//1570 QSslSocket::tr(const char*, const char*)
    {65, 1243, 3, 2, Smoke::mf_static, 195, 4},	//1571 QSslSocket::trUtf8(const char*, const char*)
    {65, 1239, 6, 3, Smoke::mf_static, 195, 5},	//1572 QSslSocket::tr(const char*, const char*, int)
    {65, 1243, 6, 3, Smoke::mf_static, 195, 6},	//1573 QSslSocket::trUtf8(const char*, const char*, int)
    {65, 917, 10, 3, Smoke::mf_virtual, 401, 7},	//1574 QSslSocket::qt_metacall(QMetaObject::Call, int, void**)
    {65, 266, 20, 1, Smoke::mf_ctor, 192, 8},	//1575 QSslSocket::QSslSocket(QObject*)
    {65, 444, 25, 3, 0, 0, 9},	//1576 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {65, 444, 1289, 4, 0, 0, 10},	//1577 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>)
    {65, 1162, 35, 3, 0, 317, 11},	//1578 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {65, 1171, 39, 2, 0, 0, 12},	//1579 QSslSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {65, 1206, 42, 1, 0, 220, 13},	//1580 QSslSocket::socketOption(QAbstractSocket::SocketOption)
    {65, 636, 0, 0, Smoke::mf_const, 194, 14},	//1581 QSslSocket::mode() const
    {65, 575, 0, 0, Smoke::mf_const, 317, 15},	//1582 QSslSocket::isEncrypted() const
    {65, 751, 0, 0, Smoke::mf_const, 175, 16},	//1583 QSslSocket::protocol() const
    {65, 1126, 1236, 1, 0, 0, 17},	//1584 QSslSocket::setProtocol(QSsl::SslProtocol)
    {65, 737, 0, 0, Smoke::mf_const, 193, 18},	//1585 QSslSocket::peerVerifyMode() const
    {65, 1110, 1238, 1, 0, 0, 19},	//1586 QSslSocket::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {65, 734, 0, 0, Smoke::mf_const, 401, 20},	//1587 QSslSocket::peerVerifyDepth() const
    {65, 1108, 44, 1, 0, 0, 21},	//1588 QSslSocket::setPeerVerifyDepth(int)
    {65, 414, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 22},	//1589 QSslSocket::bytesAvailable() const
    {65, 415, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 23},	//1590 QSslSocket::bytesToWrite() const
    {65, 420, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 24},	//1591 QSslSocket::canReadLine() const
    {65, 430, 0, 0, Smoke::mf_virtual, 0, 25},	//1592 QSslSocket::close()
    {65, 399, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 26},	//1593 QSslSocket::atEnd() const
    {65, 518, 0, 0, 0, 317, 27},	//1594 QSslSocket::flush()
    {65, 367, 0, 0, 0, 0, 28},	//1595 QSslSocket::abort()
    {65, 1143, 33, 1, 0, 0, 29},	//1596 QSslSocket::setReadBufferSize(long long)
    {65, 498, 0, 0, Smoke::mf_const, 403, 30},	//1597 QSslSocket::encryptedBytesAvailable() const
    {65, 499, 0, 0, Smoke::mf_const, 403, 31},	//1598 QSslSocket::encryptedBytesToWrite() const
    {65, 1209, 0, 0, Smoke::mf_const, 183, 32},	//1599 QSslSocket::sslConfiguration() const
    {65, 1175, 1186, 1, 0, 0, 33},	//1600 QSslSocket::setSslConfiguration(const QSslConfiguration&)
    {65, 1071, 1218, 1, 0, 0, 34},	//1601 QSslSocket::setLocalCertificate(const QSslCertificate&)
    {65, 1071, 1228, 2, 0, 0, 35},	//1602 QSslSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {65, 614, 0, 0, Smoke::mf_const, 176, 36},	//1603 QSslSocket::localCertificate() const
    {65, 729, 0, 0, Smoke::mf_const, 176, 37},	//1604 QSslSocket::peerCertificate() const
    {65, 730, 0, 0, Smoke::mf_const, 110, 38},	//1605 QSslSocket::peerCertificateChain() const
    {65, 993, 0, 0, Smoke::mf_const, 180, 39},	//1606 QSslSocket::sessionCipher() const
    {65, 1120, 1240, 1, 0, 0, 40},	//1607 QSslSocket::setPrivateKey(const QSslKey&)
    {65, 1120, 1294, 4, 0, 0, 41},	//1608 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&)
    {65, 750, 0, 0, Smoke::mf_const, 189, 42},	//1609 QSslSocket::privateKey() const
    {65, 426, 0, 0, Smoke::mf_const, 111, 43},	//1610 QSslSocket::ciphers() const
    {65, 1019, 1242, 1, 0, 0, 44},	//1611 QSslSocket::setCiphers(const QList<QSslCipher>&)
    {65, 1019, 69, 1, 0, 0, 45},	//1612 QSslSocket::setCiphers(const QString&)
    {65, 1034, 1242, 1, Smoke::mf_static, 0, 46},	//1613 QSslSocket::setDefaultCiphers(const QList<QSslCipher>&)
    {65, 479, 0, 0, Smoke::mf_static, 111, 47},	//1614 QSslSocket::defaultCiphers()
    {65, 1224, 0, 0, Smoke::mf_static, 111, 48},	//1615 QSslSocket::supportedCiphers()
    {65, 373, 1224, 3, 0, 317, 49},	//1616 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {65, 371, 1218, 1, 0, 0, 50},	//1617 QSslSocket::addCaCertificate(const QSslCertificate&)
    {65, 373, 1244, 1, 0, 0, 51},	//1618 QSslSocket::addCaCertificates(const QList<QSslCertificate>&)
    {65, 1011, 1244, 1, 0, 0, 52},	//1619 QSslSocket::setCaCertificates(const QList<QSslCertificate>&)
    {65, 416, 0, 0, Smoke::mf_const, 110, 53},	//1620 QSslSocket::caCertificates() const
    {65, 380, 1224, 3, Smoke::mf_static, 317, 54},	//1621 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {65, 378, 1218, 1, Smoke::mf_static, 0, 55},	//1622 QSslSocket::addDefaultCaCertificate(const QSslCertificate&)
    {65, 380, 1244, 1, Smoke::mf_static, 0, 56},	//1623 QSslSocket::addDefaultCaCertificates(const QList<QSslCertificate>&)
    {65, 1032, 1244, 1, Smoke::mf_static, 0, 57},	//1624 QSslSocket::setDefaultCaCertificates(const QList<QSslCertificate>&)
    {65, 478, 0, 0, Smoke::mf_static, 110, 58},	//1625 QSslSocket::defaultCaCertificates()
    {65, 1226, 0, 0, Smoke::mf_static, 110, 59},	//1626 QSslSocket::systemCaCertificates()
    {65, 1261, 44, 1, 0, 317, 60},	//1627 QSslSocket::waitForConnected(int)
    {65, 1265, 44, 1, 0, 317, 61},	//1628 QSslSocket::waitForEncrypted(int)
    {65, 1270, 44, 1, Smoke::mf_virtual, 317, 62},	//1629 QSslSocket::waitForReadyRead(int)
    {65, 1259, 44, 1, Smoke::mf_virtual, 317, 63},	//1630 QSslSocket::waitForBytesWritten(int)
    {65, 1263, 44, 1, 0, 317, 64},	//1631 QSslSocket::waitForDisconnected(int)
    {65, 1210, 0, 0, Smoke::mf_const, 112, 65},	//1632 QSslSocket::sslErrors() const
    {65, 1225, 0, 0, Smoke::mf_static, 317, 66},	//1633 QSslSocket::supportsSsl()
    {65, 560, 1020, 1, 0, 0, 67},	//1634 QSslSocket::ignoreSslErrors(const QList<QSslError>&)
    {65, 1213, 0, 0, Smoke::mf_slot, 0, 68},	//1635 QSslSocket::startClientEncryption()
    {65, 1214, 0, 0, Smoke::mf_slot, 0, 69},	//1636 QSslSocket::startServerEncryption()
    {65, 560, 0, 0, Smoke::mf_slot, 0, 70},	//1637 QSslSocket::ignoreSslErrors()
    {65, 497, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//1638 QSslSocket::encrypted()
    {65, 735, 1251, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//1639 QSslSocket::peerVerifyError(const QSslError&)
    {65, 1210, 1020, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//1640 QSslSocket::sslErrors(const QList<QSslError>&)
    {65, 637, 1299, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//1641 QSslSocket::modeChanged(QSslSocket::SslMode)
    {65, 500, 1301, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//1642 QSslSocket::encryptedBytesWritten(qint64)
    {65, 448, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 76},	//1643 QSslSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {65, 487, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 77},	//1644 QSslSocket::disconnectFromHostImplementation()
    {65, 946, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 78},	//1645 QSslSocket::readData(char*, long long)
    {65, 1272, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 79},	//1646 QSslSocket::writeData(const char*, long long)
    {65, 1239, 1, 1, Smoke::mf_static, 195, 80},	//1647 QSslSocket::tr(const char*)
    {65, 1243, 1, 1, Smoke::mf_static, 195, 81},	//1648 QSslSocket::trUtf8(const char*)
    {65, 266, 0, 0, Smoke::mf_ctor, 192, 82},	//1649 QSslSocket::QSslSocket()
    {65, 444, 71, 2, 0, 0, 83},	//1650 QSslSocket::connectToHostEncrypted(const QString&, unsigned short)
    {65, 444, 1303, 3, 0, 0, 84},	//1651 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    {65, 1162, 44, 1, 0, 317, 85},	//1652 QSslSocket::setSocketDescriptor(int)
    {65, 1162, 77, 2, 0, 317, 86},	//1653 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {65, 1071, 69, 1, 0, 0, 87},	//1654 QSslSocket::setLocalCertificate(const QString&)
    {65, 1120, 69, 1, 0, 0, 88},	//1655 QSslSocket::setPrivateKey(const QString&)
    {65, 1120, 1307, 2, 0, 0, 89},	//1656 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm)
    {65, 1120, 1310, 3, 0, 0, 90},	//1657 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {65, 373, 69, 1, 0, 317, 91},	//1658 QSslSocket::addCaCertificates(const QString&)
    {65, 373, 1228, 2, 0, 317, 92},	//1659 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat)
    {65, 380, 69, 1, Smoke::mf_static, 317, 93},	//1660 QSslSocket::addDefaultCaCertificates(const QString&)
    {65, 380, 1228, 2, Smoke::mf_static, 317, 94},	//1661 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat)
    {65, 1261, 0, 0, 0, 317, 95},	//1662 QSslSocket::waitForConnected()
    {65, 1265, 0, 0, 0, 317, 96},	//1663 QSslSocket::waitForEncrypted()
    {65, 1270, 0, 0, 0, 317, 97},	//1664 QSslSocket::waitForReadyRead()
    {65, 1259, 0, 0, 0, 317, 98},	//1665 QSslSocket::waitForBytesWritten()
    {65, 1263, 0, 0, 0, 317, 99},	//1666 QSslSocket::waitForDisconnected()
    {65, 1218, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 100},	//1667 QSslSocket::staticMetaObject() const
    {65, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 101},	//1668 QSslSocket::UnencryptedMode (enum)
    {65, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 102},	//1669 QSslSocket::SslClientMode (enum)
    {65, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 103},	//1670 QSslSocket::SslServerMode (enum)
    {65, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 104},	//1671 QSslSocket::VerifyNone (enum)
    {65, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 105},	//1672 QSslSocket::QueryPeer (enum)
    {65, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 106},	//1673 QSslSocket::VerifyPeer (enum)
    {65, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 107},	//1674 QSslSocket::AutoVerifyPeer (enum)
    {65, 1307, 0, 0, Smoke::mf_dtor, 0, 108 },	//1675 QSslSocket::~QSslSocket()
    {68, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 1},	//1676 QTcpServer::metaObject() const
    {68, 919, 1, 1, Smoke::mf_virtual, 420, 2},	//1677 QTcpServer::qt_metacast(const char*)
    {68, 1239, 3, 2, Smoke::mf_static, 195, 3},	//1678 QTcpServer::tr(const char*, const char*)
    {68, 1243, 3, 2, Smoke::mf_static, 195, 4},	//1679 QTcpServer::trUtf8(const char*, const char*)
    {68, 1239, 6, 3, Smoke::mf_static, 195, 5},	//1680 QTcpServer::tr(const char*, const char*, int)
    {68, 1243, 6, 3, Smoke::mf_static, 195, 6},	//1681 QTcpServer::trUtf8(const char*, const char*, int)
    {68, 917, 10, 3, Smoke::mf_virtual, 401, 7},	//1682 QTcpServer::qt_metacall(QMetaObject::Call, int, void**)
    {68, 268, 20, 1, Smoke::mf_ctor, 202, 8},	//1683 QTcpServer::QTcpServer(QObject*)
    {68, 609, 74, 2, 0, 317, 9},	//1684 QTcpServer::listen(const QHostAddress&, unsigned short)
    {68, 430, 0, 0, 0, 0, 10},	//1685 QTcpServer::close()
    {68, 583, 0, 0, Smoke::mf_const, 317, 11},	//1686 QTcpServer::isListening() const
    {68, 1079, 44, 1, 0, 0, 12},	//1687 QTcpServer::setMaxPendingConnections(int)
    {68, 626, 0, 0, Smoke::mf_const, 401, 13},	//1688 QTcpServer::maxPendingConnections() const
    {68, 992, 0, 0, Smoke::mf_const, 415, 14},	//1689 QTcpServer::serverPort() const
    {68, 989, 0, 0, Smoke::mf_const, 72, 15},	//1690 QTcpServer::serverAddress() const
    {68, 1205, 0, 0, Smoke::mf_const, 401, 16},	//1691 QTcpServer::socketDescriptor() const
    {68, 1162, 44, 1, 0, 317, 17},	//1692 QTcpServer::setSocketDescriptor(int)
    {68, 1267, 1064, 2, 0, 317, 18},	//1693 QTcpServer::waitForNewConnection(int, bool*)
    {68, 547, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 19},	//1694 QTcpServer::hasPendingConnections() const
    {68, 646, 0, 0, Smoke::mf_virtual, 203, 20},	//1695 QTcpServer::nextPendingConnection()
    {68, 990, 0, 0, Smoke::mf_const, 5, 21},	//1696 QTcpServer::serverError() const
    {68, 507, 0, 0, Smoke::mf_const, 195, 22},	//1697 QTcpServer::errorString() const
    {68, 1130, 46, 1, 0, 0, 23},	//1698 QTcpServer::setProxy(const QNetworkProxy&)
    {68, 754, 0, 0, Smoke::mf_const, 141, 24},	//1699 QTcpServer::proxy() const
    {68, 562, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1700 QTcpServer::incomingConnection(int)
    {68, 385, 988, 1, Smoke::mf_protected, 0, 26},	//1701 QTcpServer::addPendingConnection(QTcpSocket*)
    {68, 645, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1702 QTcpServer::newConnection()
    {68, 1239, 1, 1, Smoke::mf_static, 195, 28},	//1703 QTcpServer::tr(const char*)
    {68, 1243, 1, 1, Smoke::mf_static, 195, 29},	//1704 QTcpServer::trUtf8(const char*)
    {68, 268, 0, 0, Smoke::mf_ctor, 202, 30},	//1705 QTcpServer::QTcpServer()
    {68, 609, 0, 0, 0, 317, 31},	//1706 QTcpServer::listen()
    {68, 609, 67, 1, 0, 317, 32},	//1707 QTcpServer::listen(const QHostAddress&)
    {68, 1267, 0, 0, 0, 317, 33},	//1708 QTcpServer::waitForNewConnection()
    {68, 1267, 44, 1, 0, 317, 34},	//1709 QTcpServer::waitForNewConnection(int)
    {68, 1218, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 35},	//1710 QTcpServer::staticMetaObject() const
    {68, 1308, 0, 0, Smoke::mf_dtor, 0, 36 },	//1711 QTcpServer::~QTcpServer()
    {69, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 1},	//1712 QTcpSocket::metaObject() const
    {69, 919, 1, 1, Smoke::mf_virtual, 420, 2},	//1713 QTcpSocket::qt_metacast(const char*)
    {69, 1239, 3, 2, Smoke::mf_static, 195, 3},	//1714 QTcpSocket::tr(const char*, const char*)
    {69, 1243, 3, 2, Smoke::mf_static, 195, 4},	//1715 QTcpSocket::trUtf8(const char*, const char*)
    {69, 1239, 6, 3, Smoke::mf_static, 195, 5},	//1716 QTcpSocket::tr(const char*, const char*, int)
    {69, 1243, 6, 3, Smoke::mf_static, 195, 6},	//1717 QTcpSocket::trUtf8(const char*, const char*, int)
    {69, 917, 10, 3, Smoke::mf_virtual, 401, 7},	//1718 QTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {69, 270, 20, 1, Smoke::mf_ctor, 203, 8},	//1719 QTcpSocket::QTcpSocket(QObject*)
    {69, 1239, 1, 1, Smoke::mf_static, 195, 9},	//1720 QTcpSocket::tr(const char*)
    {69, 1243, 1, 1, Smoke::mf_static, 195, 10},	//1721 QTcpSocket::trUtf8(const char*)
    {69, 270, 0, 0, Smoke::mf_ctor, 203, 11},	//1722 QTcpSocket::QTcpSocket()
    {69, 1218, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 12},	//1723 QTcpSocket::staticMetaObject() const
    {69, 1309, 0, 0, Smoke::mf_dtor, 0, 13 },	//1724 QTcpSocket::~QTcpSocket()
    {74, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 1},	//1725 QUdpSocket::metaObject() const
    {74, 919, 1, 1, Smoke::mf_virtual, 420, 2},	//1726 QUdpSocket::qt_metacast(const char*)
    {74, 1239, 3, 2, Smoke::mf_static, 195, 3},	//1727 QUdpSocket::tr(const char*, const char*)
    {74, 1243, 3, 2, Smoke::mf_static, 195, 4},	//1728 QUdpSocket::trUtf8(const char*, const char*)
    {74, 1239, 6, 3, Smoke::mf_static, 195, 5},	//1729 QUdpSocket::tr(const char*, const char*, int)
    {74, 1243, 6, 3, Smoke::mf_static, 195, 6},	//1730 QUdpSocket::trUtf8(const char*, const char*, int)
    {74, 917, 10, 3, Smoke::mf_virtual, 401, 7},	//1731 QUdpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {74, 272, 20, 1, Smoke::mf_ctor, 211, 8},	//1732 QUdpSocket::QUdpSocket(QObject*)
    {74, 408, 74, 2, 0, 317, 9},	//1733 QUdpSocket::bind(const QHostAddress&, unsigned short)
    {74, 408, 65, 1, 0, 317, 10},	//1734 QUdpSocket::bind(unsigned short)
    {74, 408, 1314, 3, 0, 317, 11},	//1735 QUdpSocket::bind(const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>)
    {74, 408, 1318, 2, 0, 317, 12},	//1736 QUdpSocket::bind(unsigned short, QFlags<QUdpSocket::BindFlag>)
    {74, 548, 0, 0, Smoke::mf_const, 317, 13},	//1737 QUdpSocket::hasPendingDatagrams() const
    {74, 738, 0, 0, Smoke::mf_const, 403, 14},	//1738 QUdpSocket::pendingDatagramSize() const
    {74, 948, 1321, 4, 0, 403, 15},	//1739 QUdpSocket::readDatagram(char*, long long, QHostAddress*, unsigned short*)
    {74, 1274, 1326, 4, 0, 403, 16},	//1740 QUdpSocket::writeDatagram(const char*, long long, const QHostAddress&, unsigned short)
    {74, 1274, 1331, 3, 0, 403, 17},	//1741 QUdpSocket::writeDatagram(const QByteArray&, const QHostAddress&, unsigned short)
    {74, 1239, 1, 1, Smoke::mf_static, 195, 18},	//1742 QUdpSocket::tr(const char*)
    {74, 1243, 1, 1, Smoke::mf_static, 195, 19},	//1743 QUdpSocket::trUtf8(const char*)
    {74, 272, 0, 0, Smoke::mf_ctor, 211, 20},	//1744 QUdpSocket::QUdpSocket()
    {74, 408, 0, 0, 0, 317, 21},	//1745 QUdpSocket::bind()
    {74, 948, 59, 2, 0, 403, 22},	//1746 QUdpSocket::readDatagram(char*, long long)
    {74, 948, 1335, 3, 0, 403, 23},	//1747 QUdpSocket::readDatagram(char*, long long, QHostAddress*)
    {74, 1218, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 24},	//1748 QUdpSocket::staticMetaObject() const
    {74, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 25},	//1749 QUdpSocket::DefaultForPlatform (enum)
    {74, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 26},	//1750 QUdpSocket::ShareAddress (enum)
    {74, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 27},	//1751 QUdpSocket::DontShareAddress (enum)
    {74, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 28},	//1752 QUdpSocket::ReuseAddressHint (enum)
    {74, 1310, 0, 0, Smoke::mf_dtor, 0, 29 },	//1753 QUdpSocket::~QUdpSocket()
    {76, 274, 0, 0, Smoke::mf_ctor, 217, 1},	//1754 QUrlInfo::QUrlInfo()
    {76, 274, 102, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 217, 2},	//1755 QUrlInfo::QUrlInfo(const QUrlInfo&)
    {76, 274, 1339, 13, Smoke::mf_ctor, 217, 3},	//1756 QUrlInfo::QUrlInfo(const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {76, 274, 1353, 13, Smoke::mf_ctor, 217, 4},	//1757 QUrlInfo::QUrlInfo(const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {76, 685, 102, 1, 0, 216, 5},	//1758 QUrlInfo::operator=(const QUrlInfo&)
    {76, 1083, 69, 1, Smoke::mf_virtual, 0, 6},	//1759 QUrlInfo::setName(const QString&)
    {76, 1038, 113, 1, Smoke::mf_virtual, 0, 7},	//1760 QUrlInfo::setDir(bool)
    {76, 1049, 113, 1, Smoke::mf_virtual, 0, 8},	//1761 QUrlInfo::setFile(bool)
    {76, 1182, 113, 1, Smoke::mf_virtual, 0, 9},	//1762 QUrlInfo::setSymLink(bool)
    {76, 1094, 69, 1, Smoke::mf_virtual, 0, 10},	//1763 QUrlInfo::setOwner(const QString&)
    {76, 1051, 69, 1, Smoke::mf_virtual, 0, 11},	//1764 QUrlInfo::setGroup(const QString&)
    {76, 1158, 33, 1, Smoke::mf_virtual, 0, 12},	//1765 QUrlInfo::setSize(long long)
    {76, 1202, 113, 1, Smoke::mf_virtual, 0, 13},	//1766 QUrlInfo::setWritable(bool)
    {76, 1145, 113, 1, Smoke::mf_virtual, 0, 14},	//1767 QUrlInfo::setReadable(bool)
    {76, 1112, 44, 1, Smoke::mf_virtual, 0, 15},	//1768 QUrlInfo::setPermissions(int)
    {76, 1065, 1124, 1, Smoke::mf_virtual, 0, 16},	//1769 QUrlInfo::setLastModified(const QDateTime&)
    {76, 1067, 1124, 1, 0, 0, 17},	//1770 QUrlInfo::setLastRead(const QDateTime&)
    {76, 592, 0, 0, Smoke::mf_const, 317, 18},	//1771 QUrlInfo::isValid() const
    {76, 639, 0, 0, Smoke::mf_const, 195, 19},	//1772 QUrlInfo::name() const
    {76, 739, 0, 0, Smoke::mf_const, 401, 20},	//1773 QUrlInfo::permissions() const
    {76, 717, 0, 0, Smoke::mf_const, 195, 21},	//1774 QUrlInfo::owner() const
    {76, 539, 0, 0, Smoke::mf_const, 195, 22},	//1775 QUrlInfo::group() const
    {76, 1204, 0, 0, Smoke::mf_const, 403, 23},	//1776 QUrlInfo::size() const
    {76, 599, 0, 0, Smoke::mf_const, 22, 24},	//1777 QUrlInfo::lastModified() const
    {76, 600, 0, 0, Smoke::mf_const, 22, 25},	//1778 QUrlInfo::lastRead() const
    {76, 574, 0, 0, Smoke::mf_const, 317, 26},	//1779 QUrlInfo::isDir() const
    {76, 577, 0, 0, Smoke::mf_const, 317, 27},	//1780 QUrlInfo::isFile() const
    {76, 590, 0, 0, Smoke::mf_const, 317, 28},	//1781 QUrlInfo::isSymLink() const
    {76, 593, 0, 0, Smoke::mf_const, 317, 29},	//1782 QUrlInfo::isWritable() const
    {76, 585, 0, 0, Smoke::mf_const, 317, 30},	//1783 QUrlInfo::isReadable() const
    {76, 576, 0, 0, Smoke::mf_const, 317, 31},	//1784 QUrlInfo::isExecutable() const
    {76, 537, 1367, 3, Smoke::mf_static, 317, 32},	//1785 QUrlInfo::greaterThan(const QUrlInfo&, const QUrlInfo&, int)
    {76, 603, 1367, 3, Smoke::mf_static, 317, 33},	//1786 QUrlInfo::lessThan(const QUrlInfo&, const QUrlInfo&, int)
    {76, 503, 1367, 3, Smoke::mf_static, 317, 34},	//1787 QUrlInfo::equal(const QUrlInfo&, const QUrlInfo&, int)
    {76, 688, 102, 1, Smoke::mf_const, 317, 35},	//1788 QUrlInfo::operator==(const QUrlInfo&) const
    {76, 649, 102, 1, Smoke::mf_const, 317, 36},	//1789 QUrlInfo::operator!=(const QUrlInfo&) const
    {76, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1790 QUrlInfo::ReadOwner (enum)
    {76, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1791 QUrlInfo::WriteOwner (enum)
    {76, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1792 QUrlInfo::ExeOwner (enum)
    {76, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1793 QUrlInfo::ReadGroup (enum)
    {76, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1794 QUrlInfo::WriteGroup (enum)
    {76, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1795 QUrlInfo::ExeGroup (enum)
    {76, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1796 QUrlInfo::ReadOther (enum)
    {76, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1797 QUrlInfo::WriteOther (enum)
    {76, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1798 QUrlInfo::ExeOther (enum)
    {76, 1311, 0, 0, Smoke::mf_dtor, 0, 46 },	//1799 QUrlInfo::~QUrlInfo()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1251,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    1267,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    0,
    1268,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    1271,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    0,
    1250,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1269,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    0,
    1038,  // QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    1039,  // QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    0,
    1040,  // QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    1041,  // QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    0,
    803,  // QHttp::QHttp(const QString&, unsigned short)
    804,  // QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    0,
    812,  // QHttp::post(const QString&, QIODevice*)
    813,  // QHttp::post(const QString&, const QByteArray&)
    0,
    766,  // QHttp::post(const QString&, QIODevice*, QIODevice*)
    767,  // QHttp::post(const QString&, const QByteArray&, QIODevice*)
    0,
    815,  // QHttp::request(const QHttpRequestHeader&, QIODevice*)
    816,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    0,
    769,  // QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    770,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    0,
    759,  // QHttp::setHost(const QString&, unsigned short)
    807,  // QHttp::setHost(const QString&, QHttp::ConnectionMode)
    0,
    193,  // QFtp::put(const QByteArray&, const QString&)
    194,  // QFtp::put(QIODevice*, const QString&)
    0,
    157,  // QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    158,  // QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    0,
    692,  // QHostAddress::QHostAddress(const QIPv6Address&)
    693,  // QHostAddress::QHostAddress(const sockaddr*)
    695,  // QHostAddress::QHostAddress(const QHostAddress&)
    0,
    690,  // QHostAddress::QHostAddress(unsigned int)
    691,  // QHostAddress::QHostAddress(unsigned char*)
    694,  // QHostAddress::QHostAddress(const QString&)
    696,  // QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    0,
    701,  // QHostAddress::setAddress(const QIPv6Address&)
    702,  // QHostAddress::setAddress(const sockaddr*)
    0,
    699,  // QHostAddress::setAddress(unsigned int)
    700,  // QHostAddress::setAddress(unsigned char*)
    703,  // QHostAddress::setAddress(const QString&)
    0,
    257,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    265,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    269,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    279,  // QGlobalSpace::operator!=(QChar, QChar)
    304,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    314,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    328,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    329,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    362,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    378,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    393,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    408,  // QGlobalSpace::operator!=(QBool, QBool)
    418,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    450,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    489,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    619,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    443,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    470,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    550,  // QGlobalSpace::operator!=(QBool, bool)
    573,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    646,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    258,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    308,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    410,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    472,  // QGlobalSpace::operator!=(bool, QBool)
    484,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    593,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    239,  // QGlobalSpace::operator*(const QSizeF&, double)
    321,  // QGlobalSpace::operator*(const QPointF&, double)
    431,  // QGlobalSpace::operator*(const QSize&, double)
    562,  // QGlobalSpace::operator*(const QPoint&, double)
    0,
    379,  // QGlobalSpace::operator*(double, const QSize&)
    503,  // QGlobalSpace::operator*(double, const QPointF&)
    571,  // QGlobalSpace::operator*(double, const QPoint&)
    628,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    261,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    499,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    529,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    570,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    657,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    251,  // QGlobalSpace::operator+(QChar, const QString&)
    477,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    500,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    524,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    260,  // QGlobalSpace::operator+(const QString&, QChar)
    305,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    520,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    540,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    389,  // QGlobalSpace::operator+(const char*, const QString&)
    409,  // QGlobalSpace::operator+(const QString&, char)
    541,  // QGlobalSpace::operator+(const QString&, const char*)
    549,  // QGlobalSpace::operator+(const QString&, const QString&)
    654,  // QGlobalSpace::operator+(char, const QString&)
    0,
    385,  // QGlobalSpace::operator-(const QPointF&)
    400,  // QGlobalSpace::operator-(const QPoint&)
    0,
    283,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    434,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    586,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    602,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    395,  // QGlobalSpace::operator/(const QSizeF&, double)
    414,  // QGlobalSpace::operator/(const QPointF&, double)
    440,  // QGlobalSpace::operator/(const QPoint&, double)
    589,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    406,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    543,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    599,  // QGlobalSpace::operator<(QChar, QChar)
    627,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    315,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    471,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    240,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    249,  // QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    259,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    266,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    268,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    282,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    291,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    295,  // QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    302,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    322,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    338,  // QGlobalSpace::operator<<(QDebug, const QSslError&)
    344,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    345,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    347,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    360,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    376,  // QGlobalSpace::operator<<(QDebug, const QSslKey&)
    377,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    391,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    397,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    401,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    403,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    419,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    428,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    433,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    441,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    442,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    444,  // QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    453,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    469,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    488,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    496,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    505,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    506,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    514,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    519,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    530,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    533,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    538,  // QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    539,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    554,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    564,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    572,  // QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    575,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    576,  // QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    581,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    611,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    612,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    616,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    630,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    655,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    0,
    247,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    255,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    285,  // QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    289,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    336,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    346,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    348,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    372,  // QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    481,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    563,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    640,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    0,
    253,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    254,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    320,  // QGlobalSpace::operator<=(QChar, QChar)
    331,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    371,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    390,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    246,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    248,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    263,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    272,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    323,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    327,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    353,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    412,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    454,  // QGlobalSpace::operator==(QBool, QBool)
    476,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    493,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    516,  // QGlobalSpace::operator==(QChar, QChar)
    535,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    551,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    577,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    632,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    634,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    420,  // QGlobalSpace::operator==(QString::Null, const QString&)
    465,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    558,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    641,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    645,  // QGlobalSpace::operator==(QBool, bool)
    0,
    292,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    309,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    357,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    366,  // QGlobalSpace::operator==(const QString&, QString::Null)
    448,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    459,  // QGlobalSpace::operator==(bool, QBool)
    495,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    303,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    349,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    394,  // QGlobalSpace::operator>(QChar, QChar)
    515,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    342,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    354,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    318,  // QGlobalSpace::operator>=(QChar, QChar)
    350,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    405,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    629,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    232,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    590,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    230,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    233,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    244,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    264,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    275,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    281,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    330,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    337,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    375,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    407,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    426,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    430,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    436,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    456,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    457,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    462,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    483,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    507,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    512,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    567,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    580,  // QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    609,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    649,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    451,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    607,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    228,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    231,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    235,  // QGlobalSpace::operator|(Qt::WindowType, int)
    245,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    267,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    277,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    284,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    293,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    296,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    300,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    306,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    307,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    311,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    319,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    324,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    325,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    333,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    339,  // QGlobalSpace::operator|(Qt::DropAction, int)
    341,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    352,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    358,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    359,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    361,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    364,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    365,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    367,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    369,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    373,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    374,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    380,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    383,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    386,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    388,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    396,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    404,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    416,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    424,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    425,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    435,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    437,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    446,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    449,  // QGlobalSpace::operator|(Qt::WindowState, int)
    458,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    460,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    468,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    474,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    478,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    479,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    480,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    482,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    486,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    492,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    494,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    498,  // QGlobalSpace::operator|(QFile::Permission, int)
    510,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    513,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    522,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    523,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    525,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    526,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    528,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    532,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    534,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    537,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    542,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    547,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    555,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    561,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    569,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    578,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    583,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    584,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    587,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    588,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    591,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    592,  // QGlobalSpace::operator|(QDir::Filter, int)
    597,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    600,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    601,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    606,  // QGlobalSpace::operator|(Qt::Orientation, int)
    608,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    614,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    615,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    617,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    620,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    624,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    625,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    626,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    635,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    636,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    637,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    639,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    642,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    643,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    651,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    652,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    653,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    658,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    659,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
    370,  // QGlobalSpace::qFuzzyCompare(double, double)
    427,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    461,  // QGlobalSpace::qFuzzyIsNull(double)
    610,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    310,  // QGlobalSpace::qHash(const QBitArray&)
    392,  // QGlobalSpace::qHash(const QHostAddress&)
    467,  // QGlobalSpace::qHash(QChar)
    511,  // QGlobalSpace::qHash(const QStringRef&)
    568,  // QGlobalSpace::qHash(const QUrl&)
    613,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    631,  // QGlobalSpace::qHash(const QByteArray&)
    633,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    237,  // QGlobalSpace::qHash(unsigned int)
    238,  // QGlobalSpace::qHash(char)
    270,  // QGlobalSpace::qHash(unsigned char)
    290,  // QGlobalSpace::qHash(short)
    299,  // QGlobalSpace::qHash(long)
    356,  // QGlobalSpace::qHash(unsigned short)
    445,  // QGlobalSpace::qHash(int)
    491,  // QGlobalSpace::qHash(signed char)
    548,  // QGlobalSpace::qHash(const QString&)
    596,  // QGlobalSpace::qHash(unsigned long)
    0,
    382,  // QGlobalSpace::qHash(long long)
    411,  // QGlobalSpace::qHash(unsigned long long)
    0,
    351,  // QGlobalSpace::qIntCast(float)
    415,  // QGlobalSpace::qIntCast(double)
    0,
    294,  // QGlobalSpace::qIsFinite(double)
    656,  // QGlobalSpace::qIsFinite(float)
    0,
    387,  // QGlobalSpace::qIsInf(float)
    585,  // QGlobalSpace::qIsInf(double)
    0,
    553,  // QGlobalSpace::qIsNaN(float)
    560,  // QGlobalSpace::qIsNaN(double)
    0,
    276,  // QGlobalSpace::qIsNull(float)
    604,  // QGlobalSpace::qIsNull(double)
    0,
    1350,  // QNetworkRequest::QNetworkRequest(const QUrl&)
    1351,  // QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    0,
    1559,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    1562,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    0,
    1560,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    1563,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    0,
    1561,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    1564,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    0,
    1545,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    1546,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    0,
    1427,  // QSslCertificate::QSslCertificate(const QSslCertificate&)
    1451,  // QSslCertificate::QSslCertificate(QIODevice*)
    1453,  // QSslCertificate::QSslCertificate(const QByteArray&)
    0,
    1425,  // QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    1426,  // QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    0,
    1576,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    1651,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    0,
    1107,  // QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    1129,  // QNetworkCookie::QNetworkCookie(const QByteArray&)
    0,
    885,  // QHttpResponseHeader::QHttpResponseHeader(const QString&)
    895,  // QHttpResponseHeader::QHttpResponseHeader(int)
    0,
    923,  // QIPv6Address::operator[](int)
    924,  // QIPv6Address::operator[](int) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 171, 19},	// QAbstractNetworkCache::QAbstractNetworkCache
    {1, 172, 16},	// QAbstractNetworkCache::QAbstractNetworkCache#
    {1, 419, 12},	// QAbstractNetworkCache::cacheSize
    {1, 427, 15},	// QAbstractNetworkCache::clear
    {1, 471, 10},	// QAbstractNetworkCache::data#
    {1, 567, 14},	// QAbstractNetworkCache::insert#
    {1, 629, 8},	// QAbstractNetworkCache::metaData#
    {1, 631, 1},	// QAbstractNetworkCache::metaObject
    {1, 748, 13},	// QAbstractNetworkCache::prepare#
    {1, 918, 7},	// QAbstractNetworkCache::qt_metacall$$?
    {1, 920, 2},	// QAbstractNetworkCache::qt_metacast$
    {1, 959, 11},	// QAbstractNetworkCache::remove#
    {1, 1218, 20},	// QAbstractNetworkCache::staticMetaObject
    {1, 1240, 17},	// QAbstractNetworkCache::tr$
    {1, 1241, 3},	// QAbstractNetworkCache::tr$$
    {1, 1242, 5},	// QAbstractNetworkCache::tr$$$
    {1, 1244, 18},	// QAbstractNetworkCache::trUtf8$
    {1, 1245, 4},	// QAbstractNetworkCache::trUtf8$$
    {1, 1246, 6},	// QAbstractNetworkCache::trUtf8$$$
    {1, 1249, 9},	// QAbstractNetworkCache::updateMetaData#
    {1, 1277, 21},	// QAbstractNetworkCache::~QAbstractNetworkCache
    {2, 4, 106},	// QAbstractSocket::AddressInUseError
    {2, 18, 122},	// QAbstractSocket::BoundState
    {2, 34, 124},	// QAbstractSocket::ClosingState
    {2, 38, 121},	// QAbstractSocket::ConnectedState
    {2, 40, 120},	// QAbstractSocket::ConnectingState
    {2, 46, 98},	// QAbstractSocket::ConnectionRefusedError
    {2, 59, 104},	// QAbstractSocket::DatagramTooLargeError
    {2, 79, 119},	// QAbstractSocket::HostLookupState
    {2, 83, 100},	// QAbstractSocket::HostNotFoundError
    {2, 90, 95},	// QAbstractSocket::IPv4Protocol
    {2, 91, 96},	// QAbstractSocket::IPv6Protocol
    {2, 101, 126},	// QAbstractSocket::KeepAliveOption
    {2, 124, 123},	// QAbstractSocket::ListeningState
    {2, 131, 125},	// QAbstractSocket::LowDelayOption
    {2, 136, 105},	// QAbstractSocket::NetworkError
    {2, 161, 110},	// QAbstractSocket::ProxyAuthenticationRequiredError
    {2, 162, 113},	// QAbstractSocket::ProxyConnectionClosedError
    {2, 163, 112},	// QAbstractSocket::ProxyConnectionRefusedError
    {2, 164, 114},	// QAbstractSocket::ProxyConnectionTimeoutError
    {2, 165, 115},	// QAbstractSocket::ProxyNotFoundError
    {2, 166, 116},	// QAbstractSocket::ProxyProtocolError
    {2, 174, 29},	// QAbstractSocket::QAbstractSocket$#
    {2, 297, 99},	// QAbstractSocket::RemoteHostClosedError
    {2, 311, 101},	// QAbstractSocket::SocketAccessError
    {2, 312, 107},	// QAbstractSocket::SocketAddressNotAvailableError
    {2, 313, 102},	// QAbstractSocket::SocketResourceError
    {2, 314, 103},	// QAbstractSocket::SocketTimeoutError
    {2, 318, 111},	// QAbstractSocket::SslHandshakeFailedError
    {2, 325, 92},	// QAbstractSocket::TcpSocket
    {2, 332, 93},	// QAbstractSocket::UdpSocket
    {2, 341, 118},	// QAbstractSocket::UnconnectedState
    {2, 344, 109},	// QAbstractSocket::UnfinishedSocketOperationError
    {2, 349, 97},	// QAbstractSocket::UnknownNetworkLayerProtocol
    {2, 353, 117},	// QAbstractSocket::UnknownSocketError
    {2, 354, 94},	// QAbstractSocket::UnknownSocketType
    {2, 356, 108},	// QAbstractSocket::UnsupportedSocketOperationError
    {2, 367, 44},	// QAbstractSocket::abort
    {2, 399, 54},	// QAbstractSocket::atEnd
    {2, 414, 34},	// QAbstractSocket::bytesAvailable
    {2, 415, 35},	// QAbstractSocket::bytesToWrite
    {2, 420, 36},	// QAbstractSocket::canReadLine
    {2, 430, 52},	// QAbstractSocket::close
    {2, 439, 83},	// QAbstractSocket::connectToHost#$
    {2, 440, 31},	// QAbstractSocket::connectToHost#$$
    {2, 442, 82},	// QAbstractSocket::connectToHost$$
    {2, 443, 30},	// QAbstractSocket::connectToHost$$$
    {2, 449, 90},	// QAbstractSocket::connectToHostImplementation$$
    {2, 450, 68},	// QAbstractSocket::connectToHostImplementation$$$
    {2, 454, 63},	// QAbstractSocket::connected
    {2, 486, 32},	// QAbstractSocket::disconnectFromHost
    {2, 487, 69},	// QAbstractSocket::disconnectFromHostImplementation
    {2, 490, 64},	// QAbstractSocket::disconnected
    {2, 505, 51},	// QAbstractSocket::error
    {2, 506, 66},	// QAbstractSocket::error$
    {2, 518, 55},	// QAbstractSocket::flush
    {2, 557, 62},	// QAbstractSocket::hostFound
    {2, 588, 53},	// QAbstractSocket::isSequential
    {2, 592, 33},	// QAbstractSocket::isValid
    {2, 613, 38},	// QAbstractSocket::localAddress
    {2, 617, 37},	// QAbstractSocket::localPort
    {2, 631, 22},	// QAbstractSocket::metaObject
    {2, 728, 40},	// QAbstractSocket::peerAddress
    {2, 732, 41},	// QAbstractSocket::peerName
    {2, 733, 39},	// QAbstractSocket::peerPort
    {2, 754, 61},	// QAbstractSocket::proxy
    {2, 756, 67},	// QAbstractSocket::proxyAuthenticationRequired##
    {2, 918, 28},	// QAbstractSocket::qt_metacall$$?
    {2, 920, 23},	// QAbstractSocket::qt_metacast$
    {2, 945, 42},	// QAbstractSocket::readBufferSize
    {2, 947, 70},	// QAbstractSocket::readData$?
    {2, 953, 71},	// QAbstractSocket::readLineData$?
    {2, 1070, 76},	// QAbstractSocket::setLocalAddress#
    {2, 1076, 75},	// QAbstractSocket::setLocalPort$
    {2, 1101, 78},	// QAbstractSocket::setPeerAddress#
    {2, 1105, 79},	// QAbstractSocket::setPeerName$
    {2, 1107, 77},	// QAbstractSocket::setPeerPort$
    {2, 1131, 60},	// QAbstractSocket::setProxy#
    {2, 1144, 43},	// QAbstractSocket::setReadBufferSize?
    {2, 1163, 84},	// QAbstractSocket::setSocketDescriptor$
    {2, 1164, 85},	// QAbstractSocket::setSocketDescriptor$$
    {2, 1165, 46},	// QAbstractSocket::setSocketDescriptor$$$
    {2, 1170, 74},	// QAbstractSocket::setSocketError$
    {2, 1172, 47},	// QAbstractSocket::setSocketOption$#
    {2, 1174, 73},	// QAbstractSocket::setSocketState$
    {2, 1205, 45},	// QAbstractSocket::socketDescriptor
    {2, 1207, 48},	// QAbstractSocket::socketOption$
    {2, 1208, 49},	// QAbstractSocket::socketType
    {2, 1215, 50},	// QAbstractSocket::state
    {2, 1217, 65},	// QAbstractSocket::stateChanged$
    {2, 1218, 91},	// QAbstractSocket::staticMetaObject
    {2, 1240, 80},	// QAbstractSocket::tr$
    {2, 1241, 24},	// QAbstractSocket::tr$$
    {2, 1242, 26},	// QAbstractSocket::tr$$$
    {2, 1244, 81},	// QAbstractSocket::trUtf8$
    {2, 1245, 25},	// QAbstractSocket::trUtf8$$
    {2, 1246, 27},	// QAbstractSocket::trUtf8$$$
    {2, 1259, 88},	// QAbstractSocket::waitForBytesWritten
    {2, 1260, 58},	// QAbstractSocket::waitForBytesWritten$
    {2, 1261, 86},	// QAbstractSocket::waitForConnected
    {2, 1262, 56},	// QAbstractSocket::waitForConnected$
    {2, 1263, 89},	// QAbstractSocket::waitForDisconnected
    {2, 1264, 59},	// QAbstractSocket::waitForDisconnected$
    {2, 1270, 87},	// QAbstractSocket::waitForReadyRead
    {2, 1271, 57},	// QAbstractSocket::waitForReadyRead$
    {2, 1273, 72},	// QAbstractSocket::writeData$?
    {2, 1278, 127},	// QAbstractSocket::~QAbstractSocket
    {3, 175, 128},	// QAuthenticator::QAuthenticator
    {3, 176, 129},	// QAuthenticator::QAuthenticator#
    {3, 483, 139},	// QAuthenticator::detach
    {3, 584, 138},	// QAuthenticator::isNull
    {3, 650, 132},	// QAuthenticator::operator!=#
    {3, 686, 130},	// QAuthenticator::operator=#
    {3, 689, 131},	// QAuthenticator::operator==#
    {3, 726, 135},	// QAuthenticator::password
    {3, 956, 137},	// QAuthenticator::realm
    {3, 1097, 136},	// QAuthenticator::setPassword$
    {3, 1193, 134},	// QAuthenticator::setUser$
    {3, 1254, 133},	// QAuthenticator::user
    {3, 1279, 140},	// QAuthenticator::~QAuthenticator
    {16, 3, 222},	// QFtp::Active
    {16, 11, 225},	// QFtp::Ascii
    {16, 17, 224},	// QFtp::Binary
    {16, 25, 214},	// QFtp::Cd
    {16, 32, 212},	// QFtp::Close
    {16, 33, 201},	// QFtp::Closing
    {16, 36, 210},	// QFtp::ConnectToHost
    {16, 37, 199},	// QFtp::Connected
    {16, 39, 198},	// QFtp::Connecting
    {16, 45, 205},	// QFtp::ConnectionRefused
    {16, 74, 215},	// QFtp::Get
    {16, 78, 197},	// QFtp::HostLookup
    {16, 82, 204},	// QFtp::HostNotFound
    {16, 122, 213},	// QFtp::List
    {16, 129, 200},	// QFtp::LoggedIn
    {16, 130, 211},	// QFtp::Login
    {16, 134, 218},	// QFtp::Mkdir
    {16, 137, 202},	// QFtp::NoError
    {16, 141, 207},	// QFtp::None
    {16, 144, 206},	// QFtp::NotConnected
    {16, 150, 223},	// QFtp::Passive
    {16, 169, 216},	// QFtp::Put
    {16, 177, 186},	// QFtp::QFtp
    {16, 178, 148},	// QFtp::QFtp#
    {16, 289, 221},	// QFtp::RawCommand
    {16, 298, 217},	// QFtp::Remove
    {16, 299, 220},	// QFtp::Rename
    {16, 301, 219},	// QFtp::Rmdir
    {16, 308, 209},	// QFtp::SetProxy
    {16, 309, 208},	// QFtp::SetTransferMode
    {16, 340, 196},	// QFtp::Unconnected
    {16, 347, 203},	// QFtp::UnknownError
    {16, 367, 175},	// QFtp::abort
    {16, 414, 164},	// QFtp::bytesAvailable
    {16, 423, 155},	// QFtp::cd$
    {16, 428, 171},	// QFtp::clearPendingCommands
    {16, 430, 152},	// QFtp::close
    {16, 433, 182},	// QFtp::commandFinished$$
    {16, 435, 181},	// QFtp::commandStarted$
    {16, 441, 187},	// QFtp::connectToHost$
    {16, 442, 150},	// QFtp::connectToHost$$
    {16, 463, 169},	// QFtp::currentCommand
    {16, 465, 168},	// QFtp::currentDevice
    {16, 466, 167},	// QFtp::currentId
    {16, 477, 179},	// QFtp::dataTransferProgress??
    {16, 493, 183},	// QFtp::done$
    {16, 505, 173},	// QFtp::error
    {16, 507, 174},	// QFtp::errorString
    {16, 534, 191},	// QFtp::get$
    {16, 535, 192},	// QFtp::get$#
    {16, 536, 156},	// QFtp::get$#$
    {16, 546, 170},	// QFtp::hasPendingCommands
    {16, 605, 190},	// QFtp::list
    {16, 606, 154},	// QFtp::list$
    {16, 608, 177},	// QFtp::listInfo#
    {16, 618, 188},	// QFtp::login
    {16, 619, 189},	// QFtp::login$
    {16, 620, 151},	// QFtp::login$$
    {16, 631, 141},	// QFtp::metaObject
    {16, 635, 160},	// QFtp::mkdir$
    {16, 763, -34},	// QFtp::put#$
    {16, 764, -37},	// QFtp::put#$$
    {16, 918, 147},	// QFtp::qt_metacall$$?
    {16, 920, 142},	// QFtp::qt_metacast$
    {16, 934, 163},	// QFtp::rawCommand$
    {16, 936, 180},	// QFtp::rawCommandReply$$
    {16, 943, 165},	// QFtp::read$?
    {16, 944, 166},	// QFtp::readAll
    {16, 954, 178},	// QFtp::readyRead
    {16, 960, 159},	// QFtp::remove$
    {16, 968, 162},	// QFtp::rename$$
    {16, 981, 161},	// QFtp::rmdir$
    {16, 1132, 149},	// QFtp::setProxy$$
    {16, 1185, 153},	// QFtp::setTransferMode$
    {16, 1215, 172},	// QFtp::state
    {16, 1217, 176},	// QFtp::stateChanged$
    {16, 1218, 195},	// QFtp::staticMetaObject
    {16, 1240, 184},	// QFtp::tr$
    {16, 1241, 143},	// QFtp::tr$$
    {16, 1242, 145},	// QFtp::tr$$$
    {16, 1244, 185},	// QFtp::trUtf8$
    {16, 1245, 144},	// QFtp::trUtf8$$
    {16, 1246, 146},	// QFtp::trUtf8$$$
    {16, 1280, 226},	// QFtp::~QFtp
    {17, 103, 672},	// QGlobalSpace::LicensedActiveQt
    {17, 104, 678},	// QGlobalSpace::LicensedCore
    {17, 105, 670},	// QGlobalSpace::LicensedDBus
    {17, 106, 675},	// QGlobalSpace::LicensedDeclarative
    {17, 107, 665},	// QGlobalSpace::LicensedGui
    {17, 108, 684},	// QGlobalSpace::LicensedHelp
    {17, 109, 685},	// QGlobalSpace::LicensedMultimedia
    {17, 110, 688},	// QGlobalSpace::LicensedNetwork
    {17, 111, 677},	// QGlobalSpace::LicensedOpenGL
    {17, 112, 669},	// QGlobalSpace::LicensedOpenVG
    {17, 113, 686},	// QGlobalSpace::LicensedQt3Support
    {17, 114, 667},	// QGlobalSpace::LicensedQt3SupportLight
    {17, 115, 668},	// QGlobalSpace::LicensedScript
    {17, 116, 673},	// QGlobalSpace::LicensedScriptTools
    {17, 117, 676},	// QGlobalSpace::LicensedSql
    {17, 118, 674},	// QGlobalSpace::LicensedSvg
    {17, 119, 671},	// QGlobalSpace::LicensedTest
    {17, 120, 666},	// QGlobalSpace::LicensedXml
    {17, 121, 687},	// QGlobalSpace::LicensedXmlPatterns
    {17, 278, 660},	// QGlobalSpace::Q_COMPLEX_TYPE
    {17, 279, 664},	// QGlobalSpace::Q_DUMMY_TYPE
    {17, 280, 663},	// QGlobalSpace::Q_MOVABLE_TYPE
    {17, 281, 661},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {17, 282, 662},	// QGlobalSpace::Q_STATIC_TYPE
    {17, 283, 681},	// QGlobalSpace::QtCriticalMsg
    {17, 284, 679},	// QGlobalSpace::QtDebugMsg
    {17, 285, 682},	// QGlobalSpace::QtFatalMsg
    {17, 286, 683},	// QGlobalSpace::QtSystemMsg
    {17, 287, 680},	// QGlobalSpace::QtWarningMsg
    {17, 651, -56},	// QGlobalSpace::operator!=##
    {17, 652, -73},	// QGlobalSpace::operator!=#$
    {17, 654, -79},	// QGlobalSpace::operator!=$#
    {17, 655, 621},	// QGlobalSpace::operator!=$$
    {17, 657, 399},	// QGlobalSpace::operator&##
    {17, 659, -86},	// QGlobalSpace::operator*#$
    {17, 660, -91},	// QGlobalSpace::operator*$#
    {17, 662, -96},	// QGlobalSpace::operator+##
    {17, 663, -102},	// QGlobalSpace::operator+#$
    {17, 664, -107},	// QGlobalSpace::operator+$#
    {17, 665, -112},	// QGlobalSpace::operator+$$
    {17, 667, -118},	// QGlobalSpace::operator-#
    {17, 668, -121},	// QGlobalSpace::operator-##
    {17, 670, -126},	// QGlobalSpace::operator/#$
    {17, 672, -131},	// QGlobalSpace::operator<##
    {17, 673, 242},	// QGlobalSpace::operator<#$
    {17, 674, -136},	// QGlobalSpace::operator<$#
    {17, 675, 464},	// QGlobalSpace::operator<$$
    {17, 677, -139},	// QGlobalSpace::operator<<##
    {17, 678, -190},	// QGlobalSpace::operator<<#$
    {17, 679, 552},	// QGlobalSpace::operator<<#?
    {17, 681, -202},	// QGlobalSpace::operator<=##
    {17, 682, 421},	// QGlobalSpace::operator<=#$
    {17, 683, -207},	// QGlobalSpace::operator<=$#
    {17, 684, 384},	// QGlobalSpace::operator<=$$
    {17, 690, -210},	// QGlobalSpace::operator==##
    {17, 691, -228},	// QGlobalSpace::operator==#$
    {17, 693, -234},	// QGlobalSpace::operator==$#
    {17, 694, 531},	// QGlobalSpace::operator==$$
    {17, 696, -242},	// QGlobalSpace::operator>##
    {17, 697, 618},	// QGlobalSpace::operator>#$
    {17, 698, -247},	// QGlobalSpace::operator>$#
    {17, 699, 243},	// QGlobalSpace::operator>$$
    {17, 701, -250},	// QGlobalSpace::operator>=##
    {17, 702, 402},	// QGlobalSpace::operator>=#$
    {17, 703, -255},	// QGlobalSpace::operator>=$#
    {17, 704, 559},	// QGlobalSpace::operator>=$$
    {17, 706, -258},	// QGlobalSpace::operator>>##
    {17, 707, -282},	// QGlobalSpace::operator>>#$
    {17, 708, 497},	// QGlobalSpace::operator>>#?
    {17, 712, 647},	// QGlobalSpace::operator^##
    {17, 714, 313},	// QGlobalSpace::operator|##
    {17, 715, -285},	// QGlobalSpace::operator|$$
    {17, 766, 229},	// QGlobalSpace::qAcos$
    {17, 768, 501},	// QGlobalSpace::qAddPostRoutine$
    {17, 769, 234},	// QGlobalSpace::qAppName
    {17, 771, 648},	// QGlobalSpace::qAsin$
    {17, 773, 316},	// QGlobalSpace::qAtan$
    {17, 775, 288},	// QGlobalSpace::qAtan2$$
    {17, 776, 650},	// QGlobalSpace::qBadAlloc
    {17, 778, 490},	// QGlobalSpace::qCeil$
    {17, 780, 429},	// QGlobalSpace::qChecksum$$
    {17, 782, 335},	// QGlobalSpace::qCompress#
    {17, 783, 334},	// QGlobalSpace::qCompress#$
    {17, 784, 545},	// QGlobalSpace::qCompress$$
    {17, 785, 544},	// QGlobalSpace::qCompress$$$
    {17, 787, 517},	// QGlobalSpace::qCos$
    {17, 788, 438},	// QGlobalSpace::qCritical
    {17, 789, 381},	// QGlobalSpace::qDebug
    {17, 791, 455},	// QGlobalSpace::qExp$
    {17, 793, 355},	// QGlobalSpace::qFabs$
    {17, 795, 422},	// QGlobalSpace::qFastCos$
    {17, 797, 250},	// QGlobalSpace::qFastSin$
    {17, 799, 413},	// QGlobalSpace::qFlagLocation$
    {17, 801, 546},	// QGlobalSpace::qFloor$
    {17, 803, 557},	// QGlobalSpace::qFree$
    {17, 805, 638},	// QGlobalSpace::qFreeAligned$
    {17, 807, -385},	// QGlobalSpace::qFuzzyCompare$$
    {17, 809, -388},	// QGlobalSpace::qFuzzyIsNull$
    {17, 811, -391},	// QGlobalSpace::qHash#
    {17, 812, -400},	// QGlobalSpace::qHash$
    {17, 813, -411},	// QGlobalSpace::qHash?
    {17, 814, 508},	// QGlobalSpace::qInf
    {17, 816, 432},	// QGlobalSpace::qInstallMsgHandler$
    {17, 818, -414},	// QGlobalSpace::qIntCast$
    {17, 820, -417},	// QGlobalSpace::qIsFinite$
    {17, 822, -420},	// QGlobalSpace::qIsInf$
    {17, 824, -423},	// QGlobalSpace::qIsNaN$
    {17, 826, -426},	// QGlobalSpace::qIsNull$
    {17, 828, 644},	// QGlobalSpace::qLn$
    {17, 830, 603},	// QGlobalSpace::qMalloc?
    {17, 832, 518},	// QGlobalSpace::qMallocAligned??
    {17, 834, 556},	// QGlobalSpace::qMemCopy$$?
    {17, 836, 487},	// QGlobalSpace::qMemSet$$?
    {17, 838, 439},	// QGlobalSpace::qPow$$
    {17, 839, 278},	// QGlobalSpace::qQNaN
    {17, 841, 363},	// QGlobalSpace::qRealloc$?
    {17, 843, 340},	// QGlobalSpace::qReallocAligned$???
    {17, 845, 502},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {17, 847, 423},	// QGlobalSpace::qRemovePostRoutine$
    {17, 849, 227},	// QGlobalSpace::qRound$
    {17, 851, 595},	// QGlobalSpace::qRound64$
    {17, 852, 598},	// QGlobalSpace::qSNaN
    {17, 854, 622},	// QGlobalSpace::qSetFieldWidth$
    {17, 856, 280},	// QGlobalSpace::qSetPadChar#
    {17, 858, 565},	// QGlobalSpace::qSetRealNumberPrecision$
    {17, 859, 504},	// QGlobalSpace::qSharedBuild
    {17, 861, 574},	// QGlobalSpace::qSin$
    {17, 863, 343},	// QGlobalSpace::qSqrt$
    {17, 865, 536},	// QGlobalSpace::qStringComparisonHelper#$
    {17, 866, 623},	// QGlobalSpace::qStringComparisonHelper$$
    {17, 868, 594},	// QGlobalSpace::qTan$
    {17, 870, 417},	// QGlobalSpace::qUncompress#
    {17, 871, 332},	// QGlobalSpace::qUncompress$$
    {17, 872, 527},	// QGlobalSpace::qVersion
    {17, 873, 368},	// QGlobalSpace::qWarning
    {17, 875, 466},	// QGlobalSpace::qbswap_helper$$$
    {17, 877, 241},	// QGlobalSpace::qgetenv$
    {17, 879, 605},	// QGlobalSpace::qputenv$#
    {17, 880, 566},	// QGlobalSpace::qrand
    {17, 882, 475},	// QGlobalSpace::qsrand$
    {17, 884, 398},	// QGlobalSpace::qstrcmp##
    {17, 885, 297},	// QGlobalSpace::qstrcmp#$
    {17, 886, 317},	// QGlobalSpace::qstrcmp$#
    {17, 887, 301},	// QGlobalSpace::qstrcmp$$
    {17, 889, 312},	// QGlobalSpace::qstrcpy$$
    {17, 891, 298},	// QGlobalSpace::qstrdup$
    {17, 893, 485},	// QGlobalSpace::qstricmp$$
    {17, 895, 582},	// QGlobalSpace::qstrlen$
    {17, 897, 252},	// QGlobalSpace::qstrncmp$$$
    {17, 899, 236},	// QGlobalSpace::qstrncpy$$$
    {17, 901, 509},	// QGlobalSpace::qstrnicmp$$$
    {17, 903, 262},	// QGlobalSpace::qstrnlen$$
    {17, 905, 287},	// QGlobalSpace::qtTrId$
    {17, 906, 286},	// QGlobalSpace::qtTrId$$
    {17, 908, 579},	// QGlobalSpace::qt_assert$$$
    {17, 910, 521},	// QGlobalSpace::qt_assert_x$$$$
    {17, 912, 326},	// QGlobalSpace::qt_check_pointer$$
    {17, 913, 274},	// QGlobalSpace::qt_error_string
    {17, 914, 273},	// QGlobalSpace::qt_error_string$
    {17, 916, 473},	// QGlobalSpace::qt_message_output$$
    {17, 921, 447},	// QGlobalSpace::qt_noop
    {17, 923, 452},	// QGlobalSpace::qt_qFindChild_helper#$#
    {17, 925, 271},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {17, 930, 463},	// QGlobalSpace::qvariant_cast_helper#$$
    {17, 932, 256},	// QGlobalSpace::qvsnprintf$?$?
    {19, 7, 723},	// QHostAddress::Any
    {19, 8, 724},	// QHostAddress::AnyIPv6
    {19, 19, 720},	// QHostAddress::Broadcast
    {19, 125, 721},	// QHostAddress::LocalHost
    {19, 126, 722},	// QHostAddress::LocalHostIPv6
    {19, 146, 719},	// QHostAddress::Null
    {19, 179, 689},	// QHostAddress::QHostAddress
    {19, 180, -40},	// QHostAddress::QHostAddress#
    {19, 181, -44},	// QHostAddress::QHostAddress$
    {19, 427, 715},	// QHostAddress::clear
    {19, 581, 716},	// QHostAddress::isInSubnet#$
    {19, 582, 717},	// QHostAddress::isInSubnet?
    {19, 584, 714},	// QHostAddress::isNull
    {19, 650, 712},	// QHostAddress::operator!=#
    {19, 653, 713},	// QHostAddress::operator!=$
    {19, 686, 697},	// QHostAddress::operator=#
    {19, 687, 698},	// QHostAddress::operator=$
    {19, 689, 710},	// QHostAddress::operator==#
    {19, 692, 711},	// QHostAddress::operator==$
    {19, 725, 718},	// QHostAddress::parseSubnet$
    {19, 751, 704},	// QHostAddress::protocol
    {19, 983, 708},	// QHostAddress::scopeId
    {19, 995, -49},	// QHostAddress::setAddress#
    {19, 996, -52},	// QHostAddress::setAddress$
    {19, 1155, 709},	// QHostAddress::setScopeId$
    {19, 1232, 705},	// QHostAddress::toIPv4Address
    {19, 1233, 706},	// QHostAddress::toIPv6Address
    {19, 1238, 707},	// QHostAddress::toString
    {19, 1281, 725},	// QHostAddress::~QHostAddress
    {20, 82, 746},	// QHostInfo::HostNotFound
    {20, 137, 745},	// QHostInfo::NoError
    {20, 182, 744},	// QHostInfo::QHostInfo
    {20, 183, 727},	// QHostInfo::QHostInfo#
    {20, 184, 726},	// QHostInfo::QHostInfo$
    {20, 347, 747},	// QHostInfo::UnknownError
    {20, 369, 740},	// QHostInfo::abortHostLookup$
    {20, 390, 731},	// QHostInfo::addresses
    {20, 505, 733},	// QHostInfo::error
    {20, 507, 735},	// QHostInfo::errorString
    {20, 526, 741},	// QHostInfo::fromName$
    {20, 558, 729},	// QHostInfo::hostName
    {20, 615, 743},	// QHostInfo::localDomainName
    {20, 616, 742},	// QHostInfo::localHostName
    {20, 622, 739},	// QHostInfo::lookupHost$#$
    {20, 623, 738},	// QHostInfo::lookupId
    {20, 686, 728},	// QHostInfo::operator=#
    {20, 998, 732},	// QHostInfo::setAddresses?
    {20, 1043, 734},	// QHostInfo::setError$
    {20, 1046, 736},	// QHostInfo::setErrorString$
    {20, 1060, 730},	// QHostInfo::setHostName$
    {20, 1078, 737},	// QHostInfo::setLookupId$
    {20, 1282, 748},	// QHostInfo::~QHostInfo
    {21, 1, 834},	// QHttp::Aborted
    {21, 12, 835},	// QHttp::AuthenticationRequiredError
    {21, 33, 826},	// QHttp::Closing
    {21, 37, 825},	// QHttp::Connected
    {21, 39, 822},	// QHttp::Connecting
    {21, 43, 818},	// QHttp::ConnectionModeHttp
    {21, 44, 819},	// QHttp::ConnectionModeHttps
    {21, 45, 830},	// QHttp::ConnectionRefused
    {21, 78, 821},	// QHttp::HostLookup
    {21, 82, 829},	// QHttp::HostNotFound
    {21, 96, 832},	// QHttp::InvalidResponseHeader
    {21, 137, 827},	// QHttp::NoError
    {21, 161, 836},	// QHttp::ProxyAuthenticationRequiredError
    {21, 185, 801},	// QHttp::QHttp
    {21, 186, 756},	// QHttp::QHttp#
    {21, 187, 802},	// QHttp::QHttp$
    {21, 188, -16},	// QHttp::QHttp$$
    {21, 189, 757},	// QHttp::QHttp$$#
    {21, 190, 805},	// QHttp::QHttp$$$
    {21, 191, 758},	// QHttp::QHttp$$$#
    {21, 295, 824},	// QHttp::Reading
    {21, 305, 823},	// QHttp::Sending
    {21, 340, 820},	// QHttp::Unconnected
    {21, 343, 831},	// QHttp::UnexpectedClose
    {21, 347, 828},	// QHttp::UnknownError
    {21, 366, 833},	// QHttp::WrongContentLength
    {21, 367, 786},	// QHttp::abort
    {21, 407, 797},	// QHttp::authenticationRequired$$#
    {21, 414, 773},	// QHttp::bytesAvailable
    {21, 429, 782},	// QHttp::clearPendingRequests
    {21, 430, 772},	// QHttp::close
    {21, 431, 771},	// QHttp::closeConnection
    {21, 464, 778},	// QHttp::currentDestinationDevice
    {21, 466, 776},	// QHttp::currentId
    {21, 467, 779},	// QHttp::currentRequest
    {21, 468, 777},	// QHttp::currentSourceDevice
    {21, 473, 792},	// QHttp::dataReadProgress$$
    {21, 475, 791},	// QHttp::dataSendProgress$$
    {21, 493, 795},	// QHttp::done$
    {21, 505, 784},	// QHttp::error
    {21, 507, 785},	// QHttp::errorString
    {21, 534, 811},	// QHttp::get$
    {21, 535, 765},	// QHttp::get$#
    {21, 549, 781},	// QHttp::hasPendingRequests
    {21, 554, 768},	// QHttp::head$
    {21, 560, 787},	// QHttp::ignoreSslErrors
    {21, 601, 780},	// QHttp::lastResponse
    {21, 631, 749},	// QHttp::metaObject
    {21, 744, -19},	// QHttp::post$#
    {21, 745, -22},	// QHttp::post$##
    {21, 756, 796},	// QHttp::proxyAuthenticationRequired##
    {21, 918, 755},	// QHttp::qt_metacall$$?
    {21, 920, 750},	// QHttp::qt_metacast$
    {21, 943, 774},	// QHttp::read$?
    {21, 944, 775},	// QHttp::readAll
    {21, 955, 790},	// QHttp::readyRead#
    {21, 970, 814},	// QHttp::request#
    {21, 971, -25},	// QHttp::request##
    {21, 972, -28},	// QHttp::request###
    {21, 974, 794},	// QHttp::requestFinished$$
    {21, 976, 793},	// QHttp::requestStarted$
    {21, 979, 789},	// QHttp::responseHeaderReceived#
    {21, 1056, 806},	// QHttp::setHost$
    {21, 1057, -31},	// QHttp::setHost$$
    {21, 1058, 760},	// QHttp::setHost$$$
    {21, 1131, 764},	// QHttp::setProxy#
    {21, 1132, 809},	// QHttp::setProxy$$
    {21, 1133, 810},	// QHttp::setProxy$$$
    {21, 1134, 763},	// QHttp::setProxy$$$$
    {21, 1161, 761},	// QHttp::setSocket#
    {21, 1193, 808},	// QHttp::setUser$
    {21, 1194, 762},	// QHttp::setUser$$
    {21, 1212, 798},	// QHttp::sslErrors?
    {21, 1215, 783},	// QHttp::state
    {21, 1217, 788},	// QHttp::stateChanged$
    {21, 1218, 817},	// QHttp::staticMetaObject
    {21, 1240, 799},	// QHttp::tr$
    {21, 1241, 751},	// QHttp::tr$$
    {21, 1242, 753},	// QHttp::tr$$$
    {21, 1244, 800},	// QHttp::trUtf8$
    {21, 1245, 752},	// QHttp::trUtf8$$
    {21, 1246, 754},	// QHttp::trUtf8$$$
    {21, 1283, 837},	// QHttp::~QHttp
    {22, 192, 838},	// QHttpHeader::QHttpHeader
    {22, 193, 839},	// QHttpHeader::QHttpHeader#
    {22, 194, 840},	// QHttpHeader::QHttpHeader$
    {22, 388, 844},	// QHttpHeader::addValue$$
    {22, 396, 849},	// QHttpHeader::allValues$
    {22, 455, 853},	// QHttpHeader::contentLength
    {22, 456, 856},	// QHttpHeader::contentType
    {22, 542, 852},	// QHttpHeader::hasContentLength
    {22, 543, 855},	// QHttpHeader::hasContentType
    {22, 545, 846},	// QHttpHeader::hasKey$
    {22, 592, 859},	// QHttpHeader::isValid
    {22, 598, 847},	// QHttpHeader::keys
    {22, 624, 860},	// QHttpHeader::majorVersion
    {22, 633, 861},	// QHttpHeader::minorVersion
    {22, 686, 841},	// QHttpHeader::operator=#
    {22, 719, 863},	// QHttpHeader::parse$
    {22, 723, 862},	// QHttpHeader::parseLine$$
    {22, 962, 851},	// QHttpHeader::removeAllValues$
    {22, 966, 850},	// QHttpHeader::removeValue$
    {22, 1025, 854},	// QHttpHeader::setContentLength$
    {22, 1027, 857},	// QHttpHeader::setContentType$
    {22, 1196, 864},	// QHttpHeader::setValid$
    {22, 1199, 842},	// QHttpHeader::setValue$$
    {22, 1201, 843},	// QHttpHeader::setValues?
    {22, 1238, 858},	// QHttpHeader::toString
    {22, 1256, 848},	// QHttpHeader::value$
    {22, 1257, 845},	// QHttpHeader::values
    {22, 1284, 865},	// QHttpHeader::~QHttpHeader
    {23, 195, 866},	// QHttpRequestHeader::QHttpRequestHeader
    {23, 196, 868},	// QHttpRequestHeader::QHttpRequestHeader#
    {23, 197, 869},	// QHttpRequestHeader::QHttpRequestHeader$
    {23, 198, 878},	// QHttpRequestHeader::QHttpRequestHeader$$
    {23, 199, 879},	// QHttpRequestHeader::QHttpRequestHeader$$$
    {23, 200, 867},	// QHttpRequestHeader::QHttpRequestHeader$$$$
    {23, 624, 874},	// QHttpRequestHeader::majorVersion
    {23, 632, 872},	// QHttpRequestHeader::method
    {23, 633, 875},	// QHttpRequestHeader::minorVersion
    {23, 686, 870},	// QHttpRequestHeader::operator=#
    {23, 723, 877},	// QHttpRequestHeader::parseLine$$
    {23, 727, 873},	// QHttpRequestHeader::path
    {23, 1149, 880},	// QHttpRequestHeader::setRequest$$
    {23, 1150, 881},	// QHttpRequestHeader::setRequest$$$
    {23, 1151, 871},	// QHttpRequestHeader::setRequest$$$$
    {23, 1238, 876},	// QHttpRequestHeader::toString
    {23, 1285, 882},	// QHttpRequestHeader::~QHttpRequestHeader
    {24, 201, 883},	// QHttpResponseHeader::QHttpResponseHeader
    {24, 202, 884},	// QHttpResponseHeader::QHttpResponseHeader#
    {24, 203, -457},	// QHttpResponseHeader::QHttpResponseHeader$
    {24, 204, 896},	// QHttpResponseHeader::QHttpResponseHeader$$
    {24, 205, 897},	// QHttpResponseHeader::QHttpResponseHeader$$$
    {24, 206, 886},	// QHttpResponseHeader::QHttpResponseHeader$$$$
    {24, 624, 891},	// QHttpResponseHeader::majorVersion
    {24, 633, 892},	// QHttpResponseHeader::minorVersion
    {24, 686, 887},	// QHttpResponseHeader::operator=#
    {24, 723, 894},	// QHttpResponseHeader::parseLine$$
    {24, 957, 890},	// QHttpResponseHeader::reasonPhrase
    {24, 1178, 898},	// QHttpResponseHeader::setStatusLine$
    {24, 1179, 899},	// QHttpResponseHeader::setStatusLine$$
    {24, 1180, 900},	// QHttpResponseHeader::setStatusLine$$$
    {24, 1181, 888},	// QHttpResponseHeader::setStatusLine$$$$
    {24, 1219, 889},	// QHttpResponseHeader::statusCode
    {24, 1238, 893},	// QHttpResponseHeader::toString
    {24, 1286, 901},	// QHttpResponseHeader::~QHttpResponseHeader
    {26, 207, 925},	// QIPv6Address::QIPv6Address
    {26, 208, 926},	// QIPv6Address::QIPv6Address#
    {26, 710, -460},	// QIPv6Address::operator[]$
    {26, 1287, 927},	// QIPv6Address::~QIPv6Address
    {31, 209, 953},	// QLocalServer::QLocalServer
    {31, 210, 936},	// QLocalServer::QLocalServer#
    {31, 430, 937},	// QLocalServer::close
    {31, 507, 938},	// QLocalServer::errorString
    {31, 531, 945},	// QLocalServer::fullServerName
    {31, 547, 939},	// QLocalServer::hasPendingConnections
    {31, 564, 950},	// QLocalServer::incomingConnection?
    {31, 583, 940},	// QLocalServer::isListening
    {31, 612, 941},	// QLocalServer::listen$
    {31, 626, 942},	// QLocalServer::maxPendingConnections
    {31, 631, 928},	// QLocalServer::metaObject
    {31, 645, 935},	// QLocalServer::newConnection
    {31, 646, 943},	// QLocalServer::nextPendingConnection
    {31, 918, 934},	// QLocalServer::qt_metacall$$?
    {31, 920, 929},	// QLocalServer::qt_metacast$
    {31, 964, 946},	// QLocalServer::removeServer$
    {31, 990, 947},	// QLocalServer::serverError
    {31, 991, 944},	// QLocalServer::serverName
    {31, 1080, 948},	// QLocalServer::setMaxPendingConnections$
    {31, 1218, 956},	// QLocalServer::staticMetaObject
    {31, 1240, 951},	// QLocalServer::tr$
    {31, 1241, 930},	// QLocalServer::tr$$
    {31, 1242, 932},	// QLocalServer::tr$$$
    {31, 1244, 952},	// QLocalServer::trUtf8$
    {31, 1245, 931},	// QLocalServer::trUtf8$$
    {31, 1246, 933},	// QLocalServer::trUtf8$$$
    {31, 1267, 954},	// QLocalServer::waitForNewConnection
    {31, 1268, 955},	// QLocalServer::waitForNewConnection$
    {31, 1269, 949},	// QLocalServer::waitForNewConnection$$
    {31, 1288, 957},	// QLocalServer::~QLocalServer
    {32, 34, 1018},	// QLocalSocket::ClosingState
    {32, 38, 1017},	// QLocalSocket::ConnectedState
    {32, 40, 1016},	// QLocalSocket::ConnectingState
    {32, 42, 1012},	// QLocalSocket::ConnectionError
    {32, 46, 1005},	// QLocalSocket::ConnectionRefusedError
    {32, 59, 1011},	// QLocalSocket::DatagramTooLargeError
    {32, 152, 1006},	// QLocalSocket::PeerClosedError
    {32, 211, 996},	// QLocalSocket::QLocalSocket
    {32, 212, 965},	// QLocalSocket::QLocalSocket#
    {32, 306, 1007},	// QLocalSocket::ServerNotFoundError
    {32, 311, 1008},	// QLocalSocket::SocketAccessError
    {32, 313, 1009},	// QLocalSocket::SocketResourceError
    {32, 314, 1010},	// QLocalSocket::SocketTimeoutError
    {32, 341, 1015},	// QLocalSocket::UnconnectedState
    {32, 353, 1014},	// QLocalSocket::UnknownSocketError
    {32, 356, 1013},	// QLocalSocket::UnsupportedSocketOperationError
    {32, 367, 970},	// QLocalSocket::abort
    {32, 414, 972},	// QLocalSocket::bytesAvailable
    {32, 415, 973},	// QLocalSocket::bytesToWrite
    {32, 420, 974},	// QLocalSocket::canReadLine
    {32, 430, 975},	// QLocalSocket::close
    {32, 452, 997},	// QLocalSocket::connectToServer$
    {32, 453, 966},	// QLocalSocket::connectToServer$$
    {32, 454, 988},	// QLocalSocket::connected
    {32, 488, 967},	// QLocalSocket::disconnectFromServer
    {32, 490, 989},	// QLocalSocket::disconnected
    {32, 505, 976},	// QLocalSocket::error
    {32, 506, 990},	// QLocalSocket::error$
    {32, 518, 977},	// QLocalSocket::flush
    {32, 531, 969},	// QLocalSocket::fullServerName
    {32, 588, 971},	// QLocalSocket::isSequential
    {32, 592, 978},	// QLocalSocket::isValid
    {32, 631, 958},	// QLocalSocket::metaObject
    {32, 918, 964},	// QLocalSocket::qt_metacall$$?
    {32, 920, 959},	// QLocalSocket::qt_metacast$
    {32, 945, 979},	// QLocalSocket::readBufferSize
    {32, 947, 992},	// QLocalSocket::readData$?
    {32, 991, 968},	// QLocalSocket::serverName
    {32, 1144, 980},	// QLocalSocket::setReadBufferSize?
    {32, 1166, 998},	// QLocalSocket::setSocketDescriptor?
    {32, 1167, 999},	// QLocalSocket::setSocketDescriptor?$
    {32, 1168, 981},	// QLocalSocket::setSocketDescriptor?$$
    {32, 1205, 982},	// QLocalSocket::socketDescriptor
    {32, 1215, 983},	// QLocalSocket::state
    {32, 1217, 991},	// QLocalSocket::stateChanged$
    {32, 1218, 1004},	// QLocalSocket::staticMetaObject
    {32, 1240, 994},	// QLocalSocket::tr$
    {32, 1241, 960},	// QLocalSocket::tr$$
    {32, 1242, 962},	// QLocalSocket::tr$$$
    {32, 1244, 995},	// QLocalSocket::trUtf8$
    {32, 1245, 961},	// QLocalSocket::trUtf8$$
    {32, 1246, 963},	// QLocalSocket::trUtf8$$$
    {32, 1259, 1000},	// QLocalSocket::waitForBytesWritten
    {32, 1260, 984},	// QLocalSocket::waitForBytesWritten$
    {32, 1261, 1001},	// QLocalSocket::waitForConnected
    {32, 1262, 985},	// QLocalSocket::waitForConnected$
    {32, 1263, 1002},	// QLocalSocket::waitForDisconnected
    {32, 1264, 986},	// QLocalSocket::waitForDisconnected$
    {32, 1270, 1003},	// QLocalSocket::waitForReadyRead
    {32, 1271, 987},	// QLocalSocket::waitForReadyRead$
    {32, 1273, 993},	// QLocalSocket::writeData$?
    {32, 1289, 1019},	// QLocalSocket::~QLocalSocket
    {37, 2, 1071},	// QNetworkAccessManager::Accessible
    {37, 57, 1067},	// QNetworkAccessManager::CustomOperation
    {37, 62, 1066},	// QNetworkAccessManager::DeleteOperation
    {37, 75, 1063},	// QNetworkAccessManager::GetOperation
    {37, 76, 1062},	// QNetworkAccessManager::HeadOperation
    {37, 143, 1070},	// QNetworkAccessManager::NotAccessible
    {37, 154, 1065},	// QNetworkAccessManager::PostOperation
    {37, 170, 1064},	// QNetworkAccessManager::PutOperation
    {37, 213, 1058},	// QNetworkAccessManager::QNetworkAccessManager
    {37, 214, 1027},	// QNetworkAccessManager::QNetworkAccessManager#
    {37, 345, 1069},	// QNetworkAccessManager::UnknownAccessibility
    {37, 350, 1068},	// QNetworkAccessManager::UnknownOperation
    {37, 370, 1046},	// QNetworkAccessManager::activeConfiguration
    {37, 406, 1050},	// QNetworkAccessManager::authenticationRequired##
    {37, 417, 1032},	// QNetworkAccessManager::cache
    {37, 436, 1045},	// QNetworkAccessManager::configuration
    {37, 457, 1034},	// QNetworkAccessManager::cookieJar
    {37, 461, 1060},	// QNetworkAccessManager::createRequest$#
    {37, 462, 1055},	// QNetworkAccessManager::createRequest$##
    {37, 482, 1042},	// QNetworkAccessManager::deleteResource#
    {37, 516, 1051},	// QNetworkAccessManager::finished#
    {37, 533, 1037},	// QNetworkAccessManager::get#
    {37, 553, 1036},	// QNetworkAccessManager::head#
    {37, 631, 1020},	// QNetworkAccessManager::metaObject
    {37, 641, 1048},	// QNetworkAccessManager::networkAccessible
    {37, 643, 1054},	// QNetworkAccessManager::networkAccessibleChanged$
    {37, 644, 1053},	// QNetworkAccessManager::networkSessionConnected
    {37, 743, -10},	// QNetworkAccessManager::post##
    {37, 754, 1028},	// QNetworkAccessManager::proxy
    {37, 756, 1049},	// QNetworkAccessManager::proxyAuthenticationRequired##
    {37, 757, 1030},	// QNetworkAccessManager::proxyFactory
    {37, 762, -13},	// QNetworkAccessManager::put##
    {37, 918, 1026},	// QNetworkAccessManager::qt_metacall$$?
    {37, 920, 1021},	// QNetworkAccessManager::qt_metacast$
    {37, 986, 1059},	// QNetworkAccessManager::sendCustomRequest##
    {37, 987, 1043},	// QNetworkAccessManager::sendCustomRequest###
    {37, 1014, 1033},	// QNetworkAccessManager::setCache#
    {37, 1023, 1044},	// QNetworkAccessManager::setConfiguration#
    {37, 1029, 1035},	// QNetworkAccessManager::setCookieJar#
    {37, 1089, 1047},	// QNetworkAccessManager::setNetworkAccessible$
    {37, 1131, 1029},	// QNetworkAccessManager::setProxy#
    {37, 1136, 1031},	// QNetworkAccessManager::setProxyFactory#
    {37, 1211, 1052},	// QNetworkAccessManager::sslErrors#?
    {37, 1218, 1061},	// QNetworkAccessManager::staticMetaObject
    {37, 1240, 1056},	// QNetworkAccessManager::tr$
    {37, 1241, 1022},	// QNetworkAccessManager::tr$$
    {37, 1242, 1024},	// QNetworkAccessManager::tr$$$
    {37, 1244, 1057},	// QNetworkAccessManager::trUtf8$
    {37, 1245, 1023},	// QNetworkAccessManager::trUtf8$$
    {37, 1246, 1025},	// QNetworkAccessManager::trUtf8$$$
    {37, 1290, 1072},	// QNetworkAccessManager::~QNetworkAccessManager
    {38, 215, 1073},	// QNetworkAddressEntry::QNetworkAddressEntry
    {38, 216, 1074},	// QNetworkAddressEntry::QNetworkAddressEntry#
    {38, 413, 1084},	// QNetworkAddressEntry::broadcast
    {38, 572, 1078},	// QNetworkAddressEntry::ip
    {38, 640, 1080},	// QNetworkAddressEntry::netmask
    {38, 650, 1077},	// QNetworkAddressEntry::operator!=#
    {38, 686, 1075},	// QNetworkAddressEntry::operator=#
    {38, 689, 1076},	// QNetworkAddressEntry::operator==#
    {38, 746, 1082},	// QNetworkAddressEntry::prefixLength
    {38, 1010, 1085},	// QNetworkAddressEntry::setBroadcast#
    {38, 1064, 1079},	// QNetworkAddressEntry::setIp#
    {38, 1087, 1081},	// QNetworkAddressEntry::setNetmask#
    {38, 1117, 1083},	// QNetworkAddressEntry::setPrefixLength$
    {38, 1291, 1086},	// QNetworkAddressEntry::~QNetworkAddressEntry
    {39, 217, 1087},	// QNetworkCacheMetaData::QNetworkCacheMetaData
    {39, 218, 1088},	// QNetworkCacheMetaData::QNetworkCacheMetaData#
    {39, 403, 1103},	// QNetworkCacheMetaData::attributes
    {39, 510, 1099},	// QNetworkCacheMetaData::expirationDate
    {39, 592, 1092},	// QNetworkCacheMetaData::isValid
    {39, 599, 1097},	// QNetworkCacheMetaData::lastModified
    {39, 650, 1091},	// QNetworkCacheMetaData::operator!=#
    {39, 686, 1089},	// QNetworkCacheMetaData::operator=#
    {39, 689, 1090},	// QNetworkCacheMetaData::operator==#
    {39, 941, 1095},	// QNetworkCacheMetaData::rawHeaders
    {39, 982, 1101},	// QNetworkCacheMetaData::saveToDisk
    {39, 1008, 1104},	// QNetworkCacheMetaData::setAttributes?
    {39, 1048, 1100},	// QNetworkCacheMetaData::setExpirationDate#
    {39, 1066, 1098},	// QNetworkCacheMetaData::setLastModified#
    {39, 1142, 1096},	// QNetworkCacheMetaData::setRawHeaders?
    {39, 1153, 1102},	// QNetworkCacheMetaData::setSaveToDisk$
    {39, 1189, 1094},	// QNetworkCacheMetaData::setUrl#
    {39, 1252, 1093},	// QNetworkCacheMetaData::url
    {39, 1292, 1105},	// QNetworkCacheMetaData::~QNetworkCacheMetaData
    {41, 73, 1132},	// QNetworkCookie::Full
    {41, 135, 1131},	// QNetworkCookie::NameAndValueOnly
    {41, 219, 1128},	// QNetworkCookie::QNetworkCookie
    {41, 220, -454},	// QNetworkCookie::QNetworkCookie#
    {41, 221, 1106},	// QNetworkCookie::QNetworkCookie##
    {41, 491, 1118},	// QNetworkCookie::domain
    {41, 510, 1116},	// QNetworkCookie::expirationDate
    {41, 579, 1113},	// QNetworkCookie::isHttpOnly
    {41, 587, 1111},	// QNetworkCookie::isSecure
    {41, 589, 1115},	// QNetworkCookie::isSessionCookie
    {41, 639, 1122},	// QNetworkCookie::name
    {41, 650, 1110},	// QNetworkCookie::operator!=#
    {41, 686, 1108},	// QNetworkCookie::operator=#
    {41, 689, 1109},	// QNetworkCookie::operator==#
    {41, 721, 1127},	// QNetworkCookie::parseCookies#
    {41, 727, 1120},	// QNetworkCookie::path
    {41, 1041, 1119},	// QNetworkCookie::setDomain$
    {41, 1048, 1117},	// QNetworkCookie::setExpirationDate#
    {41, 1062, 1114},	// QNetworkCookie::setHttpOnly$
    {41, 1084, 1123},	// QNetworkCookie::setName#
    {41, 1099, 1121},	// QNetworkCookie::setPath$
    {41, 1157, 1112},	// QNetworkCookie::setSecure$
    {41, 1198, 1125},	// QNetworkCookie::setValue#
    {41, 1236, 1130},	// QNetworkCookie::toRawForm
    {41, 1237, 1126},	// QNetworkCookie::toRawForm$
    {41, 1255, 1124},	// QNetworkCookie::value
    {41, 1293, 1133},	// QNetworkCookie::~QNetworkCookie
    {42, 222, 1148},	// QNetworkCookieJar::QNetworkCookieJar
    {42, 223, 1141},	// QNetworkCookieJar::QNetworkCookieJar#
    {42, 393, 1144},	// QNetworkCookieJar::allCookies
    {42, 459, 1142},	// QNetworkCookieJar::cookiesForUrl#
    {42, 631, 1134},	// QNetworkCookieJar::metaObject
    {42, 918, 1140},	// QNetworkCookieJar::qt_metacall$$?
    {42, 920, 1135},	// QNetworkCookieJar::qt_metacast$
    {42, 1000, 1145},	// QNetworkCookieJar::setAllCookies?
    {42, 1031, 1143},	// QNetworkCookieJar::setCookiesFromUrl?#
    {42, 1218, 1149},	// QNetworkCookieJar::staticMetaObject
    {42, 1240, 1146},	// QNetworkCookieJar::tr$
    {42, 1241, 1136},	// QNetworkCookieJar::tr$$
    {42, 1242, 1138},	// QNetworkCookieJar::tr$$$
    {42, 1244, 1147},	// QNetworkCookieJar::trUtf8$
    {42, 1245, 1137},	// QNetworkCookieJar::trUtf8$$
    {42, 1246, 1139},	// QNetworkCookieJar::trUtf8$$$
    {42, 1294, 1150},	// QNetworkCookieJar::~QNetworkCookieJar
    {43, 224, 1175},	// QNetworkDiskCache::QNetworkDiskCache
    {43, 225, 1158},	// QNetworkDiskCache::QNetworkDiskCache#
    {43, 418, 1159},	// QNetworkDiskCache::cacheDirectory
    {43, 419, 1163},	// QNetworkDiskCache::cacheSize
    {43, 427, 1171},	// QNetworkDiskCache::clear
    {43, 471, 1166},	// QNetworkDiskCache::data#
    {43, 511, 1172},	// QNetworkDiskCache::expire
    {43, 514, 1170},	// QNetworkDiskCache::fileMetaData$
    {43, 567, 1169},	// QNetworkDiskCache::insert#
    {43, 627, 1161},	// QNetworkDiskCache::maximumCacheSize
    {43, 629, 1164},	// QNetworkDiskCache::metaData#
    {43, 631, 1151},	// QNetworkDiskCache::metaObject
    {43, 748, 1168},	// QNetworkDiskCache::prepare#
    {43, 918, 1157},	// QNetworkDiskCache::qt_metacall$$?
    {43, 920, 1152},	// QNetworkDiskCache::qt_metacast$
    {43, 959, 1167},	// QNetworkDiskCache::remove#
    {43, 1016, 1160},	// QNetworkDiskCache::setCacheDirectory$
    {43, 1082, 1162},	// QNetworkDiskCache::setMaximumCacheSize?
    {43, 1218, 1176},	// QNetworkDiskCache::staticMetaObject
    {43, 1240, 1173},	// QNetworkDiskCache::tr$
    {43, 1241, 1153},	// QNetworkDiskCache::tr$$
    {43, 1242, 1155},	// QNetworkDiskCache::tr$$$
    {43, 1244, 1174},	// QNetworkDiskCache::trUtf8$
    {43, 1245, 1154},	// QNetworkDiskCache::trUtf8$$
    {43, 1246, 1156},	// QNetworkDiskCache::trUtf8$$$
    {43, 1249, 1165},	// QNetworkDiskCache::updateMetaData#
    {43, 1295, 1177},	// QNetworkDiskCache::~QNetworkDiskCache
    {44, 23, 1194},	// QNetworkInterface::CanBroadcast
    {44, 24, 1197},	// QNetworkInterface::CanMulticast
    {44, 97, 1195},	// QNetworkInterface::IsLoopBack
    {44, 98, 1196},	// QNetworkInterface::IsPointToPoint
    {44, 99, 1193},	// QNetworkInterface::IsRunning
    {44, 100, 1192},	// QNetworkInterface::IsUp
    {44, 226, 1178},	// QNetworkInterface::QNetworkInterface
    {44, 227, 1179},	// QNetworkInterface::QNetworkInterface#
    {44, 389, 1187},	// QNetworkInterface::addressEntries
    {44, 392, 1191},	// QNetworkInterface::allAddresses
    {44, 394, 1190},	// QNetworkInterface::allInterfaces
    {44, 517, 1185},	// QNetworkInterface::flags
    {44, 541, 1186},	// QNetworkInterface::hardwareAddress
    {44, 559, 1184},	// QNetworkInterface::humanReadableName
    {44, 565, 1182},	// QNetworkInterface::index
    {44, 569, 1189},	// QNetworkInterface::interfaceFromIndex$
    {44, 571, 1188},	// QNetworkInterface::interfaceFromName$
    {44, 592, 1181},	// QNetworkInterface::isValid
    {44, 639, 1183},	// QNetworkInterface::name
    {44, 686, 1180},	// QNetworkInterface::operator=#
    {44, 1296, 1198},	// QNetworkInterface::~QNetworkInterface
    {45, 22, 1234},	// QNetworkProxy::CachingCapability
    {45, 61, 1225},	// QNetworkProxy::DefaultProxy
    {45, 72, 1230},	// QNetworkProxy::FtpCachingProxy
    {45, 80, 1235},	// QNetworkProxy::HostNameLookupCapability
    {45, 84, 1229},	// QNetworkProxy::HttpCachingProxy
    {45, 87, 1228},	// QNetworkProxy::HttpProxy
    {45, 123, 1232},	// QNetworkProxy::ListeningCapability
    {45, 139, 1227},	// QNetworkProxy::NoProxy
    {45, 228, 1199},	// QNetworkProxy::QNetworkProxy
    {45, 229, 1201},	// QNetworkProxy::QNetworkProxy#
    {45, 230, 1221},	// QNetworkProxy::QNetworkProxy$
    {45, 231, 1222},	// QNetworkProxy::QNetworkProxy$$
    {45, 232, 1223},	// QNetworkProxy::QNetworkProxy$$$
    {45, 233, 1224},	// QNetworkProxy::QNetworkProxy$$$$
    {45, 234, 1200},	// QNetworkProxy::QNetworkProxy$$$$$
    {45, 315, 1226},	// QNetworkProxy::Socks5Proxy
    {45, 331, 1231},	// QNetworkProxy::TunnelingCapability
    {45, 333, 1233},	// QNetworkProxy::UdpTunnelingCapability
    {45, 398, 1220},	// QNetworkProxy::applicationProxy
    {45, 421, 1208},	// QNetworkProxy::capabilities
    {45, 558, 1216},	// QNetworkProxy::hostName
    {45, 573, 1209},	// QNetworkProxy::isCachingProxy
    {45, 591, 1210},	// QNetworkProxy::isTransparentProxy
    {45, 650, 1204},	// QNetworkProxy::operator!=#
    {45, 686, 1202},	// QNetworkProxy::operator=#
    {45, 689, 1203},	// QNetworkProxy::operator==#
    {45, 726, 1214},	// QNetworkProxy::password
    {45, 740, 1218},	// QNetworkProxy::port
    {45, 1002, 1219},	// QNetworkProxy::setApplicationProxy#
    {45, 1018, 1207},	// QNetworkProxy::setCapabilities$
    {45, 1060, 1215},	// QNetworkProxy::setHostName$
    {45, 1097, 1213},	// QNetworkProxy::setPassword$
    {45, 1115, 1217},	// QNetworkProxy::setPort$
    {45, 1187, 1205},	// QNetworkProxy::setType$
    {45, 1193, 1211},	// QNetworkProxy::setUser$
    {45, 1247, 1206},	// QNetworkProxy::type
    {45, 1254, 1212},	// QNetworkProxy::user
    {45, 1297, 1236},	// QNetworkProxy::~QNetworkProxy
    {46, 235, 1237},	// QNetworkProxyFactory::QNetworkProxyFactory
    {46, 236, 1243},	// QNetworkProxyFactory::QNetworkProxyFactory#
    {46, 759, 1241},	// QNetworkProxyFactory::proxyForQuery#
    {46, 926, 1244},	// QNetworkProxyFactory::queryProxy
    {46, 927, 1238},	// QNetworkProxyFactory::queryProxy#
    {46, 1004, 1240},	// QNetworkProxyFactory::setApplicationProxyFactory#
    {46, 1191, 1239},	// QNetworkProxyFactory::setUseSystemConfiguration$
    {46, 1227, 1245},	// QNetworkProxyFactory::systemProxyForQuery
    {46, 1228, 1242},	// QNetworkProxyFactory::systemProxyForQuery#
    {46, 1298, 1246},	// QNetworkProxyFactory::~QNetworkProxyFactory
    {47, 237, 1247},	// QNetworkProxyQuery::QNetworkProxyQuery
    {47, 238, -1},	// QNetworkProxyQuery::QNetworkProxyQuery#
    {47, 239, 1248},	// QNetworkProxyQuery::QNetworkProxyQuery#$
    {47, 240, 1270},	// QNetworkProxyQuery::QNetworkProxyQuery$
    {47, 241, -4},	// QNetworkProxyQuery::QNetworkProxyQuery$$
    {47, 242, -7},	// QNetworkProxyQuery::QNetworkProxyQuery$$$
    {47, 243, 1249},	// QNetworkProxyQuery::QNetworkProxyQuery$$$$
    {47, 324, 1274},	// QNetworkProxyQuery::TcpServer
    {47, 325, 1272},	// QNetworkProxyQuery::TcpSocket
    {47, 332, 1273},	// QNetworkProxyQuery::UdpSocket
    {47, 357, 1275},	// QNetworkProxyQuery::UrlRequest
    {47, 617, 1261},	// QNetworkProxyQuery::localPort
    {47, 650, 1254},	// QNetworkProxyQuery::operator!=#
    {47, 686, 1252},	// QNetworkProxyQuery::operator=#
    {47, 689, 1253},	// QNetworkProxyQuery::operator==#
    {47, 731, 1259},	// QNetworkProxyQuery::peerHostName
    {47, 733, 1257},	// QNetworkProxyQuery::peerPort
    {47, 753, 1263},	// QNetworkProxyQuery::protocolTag
    {47, 928, 1255},	// QNetworkProxyQuery::queryType
    {47, 1076, 1262},	// QNetworkProxyQuery::setLocalPort$
    {47, 1103, 1260},	// QNetworkProxyQuery::setPeerHostName$
    {47, 1107, 1258},	// QNetworkProxyQuery::setPeerPort$
    {47, 1129, 1264},	// QNetworkProxyQuery::setProtocolTag$
    {47, 1138, 1256},	// QNetworkProxyQuery::setQueryType$
    {47, 1189, 1266},	// QNetworkProxyQuery::setUrl#
    {47, 1252, 1265},	// QNetworkProxyQuery::url
    {47, 1299, 1276},	// QNetworkProxyQuery::~QNetworkProxyQuery
    {48, 12, 1343},	// QNetworkReply::AuthenticationRequiredError
    {48, 46, 1326},	// QNetworkReply::ConnectionRefusedError
    {48, 47, 1340},	// QNetworkReply::ContentAccessDenied
    {48, 49, 1342},	// QNetworkReply::ContentNotFoundError
    {48, 50, 1341},	// QNetworkReply::ContentOperationNotPermittedError
    {48, 51, 1344},	// QNetworkReply::ContentReSendError
    {48, 83, 1328},	// QNetworkReply::HostNotFoundError
    {48, 137, 1325},	// QNetworkReply::NoError
    {48, 147, 1330},	// QNetworkReply::OperationCanceledError
    {48, 158, 1348},	// QNetworkReply::ProtocolFailure
    {48, 159, 1347},	// QNetworkReply::ProtocolInvalidOperationError
    {48, 160, 1346},	// QNetworkReply::ProtocolUnknownError
    {48, 161, 1338},	// QNetworkReply::ProxyAuthenticationRequiredError
    {48, 162, 1335},	// QNetworkReply::ProxyConnectionClosedError
    {48, 163, 1334},	// QNetworkReply::ProxyConnectionRefusedError
    {48, 165, 1336},	// QNetworkReply::ProxyNotFoundError
    {48, 167, 1337},	// QNetworkReply::ProxyTimeoutError
    {48, 244, 1323},	// QNetworkReply::QNetworkReply
    {48, 245, 1312},	// QNetworkReply::QNetworkReply#
    {48, 297, 1327},	// QNetworkReply::RemoteHostClosedError
    {48, 318, 1331},	// QNetworkReply::SslHandshakeFailedError
    {48, 326, 1332},	// QNetworkReply::TemporaryNetworkFailureError
    {48, 328, 1329},	// QNetworkReply::TimeoutError
    {48, 346, 1345},	// QNetworkReply::UnknownContentError
    {48, 348, 1333},	// QNetworkReply::UnknownNetworkError
    {48, 352, 1339},	// QNetworkReply::UnknownProxyError
    {48, 367, 1284},	// QNetworkReply::abort
    {48, 401, 1301},	// QNetworkReply::attribute$
    {48, 430, 1285},	// QNetworkReply::close
    {48, 495, 1311},	// QNetworkReply::downloadProgress??
    {48, 505, 1292},	// QNetworkReply::error
    {48, 506, 1308},	// QNetworkReply::error$
    {48, 515, 1307},	// QNetworkReply::finished
    {48, 551, 1297},	// QNetworkReply::hasRawHeader#
    {48, 556, 1296},	// QNetworkReply::header$
    {48, 560, 1305},	// QNetworkReply::ignoreSslErrors
    {48, 561, 1304},	// QNetworkReply::ignoreSslErrors?
    {48, 578, 1293},	// QNetworkReply::isFinished
    {48, 586, 1294},	// QNetworkReply::isRunning
    {48, 588, 1286},	// QNetworkReply::isSequential
    {48, 625, 1289},	// QNetworkReply::manager
    {48, 630, 1306},	// QNetworkReply::metaDataChanged
    {48, 631, 1277},	// QNetworkReply::metaObject
    {48, 648, 1290},	// QNetworkReply::operation
    {48, 918, 1283},	// QNetworkReply::qt_metacall$$?
    {48, 920, 1278},	// QNetworkReply::qt_metacast$
    {48, 938, 1299},	// QNetworkReply::rawHeader#
    {48, 939, 1298},	// QNetworkReply::rawHeaderList
    {48, 940, 1300},	// QNetworkReply::rawHeaderPairs
    {48, 945, 1287},	// QNetworkReply::readBufferSize
    {48, 969, 1291},	// QNetworkReply::request
    {48, 1006, 1320},	// QNetworkReply::setAttribute$#
    {48, 1044, 1316},	// QNetworkReply::setError$$
    {48, 1054, 1318},	// QNetworkReply::setHeader$#
    {48, 1091, 1314},	// QNetworkReply::setOperation$
    {48, 1140, 1319},	// QNetworkReply::setRawHeader##
    {48, 1144, 1288},	// QNetworkReply::setReadBufferSize?
    {48, 1148, 1315},	// QNetworkReply::setRequest#
    {48, 1176, 1303},	// QNetworkReply::setSslConfiguration#
    {48, 1189, 1317},	// QNetworkReply::setUrl#
    {48, 1209, 1302},	// QNetworkReply::sslConfiguration
    {48, 1212, 1309},	// QNetworkReply::sslErrors?
    {48, 1218, 1324},	// QNetworkReply::staticMetaObject
    {48, 1240, 1321},	// QNetworkReply::tr$
    {48, 1241, 1279},	// QNetworkReply::tr$$
    {48, 1242, 1281},	// QNetworkReply::tr$$$
    {48, 1244, 1322},	// QNetworkReply::trUtf8$
    {48, 1245, 1280},	// QNetworkReply::trUtf8$$
    {48, 1246, 1282},	// QNetworkReply::trUtf8$$$
    {48, 1251, 1310},	// QNetworkReply::uploadProgress??
    {48, 1252, 1295},	// QNetworkReply::url
    {48, 1273, 1313},	// QNetworkReply::writeData$?
    {48, 1300, 1349},	// QNetworkReply::~QNetworkReply
    {49, 5, 1398},	// QNetworkRequest::AlwaysCache
    {49, 6, 1395},	// QNetworkRequest::AlwaysNetwork
    {49, 13, 1391},	// QNetworkRequest::AuthenticationReuseAttribute
    {49, 16, 1399},	// QNetworkRequest::Automatic
    {49, 20, 1383},	// QNetworkRequest::CacheLoadControlAttribute
    {49, 21, 1384},	// QNetworkRequest::CacheSaveControlAttribute
    {49, 41, 1382},	// QNetworkRequest::ConnectionEncryptedAttribute
    {49, 48, 1374},	// QNetworkRequest::ContentLengthHeader
    {49, 52, 1373},	// QNetworkRequest::ContentTypeHeader
    {49, 53, 1377},	// QNetworkRequest::CookieHeader
    {49, 54, 1390},	// QNetworkRequest::CookieLoadControlAttribute
    {49, 55, 1392},	// QNetworkRequest::CookieSaveControlAttribute
    {49, 58, 1389},	// QNetworkRequest::CustomVerbAttribute
    {49, 65, 1386},	// QNetworkRequest::DoNotBufferUploadDataAttribute
    {49, 77, 1401},	// QNetworkRequest::HighPriority
    {49, 85, 1387},	// QNetworkRequest::HttpPipeliningAllowedAttribute
    {49, 86, 1388},	// QNetworkRequest::HttpPipeliningWasUsedAttribute
    {49, 88, 1380},	// QNetworkRequest::HttpReasonPhraseAttribute
    {49, 89, 1379},	// QNetworkRequest::HttpStatusCodeAttribute
    {49, 102, 1376},	// QNetworkRequest::LastModifiedHeader
    {49, 128, 1375},	// QNetworkRequest::LocationHeader
    {49, 132, 1403},	// QNetworkRequest::LowPriority
    {49, 133, 1400},	// QNetworkRequest::Manual
    {49, 142, 1402},	// QNetworkRequest::NormalPriority
    {49, 155, 1397},	// QNetworkRequest::PreferCache
    {49, 156, 1396},	// QNetworkRequest::PreferNetwork
    {49, 246, 1371},	// QNetworkRequest::QNetworkRequest
    {49, 247, -429},	// QNetworkRequest::QNetworkRequest#
    {49, 296, 1381},	// QNetworkRequest::RedirectionTargetAttribute
    {49, 307, 1378},	// QNetworkRequest::SetCookieHeader
    {49, 316, 1385},	// QNetworkRequest::SourceIsFromCacheAttribute
    {49, 358, 1393},	// QNetworkRequest::User
    {49, 359, 1394},	// QNetworkRequest::UserMax
    {49, 401, 1372},	// QNetworkRequest::attribute$
    {49, 402, 1363},	// QNetworkRequest::attribute$#
    {49, 551, 1359},	// QNetworkRequest::hasRawHeader#
    {49, 556, 1357},	// QNetworkRequest::header$
    {49, 650, 1354},	// QNetworkRequest::operator!=#
    {49, 686, 1352},	// QNetworkRequest::operator=#
    {49, 689, 1353},	// QNetworkRequest::operator==#
    {49, 716, 1368},	// QNetworkRequest::originatingObject
    {49, 749, 1369},	// QNetworkRequest::priority
    {49, 938, 1361},	// QNetworkRequest::rawHeader#
    {49, 939, 1360},	// QNetworkRequest::rawHeaderList
    {49, 1006, 1364},	// QNetworkRequest::setAttribute$#
    {49, 1054, 1358},	// QNetworkRequest::setHeader$#
    {49, 1093, 1367},	// QNetworkRequest::setOriginatingObject#
    {49, 1119, 1370},	// QNetworkRequest::setPriority$
    {49, 1140, 1362},	// QNetworkRequest::setRawHeader##
    {49, 1176, 1366},	// QNetworkRequest::setSslConfiguration#
    {49, 1189, 1356},	// QNetworkRequest::setUrl#
    {49, 1209, 1365},	// QNetworkRequest::sslConfiguration
    {49, 1252, 1355},	// QNetworkRequest::url
    {49, 1301, 1404},	// QNetworkRequest::~QNetworkRequest
    {59, 9, 1419},	// QSsl::AnyProtocol
    {59, 63, 1415},	// QSsl::Der
    {59, 64, 1422},	// QSsl::DnsEntry
    {59, 67, 1413},	// QSsl::Dsa
    {59, 68, 1421},	// QSsl::EmailEntry
    {59, 153, 1414},	// QSsl::Pem
    {59, 157, 1423},	// QSsl::PrivateKey
    {59, 168, 1424},	// QSsl::PublicKey
    {59, 302, 1412},	// QSsl::Rsa
    {59, 320, 1417},	// QSsl::SslV2
    {59, 321, 1416},	// QSsl::SslV3
    {59, 329, 1418},	// QSsl::TlsV1
    {59, 351, 1420},	// QSsl::UnknownProtocol
    {60, 35, 1460},	// QSslCertificate::CommonName
    {60, 56, 1463},	// QSslCertificate::CountryName
    {60, 127, 1461},	// QSslCertificate::LocalityName
    {60, 148, 1459},	// QSslCertificate::Organization
    {60, 149, 1462},	// QSslCertificate::OrganizationalUnitName
    {60, 248, 1452},	// QSslCertificate::QSslCertificate
    {60, 249, -444},	// QSslCertificate::QSslCertificate#
    {60, 250, -448},	// QSslCertificate::QSslCertificate#$
    {60, 322, 1464},	// QSslCertificate::StateOrProvinceName
    {60, 397, 1441},	// QSslCertificate::alternateSubjectNames
    {60, 427, 1433},	// QSslCertificate::clear
    {60, 484, 1454},	// QSslCertificate::digest
    {60, 485, 1436},	// QSslCertificate::digest$
    {60, 496, 1442},	// QSslCertificate::effectiveDate
    {60, 512, 1443},	// QSslCertificate::expiryDate
    {60, 520, 1458},	// QSslCertificate::fromData#
    {60, 521, 1449},	// QSslCertificate::fromData#$
    {60, 523, 1457},	// QSslCertificate::fromDevice#
    {60, 524, 1448},	// QSslCertificate::fromDevice#$
    {60, 528, 1455},	// QSslCertificate::fromPath$
    {60, 529, 1456},	// QSslCertificate::fromPath$$
    {60, 530, 1447},	// QSslCertificate::fromPath$$$
    {60, 540, 1450},	// QSslCertificate::handle
    {60, 584, 1431},	// QSslCertificate::isNull
    {60, 592, 1432},	// QSslCertificate::isValid
    {60, 595, 1438},	// QSslCertificate::issuerInfo#
    {60, 596, 1437},	// QSslCertificate::issuerInfo$
    {60, 650, 1430},	// QSslCertificate::operator!=#
    {60, 686, 1428},	// QSslCertificate::operator=#
    {60, 689, 1429},	// QSslCertificate::operator==#
    {60, 760, 1444},	// QSslCertificate::publicKey
    {60, 988, 1435},	// QSslCertificate::serialNumber
    {60, 1221, 1440},	// QSslCertificate::subjectInfo#
    {60, 1222, 1439},	// QSslCertificate::subjectInfo$
    {60, 1230, 1446},	// QSslCertificate::toDer
    {60, 1234, 1445},	// QSslCertificate::toPem
    {60, 1258, 1434},	// QSslCertificate::version
    {60, 1302, 1465},	// QSslCertificate::~QSslCertificate
    {61, 251, 1466},	// QSslCipher::QSslCipher
    {61, 252, 1468},	// QSslCipher::QSslCipher#
    {61, 253, 1467},	// QSslCipher::QSslCipher$$
    {61, 404, 1477},	// QSslCipher::authenticationMethod
    {61, 502, 1478},	// QSslCipher::encryptionMethod
    {61, 584, 1472},	// QSslCipher::isNull
    {61, 597, 1476},	// QSslCipher::keyExchangeMethod
    {61, 639, 1473},	// QSslCipher::name
    {61, 650, 1471},	// QSslCipher::operator!=#
    {61, 686, 1469},	// QSslCipher::operator=#
    {61, 689, 1470},	// QSslCipher::operator==#
    {61, 751, 1480},	// QSslCipher::protocol
    {61, 752, 1479},	// QSslCipher::protocolString
    {61, 1223, 1474},	// QSslCipher::supportedBits
    {61, 1253, 1475},	// QSslCipher::usedBits
    {61, 1303, 1481},	// QSslCipher::~QSslCipher
    {62, 254, 1482},	// QSslConfiguration::QSslConfiguration
    {62, 255, 1483},	// QSslConfiguration::QSslConfiguration#
    {62, 416, 1503},	// QSslConfiguration::caCertificates
    {62, 426, 1501},	// QSslConfiguration::ciphers
    {62, 480, 1505},	// QSslConfiguration::defaultConfiguration
    {62, 584, 1487},	// QSslConfiguration::isNull
    {62, 614, 1494},	// QSslConfiguration::localCertificate
    {62, 650, 1486},	// QSslConfiguration::operator!=#
    {62, 686, 1484},	// QSslConfiguration::operator=#
    {62, 689, 1485},	// QSslConfiguration::operator==#
    {62, 729, 1496},	// QSslConfiguration::peerCertificate
    {62, 730, 1497},	// QSslConfiguration::peerCertificateChain
    {62, 734, 1492},	// QSslConfiguration::peerVerifyDepth
    {62, 737, 1490},	// QSslConfiguration::peerVerifyMode
    {62, 750, 1499},	// QSslConfiguration::privateKey
    {62, 751, 1488},	// QSslConfiguration::protocol
    {62, 993, 1498},	// QSslConfiguration::sessionCipher
    {62, 1012, 1504},	// QSslConfiguration::setCaCertificates?
    {62, 1021, 1502},	// QSslConfiguration::setCiphers?
    {62, 1037, 1506},	// QSslConfiguration::setDefaultConfiguration#
    {62, 1072, 1495},	// QSslConfiguration::setLocalCertificate#
    {62, 1109, 1493},	// QSslConfiguration::setPeerVerifyDepth$
    {62, 1111, 1491},	// QSslConfiguration::setPeerVerifyMode$
    {62, 1121, 1500},	// QSslConfiguration::setPrivateKey#
    {62, 1127, 1489},	// QSslConfiguration::setProtocol$
    {62, 1304, 1507},	// QSslConfiguration::~QSslConfiguration
    {63, 14, 1538},	// QSslError::AuthorityIssuerSerialNumberMismatch
    {63, 26, 1524},	// QSslError::CertificateExpired
    {63, 27, 1523},	// QSslError::CertificateNotYetValid
    {63, 28, 1536},	// QSslError::CertificateRejected
    {63, 29, 1531},	// QSslError::CertificateRevoked
    {63, 30, 1522},	// QSslError::CertificateSignatureFailed
    {63, 31, 1535},	// QSslError::CertificateUntrusted
    {63, 81, 1540},	// QSslError::HostNameMismatch
    {63, 92, 1532},	// QSslError::InvalidCaCertificate
    {63, 93, 1526},	// QSslError::InvalidNotAfterField
    {63, 94, 1525},	// QSslError::InvalidNotBeforeField
    {63, 95, 1534},	// QSslError::InvalidPurpose
    {63, 137, 1518},	// QSslError::NoError
    {63, 138, 1539},	// QSslError::NoPeerCertificate
    {63, 140, 1541},	// QSslError::NoSslSupport
    {63, 151, 1533},	// QSslError::PathLengthExceeded
    {63, 256, 1508},	// QSslError::QSslError
    {63, 257, 1511},	// QSslError::QSslError#
    {63, 258, 1509},	// QSslError::QSslError$
    {63, 259, 1510},	// QSslError::QSslError$#
    {63, 303, 1527},	// QSslError::SelfSignedCertificate
    {63, 304, 1528},	// QSslError::SelfSignedCertificateInChain
    {63, 323, 1537},	// QSslError::SubjectIssuerMismatch
    {63, 334, 1521},	// QSslError::UnableToDecodeIssuerPublicKey
    {63, 335, 1520},	// QSslError::UnableToDecryptCertificateSignature
    {63, 336, 1519},	// QSslError::UnableToGetIssuerCertificate
    {63, 337, 1529},	// QSslError::UnableToGetLocalIssuerCertificate
    {63, 338, 1530},	// QSslError::UnableToVerifyFirstCertificate
    {63, 355, 1542},	// QSslError::UnspecifiedError
    {63, 424, 1517},	// QSslError::certificate
    {63, 505, 1515},	// QSslError::error
    {63, 507, 1516},	// QSslError::errorString
    {63, 650, 1514},	// QSslError::operator!=#
    {63, 686, 1512},	// QSslError::operator=#
    {63, 689, 1513},	// QSslError::operator==#
    {63, 1305, 1543},	// QSslError::~QSslError
    {64, 260, 1544},	// QSslKey::QSslKey
    {64, 261, 1547},	// QSslKey::QSslKey#
    {64, 262, -432},	// QSslKey::QSslKey#$
    {64, 263, -435},	// QSslKey::QSslKey#$$
    {64, 264, -438},	// QSslKey::QSslKey#$$$
    {64, 265, -441},	// QSslKey::QSslKey#$$$#
    {64, 391, 1553},	// QSslKey::algorithm
    {64, 427, 1550},	// QSslKey::clear
    {64, 540, 1556},	// QSslKey::handle
    {64, 584, 1549},	// QSslKey::isNull
    {64, 602, 1551},	// QSslKey::length
    {64, 650, 1558},	// QSslKey::operator!=#
    {64, 686, 1548},	// QSslKey::operator=#
    {64, 689, 1557},	// QSslKey::operator==#
    {64, 1230, 1566},	// QSslKey::toDer
    {64, 1231, 1555},	// QSslKey::toDer#
    {64, 1234, 1565},	// QSslKey::toPem
    {64, 1235, 1554},	// QSslKey::toPem#
    {64, 1247, 1552},	// QSslKey::type
    {64, 1306, 1567},	// QSslKey::~QSslKey
    {65, 15, 1674},	// QSslSocket::AutoVerifyPeer
    {65, 266, 1649},	// QSslSocket::QSslSocket
    {65, 267, 1575},	// QSslSocket::QSslSocket#
    {65, 288, 1672},	// QSslSocket::QueryPeer
    {65, 317, 1669},	// QSslSocket::SslClientMode
    {65, 319, 1670},	// QSslSocket::SslServerMode
    {65, 342, 1668},	// QSslSocket::UnencryptedMode
    {65, 360, 1671},	// QSslSocket::VerifyNone
    {65, 361, 1673},	// QSslSocket::VerifyPeer
    {65, 367, 1595},	// QSslSocket::abort
    {65, 372, 1617},	// QSslSocket::addCaCertificate#
    {65, 374, 1658},	// QSslSocket::addCaCertificates$
    {65, 375, 1659},	// QSslSocket::addCaCertificates$$
    {65, 376, 1616},	// QSslSocket::addCaCertificates$$$
    {65, 377, 1618},	// QSslSocket::addCaCertificates?
    {65, 379, 1622},	// QSslSocket::addDefaultCaCertificate#
    {65, 381, 1660},	// QSslSocket::addDefaultCaCertificates$
    {65, 382, 1661},	// QSslSocket::addDefaultCaCertificates$$
    {65, 383, 1621},	// QSslSocket::addDefaultCaCertificates$$$
    {65, 384, 1623},	// QSslSocket::addDefaultCaCertificates?
    {65, 399, 1593},	// QSslSocket::atEnd
    {65, 414, 1589},	// QSslSocket::bytesAvailable
    {65, 415, 1590},	// QSslSocket::bytesToWrite
    {65, 416, 1620},	// QSslSocket::caCertificates
    {65, 420, 1591},	// QSslSocket::canReadLine
    {65, 426, 1610},	// QSslSocket::ciphers
    {65, 430, 1592},	// QSslSocket::close
    {65, 445, 1650},	// QSslSocket::connectToHostEncrypted$$
    {65, 446, -451},	// QSslSocket::connectToHostEncrypted$$$
    {65, 447, 1577},	// QSslSocket::connectToHostEncrypted$$$$
    {65, 450, 1643},	// QSslSocket::connectToHostImplementation$$$
    {65, 478, 1625},	// QSslSocket::defaultCaCertificates
    {65, 479, 1614},	// QSslSocket::defaultCiphers
    {65, 487, 1644},	// QSslSocket::disconnectFromHostImplementation
    {65, 497, 1638},	// QSslSocket::encrypted
    {65, 498, 1597},	// QSslSocket::encryptedBytesAvailable
    {65, 499, 1598},	// QSslSocket::encryptedBytesToWrite
    {65, 501, 1642},	// QSslSocket::encryptedBytesWritten?
    {65, 518, 1594},	// QSslSocket::flush
    {65, 560, 1637},	// QSslSocket::ignoreSslErrors
    {65, 561, 1634},	// QSslSocket::ignoreSslErrors?
    {65, 575, 1582},	// QSslSocket::isEncrypted
    {65, 614, 1603},	// QSslSocket::localCertificate
    {65, 631, 1568},	// QSslSocket::metaObject
    {65, 636, 1581},	// QSslSocket::mode
    {65, 638, 1641},	// QSslSocket::modeChanged$
    {65, 729, 1604},	// QSslSocket::peerCertificate
    {65, 730, 1605},	// QSslSocket::peerCertificateChain
    {65, 734, 1587},	// QSslSocket::peerVerifyDepth
    {65, 736, 1639},	// QSslSocket::peerVerifyError#
    {65, 737, 1585},	// QSslSocket::peerVerifyMode
    {65, 750, 1609},	// QSslSocket::privateKey
    {65, 751, 1583},	// QSslSocket::protocol
    {65, 918, 1574},	// QSslSocket::qt_metacall$$?
    {65, 920, 1569},	// QSslSocket::qt_metacast$
    {65, 947, 1645},	// QSslSocket::readData$?
    {65, 993, 1606},	// QSslSocket::sessionCipher
    {65, 1012, 1619},	// QSslSocket::setCaCertificates?
    {65, 1020, 1612},	// QSslSocket::setCiphers$
    {65, 1021, 1611},	// QSslSocket::setCiphers?
    {65, 1033, 1624},	// QSslSocket::setDefaultCaCertificates?
    {65, 1035, 1613},	// QSslSocket::setDefaultCiphers?
    {65, 1072, 1601},	// QSslSocket::setLocalCertificate#
    {65, 1073, 1654},	// QSslSocket::setLocalCertificate$
    {65, 1074, 1602},	// QSslSocket::setLocalCertificate$$
    {65, 1109, 1588},	// QSslSocket::setPeerVerifyDepth$
    {65, 1111, 1586},	// QSslSocket::setPeerVerifyMode$
    {65, 1121, 1607},	// QSslSocket::setPrivateKey#
    {65, 1122, 1655},	// QSslSocket::setPrivateKey$
    {65, 1123, 1656},	// QSslSocket::setPrivateKey$$
    {65, 1124, 1657},	// QSslSocket::setPrivateKey$$$
    {65, 1125, 1608},	// QSslSocket::setPrivateKey$$$#
    {65, 1127, 1584},	// QSslSocket::setProtocol$
    {65, 1144, 1596},	// QSslSocket::setReadBufferSize?
    {65, 1163, 1652},	// QSslSocket::setSocketDescriptor$
    {65, 1164, 1653},	// QSslSocket::setSocketDescriptor$$
    {65, 1165, 1578},	// QSslSocket::setSocketDescriptor$$$
    {65, 1172, 1579},	// QSslSocket::setSocketOption$#
    {65, 1176, 1600},	// QSslSocket::setSslConfiguration#
    {65, 1207, 1580},	// QSslSocket::socketOption$
    {65, 1209, 1599},	// QSslSocket::sslConfiguration
    {65, 1210, 1632},	// QSslSocket::sslErrors
    {65, 1212, 1640},	// QSslSocket::sslErrors?
    {65, 1213, 1635},	// QSslSocket::startClientEncryption
    {65, 1214, 1636},	// QSslSocket::startServerEncryption
    {65, 1218, 1667},	// QSslSocket::staticMetaObject
    {65, 1224, 1615},	// QSslSocket::supportedCiphers
    {65, 1225, 1633},	// QSslSocket::supportsSsl
    {65, 1226, 1626},	// QSslSocket::systemCaCertificates
    {65, 1240, 1647},	// QSslSocket::tr$
    {65, 1241, 1570},	// QSslSocket::tr$$
    {65, 1242, 1572},	// QSslSocket::tr$$$
    {65, 1244, 1648},	// QSslSocket::trUtf8$
    {65, 1245, 1571},	// QSslSocket::trUtf8$$
    {65, 1246, 1573},	// QSslSocket::trUtf8$$$
    {65, 1259, 1665},	// QSslSocket::waitForBytesWritten
    {65, 1260, 1630},	// QSslSocket::waitForBytesWritten$
    {65, 1261, 1662},	// QSslSocket::waitForConnected
    {65, 1262, 1627},	// QSslSocket::waitForConnected$
    {65, 1263, 1666},	// QSslSocket::waitForDisconnected
    {65, 1264, 1631},	// QSslSocket::waitForDisconnected$
    {65, 1265, 1663},	// QSslSocket::waitForEncrypted
    {65, 1266, 1628},	// QSslSocket::waitForEncrypted$
    {65, 1270, 1664},	// QSslSocket::waitForReadyRead
    {65, 1271, 1629},	// QSslSocket::waitForReadyRead$
    {65, 1273, 1646},	// QSslSocket::writeData$?
    {65, 1307, 1675},	// QSslSocket::~QSslSocket
    {68, 268, 1705},	// QTcpServer::QTcpServer
    {68, 269, 1683},	// QTcpServer::QTcpServer#
    {68, 386, 1701},	// QTcpServer::addPendingConnection#
    {68, 430, 1685},	// QTcpServer::close
    {68, 507, 1697},	// QTcpServer::errorString
    {68, 547, 1694},	// QTcpServer::hasPendingConnections
    {68, 563, 1700},	// QTcpServer::incomingConnection$
    {68, 583, 1686},	// QTcpServer::isListening
    {68, 609, 1706},	// QTcpServer::listen
    {68, 610, 1707},	// QTcpServer::listen#
    {68, 611, 1684},	// QTcpServer::listen#$
    {68, 626, 1688},	// QTcpServer::maxPendingConnections
    {68, 631, 1676},	// QTcpServer::metaObject
    {68, 645, 1702},	// QTcpServer::newConnection
    {68, 646, 1695},	// QTcpServer::nextPendingConnection
    {68, 754, 1699},	// QTcpServer::proxy
    {68, 918, 1682},	// QTcpServer::qt_metacall$$?
    {68, 920, 1677},	// QTcpServer::qt_metacast$
    {68, 989, 1690},	// QTcpServer::serverAddress
    {68, 990, 1696},	// QTcpServer::serverError
    {68, 992, 1689},	// QTcpServer::serverPort
    {68, 1080, 1687},	// QTcpServer::setMaxPendingConnections$
    {68, 1131, 1698},	// QTcpServer::setProxy#
    {68, 1163, 1692},	// QTcpServer::setSocketDescriptor$
    {68, 1205, 1691},	// QTcpServer::socketDescriptor
    {68, 1218, 1710},	// QTcpServer::staticMetaObject
    {68, 1240, 1703},	// QTcpServer::tr$
    {68, 1241, 1678},	// QTcpServer::tr$$
    {68, 1242, 1680},	// QTcpServer::tr$$$
    {68, 1244, 1704},	// QTcpServer::trUtf8$
    {68, 1245, 1679},	// QTcpServer::trUtf8$$
    {68, 1246, 1681},	// QTcpServer::trUtf8$$$
    {68, 1267, 1708},	// QTcpServer::waitForNewConnection
    {68, 1268, 1709},	// QTcpServer::waitForNewConnection$
    {68, 1269, 1693},	// QTcpServer::waitForNewConnection$$
    {68, 1308, 1711},	// QTcpServer::~QTcpServer
    {69, 270, 1722},	// QTcpSocket::QTcpSocket
    {69, 271, 1719},	// QTcpSocket::QTcpSocket#
    {69, 631, 1712},	// QTcpSocket::metaObject
    {69, 918, 1718},	// QTcpSocket::qt_metacall$$?
    {69, 920, 1713},	// QTcpSocket::qt_metacast$
    {69, 1218, 1723},	// QTcpSocket::staticMetaObject
    {69, 1240, 1720},	// QTcpSocket::tr$
    {69, 1241, 1714},	// QTcpSocket::tr$$
    {69, 1242, 1716},	// QTcpSocket::tr$$$
    {69, 1244, 1721},	// QTcpSocket::trUtf8$
    {69, 1245, 1715},	// QTcpSocket::trUtf8$$
    {69, 1246, 1717},	// QTcpSocket::trUtf8$$$
    {69, 1309, 1724},	// QTcpSocket::~QTcpSocket
    {74, 60, 1749},	// QUdpSocket::DefaultForPlatform
    {74, 66, 1751},	// QUdpSocket::DontShareAddress
    {74, 272, 1744},	// QUdpSocket::QUdpSocket
    {74, 273, 1732},	// QUdpSocket::QUdpSocket#
    {74, 300, 1752},	// QUdpSocket::ReuseAddressHint
    {74, 310, 1750},	// QUdpSocket::ShareAddress
    {74, 408, 1745},	// QUdpSocket::bind
    {74, 409, 1733},	// QUdpSocket::bind#$
    {74, 410, 1735},	// QUdpSocket::bind#$$
    {74, 411, 1734},	// QUdpSocket::bind$
    {74, 412, 1736},	// QUdpSocket::bind$$
    {74, 548, 1737},	// QUdpSocket::hasPendingDatagrams
    {74, 631, 1725},	// QUdpSocket::metaObject
    {74, 738, 1738},	// QUdpSocket::pendingDatagramSize
    {74, 918, 1731},	// QUdpSocket::qt_metacall$$?
    {74, 920, 1726},	// QUdpSocket::qt_metacast$
    {74, 949, 1746},	// QUdpSocket::readDatagram$?
    {74, 950, 1747},	// QUdpSocket::readDatagram$?#
    {74, 951, 1739},	// QUdpSocket::readDatagram$?#$
    {74, 1218, 1748},	// QUdpSocket::staticMetaObject
    {74, 1240, 1742},	// QUdpSocket::tr$
    {74, 1241, 1727},	// QUdpSocket::tr$$
    {74, 1242, 1729},	// QUdpSocket::tr$$$
    {74, 1244, 1743},	// QUdpSocket::trUtf8$
    {74, 1245, 1728},	// QUdpSocket::trUtf8$$
    {74, 1246, 1730},	// QUdpSocket::trUtf8$$$
    {74, 1275, 1741},	// QUdpSocket::writeDatagram##$
    {74, 1276, 1740},	// QUdpSocket::writeDatagram$?#$
    {74, 1310, 1753},	// QUdpSocket::~QUdpSocket
    {76, 69, 1795},	// QUrlInfo::ExeGroup
    {76, 70, 1798},	// QUrlInfo::ExeOther
    {76, 71, 1792},	// QUrlInfo::ExeOwner
    {76, 274, 1754},	// QUrlInfo::QUrlInfo
    {76, 275, 1755},	// QUrlInfo::QUrlInfo#
    {76, 276, 1757},	// QUrlInfo::QUrlInfo#$$$?##$$$$$$
    {76, 277, 1756},	// QUrlInfo::QUrlInfo$$$$?##$$$$$$
    {76, 290, 1793},	// QUrlInfo::ReadGroup
    {76, 292, 1796},	// QUrlInfo::ReadOther
    {76, 293, 1790},	// QUrlInfo::ReadOwner
    {76, 362, 1794},	// QUrlInfo::WriteGroup
    {76, 364, 1797},	// QUrlInfo::WriteOther
    {76, 365, 1791},	// QUrlInfo::WriteOwner
    {76, 504, 1787},	// QUrlInfo::equal##$
    {76, 538, 1785},	// QUrlInfo::greaterThan##$
    {76, 539, 1775},	// QUrlInfo::group
    {76, 574, 1779},	// QUrlInfo::isDir
    {76, 576, 1784},	// QUrlInfo::isExecutable
    {76, 577, 1780},	// QUrlInfo::isFile
    {76, 585, 1783},	// QUrlInfo::isReadable
    {76, 590, 1781},	// QUrlInfo::isSymLink
    {76, 592, 1771},	// QUrlInfo::isValid
    {76, 593, 1782},	// QUrlInfo::isWritable
    {76, 599, 1777},	// QUrlInfo::lastModified
    {76, 600, 1778},	// QUrlInfo::lastRead
    {76, 604, 1786},	// QUrlInfo::lessThan##$
    {76, 639, 1772},	// QUrlInfo::name
    {76, 650, 1789},	// QUrlInfo::operator!=#
    {76, 686, 1758},	// QUrlInfo::operator=#
    {76, 689, 1788},	// QUrlInfo::operator==#
    {76, 717, 1774},	// QUrlInfo::owner
    {76, 739, 1773},	// QUrlInfo::permissions
    {76, 1039, 1760},	// QUrlInfo::setDir$
    {76, 1050, 1761},	// QUrlInfo::setFile$
    {76, 1052, 1764},	// QUrlInfo::setGroup$
    {76, 1066, 1769},	// QUrlInfo::setLastModified#
    {76, 1068, 1770},	// QUrlInfo::setLastRead#
    {76, 1085, 1759},	// QUrlInfo::setName$
    {76, 1095, 1763},	// QUrlInfo::setOwner$
    {76, 1113, 1768},	// QUrlInfo::setPermissions$
    {76, 1146, 1767},	// QUrlInfo::setReadable$
    {76, 1159, 1765},	// QUrlInfo::setSize?
    {76, 1183, 1762},	// QUrlInfo::setSymLink$
    {76, 1203, 1766},	// QUrlInfo::setWritable$
    {76, 1204, 1776},	// QUrlInfo::size
    {76, 1311, 1799},	// QUrlInfo::~QUrlInfo
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtnetwork_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtnetwork_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtnetwork_Smoke = new Smoke(
        "qtnetwork",
        __smokeqtnetwork::classes, 80,
        __smokeqtnetwork::methods, 1800,
        __smokeqtnetwork::methodMaps, 1442,
        __smokeqtnetwork::methodNames, 1311,
        __smokeqtnetwork::types, 422,
        __smokeqtnetwork::inheritanceList,
        __smokeqtnetwork::argumentList,
        __smokeqtnetwork::ambiguousMethodList,
        __smokeqtnetwork::cast );
    initialized = true;
}

void delete_qtnetwork_Smoke() { delete qtnetwork_Smoke; }

}
