#include <qtopengl_includes.h>

#include <smoke.h>
#include <qtopengl_smoke.h>

namespace __smokeqtopengl {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGLColormap
      switch(to) {
        case 27: return (void*)(QGLColormap*)xptr;
        default: return xptr;
      }
    case 28:   //QGLContext
      switch(to) {
        case 28: return (void*)(QGLContext*)xptr;
        default: return xptr;
      }
    case 29:   //QGLFormat
      switch(to) {
        case 29: return (void*)(QGLFormat*)xptr;
        default: return xptr;
      }
    case 30:   //QGLFramebufferObject
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QGLFramebufferObject*)xptr;
        case 30: return (void*)(QGLFramebufferObject*)xptr;
        default: return xptr;
      }
    case 31:   //QGLFramebufferObjectFormat
      switch(to) {
        case 31: return (void*)(QGLFramebufferObjectFormat*)xptr;
        default: return xptr;
      }
    case 32:   //QGLPixelBuffer
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QGLPixelBuffer*)xptr;
        case 32: return (void*)(QGLPixelBuffer*)xptr;
        default: return xptr;
      }
    case 33:   //QGLShader
      switch(to) {
        case 60: return (void*)(QObject*)(QGLShader*)xptr;
        case 33: return (void*)(QGLShader*)xptr;
        default: return xptr;
      }
    case 34:   //QGLShaderProgram
      switch(to) {
        case 60: return (void*)(QObject*)(QGLShaderProgram*)xptr;
        case 34: return (void*)(QGLShaderProgram*)xptr;
        default: return xptr;
      }
    case 35:   //QGLWidget
      switch(to) {
        case 111: return (void*)(QWidget*)(QGLWidget*)xptr;
        case 60: return (void*)(QObject*)(QGLWidget*)xptr;
        case 61: return (void*)(QPaintDevice*)(QGLWidget*)xptr;
        case 35: return (void*)(QGLWidget*)xptr;
        default: return xptr;
      }
    case 37:   //QGraphicsItem
      switch(to) {
        case 37: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 38:   //QGraphicsObject
      switch(to) {
        case 60: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 37: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 38: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 39:   //QHashDummyValue
      switch(to) {
        case 39: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 40:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 40: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QIcon
      switch(to) {
        case 41: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 42:   //QImage
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 42: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 43:   //QIncompatibleFlag
      switch(to) {
        case 43: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 44:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 44: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QItemSelectionRange
      switch(to) {
        case 45: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 46:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 46: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QKeySequence
      switch(to) {
        case 47: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 48:   //QLatin1String
      switch(to) {
        case 48: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 49:   //QLine
      switch(to) {
        case 49: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 50:   //QLineF
      switch(to) {
        case 50: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 51:   //QListWidgetItem
      switch(to) {
        case 51: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 52:   //QLocale
      switch(to) {
        case 52: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 53:   //QMargins
      switch(to) {
        case 53: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 54:   //QMatrix
      switch(to) {
        case 54: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 55:   //QMatrix4x4
      switch(to) {
        case 55: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 56:   //QMetaObject
      switch(to) {
        case 56: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 57:   //QModelIndex
      switch(to) {
        case 57: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 58:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 58: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 59:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 59: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QObject
      switch(to) {
        case 60: return (void*)(QObject*)xptr;
        case 34: return (void*)(QGLShaderProgram*)(QObject*)xptr;
        case 35: return (void*)(QGLWidget*)(QObject*)xptr;
        case 33: return (void*)(QGLShader*)(QObject*)xptr;
        default: return xptr;
      }
    case 61:   //QPaintDevice
      switch(to) {
        case 61: return (void*)(QPaintDevice*)xptr;
        case 30: return (void*)(QGLFramebufferObject*)(QPaintDevice*)xptr;
        case 35: return (void*)(QGLWidget*)(QPaintDevice*)xptr;
        case 32: return (void*)(QGLPixelBuffer*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintEngine
      switch(to) {
        case 62: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 63: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 64:   //QPainter
      switch(to) {
        case 64: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 65:   //QPainterPath
      switch(to) {
        case 65: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 66:   //QPalette
      switch(to) {
        case 66: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 67:   //QPen
      switch(to) {
        case 67: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 68:   //QPersistentModelIndex
      switch(to) {
        case 68: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 69:   //QPicture
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 69: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 70:   //QPixmap
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 70: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 71:   //QPoint
      switch(to) {
        case 71: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 72:   //QPointF
      switch(to) {
        case 72: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 73:   //QPolygon
      switch(to) {
        case 73: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 74:   //QPolygonF
      switch(to) {
        case 74: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 75:   //QQuaternion
      switch(to) {
        case 75: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 76:   //QRect
      switch(to) {
        case 76: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 77:   //QRectF
      switch(to) {
        case 77: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 78:   //QRegExp
      switch(to) {
        case 78: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 79:   //QRegion
      switch(to) {
        case 79: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 80:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 80: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 81:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 81: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QSize
      switch(to) {
        case 82: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 83:   //QSizeF
      switch(to) {
        case 83: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 84:   //QSizePolicy
      switch(to) {
        case 84: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 85:   //QSplitter
      switch(to) {
        case 111: return (void*)(QWidget*)(QSplitter*)xptr;
        case 60: return (void*)(QObject*)(QSplitter*)xptr;
        case 61: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 85: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 86:   //QStandardItem
      switch(to) {
        case 86: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 87:   //QString::Null
      switch(to) {
        case 87: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 88:   //QStringRef
      switch(to) {
        case 88: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 89:   //QStyle
      switch(to) {
        case 60: return (void*)(QObject*)(QStyle*)xptr;
        case 89: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 90:   //QStyleOption
      switch(to) {
        case 90: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 91:   //QTableWidgetItem
      switch(to) {
        case 91: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 92:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 92: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 93:   //QTextCodec
      switch(to) {
        case 93: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 94:   //QTextFormat
      switch(to) {
        case 94: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 95:   //QTextLength
      switch(to) {
        case 95: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 96:   //QTextStream
      switch(to) {
        case 96: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStreamManipulator
      switch(to) {
        case 97: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 98:   //QTileRules
      switch(to) {
        case 98: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 99:   //QTime
      switch(to) {
        case 99: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 100:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 100: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 101:   //QTransform
      switch(to) {
        case 101: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 102:   //QTreeWidgetItem
      switch(to) {
        case 102: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 103:   //QUrl
      switch(to) {
        case 103: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 104:   //QUuid
      switch(to) {
        case 104: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 105:   //QVariant
      switch(to) {
        case 105: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 106:   //QVariantComparisonHelper
      switch(to) {
        case 106: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 107:   //QVector2D
      switch(to) {
        case 107: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 108:   //QVector3D
      switch(to) {
        case 108: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector4D
      switch(to) {
        case 109: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 110:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 110: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 111:   //QWidget
      switch(to) {
        case 60: return (void*)(QObject*)(QWidget*)xptr;
        case 61: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 111: return (void*)(QWidget*)xptr;
        case 35: return (void*)(QGLWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    61, 0,	// 1: QPaintDevice
    60, 0,	// 3: QObject
    111, 0,	// 5: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLShader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFramebufferObject(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGL(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGL(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLColormap(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObjectFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLPixelBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShader(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShaderProgram(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGL", false, 0, xcall_QGL, xenum_QGL, Smoke::cf_namespace, 0 },	//26
    { "QGLColormap", false, 0, xcall_QGLColormap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLColormap) },	//27
    { "QGLContext", false, 0, xcall_QGLContext, xenum_QGLContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLContext) },	//28
    { "QGLFormat", false, 0, xcall_QGLFormat, xenum_QGLFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFormat) },	//29
    { "QGLFramebufferObject", false, 1, xcall_QGLFramebufferObject, xenum_QGLFramebufferObject, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLFramebufferObject) },	//30
    { "QGLFramebufferObjectFormat", false, 0, xcall_QGLFramebufferObjectFormat, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFramebufferObjectFormat) },	//31
    { "QGLPixelBuffer", false, 1, xcall_QGLPixelBuffer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLPixelBuffer) },	//32
    { "QGLShader", false, 3, xcall_QGLShader, xenum_QGLShader, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShader) },	//33
    { "QGLShaderProgram", false, 3, xcall_QGLShaderProgram, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShaderProgram) },	//34
    { "QGLWidget", false, 5, xcall_QGLWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLWidget) },	//35
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//36
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//37
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//38
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//39
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QIcon", true, 0, 0, 0, 0, 0 },	//41
    { "QImage", true, 0, 0, 0, 0, 0 },	//42
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//43
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//45
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//47
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//48
    { "QLine", true, 0, 0, 0, 0, 0 },	//49
    { "QLineF", true, 0, 0, 0, 0, 0 },	//50
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//51
    { "QLocale", true, 0, 0, 0, 0, 0 },	//52
    { "QMargins", true, 0, 0, 0, 0, 0 },	//53
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//54
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//55
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//56
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//57
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//58
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QObject", true, 0, 0, 0, 0, 0 },	//60
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//63
    { "QPainter", true, 0, 0, 0, 0, 0 },	//64
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//65
    { "QPalette", true, 0, 0, 0, 0, 0 },	//66
    { "QPen", true, 0, 0, 0, 0, 0 },	//67
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//68
    { "QPicture", true, 0, 0, 0, 0, 0 },	//69
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//70
    { "QPoint", true, 0, 0, 0, 0, 0 },	//71
    { "QPointF", true, 0, 0, 0, 0, 0 },	//72
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//73
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//74
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//75
    { "QRect", true, 0, 0, 0, 0, 0 },	//76
    { "QRectF", true, 0, 0, 0, 0, 0 },	//77
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//78
    { "QRegion", true, 0, 0, 0, 0, 0 },	//79
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//80
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QSize", true, 0, 0, 0, 0, 0 },	//82
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//83
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//84
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//85
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//86
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//87
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//88
    { "QStyle", true, 0, 0, 0, 0, 0 },	//89
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//90
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//91
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//92
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//93
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//94
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//95
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//97
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//98
    { "QTime", true, 0, 0, 0, 0, 0 },	//99
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//100
    { "QTransform", true, 0, 0, 0, 0, 0 },	//101
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//102
    { "QUrl", true, 0, 0, 0, 0, 0 },	//103
    { "QUuid", true, 0, 0, 0, 0, 0 },	//104
    { "QVariant", true, 0, 0, 0, 0, 0 },	//105
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//106
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//107
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//109
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//110
    { "QWidget", true, 0, 0, 0, 0, 0 },	//111
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "GLbitfield", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "GLenum", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "GLfloat", 0, Smoke::t_voidp|Smoke::tf_stack },	//3
    { "GLint", 0, Smoke::t_voidp|Smoke::tf_stack },	//4
    { "GLuint", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//17
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//18
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//19
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//20
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//21
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//22
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//23
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//24
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QColor", 10, Smoke::t_class|Smoke::tf_stack },	//27
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//28
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//31
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//32
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//34
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//36
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//47
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGL::FormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGLContext::BindOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QGLFormat::OpenGLVersionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QGLShader::ShaderTypeBit>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//129
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//131
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//132
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//134
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QGL::FormatOption", 26, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QGLColormap&", 27, Smoke::t_class|Smoke::tf_ref },	//138
    { "QGLColormap*", 27, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QGLContext*", 28, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGLContext::BindOption", 28, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QGLFormat", 29, Smoke::t_class|Smoke::tf_stack },	//142
    { "QGLFormat&", 29, Smoke::t_class|Smoke::tf_ref },	//143
    { "QGLFormat*", 29, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QGLFormat::OpenGLContextProfile", 29, Smoke::t_enum|Smoke::tf_stack },	//145
    { "QGLFormat::OpenGLVersionFlag", 29, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QGLFramebufferObject*", 30, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QGLFramebufferObject::Attachment", 30, Smoke::t_enum|Smoke::tf_stack },	//148
    { "QGLFramebufferObjectFormat", 31, Smoke::t_class|Smoke::tf_stack },	//149
    { "QGLFramebufferObjectFormat&", 31, Smoke::t_class|Smoke::tf_ref },	//150
    { "QGLFramebufferObjectFormat*", 31, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QGLPixelBuffer*", 32, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QGLShader*", 33, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QGLShader::ShaderTypeBit", 33, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QGLShaderProgram*", 34, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QGLWidget*", 35, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QGraphicsItem*", 37, Smoke::t_class|Smoke::tf_ptr },	//160
    { "QGraphicsItem::GraphicsItemChange", 37, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QGraphicsItem::GraphicsItemFlag", 37, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QGraphicsObject*", 38, Smoke::t_class|Smoke::tf_ptr },	//163
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QHideEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//167
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QIcon&", 41, Smoke::t_class|Smoke::tf_ref },	//169
    { "QImage", 42, Smoke::t_class|Smoke::tf_stack },	//170
    { "QImage&", 42, Smoke::t_class|Smoke::tf_ref },	//171
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QIncompatibleFlag", 43, Smoke::t_class|Smoke::tf_stack },	//173
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QInputMethodEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//175
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QKeyEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QKeySequence&", 47, Smoke::t_class|Smoke::tf_ref },	//178
    { "QKeySequence::StandardKey", 47, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QLine", 49, Smoke::t_class|Smoke::tf_stack },	//181
    { "QLine&", 49, Smoke::t_class|Smoke::tf_ref },	//182
    { "QLineF", 50, Smoke::t_class|Smoke::tf_stack },	//183
    { "QLineF&", 50, Smoke::t_class|Smoke::tf_ref },	//184
    { "QList<QGLShader*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//185
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//186
    { "QListWidgetItem&", 51, Smoke::t_class|Smoke::tf_ref },	//187
    { "QLocale&", 52, Smoke::t_class|Smoke::tf_ref },	//188
    { "QLocale::NumberOption", 52, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QMatrix&", 54, Smoke::t_class|Smoke::tf_ref },	//191
    { "QMatrix4x4", 55, Smoke::t_class|Smoke::tf_stack },	//192
    { "QMatrix4x4&", 55, Smoke::t_class|Smoke::tf_ref },	//193
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QMetaObject::Call", 56, Smoke::t_enum|Smoke::tf_stack },	//197
    { "QMouseEvent*", 58, Smoke::t_class|Smoke::tf_ptr },	//198
    { "QMoveEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//199
    { "QObject*", 60, Smoke::t_class|Smoke::tf_ptr },	//200
    { "QObject*(*)()", 60, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QPaintDevice*", 61, Smoke::t_class|Smoke::tf_ptr },	//202
    { "QPaintDevice::PaintDeviceMetric", 61, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QPaintEngine*", 62, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QPaintEngine::DirtyFlag", 62, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QPaintEngine::PaintEngineFeature", 62, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QPaintEngine::Type", 62, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QPaintEvent*", 63, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QPainter*", 64, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QPainter::RenderHint", 64, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QPainterPath", 65, Smoke::t_class|Smoke::tf_stack },	//211
    { "QPainterPath&", 65, Smoke::t_class|Smoke::tf_ref },	//212
    { "QPalette&", 66, Smoke::t_class|Smoke::tf_ref },	//213
    { "QPen&", 67, Smoke::t_class|Smoke::tf_ref },	//214
    { "QPicture&", 69, Smoke::t_class|Smoke::tf_ref },	//215
    { "QPixmap", 70, Smoke::t_class|Smoke::tf_stack },	//216
    { "QPixmap&", 70, Smoke::t_class|Smoke::tf_ref },	//217
    { "QPoint", 71, Smoke::t_class|Smoke::tf_stack },	//218
    { "QPoint&", 71, Smoke::t_class|Smoke::tf_ref },	//219
    { "QPointF", 72, Smoke::t_class|Smoke::tf_stack },	//220
    { "QPointF&", 72, Smoke::t_class|Smoke::tf_ref },	//221
    { "QPolygon", 73, Smoke::t_class|Smoke::tf_stack },	//222
    { "QPolygon&", 73, Smoke::t_class|Smoke::tf_ref },	//223
    { "QPolygonF", 74, Smoke::t_class|Smoke::tf_stack },	//224
    { "QPolygonF&", 74, Smoke::t_class|Smoke::tf_ref },	//225
    { "QQuaternion&", 75, Smoke::t_class|Smoke::tf_ref },	//226
    { "QRect&", 76, Smoke::t_class|Smoke::tf_ref },	//227
    { "QRectF&", 77, Smoke::t_class|Smoke::tf_ref },	//228
    { "QRegExp&", 78, Smoke::t_class|Smoke::tf_ref },	//229
    { "QRegion", 79, Smoke::t_class|Smoke::tf_stack },	//230
    { "QRegion&", 79, Smoke::t_class|Smoke::tf_ref },	//231
    { "QResizeEvent*", 80, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QShowEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//233
    { "QSize", 82, Smoke::t_class|Smoke::tf_stack },	//234
    { "QSize&", 82, Smoke::t_class|Smoke::tf_ref },	//235
    { "QSizeF&", 83, Smoke::t_class|Smoke::tf_ref },	//236
    { "QSizePolicy&", 84, Smoke::t_class|Smoke::tf_ref },	//237
    { "QSizePolicy::ControlType", 84, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QSplitter&", 85, Smoke::t_class|Smoke::tf_ref },	//239
    { "QStandardItem&", 86, Smoke::t_class|Smoke::tf_ref },	//240
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//241
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//242
    { "QString::Null", 87, Smoke::t_class|Smoke::tf_stack },	//243
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//246
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//247
    { "QStyle&", 89, Smoke::t_class|Smoke::tf_ref },	//248
    { "QStyle::StateFlag", 89, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QStyle::SubControl", 89, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QTableWidgetItem&", 91, Smoke::t_class|Smoke::tf_ref },	//258
    { "QTabletEvent*", 92, Smoke::t_class|Smoke::tf_ptr },	//259
    { "QTextCodec*", 93, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QTextCodec::ConversionFlag", 93, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QTextFormat&", 94, Smoke::t_class|Smoke::tf_ref },	//264
    { "QTextFormat::PageBreakFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QTextLength&", 95, Smoke::t_class|Smoke::tf_ref },	//267
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QTextStream&", 96, Smoke::t_class|Smoke::tf_ref },	//269
    { "QTextStream&(*)(QTextStream&)", 96, Smoke::t_class|Smoke::tf_ref },	//270
    { "QTextStream::NumberFlag", 96, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QTextStreamManipulator", 97, Smoke::t_class|Smoke::tf_stack },	//272
    { "QTime&", 99, Smoke::t_class|Smoke::tf_ref },	//273
    { "QTimerEvent*", 100, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QTransform", 101, Smoke::t_class|Smoke::tf_stack },	//275
    { "QTransform&", 101, Smoke::t_class|Smoke::tf_ref },	//276
    { "QTreeWidgetItem&", 102, Smoke::t_class|Smoke::tf_ref },	//277
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "QUrl&", 103, Smoke::t_class|Smoke::tf_ref },	//279
    { "QUrl::FormattingOption", 103, Smoke::t_enum|Smoke::tf_stack },	//280
    { "QUuid&", 104, Smoke::t_class|Smoke::tf_ref },	//281
    { "QVariant", 105, Smoke::t_class|Smoke::tf_stack },	//282
    { "QVariant&", 105, Smoke::t_class|Smoke::tf_ref },	//283
    { "QVariant::Type", 105, Smoke::t_enum|Smoke::tf_stack },	//284
    { "QVariant::Type&", 105, Smoke::t_enum|Smoke::tf_ref },	//285
    { "QVector2D&", 107, Smoke::t_class|Smoke::tf_ref },	//286
    { "QVector3D", 108, Smoke::t_class|Smoke::tf_stack },	//287
    { "QVector3D&", 108, Smoke::t_class|Smoke::tf_ref },	//288
    { "QVector4D", 109, Smoke::t_class|Smoke::tf_stack },	//289
    { "QVector4D&", 109, Smoke::t_class|Smoke::tf_ref },	//290
    { "QWheelEvent*", 110, Smoke::t_class|Smoke::tf_ptr },	//291
    { "QWidget*", 111, Smoke::t_class|Smoke::tf_ptr },	//292
    { "QWidget::RenderFlag", 111, Smoke::t_enum|Smoke::tf_stack },	//293
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtMsgType", 36, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtValidLicenseForActiveQtModule", 36, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtValidLicenseForCoreModule", 36, Smoke::t_enum|Smoke::tf_stack },	//372
    { "QtValidLicenseForDBusModule", 36, Smoke::t_enum|Smoke::tf_stack },	//373
    { "QtValidLicenseForDeclarativeModule", 36, Smoke::t_enum|Smoke::tf_stack },	//374
    { "QtValidLicenseForGuiModule", 36, Smoke::t_enum|Smoke::tf_stack },	//375
    { "QtValidLicenseForHelpModule", 36, Smoke::t_enum|Smoke::tf_stack },	//376
    { "QtValidLicenseForMultimediaModule", 36, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtValidLicenseForNetworkModule", 36, Smoke::t_enum|Smoke::tf_stack },	//378
    { "QtValidLicenseForOpenGLModule", 36, Smoke::t_enum|Smoke::tf_stack },	//379
    { "QtValidLicenseForOpenVGModule", 36, Smoke::t_enum|Smoke::tf_stack },	//380
    { "QtValidLicenseForQt3SupportLightModule", 36, Smoke::t_enum|Smoke::tf_stack },	//381
    { "QtValidLicenseForQt3SupportModule", 36, Smoke::t_enum|Smoke::tf_stack },	//382
    { "QtValidLicenseForScriptModule", 36, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtValidLicenseForScriptToolsModule", 36, Smoke::t_enum|Smoke::tf_stack },	//384
    { "QtValidLicenseForSqlModule", 36, Smoke::t_enum|Smoke::tf_stack },	//385
    { "QtValidLicenseForSvgModule", 36, Smoke::t_enum|Smoke::tf_stack },	//386
    { "QtValidLicenseForTestModule", 36, Smoke::t_enum|Smoke::tf_stack },	//387
    { "QtValidLicenseForXmlModule", 36, Smoke::t_enum|Smoke::tf_stack },	//388
    { "QtValidLicenseForXmlPatternsModule", 36, Smoke::t_enum|Smoke::tf_stack },	//389
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//390
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//391
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//392
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//393
    { "const GLfloat*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//394
    { "const GLfloat[2][2]", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//395
    { "const GLfloat[3][3]", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//396
    { "const GLfloat[4][4]", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//397
    { "const GLint*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//398
    { "const GLuint*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//399
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//402
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//403
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//412
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QGLColormap&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QGLContext*", 28, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//415
    { "const QGLFormat&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QGLFramebufferObjectFormat&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QGLWidget*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//418
    { "const QGenericMatrix<2,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QGenericMatrix<2,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//420
    { "const QGenericMatrix<2,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QGenericMatrix<2,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//422
    { "const QGenericMatrix<2,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QGenericMatrix<2,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const QGenericMatrix<3,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QGenericMatrix<3,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//426
    { "const QGenericMatrix<3,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QGenericMatrix<3,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//428
    { "const QGenericMatrix<3,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QGenericMatrix<3,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//430
    { "const QGenericMatrix<4,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QGenericMatrix<4,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//432
    { "const QGenericMatrix<4,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QGenericMatrix<4,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//434
    { "const QHashDummyValue&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QIcon&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QImage&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QItemSelectionRange&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QKeySequence&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QLatin1String&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QLine&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QLineF&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QListWidgetItem&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QLocale&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QMargins&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QMatrix&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QMatrix4x4&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QMatrix4x4*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//448
    { "const QMetaObject&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QMetaObject*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//450
    { "const QModelIndex&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QObject*", 60, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//452
    { "const QPainterPath&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QPalette&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QPen&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QPersistentModelIndex&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QPicture&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QPixmap&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QPoint", 71, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//459
    { "const QPoint&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QPointF", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//461
    { "const QPointF&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QPolygon&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QPolygonF&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QQuaternion", 75, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//465
    { "const QQuaternion&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QRect&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QRectF&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QRegExp&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QRegExp*", 78, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//470
    { "const QRegion&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QSize", 82, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//472
    { "const QSize&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QSizeF", 83, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//474
    { "const QSizeF&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QSizePolicy&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const QSplitter&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QStandardItem&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//478
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//479
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//480
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//482
    { "const QStringRef&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const QStyleOption&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//484
    { "const QStyleOption::OptionType&", 90, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//485
    { "const QTableWidgetItem&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//486
    { "const QTextFormat&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//487
    { "const QTextLength&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//488
    { "const QTileRules&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//489
    { "const QTime&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//490
    { "const QTransform&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//491
    { "const QTreeWidgetItem&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//492
    { "const QUrl&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//493
    { "const QUuid&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//494
    { "const QVariant&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//495
    { "const QVariant::Type", 105, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//496
    { "const QVariantComparisonHelper&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//497
    { "const QVector2D", 107, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//498
    { "const QVector2D&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//499
    { "const QVector2D*", 107, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//500
    { "const QVector3D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//501
    { "const QVector3D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//502
    { "const QVector3D*", 108, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//503
    { "const QVector4D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//504
    { "const QVector4D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//505
    { "const QVector4D*", 109, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//506
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//507
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//508
    { "const unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//509
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//510
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//511
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//512
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//513
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//514
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//515
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//516
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//517
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//518
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//519
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//520
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//521
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//522
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//523
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//524
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//525
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//526
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//527
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//528
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//529
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//530
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    207, 0,	//1  QPaintEngine::Type
    414, 0,	//3  const QGLColormap&
    513, 509, 513, 0,	//5  int, const unsigned int*, int
    513, 521, 0,	//9  int, unsigned int
    513, 406, 0,	//12  int, const QColor&
    513, 0,	//15  int
    521, 0,	//17  unsigned int
    522, 0,	//19  unsigned long
    513, 509, 0,	//21  int, const unsigned int*
    416, 202, 0,	//24  const QGLFormat&, QPaintDevice*
    416, 0,	//27  const QGLFormat&
    415, 0,	//29  const QGLContext*
    415, 415, 0,	//31  const QGLContext*, const QGLContext*
    437, 2, 4, 72, 0,	//34  const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>
    458, 2, 4, 72, 0,	//39  const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>
    437, 2, 4, 0,	//44  const QImage&, GLenum, GLint
    458, 2, 4, 0,	//48  const QPixmap&, GLenum, GLint
    480, 0,	//52  const QString&
    5, 0,	//54  GLuint
    468, 5, 2, 0,	//56  const QRectF&, GLuint, GLenum
    462, 5, 2, 0,	//60  const QPointF&, GLuint, GLenum
    416, 513, 0,	//64  const QGLFormat&, int
    391, 0,	//67  bool
    413, 513, 0,	//69  const QFont&, int
    406, 0,	//72  const QColor&
    202, 0,	//74  QPaintDevice*
    437, 0,	//76  const QImage&
    437, 2, 0,	//78  const QImage&, GLenum
    458, 0,	//81  const QPixmap&
    458, 2, 0,	//83  const QPixmap&, GLenum
    468, 5, 0,	//86  const QRectF&, GLuint
    462, 5, 0,	//89  const QPointF&, GLuint
    140, 0,	//92  QGLContext*
    71, 513, 0,	//94  QFlags<QGL::FormatOption>, int
    71, 0,	//97  QFlags<QGL::FormatOption>
    513, 513, 0,	//99  int, int
    145, 0,	//102  QGLFormat::OpenGLContextProfile
    473, 2, 0,	//104  const QSize&, GLenum
    513, 513, 2, 0,	//107  int, int, GLenum
    473, 148, 2, 2, 0,	//111  const QSize&, QGLFramebufferObject::Attachment, GLenum, GLenum
    513, 513, 148, 2, 2, 0,	//116  int, int, QGLFramebufferObject::Attachment, GLenum, GLenum
    473, 417, 0,	//122  const QSize&, const QGLFramebufferObjectFormat&
    513, 513, 417, 0,	//125  int, int, const QGLFramebufferObjectFormat&
    147, 467, 147, 467, 1, 2, 0,	//129  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield, GLenum
    203, 0,	//136  QPaintDevice::PaintDeviceMetric
    473, 0,	//138  const QSize&
    473, 148, 0,	//140  const QSize&, QGLFramebufferObject::Attachment
    473, 148, 2, 0,	//143  const QSize&, QGLFramebufferObject::Attachment, GLenum
    513, 513, 148, 0,	//147  int, int, QGLFramebufferObject::Attachment
    513, 513, 148, 2, 0,	//151  int, int, QGLFramebufferObject::Attachment, GLenum
    147, 467, 147, 467, 0,	//156  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&
    147, 467, 147, 467, 1, 0,	//161  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield
    417, 0,	//167  const QGLFramebufferObjectFormat&
    148, 0,	//169  QGLFramebufferObject::Attachment
    2, 0,	//171  GLenum
    473, 416, 156, 0,	//173  const QSize&, const QGLFormat&, QGLWidget*
    513, 513, 416, 156, 0,	//177  int, int, const QGLFormat&, QGLWidget*
    473, 416, 0,	//182  const QSize&, const QGLFormat&
    513, 513, 416, 0,	//185  int, int, const QGLFormat&
    507, 0,	//189  const char*
    507, 507, 0,	//191  const char*, const char*
    507, 507, 513, 0,	//194  const char*, const char*, int
    197, 513, 529, 0,	//198  QMetaObject::Call, int, void**
    74, 200, 0,	//202  QFlags<QGLShader::ShaderTypeBit>, QObject*
    74, 415, 200, 0,	//205  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*
    404, 0,	//209  const QByteArray&
    74, 415, 0,	//211  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*
    74, 0,	//214  QFlags<QGLShader::ShaderTypeBit>
    200, 0,	//216  QObject*
    415, 200, 0,	//218  const QGLContext*, QObject*
    153, 0,	//221  QGLShader*
    74, 507, 0,	//223  QFlags<QGLShader::ShaderTypeBit>, const char*
    74, 404, 0,	//226  QFlags<QGLShader::ShaderTypeBit>, const QByteArray&
    74, 480, 0,	//229  QFlags<QGLShader::ShaderTypeBit>, const QString&
    507, 513, 0,	//232  const char*, int
    404, 513, 0,	//235  const QByteArray&, int
    480, 513, 0,	//238  const QString&, int
    513, 3, 0,	//241  int, GLfloat
    513, 3, 3, 0,	//244  int, GLfloat, GLfloat
    513, 3, 3, 3, 0,	//248  int, GLfloat, GLfloat, GLfloat
    513, 3, 3, 3, 3, 0,	//253  int, GLfloat, GLfloat, GLfloat, GLfloat
    513, 499, 0,	//259  int, const QVector2D&
    513, 502, 0,	//262  int, const QVector3D&
    513, 505, 0,	//265  int, const QVector4D&
    513, 394, 513, 513, 0,	//268  int, const GLfloat*, int, int
    507, 3, 0,	//273  const char*, GLfloat
    507, 3, 3, 0,	//276  const char*, GLfloat, GLfloat
    507, 3, 3, 3, 0,	//280  const char*, GLfloat, GLfloat, GLfloat
    507, 3, 3, 3, 3, 0,	//285  const char*, GLfloat, GLfloat, GLfloat, GLfloat
    507, 499, 0,	//291  const char*, const QVector2D&
    507, 502, 0,	//294  const char*, const QVector3D&
    507, 505, 0,	//297  const char*, const QVector4D&
    507, 406, 0,	//300  const char*, const QColor&
    507, 394, 513, 513, 0,	//303  const char*, const GLfloat*, int, int
    513, 500, 513, 0,	//308  int, const QVector2D*, int
    513, 503, 513, 0,	//312  int, const QVector3D*, int
    513, 506, 513, 0,	//316  int, const QVector4D*, int
    513, 2, 510, 513, 513, 0,	//320  int, GLenum, const void*, int, int
    507, 500, 513, 0,	//326  const char*, const QVector2D*, int
    507, 503, 513, 0,	//330  const char*, const QVector3D*, int
    507, 506, 513, 0,	//334  const char*, const QVector4D*, int
    507, 2, 510, 513, 513, 0,	//338  const char*, GLenum, const void*, int, int
    513, 2, 513, 513, 513, 0,	//344  int, GLenum, int, int, int
    507, 2, 513, 513, 513, 0,	//350  const char*, GLenum, int, int, int
    513, 4, 0,	//356  int, GLint
    513, 5, 0,	//359  int, GLuint
    513, 460, 0,	//362  int, const QPoint&
    513, 462, 0,	//365  int, const QPointF&
    513, 473, 0,	//368  int, const QSize&
    513, 475, 0,	//371  int, const QSizeF&
    513, 419, 0,	//374  int, const QGenericMatrix<2,2,double>&
    513, 421, 0,	//377  int, const QGenericMatrix<2,3,double>&
    513, 423, 0,	//380  int, const QGenericMatrix<2,4,double>&
    513, 425, 0,	//383  int, const QGenericMatrix<3,2,double>&
    513, 427, 0,	//386  int, const QGenericMatrix<3,3,double>&
    513, 429, 0,	//389  int, const QGenericMatrix<3,4,double>&
    513, 431, 0,	//392  int, const QGenericMatrix<4,2,double>&
    513, 433, 0,	//395  int, const QGenericMatrix<4,3,double>&
    513, 447, 0,	//398  int, const QMatrix4x4&
    513, 395, 0,	//401  int, const GLfloat[2][2]
    513, 396, 0,	//404  int, const GLfloat[3][3]
    513, 397, 0,	//407  int, const GLfloat[4][4]
    513, 491, 0,	//410  int, const QTransform&
    507, 4, 0,	//413  const char*, GLint
    507, 5, 0,	//416  const char*, GLuint
    507, 460, 0,	//419  const char*, const QPoint&
    507, 462, 0,	//422  const char*, const QPointF&
    507, 473, 0,	//425  const char*, const QSize&
    507, 475, 0,	//428  const char*, const QSizeF&
    507, 419, 0,	//431  const char*, const QGenericMatrix<2,2,double>&
    507, 421, 0,	//434  const char*, const QGenericMatrix<2,3,double>&
    507, 423, 0,	//437  const char*, const QGenericMatrix<2,4,double>&
    507, 425, 0,	//440  const char*, const QGenericMatrix<3,2,double>&
    507, 427, 0,	//443  const char*, const QGenericMatrix<3,3,double>&
    507, 429, 0,	//446  const char*, const QGenericMatrix<3,4,double>&
    507, 431, 0,	//449  const char*, const QGenericMatrix<4,2,double>&
    507, 433, 0,	//452  const char*, const QGenericMatrix<4,3,double>&
    507, 447, 0,	//455  const char*, const QMatrix4x4&
    507, 395, 0,	//458  const char*, const GLfloat[2][2]
    507, 396, 0,	//461  const char*, const GLfloat[3][3]
    507, 397, 0,	//464  const char*, const GLfloat[4][4]
    507, 491, 0,	//467  const char*, const QTransform&
    513, 398, 513, 0,	//470  int, const GLint*, int
    513, 399, 513, 0,	//474  int, const GLuint*, int
    513, 420, 513, 0,	//478  int, const QGenericMatrix<2,2,double>*, int
    513, 422, 513, 0,	//482  int, const QGenericMatrix<2,3,double>*, int
    513, 424, 513, 0,	//486  int, const QGenericMatrix<2,4,double>*, int
    513, 426, 513, 0,	//490  int, const QGenericMatrix<3,2,double>*, int
    513, 428, 513, 0,	//494  int, const QGenericMatrix<3,3,double>*, int
    513, 430, 513, 0,	//498  int, const QGenericMatrix<3,4,double>*, int
    513, 432, 513, 0,	//502  int, const QGenericMatrix<4,2,double>*, int
    513, 434, 513, 0,	//506  int, const QGenericMatrix<4,3,double>*, int
    513, 448, 513, 0,	//510  int, const QMatrix4x4*, int
    507, 398, 513, 0,	//514  const char*, const GLint*, int
    507, 399, 513, 0,	//518  const char*, const GLuint*, int
    507, 420, 513, 0,	//522  const char*, const QGenericMatrix<2,2,double>*, int
    507, 422, 513, 0,	//526  const char*, const QGenericMatrix<2,3,double>*, int
    507, 424, 513, 0,	//530  const char*, const QGenericMatrix<2,4,double>*, int
    507, 426, 513, 0,	//534  const char*, const QGenericMatrix<3,2,double>*, int
    507, 428, 513, 0,	//538  const char*, const QGenericMatrix<3,3,double>*, int
    507, 430, 513, 0,	//542  const char*, const QGenericMatrix<3,4,double>*, int
    507, 432, 513, 0,	//546  const char*, const QGenericMatrix<4,2,double>*, int
    507, 434, 513, 0,	//550  const char*, const QGenericMatrix<4,3,double>*, int
    507, 448, 513, 0,	//554  const char*, const QMatrix4x4*, int
    513, 394, 513, 0,	//558  int, const GLfloat*, int
    513, 500, 0,	//562  int, const QVector2D*
    513, 503, 0,	//565  int, const QVector3D*
    513, 506, 0,	//568  int, const QVector4D*
    513, 2, 510, 513, 0,	//571  int, GLenum, const void*, int
    507, 394, 513, 0,	//576  const char*, const GLfloat*, int
    507, 500, 0,	//580  const char*, const QVector2D*
    507, 503, 0,	//583  const char*, const QVector3D*
    507, 506, 0,	//586  const char*, const QVector4D*
    507, 2, 510, 513, 0,	//589  const char*, GLenum, const void*, int
    513, 2, 513, 513, 0,	//594  int, GLenum, int, int
    507, 2, 513, 513, 0,	//599  const char*, GLenum, int, int
    292, 418, 132, 0,	//604  QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    140, 292, 418, 132, 0,	//608  QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    416, 292, 418, 132, 0,	//613  const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    140, 415, 391, 0,	//618  QGLContext*, const QGLContext*, bool
    513, 513, 391, 0,	//622  int, int, bool
    513, 513, 480, 413, 513, 0,	//626  int, int, const QString&, const QFont&, int
    511, 511, 511, 480, 413, 513, 0,	//632  double, double, double, const QString&, const QFont&, int
    48, 0,	//639  QEvent*
    208, 0,	//641  QPaintEvent*
    232, 0,	//643  QResizeEvent*
    292, 0,	//645  QWidget*
    292, 418, 0,	//647  QWidget*, const QGLWidget*
    140, 292, 0,	//650  QGLContext*, QWidget*
    140, 292, 418, 0,	//653  QGLContext*, QWidget*, const QGLWidget*
    416, 292, 0,	//657  const QGLFormat&, QWidget*
    416, 292, 418, 0,	//660  const QGLFormat&, QWidget*, const QGLWidget*
    140, 415, 0,	//664  QGLContext*, const QGLContext*
    513, 513, 480, 0,	//667  int, int, const QString&
    513, 513, 480, 413, 0,	//671  int, int, const QString&, const QFont&
    511, 511, 511, 480, 0,	//676  double, double, double, const QString&
    511, 511, 511, 480, 413, 0,	//681  double, double, double, const QString&, const QFont&
    413, 0,	//687  const QFont&
    400, 400, 0,	//689  const QBitArray&, const QBitArray&
    456, 0,	//692  const QPersistentModelIndex&
    314, 513, 0,	//694  Qt::DockWidgetArea, int
    157, 157, 0,	//697  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    416, 416, 0,	//700  const QGLFormat&, const QGLFormat&
    460, 511, 0,	//703  const QPoint&, double
    511, 0,	//706  double
    36, 438, 0,	//708  QDebug, const QItemSelectionRange&
    511, 462, 0,	//711  double, const QPointF&
    339, 126, 0,	//714  Qt::MouseButton, QFlags<Qt::MouseButton>
    445, 445, 0,	//717  const QMargins&, const QMargins&
    36, 484, 0,	//720  QDebug, const QStyleOption&
    511, 475, 0,	//723  double, const QSizeF&
    39, 513, 0,	//726  QDir::SortFlag, int
    7, 7, 0,	//729  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    36, 456, 0,	//732  QDebug, const QPersistentModelIndex&
    32, 171, 0,	//735  QDataStream&, QImage&
    32, 476, 0,	//738  QDataStream&, const QSizePolicy&
    328, 513, 0,	//741  Qt::InputMethodHint, int
    255, 513, 0,	//744  QStyleOptionToolBar::ToolBarFeature, int
    36, 491, 0,	//747  QDebug, const QTransform&
    393, 507, 0,	//750  char*, const char*
    467, 467, 0,	//753  const QRect&, const QRect&
    473, 473, 0,	//756  const QSize&, const QSize&
    32, 491, 0,	//759  QDataStream&, const QTransform&
    261, 261, 0,	//762  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    36, 460, 0,	//765  QDebug, const QPoint&
    447, 447, 0,	//768  const QMatrix4x4&, const QMatrix4x4&
    154, 154, 0,	//771  QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit
    519, 0,	//774  unsigned char
    38, 61, 0,	//776  QDir::Filter, QFlags<QDir::Filter>
    505, 505, 0,	//779  const QVector4D&, const QVector4D&
    462, 446, 0,	//782  const QPointF&, const QMatrix&
    206, 206, 0,	//785  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    441, 491, 0,	//788  const QLine&, const QTransform&
    499, 499, 0,	//791  const QVector2D&, const QVector2D&
    49, 66, 0,	//794  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    366, 131, 0,	//797  Qt::WindowState, QFlags<Qt::WindowState>
    475, 511, 0,	//800  const QSizeF&, double
    32, 441, 0,	//803  QDataStream&, const QLine&
    38, 513, 0,	//806  QDir::Filter, int
    491, 491, 0,	//809  const QTransform&, const QTransform&
    507, 440, 0,	//812  const char*, const QLatin1String&
    51, 68, 0,	//815  QFileDialog::Option, QFlags<QFileDialog::Option>
    475, 475, 0,	//818  const QSizeF&, const QSizeF&
    404, 404, 0,	//821  const QByteArray&, const QByteArray&
    440, 483, 0,	//824  const QLatin1String&, const QStringRef&
    466, 0,	//827  const QQuaternion&
    8, 8, 0,	//829  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    339, 339, 0,	//832  Qt::MouseButton, Qt::MouseButton
    36, 496, 0,	//835  QDebug, const QVariant::Type
    495, 497, 0,	//838  const QVariant&, const QVariantComparisonHelper&
    466, 511, 0,	//841  const QQuaternion&, double
    19, 19, 0,	//844  QBool, QBool
    254, 254, 0,	//847  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    253, 253, 0,	//850  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    135, 135, 0,	//853  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    295, 117, 0,	//856  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    483, 0,	//859  const QStringRef&
    265, 265, 0,	//861  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    243, 243, 0,	//864  QString::Null, QString::Null
    36, 413, 0,	//867  QDebug, const QFont&
    36, 463, 0,	//870  QDebug, const QPolygon&
    32, 468, 0,	//873  QDataStream&, const QRectF&
    32, 188, 0,	//876  QDataStream&, QLocale&
    250, 513, 0,	//879  QStyle::SubControl, int
    41, 41, 0,	//882  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    23, 480, 0,	//885  QChar, const QString&
    168, 82, 0,	//888  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    499, 0,	//891  const QVector2D&
    209, 467, 454, 391, 513, 402, 0,	//893  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    209, 467, 454, 0,	//900  QPainter*, const QRect&, const QPalette&
    209, 467, 454, 391, 0,	//904  QPainter*, const QRect&, const QPalette&, bool
    209, 467, 454, 391, 513, 0,	//909  QPainter*, const QRect&, const QPalette&, bool, int
    38, 38, 0,	//915  QDir::Filter, QDir::Filter
    32, 454, 0,	//918  QDataStream&, const QPalette&
    36, 490, 0,	//921  QDebug, const QTime&
    262, 107, 0,	//924  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    466, 466, 0,	//927  const QQuaternion&, const QQuaternion&
    32, 404, 0,	//930  QDataStream&, const QByteArray&
    36, 408, 0,	//933  QDebug, const QDate&
    400, 0,	//936  const QBitArray&
    263, 108, 0,	//938  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    508, 520, 513, 0,	//941  const unsigned char*, unsigned char*, int
    15, 57, 0,	//945  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    464, 491, 0,	//948  const QPolygonF&, const QTransform&
    495, 284, 528, 0,	//951  const QVariant&, QVariant::Type, void*
    524, 0,	//955  unsigned short
    201, 0,	//957  QObject*(*)()
    514, 0,	//959  long
    356, 356, 0,	//961  Qt::ToolBarArea, Qt::ToolBarArea
    515, 0,	//964  long long
    36, 464, 0,	//966  QDebug, const QPolygonF&
    209, 513, 513, 513, 513, 454, 391, 402, 0,	//969  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    209, 513, 513, 513, 513, 454, 0,	//978  QPainter*, int, int, int, int, const QPalette&
    209, 513, 513, 513, 513, 454, 391, 0,	//985  QPainter*, int, int, int, int, const QPalette&, bool
    293, 513, 0,	//993  QWidget::RenderFlag, int
    36, 406, 0,	//996  QDebug, const QColor&
    278, 513, 0,	//999  QTreeWidgetItemIterator::IteratorFlag, int
    316, 513, 0,	//1002  Qt::DropAction, int
    209, 513, 513, 513, 513, 454, 391, 513, 513, 402, 0,	//1005  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    209, 513, 513, 513, 513, 454, 391, 513, 0,	//1016  QPainter*, int, int, int, int, const QPalette&, bool, int
    209, 513, 513, 513, 513, 454, 391, 513, 513, 0,	//1025  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    32, 481, 0,	//1035  QDataStream&, const QStringList&
    6, 6, 0,	//1038  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    32, 214, 0,	//1041  QDataStream&, QPen&
    512, 0,	//1044  float
    157, 75, 0,	//1046  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    295, 295, 0,	//1049  Qt::AlignmentFlag, Qt::AlignmentFlag
    32, 28, 0,	//1052  QDataStream&, QColor&
    40, 513, 0,	//1055  QDirIterator::IteratorFlag, int
    32, 469, 0,	//1058  QDataStream&, const QRegExp&
    280, 513, 0,	//1061  QUrl::FormattingOption, int
    40, 63, 0,	//1064  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    404, 507, 0,	//1067  const QByteArray&, const char*
    159, 159, 0,	//1070  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    136, 513, 0,	//1073  QFontDialog::FontDialogOption, int
    36, 475, 0,	//1076  QDebug, const QSizeF&
    314, 118, 0,	//1079  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    253, 513, 0,	//1082  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    441, 446, 0,	//1085  const QLine&, const QMatrix&
    205, 205, 0,	//1088  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    513, 513, 513, 0,	//1091  int, int, int
    442, 446, 0,	//1095  const QLineF&, const QMatrix&
    341, 341, 0,	//1098  Qt::Orientation, Qt::Orientation
    453, 446, 0,	//1101  const QPainterPath&, const QMatrix&
    356, 513, 0,	//1104  Qt::ToolBarArea, int
    502, 502, 0,	//1107  const QVector3D&, const QVector3D&
    32, 221, 0,	//1110  QDataStream&, QPointF&
    32, 439, 0,	//1113  QDataStream&, const QKeySequence&
    337, 513, 0,	//1116  Qt::MatchFlag, int
    480, 507, 0,	//1119  const QString&, const char*
    32, 486, 0,	//1122  QDataStream&, const QTableWidgetItem&
    36, 161, 0,	//1125  QDebug, QGraphicsItem::GraphicsItemChange
    36, 411, 0,	//1128  QDebug, const QEasingCurve&
    176, 513, 0,	//1131  QItemSelectionModel::SelectionFlag, int
    32, 407, 0,	//1134  QDataStream&, const QCursor&
    196, 91, 0,	//1137  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    321, 321, 0,	//1140  Qt::GestureFlag, Qt::GestureFlag
    32, 33, 0,	//1143  QDataStream&, QDate&
    32, 457, 0,	//1146  QDataStream&, const QPicture&
    168, 168, 0,	//1149  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    196, 196, 0,	//1152  QMessageBox::StandardButton, QMessageBox::StandardButton
    49, 513, 0,	//1155  QEventLoop::ProcessEventsFlag, int
    392, 404, 0,	//1158  char, const QByteArray&
    32, 290, 0,	//1161  QDataStream&, QVector4D&
    507, 480, 0,	//1164  const char*, const QString&
    195, 90, 0,	//1167  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    36, 97, 0,	//1170  QDebug, QFlags<QStyle::StateFlag>
    507, 404, 0,	//1173  const char*, const QByteArray&
    136, 136, 0,	//1176  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    32, 281, 0,	//1179  QDataStream&, QUuid&
    511, 511, 0,	//1182  double, double
    146, 146, 0,	//1185  QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag
    32, 22, 0,	//1188  QDataStream&, QByteArray&
    32, 283, 0,	//1191  QDataStream&, QVariant&
    32, 492, 0,	//1194  QDataStream&, const QTreeWidgetItem&
    32, 229, 0,	//1197  QDataStream&, QRegExp&
    210, 210, 0,	//1200  QPainter::RenderHint, QPainter::RenderHint
    462, 462, 0,	//1203  const QPointF&, const QPointF&
    491, 511, 0,	//1206  const QTransform&, double
    269, 477, 0,	//1209  QTextStream&, const QSplitter&
    9, 55, 0,	//1212  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    137, 513, 0,	//1215  QGL::FormatOption, int
    499, 511, 0,	//1218  const QVector2D&, double
    137, 137, 0,	//1221  QGL::FormatOption, QGL::FormatOption
    278, 278, 0,	//1224  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    251, 251, 0,	//1227  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    483, 483, 0,	//1230  const QStringRef&, const QStringRef&
    505, 511, 0,	//1233  const QVector4D&, double
    251, 513, 0,	//1236  QStyleOptionButton::ButtonFeature, int
    50, 513, 0,	//1239  QFile::Permission, int
    36, 442, 0,	//1242  QDebug, const QLineF&
    23, 23, 0,	//1245  QChar, QChar
    447, 511, 0,	//1248  const QMatrix4x4&, double
    453, 491, 0,	//1251  const QPainterPath&, const QTransform&
    32, 401, 0,	//1254  QDataStream&, const QBrush&
    194, 89, 0,	//1257  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    507, 507, 521, 0,	//1260  const char*, const char*, unsigned int
    9, 9, 0,	//1264  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    174, 513, 0,	//1267  QInputDialog::InputDialogOption, int
    141, 141, 0,	//1270  QGLContext::BindOption, QGLContext::BindOption
    249, 513, 0,	//1273  QStyle::StateFlag, int
    36, 61, 0,	//1276  QDebug, QFlags<QDir::Filter>
    32, 231, 0,	//1279  QDataStream&, QRegion&
    210, 513, 0,	//1282  QPainter::RenderHint, int
    254, 513, 0,	//1285  QStyleOptionTab::CornerWidget, int
    294, 294, 0,	//1288  QWizard::WizardOption, QWizard::WizardOption
    271, 112, 0,	//1291  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    32, 18, 0,	//1294  QDataStream&, QBitArray&
    294, 116, 0,	//1297  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    462, 511, 0,	//1300  const QPointF&, double
    206, 93, 0,	//1303  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    162, 162, 0,	//1306  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    23, 0,	//1309  QChar
    209, 513, 513, 513, 513, 454, 391, 513, 402, 0,	//1311  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    6, 52, 0,	//1321  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    527, 0,	//1324  void(*)(QtMsgType,const char*)
    32, 408, 0,	//1326  QDataStream&, const QDate&
    452, 480, 449, 0,	//1329  const QObject*, const QString&, const QMetaObject&
    337, 125, 0,	//1333  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    502, 447, 0,	//1336  const QVector3D&, const QMatrix4x4&
    321, 513, 0,	//1339  Qt::GestureFlag, int
    209, 467, 454, 391, 402, 0,	//1342  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    261, 513, 0,	//1348  QTextCodec::ConversionFlag, int
    238, 238, 0,	//1351  QSizePolicy::ControlType, QSizePolicy::ControlType
    135, 513, 0,	//1354  QFontComboBox::FontFilter, int
    262, 513, 0,	//1357  QTextDocument::FindFlag, int
    32, 31, 0,	//1360  QDataStream&, QCursor&
    334, 124, 0,	//1363  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    502, 511, 0,	//1366  const QVector3D&, double
    337, 337, 0,	//1369  Qt::MatchFlag, Qt::MatchFlag
    32, 276, 0,	//1372  QDataStream&, QTransform&
    463, 446, 0,	//1375  const QPolygon&, const QMatrix&
    528, 0,	//1378  void*
    254, 102, 0,	//1380  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    480, 243, 0,	//1383  const QString&, QString::Null
    36, 455, 0,	//1386  QDebug, const QPen&
    256, 256, 0,	//1389  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    180, 513, 0,	//1392  QLibrary::LoadHint, int
    32, 236, 0,	//1395  QDataStream&, QSizeF&
    483, 507, 0,	//1398  const QStringRef&, const char*
    209, 467, 454, 391, 513, 513, 402, 0,	//1401  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    209, 467, 454, 391, 513, 513, 0,	//1409  QPainter*, const QRect&, const QPalette&, bool, int, int
    263, 263, 0,	//1416  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    205, 513, 0,	//1419  QPaintEngine::DirtyFlag, int
    162, 513, 0,	//1422  QGraphicsItem::GraphicsItemFlag, int
    462, 0,	//1425  const QPointF&
    528, 518, 518, 518, 0,	//1427  void*, size_t, size_t, size_t
    331, 331, 0,	//1432  Qt::ItemFlag, Qt::ItemFlag
    32, 458, 0,	//1435  QDataStream&, const QPixmap&
    523, 0,	//1438  unsigned long long
    404, 480, 0,	//1440  const QByteArray&, const QString&
    367, 132, 0,	//1443  Qt::WindowType, QFlags<Qt::WindowType>
    36, 473, 0,	//1446  QDebug, const QSize&
    462, 491, 0,	//1449  const QPointF&, const QTransform&
    331, 123, 0,	//1452  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    36, 502, 0,	//1455  QDebug, const QVector3D&
    359, 130, 0,	//1458  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    480, 392, 0,	//1461  const QString&, char
    41, 64, 0,	//1464  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    159, 513, 0,	//1467  QGraphicsEffect::ChangeFlag, int
    209, 513, 513, 513, 513, 406, 513, 402, 0,	//1470  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    209, 513, 513, 513, 513, 406, 0,	//1479  QPainter*, int, int, int, int, const QColor&
    209, 513, 513, 513, 513, 406, 513, 0,	//1486  QPainter*, int, int, int, int, const QColor&, int
    32, 493, 0,	//1494  QDataStream&, const QUrl&
    528, 513, 518, 0,	//1497  void*, int, size_t
    238, 95, 0,	//1501  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    32, 495, 0,	//1504  QDataStream&, const QVariant&
    32, 182, 0,	//1507  QDataStream&, QLine&
    9, 513, 0,	//1510  QAbstractSpinBox::StepEnabledFlag, int
    36, 499, 0,	//1513  QDebug, const QVector2D&
    334, 334, 0,	//1516  Qt::KeyboardModifier, Qt::KeyboardModifier
    447, 505, 0,	//1519  const QMatrix4x4&, const QVector4D&
    15, 513, 0,	//1522  QAccessible::StateFlag, int
    209, 467, 406, 513, 402, 0,	//1525  QPainter*, const QRect&, const QColor&, int, const QBrush*
    209, 467, 406, 0,	//1531  QPainter*, const QRect&, const QColor&
    209, 467, 406, 513, 0,	//1535  QPainter*, const QRect&, const QColor&, int
    35, 513, 0,	//1540  QDateTimeEdit::Section, int
    526, 0,	//1543  void(*)()
    295, 513, 0,	//1545  Qt::AlignmentFlag, int
    460, 446, 0,	//1548  const QPoint&, const QMatrix&
    334, 513, 0,	//1551  Qt::KeyboardModifier, int
    331, 513, 0,	//1554  Qt::ItemFlag, int
    326, 121, 0,	//1557  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    32, 455, 0,	//1560  QDataStream&, const QPen&
    460, 460, 0,	//1563  const QPoint&, const QPoint&
    244, 513, 0,	//1566  QString::SectionFlag, int
    367, 513, 0,	//1569  Qt::WindowType, int
    293, 293, 0,	//1572  QWidget::RenderFlag, QWidget::RenderFlag
    483, 480, 0,	//1575  const QStringRef&, const QString&
    209, 467, 445, 458, 467, 445, 489, 65, 0,	//1578  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    209, 467, 445, 458, 467, 445, 0,	//1587  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    209, 467, 445, 458, 467, 445, 489, 0,	//1594  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    440, 440, 0,	//1602  const QLatin1String&, const QLatin1String&
    435, 435, 0,	//1605  const QHashDummyValue&, const QHashDummyValue&
    507, 521, 0,	//1608  const char*, unsigned int
    280, 280, 0,	//1611  QUrl::FormattingOption, QUrl::FormattingOption
    29, 513, 0,	//1614  QColorDialog::ColorDialogOption, int
    32, 169, 0,	//1617  QDataStream&, QIcon&
    32, 463, 0,	//1620  QDataStream&, const QPolygon&
    359, 513, 0,	//1623  Qt::TouchPointState, int
    293, 115, 0,	//1626  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    36, 445, 0,	//1629  QDebug, const QMargins&
    265, 513, 0,	//1632  QTextFormat::PageBreakFlag, int
    172, 513, 0,	//1635  QImageIOPlugin::Capability, int
    36, 78, 0,	//1638  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    165, 513, 0,	//1641  QGraphicsView::CacheModeFlag, int
    7, 513, 0,	//1644  QAbstractItemView::EditTrigger, int
    36, 505, 0,	//1647  QDebug, const QVector4D&
    269, 270, 0,	//1650  QTextStream&, QTextStream&(*)(QTextStream&)
    294, 513, 0,	//1653  QWizard::WizardOption, int
    51, 513, 0,	//1656  QFileDialog::Option, int
    249, 97, 0,	//1659  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    447, 460, 0,	//1662  const QMatrix4x4&, const QPoint&
    256, 104, 0,	//1665  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    32, 47, 0,	//1668  QDataStream&, QEasingCurve&
    164, 79, 0,	//1671  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    194, 194, 0,	//1674  QMdiArea::AreaOption, QMdiArea::AreaOption
    32, 240, 0,	//1677  QDataStream&, QStandardItem&
    32, 442, 0,	//1680  QDataStream&, const QLineF&
    50, 67, 0,	//1683  QFile::Permission, QFlags<QFile::Permission>
    206, 513, 0,	//1686  QPaintEngine::PaintEngineFeature, int
    36, 453, 0,	//1689  QDebug, const QPainterPath&
    393, 507, 521, 0,	//1692  char*, const char*, unsigned int
    29, 58, 0,	//1696  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    32, 20, 0,	//1699  QDataStream&, QBrush&
    32, 462, 0,	//1702  QDataStream&, const QPointF&
    32, 193, 0,	//1705  QDataStream&, QMatrix4x4&
    505, 0,	//1708  const QVector4D&
    36, 447, 0,	//1710  QDebug, const QMatrix4x4&
    493, 0,	//1713  const QUrl&
    166, 513, 0,	//1715  QGraphicsView::OptimizationFlag, int
    32, 264, 0,	//1718  QDataStream&, QTextFormat&
    189, 513, 0,	//1721  QLocale::NumberOption, int
    32, 187, 0,	//1724  QDataStream&, QListWidgetItem&
    528, 518, 0,	//1727  void*, size_t
    159, 77, 0,	//1730  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    158, 76, 0,	//1733  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    480, 480, 0,	//1736  const QString&, const QString&
    256, 513, 0,	//1739  QStyleOptionToolButton::ToolButtonFeature, int
    196, 513, 0,	//1742  QMessageBox::StandardButton, int
    507, 507, 507, 513, 0,	//1745  const char*, const char*, const char*, int
    480, 483, 0,	//1750  const QString&, const QStringRef&
    36, 162, 0,	//1753  QDebug, QGraphicsItem::GraphicsItemFlag
    14, 56, 0,	//1756  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    179, 177, 0,	//1759  QKeySequence::StandardKey, QKeyEvent*
    238, 513, 0,	//1762  QSizePolicy::ControlType, int
    32, 237, 0,	//1765  QDataStream&, QSizePolicy&
    154, 513, 0,	//1768  QGLShader::ShaderTypeBit, int
    507, 483, 0,	//1771  const char*, const QStringRef&
    32, 191, 0,	//1774  QDataStream&, QMatrix&
    339, 513, 0,	//1777  Qt::MouseButton, int
    253, 101, 0,	//1780  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    32, 235, 0,	//1783  QDataStream&, QSize&
    40, 40, 0,	//1786  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    328, 328, 0,	//1789  Qt::InputMethodHint, Qt::InputMethodHint
    271, 271, 0,	//1792  QTextStream::NumberFlag, QTextStream::NumberFlag
    447, 462, 0,	//1795  const QMatrix4x4&, const QPointF&
    447, 0,	//1798  const QMatrix4x4&
    8, 54, 0,	//1800  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    511, 499, 0,	//1803  double, const QVector2D&
    174, 174, 0,	//1806  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    8, 513, 0,	//1809  QAbstractPrintDialog::PrintDialogOption, int
    32, 285, 0,	//1812  QDataStream&, QVariant::Type&
    353, 128, 0,	//1815  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    32, 502, 0,	//1818  QDataStream&, const QVector3D&
    442, 491, 0,	//1821  const QLineF&, const QTransform&
    483, 440, 0,	//1824  const QStringRef&, const QLatin1String&
    517, 0,	//1827  signed char
    32, 464, 0,	//1829  QDataStream&, const QPolygonF&
    32, 475, 0,	//1832  QDataStream&, const QSizeF&
    356, 129, 0,	//1835  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    511, 502, 0,	//1838  double, const QVector3D&
    32, 413, 0,	//1841  QDataStream&, const QFont&
    268, 111, 0,	//1844  QTextOption::Flag, QFlags<QTextOption::Flag>
    32, 258, 0,	//1847  QDataStream&, QTableWidgetItem&
    146, 73, 0,	//1850  QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>
    250, 98, 0,	//1853  QStyle::SubControl, QFlags<QStyle::SubControl>
    32, 499, 0,	//1856  QDataStream&, const QVector2D&
    32, 446, 0,	//1859  QDataStream&, const QMatrix&
    392, 480, 0,	//1862  char, const QString&
    210, 94, 0,	//1865  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    180, 180, 0,	//1868  QLibrary::LoadHint, QLibrary::LoadHint
    511, 447, 0,	//1871  double, const QMatrix4x4&
    166, 81, 0,	//1874  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    366, 366, 0,	//1877  Qt::WindowState, Qt::WindowState
    266, 266, 0,	//1880  QTextItem::RenderFlag, QTextItem::RenderFlag
    36, 493, 0,	//1883  QDebug, const QUrl&
    165, 165, 0,	//1886  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    280, 114, 0,	//1889  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    32, 225, 0,	//1892  QDataStream&, QPolygonF&
    278, 113, 0,	//1895  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    32, 213, 0,	//1898  QDataStream&, QPalette&
    32, 453, 0,	//1901  QDataStream&, const QPainterPath&
    15, 15, 0,	//1904  QAccessible::StateFlag, QAccessible::StateFlag
    468, 468, 0,	//1907  const QRectF&, const QRectF&
    511, 473, 0,	//1910  double, const QSize&
    177, 179, 0,	//1913  QKeyEvent*, QKeySequence::StandardKey
    50, 50, 0,	//1916  QFile::Permission, QFile::Permission
    451, 0,	//1919  const QModelIndex&
    165, 80, 0,	//1921  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    250, 250, 0,	//1924  QStyle::SubControl, QStyle::SubControl
    36, 441, 0,	//1927  QDebug, const QLine&
    7, 53, 0,	//1930  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    32, 226, 0,	//1933  QDataStream&, QQuaternion&
    505, 447, 0,	//1936  const QVector4D&, const QMatrix4x4&
    32, 400, 0,	//1939  QDataStream&, const QBitArray&
    446, 446, 0,	//1942  const QMatrix&, const QMatrix&
    257, 257, 0,	//1945  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    528, 510, 518, 0,	//1948  void*, const void*, size_t
    511, 460, 0,	//1952  double, const QPoint&
    190, 88, 0,	//1955  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    36, 163, 0,	//1958  QDebug, QGraphicsObject*
    36, 451, 0,	//1961  QDebug, const QModelIndex&
    516, 0,	//1964  short
    36, 409, 0,	//1966  QDebug, const QDateTime&
    195, 195, 0,	//1969  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    32, 460, 0,	//1972  QDataStream&, const QPoint&
    32, 437, 0,	//1975  QDataStream&, const QImage&
    511, 466, 0,	//1978  double, const QQuaternion&
    404, 392, 0,	//1981  const QByteArray&, char
    262, 262, 0,	//1984  QTextDocument::FindFlag, QTextDocument::FindFlag
    36, 439, 0,	//1987  QDebug, const QKeySequence&
    205, 92, 0,	//1990  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    37, 37, 0,	//1993  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    14, 14, 0,	//1996  QAccessible::RelationFlag, QAccessible::RelationFlag
    36, 452, 0,	//1999  QDebug, const QObject*
    164, 164, 0,	//2002  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    137, 71, 0,	//2005  QGL::FormatOption, QFlags<QGL::FormatOption>
    36, 412, 0,	//2008  QDebug, const QEvent*
    512, 512, 0,	//2011  float, float
    32, 134, 0,	//2014  QDataStream&, QFont&
    39, 62, 0,	//2017  QDir::SortFlag, QFlags<QDir::SortFlag>
    393, 518, 507, 525, 0,	//2020  char*, size_t, const char*, va_list
    174, 84, 0,	//2025  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    244, 96, 0,	//2028  QString::SectionFlag, QFlags<QString::SectionFlag>
    32, 473, 0,	//2031  QDataStream&, const QSize&
    176, 85, 0,	//2034  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    32, 228, 0,	//2037  QDataStream&, QRectF&
    261, 106, 0,	//2040  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    36, 82, 0,	//2043  QDebug, QFlags<QIODevice::OpenModeFlag>
    32, 405, 0,	//2046  QDataStream&, const QChar&
    391, 19, 0,	//2049  bool, QBool
    36, 468, 0,	//2052  QDebug, const QRectF&
    157, 513, 0,	//2055  QGestureRecognizer::ResultFlag, int
    463, 491, 0,	//2058  const QPolygon&, const QTransform&
    19, 391, 0,	//2061  QBool, bool
    366, 513, 0,	//2064  Qt::WindowState, int
    257, 105, 0,	//2067  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    32, 267, 0,	//2070  QDataStream&, QTextLength&
    32, 246, 0,	//2073  QDataStream&, QStringList&
    32, 467, 0,	//2076  QDataStream&, const QRect&
    32, 471, 0,	//2079  QDataStream&, const QRegion&
    314, 314, 0,	//2082  Qt::DockWidgetArea, Qt::DockWidgetArea
    36, 446, 0,	//2085  QDebug, const QMatrix&
    158, 513, 0,	//2088  QGraphicsBlurEffect::BlurHint, int
    189, 87, 0,	//2091  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    146, 513, 0,	//2094  QGLFormat::OpenGLVersionFlag, int
    268, 268, 0,	//2097  QTextOption::Flag, QTextOption::Flag
    141, 72, 0,	//2100  QGLContext::BindOption, QFlags<QGLContext::BindOption>
    32, 406, 0,	//2103  QDataStream&, const QColor&
    367, 367, 0,	//2106  Qt::WindowType, Qt::WindowType
    35, 35, 0,	//2109  QDateTimeEdit::Section, QDateTimeEdit::Section
    473, 511, 0,	//2112  const QSize&, double
    447, 502, 0,	//2115  const QMatrix4x4&, const QVector3D&
    243, 480, 0,	//2118  QString::Null, const QString&
    36, 401, 0,	//2121  QDebug, const QBrush&
    39, 39, 0,	//2124  QDir::SortFlag, QDir::SortFlag
    328, 122, 0,	//2127  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    32, 219, 0,	//2130  QDataStream&, QPoint&
    36, 462, 0,	//2133  QDebug, const QPointF&
    452, 480, 470, 449, 186, 0,	//2136  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    32, 34, 0,	//2142  QDataStream&, QDateTime&
    252, 252, 0,	//2145  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    32, 490, 0,	//2148  QDataStream&, const QTime&
    32, 277, 0,	//2151  QDataStream&, QTreeWidgetItem&
    32, 178, 0,	//2154  QDataStream&, QKeySequence&
    263, 513, 0,	//2157  QTextEdit::AutoFormattingFlag, int
    32, 494, 0,	//2160  QDataStream&, const QUuid&
    269, 272, 0,	//2163  QTextStream&, QTextStreamManipulator
    172, 83, 0,	//2166  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    32, 488, 0,	//2169  QDataStream&, const QTextLength&
    471, 491, 0,	//2172  const QRegion&, const QTransform&
    462, 447, 0,	//2175  const QPointF&, const QMatrix4x4&
    36, 160, 0,	//2178  QDebug, QGraphicsItem*
    41, 513, 0,	//2181  QDockWidget::DockWidgetFeature, int
    32, 443, 0,	//2184  QDataStream&, const QListWidgetItem&
    244, 244, 0,	//2187  QString::SectionFlag, QString::SectionFlag
    518, 518, 0,	//2190  size_t, size_t
    164, 513, 0,	//2193  QGraphicsScene::SceneLayer, int
    271, 513, 0,	//2196  QTextStream::NumberFlag, int
    508, 513, 513, 0,	//2199  const unsigned char*, int, int
    508, 513, 0,	//2203  const unsigned char*, int
    168, 513, 0,	//2206  QIODevice::OpenModeFlag, int
    36, 485, 0,	//2209  QDebug, const QStyleOption::OptionType&
    321, 120, 0,	//2212  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    32, 478, 0,	//2215  QDataStream&, const QStandardItem&
    464, 446, 0,	//2218  const QPolygonF&, const QMatrix&
    14, 513, 0,	//2221  QAccessible::RelationFlag, int
    460, 0,	//2224  const QPoint&
    32, 223, 0,	//2226  QDataStream&, QPolygon&
    209, 467, 445, 458, 0,	//2229  QPainter*, const QRect&, const QMargins&, const QPixmap&
    135, 69, 0,	//2234  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    51, 51, 0,	//2237  QFileDialog::Option, QFileDialog::Option
    194, 513, 0,	//2240  QMdiArea::AreaOption, int
    32, 242, 0,	//2243  QDataStream&, QString&
    35, 59, 0,	//2246  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    37, 60, 0,	//2249  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    209, 460, 460, 454, 391, 513, 513, 0,	//2252  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    209, 460, 460, 454, 0,	//2260  QPainter*, const QPoint&, const QPoint&, const QPalette&
    209, 460, 460, 454, 391, 0,	//2265  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    209, 460, 460, 454, 391, 513, 0,	//2271  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    176, 176, 0,	//2278  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    32, 480, 0,	//2281  QDataStream&, const QString&
    32, 411, 0,	//2284  QDataStream&, const QEasingCurve&
    269, 239, 0,	//2287  QTextStream&, QSplitter&
    141, 513, 0,	//2290  QGLContext::BindOption, int
    32, 447, 0,	//2293  QDataStream&, const QMatrix4x4&
    32, 24, 0,	//2296  QDataStream&, QChar&
    32, 505, 0,	//2299  QDataStream&, const QVector4D&
    249, 249, 0,	//2302  QStyle::StateFlag, QStyle::StateFlag
    438, 0,	//2305  const QItemSelectionRange&
    353, 353, 0,	//2307  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    32, 217, 0,	//2310  QDataStream&, QPixmap&
    480, 404, 0,	//2313  const QString&, const QByteArray&
    49, 49, 0,	//2316  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    460, 447, 0,	//2319  const QPoint&, const QMatrix4x4&
    32, 227, 0,	//2322  QDataStream&, QRect&
    6, 513, 0,	//2325  QAbstractFileEngine::FileFlag, int
    136, 70, 0,	//2328  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    166, 166, 0,	//2331  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    370, 507, 0,	//2334  QtMsgType, const char*
    326, 513, 0,	//2337  Qt::ImageConversionFlag, int
    502, 0,	//2340  const QVector3D&
    251, 99, 0,	//2342  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    29, 29, 0,	//2345  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    36, 467, 0,	//2348  QDebug, const QRect&
    32, 436, 0,	//2351  QDataStream&, const QIcon&
    32, 496, 0,	//2354  QDataStream&, const QVariant::Type
    32, 288, 0,	//2357  QDataStream&, QVector3D&
    257, 513, 0,	//2360  QStyleOptionViewItemV2::ViewItemFeature, int
    511, 505, 0,	//2363  double, const QVector4D&
    32, 184, 0,	//2366  QDataStream&, QLineF&
    32, 212, 0,	//2369  QDataStream&, QPainterPath&
    162, 78, 0,	//2372  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    32, 215, 0,	//2375  QDataStream&, QPicture&
    359, 359, 0,	//2378  Qt::TouchPointState, Qt::TouchPointState
    154, 74, 0,	//2381  QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>
    266, 110, 0,	//2384  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    353, 513, 0,	//2387  Qt::TextInteractionFlag, int
    460, 491, 0,	//2390  const QPoint&, const QTransform&
    252, 513, 0,	//2393  QStyleOptionFrameV2::FrameFeature, int
    37, 513, 0,	//2396  QDialogButtonBox::StandardButton, int
    255, 255, 0,	//2399  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    32, 286, 0,	//2402  QDataStream&, QVector2D&
    266, 513, 0,	//2405  QTextItem::RenderFlag, int
    392, 0,	//2408  char
    32, 409, 0,	//2410  QDataStream&, const QDateTime&
    190, 513, 0,	//2413  QMainWindow::DockOption, int
    32, 273, 0,	//2416  QDataStream&, QTime&
    265, 109, 0,	//2419  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    326, 326, 0,	//2422  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    36, 466, 0,	//2425  QDebug, const QQuaternion&
    252, 100, 0,	//2428  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    32, 487, 0,	//2431  QDataStream&, const QTextFormat&
    316, 119, 0,	//2434  Qt::DropAction, QFlags<Qt::DropAction>
    195, 513, 0,	//2437  QMdiSubWindow::SubWindowOption, int
    316, 316, 0,	//2440  Qt::DropAction, Qt::DropAction
    158, 158, 0,	//2443  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    341, 513, 0,	//2446  Qt::Orientation, int
    172, 172, 0,	//2449  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    32, 466, 0,	//2452  QDataStream&, const QQuaternion&
    36, 410, 0,	//2455  QDebug, const QDir&
    471, 446, 0,	//2458  const QRegion&, const QMatrix&
    36, 471, 0,	//2461  QDebug, const QRegion&
    32, 279, 0,	//2464  QDataStream&, QUrl&
    180, 86, 0,	//2467  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    268, 513, 0,	//2470  QTextOption::Flag, int
    480, 23, 0,	//2473  const QString&, QChar
    513, 513, 513, 513, 0,	//2476  int, int, int, int
    341, 127, 0,	//2481  Qt::Orientation, QFlags<Qt::Orientation>
    255, 103, 0,	//2484  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    190, 190, 0,	//2487  QMainWindow::DockOption, QMainWindow::DockOption
    518, 0,	//2490  size_t
    36, 495, 0,	//2492  QDebug, const QVariant&
    189, 189, 0,	//2495  QLocale::NumberOption, QLocale::NumberOption
    32, 444, 0,	//2498  QDataStream&, const QLocale&
    200, 48, 0,	//2501  QObject*, QEvent*
    274, 0,	//2504  QTimerEvent*
    25, 0,	//2506  QChildEvent*
    198, 0,	//2508  QMouseEvent*
    291, 0,	//2510  QWheelEvent*
    177, 0,	//2512  QKeyEvent*
    133, 0,	//2514  QFocusEvent*
    199, 0,	//2516  QMoveEvent*
    26, 0,	//2518  QCloseEvent*
    30, 0,	//2520  QContextMenuEvent*
    259, 0,	//2522  QTabletEvent*
    16, 0,	//2524  QActionEvent*
    42, 0,	//2526  QDragEnterEvent*
    44, 0,	//2528  QDragMoveEvent*
    43, 0,	//2530  QDragLeaveEvent*
    46, 0,	//2532  QDropEvent*
    233, 0,	//2534  QShowEvent*
    167, 0,	//2536  QHideEvent*
    390, 0,	//2538  _XEvent*
    175, 0,	//2540  QInputMethodEvent*
    329, 0,	//2542  Qt::InputMethodQuery
    248, 0,	//2544  QStyle&
    454, 0,	//2546  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccumBuffer",	//1
    "AlphaChannel",	//2
    "CanFlipNativePixmapBindOption",	//3
    "ColorIndex",	//4
    "CombinedDepthStencil",	//5
    "CompatibilityProfile",	//6
    "CoreProfile",	//7
    "DefaultBindOption",	//8
    "DeprecatedFunctions",	//9
    "Depth",	//10
    "DepthBuffer",	//11
    "DirectRendering",	//12
    "DoubleBuffer",	//13
    "DrawChildren",	//14
    "DrawWindowBackground",	//15
    "Fragment",	//16
    "Geometry",	//17
    "HasOverlay",	//18
    "IgnoreMask",	//19
    "IndirectRendering",	//20
    "InternalBindOption",	//21
    "InvertedYBindOption",	//22
    "LicensedActiveQt",	//23
    "LicensedCore",	//24
    "LicensedDBus",	//25
    "LicensedDeclarative",	//26
    "LicensedGui",	//27
    "LicensedHelp",	//28
    "LicensedMultimedia",	//29
    "LicensedNetwork",	//30
    "LicensedOpenGL",	//31
    "LicensedOpenVG",	//32
    "LicensedQt3Support",	//33
    "LicensedQt3SupportLight",	//34
    "LicensedScript",	//35
    "LicensedScriptTools",	//36
    "LicensedSql",	//37
    "LicensedSvg",	//38
    "LicensedTest",	//39
    "LicensedXml",	//40
    "LicensedXmlPatterns",	//41
    "LinearFilteringBindOption",	//42
    "MemoryManagedBindOption",	//43
    "MipmapBindOption",	//44
    "NoAccumBuffer",	//45
    "NoAlphaChannel",	//46
    "NoAttachment",	//47
    "NoBindOption",	//48
    "NoDeprecatedFunctions",	//49
    "NoDepthBuffer",	//50
    "NoOverlay",	//51
    "NoProfile",	//52
    "NoSampleBuffers",	//53
    "NoStencilBuffer",	//54
    "NoStereoBuffers",	//55
    "OpenGL_ES_CommonLite_Version_1_0",	//56
    "OpenGL_ES_CommonLite_Version_1_1",	//57
    "OpenGL_ES_Common_Version_1_0",	//58
    "OpenGL_ES_Common_Version_1_1",	//59
    "OpenGL_ES_Version_2_0",	//60
    "OpenGL_Version_1_1",	//61
    "OpenGL_Version_1_2",	//62
    "OpenGL_Version_1_3",	//63
    "OpenGL_Version_1_4",	//64
    "OpenGL_Version_1_5",	//65
    "OpenGL_Version_2_0",	//66
    "OpenGL_Version_2_1",	//67
    "OpenGL_Version_3_0",	//68
    "OpenGL_Version_3_1",	//69
    "OpenGL_Version_3_2",	//70
    "OpenGL_Version_3_3",	//71
    "OpenGL_Version_4_0",	//72
    "OpenGL_Version_None",	//73
    "PremultipliedAlphaBindOption",	//74
    "QGLColormap",	//75
    "QGLColormap#",	//76
    "QGLContext",	//77
    "QGLContext#",	//78
    "QGLContext##",	//79
    "QGLFormat",	//80
    "QGLFormat#",	//81
    "QGLFormat$",	//82
    "QGLFormat$$",	//83
    "QGLFramebufferObject",	//84
    "QGLFramebufferObject#",	//85
    "QGLFramebufferObject##",	//86
    "QGLFramebufferObject#$",	//87
    "QGLFramebufferObject#$?",	//88
    "QGLFramebufferObject#$??",	//89
    "QGLFramebufferObject#?",	//90
    "QGLFramebufferObject$$",	//91
    "QGLFramebufferObject$$#",	//92
    "QGLFramebufferObject$$$",	//93
    "QGLFramebufferObject$$$?",	//94
    "QGLFramebufferObject$$$??",	//95
    "QGLFramebufferObject$$?",	//96
    "QGLFramebufferObjectFormat",	//97
    "QGLFramebufferObjectFormat#",	//98
    "QGLPixelBuffer",	//99
    "QGLPixelBuffer#",	//100
    "QGLPixelBuffer##",	//101
    "QGLPixelBuffer###",	//102
    "QGLPixelBuffer$$",	//103
    "QGLPixelBuffer$$#",	//104
    "QGLPixelBuffer$$##",	//105
    "QGLShader",	//106
    "QGLShader$",	//107
    "QGLShader$#",	//108
    "QGLShader$##",	//109
    "QGLShaderProgram",	//110
    "QGLShaderProgram#",	//111
    "QGLShaderProgram##",	//112
    "QGLWidget",	//113
    "QGLWidget#",	//114
    "QGLWidget##",	//115
    "QGLWidget###",	//116
    "QGLWidget###$",	//117
    "QGLWidget##$",	//118
    "Q_COMPLEX_TYPE",	//119
    "Q_DUMMY_TYPE",	//120
    "Q_MOVABLE_TYPE",	//121
    "Q_PRIMITIVE_TYPE",	//122
    "Q_STATIC_TYPE",	//123
    "QtCriticalMsg",	//124
    "QtDebugMsg",	//125
    "QtFatalMsg",	//126
    "QtSystemMsg",	//127
    "QtWarningMsg",	//128
    "Rgba",	//129
    "SampleBuffers",	//130
    "SingleBuffer",	//131
    "StencilBuffer",	//132
    "StereoBuffers",	//133
    "Vertex",	//134
    "accum",	//135
    "accumBufferSize",	//136
    "actionEvent",	//137
    "addShader",	//138
    "addShader#",	//139
    "addShaderFromSourceCode",	//140
    "addShaderFromSourceCode$#",	//141
    "addShaderFromSourceCode$$",	//142
    "addShaderFromSourceFile",	//143
    "addShaderFromSourceFile$$",	//144
    "alpha",	//145
    "alphaBufferSize",	//146
    "areSharing",	//147
    "areSharing##",	//148
    "attachment",	//149
    "attributeLocation",	//150
    "attributeLocation#",	//151
    "attributeLocation$",	//152
    "autoBufferSwap",	//153
    "bind",	//154
    "bindAttributeLocation",	//155
    "bindAttributeLocation#$",	//156
    "bindAttributeLocation$$",	//157
    "bindDefault",	//158
    "bindTexture",	//159
    "bindTexture#",	//160
    "bindTexture#?",	//161
    "bindTexture#??",	//162
    "bindTexture#??$",	//163
    "bindTexture$",	//164
    "bindToDynamicTexture",	//165
    "bindToDynamicTexture?",	//166
    "blitFramebuffer",	//167
    "blitFramebuffer####",	//168
    "blitFramebuffer####?",	//169
    "blitFramebuffer####??",	//170
    "blueBufferSize",	//171
    "changeEvent",	//172
    "childEvent",	//173
    "chooseContext",	//174
    "chooseContext#",	//175
    "chooseVisual",	//176
    "closeEvent",	//177
    "colorIndex",	//178
    "colorIndex#",	//179
    "colormap",	//180
    "compileSourceCode",	//181
    "compileSourceCode#",	//182
    "compileSourceCode$",	//183
    "compileSourceFile",	//184
    "compileSourceFile$",	//185
    "connectNotify",	//186
    "context",	//187
    "contextMenuEvent",	//188
    "convertToGLFormat",	//189
    "convertToGLFormat#",	//190
    "create",	//191
    "create#",	//192
    "currentContext",	//193
    "currentCtx",	//194
    "customEvent",	//195
    "defaultFormat",	//196
    "defaultOverlayFormat",	//197
    "deleteTexture",	//198
    "deleteTexture?",	//199
    "depth",	//200
    "depthBufferSize",	//201
    "detach",	//202
    "devType",	//203
    "device",	//204
    "deviceIsPixmap",	//205
    "directRendering",	//206
    "disableAttributeArray",	//207
    "disableAttributeArray$",	//208
    "disconnectNotify",	//209
    "doneCurrent",	//210
    "doubleBuffer",	//211
    "dragEnterEvent",	//212
    "dragLeaveEvent",	//213
    "dragMoveEvent",	//214
    "drawTexture",	//215
    "drawTexture#?",	//216
    "drawTexture#??",	//217
    "dropEvent",	//218
    "enableAttributeArray",	//219
    "enableAttributeArray$",	//220
    "enabledChange",	//221
    "enterEvent",	//222
    "entryColor",	//223
    "entryColor$",	//224
    "entryRgb",	//225
    "entryRgb$",	//226
    "event",	//227
    "event#",	//228
    "eventFilter",	//229
    "find",	//230
    "find$",	//231
    "findNearest",	//232
    "findNearest$",	//233
    "focusInEvent",	//234
    "focusNextPrevChild",	//235
    "focusOutEvent",	//236
    "fontChange",	//237
    "fontDisplayListBase",	//238
    "fontDisplayListBase#",	//239
    "fontDisplayListBase#$",	//240
    "format",	//241
    "generateDynamicTexture",	//242
    "generateFontDisplayLists",	//243
    "generateFontDisplayLists#$",	//244
    "geometryInputType",	//245
    "geometryOutputType",	//246
    "geometryOutputVertexCount",	//247
    "getProcAddress",	//248
    "getProcAddress$",	//249
    "glDraw",	//250
    "glInit",	//251
    "grabFrameBuffer",	//252
    "grabFrameBuffer$",	//253
    "greenBufferSize",	//254
    "handle",	//255
    "hasOpenGL",	//256
    "hasOpenGLFramebufferBlit",	//257
    "hasOpenGLFramebufferObjects",	//258
    "hasOpenGLOverlays",	//259
    "hasOpenGLPbuffers",	//260
    "hasOpenGLShaderPrograms",	//261
    "hasOpenGLShaderPrograms#",	//262
    "hasOpenGLShaders",	//263
    "hasOpenGLShaders$",	//264
    "hasOpenGLShaders$#",	//265
    "hasOverlay",	//266
    "heightForWidth",	//267
    "hideEvent",	//268
    "initializeGL",	//269
    "initializeOverlayGL",	//270
    "initialized",	//271
    "inputMethodEvent",	//272
    "inputMethodQuery",	//273
    "internalTextureFormat",	//274
    "isBound",	//275
    "isCompiled",	//276
    "isEmpty",	//277
    "isLinked",	//278
    "isSharing",	//279
    "isValid",	//280
    "keyPressEvent",	//281
    "keyReleaseEvent",	//282
    "languageChange",	//283
    "leaveEvent",	//284
    "link",	//285
    "log",	//286
    "majorVersion",	//287
    "makeCurrent",	//288
    "makeOverlayCurrent",	//289
    "maxGeometryOutputVertices",	//290
    "metaObject",	//291
    "metric",	//292
    "metric$",	//293
    "minimumSizeHint",	//294
    "minorVersion",	//295
    "mouseDoubleClickEvent",	//296
    "mouseMoveEvent",	//297
    "mousePressEvent",	//298
    "mouseReleaseEvent",	//299
    "moveEvent",	//300
    "openGLVersionFlags",	//301
    "operator!=",	//302
    "operator!=#",	//303
    "operator!=##",	//304
    "operator!=#$",	//305
    "operator!=$#",	//306
    "operator!=$$",	//307
    "operator&",	//308
    "operator&##",	//309
    "operator*",	//310
    "operator*##",	//311
    "operator*#$",	//312
    "operator*$#",	//313
    "operator+",	//314
    "operator+##",	//315
    "operator+#$",	//316
    "operator+$#",	//317
    "operator+$$",	//318
    "operator-",	//319
    "operator-#",	//320
    "operator-##",	//321
    "operator-#$",	//322
    "operator/",	//323
    "operator/#$",	//324
    "operator<",	//325
    "operator<##",	//326
    "operator<#$",	//327
    "operator<$#",	//328
    "operator<$$",	//329
    "operator<<",	//330
    "operator<<##",	//331
    "operator<<#$",	//332
    "operator<<#?",	//333
    "operator<=",	//334
    "operator<=##",	//335
    "operator<=#$",	//336
    "operator<=$#",	//337
    "operator<=$$",	//338
    "operator=",	//339
    "operator=#",	//340
    "operator==",	//341
    "operator==#",	//342
    "operator==##",	//343
    "operator==#$",	//344
    "operator==$#",	//345
    "operator==$$",	//346
    "operator>",	//347
    "operator>##",	//348
    "operator>#$",	//349
    "operator>$#",	//350
    "operator>$$",	//351
    "operator>=",	//352
    "operator>=##",	//353
    "operator>=#$",	//354
    "operator>=$#",	//355
    "operator>=$$",	//356
    "operator>>",	//357
    "operator>>##",	//358
    "operator>>#$",	//359
    "operator>>#?",	//360
    "operator^",	//361
    "operator^##",	//362
    "operator|",	//363
    "operator|##",	//364
    "operator|$$",	//365
    "overlayContext",	//366
    "overlayTransparentColor",	//367
    "paintEngine",	//368
    "paintEvent",	//369
    "paintEvent#",	//370
    "paintGL",	//371
    "paintOverlayGL",	//372
    "paletteChange",	//373
    "plane",	//374
    "profile",	//375
    "programId",	//376
    "qAccessibleActionCastHelper",	//377
    "qAccessibleEditableTextCastHelper",	//378
    "qAccessibleImageCastHelper",	//379
    "qAccessibleTableCastHelper",	//380
    "qAccessibleTextCastHelper",	//381
    "qAccessibleValueCastHelper",	//382
    "qAcos",	//383
    "qAcos$",	//384
    "qAddPostRoutine",	//385
    "qAddPostRoutine$",	//386
    "qAlpha",	//387
    "qAlpha$",	//388
    "qAppName",	//389
    "qAsin",	//390
    "qAsin$",	//391
    "qAtan",	//392
    "qAtan$",	//393
    "qAtan2",	//394
    "qAtan2$$",	//395
    "qBadAlloc",	//396
    "qBlue",	//397
    "qBlue$",	//398
    "qCeil",	//399
    "qCeil$",	//400
    "qChecksum",	//401
    "qChecksum$$",	//402
    "qCompress",	//403
    "qCompress#",	//404
    "qCompress#$",	//405
    "qCompress$$",	//406
    "qCompress$$$",	//407
    "qCos",	//408
    "qCos$",	//409
    "qCritical",	//410
    "qDebug",	//411
    "qDrawBorderPixmap",	//412
    "qDrawBorderPixmap####",	//413
    "qDrawBorderPixmap######",	//414
    "qDrawBorderPixmap#######",	//415
    "qDrawBorderPixmap#######$",	//416
    "qDrawPlainRect",	//417
    "qDrawPlainRect###",	//418
    "qDrawPlainRect###$",	//419
    "qDrawPlainRect###$#",	//420
    "qDrawPlainRect#$$$$#",	//421
    "qDrawPlainRect#$$$$#$",	//422
    "qDrawPlainRect#$$$$#$#",	//423
    "qDrawShadeLine",	//424
    "qDrawShadeLine####",	//425
    "qDrawShadeLine####$",	//426
    "qDrawShadeLine####$$",	//427
    "qDrawShadeLine####$$$",	//428
    "qDrawShadeLine#$$$$#",	//429
    "qDrawShadeLine#$$$$#$",	//430
    "qDrawShadeLine#$$$$#$$",	//431
    "qDrawShadeLine#$$$$#$$$",	//432
    "qDrawShadePanel",	//433
    "qDrawShadePanel###",	//434
    "qDrawShadePanel###$",	//435
    "qDrawShadePanel###$$",	//436
    "qDrawShadePanel###$$#",	//437
    "qDrawShadePanel#$$$$#",	//438
    "qDrawShadePanel#$$$$#$",	//439
    "qDrawShadePanel#$$$$#$$",	//440
    "qDrawShadePanel#$$$$#$$#",	//441
    "qDrawShadeRect",	//442
    "qDrawShadeRect###",	//443
    "qDrawShadeRect###$",	//444
    "qDrawShadeRect###$$",	//445
    "qDrawShadeRect###$$$",	//446
    "qDrawShadeRect###$$$#",	//447
    "qDrawShadeRect#$$$$#",	//448
    "qDrawShadeRect#$$$$#$",	//449
    "qDrawShadeRect#$$$$#$$",	//450
    "qDrawShadeRect#$$$$#$$$",	//451
    "qDrawShadeRect#$$$$#$$$#",	//452
    "qDrawWinButton",	//453
    "qDrawWinButton###",	//454
    "qDrawWinButton###$",	//455
    "qDrawWinButton###$#",	//456
    "qDrawWinButton#$$$$#",	//457
    "qDrawWinButton#$$$$#$",	//458
    "qDrawWinButton#$$$$#$#",	//459
    "qDrawWinPanel",	//460
    "qDrawWinPanel###",	//461
    "qDrawWinPanel###$",	//462
    "qDrawWinPanel###$#",	//463
    "qDrawWinPanel#$$$$#",	//464
    "qDrawWinPanel#$$$$#$",	//465
    "qDrawWinPanel#$$$$#$#",	//466
    "qExp",	//467
    "qExp$",	//468
    "qFabs",	//469
    "qFabs$",	//470
    "qFastCos",	//471
    "qFastCos$",	//472
    "qFastSin",	//473
    "qFastSin$",	//474
    "qFlagLocation",	//475
    "qFlagLocation$",	//476
    "qFloor",	//477
    "qFloor$",	//478
    "qFree",	//479
    "qFree$",	//480
    "qFreeAligned",	//481
    "qFreeAligned$",	//482
    "qFuzzyCompare",	//483
    "qFuzzyCompare##",	//484
    "qFuzzyCompare$$",	//485
    "qFuzzyIsNull",	//486
    "qFuzzyIsNull$",	//487
    "qGray",	//488
    "qGray$",	//489
    "qGray$$$",	//490
    "qGreen",	//491
    "qGreen$",	//492
    "qHash",	//493
    "qHash#",	//494
    "qHash$",	//495
    "qHash?",	//496
    "qInf",	//497
    "qInstallMsgHandler",	//498
    "qInstallMsgHandler$",	//499
    "qIntCast",	//500
    "qIntCast$",	//501
    "qIsFinite",	//502
    "qIsFinite$",	//503
    "qIsGray",	//504
    "qIsGray$",	//505
    "qIsInf",	//506
    "qIsInf$",	//507
    "qIsNaN",	//508
    "qIsNaN$",	//509
    "qIsNull",	//510
    "qIsNull$",	//511
    "qLn",	//512
    "qLn$",	//513
    "qMalloc",	//514
    "qMalloc?",	//515
    "qMallocAligned",	//516
    "qMallocAligned??",	//517
    "qMemCopy",	//518
    "qMemCopy$$?",	//519
    "qMemSet",	//520
    "qMemSet$$?",	//521
    "qPow",	//522
    "qPow$$",	//523
    "qQNaN",	//524
    "qRealloc",	//525
    "qRealloc$?",	//526
    "qReallocAligned",	//527
    "qReallocAligned$???",	//528
    "qRed",	//529
    "qRed$",	//530
    "qRegisterStaticPluginInstanceFunction",	//531
    "qRegisterStaticPluginInstanceFunction#",	//532
    "qRemovePostRoutine",	//533
    "qRemovePostRoutine$",	//534
    "qRgb",	//535
    "qRgb$$$",	//536
    "qRgba",	//537
    "qRgba$$$$",	//538
    "qRound",	//539
    "qRound$",	//540
    "qRound64",	//541
    "qRound64$",	//542
    "qSNaN",	//543
    "qSetFieldWidth",	//544
    "qSetFieldWidth$",	//545
    "qSetPadChar",	//546
    "qSetPadChar#",	//547
    "qSetRealNumberPrecision",	//548
    "qSetRealNumberPrecision$",	//549
    "qSharedBuild",	//550
    "qSin",	//551
    "qSin$",	//552
    "qSqrt",	//553
    "qSqrt$",	//554
    "qStringComparisonHelper",	//555
    "qStringComparisonHelper#$",	//556
    "qStringComparisonHelper$$",	//557
    "qTan",	//558
    "qTan$",	//559
    "qUncompress",	//560
    "qUncompress#",	//561
    "qUncompress$$",	//562
    "qVersion",	//563
    "qWarning",	//564
    "qbswap_helper",	//565
    "qbswap_helper$$$",	//566
    "qgetenv",	//567
    "qgetenv$",	//568
    "qglClearColor",	//569
    "qglClearColor#",	//570
    "qglColor",	//571
    "qglColor#",	//572
    "qputenv",	//573
    "qputenv$#",	//574
    "qrand",	//575
    "qsrand",	//576
    "qsrand$",	//577
    "qstrcmp",	//578
    "qstrcmp##",	//579
    "qstrcmp#$",	//580
    "qstrcmp$#",	//581
    "qstrcmp$$",	//582
    "qstrcpy",	//583
    "qstrcpy$$",	//584
    "qstrdup",	//585
    "qstrdup$",	//586
    "qstricmp",	//587
    "qstricmp$$",	//588
    "qstrlen",	//589
    "qstrlen$",	//590
    "qstrncmp",	//591
    "qstrncmp$$$",	//592
    "qstrncpy",	//593
    "qstrncpy$$$",	//594
    "qstrnicmp",	//595
    "qstrnicmp$$$",	//596
    "qstrnlen",	//597
    "qstrnlen$$",	//598
    "qtTrId",	//599
    "qtTrId$",	//600
    "qtTrId$$",	//601
    "qt_assert",	//602
    "qt_assert$$$",	//603
    "qt_assert_x",	//604
    "qt_assert_x$$$$",	//605
    "qt_check_pointer",	//606
    "qt_check_pointer$$",	//607
    "qt_error_string",	//608
    "qt_error_string$",	//609
    "qt_message_output",	//610
    "qt_message_output$$",	//611
    "qt_metacall",	//612
    "qt_metacall$$?",	//613
    "qt_metacast",	//614
    "qt_metacast$",	//615
    "qt_noop",	//616
    "qt_qFindChild_helper",	//617
    "qt_qFindChild_helper#$#",	//618
    "qt_qFindChildren_helper",	//619
    "qt_qFindChildren_helper#$##?",	//620
    "qvariant_cast_helper",	//621
    "qvariant_cast_helper#$$",	//622
    "qvsnprintf",	//623
    "qvsnprintf$?$?",	//624
    "redBufferSize",	//625
    "release",	//626
    "releaseFromDynamicTexture",	//627
    "removeAllShaders",	//628
    "removeShader",	//629
    "removeShader#",	//630
    "renderPixmap",	//631
    "renderPixmap$",	//632
    "renderPixmap$$",	//633
    "renderPixmap$$$",	//634
    "renderText",	//635
    "renderText$$$",	//636
    "renderText$$$#",	//637
    "renderText$$$#$",	//638
    "renderText$$$$",	//639
    "renderText$$$$#",	//640
    "renderText$$$$#$",	//641
    "requestedFormat",	//642
    "reset",	//643
    "resizeEvent",	//644
    "resizeEvent#",	//645
    "resizeGL",	//646
    "resizeGL$$",	//647
    "resizeOverlayGL",	//648
    "resizeOverlayGL$$",	//649
    "rgba",	//650
    "sampleBuffers",	//651
    "samples",	//652
    "setAccum",	//653
    "setAccum$",	//654
    "setAccumBufferSize",	//655
    "setAccumBufferSize$",	//656
    "setAlpha",	//657
    "setAlpha$",	//658
    "setAlphaBufferSize",	//659
    "setAlphaBufferSize$",	//660
    "setAttachment",	//661
    "setAttachment$",	//662
    "setAttributeArray",	//663
    "setAttributeArray$#",	//664
    "setAttributeArray$#$",	//665
    "setAttributeArray$?$",	//666
    "setAttributeArray$?$$",	//667
    "setAttributeArray$?$$$",	//668
    "setAttributeBuffer",	//669
    "setAttributeBuffer$?$$",	//670
    "setAttributeBuffer$?$$$",	//671
    "setAttributeValue",	//672
    "setAttributeValue$#",	//673
    "setAttributeValue$?",	//674
    "setAttributeValue$?$$",	//675
    "setAttributeValue$??",	//676
    "setAttributeValue$???",	//677
    "setAttributeValue$????",	//678
    "setAutoBufferSwap",	//679
    "setAutoBufferSwap$",	//680
    "setBlueBufferSize",	//681
    "setBlueBufferSize$",	//682
    "setColormap",	//683
    "setColormap#",	//684
    "setContext",	//685
    "setContext#",	//686
    "setContext##",	//687
    "setContext##$",	//688
    "setCurrentCtx",	//689
    "setCurrentCtx#",	//690
    "setDefaultFormat",	//691
    "setDefaultFormat#",	//692
    "setDefaultOverlayFormat",	//693
    "setDefaultOverlayFormat#",	//694
    "setDepth",	//695
    "setDepth$",	//696
    "setDepthBufferSize",	//697
    "setDepthBufferSize$",	//698
    "setDevice",	//699
    "setDevice#",	//700
    "setDirectRendering",	//701
    "setDirectRendering$",	//702
    "setDoubleBuffer",	//703
    "setDoubleBuffer$",	//704
    "setEntries",	//705
    "setEntries$$",	//706
    "setEntries$$$",	//707
    "setEntry",	//708
    "setEntry$#",	//709
    "setEntry$$",	//710
    "setFormat",	//711
    "setFormat#",	//712
    "setGeometryInputType",	//713
    "setGeometryInputType?",	//714
    "setGeometryOutputType",	//715
    "setGeometryOutputType?",	//716
    "setGeometryOutputVertexCount",	//717
    "setGeometryOutputVertexCount$",	//718
    "setGreenBufferSize",	//719
    "setGreenBufferSize$",	//720
    "setHandle",	//721
    "setHandle$",	//722
    "setInitialized",	//723
    "setInitialized$",	//724
    "setInternalTextureFormat",	//725
    "setInternalTextureFormat?",	//726
    "setMouseTracking",	//727
    "setMouseTracking$",	//728
    "setOption",	//729
    "setOption$",	//730
    "setOverlay",	//731
    "setOverlay$",	//732
    "setPlane",	//733
    "setPlane$",	//734
    "setPreferredPaintEngine",	//735
    "setPreferredPaintEngine$",	//736
    "setProfile",	//737
    "setProfile$",	//738
    "setRedBufferSize",	//739
    "setRedBufferSize$",	//740
    "setRgba",	//741
    "setRgba$",	//742
    "setSampleBuffers",	//743
    "setSampleBuffers$",	//744
    "setSamples",	//745
    "setSamples$",	//746
    "setStencil",	//747
    "setStencil$",	//748
    "setStencilBufferSize",	//749
    "setStencilBufferSize$",	//750
    "setStereo",	//751
    "setStereo$",	//752
    "setSwapInterval",	//753
    "setSwapInterval$",	//754
    "setTextureCacheLimit",	//755
    "setTextureCacheLimit$",	//756
    "setTextureTarget",	//757
    "setTextureTarget?",	//758
    "setUniformValue",	//759
    "setUniformValue$#",	//760
    "setUniformValue$?",	//761
    "setUniformValue$??",	//762
    "setUniformValue$???",	//763
    "setUniformValue$????",	//764
    "setUniformValueArray",	//765
    "setUniformValueArray$#$",	//766
    "setUniformValueArray$?$",	//767
    "setUniformValueArray$?$$",	//768
    "setValid",	//769
    "setValid$",	//770
    "setVersion",	//771
    "setVersion$$",	//772
    "setVisible",	//773
    "setWindowCreated",	//774
    "setWindowCreated$",	//775
    "shaderId",	//776
    "shaderType",	//777
    "shaders",	//778
    "showEvent",	//779
    "size",	//780
    "sizeHint",	//781
    "sourceCode",	//782
    "staticMetaObject",	//783
    "stencil",	//784
    "stencilBufferSize",	//785
    "stereo",	//786
    "styleChange",	//787
    "swapBuffers",	//788
    "swapInterval",	//789
    "tabletEvent",	//790
    "testOption",	//791
    "testOption$",	//792
    "texture",	//793
    "textureCacheLimit",	//794
    "textureTarget",	//795
    "timerEvent",	//796
    "toImage",	//797
    "tr",	//798
    "tr$",	//799
    "tr$$",	//800
    "tr$$$",	//801
    "trUtf8",	//802
    "trUtf8$",	//803
    "trUtf8$$",	//804
    "trUtf8$$$",	//805
    "tryVisual",	//806
    "tryVisual#",	//807
    "tryVisual#$",	//808
    "uniformLocation",	//809
    "uniformLocation#",	//810
    "uniformLocation$",	//811
    "updateDynamicTexture",	//812
    "updateDynamicTexture?",	//813
    "updateGL",	//814
    "updateOverlayGL",	//815
    "wheelEvent",	//816
    "windowActivationChange",	//817
    "windowCreated",	//818
    "x11Event",	//819
    "~QGLColormap",	//820
    "~QGLContext",	//821
    "~QGLFormat",	//822
    "~QGLFramebufferObject",	//823
    "~QGLFramebufferObjectFormat",	//824
    "~QGLPixelBuffer",	//825
    "~QGLShader",	//826
    "~QGLShaderProgram",	//827
    "~QGLWidget",	//828
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 735, 1, 1, Smoke::mf_static, 0, 1},	//1 QGL::setPreferredPaintEngine(QPaintEngine::Type)
    {26, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 2},	//2 QGL::DoubleBuffer (enum)
    {26, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 3},	//3 QGL::DepthBuffer (enum)
    {26, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 4},	//4 QGL::Rgba (enum)
    {26, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 5},	//5 QGL::AlphaChannel (enum)
    {26, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 6},	//6 QGL::AccumBuffer (enum)
    {26, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 7},	//7 QGL::StencilBuffer (enum)
    {26, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 8},	//8 QGL::StereoBuffers (enum)
    {26, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 9},	//9 QGL::DirectRendering (enum)
    {26, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 10},	//10 QGL::HasOverlay (enum)
    {26, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 11},	//11 QGL::SampleBuffers (enum)
    {26, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 12},	//12 QGL::DeprecatedFunctions (enum)
    {26, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 13},	//13 QGL::SingleBuffer (enum)
    {26, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 14},	//14 QGL::NoDepthBuffer (enum)
    {26, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 15},	//15 QGL::ColorIndex (enum)
    {26, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 16},	//16 QGL::NoAlphaChannel (enum)
    {26, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 17},	//17 QGL::NoAccumBuffer (enum)
    {26, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 18},	//18 QGL::NoStencilBuffer (enum)
    {26, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 19},	//19 QGL::NoStereoBuffers (enum)
    {26, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 20},	//20 QGL::IndirectRendering (enum)
    {26, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 21},	//21 QGL::NoOverlay (enum)
    {26, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 22},	//22 QGL::NoSampleBuffers (enum)
    {26, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 23},	//23 QGL::NoDeprecatedFunctions (enum)
    {27, 75, 0, 0, Smoke::mf_ctor, 139, 1},	//24 QGLColormap::QGLColormap()
    {27, 75, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 139, 2},	//25 QGLColormap::QGLColormap(const QGLColormap&)
    {27, 339, 3, 1, 0, 138, 3},	//26 QGLColormap::operator=(const QGLColormap&)
    {27, 277, 0, 0, Smoke::mf_const, 391, 4},	//27 QGLColormap::isEmpty() const
    {27, 780, 0, 0, Smoke::mf_const, 513, 5},	//28 QGLColormap::size() const
    {27, 202, 0, 0, 0, 0, 6},	//29 QGLColormap::detach()
    {27, 705, 5, 3, 0, 0, 7},	//30 QGLColormap::setEntries(int, const unsigned int*, int)
    {27, 708, 9, 2, 0, 0, 8},	//31 QGLColormap::setEntry(int, unsigned int)
    {27, 708, 12, 2, 0, 0, 9},	//32 QGLColormap::setEntry(int, const QColor&)
    {27, 225, 15, 1, Smoke::mf_const, 521, 10},	//33 QGLColormap::entryRgb(int) const
    {27, 223, 15, 1, Smoke::mf_const, 27, 11},	//34 QGLColormap::entryColor(int) const
    {27, 230, 17, 1, Smoke::mf_const, 513, 12},	//35 QGLColormap::find(unsigned int) const
    {27, 232, 17, 1, Smoke::mf_const, 513, 13},	//36 QGLColormap::findNearest(unsigned int) const
    {27, 255, 0, 0, Smoke::mf_protected, 522, 14},	//37 QGLColormap::handle()
    {27, 721, 19, 1, Smoke::mf_protected, 0, 15},	//38 QGLColormap::setHandle(unsigned long)
    {27, 705, 21, 2, 0, 0, 16},	//39 QGLColormap::setEntries(int, const unsigned int*)
    {27, 820, 0, 0, Smoke::mf_dtor, 0, 17 },	//40 QGLColormap::~QGLColormap()
    {28, 77, 24, 2, Smoke::mf_ctor, 140, 1},	//41 QGLContext::QGLContext(const QGLFormat&, QPaintDevice*)
    {28, 77, 27, 1, Smoke::mf_ctor, 140, 2},	//42 QGLContext::QGLContext(const QGLFormat&)
    {28, 191, 29, 1, Smoke::mf_virtual, 391, 3},	//43 QGLContext::create(const QGLContext*)
    {28, 280, 0, 0, Smoke::mf_const, 391, 4},	//44 QGLContext::isValid() const
    {28, 279, 0, 0, Smoke::mf_const, 391, 5},	//45 QGLContext::isSharing() const
    {28, 643, 0, 0, 0, 0, 6},	//46 QGLContext::reset()
    {28, 147, 31, 2, Smoke::mf_static, 391, 7},	//47 QGLContext::areSharing(const QGLContext*, const QGLContext*)
    {28, 241, 0, 0, Smoke::mf_const, 142, 8},	//48 QGLContext::format() const
    {28, 642, 0, 0, Smoke::mf_const, 142, 9},	//49 QGLContext::requestedFormat() const
    {28, 711, 27, 1, 0, 0, 10},	//50 QGLContext::setFormat(const QGLFormat&)
    {28, 288, 0, 0, Smoke::mf_virtual, 0, 11},	//51 QGLContext::makeCurrent()
    {28, 210, 0, 0, Smoke::mf_virtual, 0, 12},	//52 QGLContext::doneCurrent()
    {28, 788, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 0, 13},	//53 QGLContext::swapBuffers() const
    {28, 159, 34, 4, 0, 5, 14},	//54 QGLContext::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {28, 159, 39, 4, 0, 5, 15},	//55 QGLContext::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {28, 159, 44, 3, 0, 5, 16},	//56 QGLContext::bindTexture(const QImage&, GLenum, GLint)
    {28, 159, 48, 3, 0, 5, 17},	//57 QGLContext::bindTexture(const QPixmap&, GLenum, GLint)
    {28, 159, 52, 1, 0, 5, 18},	//58 QGLContext::bindTexture(const QString&)
    {28, 198, 54, 1, 0, 0, 19},	//59 QGLContext::deleteTexture(GLuint)
    {28, 215, 56, 3, 0, 0, 20},	//60 QGLContext::drawTexture(const QRectF&, GLuint, GLenum)
    {28, 215, 60, 3, 0, 0, 21},	//61 QGLContext::drawTexture(const QPointF&, GLuint, GLenum)
    {28, 755, 15, 1, Smoke::mf_static, 0, 22},	//62 QGLContext::setTextureCacheLimit(int)
    {28, 794, 0, 0, Smoke::mf_static, 513, 23},	//63 QGLContext::textureCacheLimit()
    {28, 248, 52, 1, Smoke::mf_const, 528, 24},	//64 QGLContext::getProcAddress(const QString&) const
    {28, 204, 0, 0, Smoke::mf_const, 202, 25},	//65 QGLContext::device() const
    {28, 367, 0, 0, Smoke::mf_const, 27, 26},	//66 QGLContext::overlayTransparentColor() const
    {28, 193, 0, 0, Smoke::mf_static, 415, 27},	//67 QGLContext::currentContext()
    {28, 174, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 391, 28},	//68 QGLContext::chooseContext(const QGLContext*)
    {28, 806, 64, 2, Smoke::mf_protected|Smoke::mf_virtual, 528, 29},	//69 QGLContext::tryVisual(const QGLFormat&, int)
    {28, 176, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 528, 30},	//70 QGLContext::chooseVisual()
    {28, 205, 0, 0, Smoke::mf_const|Smoke::mf_protected, 391, 31},	//71 QGLContext::deviceIsPixmap() const
    {28, 818, 0, 0, Smoke::mf_const|Smoke::mf_protected, 391, 32},	//72 QGLContext::windowCreated() const
    {28, 774, 67, 1, Smoke::mf_protected, 0, 33},	//73 QGLContext::setWindowCreated(bool)
    {28, 271, 0, 0, Smoke::mf_const|Smoke::mf_protected, 391, 34},	//74 QGLContext::initialized() const
    {28, 723, 67, 1, Smoke::mf_protected, 0, 35},	//75 QGLContext::setInitialized(bool)
    {28, 243, 69, 2, Smoke::mf_protected, 0, 36},	//76 QGLContext::generateFontDisplayLists(const QFont&, int)
    {28, 178, 72, 1, Smoke::mf_const|Smoke::mf_protected, 521, 37},	//77 QGLContext::colorIndex(const QColor&) const
    {28, 769, 67, 1, Smoke::mf_protected, 0, 38},	//78 QGLContext::setValid(bool)
    {28, 699, 74, 1, Smoke::mf_protected, 0, 39},	//79 QGLContext::setDevice(QPaintDevice*)
    {28, 191, 0, 0, 0, 391, 40},	//80 QGLContext::create()
    {28, 159, 76, 1, 0, 5, 41},	//81 QGLContext::bindTexture(const QImage&)
    {28, 159, 78, 2, 0, 5, 42},	//82 QGLContext::bindTexture(const QImage&, GLenum)
    {28, 159, 81, 1, 0, 5, 43},	//83 QGLContext::bindTexture(const QPixmap&)
    {28, 159, 83, 2, 0, 5, 44},	//84 QGLContext::bindTexture(const QPixmap&, GLenum)
    {28, 215, 86, 2, 0, 0, 45},	//85 QGLContext::drawTexture(const QRectF&, GLuint)
    {28, 215, 89, 2, 0, 0, 46},	//86 QGLContext::drawTexture(const QPointF&, GLuint)
    {28, 174, 0, 0, Smoke::mf_protected, 391, 47},	//87 QGLContext::chooseContext()
    {28, 806, 27, 1, Smoke::mf_protected, 528, 48},	//88 QGLContext::tryVisual(const QGLFormat&)
    {28, 194, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 140, 49},	//89 QGLContext::currentCtx() const
    {28, 689, 92, 1, Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//90 QGLContext::setCurrentCtx(QGLContext*)
    {28, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 51},	//91 QGLContext::NoBindOption (enum)
    {28, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 52},	//92 QGLContext::InvertedYBindOption (enum)
    {28, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 53},	//93 QGLContext::MipmapBindOption (enum)
    {28, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 54},	//94 QGLContext::PremultipliedAlphaBindOption (enum)
    {28, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 55},	//95 QGLContext::LinearFilteringBindOption (enum)
    {28, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 56},	//96 QGLContext::MemoryManagedBindOption (enum)
    {28, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 57},	//97 QGLContext::CanFlipNativePixmapBindOption (enum)
    {28, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 58},	//98 QGLContext::DefaultBindOption (enum)
    {28, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 59},	//99 QGLContext::InternalBindOption (enum)
    {28, 821, 0, 0, Smoke::mf_dtor, 0, 60 },	//100 QGLContext::~QGLContext()
    {29, 80, 0, 0, Smoke::mf_ctor, 144, 1},	//101 QGLFormat::QGLFormat()
    {29, 80, 94, 2, Smoke::mf_ctor, 144, 2},	//102 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>, int)
    {29, 80, 27, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 3},	//103 QGLFormat::QGLFormat(const QGLFormat&)
    {29, 339, 27, 1, 0, 143, 4},	//104 QGLFormat::operator=(const QGLFormat&)
    {29, 697, 15, 1, 0, 0, 5},	//105 QGLFormat::setDepthBufferSize(int)
    {29, 201, 0, 0, Smoke::mf_const, 513, 6},	//106 QGLFormat::depthBufferSize() const
    {29, 655, 15, 1, 0, 0, 7},	//107 QGLFormat::setAccumBufferSize(int)
    {29, 136, 0, 0, Smoke::mf_const, 513, 8},	//108 QGLFormat::accumBufferSize() const
    {29, 739, 15, 1, 0, 0, 9},	//109 QGLFormat::setRedBufferSize(int)
    {29, 625, 0, 0, Smoke::mf_const, 513, 10},	//110 QGLFormat::redBufferSize() const
    {29, 719, 15, 1, 0, 0, 11},	//111 QGLFormat::setGreenBufferSize(int)
    {29, 254, 0, 0, Smoke::mf_const, 513, 12},	//112 QGLFormat::greenBufferSize() const
    {29, 681, 15, 1, 0, 0, 13},	//113 QGLFormat::setBlueBufferSize(int)
    {29, 171, 0, 0, Smoke::mf_const, 513, 14},	//114 QGLFormat::blueBufferSize() const
    {29, 659, 15, 1, 0, 0, 15},	//115 QGLFormat::setAlphaBufferSize(int)
    {29, 146, 0, 0, Smoke::mf_const, 513, 16},	//116 QGLFormat::alphaBufferSize() const
    {29, 749, 15, 1, 0, 0, 17},	//117 QGLFormat::setStencilBufferSize(int)
    {29, 785, 0, 0, Smoke::mf_const, 513, 18},	//118 QGLFormat::stencilBufferSize() const
    {29, 743, 67, 1, 0, 0, 19},	//119 QGLFormat::setSampleBuffers(bool)
    {29, 651, 0, 0, Smoke::mf_const, 391, 20},	//120 QGLFormat::sampleBuffers() const
    {29, 745, 15, 1, 0, 0, 21},	//121 QGLFormat::setSamples(int)
    {29, 652, 0, 0, Smoke::mf_const, 513, 22},	//122 QGLFormat::samples() const
    {29, 753, 15, 1, 0, 0, 23},	//123 QGLFormat::setSwapInterval(int)
    {29, 789, 0, 0, Smoke::mf_const, 513, 24},	//124 QGLFormat::swapInterval() const
    {29, 211, 0, 0, Smoke::mf_const, 391, 25},	//125 QGLFormat::doubleBuffer() const
    {29, 703, 67, 1, 0, 0, 26},	//126 QGLFormat::setDoubleBuffer(bool)
    {29, 200, 0, 0, Smoke::mf_const, 391, 27},	//127 QGLFormat::depth() const
    {29, 695, 67, 1, 0, 0, 28},	//128 QGLFormat::setDepth(bool)
    {29, 650, 0, 0, Smoke::mf_const, 391, 29},	//129 QGLFormat::rgba() const
    {29, 741, 67, 1, 0, 0, 30},	//130 QGLFormat::setRgba(bool)
    {29, 145, 0, 0, Smoke::mf_const, 391, 31},	//131 QGLFormat::alpha() const
    {29, 657, 67, 1, 0, 0, 32},	//132 QGLFormat::setAlpha(bool)
    {29, 135, 0, 0, Smoke::mf_const, 391, 33},	//133 QGLFormat::accum() const
    {29, 653, 67, 1, 0, 0, 34},	//134 QGLFormat::setAccum(bool)
    {29, 784, 0, 0, Smoke::mf_const, 391, 35},	//135 QGLFormat::stencil() const
    {29, 747, 67, 1, 0, 0, 36},	//136 QGLFormat::setStencil(bool)
    {29, 786, 0, 0, Smoke::mf_const, 391, 37},	//137 QGLFormat::stereo() const
    {29, 751, 67, 1, 0, 0, 38},	//138 QGLFormat::setStereo(bool)
    {29, 206, 0, 0, Smoke::mf_const, 391, 39},	//139 QGLFormat::directRendering() const
    {29, 701, 67, 1, 0, 0, 40},	//140 QGLFormat::setDirectRendering(bool)
    {29, 266, 0, 0, Smoke::mf_const, 391, 41},	//141 QGLFormat::hasOverlay() const
    {29, 731, 67, 1, 0, 0, 42},	//142 QGLFormat::setOverlay(bool)
    {29, 374, 0, 0, Smoke::mf_const, 513, 43},	//143 QGLFormat::plane() const
    {29, 733, 15, 1, 0, 0, 44},	//144 QGLFormat::setPlane(int)
    {29, 729, 97, 1, 0, 0, 45},	//145 QGLFormat::setOption(QFlags<QGL::FormatOption>)
    {29, 791, 97, 1, Smoke::mf_const, 391, 46},	//146 QGLFormat::testOption(QFlags<QGL::FormatOption>) const
    {29, 196, 0, 0, Smoke::mf_static, 142, 47},	//147 QGLFormat::defaultFormat()
    {29, 691, 27, 1, Smoke::mf_static, 0, 48},	//148 QGLFormat::setDefaultFormat(const QGLFormat&)
    {29, 197, 0, 0, Smoke::mf_static, 142, 49},	//149 QGLFormat::defaultOverlayFormat()
    {29, 693, 27, 1, Smoke::mf_static, 0, 50},	//150 QGLFormat::setDefaultOverlayFormat(const QGLFormat&)
    {29, 256, 0, 0, Smoke::mf_static, 391, 51},	//151 QGLFormat::hasOpenGL()
    {29, 259, 0, 0, Smoke::mf_static, 391, 52},	//152 QGLFormat::hasOpenGLOverlays()
    {29, 771, 99, 2, 0, 0, 53},	//153 QGLFormat::setVersion(int, int)
    {29, 287, 0, 0, Smoke::mf_const, 513, 54},	//154 QGLFormat::majorVersion() const
    {29, 295, 0, 0, Smoke::mf_const, 513, 55},	//155 QGLFormat::minorVersion() const
    {29, 737, 102, 1, 0, 0, 56},	//156 QGLFormat::setProfile(QGLFormat::OpenGLContextProfile)
    {29, 375, 0, 0, Smoke::mf_const, 145, 57},	//157 QGLFormat::profile() const
    {29, 301, 0, 0, Smoke::mf_static, 73, 58},	//158 QGLFormat::openGLVersionFlags()
    {29, 80, 97, 1, Smoke::mf_ctor, 144, 59},	//159 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>)
    {29, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 60},	//160 QGLFormat::NoProfile (enum)
    {29, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 61},	//161 QGLFormat::CoreProfile (enum)
    {29, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 62},	//162 QGLFormat::CompatibilityProfile (enum)
    {29, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 63},	//163 QGLFormat::OpenGL_Version_None (enum)
    {29, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 64},	//164 QGLFormat::OpenGL_Version_1_1 (enum)
    {29, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 65},	//165 QGLFormat::OpenGL_Version_1_2 (enum)
    {29, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 66},	//166 QGLFormat::OpenGL_Version_1_3 (enum)
    {29, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 67},	//167 QGLFormat::OpenGL_Version_1_4 (enum)
    {29, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 68},	//168 QGLFormat::OpenGL_Version_1_5 (enum)
    {29, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 69},	//169 QGLFormat::OpenGL_Version_2_0 (enum)
    {29, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 70},	//170 QGLFormat::OpenGL_Version_2_1 (enum)
    {29, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 71},	//171 QGLFormat::OpenGL_ES_Common_Version_1_0 (enum)
    {29, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 72},	//172 QGLFormat::OpenGL_ES_CommonLite_Version_1_0 (enum)
    {29, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 73},	//173 QGLFormat::OpenGL_ES_Common_Version_1_1 (enum)
    {29, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 74},	//174 QGLFormat::OpenGL_ES_CommonLite_Version_1_1 (enum)
    {29, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 75},	//175 QGLFormat::OpenGL_ES_Version_2_0 (enum)
    {29, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 76},	//176 QGLFormat::OpenGL_Version_3_0 (enum)
    {29, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 77},	//177 QGLFormat::OpenGL_Version_3_1 (enum)
    {29, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 78},	//178 QGLFormat::OpenGL_Version_3_2 (enum)
    {29, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 79},	//179 QGLFormat::OpenGL_Version_3_3 (enum)
    {29, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 80},	//180 QGLFormat::OpenGL_Version_4_0 (enum)
    {29, 822, 0, 0, Smoke::mf_dtor, 0, 81 },	//181 QGLFormat::~QGLFormat()
    {30, 84, 104, 2, Smoke::mf_ctor, 147, 1},	//182 QGLFramebufferObject::QGLFramebufferObject(const QSize&, GLenum)
    {30, 84, 107, 3, Smoke::mf_ctor, 147, 2},	//183 QGLFramebufferObject::QGLFramebufferObject(int, int, GLenum)
    {30, 84, 111, 4, Smoke::mf_ctor, 147, 3},	//184 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, GLenum, GLenum)
    {30, 84, 116, 5, Smoke::mf_ctor, 147, 4},	//185 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, GLenum, GLenum)
    {30, 84, 122, 2, Smoke::mf_ctor, 147, 5},	//186 QGLFramebufferObject::QGLFramebufferObject(const QSize&, const QGLFramebufferObjectFormat&)
    {30, 84, 125, 3, Smoke::mf_ctor, 147, 6},	//187 QGLFramebufferObject::QGLFramebufferObject(int, int, const QGLFramebufferObjectFormat&)
    {30, 241, 0, 0, Smoke::mf_const, 149, 7},	//188 QGLFramebufferObject::format() const
    {30, 280, 0, 0, Smoke::mf_const, 391, 8},	//189 QGLFramebufferObject::isValid() const
    {30, 275, 0, 0, Smoke::mf_const, 391, 9},	//190 QGLFramebufferObject::isBound() const
    {30, 154, 0, 0, 0, 391, 10},	//191 QGLFramebufferObject::bind()
    {30, 626, 0, 0, 0, 391, 11},	//192 QGLFramebufferObject::release()
    {30, 793, 0, 0, Smoke::mf_const, 5, 12},	//193 QGLFramebufferObject::texture() const
    {30, 780, 0, 0, Smoke::mf_const, 234, 13},	//194 QGLFramebufferObject::size() const
    {30, 797, 0, 0, Smoke::mf_const, 170, 14},	//195 QGLFramebufferObject::toImage() const
    {30, 149, 0, 0, Smoke::mf_const, 148, 15},	//196 QGLFramebufferObject::attachment() const
    {30, 368, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 16},	//197 QGLFramebufferObject::paintEngine() const
    {30, 255, 0, 0, Smoke::mf_const, 5, 17},	//198 QGLFramebufferObject::handle() const
    {30, 158, 0, 0, Smoke::mf_static, 391, 18},	//199 QGLFramebufferObject::bindDefault()
    {30, 258, 0, 0, Smoke::mf_static, 391, 19},	//200 QGLFramebufferObject::hasOpenGLFramebufferObjects()
    {30, 215, 56, 3, 0, 0, 20},	//201 QGLFramebufferObject::drawTexture(const QRectF&, GLuint, GLenum)
    {30, 215, 60, 3, 0, 0, 21},	//202 QGLFramebufferObject::drawTexture(const QPointF&, GLuint, GLenum)
    {30, 257, 0, 0, Smoke::mf_static, 391, 22},	//203 QGLFramebufferObject::hasOpenGLFramebufferBlit()
    {30, 167, 129, 6, Smoke::mf_static, 0, 23},	//204 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield, GLenum)
    {30, 292, 136, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 513, 24},	//205 QGLFramebufferObject::metric(QPaintDevice::PaintDeviceMetric) const
    {30, 203, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 513, 25},	//206 QGLFramebufferObject::devType() const
    {30, 84, 138, 1, Smoke::mf_ctor, 147, 26},	//207 QGLFramebufferObject::QGLFramebufferObject(const QSize&)
    {30, 84, 99, 2, Smoke::mf_ctor, 147, 27},	//208 QGLFramebufferObject::QGLFramebufferObject(int, int)
    {30, 84, 140, 2, Smoke::mf_ctor, 147, 28},	//209 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    {30, 84, 143, 3, Smoke::mf_ctor, 147, 29},	//210 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, GLenum)
    {30, 84, 147, 3, Smoke::mf_ctor, 147, 30},	//211 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    {30, 84, 151, 4, Smoke::mf_ctor, 147, 31},	//212 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, GLenum)
    {30, 215, 86, 2, 0, 0, 32},	//213 QGLFramebufferObject::drawTexture(const QRectF&, GLuint)
    {30, 215, 89, 2, 0, 0, 33},	//214 QGLFramebufferObject::drawTexture(const QPointF&, GLuint)
    {30, 167, 156, 4, Smoke::mf_static, 0, 34},	//215 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&)
    {30, 167, 161, 5, Smoke::mf_static, 0, 35},	//216 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield)
    {30, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 36},	//217 QGLFramebufferObject::NoAttachment (enum)
    {30, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 37},	//218 QGLFramebufferObject::CombinedDepthStencil (enum)
    {30, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 38},	//219 QGLFramebufferObject::Depth (enum)
    {30, 823, 0, 0, Smoke::mf_dtor, 0, 39 },	//220 QGLFramebufferObject::~QGLFramebufferObject()
    {31, 97, 0, 0, Smoke::mf_ctor, 151, 1},	//221 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat()
    {31, 97, 167, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 151, 2},	//222 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat(const QGLFramebufferObjectFormat&)
    {31, 339, 167, 1, 0, 150, 3},	//223 QGLFramebufferObjectFormat::operator=(const QGLFramebufferObjectFormat&)
    {31, 745, 15, 1, 0, 0, 4},	//224 QGLFramebufferObjectFormat::setSamples(int)
    {31, 652, 0, 0, Smoke::mf_const, 513, 5},	//225 QGLFramebufferObjectFormat::samples() const
    {31, 661, 169, 1, 0, 0, 6},	//226 QGLFramebufferObjectFormat::setAttachment(QGLFramebufferObject::Attachment)
    {31, 149, 0, 0, Smoke::mf_const, 148, 7},	//227 QGLFramebufferObjectFormat::attachment() const
    {31, 757, 171, 1, 0, 0, 8},	//228 QGLFramebufferObjectFormat::setTextureTarget(GLenum)
    {31, 795, 0, 0, Smoke::mf_const, 2, 9},	//229 QGLFramebufferObjectFormat::textureTarget() const
    {31, 725, 171, 1, 0, 0, 10},	//230 QGLFramebufferObjectFormat::setInternalTextureFormat(GLenum)
    {31, 274, 0, 0, Smoke::mf_const, 2, 11},	//231 QGLFramebufferObjectFormat::internalTextureFormat() const
    {31, 341, 167, 1, Smoke::mf_const, 391, 12},	//232 QGLFramebufferObjectFormat::operator==(const QGLFramebufferObjectFormat&) const
    {31, 302, 167, 1, Smoke::mf_const, 391, 13},	//233 QGLFramebufferObjectFormat::operator!=(const QGLFramebufferObjectFormat&) const
    {31, 824, 0, 0, Smoke::mf_dtor, 0, 14 },	//234 QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat()
    {32, 99, 173, 3, Smoke::mf_ctor, 152, 1},	//235 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&, QGLWidget*)
    {32, 99, 177, 4, Smoke::mf_ctor, 152, 2},	//236 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&, QGLWidget*)
    {32, 280, 0, 0, Smoke::mf_const, 391, 3},	//237 QGLPixelBuffer::isValid() const
    {32, 288, 0, 0, 0, 391, 4},	//238 QGLPixelBuffer::makeCurrent()
    {32, 210, 0, 0, 0, 391, 5},	//239 QGLPixelBuffer::doneCurrent()
    {32, 242, 0, 0, Smoke::mf_const, 5, 6},	//240 QGLPixelBuffer::generateDynamicTexture() const
    {32, 165, 54, 1, 0, 391, 7},	//241 QGLPixelBuffer::bindToDynamicTexture(GLuint)
    {32, 627, 0, 0, 0, 0, 8},	//242 QGLPixelBuffer::releaseFromDynamicTexture()
    {32, 812, 54, 1, Smoke::mf_const, 0, 9},	//243 QGLPixelBuffer::updateDynamicTexture(GLuint) const
    {32, 159, 78, 2, 0, 5, 10},	//244 QGLPixelBuffer::bindTexture(const QImage&, GLenum)
    {32, 159, 83, 2, 0, 5, 11},	//245 QGLPixelBuffer::bindTexture(const QPixmap&, GLenum)
    {32, 159, 52, 1, 0, 5, 12},	//246 QGLPixelBuffer::bindTexture(const QString&)
    {32, 198, 54, 1, 0, 0, 13},	//247 QGLPixelBuffer::deleteTexture(GLuint)
    {32, 215, 56, 3, 0, 0, 14},	//248 QGLPixelBuffer::drawTexture(const QRectF&, GLuint, GLenum)
    {32, 215, 60, 3, 0, 0, 15},	//249 QGLPixelBuffer::drawTexture(const QPointF&, GLuint, GLenum)
    {32, 780, 0, 0, Smoke::mf_const, 234, 16},	//250 QGLPixelBuffer::size() const
    {32, 255, 0, 0, Smoke::mf_const, 522, 17},	//251 QGLPixelBuffer::handle() const
    {32, 797, 0, 0, Smoke::mf_const, 170, 18},	//252 QGLPixelBuffer::toImage() const
    {32, 368, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 19},	//253 QGLPixelBuffer::paintEngine() const
    {32, 241, 0, 0, Smoke::mf_const, 142, 20},	//254 QGLPixelBuffer::format() const
    {32, 260, 0, 0, Smoke::mf_static, 391, 21},	//255 QGLPixelBuffer::hasOpenGLPbuffers()
    {32, 292, 136, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 513, 22},	//256 QGLPixelBuffer::metric(QPaintDevice::PaintDeviceMetric) const
    {32, 203, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 513, 23},	//257 QGLPixelBuffer::devType() const
    {32, 99, 138, 1, Smoke::mf_ctor, 152, 24},	//258 QGLPixelBuffer::QGLPixelBuffer(const QSize&)
    {32, 99, 182, 2, Smoke::mf_ctor, 152, 25},	//259 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&)
    {32, 99, 99, 2, Smoke::mf_ctor, 152, 26},	//260 QGLPixelBuffer::QGLPixelBuffer(int, int)
    {32, 99, 185, 3, Smoke::mf_ctor, 152, 27},	//261 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&)
    {32, 159, 76, 1, 0, 5, 28},	//262 QGLPixelBuffer::bindTexture(const QImage&)
    {32, 159, 81, 1, 0, 5, 29},	//263 QGLPixelBuffer::bindTexture(const QPixmap&)
    {32, 215, 86, 2, 0, 0, 30},	//264 QGLPixelBuffer::drawTexture(const QRectF&, GLuint)
    {32, 215, 89, 2, 0, 0, 31},	//265 QGLPixelBuffer::drawTexture(const QPointF&, GLuint)
    {32, 825, 0, 0, Smoke::mf_dtor, 0, 32 },	//266 QGLPixelBuffer::~QGLPixelBuffer()
    {33, 291, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 450, 1},	//267 QGLShader::metaObject() const
    {33, 614, 189, 1, Smoke::mf_virtual, 528, 2},	//268 QGLShader::qt_metacast(const char*)
    {33, 798, 191, 2, Smoke::mf_static, 241, 3},	//269 QGLShader::tr(const char*, const char*)
    {33, 802, 191, 2, Smoke::mf_static, 241, 4},	//270 QGLShader::trUtf8(const char*, const char*)
    {33, 798, 194, 3, Smoke::mf_static, 241, 5},	//271 QGLShader::tr(const char*, const char*, int)
    {33, 802, 194, 3, Smoke::mf_static, 241, 6},	//272 QGLShader::trUtf8(const char*, const char*, int)
    {33, 612, 198, 3, Smoke::mf_virtual, 513, 7},	//273 QGLShader::qt_metacall(QMetaObject::Call, int, void**)
    {33, 106, 202, 2, Smoke::mf_ctor, 153, 8},	//274 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    {33, 106, 205, 3, Smoke::mf_ctor, 153, 9},	//275 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*)
    {33, 777, 0, 0, Smoke::mf_const, 74, 10},	//276 QGLShader::shaderType() const
    {33, 181, 189, 1, 0, 391, 11},	//277 QGLShader::compileSourceCode(const char*)
    {33, 181, 209, 1, 0, 391, 12},	//278 QGLShader::compileSourceCode(const QByteArray&)
    {33, 181, 52, 1, 0, 391, 13},	//279 QGLShader::compileSourceCode(const QString&)
    {33, 184, 52, 1, 0, 391, 14},	//280 QGLShader::compileSourceFile(const QString&)
    {33, 782, 0, 0, Smoke::mf_const, 21, 15},	//281 QGLShader::sourceCode() const
    {33, 276, 0, 0, Smoke::mf_const, 391, 16},	//282 QGLShader::isCompiled() const
    {33, 286, 0, 0, Smoke::mf_const, 241, 17},	//283 QGLShader::log() const
    {33, 776, 0, 0, Smoke::mf_const, 5, 18},	//284 QGLShader::shaderId() const
    {33, 263, 211, 2, Smoke::mf_static, 391, 19},	//285 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {33, 798, 189, 1, Smoke::mf_static, 241, 20},	//286 QGLShader::tr(const char*)
    {33, 802, 189, 1, Smoke::mf_static, 241, 21},	//287 QGLShader::trUtf8(const char*)
    {33, 106, 214, 1, Smoke::mf_ctor, 153, 22},	//288 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>)
    {33, 106, 211, 2, Smoke::mf_ctor, 153, 23},	//289 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {33, 263, 214, 1, Smoke::mf_static, 391, 24},	//290 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>)
    {33, 783, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 449, 25},	//291 QGLShader::staticMetaObject() const
    {33, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 26},	//292 QGLShader::Vertex (enum)
    {33, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 27},	//293 QGLShader::Fragment (enum)
    {33, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 28},	//294 QGLShader::Geometry (enum)
    {33, 826, 0, 0, Smoke::mf_dtor, 0, 29 },	//295 QGLShader::~QGLShader()
    {34, 291, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 450, 1},	//296 QGLShaderProgram::metaObject() const
    {34, 614, 189, 1, Smoke::mf_virtual, 528, 2},	//297 QGLShaderProgram::qt_metacast(const char*)
    {34, 798, 191, 2, Smoke::mf_static, 241, 3},	//298 QGLShaderProgram::tr(const char*, const char*)
    {34, 802, 191, 2, Smoke::mf_static, 241, 4},	//299 QGLShaderProgram::trUtf8(const char*, const char*)
    {34, 798, 194, 3, Smoke::mf_static, 241, 5},	//300 QGLShaderProgram::tr(const char*, const char*, int)
    {34, 802, 194, 3, Smoke::mf_static, 241, 6},	//301 QGLShaderProgram::trUtf8(const char*, const char*, int)
    {34, 612, 198, 3, Smoke::mf_virtual, 513, 7},	//302 QGLShaderProgram::qt_metacall(QMetaObject::Call, int, void**)
    {34, 110, 216, 1, Smoke::mf_ctor, 155, 8},	//303 QGLShaderProgram::QGLShaderProgram(QObject*)
    {34, 110, 218, 2, Smoke::mf_ctor, 155, 9},	//304 QGLShaderProgram::QGLShaderProgram(const QGLContext*, QObject*)
    {34, 138, 221, 1, 0, 391, 10},	//305 QGLShaderProgram::addShader(QGLShader*)
    {34, 629, 221, 1, 0, 0, 11},	//306 QGLShaderProgram::removeShader(QGLShader*)
    {34, 778, 0, 0, Smoke::mf_const, 185, 12},	//307 QGLShaderProgram::shaders() const
    {34, 140, 223, 2, 0, 391, 13},	//308 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    {34, 140, 226, 2, 0, 391, 14},	//309 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QByteArray&)
    {34, 140, 229, 2, 0, 391, 15},	//310 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {34, 143, 229, 2, 0, 391, 16},	//311 QGLShaderProgram::addShaderFromSourceFile(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {34, 628, 0, 0, 0, 0, 17},	//312 QGLShaderProgram::removeAllShaders()
    {34, 285, 0, 0, Smoke::mf_virtual, 391, 18},	//313 QGLShaderProgram::link()
    {34, 278, 0, 0, Smoke::mf_const, 391, 19},	//314 QGLShaderProgram::isLinked() const
    {34, 286, 0, 0, Smoke::mf_const, 241, 20},	//315 QGLShaderProgram::log() const
    {34, 154, 0, 0, 0, 391, 21},	//316 QGLShaderProgram::bind()
    {34, 626, 0, 0, 0, 0, 22},	//317 QGLShaderProgram::release()
    {34, 376, 0, 0, Smoke::mf_const, 5, 23},	//318 QGLShaderProgram::programId() const
    {34, 290, 0, 0, Smoke::mf_const, 513, 24},	//319 QGLShaderProgram::maxGeometryOutputVertices() const
    {34, 717, 15, 1, 0, 0, 25},	//320 QGLShaderProgram::setGeometryOutputVertexCount(int)
    {34, 247, 0, 0, Smoke::mf_const, 513, 26},	//321 QGLShaderProgram::geometryOutputVertexCount() const
    {34, 713, 171, 1, 0, 0, 27},	//322 QGLShaderProgram::setGeometryInputType(GLenum)
    {34, 245, 0, 0, Smoke::mf_const, 2, 28},	//323 QGLShaderProgram::geometryInputType() const
    {34, 715, 171, 1, 0, 0, 29},	//324 QGLShaderProgram::setGeometryOutputType(GLenum)
    {34, 246, 0, 0, Smoke::mf_const, 2, 30},	//325 QGLShaderProgram::geometryOutputType() const
    {34, 155, 232, 2, 0, 0, 31},	//326 QGLShaderProgram::bindAttributeLocation(const char*, int)
    {34, 155, 235, 2, 0, 0, 32},	//327 QGLShaderProgram::bindAttributeLocation(const QByteArray&, int)
    {34, 155, 238, 2, 0, 0, 33},	//328 QGLShaderProgram::bindAttributeLocation(const QString&, int)
    {34, 150, 189, 1, Smoke::mf_const, 513, 34},	//329 QGLShaderProgram::attributeLocation(const char*) const
    {34, 150, 209, 1, Smoke::mf_const, 513, 35},	//330 QGLShaderProgram::attributeLocation(const QByteArray&) const
    {34, 150, 52, 1, Smoke::mf_const, 513, 36},	//331 QGLShaderProgram::attributeLocation(const QString&) const
    {34, 672, 241, 2, 0, 0, 37},	//332 QGLShaderProgram::setAttributeValue(int, GLfloat)
    {34, 672, 244, 3, 0, 0, 38},	//333 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat)
    {34, 672, 248, 4, 0, 0, 39},	//334 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat)
    {34, 672, 253, 5, 0, 0, 40},	//335 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    {34, 672, 259, 2, 0, 0, 41},	//336 QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    {34, 672, 262, 2, 0, 0, 42},	//337 QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    {34, 672, 265, 2, 0, 0, 43},	//338 QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    {34, 672, 12, 2, 0, 0, 44},	//339 QGLShaderProgram::setAttributeValue(int, const QColor&)
    {34, 672, 268, 4, 0, 0, 45},	//340 QGLShaderProgram::setAttributeValue(int, const GLfloat*, int, int)
    {34, 672, 273, 2, 0, 0, 46},	//341 QGLShaderProgram::setAttributeValue(const char*, GLfloat)
    {34, 672, 276, 3, 0, 0, 47},	//342 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat)
    {34, 672, 280, 4, 0, 0, 48},	//343 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat)
    {34, 672, 285, 5, 0, 0, 49},	//344 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    {34, 672, 291, 2, 0, 0, 50},	//345 QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    {34, 672, 294, 2, 0, 0, 51},	//346 QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    {34, 672, 297, 2, 0, 0, 52},	//347 QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    {34, 672, 300, 2, 0, 0, 53},	//348 QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    {34, 672, 303, 4, 0, 0, 54},	//349 QGLShaderProgram::setAttributeValue(const char*, const GLfloat*, int, int)
    {34, 663, 268, 4, 0, 0, 55},	//350 QGLShaderProgram::setAttributeArray(int, const GLfloat*, int, int)
    {34, 663, 308, 3, 0, 0, 56},	//351 QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    {34, 663, 312, 3, 0, 0, 57},	//352 QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    {34, 663, 316, 3, 0, 0, 58},	//353 QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    {34, 663, 320, 5, 0, 0, 59},	//354 QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int, int)
    {34, 663, 303, 4, 0, 0, 60},	//355 QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int, int)
    {34, 663, 326, 3, 0, 0, 61},	//356 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    {34, 663, 330, 3, 0, 0, 62},	//357 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    {34, 663, 334, 3, 0, 0, 63},	//358 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    {34, 663, 338, 5, 0, 0, 64},	//359 QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int, int)
    {34, 669, 344, 5, 0, 0, 65},	//360 QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int, int)
    {34, 669, 350, 5, 0, 0, 66},	//361 QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int, int)
    {34, 219, 15, 1, 0, 0, 67},	//362 QGLShaderProgram::enableAttributeArray(int)
    {34, 219, 189, 1, 0, 0, 68},	//363 QGLShaderProgram::enableAttributeArray(const char*)
    {34, 207, 15, 1, 0, 0, 69},	//364 QGLShaderProgram::disableAttributeArray(int)
    {34, 207, 189, 1, 0, 0, 70},	//365 QGLShaderProgram::disableAttributeArray(const char*)
    {34, 809, 189, 1, Smoke::mf_const, 513, 71},	//366 QGLShaderProgram::uniformLocation(const char*) const
    {34, 809, 209, 1, Smoke::mf_const, 513, 72},	//367 QGLShaderProgram::uniformLocation(const QByteArray&) const
    {34, 809, 52, 1, Smoke::mf_const, 513, 73},	//368 QGLShaderProgram::uniformLocation(const QString&) const
    {34, 759, 241, 2, 0, 0, 74},	//369 QGLShaderProgram::setUniformValue(int, GLfloat)
    {34, 759, 356, 2, 0, 0, 75},	//370 QGLShaderProgram::setUniformValue(int, GLint)
    {34, 759, 359, 2, 0, 0, 76},	//371 QGLShaderProgram::setUniformValue(int, GLuint)
    {34, 759, 244, 3, 0, 0, 77},	//372 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat)
    {34, 759, 248, 4, 0, 0, 78},	//373 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat)
    {34, 759, 253, 5, 0, 0, 79},	//374 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    {34, 759, 259, 2, 0, 0, 80},	//375 QGLShaderProgram::setUniformValue(int, const QVector2D&)
    {34, 759, 262, 2, 0, 0, 81},	//376 QGLShaderProgram::setUniformValue(int, const QVector3D&)
    {34, 759, 265, 2, 0, 0, 82},	//377 QGLShaderProgram::setUniformValue(int, const QVector4D&)
    {34, 759, 12, 2, 0, 0, 83},	//378 QGLShaderProgram::setUniformValue(int, const QColor&)
    {34, 759, 362, 2, 0, 0, 84},	//379 QGLShaderProgram::setUniformValue(int, const QPoint&)
    {34, 759, 365, 2, 0, 0, 85},	//380 QGLShaderProgram::setUniformValue(int, const QPointF&)
    {34, 759, 368, 2, 0, 0, 86},	//381 QGLShaderProgram::setUniformValue(int, const QSize&)
    {34, 759, 371, 2, 0, 0, 87},	//382 QGLShaderProgram::setUniformValue(int, const QSizeF&)
    {34, 759, 374, 2, 0, 0, 88},	//383 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    {34, 759, 377, 2, 0, 0, 89},	//384 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    {34, 759, 380, 2, 0, 0, 90},	//385 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    {34, 759, 383, 2, 0, 0, 91},	//386 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    {34, 759, 386, 2, 0, 0, 92},	//387 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    {34, 759, 389, 2, 0, 0, 93},	//388 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    {34, 759, 392, 2, 0, 0, 94},	//389 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    {34, 759, 395, 2, 0, 0, 95},	//390 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    {34, 759, 398, 2, 0, 0, 96},	//391 QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    {34, 759, 401, 2, 0, 0, 97},	//392 QGLShaderProgram::setUniformValue(int, const GLfloat[2][2])
    {34, 759, 404, 2, 0, 0, 98},	//393 QGLShaderProgram::setUniformValue(int, const GLfloat[3][3])
    {34, 759, 407, 2, 0, 0, 99},	//394 QGLShaderProgram::setUniformValue(int, const GLfloat[4][4])
    {34, 759, 410, 2, 0, 0, 100},	//395 QGLShaderProgram::setUniformValue(int, const QTransform&)
    {34, 759, 273, 2, 0, 0, 101},	//396 QGLShaderProgram::setUniformValue(const char*, GLfloat)
    {34, 759, 413, 2, 0, 0, 102},	//397 QGLShaderProgram::setUniformValue(const char*, GLint)
    {34, 759, 416, 2, 0, 0, 103},	//398 QGLShaderProgram::setUniformValue(const char*, GLuint)
    {34, 759, 276, 3, 0, 0, 104},	//399 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat)
    {34, 759, 280, 4, 0, 0, 105},	//400 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat)
    {34, 759, 285, 5, 0, 0, 106},	//401 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    {34, 759, 291, 2, 0, 0, 107},	//402 QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    {34, 759, 294, 2, 0, 0, 108},	//403 QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    {34, 759, 297, 2, 0, 0, 109},	//404 QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    {34, 759, 300, 2, 0, 0, 110},	//405 QGLShaderProgram::setUniformValue(const char*, const QColor&)
    {34, 759, 419, 2, 0, 0, 111},	//406 QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    {34, 759, 422, 2, 0, 0, 112},	//407 QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    {34, 759, 425, 2, 0, 0, 113},	//408 QGLShaderProgram::setUniformValue(const char*, const QSize&)
    {34, 759, 428, 2, 0, 0, 114},	//409 QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    {34, 759, 431, 2, 0, 0, 115},	//410 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    {34, 759, 434, 2, 0, 0, 116},	//411 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    {34, 759, 437, 2, 0, 0, 117},	//412 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    {34, 759, 440, 2, 0, 0, 118},	//413 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    {34, 759, 443, 2, 0, 0, 119},	//414 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    {34, 759, 446, 2, 0, 0, 120},	//415 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    {34, 759, 449, 2, 0, 0, 121},	//416 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    {34, 759, 452, 2, 0, 0, 122},	//417 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    {34, 759, 455, 2, 0, 0, 123},	//418 QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    {34, 759, 458, 2, 0, 0, 124},	//419 QGLShaderProgram::setUniformValue(const char*, const GLfloat[2][2])
    {34, 759, 461, 2, 0, 0, 125},	//420 QGLShaderProgram::setUniformValue(const char*, const GLfloat[3][3])
    {34, 759, 464, 2, 0, 0, 126},	//421 QGLShaderProgram::setUniformValue(const char*, const GLfloat[4][4])
    {34, 759, 467, 2, 0, 0, 127},	//422 QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    {34, 765, 268, 4, 0, 0, 128},	//423 QGLShaderProgram::setUniformValueArray(int, const GLfloat*, int, int)
    {34, 765, 470, 3, 0, 0, 129},	//424 QGLShaderProgram::setUniformValueArray(int, const GLint*, int)
    {34, 765, 474, 3, 0, 0, 130},	//425 QGLShaderProgram::setUniformValueArray(int, const GLuint*, int)
    {34, 765, 308, 3, 0, 0, 131},	//426 QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    {34, 765, 312, 3, 0, 0, 132},	//427 QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    {34, 765, 316, 3, 0, 0, 133},	//428 QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    {34, 765, 478, 3, 0, 0, 134},	//429 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    {34, 765, 482, 3, 0, 0, 135},	//430 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    {34, 765, 486, 3, 0, 0, 136},	//431 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    {34, 765, 490, 3, 0, 0, 137},	//432 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    {34, 765, 494, 3, 0, 0, 138},	//433 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    {34, 765, 498, 3, 0, 0, 139},	//434 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    {34, 765, 502, 3, 0, 0, 140},	//435 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    {34, 765, 506, 3, 0, 0, 141},	//436 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    {34, 765, 510, 3, 0, 0, 142},	//437 QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    {34, 765, 303, 4, 0, 0, 143},	//438 QGLShaderProgram::setUniformValueArray(const char*, const GLfloat*, int, int)
    {34, 765, 514, 3, 0, 0, 144},	//439 QGLShaderProgram::setUniformValueArray(const char*, const GLint*, int)
    {34, 765, 518, 3, 0, 0, 145},	//440 QGLShaderProgram::setUniformValueArray(const char*, const GLuint*, int)
    {34, 765, 326, 3, 0, 0, 146},	//441 QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    {34, 765, 330, 3, 0, 0, 147},	//442 QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    {34, 765, 334, 3, 0, 0, 148},	//443 QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    {34, 765, 522, 3, 0, 0, 149},	//444 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    {34, 765, 526, 3, 0, 0, 150},	//445 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    {34, 765, 530, 3, 0, 0, 151},	//446 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    {34, 765, 534, 3, 0, 0, 152},	//447 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    {34, 765, 538, 3, 0, 0, 153},	//448 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    {34, 765, 542, 3, 0, 0, 154},	//449 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    {34, 765, 546, 3, 0, 0, 155},	//450 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    {34, 765, 550, 3, 0, 0, 156},	//451 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    {34, 765, 554, 3, 0, 0, 157},	//452 QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    {34, 261, 29, 1, Smoke::mf_static, 391, 158},	//453 QGLShaderProgram::hasOpenGLShaderPrograms(const QGLContext*)
    {34, 798, 189, 1, Smoke::mf_static, 241, 159},	//454 QGLShaderProgram::tr(const char*)
    {34, 802, 189, 1, Smoke::mf_static, 241, 160},	//455 QGLShaderProgram::trUtf8(const char*)
    {34, 110, 0, 0, Smoke::mf_ctor, 155, 161},	//456 QGLShaderProgram::QGLShaderProgram()
    {34, 110, 29, 1, Smoke::mf_ctor, 155, 162},	//457 QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    {34, 663, 558, 3, 0, 0, 163},	//458 QGLShaderProgram::setAttributeArray(int, const GLfloat*, int)
    {34, 663, 562, 2, 0, 0, 164},	//459 QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    {34, 663, 565, 2, 0, 0, 165},	//460 QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    {34, 663, 568, 2, 0, 0, 166},	//461 QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    {34, 663, 571, 4, 0, 0, 167},	//462 QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int)
    {34, 663, 576, 3, 0, 0, 168},	//463 QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int)
    {34, 663, 580, 2, 0, 0, 169},	//464 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    {34, 663, 583, 2, 0, 0, 170},	//465 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    {34, 663, 586, 2, 0, 0, 171},	//466 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    {34, 663, 589, 4, 0, 0, 172},	//467 QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int)
    {34, 669, 594, 4, 0, 0, 173},	//468 QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int)
    {34, 669, 599, 4, 0, 0, 174},	//469 QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int)
    {34, 261, 0, 0, Smoke::mf_static, 391, 175},	//470 QGLShaderProgram::hasOpenGLShaderPrograms()
    {34, 783, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 449, 176},	//471 QGLShaderProgram::staticMetaObject() const
    {34, 827, 0, 0, Smoke::mf_dtor, 0, 177 },	//472 QGLShaderProgram::~QGLShaderProgram()
    {35, 291, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 450, 1},	//473 QGLWidget::metaObject() const
    {35, 614, 189, 1, Smoke::mf_virtual, 528, 2},	//474 QGLWidget::qt_metacast(const char*)
    {35, 798, 191, 2, Smoke::mf_static, 241, 3},	//475 QGLWidget::tr(const char*, const char*)
    {35, 802, 191, 2, Smoke::mf_static, 241, 4},	//476 QGLWidget::trUtf8(const char*, const char*)
    {35, 798, 194, 3, Smoke::mf_static, 241, 5},	//477 QGLWidget::tr(const char*, const char*, int)
    {35, 802, 194, 3, Smoke::mf_static, 241, 6},	//478 QGLWidget::trUtf8(const char*, const char*, int)
    {35, 612, 198, 3, Smoke::mf_virtual, 513, 7},	//479 QGLWidget::qt_metacall(QMetaObject::Call, int, void**)
    {35, 113, 604, 3, Smoke::mf_ctor, 156, 8},	//480 QGLWidget::QGLWidget(QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {35, 113, 608, 4, Smoke::mf_ctor, 156, 9},	//481 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {35, 113, 613, 4, Smoke::mf_ctor, 156, 10},	//482 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {35, 571, 72, 1, Smoke::mf_const, 0, 11},	//483 QGLWidget::qglColor(const QColor&) const
    {35, 569, 72, 1, Smoke::mf_const, 0, 12},	//484 QGLWidget::qglClearColor(const QColor&) const
    {35, 280, 0, 0, Smoke::mf_const, 391, 13},	//485 QGLWidget::isValid() const
    {35, 279, 0, 0, Smoke::mf_const, 391, 14},	//486 QGLWidget::isSharing() const
    {35, 288, 0, 0, 0, 0, 15},	//487 QGLWidget::makeCurrent()
    {35, 210, 0, 0, 0, 0, 16},	//488 QGLWidget::doneCurrent()
    {35, 211, 0, 0, Smoke::mf_const, 391, 17},	//489 QGLWidget::doubleBuffer() const
    {35, 788, 0, 0, 0, 0, 18},	//490 QGLWidget::swapBuffers()
    {35, 241, 0, 0, Smoke::mf_const, 142, 19},	//491 QGLWidget::format() const
    {35, 711, 27, 1, 0, 0, 20},	//492 QGLWidget::setFormat(const QGLFormat&)
    {35, 187, 0, 0, Smoke::mf_const, 415, 21},	//493 QGLWidget::context() const
    {35, 685, 618, 3, 0, 0, 22},	//494 QGLWidget::setContext(QGLContext*, const QGLContext*, bool)
    {35, 631, 622, 3, 0, 216, 23},	//495 QGLWidget::renderPixmap(int, int, bool)
    {35, 252, 67, 1, 0, 170, 24},	//496 QGLWidget::grabFrameBuffer(bool)
    {35, 289, 0, 0, 0, 0, 25},	//497 QGLWidget::makeOverlayCurrent()
    {35, 366, 0, 0, Smoke::mf_const, 415, 26},	//498 QGLWidget::overlayContext() const
    {35, 189, 76, 1, Smoke::mf_static, 170, 27},	//499 QGLWidget::convertToGLFormat(const QImage&)
    {35, 727, 67, 1, 0, 0, 28},	//500 QGLWidget::setMouseTracking(bool)
    {35, 180, 0, 0, Smoke::mf_const, 414, 29},	//501 QGLWidget::colormap() const
    {35, 683, 3, 1, 0, 0, 30},	//502 QGLWidget::setColormap(const QGLColormap&)
    {35, 635, 626, 5, 0, 0, 31},	//503 QGLWidget::renderText(int, int, const QString&, const QFont&, int)
    {35, 635, 632, 6, 0, 0, 32},	//504 QGLWidget::renderText(double, double, double, const QString&, const QFont&, int)
    {35, 368, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 33},	//505 QGLWidget::paintEngine() const
    {35, 159, 34, 4, 0, 5, 34},	//506 QGLWidget::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {35, 159, 39, 4, 0, 5, 35},	//507 QGLWidget::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {35, 159, 44, 3, 0, 5, 36},	//508 QGLWidget::bindTexture(const QImage&, GLenum, GLint)
    {35, 159, 48, 3, 0, 5, 37},	//509 QGLWidget::bindTexture(const QPixmap&, GLenum, GLint)
    {35, 159, 52, 1, 0, 5, 38},	//510 QGLWidget::bindTexture(const QString&)
    {35, 198, 54, 1, 0, 0, 39},	//511 QGLWidget::deleteTexture(GLuint)
    {35, 215, 56, 3, 0, 0, 40},	//512 QGLWidget::drawTexture(const QRectF&, GLuint, GLenum)
    {35, 215, 60, 3, 0, 0, 41},	//513 QGLWidget::drawTexture(const QPointF&, GLuint, GLenum)
    {35, 814, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//514 QGLWidget::updateGL()
    {35, 815, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//515 QGLWidget::updateOverlayGL()
    {35, 227, 639, 1, Smoke::mf_protected|Smoke::mf_virtual, 391, 44},	//516 QGLWidget::event(QEvent*)
    {35, 269, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//517 QGLWidget::initializeGL()
    {35, 646, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//518 QGLWidget::resizeGL(int, int)
    {35, 371, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//519 QGLWidget::paintGL()
    {35, 270, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//520 QGLWidget::initializeOverlayGL()
    {35, 648, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//521 QGLWidget::resizeOverlayGL(int, int)
    {35, 372, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//522 QGLWidget::paintOverlayGL()
    {35, 679, 67, 1, Smoke::mf_protected, 0, 51},	//523 QGLWidget::setAutoBufferSwap(bool)
    {35, 153, 0, 0, Smoke::mf_const|Smoke::mf_protected, 391, 52},	//524 QGLWidget::autoBufferSwap() const
    {35, 369, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//525 QGLWidget::paintEvent(QPaintEvent*)
    {35, 644, 643, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//526 QGLWidget::resizeEvent(QResizeEvent*)
    {35, 251, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//527 QGLWidget::glInit()
    {35, 250, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//528 QGLWidget::glDraw()
    {35, 238, 69, 2, Smoke::mf_protected, 513, 57},	//529 QGLWidget::fontDisplayListBase(const QFont&, int)
    {35, 798, 189, 1, Smoke::mf_static, 241, 58},	//530 QGLWidget::tr(const char*)
    {35, 802, 189, 1, Smoke::mf_static, 241, 59},	//531 QGLWidget::trUtf8(const char*)
    {35, 113, 0, 0, Smoke::mf_ctor, 156, 60},	//532 QGLWidget::QGLWidget()
    {35, 113, 645, 1, Smoke::mf_ctor, 156, 61},	//533 QGLWidget::QGLWidget(QWidget*)
    {35, 113, 647, 2, Smoke::mf_ctor, 156, 62},	//534 QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    {35, 113, 92, 1, Smoke::mf_ctor, 156, 63},	//535 QGLWidget::QGLWidget(QGLContext*)
    {35, 113, 650, 2, Smoke::mf_ctor, 156, 64},	//536 QGLWidget::QGLWidget(QGLContext*, QWidget*)
    {35, 113, 653, 3, Smoke::mf_ctor, 156, 65},	//537 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    {35, 113, 27, 1, Smoke::mf_ctor, 156, 66},	//538 QGLWidget::QGLWidget(const QGLFormat&)
    {35, 113, 657, 2, Smoke::mf_ctor, 156, 67},	//539 QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    {35, 113, 660, 3, Smoke::mf_ctor, 156, 68},	//540 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    {35, 685, 92, 1, 0, 0, 69},	//541 QGLWidget::setContext(QGLContext*)
    {35, 685, 664, 2, 0, 0, 70},	//542 QGLWidget::setContext(QGLContext*, const QGLContext*)
    {35, 631, 0, 0, 0, 216, 71},	//543 QGLWidget::renderPixmap()
    {35, 631, 15, 1, 0, 216, 72},	//544 QGLWidget::renderPixmap(int)
    {35, 631, 99, 2, 0, 216, 73},	//545 QGLWidget::renderPixmap(int, int)
    {35, 252, 0, 0, 0, 170, 74},	//546 QGLWidget::grabFrameBuffer()
    {35, 635, 667, 3, 0, 0, 75},	//547 QGLWidget::renderText(int, int, const QString&)
    {35, 635, 671, 4, 0, 0, 76},	//548 QGLWidget::renderText(int, int, const QString&, const QFont&)
    {35, 635, 676, 4, 0, 0, 77},	//549 QGLWidget::renderText(double, double, double, const QString&)
    {35, 635, 681, 5, 0, 0, 78},	//550 QGLWidget::renderText(double, double, double, const QString&, const QFont&)
    {35, 159, 76, 1, 0, 5, 79},	//551 QGLWidget::bindTexture(const QImage&)
    {35, 159, 78, 2, 0, 5, 80},	//552 QGLWidget::bindTexture(const QImage&, GLenum)
    {35, 159, 81, 1, 0, 5, 81},	//553 QGLWidget::bindTexture(const QPixmap&)
    {35, 159, 83, 2, 0, 5, 82},	//554 QGLWidget::bindTexture(const QPixmap&, GLenum)
    {35, 215, 86, 2, 0, 0, 83},	//555 QGLWidget::drawTexture(const QRectF&, GLuint)
    {35, 215, 89, 2, 0, 0, 84},	//556 QGLWidget::drawTexture(const QPointF&, GLuint)
    {35, 238, 687, 1, Smoke::mf_protected, 513, 85},	//557 QGLWidget::fontDisplayListBase(const QFont&)
    {35, 783, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 449, 86},	//558 QGLWidget::staticMetaObject() const
    {35, 828, 0, 0, Smoke::mf_dtor, 0, 87 },	//559 QGLWidget::~QGLWidget()
    {36, 308, 689, 2, Smoke::mf_static, 17, 1},	//560 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {36, 410, 0, 0, Smoke::mf_static, 36, 2},	//561 QGlobalSpace::qCritical()
    {36, 493, 692, 1, Smoke::mf_static, 521, 3},	//562 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {36, 363, 694, 2, Smoke::mf_static, 173, 4},	//563 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {36, 602, 194, 3, Smoke::mf_static, 0, 5},	//564 QGlobalSpace::qt_assert(const char*, const char*, int)
    {36, 363, 697, 2, Smoke::mf_static, 75, 6},	//565 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {36, 341, 700, 2, Smoke::mf_static, 391, 7},	//566 QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    {36, 310, 703, 2, Smoke::mf_static, 459, 8},	//567 QGlobalSpace::operator*(const QPoint&, double)
    {36, 506, 706, 1, Smoke::mf_static, 391, 9},	//568 QGlobalSpace::qIsInf(double)
    {36, 330, 708, 2, Smoke::mf_static, 36, 10},	//569 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {36, 310, 711, 2, Smoke::mf_static, 461, 11},	//570 QGlobalSpace::operator*(double, const QPointF&)
    {36, 363, 714, 2, Smoke::mf_static, 126, 12},	//571 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {36, 302, 717, 2, Smoke::mf_static, 391, 13},	//572 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {36, 330, 720, 2, Smoke::mf_static, 36, 14},	//573 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {36, 310, 723, 2, Smoke::mf_static, 474, 15},	//574 QGlobalSpace::operator*(double, const QSizeF&)
    {36, 363, 726, 2, Smoke::mf_static, 173, 16},	//575 QGlobalSpace::operator|(QDir::SortFlag, int)
    {36, 363, 729, 2, Smoke::mf_static, 53, 17},	//576 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {36, 330, 732, 2, Smoke::mf_static, 36, 18},	//577 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {36, 357, 735, 2, Smoke::mf_static, 32, 19},	//578 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {36, 330, 738, 2, Smoke::mf_static, 32, 20},	//579 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {36, 363, 741, 2, Smoke::mf_static, 173, 21},	//580 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {36, 363, 744, 2, Smoke::mf_static, 173, 22},	//581 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {36, 330, 747, 2, Smoke::mf_static, 36, 23},	//582 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {36, 583, 750, 2, Smoke::mf_static, 393, 24},	//583 QGlobalSpace::qstrcpy(char*, const char*)
    {36, 302, 753, 2, Smoke::mf_static, 391, 25},	//584 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {36, 314, 756, 2, Smoke::mf_static, 472, 26},	//585 QGlobalSpace::operator+(const QSize&, const QSize&)
    {36, 469, 706, 1, Smoke::mf_static, 511, 27},	//586 QGlobalSpace::qFabs(double)
    {36, 330, 759, 2, Smoke::mf_static, 32, 28},	//587 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {36, 363, 762, 2, Smoke::mf_static, 106, 29},	//588 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {36, 330, 765, 2, Smoke::mf_static, 36, 30},	//589 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {36, 524, 0, 0, Smoke::mf_static, 511, 31},	//590 QGlobalSpace::qQNaN()
    {36, 319, 768, 2, Smoke::mf_static, 192, 32},	//591 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {36, 363, 771, 2, Smoke::mf_static, 74, 33},	//592 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    {36, 493, 774, 1, Smoke::mf_static, 521, 34},	//593 QGlobalSpace::qHash(unsigned char)
    {36, 363, 776, 2, Smoke::mf_static, 61, 35},	//594 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {36, 319, 779, 2, Smoke::mf_static, 504, 36},	//595 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {36, 310, 782, 2, Smoke::mf_static, 220, 37},	//596 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {36, 363, 785, 2, Smoke::mf_static, 93, 38},	//597 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {36, 310, 788, 2, Smoke::mf_static, 181, 39},	//598 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {36, 563, 0, 0, Smoke::mf_static, 507, 40},	//599 QGlobalSpace::qVersion()
    {36, 483, 791, 2, Smoke::mf_static, 391, 41},	//600 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {36, 363, 794, 2, Smoke::mf_static, 66, 42},	//601 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {36, 341, 717, 2, Smoke::mf_static, 391, 43},	//602 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {36, 363, 797, 2, Smoke::mf_static, 131, 44},	//603 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {36, 310, 800, 2, Smoke::mf_static, 474, 45},	//604 QGlobalSpace::operator*(const QSizeF&, double)
    {36, 330, 803, 2, Smoke::mf_static, 32, 46},	//605 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {36, 363, 806, 2, Smoke::mf_static, 173, 47},	//606 QGlobalSpace::operator|(QDir::Filter, int)
    {36, 483, 809, 2, Smoke::mf_static, 391, 48},	//607 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {36, 347, 812, 2, Smoke::mf_static, 391, 49},	//608 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {36, 399, 706, 1, Smoke::mf_static, 513, 50},	//609 QGlobalSpace::qCeil(double)
    {36, 575, 0, 0, Smoke::mf_static, 513, 51},	//610 QGlobalSpace::qrand()
    {36, 488, 17, 1, Smoke::mf_static, 513, 52},	//611 QGlobalSpace::qGray(unsigned int)
    {36, 363, 815, 2, Smoke::mf_static, 68, 53},	//612 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {36, 319, 818, 2, Smoke::mf_static, 474, 54},	//613 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {36, 352, 821, 2, Smoke::mf_static, 391, 55},	//614 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {36, 341, 824, 2, Smoke::mf_static, 391, 56},	//615 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {36, 319, 827, 1, Smoke::mf_static, 465, 57},	//616 QGlobalSpace::operator-(const QQuaternion&)
    {36, 363, 829, 2, Smoke::mf_static, 54, 58},	//617 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {36, 363, 832, 2, Smoke::mf_static, 126, 59},	//618 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {36, 330, 835, 2, Smoke::mf_static, 36, 60},	//619 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {36, 529, 17, 1, Smoke::mf_static, 513, 61},	//620 QGlobalSpace::qRed(unsigned int)
    {36, 302, 838, 2, Smoke::mf_static, 391, 62},	//621 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {36, 310, 841, 2, Smoke::mf_static, 465, 63},	//622 QGlobalSpace::operator*(const QQuaternion&, double)
    {36, 341, 844, 2, Smoke::mf_static, 391, 64},	//623 QGlobalSpace::operator==(QBool, QBool)
    {36, 363, 847, 2, Smoke::mf_static, 102, 65},	//624 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {36, 363, 850, 2, Smoke::mf_static, 101, 66},	//625 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {36, 363, 853, 2, Smoke::mf_static, 69, 67},	//626 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {36, 363, 856, 2, Smoke::mf_static, 117, 68},	//627 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {36, 493, 859, 1, Smoke::mf_static, 521, 69},	//628 QGlobalSpace::qHash(const QStringRef&)
    {36, 363, 861, 2, Smoke::mf_static, 109, 70},	//629 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {36, 341, 864, 2, Smoke::mf_static, 391, 71},	//630 QGlobalSpace::operator==(QString::Null, QString::Null)
    {36, 330, 867, 2, Smoke::mf_static, 36, 72},	//631 QGlobalSpace::operator<<(QDebug, const QFont&)
    {36, 330, 870, 2, Smoke::mf_static, 36, 73},	//632 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {36, 330, 873, 2, Smoke::mf_static, 32, 74},	//633 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {36, 357, 876, 2, Smoke::mf_static, 32, 75},	//634 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {36, 387, 17, 1, Smoke::mf_static, 513, 76},	//635 QGlobalSpace::qAlpha(unsigned int)
    {36, 363, 879, 2, Smoke::mf_static, 173, 77},	//636 QGlobalSpace::operator|(QStyle::SubControl, int)
    {36, 363, 882, 2, Smoke::mf_static, 64, 78},	//637 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {36, 314, 885, 2, Smoke::mf_static, 479, 79},	//638 QGlobalSpace::operator+(QChar, const QString&)
    {36, 491, 17, 1, Smoke::mf_static, 513, 80},	//639 QGlobalSpace::qGreen(unsigned int)
    {36, 363, 888, 2, Smoke::mf_static, 82, 81},	//640 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {36, 319, 891, 1, Smoke::mf_static, 498, 82},	//641 QGlobalSpace::operator-(const QVector2D&)
    {36, 433, 893, 6, Smoke::mf_static, 0, 83},	//642 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {36, 433, 900, 3, Smoke::mf_static, 0, 84},	//643 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {36, 433, 904, 4, Smoke::mf_static, 0, 85},	//644 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {36, 433, 909, 5, Smoke::mf_static, 0, 86},	//645 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {36, 363, 915, 2, Smoke::mf_static, 61, 87},	//646 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {36, 330, 918, 2, Smoke::mf_static, 32, 88},	//647 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {36, 330, 921, 2, Smoke::mf_static, 36, 89},	//648 QGlobalSpace::operator<<(QDebug, const QTime&)
    {36, 310, 779, 2, Smoke::mf_static, 504, 90},	//649 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {36, 363, 924, 2, Smoke::mf_static, 107, 91},	//650 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {36, 310, 927, 2, Smoke::mf_static, 465, 92},	//651 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {36, 330, 930, 2, Smoke::mf_static, 32, 93},	//652 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {36, 330, 933, 2, Smoke::mf_static, 36, 94},	//653 QGlobalSpace::operator<<(QDebug, const QDate&)
    {36, 493, 936, 1, Smoke::mf_static, 521, 95},	//654 QGlobalSpace::qHash(const QBitArray&)
    {36, 363, 938, 2, Smoke::mf_static, 108, 96},	//655 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {36, 392, 706, 1, Smoke::mf_static, 511, 97},	//656 QGlobalSpace::qAtan(double)
    {36, 565, 941, 3, Smoke::mf_static, 0, 98},	//657 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {36, 363, 945, 2, Smoke::mf_static, 57, 99},	//658 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {36, 310, 948, 2, Smoke::mf_static, 224, 100},	//659 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {36, 621, 951, 3, Smoke::mf_static, 391, 101},	//660 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {36, 493, 52, 1, Smoke::mf_static, 521, 102},	//661 QGlobalSpace::qHash(const QString&)
    {36, 493, 955, 1, Smoke::mf_static, 521, 103},	//662 QGlobalSpace::qHash(unsigned short)
    {36, 531, 957, 1, Smoke::mf_static, 0, 104},	//663 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {36, 493, 959, 1, Smoke::mf_static, 521, 105},	//664 QGlobalSpace::qHash(long)
    {36, 363, 961, 2, Smoke::mf_static, 129, 106},	//665 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {36, 493, 964, 1, Smoke::mf_static, 521, 107},	//666 QGlobalSpace::qHash(long long)
    {36, 330, 966, 2, Smoke::mf_static, 36, 108},	//667 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {36, 314, 818, 2, Smoke::mf_static, 474, 109},	//668 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {36, 453, 969, 8, Smoke::mf_static, 0, 110},	//669 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {36, 453, 978, 6, Smoke::mf_static, 0, 111},	//670 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {36, 453, 985, 7, Smoke::mf_static, 0, 112},	//671 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 363, 993, 2, Smoke::mf_static, 173, 113},	//672 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {36, 330, 996, 2, Smoke::mf_static, 36, 114},	//673 QGlobalSpace::operator<<(QDebug, const QColor&)
    {36, 363, 999, 2, Smoke::mf_static, 173, 115},	//674 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {36, 363, 1002, 2, Smoke::mf_static, 173, 116},	//675 QGlobalSpace::operator|(Qt::DropAction, int)
    {36, 442, 1005, 10, Smoke::mf_static, 0, 117},	//676 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {36, 442, 978, 6, Smoke::mf_static, 0, 118},	//677 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {36, 442, 985, 7, Smoke::mf_static, 0, 119},	//678 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 442, 1016, 8, Smoke::mf_static, 0, 120},	//679 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {36, 442, 1025, 9, Smoke::mf_static, 0, 121},	//680 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {36, 408, 706, 1, Smoke::mf_static, 511, 122},	//681 QGlobalSpace::qCos(double)
    {36, 330, 1035, 2, Smoke::mf_static, 32, 123},	//682 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {36, 363, 1038, 2, Smoke::mf_static, 52, 124},	//683 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {36, 357, 1041, 2, Smoke::mf_static, 32, 125},	//684 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {36, 576, 17, 1, Smoke::mf_static, 0, 126},	//685 QGlobalSpace::qsrand(unsigned int)
    {36, 506, 1044, 1, Smoke::mf_static, 391, 127},	//686 QGlobalSpace::qIsInf(float)
    {36, 363, 1046, 2, Smoke::mf_static, 75, 128},	//687 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {36, 363, 1049, 2, Smoke::mf_static, 117, 129},	//688 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {36, 357, 1052, 2, Smoke::mf_static, 32, 130},	//689 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {36, 363, 1055, 2, Smoke::mf_static, 173, 131},	//690 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {36, 330, 1058, 2, Smoke::mf_static, 32, 132},	//691 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {36, 363, 1061, 2, Smoke::mf_static, 173, 133},	//692 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {36, 363, 1064, 2, Smoke::mf_static, 63, 134},	//693 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {36, 325, 1067, 2, Smoke::mf_static, 391, 135},	//694 QGlobalSpace::operator<(const QByteArray&, const char*)
    {36, 363, 1070, 2, Smoke::mf_static, 77, 136},	//695 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {36, 363, 1073, 2, Smoke::mf_static, 173, 137},	//696 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {36, 330, 1076, 2, Smoke::mf_static, 36, 138},	//697 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {36, 363, 1079, 2, Smoke::mf_static, 118, 139},	//698 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {36, 363, 1082, 2, Smoke::mf_static, 173, 140},	//699 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {36, 310, 1085, 2, Smoke::mf_static, 181, 141},	//700 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {36, 564, 0, 0, Smoke::mf_static, 36, 142},	//701 QGlobalSpace::qWarning()
    {36, 363, 1088, 2, Smoke::mf_static, 92, 143},	//702 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {36, 314, 779, 2, Smoke::mf_static, 504, 144},	//703 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {36, 488, 1091, 3, Smoke::mf_static, 513, 145},	//704 QGlobalSpace::qGray(int, int, int)
    {36, 310, 1095, 2, Smoke::mf_static, 183, 146},	//705 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {36, 363, 1098, 2, Smoke::mf_static, 127, 147},	//706 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {36, 310, 1101, 2, Smoke::mf_static, 211, 148},	//707 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {36, 363, 1104, 2, Smoke::mf_static, 173, 149},	//708 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {36, 341, 1107, 2, Smoke::mf_static, 391, 150},	//709 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {36, 302, 791, 2, Smoke::mf_static, 391, 151},	//710 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {36, 357, 1110, 2, Smoke::mf_static, 32, 152},	//711 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {36, 330, 1113, 2, Smoke::mf_static, 32, 153},	//712 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {36, 363, 1116, 2, Smoke::mf_static, 173, 154},	//713 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {36, 314, 1119, 2, Smoke::mf_static, 479, 155},	//714 QGlobalSpace::operator+(const QString&, const char*)
    {36, 330, 1122, 2, Smoke::mf_static, 32, 156},	//715 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {36, 330, 1125, 2, Smoke::mf_static, 36, 157},	//716 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {36, 330, 1128, 2, Smoke::mf_static, 36, 158},	//717 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {36, 363, 1131, 2, Smoke::mf_static, 173, 159},	//718 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {36, 330, 1134, 2, Smoke::mf_static, 32, 160},	//719 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {36, 363, 1137, 2, Smoke::mf_static, 91, 161},	//720 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {36, 363, 1140, 2, Smoke::mf_static, 120, 162},	//721 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {36, 357, 1143, 2, Smoke::mf_static, 32, 163},	//722 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {36, 330, 1146, 2, Smoke::mf_static, 32, 164},	//723 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {36, 363, 1149, 2, Smoke::mf_static, 82, 165},	//724 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {36, 363, 1152, 2, Smoke::mf_static, 91, 166},	//725 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {36, 363, 1155, 2, Smoke::mf_static, 173, 167},	//726 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {36, 314, 1158, 2, Smoke::mf_static, 403, 168},	//727 QGlobalSpace::operator+(char, const QByteArray&)
    {36, 323, 703, 2, Smoke::mf_static, 459, 169},	//728 QGlobalSpace::operator/(const QPoint&, double)
    {36, 357, 1161, 2, Smoke::mf_static, 32, 170},	//729 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {36, 314, 1164, 2, Smoke::mf_static, 479, 171},	//730 QGlobalSpace::operator+(const char*, const QString&)
    {36, 314, 791, 2, Smoke::mf_static, 498, 172},	//731 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {36, 363, 1167, 2, Smoke::mf_static, 90, 173},	//732 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {36, 330, 1170, 2, Smoke::mf_static, 36, 174},	//733 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {36, 341, 1173, 2, Smoke::mf_static, 391, 175},	//734 QGlobalSpace::operator==(const char*, const QByteArray&)
    {36, 363, 1176, 2, Smoke::mf_static, 70, 176},	//735 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {36, 357, 1179, 2, Smoke::mf_static, 32, 177},	//736 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {36, 508, 1044, 1, Smoke::mf_static, 391, 178},	//737 QGlobalSpace::qIsNaN(float)
    {36, 483, 1182, 2, Smoke::mf_static, 391, 179},	//738 QGlobalSpace::qFuzzyCompare(double, double)
    {36, 510, 1044, 1, Smoke::mf_static, 391, 180},	//739 QGlobalSpace::qIsNull(float)
    {36, 363, 1185, 2, Smoke::mf_static, 73, 181},	//740 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    {36, 357, 1188, 2, Smoke::mf_static, 32, 182},	//741 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {36, 357, 1191, 2, Smoke::mf_static, 32, 183},	//742 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {36, 330, 1194, 2, Smoke::mf_static, 32, 184},	//743 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {36, 357, 1197, 2, Smoke::mf_static, 32, 185},	//744 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {36, 363, 1200, 2, Smoke::mf_static, 94, 186},	//745 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {36, 341, 1203, 2, Smoke::mf_static, 391, 187},	//746 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {36, 323, 1206, 2, Smoke::mf_static, 275, 188},	//747 QGlobalSpace::operator/(const QTransform&, double)
    {36, 330, 1209, 2, Smoke::mf_static, 269, 189},	//748 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {36, 363, 1212, 2, Smoke::mf_static, 55, 190},	//749 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {36, 363, 1215, 2, Smoke::mf_static, 173, 191},	//750 QGlobalSpace::operator|(QGL::FormatOption, int)
    {36, 334, 1164, 2, Smoke::mf_static, 391, 192},	//751 QGlobalSpace::operator<=(const char*, const QString&)
    {36, 310, 1218, 2, Smoke::mf_static, 498, 193},	//752 QGlobalSpace::operator*(const QVector2D&, double)
    {36, 363, 1221, 2, Smoke::mf_static, 71, 194},	//753 QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    {36, 363, 1224, 2, Smoke::mf_static, 113, 195},	//754 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {36, 363, 1227, 2, Smoke::mf_static, 99, 196},	//755 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {36, 302, 1230, 2, Smoke::mf_static, 391, 197},	//756 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {36, 310, 1233, 2, Smoke::mf_static, 504, 198},	//757 QGlobalSpace::operator*(const QVector4D&, double)
    {36, 363, 1236, 2, Smoke::mf_static, 173, 199},	//758 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {36, 363, 1239, 2, Smoke::mf_static, 173, 200},	//759 QGlobalSpace::operator|(QFile::Permission, int)
    {36, 330, 1242, 2, Smoke::mf_static, 36, 201},	//760 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {36, 325, 1245, 2, Smoke::mf_static, 391, 202},	//761 QGlobalSpace::operator<(QChar, QChar)
    {36, 381, 0, 0, Smoke::mf_static, 13, 203},	//762 QGlobalSpace::qAccessibleTextCastHelper()
    {36, 341, 927, 2, Smoke::mf_static, 391, 204},	//763 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {36, 483, 768, 2, Smoke::mf_static, 391, 205},	//764 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {36, 323, 1248, 2, Smoke::mf_static, 192, 206},	//765 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {36, 310, 1251, 2, Smoke::mf_static, 211, 207},	//766 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {36, 330, 1254, 2, Smoke::mf_static, 32, 208},	//767 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {36, 352, 812, 2, Smoke::mf_static, 391, 209},	//768 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {36, 363, 1257, 2, Smoke::mf_static, 89, 210},	//769 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {36, 595, 1260, 3, Smoke::mf_static, 513, 211},	//770 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {36, 493, 209, 1, Smoke::mf_static, 521, 212},	//771 QGlobalSpace::qHash(const QByteArray&)
    {36, 363, 1264, 2, Smoke::mf_static, 55, 213},	//772 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {36, 363, 1267, 2, Smoke::mf_static, 173, 214},	//773 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {36, 363, 1270, 2, Smoke::mf_static, 72, 215},	//774 QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    {36, 363, 1273, 2, Smoke::mf_static, 173, 216},	//775 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {36, 314, 768, 2, Smoke::mf_static, 192, 217},	//776 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {36, 330, 1276, 2, Smoke::mf_static, 36, 218},	//777 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {36, 310, 791, 2, Smoke::mf_static, 498, 219},	//778 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {36, 606, 232, 2, Smoke::mf_static, 0, 220},	//779 QGlobalSpace::qt_check_pointer(const char*, int)
    {36, 357, 1279, 2, Smoke::mf_static, 32, 221},	//780 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {36, 363, 1282, 2, Smoke::mf_static, 173, 222},	//781 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {36, 363, 1285, 2, Smoke::mf_static, 173, 223},	//782 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {36, 363, 1288, 2, Smoke::mf_static, 116, 224},	//783 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {36, 363, 1291, 2, Smoke::mf_static, 112, 225},	//784 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {36, 357, 1294, 2, Smoke::mf_static, 32, 226},	//785 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {36, 363, 1297, 2, Smoke::mf_static, 116, 227},	//786 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {36, 310, 1300, 2, Smoke::mf_static, 461, 228},	//787 QGlobalSpace::operator*(const QPointF&, double)
    {36, 578, 821, 2, Smoke::mf_static, 513, 229},	//788 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {36, 363, 1303, 2, Smoke::mf_static, 93, 230},	//789 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {36, 363, 1306, 2, Smoke::mf_static, 78, 231},	//790 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {36, 546, 1309, 1, Smoke::mf_static, 272, 232},	//791 QGlobalSpace::qSetPadChar(QChar)
    {36, 578, 1067, 2, Smoke::mf_static, 513, 233},	//792 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {36, 341, 756, 2, Smoke::mf_static, 391, 234},	//793 QGlobalSpace::operator==(const QSize&, const QSize&)
    {36, 433, 1311, 9, Smoke::mf_static, 0, 235},	//794 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {36, 433, 978, 6, Smoke::mf_static, 0, 236},	//795 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {36, 433, 985, 7, Smoke::mf_static, 0, 237},	//796 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 433, 1016, 8, Smoke::mf_static, 0, 238},	//797 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {36, 550, 0, 0, Smoke::mf_static, 391, 239},	//798 QGlobalSpace::qSharedBuild()
    {36, 314, 927, 2, Smoke::mf_static, 465, 240},	//799 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {36, 363, 1321, 2, Smoke::mf_static, 52, 241},	//800 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {36, 498, 1324, 1, Smoke::mf_static, 527, 242},	//801 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {36, 330, 1326, 2, Smoke::mf_static, 32, 243},	//802 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {36, 617, 1329, 3, Smoke::mf_static, 200, 244},	//803 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {36, 341, 812, 2, Smoke::mf_static, 391, 245},	//804 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {36, 363, 1333, 2, Smoke::mf_static, 125, 246},	//805 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {36, 310, 1336, 2, Smoke::mf_static, 287, 247},	//806 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {36, 363, 1339, 2, Smoke::mf_static, 173, 248},	//807 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {36, 302, 821, 2, Smoke::mf_static, 391, 249},	//808 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {36, 453, 1342, 5, Smoke::mf_static, 0, 250},	//809 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {36, 453, 900, 3, Smoke::mf_static, 0, 251},	//810 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {36, 453, 904, 4, Smoke::mf_static, 0, 252},	//811 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {36, 363, 1348, 2, Smoke::mf_static, 173, 253},	//812 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {36, 363, 1351, 2, Smoke::mf_static, 95, 254},	//813 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {36, 363, 1354, 2, Smoke::mf_static, 173, 255},	//814 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {36, 363, 1357, 2, Smoke::mf_static, 173, 256},	//815 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {36, 357, 1360, 2, Smoke::mf_static, 32, 257},	//816 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {36, 319, 791, 2, Smoke::mf_static, 498, 258},	//817 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {36, 363, 1363, 2, Smoke::mf_static, 124, 259},	//818 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {36, 323, 800, 2, Smoke::mf_static, 474, 260},	//819 QGlobalSpace::operator/(const QSizeF&, double)
    {36, 310, 1366, 2, Smoke::mf_static, 501, 261},	//820 QGlobalSpace::operator*(const QVector3D&, double)
    {36, 363, 1369, 2, Smoke::mf_static, 125, 262},	//821 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {36, 357, 1372, 2, Smoke::mf_static, 32, 263},	//822 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {36, 310, 1375, 2, Smoke::mf_static, 222, 264},	//823 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {36, 347, 1245, 2, Smoke::mf_static, 391, 265},	//824 QGlobalSpace::operator>(QChar, QChar)
    {36, 352, 1173, 2, Smoke::mf_static, 391, 266},	//825 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {36, 481, 1378, 1, Smoke::mf_static, 0, 267},	//826 QGlobalSpace::qFreeAligned(void*)
    {36, 363, 1380, 2, Smoke::mf_static, 102, 268},	//827 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {36, 341, 1383, 2, Smoke::mf_static, 391, 269},	//828 QGlobalSpace::operator==(const QString&, QString::Null)
    {36, 330, 1386, 2, Smoke::mf_static, 36, 270},	//829 QGlobalSpace::operator<<(QDebug, const QPen&)
    {36, 500, 1044, 1, Smoke::mf_static, 513, 271},	//830 QGlobalSpace::qIntCast(float)
    {36, 325, 821, 2, Smoke::mf_static, 391, 272},	//831 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {36, 363, 1389, 2, Smoke::mf_static, 104, 273},	//832 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {36, 573, 1173, 2, Smoke::mf_static, 391, 274},	//833 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {36, 363, 1392, 2, Smoke::mf_static, 173, 275},	//834 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {36, 357, 1395, 2, Smoke::mf_static, 32, 276},	//835 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {36, 555, 1398, 2, Smoke::mf_static, 391, 277},	//836 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {36, 591, 1260, 3, Smoke::mf_static, 513, 278},	//837 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {36, 442, 1401, 7, Smoke::mf_static, 0, 279},	//838 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {36, 442, 900, 3, Smoke::mf_static, 0, 280},	//839 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {36, 442, 904, 4, Smoke::mf_static, 0, 281},	//840 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {36, 442, 909, 5, Smoke::mf_static, 0, 282},	//841 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {36, 442, 1409, 6, Smoke::mf_static, 0, 283},	//842 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {36, 363, 1416, 2, Smoke::mf_static, 108, 284},	//843 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {36, 363, 1419, 2, Smoke::mf_static, 173, 285},	//844 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {36, 363, 1422, 2, Smoke::mf_static, 173, 286},	//845 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {36, 319, 1425, 1, Smoke::mf_static, 461, 287},	//846 QGlobalSpace::operator-(const QPointF&)
    {36, 527, 1427, 4, Smoke::mf_static, 528, 288},	//847 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {36, 363, 1432, 2, Smoke::mf_static, 123, 289},	//848 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {36, 330, 1435, 2, Smoke::mf_static, 32, 290},	//849 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {36, 493, 1438, 1, Smoke::mf_static, 521, 291},	//850 QGlobalSpace::qHash(unsigned long long)
    {36, 314, 1440, 2, Smoke::mf_static, 479, 292},	//851 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {36, 363, 1443, 2, Smoke::mf_static, 132, 293},	//852 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {36, 330, 1446, 2, Smoke::mf_static, 36, 294},	//853 QGlobalSpace::operator<<(QDebug, const QSize&)
    {36, 310, 1449, 2, Smoke::mf_static, 220, 295},	//854 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {36, 363, 1452, 2, Smoke::mf_static, 123, 296},	//855 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {36, 330, 1455, 2, Smoke::mf_static, 36, 297},	//856 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {36, 363, 1458, 2, Smoke::mf_static, 130, 298},	//857 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {36, 389, 0, 0, Smoke::mf_static, 241, 299},	//858 QGlobalSpace::qAppName()
    {36, 314, 1461, 2, Smoke::mf_static, 479, 300},	//859 QGlobalSpace::operator+(const QString&, char)
    {36, 352, 1230, 2, Smoke::mf_static, 391, 301},	//860 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {36, 363, 1464, 2, Smoke::mf_static, 64, 302},	//861 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {36, 493, 1309, 1, Smoke::mf_static, 521, 303},	//862 QGlobalSpace::qHash(QChar)
    {36, 363, 1467, 2, Smoke::mf_static, 173, 304},	//863 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {36, 417, 1470, 8, Smoke::mf_static, 0, 305},	//864 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {36, 417, 1479, 6, Smoke::mf_static, 0, 306},	//865 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {36, 417, 1486, 7, Smoke::mf_static, 0, 307},	//866 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {36, 341, 838, 2, Smoke::mf_static, 391, 308},	//867 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {36, 486, 706, 1, Smoke::mf_static, 391, 309},	//868 QGlobalSpace::qFuzzyIsNull(double)
    {36, 310, 768, 2, Smoke::mf_static, 192, 310},	//869 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {36, 330, 1494, 2, Smoke::mf_static, 32, 311},	//870 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {36, 520, 1497, 3, Smoke::mf_static, 528, 312},	//871 QGlobalSpace::qMemSet(void*, int, size_t)
    {36, 394, 1182, 2, Smoke::mf_static, 511, 313},	//872 QGlobalSpace::qAtan2(double, double)
    {36, 363, 1501, 2, Smoke::mf_static, 95, 314},	//873 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {36, 330, 1504, 2, Smoke::mf_static, 32, 315},	//874 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {36, 357, 1507, 2, Smoke::mf_static, 32, 316},	//875 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {36, 403, 235, 2, Smoke::mf_static, 21, 317},	//876 QGlobalSpace::qCompress(const QByteArray&, int)
    {36, 403, 209, 1, Smoke::mf_static, 21, 318},	//877 QGlobalSpace::qCompress(const QByteArray&)
    {36, 302, 700, 2, Smoke::mf_static, 391, 319},	//878 QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    {36, 363, 1510, 2, Smoke::mf_static, 173, 320},	//879 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {36, 330, 1513, 2, Smoke::mf_static, 36, 321},	//880 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {36, 363, 1516, 2, Smoke::mf_static, 124, 322},	//881 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {36, 310, 1519, 2, Smoke::mf_static, 289, 323},	//882 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {36, 363, 1522, 2, Smoke::mf_static, 173, 324},	//883 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {36, 325, 1173, 2, Smoke::mf_static, 391, 325},	//884 QGlobalSpace::operator<(const char*, const QByteArray&)
    {36, 417, 1525, 5, Smoke::mf_static, 0, 326},	//885 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {36, 417, 1531, 3, Smoke::mf_static, 0, 327},	//886 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {36, 417, 1535, 4, Smoke::mf_static, 0, 328},	//887 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {36, 363, 1540, 2, Smoke::mf_static, 173, 329},	//888 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {36, 385, 1543, 1, Smoke::mf_static, 0, 330},	//889 QGlobalSpace::qAddPostRoutine(void(*)())
    {36, 363, 1545, 2, Smoke::mf_static, 173, 331},	//890 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {36, 310, 1548, 2, Smoke::mf_static, 218, 332},	//891 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {36, 363, 1551, 2, Smoke::mf_static, 173, 333},	//892 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {36, 363, 1554, 2, Smoke::mf_static, 173, 334},	//893 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {36, 467, 706, 1, Smoke::mf_static, 511, 335},	//894 QGlobalSpace::qExp(double)
    {36, 302, 756, 2, Smoke::mf_static, 391, 336},	//895 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {36, 363, 1557, 2, Smoke::mf_static, 121, 337},	//896 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {36, 334, 1067, 2, Smoke::mf_static, 391, 338},	//897 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {36, 330, 1560, 2, Smoke::mf_static, 32, 339},	//898 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {36, 302, 1563, 2, Smoke::mf_static, 391, 340},	//899 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {36, 363, 1566, 2, Smoke::mf_static, 173, 341},	//900 QGlobalSpace::operator|(QString::SectionFlag, int)
    {36, 363, 1569, 2, Smoke::mf_static, 173, 342},	//901 QGlobalSpace::operator|(Qt::WindowType, int)
    {36, 363, 1572, 2, Smoke::mf_static, 115, 343},	//902 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {36, 341, 1575, 2, Smoke::mf_static, 391, 344},	//903 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {36, 510, 706, 1, Smoke::mf_static, 391, 345},	//904 QGlobalSpace::qIsNull(double)
    {36, 412, 1578, 8, Smoke::mf_static, 0, 346},	//905 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {36, 412, 1587, 6, Smoke::mf_static, 0, 347},	//906 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {36, 412, 1594, 7, Smoke::mf_static, 0, 348},	//907 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {36, 352, 1602, 2, Smoke::mf_static, 391, 349},	//908 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {36, 341, 1605, 2, Smoke::mf_static, 391, 350},	//909 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {36, 500, 706, 1, Smoke::mf_static, 513, 351},	//910 QGlobalSpace::qIntCast(double)
    {36, 361, 689, 2, Smoke::mf_static, 17, 352},	//911 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {36, 401, 1608, 2, Smoke::mf_static, 524, 353},	//912 QGlobalSpace::qChecksum(const char*, unsigned int)
    {36, 363, 1611, 2, Smoke::mf_static, 114, 354},	//913 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {36, 363, 1614, 2, Smoke::mf_static, 173, 355},	//914 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {36, 357, 1617, 2, Smoke::mf_static, 32, 356},	//915 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {36, 330, 1620, 2, Smoke::mf_static, 32, 357},	//916 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {36, 310, 1206, 2, Smoke::mf_static, 275, 358},	//917 QGlobalSpace::operator*(const QTransform&, double)
    {36, 363, 1623, 2, Smoke::mf_static, 173, 359},	//918 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {36, 363, 1626, 2, Smoke::mf_static, 115, 360},	//919 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {36, 325, 1230, 2, Smoke::mf_static, 391, 361},	//920 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {36, 330, 1629, 2, Smoke::mf_static, 36, 362},	//921 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {36, 363, 1632, 2, Smoke::mf_static, 173, 363},	//922 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {36, 567, 189, 1, Smoke::mf_static, 21, 364},	//923 QGlobalSpace::qgetenv(const char*)
    {36, 363, 1635, 2, Smoke::mf_static, 173, 365},	//924 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {36, 330, 1638, 2, Smoke::mf_static, 36, 366},	//925 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {36, 363, 1641, 2, Smoke::mf_static, 173, 367},	//926 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {36, 363, 1644, 2, Smoke::mf_static, 173, 368},	//927 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {36, 302, 1398, 2, Smoke::mf_static, 391, 369},	//928 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {36, 330, 1647, 2, Smoke::mf_static, 36, 370},	//929 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {36, 357, 1650, 2, Smoke::mf_static, 269, 371},	//930 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {36, 363, 1653, 2, Smoke::mf_static, 173, 372},	//931 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {36, 302, 1173, 2, Smoke::mf_static, 391, 373},	//932 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {36, 363, 1656, 2, Smoke::mf_static, 173, 374},	//933 QGlobalSpace::operator|(QFileDialog::Option, int)
    {36, 383, 706, 1, Smoke::mf_static, 511, 375},	//934 QGlobalSpace::qAcos(double)
    {36, 363, 1659, 2, Smoke::mf_static, 97, 376},	//935 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {36, 347, 1230, 2, Smoke::mf_static, 391, 377},	//936 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {36, 323, 1233, 2, Smoke::mf_static, 504, 378},	//937 QGlobalSpace::operator/(const QVector4D&, double)
    {36, 310, 1662, 2, Smoke::mf_static, 218, 379},	//938 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {36, 363, 1665, 2, Smoke::mf_static, 104, 380},	//939 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {36, 357, 1668, 2, Smoke::mf_static, 32, 381},	//940 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {36, 363, 1671, 2, Smoke::mf_static, 79, 382},	//941 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {36, 323, 841, 2, Smoke::mf_static, 465, 383},	//942 QGlobalSpace::operator/(const QQuaternion&, double)
    {36, 363, 1674, 2, Smoke::mf_static, 89, 384},	//943 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {36, 357, 1677, 2, Smoke::mf_static, 32, 385},	//944 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {36, 330, 1680, 2, Smoke::mf_static, 32, 386},	//945 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {36, 363, 1683, 2, Smoke::mf_static, 67, 387},	//946 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {36, 379, 0, 0, Smoke::mf_static, 13, 388},	//947 QGlobalSpace::qAccessibleImageCastHelper()
    {36, 363, 1686, 2, Smoke::mf_static, 173, 389},	//948 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {36, 330, 1689, 2, Smoke::mf_static, 36, 390},	//949 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {36, 593, 1692, 3, Smoke::mf_static, 393, 391},	//950 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {36, 363, 1696, 2, Smoke::mf_static, 58, 392},	//951 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {36, 357, 1699, 2, Smoke::mf_static, 32, 393},	//952 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {36, 330, 1702, 2, Smoke::mf_static, 32, 394},	//953 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {36, 357, 1705, 2, Smoke::mf_static, 32, 395},	//954 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {36, 319, 1708, 1, Smoke::mf_static, 504, 396},	//955 QGlobalSpace::operator-(const QVector4D&)
    {36, 330, 1710, 2, Smoke::mf_static, 36, 397},	//956 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {36, 493, 1713, 1, Smoke::mf_static, 521, 398},	//957 QGlobalSpace::qHash(const QUrl&)
    {36, 363, 1715, 2, Smoke::mf_static, 173, 399},	//958 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {36, 357, 1718, 2, Smoke::mf_static, 32, 400},	//959 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {36, 502, 1044, 1, Smoke::mf_static, 391, 401},	//960 QGlobalSpace::qIsFinite(float)
    {36, 302, 1107, 2, Smoke::mf_static, 391, 402},	//961 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {36, 341, 791, 2, Smoke::mf_static, 391, 403},	//962 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {36, 608, 15, 1, Smoke::mf_static, 241, 404},	//963 QGlobalSpace::qt_error_string(int)
    {36, 608, 0, 0, Smoke::mf_static, 241, 405},	//964 QGlobalSpace::qt_error_string()
    {36, 323, 1218, 2, Smoke::mf_static, 498, 406},	//965 QGlobalSpace::operator/(const QVector2D&, double)
    {36, 363, 1721, 2, Smoke::mf_static, 173, 407},	//966 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {36, 357, 1724, 2, Smoke::mf_static, 32, 408},	//967 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {36, 525, 1727, 2, Smoke::mf_static, 528, 409},	//968 QGlobalSpace::qRealloc(void*, size_t)
    {36, 363, 1730, 2, Smoke::mf_static, 77, 410},	//969 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {36, 363, 1733, 2, Smoke::mf_static, 76, 411},	//970 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {36, 314, 1736, 2, Smoke::mf_static, 479, 412},	//971 QGlobalSpace::operator+(const QString&, const QString&)
    {36, 363, 1739, 2, Smoke::mf_static, 173, 413},	//972 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {36, 380, 0, 0, Smoke::mf_static, 13, 414},	//973 QGlobalSpace::qAccessibleTableCastHelper()
    {36, 363, 1742, 2, Smoke::mf_static, 173, 415},	//974 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {36, 310, 1248, 2, Smoke::mf_static, 192, 416},	//975 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {36, 604, 1745, 4, Smoke::mf_static, 0, 417},	//976 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {36, 325, 1164, 2, Smoke::mf_static, 391, 418},	//977 QGlobalSpace::operator<(const char*, const QString&)
    {36, 302, 1164, 2, Smoke::mf_static, 391, 419},	//978 QGlobalSpace::operator!=(const char*, const QString&)
    {36, 302, 1067, 2, Smoke::mf_static, 391, 420},	//979 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {36, 302, 1750, 2, Smoke::mf_static, 391, 421},	//980 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {36, 330, 1753, 2, Smoke::mf_static, 36, 422},	//981 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {36, 363, 1756, 2, Smoke::mf_static, 56, 423},	//982 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {36, 341, 1759, 2, Smoke::mf_static, 391, 424},	//983 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {36, 363, 1762, 2, Smoke::mf_static, 173, 425},	//984 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {36, 357, 1765, 2, Smoke::mf_static, 32, 426},	//985 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {36, 347, 821, 2, Smoke::mf_static, 391, 427},	//986 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {36, 539, 706, 1, Smoke::mf_static, 513, 428},	//987 QGlobalSpace::qRound(double)
    {36, 334, 812, 2, Smoke::mf_static, 391, 429},	//988 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {36, 363, 1768, 2, Smoke::mf_static, 173, 430},	//989 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    {36, 341, 1563, 2, Smoke::mf_static, 391, 431},	//990 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {36, 363, 689, 2, Smoke::mf_static, 17, 432},	//991 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {36, 341, 1771, 2, Smoke::mf_static, 391, 433},	//992 QGlobalSpace::operator==(const char*, const QStringRef&)
    {36, 314, 1173, 2, Smoke::mf_static, 403, 434},	//993 QGlobalSpace::operator+(const char*, const QByteArray&)
    {36, 357, 1774, 2, Smoke::mf_static, 32, 435},	//994 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {36, 363, 1777, 2, Smoke::mf_static, 173, 436},	//995 QGlobalSpace::operator|(Qt::MouseButton, int)
    {36, 363, 1780, 2, Smoke::mf_static, 101, 437},	//996 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {36, 334, 1230, 2, Smoke::mf_static, 391, 438},	//997 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {36, 357, 1783, 2, Smoke::mf_static, 32, 439},	//998 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {36, 363, 1786, 2, Smoke::mf_static, 63, 440},	//999 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {36, 363, 1789, 2, Smoke::mf_static, 122, 441},	//1000 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {36, 504, 17, 1, Smoke::mf_static, 391, 442},	//1001 QGlobalSpace::qIsGray(unsigned int)
    {36, 363, 1792, 2, Smoke::mf_static, 112, 443},	//1002 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {36, 310, 1795, 2, Smoke::mf_static, 220, 444},	//1003 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {36, 319, 1798, 1, Smoke::mf_static, 192, 445},	//1004 QGlobalSpace::operator-(const QMatrix4x4&)
    {36, 363, 1800, 2, Smoke::mf_static, 54, 446},	//1005 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {36, 310, 1803, 2, Smoke::mf_static, 498, 447},	//1006 QGlobalSpace::operator*(double, const QVector2D&)
    {36, 363, 1806, 2, Smoke::mf_static, 84, 448},	//1007 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {36, 363, 1809, 2, Smoke::mf_static, 173, 449},	//1008 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {36, 357, 1812, 2, Smoke::mf_static, 32, 450},	//1009 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {36, 341, 1245, 2, Smoke::mf_static, 391, 451},	//1010 QGlobalSpace::operator==(QChar, QChar)
    {36, 363, 1815, 2, Smoke::mf_static, 128, 452},	//1011 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {36, 330, 1818, 2, Smoke::mf_static, 32, 453},	//1012 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {36, 302, 1575, 2, Smoke::mf_static, 391, 454},	//1013 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {36, 310, 1821, 2, Smoke::mf_static, 183, 455},	//1014 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {36, 302, 1824, 2, Smoke::mf_static, 391, 456},	//1015 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {36, 493, 1827, 1, Smoke::mf_static, 521, 457},	//1016 QGlobalSpace::qHash(signed char)
    {36, 330, 1829, 2, Smoke::mf_static, 32, 458},	//1017 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {36, 330, 1832, 2, Smoke::mf_static, 32, 459},	//1018 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {36, 363, 1835, 2, Smoke::mf_static, 129, 460},	//1019 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {36, 310, 1838, 2, Smoke::mf_static, 501, 461},	//1020 QGlobalSpace::operator*(double, const QVector3D&)
    {36, 553, 706, 1, Smoke::mf_static, 511, 462},	//1021 QGlobalSpace::qSqrt(double)
    {36, 330, 1841, 2, Smoke::mf_static, 32, 463},	//1022 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {36, 363, 1844, 2, Smoke::mf_static, 111, 464},	//1023 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {36, 578, 191, 2, Smoke::mf_static, 513, 465},	//1024 QGlobalSpace::qstrcmp(const char*, const char*)
    {36, 357, 1847, 2, Smoke::mf_static, 32, 466},	//1025 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {36, 363, 1850, 2, Smoke::mf_static, 73, 467},	//1026 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    {36, 363, 1853, 2, Smoke::mf_static, 98, 468},	//1027 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {36, 341, 779, 2, Smoke::mf_static, 391, 469},	//1028 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {36, 330, 1856, 2, Smoke::mf_static, 32, 470},	//1029 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {36, 330, 1859, 2, Smoke::mf_static, 32, 471},	//1030 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {36, 314, 1862, 2, Smoke::mf_static, 479, 472},	//1031 QGlobalSpace::operator+(char, const QString&)
    {36, 323, 1366, 2, Smoke::mf_static, 501, 473},	//1032 QGlobalSpace::operator/(const QVector3D&, double)
    {36, 363, 1865, 2, Smoke::mf_static, 94, 474},	//1033 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {36, 302, 824, 2, Smoke::mf_static, 391, 475},	//1034 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {36, 302, 1245, 2, Smoke::mf_static, 391, 476},	//1035 QGlobalSpace::operator!=(QChar, QChar)
    {36, 363, 1868, 2, Smoke::mf_static, 86, 477},	//1036 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {36, 310, 1871, 2, Smoke::mf_static, 192, 478},	//1037 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {36, 597, 1608, 2, Smoke::mf_static, 521, 479},	//1038 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {36, 363, 1874, 2, Smoke::mf_static, 81, 480},	//1039 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {36, 341, 1602, 2, Smoke::mf_static, 391, 481},	//1040 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {36, 535, 1091, 3, Smoke::mf_static, 521, 482},	//1041 QGlobalSpace::qRgb(int, int, int)
    {36, 483, 779, 2, Smoke::mf_static, 391, 483},	//1042 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {36, 477, 706, 1, Smoke::mf_static, 513, 484},	//1043 QGlobalSpace::qFloor(double)
    {36, 363, 1877, 2, Smoke::mf_static, 131, 485},	//1044 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {36, 363, 1880, 2, Smoke::mf_static, 110, 486},	//1045 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {36, 330, 1883, 2, Smoke::mf_static, 36, 487},	//1046 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {36, 363, 1886, 2, Smoke::mf_static, 80, 488},	//1047 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {36, 363, 1889, 2, Smoke::mf_static, 114, 489},	//1048 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {36, 341, 818, 2, Smoke::mf_static, 391, 490},	//1049 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {36, 357, 1892, 2, Smoke::mf_static, 32, 491},	//1050 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {36, 363, 1895, 2, Smoke::mf_static, 113, 492},	//1051 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {36, 357, 1898, 2, Smoke::mf_static, 32, 493},	//1052 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {36, 330, 1901, 2, Smoke::mf_static, 32, 494},	//1053 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {36, 363, 1904, 2, Smoke::mf_static, 57, 495},	//1054 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {36, 341, 1230, 2, Smoke::mf_static, 391, 496},	//1055 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {36, 302, 1907, 2, Smoke::mf_static, 391, 497},	//1056 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {36, 310, 1910, 2, Smoke::mf_static, 472, 498},	//1057 QGlobalSpace::operator*(double, const QSize&)
    {36, 341, 1913, 2, Smoke::mf_static, 391, 499},	//1058 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {36, 363, 1916, 2, Smoke::mf_static, 67, 500},	//1059 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {36, 493, 1919, 1, Smoke::mf_static, 521, 501},	//1060 QGlobalSpace::qHash(const QModelIndex&)
    {36, 363, 1921, 2, Smoke::mf_static, 80, 502},	//1061 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {36, 363, 1924, 2, Smoke::mf_static, 98, 503},	//1062 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {36, 330, 1927, 2, Smoke::mf_static, 36, 504},	//1063 QGlobalSpace::operator<<(QDebug, const QLine&)
    {36, 382, 0, 0, Smoke::mf_static, 13, 505},	//1064 QGlobalSpace::qAccessibleValueCastHelper()
    {36, 363, 1930, 2, Smoke::mf_static, 53, 506},	//1065 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {36, 533, 1543, 1, Smoke::mf_static, 0, 507},	//1066 QGlobalSpace::qRemovePostRoutine(void(*)())
    {36, 357, 1933, 2, Smoke::mf_static, 32, 508},	//1067 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {36, 310, 1936, 2, Smoke::mf_static, 289, 509},	//1068 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {36, 330, 1939, 2, Smoke::mf_static, 32, 510},	//1069 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {36, 483, 1942, 2, Smoke::mf_static, 391, 511},	//1070 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {36, 363, 1945, 2, Smoke::mf_static, 105, 512},	//1071 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {36, 475, 189, 1, Smoke::mf_static, 507, 513},	//1072 QGlobalSpace::qFlagLocation(const char*)
    {36, 518, 1948, 3, Smoke::mf_static, 528, 514},	//1073 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {36, 352, 1067, 2, Smoke::mf_static, 391, 515},	//1074 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {36, 310, 1952, 2, Smoke::mf_static, 459, 516},	//1075 QGlobalSpace::operator*(double, const QPoint&)
    {36, 508, 706, 1, Smoke::mf_static, 391, 517},	//1076 QGlobalSpace::qIsNaN(double)
    {36, 363, 1955, 2, Smoke::mf_static, 88, 518},	//1077 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {36, 330, 1958, 2, Smoke::mf_static, 36, 519},	//1078 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {36, 330, 1961, 2, Smoke::mf_static, 36, 520},	//1079 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {36, 493, 1964, 1, Smoke::mf_static, 521, 521},	//1080 QGlobalSpace::qHash(short)
    {36, 497, 0, 0, Smoke::mf_static, 511, 522},	//1081 QGlobalSpace::qInf()
    {36, 330, 1966, 2, Smoke::mf_static, 36, 523},	//1082 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {36, 363, 1969, 2, Smoke::mf_static, 90, 524},	//1083 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {36, 330, 1972, 2, Smoke::mf_static, 32, 525},	//1084 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {36, 330, 1975, 2, Smoke::mf_static, 32, 526},	//1085 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {36, 310, 1978, 2, Smoke::mf_static, 465, 527},	//1086 QGlobalSpace::operator*(double, const QQuaternion&)
    {36, 314, 1981, 2, Smoke::mf_static, 403, 528},	//1087 QGlobalSpace::operator+(const QByteArray&, char)
    {36, 363, 1984, 2, Smoke::mf_static, 107, 529},	//1088 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {36, 330, 1987, 2, Smoke::mf_static, 36, 530},	//1089 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {36, 363, 1990, 2, Smoke::mf_static, 92, 531},	//1090 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {36, 363, 1993, 2, Smoke::mf_static, 60, 532},	//1091 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {36, 323, 1300, 2, Smoke::mf_static, 461, 533},	//1092 QGlobalSpace::operator/(const QPointF&, double)
    {36, 560, 209, 1, Smoke::mf_static, 21, 534},	//1093 QGlobalSpace::qUncompress(const QByteArray&)
    {36, 352, 1245, 2, Smoke::mf_static, 391, 535},	//1094 QGlobalSpace::operator>=(QChar, QChar)
    {36, 363, 1996, 2, Smoke::mf_static, 56, 536},	//1095 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {36, 334, 821, 2, Smoke::mf_static, 391, 537},	//1096 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {36, 548, 15, 1, Smoke::mf_static, 272, 538},	//1097 QGlobalSpace::qSetRealNumberPrecision(int)
    {36, 330, 1999, 2, Smoke::mf_static, 36, 539},	//1098 QGlobalSpace::operator<<(QDebug, const QObject*)
    {36, 551, 706, 1, Smoke::mf_static, 511, 540},	//1099 QGlobalSpace::qSin(double)
    {36, 390, 706, 1, Smoke::mf_static, 511, 541},	//1100 QGlobalSpace::qAsin(double)
    {36, 483, 1107, 2, Smoke::mf_static, 391, 542},	//1101 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {36, 587, 191, 2, Smoke::mf_static, 513, 543},	//1102 QGlobalSpace::qstricmp(const char*, const char*)
    {36, 363, 2002, 2, Smoke::mf_static, 79, 544},	//1103 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {36, 363, 2005, 2, Smoke::mf_static, 71, 545},	//1104 QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    {36, 330, 2008, 2, Smoke::mf_static, 36, 546},	//1105 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {36, 483, 2011, 2, Smoke::mf_static, 391, 547},	//1106 QGlobalSpace::qFuzzyCompare(float, float)
    {36, 357, 2014, 2, Smoke::mf_static, 32, 548},	//1107 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {36, 363, 2017, 2, Smoke::mf_static, 62, 549},	//1108 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {36, 334, 1602, 2, Smoke::mf_static, 391, 550},	//1109 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {36, 623, 2020, 4, Smoke::mf_static, 513, 551},	//1110 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {36, 363, 2025, 2, Smoke::mf_static, 84, 552},	//1111 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {36, 363, 2028, 2, Smoke::mf_static, 96, 553},	//1112 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {36, 330, 2031, 2, Smoke::mf_static, 32, 554},	//1113 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {36, 616, 0, 0, Smoke::mf_static, 0, 555},	//1114 QGlobalSpace::qt_noop()
    {36, 363, 2034, 2, Smoke::mf_static, 85, 556},	//1115 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {36, 347, 1173, 2, Smoke::mf_static, 391, 557},	//1116 QGlobalSpace::operator>(const char*, const QByteArray&)
    {36, 357, 2037, 2, Smoke::mf_static, 32, 558},	//1117 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {36, 544, 15, 1, Smoke::mf_static, 272, 559},	//1118 QGlobalSpace::qSetFieldWidth(int)
    {36, 363, 2040, 2, Smoke::mf_static, 106, 560},	//1119 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {36, 330, 2043, 2, Smoke::mf_static, 36, 561},	//1120 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {36, 330, 2046, 2, Smoke::mf_static, 32, 562},	//1121 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {36, 341, 1907, 2, Smoke::mf_static, 391, 563},	//1122 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {36, 302, 2049, 2, Smoke::mf_static, 391, 564},	//1123 QGlobalSpace::operator!=(bool, QBool)
    {36, 493, 19, 1, Smoke::mf_static, 521, 565},	//1124 QGlobalSpace::qHash(unsigned long)
    {36, 330, 2052, 2, Smoke::mf_static, 36, 566},	//1125 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {36, 363, 2055, 2, Smoke::mf_static, 173, 567},	//1126 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {36, 310, 2058, 2, Smoke::mf_static, 222, 568},	//1127 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {36, 302, 2061, 2, Smoke::mf_static, 391, 569},	//1128 QGlobalSpace::operator!=(QBool, bool)
    {36, 363, 2064, 2, Smoke::mf_static, 173, 570},	//1129 QGlobalSpace::operator|(Qt::WindowState, int)
    {36, 363, 2067, 2, Smoke::mf_static, 105, 571},	//1130 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {36, 319, 1563, 2, Smoke::mf_static, 459, 572},	//1131 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {36, 512, 706, 1, Smoke::mf_static, 511, 573},	//1132 QGlobalSpace::qLn(double)
    {36, 357, 2070, 2, Smoke::mf_static, 32, 574},	//1133 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {36, 357, 2073, 2, Smoke::mf_static, 32, 575},	//1134 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {36, 483, 927, 2, Smoke::mf_static, 391, 576},	//1135 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {36, 424, 1025, 9, Smoke::mf_static, 0, 577},	//1136 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {36, 424, 978, 6, Smoke::mf_static, 0, 578},	//1137 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {36, 424, 985, 7, Smoke::mf_static, 0, 579},	//1138 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 424, 1016, 8, Smoke::mf_static, 0, 580},	//1139 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {36, 589, 189, 1, Smoke::mf_static, 521, 581},	//1140 QGlobalSpace::qstrlen(const char*)
    {36, 314, 1067, 2, Smoke::mf_static, 403, 582},	//1141 QGlobalSpace::operator+(const QByteArray&, const char*)
    {36, 330, 2076, 2, Smoke::mf_static, 32, 583},	//1142 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {36, 302, 818, 2, Smoke::mf_static, 391, 584},	//1143 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {36, 334, 1173, 2, Smoke::mf_static, 391, 585},	//1144 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {36, 330, 2079, 2, Smoke::mf_static, 32, 586},	//1145 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {36, 363, 2082, 2, Smoke::mf_static, 118, 587},	//1146 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {36, 330, 2085, 2, Smoke::mf_static, 36, 588},	//1147 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {36, 363, 2088, 2, Smoke::mf_static, 173, 589},	//1148 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {36, 341, 1750, 2, Smoke::mf_static, 391, 590},	//1149 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {36, 363, 2091, 2, Smoke::mf_static, 87, 591},	//1150 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {36, 363, 2094, 2, Smoke::mf_static, 173, 592},	//1151 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    {36, 302, 1602, 2, Smoke::mf_static, 391, 593},	//1152 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {36, 363, 2097, 2, Smoke::mf_static, 111, 594},	//1153 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {36, 363, 2100, 2, Smoke::mf_static, 72, 595},	//1154 QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    {36, 330, 2103, 2, Smoke::mf_static, 32, 596},	//1155 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {36, 363, 2106, 2, Smoke::mf_static, 132, 597},	//1156 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {36, 363, 2109, 2, Smoke::mf_static, 59, 598},	//1157 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {36, 378, 0, 0, Smoke::mf_static, 13, 599},	//1158 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {36, 310, 2112, 2, Smoke::mf_static, 472, 600},	//1159 QGlobalSpace::operator*(const QSize&, double)
    {36, 310, 2115, 2, Smoke::mf_static, 287, 601},	//1160 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {36, 341, 2118, 2, Smoke::mf_static, 391, 602},	//1161 QGlobalSpace::operator==(QString::Null, const QString&)
    {36, 330, 2121, 2, Smoke::mf_static, 36, 603},	//1162 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {36, 363, 2124, 2, Smoke::mf_static, 62, 604},	//1163 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {36, 363, 2127, 2, Smoke::mf_static, 122, 605},	//1164 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {36, 357, 2130, 2, Smoke::mf_static, 32, 606},	//1165 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {36, 330, 2133, 2, Smoke::mf_static, 36, 607},	//1166 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {36, 341, 1067, 2, Smoke::mf_static, 391, 608},	//1167 QGlobalSpace::operator==(const QByteArray&, const char*)
    {36, 619, 2136, 5, Smoke::mf_static, 0, 609},	//1168 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {36, 357, 2142, 2, Smoke::mf_static, 32, 610},	//1169 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {36, 363, 2145, 2, Smoke::mf_static, 100, 611},	//1170 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {36, 347, 1164, 2, Smoke::mf_static, 391, 612},	//1171 QGlobalSpace::operator>(const char*, const QString&)
    {36, 330, 2148, 2, Smoke::mf_static, 32, 613},	//1172 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {36, 357, 2151, 2, Smoke::mf_static, 32, 614},	//1173 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {36, 357, 2154, 2, Smoke::mf_static, 32, 615},	//1174 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {36, 347, 1067, 2, Smoke::mf_static, 391, 616},	//1175 QGlobalSpace::operator>(const QByteArray&, const char*)
    {36, 325, 812, 2, Smoke::mf_static, 391, 617},	//1176 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {36, 363, 2157, 2, Smoke::mf_static, 173, 618},	//1177 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {36, 314, 1563, 2, Smoke::mf_static, 459, 619},	//1178 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {36, 330, 2160, 2, Smoke::mf_static, 32, 620},	//1179 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {36, 479, 1378, 1, Smoke::mf_static, 0, 621},	//1180 QGlobalSpace::qFree(void*)
    {36, 314, 1107, 2, Smoke::mf_static, 501, 622},	//1181 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {36, 334, 1245, 2, Smoke::mf_static, 391, 623},	//1182 QGlobalSpace::operator<=(QChar, QChar)
    {36, 330, 2163, 2, Smoke::mf_static, 269, 624},	//1183 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {36, 363, 2166, 2, Smoke::mf_static, 83, 625},	//1184 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {36, 330, 2169, 2, Smoke::mf_static, 32, 626},	//1185 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {36, 493, 17, 1, Smoke::mf_static, 521, 627},	//1186 QGlobalSpace::qHash(unsigned int)
    {36, 310, 2172, 2, Smoke::mf_static, 230, 628},	//1187 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {36, 302, 2118, 2, Smoke::mf_static, 391, 629},	//1188 QGlobalSpace::operator!=(QString::Null, const QString&)
    {36, 541, 706, 1, Smoke::mf_static, 515, 630},	//1189 QGlobalSpace::qRound64(double)
    {36, 310, 2175, 2, Smoke::mf_static, 220, 631},	//1190 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {36, 347, 1602, 2, Smoke::mf_static, 391, 632},	//1191 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {36, 330, 2178, 2, Smoke::mf_static, 36, 633},	//1192 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {36, 363, 2181, 2, Smoke::mf_static, 173, 634},	//1193 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {36, 330, 2184, 2, Smoke::mf_static, 32, 635},	//1194 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {36, 363, 2187, 2, Smoke::mf_static, 96, 636},	//1195 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {36, 516, 2190, 2, Smoke::mf_static, 528, 637},	//1196 QGlobalSpace::qMallocAligned(size_t, size_t)
    {36, 363, 2193, 2, Smoke::mf_static, 173, 638},	//1197 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {36, 363, 2196, 2, Smoke::mf_static, 173, 639},	//1198 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {36, 302, 1383, 2, Smoke::mf_static, 391, 640},	//1199 QGlobalSpace::operator!=(const QString&, QString::Null)
    {36, 403, 2199, 3, Smoke::mf_static, 21, 641},	//1200 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {36, 403, 2203, 2, Smoke::mf_static, 21, 642},	//1201 QGlobalSpace::qCompress(const unsigned char*, int)
    {36, 363, 2206, 2, Smoke::mf_static, 173, 643},	//1202 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {36, 330, 2209, 2, Smoke::mf_static, 36, 644},	//1203 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {36, 585, 189, 1, Smoke::mf_static, 393, 645},	//1204 QGlobalSpace::qstrdup(const char*)
    {36, 363, 2212, 2, Smoke::mf_static, 120, 646},	//1205 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {36, 330, 2215, 2, Smoke::mf_static, 32, 647},	//1206 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {36, 310, 2218, 2, Smoke::mf_static, 224, 648},	//1207 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {36, 363, 2221, 2, Smoke::mf_static, 173, 649},	//1208 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {36, 302, 927, 2, Smoke::mf_static, 391, 650},	//1209 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {36, 411, 0, 0, Smoke::mf_static, 36, 651},	//1210 QGlobalSpace::qDebug()
    {36, 319, 2224, 1, Smoke::mf_static, 459, 652},	//1211 QGlobalSpace::operator-(const QPoint&)
    {36, 357, 2226, 2, Smoke::mf_static, 32, 653},	//1212 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {36, 302, 779, 2, Smoke::mf_static, 391, 654},	//1213 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {36, 412, 2229, 4, Smoke::mf_static, 0, 655},	//1214 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {36, 363, 2234, 2, Smoke::mf_static, 69, 656},	//1215 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {36, 578, 1173, 2, Smoke::mf_static, 513, 657},	//1216 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {36, 363, 2237, 2, Smoke::mf_static, 68, 658},	//1217 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {36, 363, 2240, 2, Smoke::mf_static, 173, 659},	//1218 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {36, 558, 706, 1, Smoke::mf_static, 511, 660},	//1219 QGlobalSpace::qTan(double)
    {36, 357, 2243, 2, Smoke::mf_static, 32, 661},	//1220 QGlobalSpace::operator>>(QDataStream&, QString&)
    {36, 363, 2246, 2, Smoke::mf_static, 59, 662},	//1221 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {36, 341, 821, 2, Smoke::mf_static, 391, 663},	//1222 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {36, 363, 2249, 2, Smoke::mf_static, 60, 664},	//1223 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {36, 424, 2252, 7, Smoke::mf_static, 0, 665},	//1224 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {36, 424, 2260, 4, Smoke::mf_static, 0, 666},	//1225 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {36, 424, 2265, 5, Smoke::mf_static, 0, 667},	//1226 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {36, 424, 2271, 6, Smoke::mf_static, 0, 668},	//1227 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {36, 363, 2278, 2, Smoke::mf_static, 85, 669},	//1228 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {36, 310, 1107, 2, Smoke::mf_static, 501, 670},	//1229 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {36, 460, 1342, 5, Smoke::mf_static, 0, 671},	//1230 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {36, 460, 900, 3, Smoke::mf_static, 0, 672},	//1231 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {36, 460, 904, 4, Smoke::mf_static, 0, 673},	//1232 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {36, 330, 2281, 2, Smoke::mf_static, 32, 674},	//1233 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {36, 493, 15, 1, Smoke::mf_static, 521, 675},	//1234 QGlobalSpace::qHash(int)
    {36, 319, 1203, 2, Smoke::mf_static, 461, 676},	//1235 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {36, 325, 1602, 2, Smoke::mf_static, 391, 677},	//1236 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {36, 330, 2284, 2, Smoke::mf_static, 32, 678},	//1237 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {36, 357, 2287, 2, Smoke::mf_static, 269, 679},	//1238 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {36, 363, 2290, 2, Smoke::mf_static, 173, 680},	//1239 QGlobalSpace::operator|(QGLContext::BindOption, int)
    {36, 330, 2293, 2, Smoke::mf_static, 32, 681},	//1240 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {36, 357, 2296, 2, Smoke::mf_static, 32, 682},	//1241 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {36, 314, 1206, 2, Smoke::mf_static, 275, 683},	//1242 QGlobalSpace::operator+(const QTransform&, double)
    {36, 330, 2299, 2, Smoke::mf_static, 32, 684},	//1243 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {36, 363, 2302, 2, Smoke::mf_static, 97, 685},	//1244 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {36, 493, 2305, 1, Smoke::mf_static, 521, 686},	//1245 QGlobalSpace::qHash(const QItemSelectionRange&)
    {36, 363, 2307, 2, Smoke::mf_static, 128, 687},	//1246 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {36, 522, 1182, 2, Smoke::mf_static, 511, 688},	//1247 QGlobalSpace::qPow(double, double)
    {36, 341, 1398, 2, Smoke::mf_static, 391, 689},	//1248 QGlobalSpace::operator==(const QStringRef&, const char*)
    {36, 302, 1771, 2, Smoke::mf_static, 391, 690},	//1249 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {36, 357, 2310, 2, Smoke::mf_static, 32, 691},	//1250 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {36, 314, 821, 2, Smoke::mf_static, 403, 692},	//1251 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {36, 314, 2313, 2, Smoke::mf_static, 479, 693},	//1252 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {36, 555, 1119, 2, Smoke::mf_static, 391, 694},	//1253 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {36, 363, 2316, 2, Smoke::mf_static, 66, 695},	//1254 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {36, 310, 2319, 2, Smoke::mf_static, 218, 696},	//1255 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {36, 357, 2322, 2, Smoke::mf_static, 32, 697},	//1256 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {36, 363, 2325, 2, Smoke::mf_static, 173, 698},	//1257 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {36, 363, 2328, 2, Smoke::mf_static, 70, 699},	//1258 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {36, 363, 2331, 2, Smoke::mf_static, 81, 700},	//1259 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {36, 610, 2334, 2, Smoke::mf_static, 0, 701},	//1260 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {36, 363, 2337, 2, Smoke::mf_static, 173, 702},	//1261 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {36, 319, 2340, 1, Smoke::mf_static, 501, 703},	//1262 QGlobalSpace::operator-(const QVector3D&)
    {36, 363, 2342, 2, Smoke::mf_static, 99, 704},	//1263 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {36, 341, 1164, 2, Smoke::mf_static, 391, 705},	//1264 QGlobalSpace::operator==(const char*, const QString&)
    {36, 363, 2345, 2, Smoke::mf_static, 58, 706},	//1265 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {36, 330, 2348, 2, Smoke::mf_static, 36, 707},	//1266 QGlobalSpace::operator<<(QDebug, const QRect&)
    {36, 471, 706, 1, Smoke::mf_static, 511, 708},	//1267 QGlobalSpace::qFastCos(double)
    {36, 330, 2351, 2, Smoke::mf_static, 32, 709},	//1268 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {36, 330, 2354, 2, Smoke::mf_static, 32, 710},	//1269 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {36, 357, 2357, 2, Smoke::mf_static, 32, 711},	//1270 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {36, 363, 2360, 2, Smoke::mf_static, 173, 712},	//1271 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {36, 310, 2363, 2, Smoke::mf_static, 504, 713},	//1272 QGlobalSpace::operator*(double, const QVector4D&)
    {36, 323, 2112, 2, Smoke::mf_static, 472, 714},	//1273 QGlobalSpace::operator/(const QSize&, double)
    {36, 357, 2366, 2, Smoke::mf_static, 32, 715},	//1274 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {36, 357, 2369, 2, Smoke::mf_static, 32, 716},	//1275 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {36, 363, 2372, 2, Smoke::mf_static, 78, 717},	//1276 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {36, 357, 2375, 2, Smoke::mf_static, 32, 718},	//1277 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {36, 341, 2049, 2, Smoke::mf_static, 391, 719},	//1278 QGlobalSpace::operator==(bool, QBool)
    {36, 460, 969, 8, Smoke::mf_static, 0, 720},	//1279 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {36, 460, 978, 6, Smoke::mf_static, 0, 721},	//1280 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {36, 460, 985, 7, Smoke::mf_static, 0, 722},	//1281 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 363, 2378, 2, Smoke::mf_static, 130, 723},	//1282 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {36, 363, 2381, 2, Smoke::mf_static, 74, 724},	//1283 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    {36, 363, 2384, 2, Smoke::mf_static, 110, 725},	//1284 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {36, 363, 2387, 2, Smoke::mf_static, 173, 726},	//1285 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {36, 310, 2390, 2, Smoke::mf_static, 218, 727},	//1286 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {36, 363, 2393, 2, Smoke::mf_static, 173, 728},	//1287 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {36, 363, 2396, 2, Smoke::mf_static, 173, 729},	//1288 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {36, 319, 927, 2, Smoke::mf_static, 465, 730},	//1289 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {36, 363, 2399, 2, Smoke::mf_static, 103, 731},	//1290 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {36, 319, 1107, 2, Smoke::mf_static, 501, 732},	//1291 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {36, 357, 2402, 2, Smoke::mf_static, 32, 733},	//1292 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {36, 363, 2405, 2, Smoke::mf_static, 173, 734},	//1293 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {36, 352, 1164, 2, Smoke::mf_static, 391, 735},	//1294 QGlobalSpace::operator>=(const char*, const QString&)
    {36, 377, 0, 0, Smoke::mf_static, 13, 736},	//1295 QGlobalSpace::qAccessibleActionCastHelper()
    {36, 493, 2408, 1, Smoke::mf_static, 521, 737},	//1296 QGlobalSpace::qHash(char)
    {36, 330, 2410, 2, Smoke::mf_static, 32, 738},	//1297 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {36, 397, 17, 1, Smoke::mf_static, 513, 739},	//1298 QGlobalSpace::qBlue(unsigned int)
    {36, 363, 2413, 2, Smoke::mf_static, 173, 740},	//1299 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {36, 357, 2416, 2, Smoke::mf_static, 32, 741},	//1300 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {36, 302, 1203, 2, Smoke::mf_static, 391, 742},	//1301 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {36, 363, 2419, 2, Smoke::mf_static, 109, 743},	//1302 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {36, 502, 706, 1, Smoke::mf_static, 391, 744},	//1303 QGlobalSpace::qIsFinite(double)
    {36, 363, 2422, 2, Smoke::mf_static, 121, 745},	//1304 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {36, 319, 756, 2, Smoke::mf_static, 472, 746},	//1305 QGlobalSpace::operator-(const QSize&, const QSize&)
    {36, 330, 2425, 2, Smoke::mf_static, 36, 747},	//1306 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {36, 543, 0, 0, Smoke::mf_static, 511, 748},	//1307 QGlobalSpace::qSNaN()
    {36, 363, 2428, 2, Smoke::mf_static, 100, 749},	//1308 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {36, 330, 2431, 2, Smoke::mf_static, 32, 750},	//1309 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {36, 486, 1044, 1, Smoke::mf_static, 391, 751},	//1310 QGlobalSpace::qFuzzyIsNull(float)
    {36, 363, 2434, 2, Smoke::mf_static, 119, 752},	//1311 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {36, 363, 2437, 2, Smoke::mf_static, 173, 753},	//1312 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {36, 560, 2203, 2, Smoke::mf_static, 21, 754},	//1313 QGlobalSpace::qUncompress(const unsigned char*, int)
    {36, 363, 2440, 2, Smoke::mf_static, 119, 755},	//1314 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {36, 363, 2443, 2, Smoke::mf_static, 76, 756},	//1315 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {36, 363, 2446, 2, Smoke::mf_static, 173, 757},	//1316 QGlobalSpace::operator|(Qt::Orientation, int)
    {36, 473, 706, 1, Smoke::mf_static, 511, 758},	//1317 QGlobalSpace::qFastSin(double)
    {36, 302, 812, 2, Smoke::mf_static, 391, 759},	//1318 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {36, 363, 2449, 2, Smoke::mf_static, 83, 760},	//1319 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {36, 330, 2452, 2, Smoke::mf_static, 32, 761},	//1320 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {36, 330, 2455, 2, Smoke::mf_static, 36, 762},	//1321 QGlobalSpace::operator<<(QDebug, const QDir&)
    {36, 314, 1203, 2, Smoke::mf_static, 461, 763},	//1322 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {36, 310, 2458, 2, Smoke::mf_static, 230, 764},	//1323 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {36, 341, 2061, 2, Smoke::mf_static, 391, 765},	//1324 QGlobalSpace::operator==(QBool, bool)
    {36, 341, 753, 2, Smoke::mf_static, 391, 766},	//1325 QGlobalSpace::operator==(const QRect&, const QRect&)
    {36, 330, 2461, 2, Smoke::mf_static, 36, 767},	//1326 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {36, 599, 232, 2, Smoke::mf_static, 241, 768},	//1327 QGlobalSpace::qtTrId(const char*, int)
    {36, 599, 189, 1, Smoke::mf_static, 241, 769},	//1328 QGlobalSpace::qtTrId(const char*)
    {36, 357, 2464, 2, Smoke::mf_static, 32, 770},	//1329 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {36, 363, 2467, 2, Smoke::mf_static, 86, 771},	//1330 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {36, 363, 2470, 2, Smoke::mf_static, 173, 772},	//1331 QGlobalSpace::operator|(QTextOption::Flag, int)
    {36, 314, 2473, 2, Smoke::mf_static, 479, 773},	//1332 QGlobalSpace::operator+(const QString&, QChar)
    {36, 396, 0, 0, Smoke::mf_static, 0, 774},	//1333 QGlobalSpace::qBadAlloc()
    {36, 302, 864, 2, Smoke::mf_static, 391, 775},	//1334 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {36, 537, 2476, 4, Smoke::mf_static, 521, 776},	//1335 QGlobalSpace::qRgba(int, int, int, int)
    {36, 363, 2481, 2, Smoke::mf_static, 127, 777},	//1336 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {36, 363, 2484, 2, Smoke::mf_static, 103, 778},	//1337 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {36, 363, 2487, 2, Smoke::mf_static, 88, 779},	//1338 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {36, 302, 844, 2, Smoke::mf_static, 391, 780},	//1339 QGlobalSpace::operator!=(QBool, QBool)
    {36, 330, 1650, 2, Smoke::mf_static, 269, 781},	//1340 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {36, 514, 2490, 1, Smoke::mf_static, 528, 782},	//1341 QGlobalSpace::qMalloc(size_t)
    {36, 330, 2492, 2, Smoke::mf_static, 36, 783},	//1342 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {36, 341, 1824, 2, Smoke::mf_static, 391, 784},	//1343 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {36, 319, 1206, 2, Smoke::mf_static, 275, 785},	//1344 QGlobalSpace::operator-(const QTransform&, double)
    {36, 363, 2495, 2, Smoke::mf_static, 87, 786},	//1345 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {36, 330, 2498, 2, Smoke::mf_static, 32, 787},	//1346 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {36, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 514, 788},	//1347 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {36, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 514, 789},	//1348 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {36, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 514, 790},	//1349 QGlobalSpace::Q_STATIC_TYPE (enum)
    {36, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 514, 791},	//1350 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {36, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 514, 792},	//1351 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {36, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 793},	//1352 QGlobalSpace::LicensedOpenGL (enum)
    {36, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 386, 794},	//1353 QGlobalSpace::LicensedSvg (enum)
    {36, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 795},	//1354 QGlobalSpace::LicensedOpenVG (enum)
    {36, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 796},	//1355 QGlobalSpace::LicensedScript (enum)
    {36, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 797},	//1356 QGlobalSpace::LicensedQt3SupportLight (enum)
    {36, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 798},	//1357 QGlobalSpace::QtDebugMsg (enum)
    {36, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 799},	//1358 QGlobalSpace::QtWarningMsg (enum)
    {36, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 800},	//1359 QGlobalSpace::QtCriticalMsg (enum)
    {36, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 801},	//1360 QGlobalSpace::QtFatalMsg (enum)
    {36, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 802},	//1361 QGlobalSpace::QtSystemMsg (enum)
    {36, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 803},	//1362 QGlobalSpace::LicensedGui (enum)
    {36, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 389, 804},	//1363 QGlobalSpace::LicensedXmlPatterns (enum)
    {36, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 385, 805},	//1364 QGlobalSpace::LicensedSql (enum)
    {36, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 806},	//1365 QGlobalSpace::LicensedActiveQt (enum)
    {36, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 382, 807},	//1366 QGlobalSpace::LicensedQt3Support (enum)
    {36, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 808},	//1367 QGlobalSpace::LicensedDBus (enum)
    {36, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 809},	//1368 QGlobalSpace::LicensedCore (enum)
    {36, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 810},	//1369 QGlobalSpace::LicensedNetwork (enum)
    {36, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 811},	//1370 QGlobalSpace::LicensedMultimedia (enum)
    {36, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 812},	//1371 QGlobalSpace::LicensedTest (enum)
    {36, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 813},	//1372 QGlobalSpace::LicensedScriptTools (enum)
    {36, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 814},	//1373 QGlobalSpace::LicensedHelp (enum)
    {36, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 388, 815},	//1374 QGlobalSpace::LicensedXml (enum)
    {36, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 816},	//1375 QGlobalSpace::LicensedDeclarative (enum)
    {60, 227, 639, 1, Smoke::mf_virtual, 391, 0},	//1376 QObject::event(QEvent*)
    {60, 229, 2501, 2, Smoke::mf_virtual, 391, 0},	//1377 QObject::eventFilter(QObject*, QEvent*)
    {60, 796, 2504, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1378 QObject::timerEvent(QTimerEvent*)
    {60, 173, 2506, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1379 QObject::childEvent(QChildEvent*)
    {60, 195, 639, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1380 QObject::customEvent(QEvent*)
    {60, 186, 189, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1381 QObject::connectNotify(const char*)
    {60, 209, 189, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1382 QObject::disconnectNotify(const char*)
    {111, 203, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 513, 0},	//1383 QWidget::devType() const
    {111, 773, 67, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1384 QWidget::setVisible(bool)
    {111, 781, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 234, 0},	//1385 QWidget::sizeHint() const
    {111, 294, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 234, 0},	//1386 QWidget::minimumSizeHint() const
    {111, 267, 15, 1, Smoke::mf_const|Smoke::mf_virtual, 513, 0},	//1387 QWidget::heightForWidth(int) const
    {111, 298, 2508, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1388 QWidget::mousePressEvent(QMouseEvent*)
    {111, 299, 2508, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1389 QWidget::mouseReleaseEvent(QMouseEvent*)
    {111, 296, 2508, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1390 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {111, 297, 2508, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1391 QWidget::mouseMoveEvent(QMouseEvent*)
    {111, 816, 2510, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1392 QWidget::wheelEvent(QWheelEvent*)
    {111, 281, 2512, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1393 QWidget::keyPressEvent(QKeyEvent*)
    {111, 282, 2512, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1394 QWidget::keyReleaseEvent(QKeyEvent*)
    {111, 234, 2514, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1395 QWidget::focusInEvent(QFocusEvent*)
    {111, 236, 2514, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1396 QWidget::focusOutEvent(QFocusEvent*)
    {111, 222, 639, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1397 QWidget::enterEvent(QEvent*)
    {111, 284, 639, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1398 QWidget::leaveEvent(QEvent*)
    {111, 300, 2516, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1399 QWidget::moveEvent(QMoveEvent*)
    {111, 177, 2518, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1400 QWidget::closeEvent(QCloseEvent*)
    {111, 188, 2520, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1401 QWidget::contextMenuEvent(QContextMenuEvent*)
    {111, 790, 2522, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1402 QWidget::tabletEvent(QTabletEvent*)
    {111, 137, 2524, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1403 QWidget::actionEvent(QActionEvent*)
    {111, 212, 2526, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1404 QWidget::dragEnterEvent(QDragEnterEvent*)
    {111, 214, 2528, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1405 QWidget::dragMoveEvent(QDragMoveEvent*)
    {111, 213, 2530, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1406 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {111, 218, 2532, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1407 QWidget::dropEvent(QDropEvent*)
    {111, 779, 2534, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1408 QWidget::showEvent(QShowEvent*)
    {111, 268, 2536, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1409 QWidget::hideEvent(QHideEvent*)
    {111, 819, 2538, 1, Smoke::mf_protected|Smoke::mf_virtual, 391, 0},	//1410 QWidget::x11Event(_XEvent*)
    {111, 172, 639, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1411 QWidget::changeEvent(QEvent*)
    {111, 292, 136, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 513, 0},	//1412 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {111, 272, 2540, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1413 QWidget::inputMethodEvent(QInputMethodEvent*)
    {111, 273, 2542, 1, Smoke::mf_const|Smoke::mf_virtual, 282, 0},	//1414 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {111, 235, 67, 1, Smoke::mf_protected|Smoke::mf_virtual, 391, 0},	//1415 QWidget::focusNextPrevChild(bool)
    {111, 787, 2544, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1416 QWidget::styleChange(QStyle&)
    {111, 221, 67, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1417 QWidget::enabledChange(bool)
    {111, 373, 2546, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1418 QWidget::paletteChange(const QPalette&)
    {111, 237, 687, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1419 QWidget::fontChange(const QFont&)
    {111, 817, 67, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1420 QWidget::windowActivationChange(bool)
    {111, 283, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1421 QWidget::languageChange()
    {111, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 40},	//1422 QWidget::DrawWindowBackground (enum)
    {111, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 41},	//1423 QWidget::DrawChildren (enum)
    {111, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 42},	//1424 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    81,  // QGLContext::bindTexture(const QImage&)
    83,  // QGLContext::bindTexture(const QPixmap&)
    0,
    82,  // QGLContext::bindTexture(const QImage&, GLenum)
    84,  // QGLContext::bindTexture(const QPixmap&, GLenum)
    0,
    56,  // QGLContext::bindTexture(const QImage&, GLenum, GLint)
    57,  // QGLContext::bindTexture(const QPixmap&, GLenum, GLint)
    0,
    54,  // QGLContext::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    55,  // QGLContext::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    0,
    85,  // QGLContext::drawTexture(const QRectF&, GLuint)
    86,  // QGLContext::drawTexture(const QPointF&, GLuint)
    0,
    60,  // QGLContext::drawTexture(const QRectF&, GLuint, GLenum)
    61,  // QGLContext::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    213,  // QGLFramebufferObject::drawTexture(const QRectF&, GLuint)
    214,  // QGLFramebufferObject::drawTexture(const QPointF&, GLuint)
    0,
    201,  // QGLFramebufferObject::drawTexture(const QRectF&, GLuint, GLenum)
    202,  // QGLFramebufferObject::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    274,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    289,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    0,
    277,  // QGLShader::compileSourceCode(const char*)
    279,  // QGLShader::compileSourceCode(const QString&)
    0,
    303,  // QGLShaderProgram::QGLShaderProgram(QObject*)
    457,  // QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    0,
    308,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    310,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    0,
    329,  // QGLShaderProgram::attributeLocation(const char*) const
    331,  // QGLShaderProgram::attributeLocation(const QString&) const
    0,
    326,  // QGLShaderProgram::bindAttributeLocation(const char*, int)
    328,  // QGLShaderProgram::bindAttributeLocation(const QString&, int)
    0,
    364,  // QGLShaderProgram::disableAttributeArray(int)
    365,  // QGLShaderProgram::disableAttributeArray(const char*)
    0,
    362,  // QGLShaderProgram::enableAttributeArray(int)
    363,  // QGLShaderProgram::enableAttributeArray(const char*)
    0,
    459,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    460,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    461,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    464,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    465,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    466,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    0,
    351,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    352,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    353,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    356,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    357,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    358,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    0,
    458,  // QGLShaderProgram::setAttributeArray(int, const GLfloat*, int)
    463,  // QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int)
    0,
    350,  // QGLShaderProgram::setAttributeArray(int, const GLfloat*, int, int)
    355,  // QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int, int)
    462,  // QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int)
    467,  // QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int)
    0,
    354,  // QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int, int)
    359,  // QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int, int)
    0,
    468,  // QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int)
    469,  // QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int)
    0,
    360,  // QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int, int)
    361,  // QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int, int)
    0,
    336,  // QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    337,  // QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    338,  // QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    339,  // QGLShaderProgram::setAttributeValue(int, const QColor&)
    345,  // QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    346,  // QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    347,  // QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    348,  // QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    0,
    332,  // QGLShaderProgram::setAttributeValue(int, GLfloat)
    341,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat)
    0,
    340,  // QGLShaderProgram::setAttributeValue(int, const GLfloat*, int, int)
    349,  // QGLShaderProgram::setAttributeValue(const char*, const GLfloat*, int, int)
    0,
    333,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat)
    342,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat)
    0,
    334,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat)
    343,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat)
    0,
    335,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    344,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    0,
    375,  // QGLShaderProgram::setUniformValue(int, const QVector2D&)
    376,  // QGLShaderProgram::setUniformValue(int, const QVector3D&)
    377,  // QGLShaderProgram::setUniformValue(int, const QVector4D&)
    378,  // QGLShaderProgram::setUniformValue(int, const QColor&)
    379,  // QGLShaderProgram::setUniformValue(int, const QPoint&)
    380,  // QGLShaderProgram::setUniformValue(int, const QPointF&)
    381,  // QGLShaderProgram::setUniformValue(int, const QSize&)
    382,  // QGLShaderProgram::setUniformValue(int, const QSizeF&)
    391,  // QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    395,  // QGLShaderProgram::setUniformValue(int, const QTransform&)
    402,  // QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    403,  // QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    404,  // QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    405,  // QGLShaderProgram::setUniformValue(const char*, const QColor&)
    406,  // QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    407,  // QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    408,  // QGLShaderProgram::setUniformValue(const char*, const QSize&)
    409,  // QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    418,  // QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    422,  // QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    0,
    369,  // QGLShaderProgram::setUniformValue(int, GLfloat)
    370,  // QGLShaderProgram::setUniformValue(int, GLint)
    371,  // QGLShaderProgram::setUniformValue(int, GLuint)
    383,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    384,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    385,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    386,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    387,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    388,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    389,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    390,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    392,  // QGLShaderProgram::setUniformValue(int, const GLfloat[2][2])
    393,  // QGLShaderProgram::setUniformValue(int, const GLfloat[3][3])
    394,  // QGLShaderProgram::setUniformValue(int, const GLfloat[4][4])
    396,  // QGLShaderProgram::setUniformValue(const char*, GLfloat)
    397,  // QGLShaderProgram::setUniformValue(const char*, GLint)
    398,  // QGLShaderProgram::setUniformValue(const char*, GLuint)
    410,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    411,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    412,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    413,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    414,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    415,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    416,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    417,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    419,  // QGLShaderProgram::setUniformValue(const char*, const GLfloat[2][2])
    420,  // QGLShaderProgram::setUniformValue(const char*, const GLfloat[3][3])
    421,  // QGLShaderProgram::setUniformValue(const char*, const GLfloat[4][4])
    0,
    372,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat)
    399,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat)
    0,
    373,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat)
    400,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat)
    0,
    374,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    401,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    0,
    426,  // QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    427,  // QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    428,  // QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    437,  // QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    441,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    442,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    443,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    452,  // QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    0,
    424,  // QGLShaderProgram::setUniformValueArray(int, const GLint*, int)
    425,  // QGLShaderProgram::setUniformValueArray(int, const GLuint*, int)
    429,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    430,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    431,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    432,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    433,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    434,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    435,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    436,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    439,  // QGLShaderProgram::setUniformValueArray(const char*, const GLint*, int)
    440,  // QGLShaderProgram::setUniformValueArray(const char*, const GLuint*, int)
    444,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    445,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    446,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    447,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    448,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    449,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    450,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    451,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    0,
    423,  // QGLShaderProgram::setUniformValueArray(int, const GLfloat*, int, int)
    438,  // QGLShaderProgram::setUniformValueArray(const char*, const GLfloat*, int, int)
    0,
    366,  // QGLShaderProgram::uniformLocation(const char*) const
    368,  // QGLShaderProgram::uniformLocation(const QString&) const
    0,
    262,  // QGLPixelBuffer::bindTexture(const QImage&)
    263,  // QGLPixelBuffer::bindTexture(const QPixmap&)
    0,
    244,  // QGLPixelBuffer::bindTexture(const QImage&, GLenum)
    245,  // QGLPixelBuffer::bindTexture(const QPixmap&, GLenum)
    0,
    264,  // QGLPixelBuffer::drawTexture(const QRectF&, GLuint)
    265,  // QGLPixelBuffer::drawTexture(const QPointF&, GLuint)
    0,
    248,  // QGLPixelBuffer::drawTexture(const QRectF&, GLuint, GLenum)
    249,  // QGLPixelBuffer::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    533,  // QGLWidget::QGLWidget(QWidget*)
    535,  // QGLWidget::QGLWidget(QGLContext*)
    538,  // QGLWidget::QGLWidget(const QGLFormat&)
    0,
    534,  // QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    536,  // QGLWidget::QGLWidget(QGLContext*, QWidget*)
    539,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    0,
    537,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    540,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    0,
    481,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    482,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    0,
    551,  // QGLWidget::bindTexture(const QImage&)
    553,  // QGLWidget::bindTexture(const QPixmap&)
    0,
    552,  // QGLWidget::bindTexture(const QImage&, GLenum)
    554,  // QGLWidget::bindTexture(const QPixmap&, GLenum)
    0,
    508,  // QGLWidget::bindTexture(const QImage&, GLenum, GLint)
    509,  // QGLWidget::bindTexture(const QPixmap&, GLenum, GLint)
    0,
    506,  // QGLWidget::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    507,  // QGLWidget::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    0,
    555,  // QGLWidget::drawTexture(const QRectF&, GLuint)
    556,  // QGLWidget::drawTexture(const QPointF&, GLuint)
    0,
    512,  // QGLWidget::drawTexture(const QRectF&, GLuint, GLenum)
    513,  // QGLWidget::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    572,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    584,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    621,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    710,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    756,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    808,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    878,  // QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    895,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    899,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    961,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    1015,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    1034,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    1035,  // QGlobalSpace::operator!=(QChar, QChar)
    1056,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    1143,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    1152,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    1209,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    1213,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    1301,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    1334,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    1339,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    928,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    979,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    1013,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    1128,  // QGlobalSpace::operator!=(QBool, bool)
    1188,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    932,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    980,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    1123,  // QGlobalSpace::operator!=(bool, QBool)
    1199,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    1249,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1318,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    596,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    598,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    649,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    651,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    659,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    700,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    705,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    707,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    766,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    778,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    806,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    823,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    854,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    869,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    882,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    891,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    938,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    1003,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    1014,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1068,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    1127,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1160,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    1187,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    1190,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    1207,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    1229,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    1255,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    1286,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    1323,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    567,  // QGlobalSpace::operator*(const QPoint&, double)
    604,  // QGlobalSpace::operator*(const QSizeF&, double)
    622,  // QGlobalSpace::operator*(const QQuaternion&, double)
    752,  // QGlobalSpace::operator*(const QVector2D&, double)
    757,  // QGlobalSpace::operator*(const QVector4D&, double)
    787,  // QGlobalSpace::operator*(const QPointF&, double)
    820,  // QGlobalSpace::operator*(const QVector3D&, double)
    917,  // QGlobalSpace::operator*(const QTransform&, double)
    975,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    1159,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    570,  // QGlobalSpace::operator*(double, const QPointF&)
    574,  // QGlobalSpace::operator*(double, const QSizeF&)
    1006,  // QGlobalSpace::operator*(double, const QVector2D&)
    1020,  // QGlobalSpace::operator*(double, const QVector3D&)
    1037,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    1057,  // QGlobalSpace::operator*(double, const QSize&)
    1075,  // QGlobalSpace::operator*(double, const QPoint&)
    1086,  // QGlobalSpace::operator*(double, const QQuaternion&)
    1272,  // QGlobalSpace::operator*(double, const QVector4D&)
    0,
    585,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    668,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    703,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    731,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    776,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    799,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    1178,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    1181,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    1251,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    1322,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    638,  // QGlobalSpace::operator+(QChar, const QString&)
    851,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    1087,  // QGlobalSpace::operator+(const QByteArray&, char)
    1141,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    1242,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    727,  // QGlobalSpace::operator+(char, const QByteArray&)
    993,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    1252,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    1332,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    714,  // QGlobalSpace::operator+(const QString&, const char*)
    730,  // QGlobalSpace::operator+(const char*, const QString&)
    859,  // QGlobalSpace::operator+(const QString&, char)
    971,  // QGlobalSpace::operator+(const QString&, const QString&)
    1031,  // QGlobalSpace::operator+(char, const QString&)
    0,
    616,  // QGlobalSpace::operator-(const QQuaternion&)
    641,  // QGlobalSpace::operator-(const QVector2D&)
    846,  // QGlobalSpace::operator-(const QPointF&)
    955,  // QGlobalSpace::operator-(const QVector4D&)
    1004,  // QGlobalSpace::operator-(const QMatrix4x4&)
    1211,  // QGlobalSpace::operator-(const QPoint&)
    1262,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    591,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    595,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    613,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    817,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    1131,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    1235,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    1289,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    1291,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    1305,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    728,  // QGlobalSpace::operator/(const QPoint&, double)
    747,  // QGlobalSpace::operator/(const QTransform&, double)
    765,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    819,  // QGlobalSpace::operator/(const QSizeF&, double)
    937,  // QGlobalSpace::operator/(const QVector4D&, double)
    942,  // QGlobalSpace::operator/(const QQuaternion&, double)
    965,  // QGlobalSpace::operator/(const QVector2D&, double)
    1032,  // QGlobalSpace::operator/(const QVector3D&, double)
    1092,  // QGlobalSpace::operator/(const QPointF&, double)
    1273,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    761,  // QGlobalSpace::operator<(QChar, QChar)
    831,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    920,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    1236,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    884,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    1176,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    569,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    573,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    577,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    579,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    582,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    587,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    589,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    605,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    631,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    632,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    633,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    647,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    648,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    652,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    653,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    667,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    673,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    691,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    697,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    712,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    715,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    717,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    719,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    723,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    743,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    748,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    760,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    767,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    802,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    829,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    849,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    853,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    856,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    870,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    874,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    880,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    898,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    916,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    921,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    929,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    945,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    949,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    953,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    956,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    1012,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    1017,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    1018,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    1022,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    1029,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    1030,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    1046,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    1053,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    1063,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    1069,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    1078,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    1079,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    1082,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    1084,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    1085,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    1089,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    1098,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    1105,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    1113,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1121,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1125,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    1142,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1145,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    1147,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    1155,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1162,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    1166,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    1172,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    1179,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1183,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    1185,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    1192,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    1194,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    1206,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    1237,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    1240,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    1243,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    1266,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    1268,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    1297,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    1306,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    1309,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    1320,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    1321,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    1326,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    1340,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    1342,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    1346,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    619,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    716,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    733,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    777,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    925,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    981,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    1120,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    1203,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    1233,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1269,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    997,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1096,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    1109,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    1182,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    988,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    1144,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    566,  // QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    602,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    615,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    623,  // QGlobalSpace::operator==(QBool, QBool)
    630,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    709,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    746,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    763,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    793,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    867,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    909,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    962,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    990,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    1010,  // QGlobalSpace::operator==(QChar, QChar)
    1028,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    1040,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    1049,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    1055,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1122,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    1222,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1325,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    1343,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    903,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    1058,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    1161,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1167,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1248,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1324,  // QGlobalSpace::operator==(QBool, bool)
    0,
    734,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    804,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    828,  // QGlobalSpace::operator==(const QString&, QString::Null)
    983,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    992,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    1149,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    1278,  // QGlobalSpace::operator==(bool, QBool)
    0,
    824,  // QGlobalSpace::operator>(QChar, QChar)
    936,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    986,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    1191,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    608,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    1116,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    614,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    860,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    908,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    1094,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    768,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    825,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    578,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    634,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    684,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    689,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    711,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    722,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    729,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    736,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    741,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    742,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    744,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    780,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    785,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    816,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    822,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    835,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    875,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    915,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    930,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    940,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    944,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    952,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    954,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    959,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    967,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    985,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    994,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    998,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    1025,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    1050,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1052,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    1067,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    1107,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1117,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1133,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    1165,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    1169,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    1173,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    1174,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    1212,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    1238,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    1241,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1250,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    1256,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1270,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    1274,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    1275,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1277,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    1292,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    1300,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    1329,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    1009,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    1220,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    563,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    565,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    571,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    575,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    576,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    580,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    581,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    588,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    592,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    594,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    597,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    601,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    603,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    606,  // QGlobalSpace::operator|(QDir::Filter, int)
    612,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    617,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    618,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    624,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    625,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    626,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    627,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    629,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    636,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    637,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    640,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    646,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    650,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    655,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    658,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    665,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    672,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    674,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    675,  // QGlobalSpace::operator|(Qt::DropAction, int)
    683,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    687,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    688,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    690,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    692,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    693,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    695,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    696,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    698,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    699,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    702,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    706,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    708,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    713,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    718,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    720,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    721,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    724,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    725,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    726,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    732,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    735,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    740,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    745,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    749,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    750,  // QGlobalSpace::operator|(QGL::FormatOption, int)
    753,  // QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    754,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    755,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    758,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    759,  // QGlobalSpace::operator|(QFile::Permission, int)
    769,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    772,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    773,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    774,  // QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    775,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    781,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    782,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    783,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    784,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    786,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    789,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    790,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    800,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    805,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    807,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    812,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    813,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    814,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    815,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    818,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    821,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    827,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    832,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    834,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    843,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    844,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    845,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    848,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    852,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    855,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    857,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    861,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    863,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    873,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    879,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    881,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    883,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    888,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    890,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    892,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    893,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    896,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    900,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    901,  // QGlobalSpace::operator|(Qt::WindowType, int)
    902,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    913,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    914,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    918,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    919,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    922,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    924,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    926,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    927,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    931,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    933,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    935,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    939,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    941,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    943,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    946,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    948,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    951,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    958,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    966,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    969,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    970,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    972,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    974,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    982,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    984,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    989,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    995,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    996,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    999,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    1000,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    1002,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    1005,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    1007,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    1008,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    1011,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    1019,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    1023,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    1026,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    1027,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    1033,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    1036,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    1039,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    1044,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    1045,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    1047,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    1048,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    1051,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    1054,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    1059,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    1061,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    1062,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    1065,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    1071,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    1077,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    1083,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    1088,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    1090,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    1091,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    1095,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    1103,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    1104,  // QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    1108,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    1111,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    1112,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    1115,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    1119,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    1126,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    1129,  // QGlobalSpace::operator|(Qt::WindowState, int)
    1130,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    1146,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    1148,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    1150,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    1151,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    1153,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    1154,  // QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    1156,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    1157,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    1163,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    1164,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    1170,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    1177,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    1184,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    1193,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    1195,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    1197,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    1198,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    1202,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    1205,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    1208,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    1215,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    1217,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    1218,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    1221,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    1223,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    1228,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    1239,  // QGlobalSpace::operator|(QGLContext::BindOption, int)
    1244,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    1246,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    1254,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    1257,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    1258,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    1259,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    1261,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    1263,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    1265,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    1271,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    1276,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1282,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    1283,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    1284,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    1285,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    1287,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    1288,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    1290,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    1293,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    1299,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    1302,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    1304,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    1308,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    1311,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    1312,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    1314,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    1315,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    1316,  // QGlobalSpace::operator|(Qt::Orientation, int)
    1319,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    1330,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    1331,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    1336,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    1337,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    1338,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    1345,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    600,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    607,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    764,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    1042,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    1070,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    1101,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    1135,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    0,
    738,  // QGlobalSpace::qFuzzyCompare(double, double)
    1106,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    868,  // QGlobalSpace::qFuzzyIsNull(double)
    1310,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    562,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    628,  // QGlobalSpace::qHash(const QStringRef&)
    654,  // QGlobalSpace::qHash(const QBitArray&)
    771,  // QGlobalSpace::qHash(const QByteArray&)
    862,  // QGlobalSpace::qHash(QChar)
    957,  // QGlobalSpace::qHash(const QUrl&)
    1060,  // QGlobalSpace::qHash(const QModelIndex&)
    1245,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    0,
    593,  // QGlobalSpace::qHash(unsigned char)
    661,  // QGlobalSpace::qHash(const QString&)
    662,  // QGlobalSpace::qHash(unsigned short)
    664,  // QGlobalSpace::qHash(long)
    1016,  // QGlobalSpace::qHash(signed char)
    1080,  // QGlobalSpace::qHash(short)
    1124,  // QGlobalSpace::qHash(unsigned long)
    1186,  // QGlobalSpace::qHash(unsigned int)
    1234,  // QGlobalSpace::qHash(int)
    1296,  // QGlobalSpace::qHash(char)
    0,
    666,  // QGlobalSpace::qHash(long long)
    850,  // QGlobalSpace::qHash(unsigned long long)
    0,
    830,  // QGlobalSpace::qIntCast(float)
    910,  // QGlobalSpace::qIntCast(double)
    0,
    960,  // QGlobalSpace::qIsFinite(float)
    1303,  // QGlobalSpace::qIsFinite(double)
    0,
    568,  // QGlobalSpace::qIsInf(double)
    686,  // QGlobalSpace::qIsInf(float)
    0,
    737,  // QGlobalSpace::qIsNaN(float)
    1076,  // QGlobalSpace::qIsNaN(double)
    0,
    739,  // QGlobalSpace::qIsNull(float)
    904,  // QGlobalSpace::qIsNull(double)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 1, 6},	// QGL::AccumBuffer
    {26, 2, 5},	// QGL::AlphaChannel
    {26, 4, 15},	// QGL::ColorIndex
    {26, 9, 12},	// QGL::DeprecatedFunctions
    {26, 11, 3},	// QGL::DepthBuffer
    {26, 12, 9},	// QGL::DirectRendering
    {26, 13, 2},	// QGL::DoubleBuffer
    {26, 18, 10},	// QGL::HasOverlay
    {26, 20, 20},	// QGL::IndirectRendering
    {26, 45, 17},	// QGL::NoAccumBuffer
    {26, 46, 16},	// QGL::NoAlphaChannel
    {26, 49, 23},	// QGL::NoDeprecatedFunctions
    {26, 50, 14},	// QGL::NoDepthBuffer
    {26, 51, 21},	// QGL::NoOverlay
    {26, 53, 22},	// QGL::NoSampleBuffers
    {26, 54, 18},	// QGL::NoStencilBuffer
    {26, 55, 19},	// QGL::NoStereoBuffers
    {26, 129, 4},	// QGL::Rgba
    {26, 130, 11},	// QGL::SampleBuffers
    {26, 131, 13},	// QGL::SingleBuffer
    {26, 132, 7},	// QGL::StencilBuffer
    {26, 133, 8},	// QGL::StereoBuffers
    {26, 736, 1},	// QGL::setPreferredPaintEngine$
    {27, 75, 24},	// QGLColormap::QGLColormap
    {27, 76, 25},	// QGLColormap::QGLColormap#
    {27, 202, 29},	// QGLColormap::detach
    {27, 224, 34},	// QGLColormap::entryColor$
    {27, 226, 33},	// QGLColormap::entryRgb$
    {27, 231, 35},	// QGLColormap::find$
    {27, 233, 36},	// QGLColormap::findNearest$
    {27, 255, 37},	// QGLColormap::handle
    {27, 277, 27},	// QGLColormap::isEmpty
    {27, 340, 26},	// QGLColormap::operator=#
    {27, 706, 39},	// QGLColormap::setEntries$$
    {27, 707, 30},	// QGLColormap::setEntries$$$
    {27, 709, 32},	// QGLColormap::setEntry$#
    {27, 710, 31},	// QGLColormap::setEntry$$
    {27, 722, 38},	// QGLColormap::setHandle$
    {27, 780, 28},	// QGLColormap::size
    {27, 820, 40},	// QGLColormap::~QGLColormap
    {28, 3, 97},	// QGLContext::CanFlipNativePixmapBindOption
    {28, 8, 98},	// QGLContext::DefaultBindOption
    {28, 21, 99},	// QGLContext::InternalBindOption
    {28, 22, 92},	// QGLContext::InvertedYBindOption
    {28, 42, 95},	// QGLContext::LinearFilteringBindOption
    {28, 43, 96},	// QGLContext::MemoryManagedBindOption
    {28, 44, 93},	// QGLContext::MipmapBindOption
    {28, 48, 91},	// QGLContext::NoBindOption
    {28, 74, 94},	// QGLContext::PremultipliedAlphaBindOption
    {28, 78, 42},	// QGLContext::QGLContext#
    {28, 79, 41},	// QGLContext::QGLContext##
    {28, 148, 47},	// QGLContext::areSharing##
    {28, 160, -1},	// QGLContext::bindTexture#
    {28, 161, -4},	// QGLContext::bindTexture#?
    {28, 162, -7},	// QGLContext::bindTexture#??
    {28, 163, -10},	// QGLContext::bindTexture#??$
    {28, 164, 58},	// QGLContext::bindTexture$
    {28, 174, 87},	// QGLContext::chooseContext
    {28, 175, 68},	// QGLContext::chooseContext#
    {28, 176, 70},	// QGLContext::chooseVisual
    {28, 179, 77},	// QGLContext::colorIndex#
    {28, 191, 80},	// QGLContext::create
    {28, 192, 43},	// QGLContext::create#
    {28, 193, 67},	// QGLContext::currentContext
    {28, 194, 89},	// QGLContext::currentCtx
    {28, 199, 59},	// QGLContext::deleteTexture?
    {28, 204, 65},	// QGLContext::device
    {28, 205, 71},	// QGLContext::deviceIsPixmap
    {28, 210, 52},	// QGLContext::doneCurrent
    {28, 216, -13},	// QGLContext::drawTexture#?
    {28, 217, -16},	// QGLContext::drawTexture#??
    {28, 241, 48},	// QGLContext::format
    {28, 244, 76},	// QGLContext::generateFontDisplayLists#$
    {28, 249, 64},	// QGLContext::getProcAddress$
    {28, 271, 74},	// QGLContext::initialized
    {28, 279, 45},	// QGLContext::isSharing
    {28, 280, 44},	// QGLContext::isValid
    {28, 288, 51},	// QGLContext::makeCurrent
    {28, 367, 66},	// QGLContext::overlayTransparentColor
    {28, 642, 49},	// QGLContext::requestedFormat
    {28, 643, 46},	// QGLContext::reset
    {28, 690, 90},	// QGLContext::setCurrentCtx#
    {28, 700, 79},	// QGLContext::setDevice#
    {28, 712, 50},	// QGLContext::setFormat#
    {28, 724, 75},	// QGLContext::setInitialized$
    {28, 756, 62},	// QGLContext::setTextureCacheLimit$
    {28, 770, 78},	// QGLContext::setValid$
    {28, 775, 73},	// QGLContext::setWindowCreated$
    {28, 788, 53},	// QGLContext::swapBuffers
    {28, 794, 63},	// QGLContext::textureCacheLimit
    {28, 807, 88},	// QGLContext::tryVisual#
    {28, 808, 69},	// QGLContext::tryVisual#$
    {28, 818, 72},	// QGLContext::windowCreated
    {28, 821, 100},	// QGLContext::~QGLContext
    {29, 6, 162},	// QGLFormat::CompatibilityProfile
    {29, 7, 161},	// QGLFormat::CoreProfile
    {29, 52, 160},	// QGLFormat::NoProfile
    {29, 56, 172},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_0
    {29, 57, 174},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_1
    {29, 58, 171},	// QGLFormat::OpenGL_ES_Common_Version_1_0
    {29, 59, 173},	// QGLFormat::OpenGL_ES_Common_Version_1_1
    {29, 60, 175},	// QGLFormat::OpenGL_ES_Version_2_0
    {29, 61, 164},	// QGLFormat::OpenGL_Version_1_1
    {29, 62, 165},	// QGLFormat::OpenGL_Version_1_2
    {29, 63, 166},	// QGLFormat::OpenGL_Version_1_3
    {29, 64, 167},	// QGLFormat::OpenGL_Version_1_4
    {29, 65, 168},	// QGLFormat::OpenGL_Version_1_5
    {29, 66, 169},	// QGLFormat::OpenGL_Version_2_0
    {29, 67, 170},	// QGLFormat::OpenGL_Version_2_1
    {29, 68, 176},	// QGLFormat::OpenGL_Version_3_0
    {29, 69, 177},	// QGLFormat::OpenGL_Version_3_1
    {29, 70, 178},	// QGLFormat::OpenGL_Version_3_2
    {29, 71, 179},	// QGLFormat::OpenGL_Version_3_3
    {29, 72, 180},	// QGLFormat::OpenGL_Version_4_0
    {29, 73, 163},	// QGLFormat::OpenGL_Version_None
    {29, 80, 101},	// QGLFormat::QGLFormat
    {29, 81, 103},	// QGLFormat::QGLFormat#
    {29, 82, 159},	// QGLFormat::QGLFormat$
    {29, 83, 102},	// QGLFormat::QGLFormat$$
    {29, 135, 133},	// QGLFormat::accum
    {29, 136, 108},	// QGLFormat::accumBufferSize
    {29, 145, 131},	// QGLFormat::alpha
    {29, 146, 116},	// QGLFormat::alphaBufferSize
    {29, 171, 114},	// QGLFormat::blueBufferSize
    {29, 196, 147},	// QGLFormat::defaultFormat
    {29, 197, 149},	// QGLFormat::defaultOverlayFormat
    {29, 200, 127},	// QGLFormat::depth
    {29, 201, 106},	// QGLFormat::depthBufferSize
    {29, 206, 139},	// QGLFormat::directRendering
    {29, 211, 125},	// QGLFormat::doubleBuffer
    {29, 254, 112},	// QGLFormat::greenBufferSize
    {29, 256, 151},	// QGLFormat::hasOpenGL
    {29, 259, 152},	// QGLFormat::hasOpenGLOverlays
    {29, 266, 141},	// QGLFormat::hasOverlay
    {29, 287, 154},	// QGLFormat::majorVersion
    {29, 295, 155},	// QGLFormat::minorVersion
    {29, 301, 158},	// QGLFormat::openGLVersionFlags
    {29, 340, 104},	// QGLFormat::operator=#
    {29, 374, 143},	// QGLFormat::plane
    {29, 375, 157},	// QGLFormat::profile
    {29, 625, 110},	// QGLFormat::redBufferSize
    {29, 650, 129},	// QGLFormat::rgba
    {29, 651, 120},	// QGLFormat::sampleBuffers
    {29, 652, 122},	// QGLFormat::samples
    {29, 654, 134},	// QGLFormat::setAccum$
    {29, 656, 107},	// QGLFormat::setAccumBufferSize$
    {29, 658, 132},	// QGLFormat::setAlpha$
    {29, 660, 115},	// QGLFormat::setAlphaBufferSize$
    {29, 682, 113},	// QGLFormat::setBlueBufferSize$
    {29, 692, 148},	// QGLFormat::setDefaultFormat#
    {29, 694, 150},	// QGLFormat::setDefaultOverlayFormat#
    {29, 696, 128},	// QGLFormat::setDepth$
    {29, 698, 105},	// QGLFormat::setDepthBufferSize$
    {29, 702, 140},	// QGLFormat::setDirectRendering$
    {29, 704, 126},	// QGLFormat::setDoubleBuffer$
    {29, 720, 111},	// QGLFormat::setGreenBufferSize$
    {29, 730, 145},	// QGLFormat::setOption$
    {29, 732, 142},	// QGLFormat::setOverlay$
    {29, 734, 144},	// QGLFormat::setPlane$
    {29, 738, 156},	// QGLFormat::setProfile$
    {29, 740, 109},	// QGLFormat::setRedBufferSize$
    {29, 742, 130},	// QGLFormat::setRgba$
    {29, 744, 119},	// QGLFormat::setSampleBuffers$
    {29, 746, 121},	// QGLFormat::setSamples$
    {29, 748, 136},	// QGLFormat::setStencil$
    {29, 750, 117},	// QGLFormat::setStencilBufferSize$
    {29, 752, 138},	// QGLFormat::setStereo$
    {29, 754, 123},	// QGLFormat::setSwapInterval$
    {29, 772, 153},	// QGLFormat::setVersion$$
    {29, 784, 135},	// QGLFormat::stencil
    {29, 785, 118},	// QGLFormat::stencilBufferSize
    {29, 786, 137},	// QGLFormat::stereo
    {29, 789, 124},	// QGLFormat::swapInterval
    {29, 792, 146},	// QGLFormat::testOption$
    {29, 822, 181},	// QGLFormat::~QGLFormat
    {30, 5, 218},	// QGLFramebufferObject::CombinedDepthStencil
    {30, 10, 219},	// QGLFramebufferObject::Depth
    {30, 47, 217},	// QGLFramebufferObject::NoAttachment
    {30, 85, 207},	// QGLFramebufferObject::QGLFramebufferObject#
    {30, 86, 186},	// QGLFramebufferObject::QGLFramebufferObject##
    {30, 87, 209},	// QGLFramebufferObject::QGLFramebufferObject#$
    {30, 88, 210},	// QGLFramebufferObject::QGLFramebufferObject#$?
    {30, 89, 184},	// QGLFramebufferObject::QGLFramebufferObject#$??
    {30, 90, 182},	// QGLFramebufferObject::QGLFramebufferObject#?
    {30, 91, 208},	// QGLFramebufferObject::QGLFramebufferObject$$
    {30, 92, 187},	// QGLFramebufferObject::QGLFramebufferObject$$#
    {30, 93, 211},	// QGLFramebufferObject::QGLFramebufferObject$$$
    {30, 94, 212},	// QGLFramebufferObject::QGLFramebufferObject$$$?
    {30, 95, 185},	// QGLFramebufferObject::QGLFramebufferObject$$$??
    {30, 96, 183},	// QGLFramebufferObject::QGLFramebufferObject$$?
    {30, 149, 196},	// QGLFramebufferObject::attachment
    {30, 154, 191},	// QGLFramebufferObject::bind
    {30, 158, 199},	// QGLFramebufferObject::bindDefault
    {30, 168, 215},	// QGLFramebufferObject::blitFramebuffer####
    {30, 169, 216},	// QGLFramebufferObject::blitFramebuffer####?
    {30, 170, 204},	// QGLFramebufferObject::blitFramebuffer####??
    {30, 203, 206},	// QGLFramebufferObject::devType
    {30, 216, -19},	// QGLFramebufferObject::drawTexture#?
    {30, 217, -22},	// QGLFramebufferObject::drawTexture#??
    {30, 241, 188},	// QGLFramebufferObject::format
    {30, 255, 198},	// QGLFramebufferObject::handle
    {30, 257, 203},	// QGLFramebufferObject::hasOpenGLFramebufferBlit
    {30, 258, 200},	// QGLFramebufferObject::hasOpenGLFramebufferObjects
    {30, 275, 190},	// QGLFramebufferObject::isBound
    {30, 280, 189},	// QGLFramebufferObject::isValid
    {30, 293, 205},	// QGLFramebufferObject::metric$
    {30, 368, 197},	// QGLFramebufferObject::paintEngine
    {30, 626, 192},	// QGLFramebufferObject::release
    {30, 780, 194},	// QGLFramebufferObject::size
    {30, 793, 193},	// QGLFramebufferObject::texture
    {30, 797, 195},	// QGLFramebufferObject::toImage
    {30, 823, 220},	// QGLFramebufferObject::~QGLFramebufferObject
    {31, 97, 221},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat
    {31, 98, 222},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat#
    {31, 149, 227},	// QGLFramebufferObjectFormat::attachment
    {31, 274, 231},	// QGLFramebufferObjectFormat::internalTextureFormat
    {31, 303, 233},	// QGLFramebufferObjectFormat::operator!=#
    {31, 340, 223},	// QGLFramebufferObjectFormat::operator=#
    {31, 342, 232},	// QGLFramebufferObjectFormat::operator==#
    {31, 652, 225},	// QGLFramebufferObjectFormat::samples
    {31, 662, 226},	// QGLFramebufferObjectFormat::setAttachment$
    {31, 726, 230},	// QGLFramebufferObjectFormat::setInternalTextureFormat?
    {31, 746, 224},	// QGLFramebufferObjectFormat::setSamples$
    {31, 758, 228},	// QGLFramebufferObjectFormat::setTextureTarget?
    {31, 795, 229},	// QGLFramebufferObjectFormat::textureTarget
    {31, 824, 234},	// QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat
    {32, 100, 258},	// QGLPixelBuffer::QGLPixelBuffer#
    {32, 101, 259},	// QGLPixelBuffer::QGLPixelBuffer##
    {32, 102, 235},	// QGLPixelBuffer::QGLPixelBuffer###
    {32, 103, 260},	// QGLPixelBuffer::QGLPixelBuffer$$
    {32, 104, 261},	// QGLPixelBuffer::QGLPixelBuffer$$#
    {32, 105, 236},	// QGLPixelBuffer::QGLPixelBuffer$$##
    {32, 160, -199},	// QGLPixelBuffer::bindTexture#
    {32, 161, -202},	// QGLPixelBuffer::bindTexture#?
    {32, 164, 246},	// QGLPixelBuffer::bindTexture$
    {32, 166, 241},	// QGLPixelBuffer::bindToDynamicTexture?
    {32, 199, 247},	// QGLPixelBuffer::deleteTexture?
    {32, 203, 257},	// QGLPixelBuffer::devType
    {32, 210, 239},	// QGLPixelBuffer::doneCurrent
    {32, 216, -205},	// QGLPixelBuffer::drawTexture#?
    {32, 217, -208},	// QGLPixelBuffer::drawTexture#??
    {32, 241, 254},	// QGLPixelBuffer::format
    {32, 242, 240},	// QGLPixelBuffer::generateDynamicTexture
    {32, 255, 251},	// QGLPixelBuffer::handle
    {32, 260, 255},	// QGLPixelBuffer::hasOpenGLPbuffers
    {32, 280, 237},	// QGLPixelBuffer::isValid
    {32, 288, 238},	// QGLPixelBuffer::makeCurrent
    {32, 293, 256},	// QGLPixelBuffer::metric$
    {32, 368, 253},	// QGLPixelBuffer::paintEngine
    {32, 627, 242},	// QGLPixelBuffer::releaseFromDynamicTexture
    {32, 780, 250},	// QGLPixelBuffer::size
    {32, 797, 252},	// QGLPixelBuffer::toImage
    {32, 813, 243},	// QGLPixelBuffer::updateDynamicTexture?
    {32, 825, 266},	// QGLPixelBuffer::~QGLPixelBuffer
    {33, 16, 293},	// QGLShader::Fragment
    {33, 17, 294},	// QGLShader::Geometry
    {33, 107, 288},	// QGLShader::QGLShader$
    {33, 108, -25},	// QGLShader::QGLShader$#
    {33, 109, 275},	// QGLShader::QGLShader$##
    {33, 134, 292},	// QGLShader::Vertex
    {33, 182, 278},	// QGLShader::compileSourceCode#
    {33, 183, -28},	// QGLShader::compileSourceCode$
    {33, 185, 280},	// QGLShader::compileSourceFile$
    {33, 264, 290},	// QGLShader::hasOpenGLShaders$
    {33, 265, 285},	// QGLShader::hasOpenGLShaders$#
    {33, 276, 282},	// QGLShader::isCompiled
    {33, 286, 283},	// QGLShader::log
    {33, 291, 267},	// QGLShader::metaObject
    {33, 613, 273},	// QGLShader::qt_metacall$$?
    {33, 615, 268},	// QGLShader::qt_metacast$
    {33, 776, 284},	// QGLShader::shaderId
    {33, 777, 276},	// QGLShader::shaderType
    {33, 782, 281},	// QGLShader::sourceCode
    {33, 783, 291},	// QGLShader::staticMetaObject
    {33, 799, 286},	// QGLShader::tr$
    {33, 800, 269},	// QGLShader::tr$$
    {33, 801, 271},	// QGLShader::tr$$$
    {33, 803, 287},	// QGLShader::trUtf8$
    {33, 804, 270},	// QGLShader::trUtf8$$
    {33, 805, 272},	// QGLShader::trUtf8$$$
    {33, 826, 295},	// QGLShader::~QGLShader
    {34, 110, 456},	// QGLShaderProgram::QGLShaderProgram
    {34, 111, -31},	// QGLShaderProgram::QGLShaderProgram#
    {34, 112, 304},	// QGLShaderProgram::QGLShaderProgram##
    {34, 139, 305},	// QGLShaderProgram::addShader#
    {34, 141, 309},	// QGLShaderProgram::addShaderFromSourceCode$#
    {34, 142, -34},	// QGLShaderProgram::addShaderFromSourceCode$$
    {34, 144, 311},	// QGLShaderProgram::addShaderFromSourceFile$$
    {34, 151, 330},	// QGLShaderProgram::attributeLocation#
    {34, 152, -37},	// QGLShaderProgram::attributeLocation$
    {34, 154, 316},	// QGLShaderProgram::bind
    {34, 156, 327},	// QGLShaderProgram::bindAttributeLocation#$
    {34, 157, -40},	// QGLShaderProgram::bindAttributeLocation$$
    {34, 208, -43},	// QGLShaderProgram::disableAttributeArray$
    {34, 220, -46},	// QGLShaderProgram::enableAttributeArray$
    {34, 245, 323},	// QGLShaderProgram::geometryInputType
    {34, 246, 325},	// QGLShaderProgram::geometryOutputType
    {34, 247, 321},	// QGLShaderProgram::geometryOutputVertexCount
    {34, 261, 470},	// QGLShaderProgram::hasOpenGLShaderPrograms
    {34, 262, 453},	// QGLShaderProgram::hasOpenGLShaderPrograms#
    {34, 278, 314},	// QGLShaderProgram::isLinked
    {34, 285, 313},	// QGLShaderProgram::link
    {34, 286, 315},	// QGLShaderProgram::log
    {34, 290, 319},	// QGLShaderProgram::maxGeometryOutputVertices
    {34, 291, 296},	// QGLShaderProgram::metaObject
    {34, 376, 318},	// QGLShaderProgram::programId
    {34, 613, 302},	// QGLShaderProgram::qt_metacall$$?
    {34, 615, 297},	// QGLShaderProgram::qt_metacast$
    {34, 626, 317},	// QGLShaderProgram::release
    {34, 628, 312},	// QGLShaderProgram::removeAllShaders
    {34, 630, 306},	// QGLShaderProgram::removeShader#
    {34, 664, -49},	// QGLShaderProgram::setAttributeArray$#
    {34, 665, -56},	// QGLShaderProgram::setAttributeArray$#$
    {34, 666, -63},	// QGLShaderProgram::setAttributeArray$?$
    {34, 667, -66},	// QGLShaderProgram::setAttributeArray$?$$
    {34, 668, -71},	// QGLShaderProgram::setAttributeArray$?$$$
    {34, 670, -74},	// QGLShaderProgram::setAttributeBuffer$?$$
    {34, 671, -77},	// QGLShaderProgram::setAttributeBuffer$?$$$
    {34, 673, -80},	// QGLShaderProgram::setAttributeValue$#
    {34, 674, -89},	// QGLShaderProgram::setAttributeValue$?
    {34, 675, -92},	// QGLShaderProgram::setAttributeValue$?$$
    {34, 676, -95},	// QGLShaderProgram::setAttributeValue$??
    {34, 677, -98},	// QGLShaderProgram::setAttributeValue$???
    {34, 678, -101},	// QGLShaderProgram::setAttributeValue$????
    {34, 714, 322},	// QGLShaderProgram::setGeometryInputType?
    {34, 716, 324},	// QGLShaderProgram::setGeometryOutputType?
    {34, 718, 320},	// QGLShaderProgram::setGeometryOutputVertexCount$
    {34, 760, -104},	// QGLShaderProgram::setUniformValue$#
    {34, 761, -125},	// QGLShaderProgram::setUniformValue$?
    {34, 762, -154},	// QGLShaderProgram::setUniformValue$??
    {34, 763, -157},	// QGLShaderProgram::setUniformValue$???
    {34, 764, -160},	// QGLShaderProgram::setUniformValue$????
    {34, 766, -163},	// QGLShaderProgram::setUniformValueArray$#$
    {34, 767, -172},	// QGLShaderProgram::setUniformValueArray$?$
    {34, 768, -193},	// QGLShaderProgram::setUniformValueArray$?$$
    {34, 778, 307},	// QGLShaderProgram::shaders
    {34, 783, 471},	// QGLShaderProgram::staticMetaObject
    {34, 799, 454},	// QGLShaderProgram::tr$
    {34, 800, 298},	// QGLShaderProgram::tr$$
    {34, 801, 300},	// QGLShaderProgram::tr$$$
    {34, 803, 455},	// QGLShaderProgram::trUtf8$
    {34, 804, 299},	// QGLShaderProgram::trUtf8$$
    {34, 805, 301},	// QGLShaderProgram::trUtf8$$$
    {34, 810, 367},	// QGLShaderProgram::uniformLocation#
    {34, 811, -196},	// QGLShaderProgram::uniformLocation$
    {34, 827, 472},	// QGLShaderProgram::~QGLShaderProgram
    {35, 113, 532},	// QGLWidget::QGLWidget
    {35, 114, -211},	// QGLWidget::QGLWidget#
    {35, 115, -215},	// QGLWidget::QGLWidget##
    {35, 116, -219},	// QGLWidget::QGLWidget###
    {35, 117, -222},	// QGLWidget::QGLWidget###$
    {35, 118, 480},	// QGLWidget::QGLWidget##$
    {35, 153, 524},	// QGLWidget::autoBufferSwap
    {35, 160, -225},	// QGLWidget::bindTexture#
    {35, 161, -228},	// QGLWidget::bindTexture#?
    {35, 162, -231},	// QGLWidget::bindTexture#??
    {35, 163, -234},	// QGLWidget::bindTexture#??$
    {35, 164, 510},	// QGLWidget::bindTexture$
    {35, 180, 501},	// QGLWidget::colormap
    {35, 187, 493},	// QGLWidget::context
    {35, 190, 499},	// QGLWidget::convertToGLFormat#
    {35, 199, 511},	// QGLWidget::deleteTexture?
    {35, 210, 488},	// QGLWidget::doneCurrent
    {35, 211, 489},	// QGLWidget::doubleBuffer
    {35, 216, -237},	// QGLWidget::drawTexture#?
    {35, 217, -240},	// QGLWidget::drawTexture#??
    {35, 228, 516},	// QGLWidget::event#
    {35, 239, 557},	// QGLWidget::fontDisplayListBase#
    {35, 240, 529},	// QGLWidget::fontDisplayListBase#$
    {35, 241, 491},	// QGLWidget::format
    {35, 250, 528},	// QGLWidget::glDraw
    {35, 251, 527},	// QGLWidget::glInit
    {35, 252, 546},	// QGLWidget::grabFrameBuffer
    {35, 253, 496},	// QGLWidget::grabFrameBuffer$
    {35, 269, 517},	// QGLWidget::initializeGL
    {35, 270, 520},	// QGLWidget::initializeOverlayGL
    {35, 279, 486},	// QGLWidget::isSharing
    {35, 280, 485},	// QGLWidget::isValid
    {35, 288, 487},	// QGLWidget::makeCurrent
    {35, 289, 497},	// QGLWidget::makeOverlayCurrent
    {35, 291, 473},	// QGLWidget::metaObject
    {35, 366, 498},	// QGLWidget::overlayContext
    {35, 368, 505},	// QGLWidget::paintEngine
    {35, 370, 525},	// QGLWidget::paintEvent#
    {35, 371, 519},	// QGLWidget::paintGL
    {35, 372, 522},	// QGLWidget::paintOverlayGL
    {35, 570, 484},	// QGLWidget::qglClearColor#
    {35, 572, 483},	// QGLWidget::qglColor#
    {35, 613, 479},	// QGLWidget::qt_metacall$$?
    {35, 615, 474},	// QGLWidget::qt_metacast$
    {35, 631, 543},	// QGLWidget::renderPixmap
    {35, 632, 544},	// QGLWidget::renderPixmap$
    {35, 633, 545},	// QGLWidget::renderPixmap$$
    {35, 634, 495},	// QGLWidget::renderPixmap$$$
    {35, 636, 547},	// QGLWidget::renderText$$$
    {35, 637, 548},	// QGLWidget::renderText$$$#
    {35, 638, 503},	// QGLWidget::renderText$$$#$
    {35, 639, 549},	// QGLWidget::renderText$$$$
    {35, 640, 550},	// QGLWidget::renderText$$$$#
    {35, 641, 504},	// QGLWidget::renderText$$$$#$
    {35, 645, 526},	// QGLWidget::resizeEvent#
    {35, 647, 518},	// QGLWidget::resizeGL$$
    {35, 649, 521},	// QGLWidget::resizeOverlayGL$$
    {35, 680, 523},	// QGLWidget::setAutoBufferSwap$
    {35, 684, 502},	// QGLWidget::setColormap#
    {35, 686, 541},	// QGLWidget::setContext#
    {35, 687, 542},	// QGLWidget::setContext##
    {35, 688, 494},	// QGLWidget::setContext##$
    {35, 712, 492},	// QGLWidget::setFormat#
    {35, 728, 500},	// QGLWidget::setMouseTracking$
    {35, 783, 558},	// QGLWidget::staticMetaObject
    {35, 788, 490},	// QGLWidget::swapBuffers
    {35, 799, 530},	// QGLWidget::tr$
    {35, 800, 475},	// QGLWidget::tr$$
    {35, 801, 477},	// QGLWidget::tr$$$
    {35, 803, 531},	// QGLWidget::trUtf8$
    {35, 804, 476},	// QGLWidget::trUtf8$$
    {35, 805, 478},	// QGLWidget::trUtf8$$$
    {35, 814, 514},	// QGLWidget::updateGL
    {35, 815, 515},	// QGLWidget::updateOverlayGL
    {35, 828, 559},	// QGLWidget::~QGLWidget
    {36, 23, 1365},	// QGlobalSpace::LicensedActiveQt
    {36, 24, 1368},	// QGlobalSpace::LicensedCore
    {36, 25, 1367},	// QGlobalSpace::LicensedDBus
    {36, 26, 1375},	// QGlobalSpace::LicensedDeclarative
    {36, 27, 1362},	// QGlobalSpace::LicensedGui
    {36, 28, 1373},	// QGlobalSpace::LicensedHelp
    {36, 29, 1370},	// QGlobalSpace::LicensedMultimedia
    {36, 30, 1369},	// QGlobalSpace::LicensedNetwork
    {36, 31, 1352},	// QGlobalSpace::LicensedOpenGL
    {36, 32, 1354},	// QGlobalSpace::LicensedOpenVG
    {36, 33, 1366},	// QGlobalSpace::LicensedQt3Support
    {36, 34, 1356},	// QGlobalSpace::LicensedQt3SupportLight
    {36, 35, 1355},	// QGlobalSpace::LicensedScript
    {36, 36, 1372},	// QGlobalSpace::LicensedScriptTools
    {36, 37, 1364},	// QGlobalSpace::LicensedSql
    {36, 38, 1353},	// QGlobalSpace::LicensedSvg
    {36, 39, 1371},	// QGlobalSpace::LicensedTest
    {36, 40, 1374},	// QGlobalSpace::LicensedXml
    {36, 41, 1363},	// QGlobalSpace::LicensedXmlPatterns
    {36, 119, 1347},	// QGlobalSpace::Q_COMPLEX_TYPE
    {36, 120, 1351},	// QGlobalSpace::Q_DUMMY_TYPE
    {36, 121, 1350},	// QGlobalSpace::Q_MOVABLE_TYPE
    {36, 122, 1348},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {36, 123, 1349},	// QGlobalSpace::Q_STATIC_TYPE
    {36, 124, 1359},	// QGlobalSpace::QtCriticalMsg
    {36, 125, 1357},	// QGlobalSpace::QtDebugMsg
    {36, 126, 1360},	// QGlobalSpace::QtFatalMsg
    {36, 127, 1361},	// QGlobalSpace::QtSystemMsg
    {36, 128, 1358},	// QGlobalSpace::QtWarningMsg
    {36, 304, -243},	// QGlobalSpace::operator!=##
    {36, 305, -265},	// QGlobalSpace::operator!=#$
    {36, 306, -271},	// QGlobalSpace::operator!=$#
    {36, 307, 978},	// QGlobalSpace::operator!=$$
    {36, 309, 560},	// QGlobalSpace::operator&##
    {36, 311, -278},	// QGlobalSpace::operator*##
    {36, 312, -308},	// QGlobalSpace::operator*#$
    {36, 313, -319},	// QGlobalSpace::operator*$#
    {36, 315, -329},	// QGlobalSpace::operator+##
    {36, 316, -340},	// QGlobalSpace::operator+#$
    {36, 317, -346},	// QGlobalSpace::operator+$#
    {36, 318, -351},	// QGlobalSpace::operator+$$
    {36, 320, -357},	// QGlobalSpace::operator-#
    {36, 321, -365},	// QGlobalSpace::operator-##
    {36, 322, 1344},	// QGlobalSpace::operator-#$
    {36, 324, -375},	// QGlobalSpace::operator/#$
    {36, 326, -386},	// QGlobalSpace::operator<##
    {36, 327, 694},	// QGlobalSpace::operator<#$
    {36, 328, -391},	// QGlobalSpace::operator<$#
    {36, 329, 977},	// QGlobalSpace::operator<$$
    {36, 331, -394},	// QGlobalSpace::operator<<##
    {36, 332, -487},	// QGlobalSpace::operator<<#$
    {36, 333, 682},	// QGlobalSpace::operator<<#?
    {36, 335, -498},	// QGlobalSpace::operator<=##
    {36, 336, 897},	// QGlobalSpace::operator<=#$
    {36, 337, -503},	// QGlobalSpace::operator<=$#
    {36, 338, 751},	// QGlobalSpace::operator<=$$
    {36, 343, -506},	// QGlobalSpace::operator==##
    {36, 344, -529},	// QGlobalSpace::operator==#$
    {36, 345, -536},	// QGlobalSpace::operator==$#
    {36, 346, 1264},	// QGlobalSpace::operator==$$
    {36, 348, -544},	// QGlobalSpace::operator>##
    {36, 349, 1175},	// QGlobalSpace::operator>#$
    {36, 350, -549},	// QGlobalSpace::operator>$#
    {36, 351, 1171},	// QGlobalSpace::operator>$$
    {36, 353, -552},	// QGlobalSpace::operator>=##
    {36, 354, 1074},	// QGlobalSpace::operator>=#$
    {36, 355, -557},	// QGlobalSpace::operator>=$#
    {36, 356, 1294},	// QGlobalSpace::operator>=$$
    {36, 358, -560},	// QGlobalSpace::operator>>##
    {36, 359, -612},	// QGlobalSpace::operator>>#$
    {36, 360, 1134},	// QGlobalSpace::operator>>#?
    {36, 362, 911},	// QGlobalSpace::operator^##
    {36, 364, 991},	// QGlobalSpace::operator|##
    {36, 365, -615},	// QGlobalSpace::operator|$$
    {36, 377, 1295},	// QGlobalSpace::qAccessibleActionCastHelper
    {36, 378, 1158},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {36, 379, 947},	// QGlobalSpace::qAccessibleImageCastHelper
    {36, 380, 973},	// QGlobalSpace::qAccessibleTableCastHelper
    {36, 381, 762},	// QGlobalSpace::qAccessibleTextCastHelper
    {36, 382, 1064},	// QGlobalSpace::qAccessibleValueCastHelper
    {36, 384, 934},	// QGlobalSpace::qAcos$
    {36, 386, 889},	// QGlobalSpace::qAddPostRoutine$
    {36, 388, 635},	// QGlobalSpace::qAlpha$
    {36, 389, 858},	// QGlobalSpace::qAppName
    {36, 391, 1100},	// QGlobalSpace::qAsin$
    {36, 393, 656},	// QGlobalSpace::qAtan$
    {36, 395, 872},	// QGlobalSpace::qAtan2$$
    {36, 396, 1333},	// QGlobalSpace::qBadAlloc
    {36, 398, 1298},	// QGlobalSpace::qBlue$
    {36, 400, 609},	// QGlobalSpace::qCeil$
    {36, 402, 912},	// QGlobalSpace::qChecksum$$
    {36, 404, 877},	// QGlobalSpace::qCompress#
    {36, 405, 876},	// QGlobalSpace::qCompress#$
    {36, 406, 1201},	// QGlobalSpace::qCompress$$
    {36, 407, 1200},	// QGlobalSpace::qCompress$$$
    {36, 409, 681},	// QGlobalSpace::qCos$
    {36, 410, 561},	// QGlobalSpace::qCritical
    {36, 411, 1210},	// QGlobalSpace::qDebug
    {36, 413, 1214},	// QGlobalSpace::qDrawBorderPixmap####
    {36, 414, 906},	// QGlobalSpace::qDrawBorderPixmap######
    {36, 415, 907},	// QGlobalSpace::qDrawBorderPixmap#######
    {36, 416, 905},	// QGlobalSpace::qDrawBorderPixmap#######$
    {36, 418, 886},	// QGlobalSpace::qDrawPlainRect###
    {36, 419, 887},	// QGlobalSpace::qDrawPlainRect###$
    {36, 420, 885},	// QGlobalSpace::qDrawPlainRect###$#
    {36, 421, 865},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {36, 422, 866},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {36, 423, 864},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {36, 425, 1225},	// QGlobalSpace::qDrawShadeLine####
    {36, 426, 1226},	// QGlobalSpace::qDrawShadeLine####$
    {36, 427, 1227},	// QGlobalSpace::qDrawShadeLine####$$
    {36, 428, 1224},	// QGlobalSpace::qDrawShadeLine####$$$
    {36, 429, 1137},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {36, 430, 1138},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {36, 431, 1139},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {36, 432, 1136},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {36, 434, 643},	// QGlobalSpace::qDrawShadePanel###
    {36, 435, 644},	// QGlobalSpace::qDrawShadePanel###$
    {36, 436, 645},	// QGlobalSpace::qDrawShadePanel###$$
    {36, 437, 642},	// QGlobalSpace::qDrawShadePanel###$$#
    {36, 438, 795},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {36, 439, 796},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {36, 440, 797},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {36, 441, 794},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {36, 443, 839},	// QGlobalSpace::qDrawShadeRect###
    {36, 444, 840},	// QGlobalSpace::qDrawShadeRect###$
    {36, 445, 841},	// QGlobalSpace::qDrawShadeRect###$$
    {36, 446, 842},	// QGlobalSpace::qDrawShadeRect###$$$
    {36, 447, 838},	// QGlobalSpace::qDrawShadeRect###$$$#
    {36, 448, 677},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {36, 449, 678},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {36, 450, 679},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {36, 451, 680},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {36, 452, 676},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {36, 454, 810},	// QGlobalSpace::qDrawWinButton###
    {36, 455, 811},	// QGlobalSpace::qDrawWinButton###$
    {36, 456, 809},	// QGlobalSpace::qDrawWinButton###$#
    {36, 457, 670},	// QGlobalSpace::qDrawWinButton#$$$$#
    {36, 458, 671},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {36, 459, 669},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {36, 461, 1231},	// QGlobalSpace::qDrawWinPanel###
    {36, 462, 1232},	// QGlobalSpace::qDrawWinPanel###$
    {36, 463, 1230},	// QGlobalSpace::qDrawWinPanel###$#
    {36, 464, 1280},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {36, 465, 1281},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {36, 466, 1279},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {36, 468, 894},	// QGlobalSpace::qExp$
    {36, 470, 586},	// QGlobalSpace::qFabs$
    {36, 472, 1267},	// QGlobalSpace::qFastCos$
    {36, 474, 1317},	// QGlobalSpace::qFastSin$
    {36, 476, 1072},	// QGlobalSpace::qFlagLocation$
    {36, 478, 1043},	// QGlobalSpace::qFloor$
    {36, 480, 1180},	// QGlobalSpace::qFree$
    {36, 482, 826},	// QGlobalSpace::qFreeAligned$
    {36, 484, -856},	// QGlobalSpace::qFuzzyCompare##
    {36, 485, -864},	// QGlobalSpace::qFuzzyCompare$$
    {36, 487, -867},	// QGlobalSpace::qFuzzyIsNull$
    {36, 489, 611},	// QGlobalSpace::qGray$
    {36, 490, 704},	// QGlobalSpace::qGray$$$
    {36, 492, 639},	// QGlobalSpace::qGreen$
    {36, 494, -870},	// QGlobalSpace::qHash#
    {36, 495, -879},	// QGlobalSpace::qHash$
    {36, 496, -890},	// QGlobalSpace::qHash?
    {36, 497, 1081},	// QGlobalSpace::qInf
    {36, 499, 801},	// QGlobalSpace::qInstallMsgHandler$
    {36, 501, -893},	// QGlobalSpace::qIntCast$
    {36, 503, -896},	// QGlobalSpace::qIsFinite$
    {36, 505, 1001},	// QGlobalSpace::qIsGray$
    {36, 507, -899},	// QGlobalSpace::qIsInf$
    {36, 509, -902},	// QGlobalSpace::qIsNaN$
    {36, 511, -905},	// QGlobalSpace::qIsNull$
    {36, 513, 1132},	// QGlobalSpace::qLn$
    {36, 515, 1341},	// QGlobalSpace::qMalloc?
    {36, 517, 1196},	// QGlobalSpace::qMallocAligned??
    {36, 519, 1073},	// QGlobalSpace::qMemCopy$$?
    {36, 521, 871},	// QGlobalSpace::qMemSet$$?
    {36, 523, 1247},	// QGlobalSpace::qPow$$
    {36, 524, 590},	// QGlobalSpace::qQNaN
    {36, 526, 968},	// QGlobalSpace::qRealloc$?
    {36, 528, 847},	// QGlobalSpace::qReallocAligned$???
    {36, 530, 620},	// QGlobalSpace::qRed$
    {36, 532, 663},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {36, 534, 1066},	// QGlobalSpace::qRemovePostRoutine$
    {36, 536, 1041},	// QGlobalSpace::qRgb$$$
    {36, 538, 1335},	// QGlobalSpace::qRgba$$$$
    {36, 540, 987},	// QGlobalSpace::qRound$
    {36, 542, 1189},	// QGlobalSpace::qRound64$
    {36, 543, 1307},	// QGlobalSpace::qSNaN
    {36, 545, 1118},	// QGlobalSpace::qSetFieldWidth$
    {36, 547, 791},	// QGlobalSpace::qSetPadChar#
    {36, 549, 1097},	// QGlobalSpace::qSetRealNumberPrecision$
    {36, 550, 798},	// QGlobalSpace::qSharedBuild
    {36, 552, 1099},	// QGlobalSpace::qSin$
    {36, 554, 1021},	// QGlobalSpace::qSqrt$
    {36, 556, 836},	// QGlobalSpace::qStringComparisonHelper#$
    {36, 557, 1253},	// QGlobalSpace::qStringComparisonHelper$$
    {36, 559, 1219},	// QGlobalSpace::qTan$
    {36, 561, 1093},	// QGlobalSpace::qUncompress#
    {36, 562, 1313},	// QGlobalSpace::qUncompress$$
    {36, 563, 599},	// QGlobalSpace::qVersion
    {36, 564, 701},	// QGlobalSpace::qWarning
    {36, 566, 657},	// QGlobalSpace::qbswap_helper$$$
    {36, 568, 923},	// QGlobalSpace::qgetenv$
    {36, 574, 833},	// QGlobalSpace::qputenv$#
    {36, 575, 610},	// QGlobalSpace::qrand
    {36, 577, 685},	// QGlobalSpace::qsrand$
    {36, 579, 788},	// QGlobalSpace::qstrcmp##
    {36, 580, 792},	// QGlobalSpace::qstrcmp#$
    {36, 581, 1216},	// QGlobalSpace::qstrcmp$#
    {36, 582, 1024},	// QGlobalSpace::qstrcmp$$
    {36, 584, 583},	// QGlobalSpace::qstrcpy$$
    {36, 586, 1204},	// QGlobalSpace::qstrdup$
    {36, 588, 1102},	// QGlobalSpace::qstricmp$$
    {36, 590, 1140},	// QGlobalSpace::qstrlen$
    {36, 592, 837},	// QGlobalSpace::qstrncmp$$$
    {36, 594, 950},	// QGlobalSpace::qstrncpy$$$
    {36, 596, 770},	// QGlobalSpace::qstrnicmp$$$
    {36, 598, 1038},	// QGlobalSpace::qstrnlen$$
    {36, 600, 1328},	// QGlobalSpace::qtTrId$
    {36, 601, 1327},	// QGlobalSpace::qtTrId$$
    {36, 603, 564},	// QGlobalSpace::qt_assert$$$
    {36, 605, 976},	// QGlobalSpace::qt_assert_x$$$$
    {36, 607, 779},	// QGlobalSpace::qt_check_pointer$$
    {36, 608, 964},	// QGlobalSpace::qt_error_string
    {36, 609, 963},	// QGlobalSpace::qt_error_string$
    {36, 611, 1260},	// QGlobalSpace::qt_message_output$$
    {36, 616, 1114},	// QGlobalSpace::qt_noop
    {36, 618, 803},	// QGlobalSpace::qt_qFindChild_helper#$#
    {36, 620, 1168},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {36, 622, 660},	// QGlobalSpace::qvariant_cast_helper#$$
    {36, 624, 1110},	// QGlobalSpace::qvsnprintf$?$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtopengl_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtopengl_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtopengl_Smoke = new Smoke(
        "qtopengl",
        __smokeqtopengl::classes, 111,
        __smokeqtopengl::methods, 1425,
        __smokeqtopengl::methodMaps, 653,
        __smokeqtopengl::methodNames, 828,
        __smokeqtopengl::types, 530,
        __smokeqtopengl::inheritanceList,
        __smokeqtopengl::argumentList,
        __smokeqtopengl::ambiguousMethodList,
        __smokeqtopengl::cast );
    initialized = true;
}

void delete_qtopengl_Smoke() { delete qtopengl_Smoke; }

}
