#include <qtsvg_includes.h>

#include <smoke.h>
#include <qtsvg_smoke.h>

namespace __smokeqtsvg {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGraphicsItem
      switch(to) {
        case 27: return (void*)(QGraphicsItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 28:   //QGraphicsObject
      switch(to) {
        case 57: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 28: return (void*)(QGraphicsObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 29:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 29: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 30: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 31: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 32: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 33: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QGraphicsSvgItem
      switch(to) {
        case 28: return (void*)(QGraphicsObject*)(QGraphicsSvgItem*)xptr;
        case 57: return (void*)(QObject*)(QGraphicsSvgItem*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsSvgItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)xptr;
        default: return xptr;
      }
    case 35:   //QHashDummyValue
      switch(to) {
        case 35: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 36:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 36: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QIODevice
      switch(to) {
        case 57: return (void*)(QObject*)(QIODevice*)xptr;
        case 37: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 38:   //QIcon
      switch(to) {
        case 38: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 39:   //QImage
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 39: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 40:   //QIncompatibleFlag
      switch(to) {
        case 40: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 41:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 41: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QItemSelectionRange
      switch(to) {
        case 42: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 43:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 43: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QKeySequence
      switch(to) {
        case 44: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 45:   //QLatin1String
      switch(to) {
        case 45: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 46:   //QLine
      switch(to) {
        case 46: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 47:   //QLineF
      switch(to) {
        case 47: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 48:   //QListWidgetItem
      switch(to) {
        case 48: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 49:   //QLocale
      switch(to) {
        case 49: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 50:   //QMargins
      switch(to) {
        case 50: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 51:   //QMatrix
      switch(to) {
        case 51: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 52:   //QMatrix4x4
      switch(to) {
        case 52: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 53:   //QMetaObject
      switch(to) {
        case 53: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 54:   //QModelIndex
      switch(to) {
        case 54: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 55:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 55: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 56: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QObject
      switch(to) {
        case 57: return (void*)(QObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QObject*)xptr;
        case 90: return (void*)(QSvgRenderer*)(QObject*)xptr;
        case 91: return (void*)(QSvgWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 58:   //QPaintDevice
      switch(to) {
        case 58: return (void*)(QPaintDevice*)xptr;
        case 89: return (void*)(QSvgGenerator*)(QPaintDevice*)xptr;
        case 91: return (void*)(QSvgWidget*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintEngine
      switch(to) {
        case 59: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 60: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QPainter
      switch(to) {
        case 61: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 62:   //QPainterPath
      switch(to) {
        case 62: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 63:   //QPalette
      switch(to) {
        case 63: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 64:   //QPen
      switch(to) {
        case 64: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 65:   //QPersistentModelIndex
      switch(to) {
        case 65: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 66:   //QPicture
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 66: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 67:   //QPixmap
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 67: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 68:   //QPoint
      switch(to) {
        case 68: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 69:   //QPointF
      switch(to) {
        case 69: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 70:   //QPolygon
      switch(to) {
        case 70: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygonF
      switch(to) {
        case 71: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 72:   //QQuaternion
      switch(to) {
        case 72: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 73:   //QRect
      switch(to) {
        case 73: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 74:   //QRectF
      switch(to) {
        case 74: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 75:   //QRegExp
      switch(to) {
        case 75: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 76:   //QRegion
      switch(to) {
        case 76: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 77:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 77: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 78: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QSize
      switch(to) {
        case 79: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 80:   //QSizeF
      switch(to) {
        case 80: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 81:   //QSizePolicy
      switch(to) {
        case 81: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 82:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 57: return (void*)(QObject*)(QSplitter*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 82: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 83:   //QStandardItem
      switch(to) {
        case 83: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 84:   //QString::Null
      switch(to) {
        case 84: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 85:   //QStringRef
      switch(to) {
        case 85: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 86:   //QStyle
      switch(to) {
        case 57: return (void*)(QObject*)(QStyle*)xptr;
        case 86: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 87:   //QStyleOption
      switch(to) {
        case 87: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 88:   //QStyleOptionGraphicsItem
      switch(to) {
        case 87: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 88: return (void*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 89:   //QSvgGenerator
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QSvgGenerator*)xptr;
        case 89: return (void*)(QSvgGenerator*)xptr;
        default: return xptr;
      }
    case 90:   //QSvgRenderer
      switch(to) {
        case 57: return (void*)(QObject*)(QSvgRenderer*)xptr;
        case 90: return (void*)(QSvgRenderer*)xptr;
        default: return xptr;
      }
    case 91:   //QSvgWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QSvgWidget*)xptr;
        case 57: return (void*)(QObject*)(QSvgWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSvgWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 57: return (void*)(QObject*)(QWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 113:   //QXmlStreamReader
      switch(to) {
        case 113: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    28, 0,	// 1: QGraphicsObject
    58, 0,	// 3: QPaintDevice
    57, 0,	// 5: QObject
    112, 0,	// 7: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QGraphicsSvgItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgRenderer(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgWidget(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//26
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//27
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//28
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QGraphicsSvgItem", false, 1, xcall_QGraphicsSvgItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGraphicsSvgItem) },	//34
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//35
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//37
    { "QIcon", true, 0, 0, 0, 0, 0 },	//38
    { "QImage", true, 0, 0, 0, 0, 0 },	//39
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//40
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//42
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//44
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//45
    { "QLine", true, 0, 0, 0, 0, 0 },	//46
    { "QLineF", true, 0, 0, 0, 0, 0 },	//47
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//48
    { "QLocale", true, 0, 0, 0, 0, 0 },	//49
    { "QMargins", true, 0, 0, 0, 0, 0 },	//50
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//51
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//52
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//53
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//54
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QObject", true, 0, 0, 0, 0, 0 },	//57
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QPainter", true, 0, 0, 0, 0, 0 },	//61
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//62
    { "QPalette", true, 0, 0, 0, 0, 0 },	//63
    { "QPen", true, 0, 0, 0, 0, 0 },	//64
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//65
    { "QPicture", true, 0, 0, 0, 0, 0 },	//66
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//67
    { "QPoint", true, 0, 0, 0, 0, 0 },	//68
    { "QPointF", true, 0, 0, 0, 0, 0 },	//69
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//71
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//72
    { "QRect", true, 0, 0, 0, 0, 0 },	//73
    { "QRectF", true, 0, 0, 0, 0, 0 },	//74
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//75
    { "QRegion", true, 0, 0, 0, 0, 0 },	//76
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QSize", true, 0, 0, 0, 0, 0 },	//79
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//80
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//81
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//82
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//83
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//84
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//85
    { "QStyle", true, 0, 0, 0, 0, 0 },	//86
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//87
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//88
    { "QSvgGenerator", false, 3, xcall_QSvgGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgGenerator) },	//89
    { "QSvgRenderer", false, 5, xcall_QSvgRenderer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgRenderer) },	//90
    { "QSvgWidget", false, 7, xcall_QSvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgWidget) },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//113
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//12
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//13
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//15
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//16
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//18
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//19
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//22
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//30
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//41
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//124
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QGraphicsItem::Extension", 27, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QGraphicsItem::GraphicsItemChange", 27, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QGraphicsItem::GraphicsItemFlag", 27, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QGraphicsObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QGraphicsSceneContextMenuEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QGraphicsSceneDragDropEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QGraphicsSceneHoverEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QGraphicsSceneMouseEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QGraphicsSceneWheelEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGraphicsSvgItem*", 34, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QHideEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QIODevice*", 37, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QIODevice::OpenModeFlag", 37, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QIcon&", 38, Smoke::t_class|Smoke::tf_ref },	//147
    { "QImage&", 39, Smoke::t_class|Smoke::tf_ref },	//148
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QIncompatibleFlag", 40, Smoke::t_class|Smoke::tf_stack },	//150
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QInputMethodEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QKeyEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref },	//155
    { "QKeySequence::StandardKey", 44, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QLine", 46, Smoke::t_class|Smoke::tf_stack },	//158
    { "QLine&", 46, Smoke::t_class|Smoke::tf_ref },	//159
    { "QLineF", 47, Smoke::t_class|Smoke::tf_stack },	//160
    { "QLineF&", 47, Smoke::t_class|Smoke::tf_ref },	//161
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//162
    { "QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref },	//163
    { "QLocale&", 49, Smoke::t_class|Smoke::tf_ref },	//164
    { "QLocale::NumberOption", 49, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QMatrix", 51, Smoke::t_class|Smoke::tf_stack },	//167
    { "QMatrix&", 51, Smoke::t_class|Smoke::tf_ref },	//168
    { "QMatrix4x4", 52, Smoke::t_class|Smoke::tf_stack },	//169
    { "QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref },	//170
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QMetaObject::Call", 53, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QMouseEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//175
    { "QMoveEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QObject*", 57, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QObject*(*)()", 57, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QPaintDevice::PaintDeviceMetric", 58, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QPaintEngine*", 59, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QPaintEngine::DirtyFlag", 59, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QPaintEngine::PaintEngineFeature", 59, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QPaintEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//183
    { "QPainter*", 61, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QPainter::RenderHint", 61, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QPainterPath", 62, Smoke::t_class|Smoke::tf_stack },	//186
    { "QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref },	//187
    { "QPalette&", 63, Smoke::t_class|Smoke::tf_ref },	//188
    { "QPen&", 64, Smoke::t_class|Smoke::tf_ref },	//189
    { "QPicture&", 66, Smoke::t_class|Smoke::tf_ref },	//190
    { "QPixmap&", 67, Smoke::t_class|Smoke::tf_ref },	//191
    { "QPoint", 68, Smoke::t_class|Smoke::tf_stack },	//192
    { "QPoint&", 68, Smoke::t_class|Smoke::tf_ref },	//193
    { "QPointF", 69, Smoke::t_class|Smoke::tf_stack },	//194
    { "QPointF&", 69, Smoke::t_class|Smoke::tf_ref },	//195
    { "QPolygon", 70, Smoke::t_class|Smoke::tf_stack },	//196
    { "QPolygon&", 70, Smoke::t_class|Smoke::tf_ref },	//197
    { "QPolygonF", 71, Smoke::t_class|Smoke::tf_stack },	//198
    { "QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref },	//199
    { "QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref },	//200
    { "QRect", 73, Smoke::t_class|Smoke::tf_stack },	//201
    { "QRect&", 73, Smoke::t_class|Smoke::tf_ref },	//202
    { "QRectF", 74, Smoke::t_class|Smoke::tf_stack },	//203
    { "QRectF&", 74, Smoke::t_class|Smoke::tf_ref },	//204
    { "QRegExp&", 75, Smoke::t_class|Smoke::tf_ref },	//205
    { "QRegion", 76, Smoke::t_class|Smoke::tf_stack },	//206
    { "QRegion&", 76, Smoke::t_class|Smoke::tf_ref },	//207
    { "QResizeEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QShowEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QSize", 79, Smoke::t_class|Smoke::tf_stack },	//210
    { "QSize&", 79, Smoke::t_class|Smoke::tf_ref },	//211
    { "QSizeF&", 80, Smoke::t_class|Smoke::tf_ref },	//212
    { "QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref },	//213
    { "QSizePolicy::ControlType", 81, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QSplitter&", 82, Smoke::t_class|Smoke::tf_ref },	//215
    { "QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref },	//216
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//217
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//218
    { "QString::Null", 84, Smoke::t_class|Smoke::tf_stack },	//219
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//221
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//222
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//223
    { "QStyle&", 86, Smoke::t_class|Smoke::tf_ref },	//224
    { "QStyle::StateFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QStyle::SubControl", 86, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QSvgGenerator*", 89, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QSvgRenderer*", 90, Smoke::t_class|Smoke::tf_ptr },	//235
    { "QSvgWidget*", 91, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//237
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//243
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//246
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//248
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//249
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//251
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//252
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//253
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//254
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//255
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//256
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//258
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//260
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//261
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//262
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//264
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//265
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//266
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//267
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//268
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//269
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//270
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//271
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QXmlStreamReader*", 113, Smoke::t_class|Smoke::tf_ptr },	//274
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "QtMsgType", 26, Smoke::t_enum|Smoke::tf_stack },	//350
    { "QtValidLicenseForActiveQtModule", 26, Smoke::t_enum|Smoke::tf_stack },	//351
    { "QtValidLicenseForCoreModule", 26, Smoke::t_enum|Smoke::tf_stack },	//352
    { "QtValidLicenseForDBusModule", 26, Smoke::t_enum|Smoke::tf_stack },	//353
    { "QtValidLicenseForDeclarativeModule", 26, Smoke::t_enum|Smoke::tf_stack },	//354
    { "QtValidLicenseForGuiModule", 26, Smoke::t_enum|Smoke::tf_stack },	//355
    { "QtValidLicenseForHelpModule", 26, Smoke::t_enum|Smoke::tf_stack },	//356
    { "QtValidLicenseForMultimediaModule", 26, Smoke::t_enum|Smoke::tf_stack },	//357
    { "QtValidLicenseForNetworkModule", 26, Smoke::t_enum|Smoke::tf_stack },	//358
    { "QtValidLicenseForOpenGLModule", 26, Smoke::t_enum|Smoke::tf_stack },	//359
    { "QtValidLicenseForOpenVGModule", 26, Smoke::t_enum|Smoke::tf_stack },	//360
    { "QtValidLicenseForQt3SupportLightModule", 26, Smoke::t_enum|Smoke::tf_stack },	//361
    { "QtValidLicenseForQt3SupportModule", 26, Smoke::t_enum|Smoke::tf_stack },	//362
    { "QtValidLicenseForScriptModule", 26, Smoke::t_enum|Smoke::tf_stack },	//363
    { "QtValidLicenseForScriptToolsModule", 26, Smoke::t_enum|Smoke::tf_stack },	//364
    { "QtValidLicenseForSqlModule", 26, Smoke::t_enum|Smoke::tf_stack },	//365
    { "QtValidLicenseForSvgModule", 26, Smoke::t_enum|Smoke::tf_stack },	//366
    { "QtValidLicenseForTestModule", 26, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtValidLicenseForXmlModule", 26, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtValidLicenseForXmlPatternsModule", 26, Smoke::t_enum|Smoke::tf_stack },	//369
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//370
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//371
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//372
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//373
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//376
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//377
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//386
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//388
    { "const QHashDummyValue&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QIcon&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QImage&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QItemSelectionRange&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QLatin1String&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QLine&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QLineF&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QLocale&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QMargins&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QMatrix&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QMetaObject&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QMetaObject*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//403
    { "const QModelIndex&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//405
    { "const QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QPalette&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QPen&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QPersistentModelIndex&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QPicture&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QPixmap&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QPoint", 68, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//412
    { "const QPoint&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QPointF", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//414
    { "const QPointF&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QPolygon&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QQuaternion", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//418
    { "const QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QRect&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QRectF&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QRegExp&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QRegExp*", 75, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//423
    { "const QRegion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QSize", 79, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//425
    { "const QSize&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QSizeF", 80, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//427
    { "const QSizeF&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QSplitter&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//432
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//435
    { "const QStringRef&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QStyleOption&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QStyleOption::OptionType&", 87, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QStyleOptionGraphicsItem*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//439
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//450
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//452
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//454
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//456
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//458
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//459
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//460
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//461
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//462
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//463
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//464
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//465
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//466
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//467
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//468
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//469
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//470
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//471
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//472
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//473
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//474
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//475
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//476
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//477
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//478
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//479
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//480
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    374, 374, 0,	//1  const QBitArray&, const QBitArray&
    409, 0,	//4  const QPersistentModelIndex&
    294, 463, 0,	//6  Qt::DockWidgetArea, int
    458, 458, 463, 0,	//9  const char*, const char*, int
    127, 127, 0,	//13  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    413, 461, 0,	//16  const QPoint&, double
    461, 0,	//19  double
    30, 392, 0,	//21  QDebug, const QItemSelectionRange&
    461, 415, 0,	//24  double, const QPointF&
    319, 116, 0,	//27  Qt::MouseButton, QFlags<Qt::MouseButton>
    399, 399, 0,	//30  const QMargins&, const QMargins&
    30, 437, 0,	//33  QDebug, const QStyleOption&
    461, 428, 0,	//36  double, const QSizeF&
    33, 463, 0,	//39  QDir::SortFlag, int
    2, 2, 0,	//42  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    30, 409, 0,	//45  QDebug, const QPersistentModelIndex&
    26, 148, 0,	//48  QDataStream&, QImage&
    26, 429, 0,	//51  QDataStream&, const QSizePolicy&
    308, 463, 0,	//54  Qt::InputMethodHint, int
    231, 463, 0,	//57  QStyleOptionToolBar::ToolBarFeature, int
    30, 445, 0,	//60  QDebug, const QTransform&
    373, 458, 0,	//63  char*, const char*
    420, 420, 0,	//66  const QRect&, const QRect&
    426, 426, 0,	//69  const QSize&, const QSize&
    26, 445, 0,	//72  QDataStream&, const QTransform&
    240, 240, 0,	//75  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    30, 413, 0,	//78  QDebug, const QPoint&
    401, 401, 0,	//81  const QMatrix4x4&, const QMatrix4x4&
    469, 0,	//84  unsigned char
    32, 55, 0,	//86  QDir::Filter, QFlags<QDir::Filter>
    457, 457, 0,	//89  const QVector4D&, const QVector4D&
    415, 400, 0,	//92  const QPointF&, const QMatrix&
    182, 182, 0,	//95  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    395, 445, 0,	//98  const QLine&, const QTransform&
    453, 453, 0,	//101  const QVector2D&, const QVector2D&
    43, 60, 0,	//104  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    346, 121, 0,	//107  Qt::WindowState, QFlags<Qt::WindowState>
    428, 461, 0,	//110  const QSizeF&, double
    26, 395, 0,	//113  QDataStream&, const QLine&
    32, 463, 0,	//116  QDir::Filter, int
    445, 445, 0,	//119  const QTransform&, const QTransform&
    458, 394, 0,	//122  const char*, const QLatin1String&
    471, 0,	//125  unsigned int
    45, 62, 0,	//127  QFileDialog::Option, QFlags<QFileDialog::Option>
    428, 428, 0,	//130  const QSizeF&, const QSizeF&
    378, 378, 0,	//133  const QByteArray&, const QByteArray&
    394, 436, 0,	//136  const QLatin1String&, const QStringRef&
    419, 0,	//139  const QQuaternion&
    3, 3, 0,	//141  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    319, 319, 0,	//144  Qt::MouseButton, Qt::MouseButton
    30, 450, 0,	//147  QDebug, const QVariant::Type
    449, 451, 0,	//150  const QVariant&, const QVariantComparisonHelper&
    419, 461, 0,	//153  const QQuaternion&, double
    14, 14, 0,	//156  QBool, QBool
    230, 230, 0,	//159  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    229, 229, 0,	//162  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    125, 125, 0,	//165  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    275, 107, 0,	//168  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    436, 0,	//171  const QStringRef&
    244, 244, 0,	//173  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    219, 219, 0,	//176  QString::Null, QString::Null
    30, 387, 0,	//179  QDebug, const QFont&
    30, 416, 0,	//182  QDebug, const QPolygon&
    26, 421, 0,	//185  QDataStream&, const QRectF&
    26, 164, 0,	//188  QDataStream&, QLocale&
    226, 463, 0,	//191  QStyle::SubControl, int
    35, 35, 0,	//194  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    18, 433, 0,	//197  QChar, const QString&
    146, 72, 0,	//200  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    453, 0,	//203  const QVector2D&
    184, 420, 407, 371, 463, 376, 0,	//205  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    184, 420, 407, 0,	//212  QPainter*, const QRect&, const QPalette&
    184, 420, 407, 371, 0,	//216  QPainter*, const QRect&, const QPalette&, bool
    184, 420, 407, 371, 463, 0,	//221  QPainter*, const QRect&, const QPalette&, bool, int
    32, 32, 0,	//227  QDir::Filter, QDir::Filter
    26, 407, 0,	//230  QDataStream&, const QPalette&
    30, 444, 0,	//233  QDebug, const QTime&
    241, 97, 0,	//236  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    419, 419, 0,	//239  const QQuaternion&, const QQuaternion&
    26, 378, 0,	//242  QDataStream&, const QByteArray&
    30, 382, 0,	//245  QDebug, const QDate&
    374, 0,	//248  const QBitArray&
    242, 98, 0,	//250  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    459, 470, 463, 0,	//253  const unsigned char*, unsigned char*, int
    10, 51, 0,	//257  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    417, 445, 0,	//260  const QPolygonF&, const QTransform&
    449, 263, 478, 0,	//263  const QVariant&, QVariant::Type, void*
    433, 0,	//267  const QString&
    474, 0,	//269  unsigned short
    178, 0,	//271  QObject*(*)()
    464, 0,	//273  long
    336, 336, 0,	//275  Qt::ToolBarArea, Qt::ToolBarArea
    465, 0,	//278  long long
    30, 417, 0,	//280  QDebug, const QPolygonF&
    184, 463, 463, 463, 463, 407, 371, 376, 0,	//283  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    184, 463, 463, 463, 463, 407, 0,	//292  QPainter*, int, int, int, int, const QPalette&
    184, 463, 463, 463, 463, 407, 371, 0,	//299  QPainter*, int, int, int, int, const QPalette&, bool
    272, 463, 0,	//307  QWidget::RenderFlag, int
    30, 380, 0,	//310  QDebug, const QColor&
    257, 463, 0,	//313  QTreeWidgetItemIterator::IteratorFlag, int
    296, 463, 0,	//316  Qt::DropAction, int
    184, 463, 463, 463, 463, 407, 371, 463, 463, 376, 0,	//319  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    184, 463, 463, 463, 463, 407, 371, 463, 0,	//330  QPainter*, int, int, int, int, const QPalette&, bool, int
    184, 463, 463, 463, 463, 407, 371, 463, 463, 0,	//339  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    26, 434, 0,	//349  QDataStream&, const QStringList&
    1, 1, 0,	//352  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    26, 189, 0,	//355  QDataStream&, QPen&
    462, 0,	//358  float
    127, 65, 0,	//360  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    275, 275, 0,	//363  Qt::AlignmentFlag, Qt::AlignmentFlag
    26, 22, 0,	//366  QDataStream&, QColor&
    34, 463, 0,	//369  QDirIterator::IteratorFlag, int
    26, 422, 0,	//372  QDataStream&, const QRegExp&
    259, 463, 0,	//375  QUrl::FormattingOption, int
    34, 57, 0,	//378  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    378, 458, 0,	//381  const QByteArray&, const char*
    129, 129, 0,	//384  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    126, 463, 0,	//387  QFontDialog::FontDialogOption, int
    30, 428, 0,	//390  QDebug, const QSizeF&
    294, 108, 0,	//393  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    229, 463, 0,	//396  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    395, 400, 0,	//399  const QLine&, const QMatrix&
    181, 181, 0,	//402  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    463, 463, 463, 0,	//405  int, int, int
    396, 400, 0,	//409  const QLineF&, const QMatrix&
    321, 321, 0,	//412  Qt::Orientation, Qt::Orientation
    406, 400, 0,	//415  const QPainterPath&, const QMatrix&
    336, 463, 0,	//418  Qt::ToolBarArea, int
    455, 455, 0,	//421  const QVector3D&, const QVector3D&
    26, 195, 0,	//424  QDataStream&, QPointF&
    26, 393, 0,	//427  QDataStream&, const QKeySequence&
    317, 463, 0,	//430  Qt::MatchFlag, int
    433, 458, 0,	//433  const QString&, const char*
    26, 440, 0,	//436  QDataStream&, const QTableWidgetItem&
    30, 132, 0,	//439  QDebug, QGraphicsItem::GraphicsItemChange
    30, 385, 0,	//442  QDebug, const QEasingCurve&
    153, 463, 0,	//445  QItemSelectionModel::SelectionFlag, int
    26, 381, 0,	//448  QDataStream&, const QCursor&
    173, 81, 0,	//451  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    301, 301, 0,	//454  Qt::GestureFlag, Qt::GestureFlag
    26, 27, 0,	//457  QDataStream&, QDate&
    26, 410, 0,	//460  QDataStream&, const QPicture&
    146, 146, 0,	//463  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    173, 173, 0,	//466  QMessageBox::StandardButton, QMessageBox::StandardButton
    43, 463, 0,	//469  QEventLoop::ProcessEventsFlag, int
    372, 378, 0,	//472  char, const QByteArray&
    26, 269, 0,	//475  QDataStream&, QVector4D&
    458, 433, 0,	//478  const char*, const QString&
    172, 80, 0,	//481  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    30, 87, 0,	//484  QDebug, QFlags<QStyle::StateFlag>
    458, 378, 0,	//487  const char*, const QByteArray&
    126, 126, 0,	//490  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    26, 260, 0,	//493  QDataStream&, QUuid&
    461, 461, 0,	//496  double, double
    26, 17, 0,	//499  QDataStream&, QByteArray&
    26, 262, 0,	//502  QDataStream&, QVariant&
    26, 446, 0,	//505  QDataStream&, const QTreeWidgetItem&
    26, 205, 0,	//508  QDataStream&, QRegExp&
    185, 185, 0,	//511  QPainter::RenderHint, QPainter::RenderHint
    415, 415, 0,	//514  const QPointF&, const QPointF&
    445, 461, 0,	//517  const QTransform&, double
    248, 430, 0,	//520  QTextStream&, const QSplitter&
    4, 49, 0,	//523  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    453, 461, 0,	//526  const QVector2D&, double
    257, 257, 0,	//529  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    227, 227, 0,	//532  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    436, 436, 0,	//535  const QStringRef&, const QStringRef&
    457, 461, 0,	//538  const QVector4D&, double
    227, 463, 0,	//541  QStyleOptionButton::ButtonFeature, int
    44, 463, 0,	//544  QFile::Permission, int
    30, 396, 0,	//547  QDebug, const QLineF&
    18, 18, 0,	//550  QChar, QChar
    401, 461, 0,	//553  const QMatrix4x4&, double
    406, 445, 0,	//556  const QPainterPath&, const QTransform&
    26, 375, 0,	//559  QDataStream&, const QBrush&
    171, 79, 0,	//562  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    458, 458, 471, 0,	//565  const char*, const char*, unsigned int
    378, 0,	//569  const QByteArray&
    4, 4, 0,	//571  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    151, 463, 0,	//574  QInputDialog::InputDialogOption, int
    225, 463, 0,	//577  QStyle::StateFlag, int
    30, 55, 0,	//580  QDebug, QFlags<QDir::Filter>
    458, 463, 0,	//583  const char*, int
    26, 207, 0,	//586  QDataStream&, QRegion&
    185, 463, 0,	//589  QPainter::RenderHint, int
    230, 463, 0,	//592  QStyleOptionTab::CornerWidget, int
    273, 273, 0,	//595  QWizard::WizardOption, QWizard::WizardOption
    250, 102, 0,	//598  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    26, 13, 0,	//601  QDataStream&, QBitArray&
    273, 106, 0,	//604  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    415, 461, 0,	//607  const QPointF&, double
    182, 83, 0,	//610  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    133, 133, 0,	//613  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    18, 0,	//616  QChar
    184, 463, 463, 463, 463, 407, 371, 463, 376, 0,	//618  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    1, 46, 0,	//628  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    477, 0,	//631  void(*)(QtMsgType,const char*)
    26, 382, 0,	//633  QDataStream&, const QDate&
    405, 433, 402, 0,	//636  const QObject*, const QString&, const QMetaObject&
    317, 115, 0,	//640  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    455, 401, 0,	//643  const QVector3D&, const QMatrix4x4&
    301, 463, 0,	//646  Qt::GestureFlag, int
    184, 420, 407, 371, 376, 0,	//649  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    240, 463, 0,	//655  QTextCodec::ConversionFlag, int
    214, 214, 0,	//658  QSizePolicy::ControlType, QSizePolicy::ControlType
    125, 463, 0,	//661  QFontComboBox::FontFilter, int
    241, 463, 0,	//664  QTextDocument::FindFlag, int
    26, 25, 0,	//667  QDataStream&, QCursor&
    314, 114, 0,	//670  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    455, 461, 0,	//673  const QVector3D&, double
    317, 317, 0,	//676  Qt::MatchFlag, Qt::MatchFlag
    26, 255, 0,	//679  QDataStream&, QTransform&
    416, 400, 0,	//682  const QPolygon&, const QMatrix&
    478, 0,	//685  void*
    230, 92, 0,	//687  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    433, 219, 0,	//690  const QString&, QString::Null
    30, 408, 0,	//693  QDebug, const QPen&
    232, 232, 0,	//696  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    157, 463, 0,	//699  QLibrary::LoadHint, int
    26, 212, 0,	//702  QDataStream&, QSizeF&
    436, 458, 0,	//705  const QStringRef&, const char*
    184, 420, 407, 371, 463, 463, 376, 0,	//708  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    184, 420, 407, 371, 463, 463, 0,	//716  QPainter*, const QRect&, const QPalette&, bool, int, int
    242, 242, 0,	//723  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    181, 463, 0,	//726  QPaintEngine::DirtyFlag, int
    133, 463, 0,	//729  QGraphicsItem::GraphicsItemFlag, int
    415, 0,	//732  const QPointF&
    478, 468, 468, 468, 0,	//734  void*, size_t, size_t, size_t
    311, 311, 0,	//739  Qt::ItemFlag, Qt::ItemFlag
    26, 411, 0,	//742  QDataStream&, const QPixmap&
    473, 0,	//745  unsigned long long
    378, 433, 0,	//747  const QByteArray&, const QString&
    347, 122, 0,	//750  Qt::WindowType, QFlags<Qt::WindowType>
    30, 426, 0,	//753  QDebug, const QSize&
    415, 445, 0,	//756  const QPointF&, const QTransform&
    311, 113, 0,	//759  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    30, 455, 0,	//762  QDebug, const QVector3D&
    339, 120, 0,	//765  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    433, 372, 0,	//768  const QString&, char
    35, 58, 0,	//771  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    129, 463, 0,	//774  QGraphicsEffect::ChangeFlag, int
    184, 463, 463, 463, 463, 380, 463, 376, 0,	//777  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    184, 463, 463, 463, 463, 380, 0,	//786  QPainter*, int, int, int, int, const QColor&
    184, 463, 463, 463, 463, 380, 463, 0,	//793  QPainter*, int, int, int, int, const QColor&, int
    26, 447, 0,	//801  QDataStream&, const QUrl&
    478, 463, 468, 0,	//804  void*, int, size_t
    214, 85, 0,	//808  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    26, 449, 0,	//811  QDataStream&, const QVariant&
    26, 159, 0,	//814  QDataStream&, QLine&
    378, 463, 0,	//817  const QByteArray&, int
    4, 463, 0,	//820  QAbstractSpinBox::StepEnabledFlag, int
    30, 453, 0,	//823  QDebug, const QVector2D&
    314, 314, 0,	//826  Qt::KeyboardModifier, Qt::KeyboardModifier
    401, 457, 0,	//829  const QMatrix4x4&, const QVector4D&
    10, 463, 0,	//832  QAccessible::StateFlag, int
    184, 420, 380, 463, 376, 0,	//835  QPainter*, const QRect&, const QColor&, int, const QBrush*
    184, 420, 380, 0,	//841  QPainter*, const QRect&, const QColor&
    184, 420, 380, 463, 0,	//845  QPainter*, const QRect&, const QColor&, int
    29, 463, 0,	//850  QDateTimeEdit::Section, int
    476, 0,	//853  void(*)()
    275, 463, 0,	//855  Qt::AlignmentFlag, int
    413, 400, 0,	//858  const QPoint&, const QMatrix&
    314, 463, 0,	//861  Qt::KeyboardModifier, int
    311, 463, 0,	//864  Qt::ItemFlag, int
    306, 111, 0,	//867  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    26, 408, 0,	//870  QDataStream&, const QPen&
    413, 413, 0,	//873  const QPoint&, const QPoint&
    220, 463, 0,	//876  QString::SectionFlag, int
    347, 463, 0,	//879  Qt::WindowType, int
    272, 272, 0,	//882  QWidget::RenderFlag, QWidget::RenderFlag
    436, 433, 0,	//885  const QStringRef&, const QString&
    184, 420, 399, 411, 420, 399, 443, 59, 0,	//888  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    184, 420, 399, 411, 420, 399, 0,	//897  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    184, 420, 399, 411, 420, 399, 443, 0,	//904  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    394, 394, 0,	//912  const QLatin1String&, const QLatin1String&
    389, 389, 0,	//915  const QHashDummyValue&, const QHashDummyValue&
    458, 471, 0,	//918  const char*, unsigned int
    259, 259, 0,	//921  QUrl::FormattingOption, QUrl::FormattingOption
    23, 463, 0,	//924  QColorDialog::ColorDialogOption, int
    26, 147, 0,	//927  QDataStream&, QIcon&
    26, 416, 0,	//930  QDataStream&, const QPolygon&
    339, 463, 0,	//933  Qt::TouchPointState, int
    272, 105, 0,	//936  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    30, 399, 0,	//939  QDebug, const QMargins&
    244, 463, 0,	//942  QTextFormat::PageBreakFlag, int
    458, 0,	//945  const char*
    149, 463, 0,	//947  QImageIOPlugin::Capability, int
    30, 68, 0,	//950  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    142, 463, 0,	//953  QGraphicsView::CacheModeFlag, int
    2, 463, 0,	//956  QAbstractItemView::EditTrigger, int
    30, 457, 0,	//959  QDebug, const QVector4D&
    248, 249, 0,	//962  QTextStream&, QTextStream&(*)(QTextStream&)
    273, 463, 0,	//965  QWizard::WizardOption, int
    45, 463, 0,	//968  QFileDialog::Option, int
    225, 87, 0,	//971  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    401, 413, 0,	//974  const QMatrix4x4&, const QPoint&
    232, 94, 0,	//977  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    26, 41, 0,	//980  QDataStream&, QEasingCurve&
    135, 69, 0,	//983  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    171, 171, 0,	//986  QMdiArea::AreaOption, QMdiArea::AreaOption
    26, 216, 0,	//989  QDataStream&, QStandardItem&
    26, 396, 0,	//992  QDataStream&, const QLineF&
    44, 61, 0,	//995  QFile::Permission, QFlags<QFile::Permission>
    182, 463, 0,	//998  QPaintEngine::PaintEngineFeature, int
    30, 406, 0,	//1001  QDebug, const QPainterPath&
    373, 458, 471, 0,	//1004  char*, const char*, unsigned int
    23, 52, 0,	//1008  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    26, 15, 0,	//1011  QDataStream&, QBrush&
    26, 415, 0,	//1014  QDataStream&, const QPointF&
    26, 170, 0,	//1017  QDataStream&, QMatrix4x4&
    457, 0,	//1020  const QVector4D&
    30, 401, 0,	//1022  QDebug, const QMatrix4x4&
    447, 0,	//1025  const QUrl&
    143, 463, 0,	//1027  QGraphicsView::OptimizationFlag, int
    26, 243, 0,	//1030  QDataStream&, QTextFormat&
    463, 0,	//1033  int
    165, 463, 0,	//1035  QLocale::NumberOption, int
    26, 163, 0,	//1038  QDataStream&, QListWidgetItem&
    478, 468, 0,	//1041  void*, size_t
    129, 67, 0,	//1044  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    128, 66, 0,	//1047  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    433, 433, 0,	//1050  const QString&, const QString&
    232, 463, 0,	//1053  QStyleOptionToolButton::ToolButtonFeature, int
    173, 463, 0,	//1056  QMessageBox::StandardButton, int
    458, 458, 458, 463, 0,	//1059  const char*, const char*, const char*, int
    433, 436, 0,	//1064  const QString&, const QStringRef&
    30, 133, 0,	//1067  QDebug, QGraphicsItem::GraphicsItemFlag
    9, 50, 0,	//1070  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    156, 154, 0,	//1073  QKeySequence::StandardKey, QKeyEvent*
    214, 463, 0,	//1076  QSizePolicy::ControlType, int
    26, 213, 0,	//1079  QDataStream&, QSizePolicy&
    458, 436, 0,	//1082  const char*, const QStringRef&
    26, 168, 0,	//1085  QDataStream&, QMatrix&
    319, 463, 0,	//1088  Qt::MouseButton, int
    229, 91, 0,	//1091  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    26, 211, 0,	//1094  QDataStream&, QSize&
    34, 34, 0,	//1097  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    308, 308, 0,	//1100  Qt::InputMethodHint, Qt::InputMethodHint
    250, 250, 0,	//1103  QTextStream::NumberFlag, QTextStream::NumberFlag
    401, 415, 0,	//1106  const QMatrix4x4&, const QPointF&
    401, 0,	//1109  const QMatrix4x4&
    3, 48, 0,	//1111  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    461, 453, 0,	//1114  double, const QVector2D&
    151, 151, 0,	//1117  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    3, 463, 0,	//1120  QAbstractPrintDialog::PrintDialogOption, int
    26, 264, 0,	//1123  QDataStream&, QVariant::Type&
    333, 118, 0,	//1126  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    26, 455, 0,	//1129  QDataStream&, const QVector3D&
    396, 445, 0,	//1132  const QLineF&, const QTransform&
    436, 394, 0,	//1135  const QStringRef&, const QLatin1String&
    467, 0,	//1138  signed char
    26, 417, 0,	//1140  QDataStream&, const QPolygonF&
    26, 428, 0,	//1143  QDataStream&, const QSizeF&
    336, 119, 0,	//1146  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    461, 455, 0,	//1149  double, const QVector3D&
    26, 387, 0,	//1152  QDataStream&, const QFont&
    247, 101, 0,	//1155  QTextOption::Flag, QFlags<QTextOption::Flag>
    458, 458, 0,	//1158  const char*, const char*
    26, 237, 0,	//1161  QDataStream&, QTableWidgetItem&
    226, 88, 0,	//1164  QStyle::SubControl, QFlags<QStyle::SubControl>
    26, 453, 0,	//1167  QDataStream&, const QVector2D&
    26, 400, 0,	//1170  QDataStream&, const QMatrix&
    372, 433, 0,	//1173  char, const QString&
    185, 84, 0,	//1176  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    157, 157, 0,	//1179  QLibrary::LoadHint, QLibrary::LoadHint
    461, 401, 0,	//1182  double, const QMatrix4x4&
    143, 71, 0,	//1185  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    346, 346, 0,	//1188  Qt::WindowState, Qt::WindowState
    245, 245, 0,	//1191  QTextItem::RenderFlag, QTextItem::RenderFlag
    30, 447, 0,	//1194  QDebug, const QUrl&
    142, 142, 0,	//1197  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    259, 104, 0,	//1200  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    26, 199, 0,	//1203  QDataStream&, QPolygonF&
    257, 103, 0,	//1206  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    26, 188, 0,	//1209  QDataStream&, QPalette&
    26, 406, 0,	//1212  QDataStream&, const QPainterPath&
    10, 10, 0,	//1215  QAccessible::StateFlag, QAccessible::StateFlag
    421, 421, 0,	//1218  const QRectF&, const QRectF&
    461, 426, 0,	//1221  double, const QSize&
    154, 156, 0,	//1224  QKeyEvent*, QKeySequence::StandardKey
    44, 44, 0,	//1227  QFile::Permission, QFile::Permission
    404, 0,	//1230  const QModelIndex&
    142, 70, 0,	//1232  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    226, 226, 0,	//1235  QStyle::SubControl, QStyle::SubControl
    30, 395, 0,	//1238  QDebug, const QLine&
    2, 47, 0,	//1241  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    26, 200, 0,	//1244  QDataStream&, QQuaternion&
    457, 401, 0,	//1247  const QVector4D&, const QMatrix4x4&
    26, 374, 0,	//1250  QDataStream&, const QBitArray&
    400, 400, 0,	//1253  const QMatrix&, const QMatrix&
    233, 233, 0,	//1256  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    478, 460, 468, 0,	//1259  void*, const void*, size_t
    461, 413, 0,	//1263  double, const QPoint&
    166, 78, 0,	//1266  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    30, 134, 0,	//1269  QDebug, QGraphicsObject*
    30, 404, 0,	//1272  QDebug, const QModelIndex&
    466, 0,	//1275  short
    30, 383, 0,	//1277  QDebug, const QDateTime&
    172, 172, 0,	//1280  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    26, 413, 0,	//1283  QDataStream&, const QPoint&
    26, 391, 0,	//1286  QDataStream&, const QImage&
    461, 419, 0,	//1289  double, const QQuaternion&
    378, 372, 0,	//1292  const QByteArray&, char
    241, 241, 0,	//1295  QTextDocument::FindFlag, QTextDocument::FindFlag
    30, 393, 0,	//1298  QDebug, const QKeySequence&
    181, 82, 0,	//1301  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    31, 31, 0,	//1304  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    9, 9, 0,	//1307  QAccessible::RelationFlag, QAccessible::RelationFlag
    30, 405, 0,	//1310  QDebug, const QObject*
    135, 135, 0,	//1313  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    30, 386, 0,	//1316  QDebug, const QEvent*
    462, 462, 0,	//1319  float, float
    26, 124, 0,	//1322  QDataStream&, QFont&
    33, 56, 0,	//1325  QDir::SortFlag, QFlags<QDir::SortFlag>
    373, 468, 458, 475, 0,	//1328  char*, size_t, const char*, va_list
    151, 74, 0,	//1333  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    220, 86, 0,	//1336  QString::SectionFlag, QFlags<QString::SectionFlag>
    26, 426, 0,	//1339  QDataStream&, const QSize&
    153, 75, 0,	//1342  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    26, 204, 0,	//1345  QDataStream&, QRectF&
    240, 96, 0,	//1348  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    30, 72, 0,	//1351  QDebug, QFlags<QIODevice::OpenModeFlag>
    26, 379, 0,	//1354  QDataStream&, const QChar&
    371, 14, 0,	//1357  bool, QBool
    472, 0,	//1360  unsigned long
    30, 421, 0,	//1362  QDebug, const QRectF&
    127, 463, 0,	//1365  QGestureRecognizer::ResultFlag, int
    416, 445, 0,	//1368  const QPolygon&, const QTransform&
    14, 371, 0,	//1371  QBool, bool
    346, 463, 0,	//1374  Qt::WindowState, int
    233, 95, 0,	//1377  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    26, 246, 0,	//1380  QDataStream&, QTextLength&
    26, 222, 0,	//1383  QDataStream&, QStringList&
    26, 420, 0,	//1386  QDataStream&, const QRect&
    26, 424, 0,	//1389  QDataStream&, const QRegion&
    294, 294, 0,	//1392  Qt::DockWidgetArea, Qt::DockWidgetArea
    30, 400, 0,	//1395  QDebug, const QMatrix&
    128, 463, 0,	//1398  QGraphicsBlurEffect::BlurHint, int
    165, 77, 0,	//1401  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    247, 247, 0,	//1404  QTextOption::Flag, QTextOption::Flag
    26, 380, 0,	//1407  QDataStream&, const QColor&
    347, 347, 0,	//1410  Qt::WindowType, Qt::WindowType
    29, 29, 0,	//1413  QDateTimeEdit::Section, QDateTimeEdit::Section
    426, 461, 0,	//1416  const QSize&, double
    401, 455, 0,	//1419  const QMatrix4x4&, const QVector3D&
    219, 433, 0,	//1422  QString::Null, const QString&
    30, 375, 0,	//1425  QDebug, const QBrush&
    33, 33, 0,	//1428  QDir::SortFlag, QDir::SortFlag
    308, 112, 0,	//1431  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    26, 193, 0,	//1434  QDataStream&, QPoint&
    30, 415, 0,	//1437  QDebug, const QPointF&
    405, 433, 423, 402, 162, 0,	//1440  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    26, 28, 0,	//1446  QDataStream&, QDateTime&
    228, 228, 0,	//1449  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    26, 444, 0,	//1452  QDataStream&, const QTime&
    26, 256, 0,	//1455  QDataStream&, QTreeWidgetItem&
    26, 155, 0,	//1458  QDataStream&, QKeySequence&
    242, 463, 0,	//1461  QTextEdit::AutoFormattingFlag, int
    26, 448, 0,	//1464  QDataStream&, const QUuid&
    248, 251, 0,	//1467  QTextStream&, QTextStreamManipulator
    149, 73, 0,	//1470  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    26, 442, 0,	//1473  QDataStream&, const QTextLength&
    424, 445, 0,	//1476  const QRegion&, const QTransform&
    415, 401, 0,	//1479  const QPointF&, const QMatrix4x4&
    30, 130, 0,	//1482  QDebug, QGraphicsItem*
    35, 463, 0,	//1485  QDockWidget::DockWidgetFeature, int
    26, 397, 0,	//1488  QDataStream&, const QListWidgetItem&
    220, 220, 0,	//1491  QString::SectionFlag, QString::SectionFlag
    468, 468, 0,	//1494  size_t, size_t
    135, 463, 0,	//1497  QGraphicsScene::SceneLayer, int
    250, 463, 0,	//1500  QTextStream::NumberFlag, int
    459, 463, 463, 0,	//1503  const unsigned char*, int, int
    459, 463, 0,	//1507  const unsigned char*, int
    146, 463, 0,	//1510  QIODevice::OpenModeFlag, int
    30, 438, 0,	//1513  QDebug, const QStyleOption::OptionType&
    301, 110, 0,	//1516  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    26, 431, 0,	//1519  QDataStream&, const QStandardItem&
    417, 400, 0,	//1522  const QPolygonF&, const QMatrix&
    9, 463, 0,	//1525  QAccessible::RelationFlag, int
    413, 0,	//1528  const QPoint&
    26, 197, 0,	//1530  QDataStream&, QPolygon&
    184, 420, 399, 411, 0,	//1533  QPainter*, const QRect&, const QMargins&, const QPixmap&
    125, 63, 0,	//1538  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    45, 45, 0,	//1541  QFileDialog::Option, QFileDialog::Option
    171, 463, 0,	//1544  QMdiArea::AreaOption, int
    26, 218, 0,	//1547  QDataStream&, QString&
    29, 53, 0,	//1550  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    31, 54, 0,	//1553  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    184, 413, 413, 407, 371, 463, 463, 0,	//1556  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    184, 413, 413, 407, 0,	//1564  QPainter*, const QPoint&, const QPoint&, const QPalette&
    184, 413, 413, 407, 371, 0,	//1569  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    184, 413, 413, 407, 371, 463, 0,	//1575  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    153, 153, 0,	//1582  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    26, 433, 0,	//1585  QDataStream&, const QString&
    26, 385, 0,	//1588  QDataStream&, const QEasingCurve&
    248, 215, 0,	//1591  QTextStream&, QSplitter&
    26, 401, 0,	//1594  QDataStream&, const QMatrix4x4&
    26, 19, 0,	//1597  QDataStream&, QChar&
    26, 457, 0,	//1600  QDataStream&, const QVector4D&
    225, 225, 0,	//1603  QStyle::StateFlag, QStyle::StateFlag
    392, 0,	//1606  const QItemSelectionRange&
    333, 333, 0,	//1608  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    26, 191, 0,	//1611  QDataStream&, QPixmap&
    433, 378, 0,	//1614  const QString&, const QByteArray&
    43, 43, 0,	//1617  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    413, 401, 0,	//1620  const QPoint&, const QMatrix4x4&
    26, 202, 0,	//1623  QDataStream&, QRect&
    1, 463, 0,	//1626  QAbstractFileEngine::FileFlag, int
    126, 64, 0,	//1629  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    143, 143, 0,	//1632  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    350, 458, 0,	//1635  QtMsgType, const char*
    306, 463, 0,	//1638  Qt::ImageConversionFlag, int
    455, 0,	//1641  const QVector3D&
    227, 89, 0,	//1643  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    23, 23, 0,	//1646  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    30, 420, 0,	//1649  QDebug, const QRect&
    26, 390, 0,	//1652  QDataStream&, const QIcon&
    26, 450, 0,	//1655  QDataStream&, const QVariant::Type
    26, 267, 0,	//1658  QDataStream&, QVector3D&
    233, 463, 0,	//1661  QStyleOptionViewItemV2::ViewItemFeature, int
    461, 457, 0,	//1664  double, const QVector4D&
    26, 161, 0,	//1667  QDataStream&, QLineF&
    26, 187, 0,	//1670  QDataStream&, QPainterPath&
    133, 68, 0,	//1673  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    26, 190, 0,	//1676  QDataStream&, QPicture&
    339, 339, 0,	//1679  Qt::TouchPointState, Qt::TouchPointState
    245, 100, 0,	//1682  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    333, 463, 0,	//1685  Qt::TextInteractionFlag, int
    413, 445, 0,	//1688  const QPoint&, const QTransform&
    228, 463, 0,	//1691  QStyleOptionFrameV2::FrameFeature, int
    31, 463, 0,	//1694  QDialogButtonBox::StandardButton, int
    231, 231, 0,	//1697  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    26, 265, 0,	//1700  QDataStream&, QVector2D&
    245, 463, 0,	//1703  QTextItem::RenderFlag, int
    372, 0,	//1706  char
    26, 383, 0,	//1708  QDataStream&, const QDateTime&
    166, 463, 0,	//1711  QMainWindow::DockOption, int
    26, 252, 0,	//1714  QDataStream&, QTime&
    244, 99, 0,	//1717  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    306, 306, 0,	//1720  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    30, 419, 0,	//1723  QDebug, const QQuaternion&
    228, 90, 0,	//1726  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    26, 441, 0,	//1729  QDataStream&, const QTextFormat&
    296, 109, 0,	//1732  Qt::DropAction, QFlags<Qt::DropAction>
    172, 463, 0,	//1735  QMdiSubWindow::SubWindowOption, int
    296, 296, 0,	//1738  Qt::DropAction, Qt::DropAction
    128, 128, 0,	//1741  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    321, 463, 0,	//1744  Qt::Orientation, int
    149, 149, 0,	//1747  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    26, 419, 0,	//1750  QDataStream&, const QQuaternion&
    30, 384, 0,	//1753  QDebug, const QDir&
    424, 400, 0,	//1756  const QRegion&, const QMatrix&
    30, 424, 0,	//1759  QDebug, const QRegion&
    26, 258, 0,	//1762  QDataStream&, QUrl&
    157, 76, 0,	//1765  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    247, 463, 0,	//1768  QTextOption::Flag, int
    433, 18, 0,	//1771  const QString&, QChar
    463, 463, 463, 463, 0,	//1774  int, int, int, int
    321, 117, 0,	//1779  Qt::Orientation, QFlags<Qt::Orientation>
    231, 93, 0,	//1782  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    166, 166, 0,	//1785  QMainWindow::DockOption, QMainWindow::DockOption
    468, 0,	//1788  size_t
    30, 449, 0,	//1790  QDebug, const QVariant&
    165, 165, 0,	//1793  QLocale::NumberOption, QLocale::NumberOption
    26, 398, 0,	//1796  QDataStream&, const QLocale&
    388, 312, 0,	//1799  const QGraphicsItem*, Qt::ItemSelectionMode
    406, 312, 0,	//1802  const QPainterPath&, Qt::ItemSelectionMode
    388, 0,	//1805  const QGraphicsItem*
    130, 42, 0,	//1807  QGraphicsItem*, QEvent*
    42, 0,	//1810  QEvent*
    136, 0,	//1812  QGraphicsSceneContextMenuEvent*
    137, 0,	//1814  QGraphicsSceneDragDropEvent*
    123, 0,	//1816  QFocusEvent*
    138, 0,	//1818  QGraphicsSceneHoverEvent*
    154, 0,	//1820  QKeyEvent*
    139, 0,	//1822  QGraphicsSceneMouseEvent*
    140, 0,	//1824  QGraphicsSceneWheelEvent*
    152, 0,	//1826  QInputMethodEvent*
    309, 0,	//1828  Qt::InputMethodQuery
    132, 449, 0,	//1830  QGraphicsItem::GraphicsItemChange, const QVariant&
    131, 0,	//1833  QGraphicsItem::Extension
    131, 449, 0,	//1835  QGraphicsItem::Extension, const QVariant&
    449, 0,	//1838  const QVariant&
    174, 463, 479, 0,	//1840  QMetaObject::Call, int, void**
    130, 0,	//1844  QGraphicsItem*
    433, 130, 0,	//1846  const QString&, QGraphicsItem*
    235, 0,	//1849  QSvgRenderer*
    371, 0,	//1851  bool
    426, 0,	//1853  const QSize&
    184, 439, 271, 0,	//1855  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    184, 439, 0,	//1859  QPainter*, const QStyleOptionGraphicsItem*
    177, 42, 0,	//1862  QObject*, QEvent*
    253, 0,	//1865  QTimerEvent*
    20, 0,	//1867  QChildEvent*
    420, 0,	//1869  const QRect&
    421, 0,	//1871  const QRectF&
    145, 0,	//1873  QIODevice*
    179, 0,	//1875  QPaintDevice::PaintDeviceMetric
    177, 0,	//1877  QObject*
    433, 177, 0,	//1879  const QString&, QObject*
    378, 177, 0,	//1882  const QByteArray&, QObject*
    274, 177, 0,	//1885  QXmlStreamReader*, QObject*
    274, 0,	//1888  QXmlStreamReader*
    184, 0,	//1890  QPainter*
    184, 421, 0,	//1892  QPainter*, const QRectF&
    184, 433, 421, 0,	//1895  QPainter*, const QString&, const QRectF&
    184, 433, 0,	//1899  QPainter*, const QString&
    271, 0,	//1902  QWidget*
    433, 271, 0,	//1904  const QString&, QWidget*
    183, 0,	//1907  QPaintEvent*
    175, 0,	//1909  QMouseEvent*
    270, 0,	//1911  QWheelEvent*
    176, 0,	//1913  QMoveEvent*
    208, 0,	//1915  QResizeEvent*
    21, 0,	//1917  QCloseEvent*
    24, 0,	//1919  QContextMenuEvent*
    238, 0,	//1921  QTabletEvent*
    11, 0,	//1923  QActionEvent*
    36, 0,	//1925  QDragEnterEvent*
    38, 0,	//1927  QDragMoveEvent*
    37, 0,	//1929  QDragLeaveEvent*
    40, 0,	//1931  QDropEvent*
    209, 0,	//1933  QShowEvent*
    144, 0,	//1935  QHideEvent*
    370, 0,	//1937  _XEvent*
    224, 0,	//1939  QStyle&
    407, 0,	//1941  const QPalette&
    387, 0,	//1943  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DeviceCoordinateCache",	//1
    "DrawChildren",	//2
    "DrawWindowBackground",	//3
    "IgnoreMask",	//4
    "ItemAcceptsInputMethod",	//5
    "ItemChildAddedChange",	//6
    "ItemChildRemovedChange",	//7
    "ItemClipsChildrenToShape",	//8
    "ItemClipsToShape",	//9
    "ItemCoordinateCache",	//10
    "ItemCursorChange",	//11
    "ItemCursorHasChanged",	//12
    "ItemDoesntPropagateOpacityToChildren",	//13
    "ItemEnabledChange",	//14
    "ItemEnabledHasChanged",	//15
    "ItemFlagsChange",	//16
    "ItemFlagsHaveChanged",	//17
    "ItemHasNoContents",	//18
    "ItemIgnoresParentOpacity",	//19
    "ItemIgnoresTransformations",	//20
    "ItemIsFocusScope",	//21
    "ItemIsFocusable",	//22
    "ItemIsMovable",	//23
    "ItemIsPanel",	//24
    "ItemIsSelectable",	//25
    "ItemMatrixChange",	//26
    "ItemNegativeZStacksBehindParent",	//27
    "ItemOpacityChange",	//28
    "ItemOpacityHasChanged",	//29
    "ItemParentChange",	//30
    "ItemParentHasChanged",	//31
    "ItemPositionChange",	//32
    "ItemPositionHasChanged",	//33
    "ItemRotationChange",	//34
    "ItemRotationHasChanged",	//35
    "ItemScaleChange",	//36
    "ItemScaleHasChanged",	//37
    "ItemSceneChange",	//38
    "ItemSceneHasChanged",	//39
    "ItemScenePositionHasChanged",	//40
    "ItemSelectedChange",	//41
    "ItemSelectedHasChanged",	//42
    "ItemSendsGeometryChanges",	//43
    "ItemSendsScenePositionChanges",	//44
    "ItemStacksBehindParent",	//45
    "ItemToolTipChange",	//46
    "ItemToolTipHasChanged",	//47
    "ItemTransformChange",	//48
    "ItemTransformHasChanged",	//49
    "ItemTransformOriginPointChange",	//50
    "ItemTransformOriginPointHasChanged",	//51
    "ItemUsesExtendedStyleOption",	//52
    "ItemVisibleChange",	//53
    "ItemVisibleHasChanged",	//54
    "ItemZValueChange",	//55
    "ItemZValueHasChanged",	//56
    "LicensedActiveQt",	//57
    "LicensedCore",	//58
    "LicensedDBus",	//59
    "LicensedDeclarative",	//60
    "LicensedGui",	//61
    "LicensedHelp",	//62
    "LicensedMultimedia",	//63
    "LicensedNetwork",	//64
    "LicensedOpenGL",	//65
    "LicensedOpenVG",	//66
    "LicensedQt3Support",	//67
    "LicensedQt3SupportLight",	//68
    "LicensedScript",	//69
    "LicensedScriptTools",	//70
    "LicensedSql",	//71
    "LicensedSvg",	//72
    "LicensedTest",	//73
    "LicensedXml",	//74
    "LicensedXmlPatterns",	//75
    "NoCache",	//76
    "NonModal",	//77
    "PanelModal",	//78
    "PdmDepth",	//79
    "PdmDpiX",	//80
    "PdmDpiY",	//81
    "PdmHeight",	//82
    "PdmHeightMM",	//83
    "PdmNumColors",	//84
    "PdmPhysicalDpiX",	//85
    "PdmPhysicalDpiY",	//86
    "PdmWidth",	//87
    "PdmWidthMM",	//88
    "QGraphicsSvgItem",	//89
    "QGraphicsSvgItem#",	//90
    "QGraphicsSvgItem$",	//91
    "QGraphicsSvgItem$#",	//92
    "QSvgGenerator",	//93
    "QSvgRenderer",	//94
    "QSvgRenderer#",	//95
    "QSvgRenderer##",	//96
    "QSvgRenderer$",	//97
    "QSvgRenderer$#",	//98
    "QSvgWidget",	//99
    "QSvgWidget#",	//100
    "QSvgWidget$",	//101
    "QSvgWidget$#",	//102
    "Q_COMPLEX_TYPE",	//103
    "Q_DUMMY_TYPE",	//104
    "Q_MOVABLE_TYPE",	//105
    "Q_PRIMITIVE_TYPE",	//106
    "Q_STATIC_TYPE",	//107
    "QtCriticalMsg",	//108
    "QtDebugMsg",	//109
    "QtFatalMsg",	//110
    "QtSystemMsg",	//111
    "QtWarningMsg",	//112
    "SceneModal",	//113
    "Type",	//114
    "UserExtension",	//115
    "UserType",	//116
    "actionEvent",	//117
    "advance",	//118
    "animated",	//119
    "animationDuration",	//120
    "boundingRect",	//121
    "boundsOnElement",	//122
    "boundsOnElement$",	//123
    "changeEvent",	//124
    "childEvent",	//125
    "closeEvent",	//126
    "collidesWithItem",	//127
    "collidesWithPath",	//128
    "connectNotify",	//129
    "contains",	//130
    "contextMenuEvent",	//131
    "currentFrame",	//132
    "customEvent",	//133
    "defaultSize",	//134
    "description",	//135
    "devType",	//136
    "disconnectNotify",	//137
    "dragEnterEvent",	//138
    "dragLeaveEvent",	//139
    "dragMoveEvent",	//140
    "dropEvent",	//141
    "elementExists",	//142
    "elementExists$",	//143
    "elementId",	//144
    "enabledChange",	//145
    "enterEvent",	//146
    "event",	//147
    "eventFilter",	//148
    "extension",	//149
    "fileName",	//150
    "focusInEvent",	//151
    "focusNextPrevChild",	//152
    "focusOutEvent",	//153
    "fontChange",	//154
    "framesPerSecond",	//155
    "heightForWidth",	//156
    "hideEvent",	//157
    "hoverEnterEvent",	//158
    "hoverLeaveEvent",	//159
    "hoverMoveEvent",	//160
    "inputMethodEvent",	//161
    "inputMethodQuery",	//162
    "isCachingEnabled",	//163
    "isObscuredBy",	//164
    "isValid",	//165
    "itemChange",	//166
    "keyPressEvent",	//167
    "keyReleaseEvent",	//168
    "languageChange",	//169
    "leaveEvent",	//170
    "load",	//171
    "load#",	//172
    "load$",	//173
    "matrixForElement",	//174
    "matrixForElement$",	//175
    "maximumCacheSize",	//176
    "metaObject",	//177
    "metric",	//178
    "metric$",	//179
    "minimumSizeHint",	//180
    "mouseDoubleClickEvent",	//181
    "mouseMoveEvent",	//182
    "mousePressEvent",	//183
    "mouseReleaseEvent",	//184
    "moveEvent",	//185
    "opaqueArea",	//186
    "operator!=",	//187
    "operator!=##",	//188
    "operator!=#$",	//189
    "operator!=$#",	//190
    "operator!=$$",	//191
    "operator&",	//192
    "operator&##",	//193
    "operator*",	//194
    "operator*##",	//195
    "operator*#$",	//196
    "operator*$#",	//197
    "operator+",	//198
    "operator+##",	//199
    "operator+#$",	//200
    "operator+$#",	//201
    "operator+$$",	//202
    "operator-",	//203
    "operator-#",	//204
    "operator-##",	//205
    "operator-#$",	//206
    "operator/",	//207
    "operator/#$",	//208
    "operator<",	//209
    "operator<##",	//210
    "operator<#$",	//211
    "operator<$#",	//212
    "operator<$$",	//213
    "operator<<",	//214
    "operator<<##",	//215
    "operator<<#$",	//216
    "operator<<#?",	//217
    "operator<=",	//218
    "operator<=##",	//219
    "operator<=#$",	//220
    "operator<=$#",	//221
    "operator<=$$",	//222
    "operator==",	//223
    "operator==##",	//224
    "operator==#$",	//225
    "operator==$#",	//226
    "operator==$$",	//227
    "operator>",	//228
    "operator>##",	//229
    "operator>#$",	//230
    "operator>$#",	//231
    "operator>$$",	//232
    "operator>=",	//233
    "operator>=##",	//234
    "operator>=#$",	//235
    "operator>=$#",	//236
    "operator>=$$",	//237
    "operator>>",	//238
    "operator>>##",	//239
    "operator>>#$",	//240
    "operator>>#?",	//241
    "operator^",	//242
    "operator^##",	//243
    "operator|",	//244
    "operator|##",	//245
    "operator|$$",	//246
    "outputDevice",	//247
    "paint",	//248
    "paint##",	//249
    "paint###",	//250
    "paintEngine",	//251
    "paintEvent",	//252
    "paintEvent#",	//253
    "paletteChange",	//254
    "qAccessibleActionCastHelper",	//255
    "qAccessibleEditableTextCastHelper",	//256
    "qAccessibleImageCastHelper",	//257
    "qAccessibleTableCastHelper",	//258
    "qAccessibleTextCastHelper",	//259
    "qAccessibleValueCastHelper",	//260
    "qAcos",	//261
    "qAcos$",	//262
    "qAddPostRoutine",	//263
    "qAddPostRoutine$",	//264
    "qAlpha",	//265
    "qAlpha$",	//266
    "qAppName",	//267
    "qAsin",	//268
    "qAsin$",	//269
    "qAtan",	//270
    "qAtan$",	//271
    "qAtan2",	//272
    "qAtan2$$",	//273
    "qBadAlloc",	//274
    "qBlue",	//275
    "qBlue$",	//276
    "qCeil",	//277
    "qCeil$",	//278
    "qChecksum",	//279
    "qChecksum$$",	//280
    "qCompress",	//281
    "qCompress#",	//282
    "qCompress#$",	//283
    "qCompress$$",	//284
    "qCompress$$$",	//285
    "qCos",	//286
    "qCos$",	//287
    "qCritical",	//288
    "qDebug",	//289
    "qDrawBorderPixmap",	//290
    "qDrawBorderPixmap####",	//291
    "qDrawBorderPixmap######",	//292
    "qDrawBorderPixmap#######",	//293
    "qDrawBorderPixmap#######$",	//294
    "qDrawPlainRect",	//295
    "qDrawPlainRect###",	//296
    "qDrawPlainRect###$",	//297
    "qDrawPlainRect###$#",	//298
    "qDrawPlainRect#$$$$#",	//299
    "qDrawPlainRect#$$$$#$",	//300
    "qDrawPlainRect#$$$$#$#",	//301
    "qDrawShadeLine",	//302
    "qDrawShadeLine####",	//303
    "qDrawShadeLine####$",	//304
    "qDrawShadeLine####$$",	//305
    "qDrawShadeLine####$$$",	//306
    "qDrawShadeLine#$$$$#",	//307
    "qDrawShadeLine#$$$$#$",	//308
    "qDrawShadeLine#$$$$#$$",	//309
    "qDrawShadeLine#$$$$#$$$",	//310
    "qDrawShadePanel",	//311
    "qDrawShadePanel###",	//312
    "qDrawShadePanel###$",	//313
    "qDrawShadePanel###$$",	//314
    "qDrawShadePanel###$$#",	//315
    "qDrawShadePanel#$$$$#",	//316
    "qDrawShadePanel#$$$$#$",	//317
    "qDrawShadePanel#$$$$#$$",	//318
    "qDrawShadePanel#$$$$#$$#",	//319
    "qDrawShadeRect",	//320
    "qDrawShadeRect###",	//321
    "qDrawShadeRect###$",	//322
    "qDrawShadeRect###$$",	//323
    "qDrawShadeRect###$$$",	//324
    "qDrawShadeRect###$$$#",	//325
    "qDrawShadeRect#$$$$#",	//326
    "qDrawShadeRect#$$$$#$",	//327
    "qDrawShadeRect#$$$$#$$",	//328
    "qDrawShadeRect#$$$$#$$$",	//329
    "qDrawShadeRect#$$$$#$$$#",	//330
    "qDrawWinButton",	//331
    "qDrawWinButton###",	//332
    "qDrawWinButton###$",	//333
    "qDrawWinButton###$#",	//334
    "qDrawWinButton#$$$$#",	//335
    "qDrawWinButton#$$$$#$",	//336
    "qDrawWinButton#$$$$#$#",	//337
    "qDrawWinPanel",	//338
    "qDrawWinPanel###",	//339
    "qDrawWinPanel###$",	//340
    "qDrawWinPanel###$#",	//341
    "qDrawWinPanel#$$$$#",	//342
    "qDrawWinPanel#$$$$#$",	//343
    "qDrawWinPanel#$$$$#$#",	//344
    "qExp",	//345
    "qExp$",	//346
    "qFabs",	//347
    "qFabs$",	//348
    "qFastCos",	//349
    "qFastCos$",	//350
    "qFastSin",	//351
    "qFastSin$",	//352
    "qFlagLocation",	//353
    "qFlagLocation$",	//354
    "qFloor",	//355
    "qFloor$",	//356
    "qFree",	//357
    "qFree$",	//358
    "qFreeAligned",	//359
    "qFreeAligned$",	//360
    "qFuzzyCompare",	//361
    "qFuzzyCompare##",	//362
    "qFuzzyCompare$$",	//363
    "qFuzzyIsNull",	//364
    "qFuzzyIsNull$",	//365
    "qGray",	//366
    "qGray$",	//367
    "qGray$$$",	//368
    "qGreen",	//369
    "qGreen$",	//370
    "qHash",	//371
    "qHash#",	//372
    "qHash$",	//373
    "qHash?",	//374
    "qInf",	//375
    "qInstallMsgHandler",	//376
    "qInstallMsgHandler$",	//377
    "qIntCast",	//378
    "qIntCast$",	//379
    "qIsFinite",	//380
    "qIsFinite$",	//381
    "qIsGray",	//382
    "qIsGray$",	//383
    "qIsInf",	//384
    "qIsInf$",	//385
    "qIsNaN",	//386
    "qIsNaN$",	//387
    "qIsNull",	//388
    "qIsNull$",	//389
    "qLn",	//390
    "qLn$",	//391
    "qMalloc",	//392
    "qMalloc?",	//393
    "qMallocAligned",	//394
    "qMallocAligned??",	//395
    "qMemCopy",	//396
    "qMemCopy$$?",	//397
    "qMemSet",	//398
    "qMemSet$$?",	//399
    "qPow",	//400
    "qPow$$",	//401
    "qQNaN",	//402
    "qRealloc",	//403
    "qRealloc$?",	//404
    "qReallocAligned",	//405
    "qReallocAligned$???",	//406
    "qRed",	//407
    "qRed$",	//408
    "qRegisterStaticPluginInstanceFunction",	//409
    "qRegisterStaticPluginInstanceFunction#",	//410
    "qRemovePostRoutine",	//411
    "qRemovePostRoutine$",	//412
    "qRgb",	//413
    "qRgb$$$",	//414
    "qRgba",	//415
    "qRgba$$$$",	//416
    "qRound",	//417
    "qRound$",	//418
    "qRound64",	//419
    "qRound64$",	//420
    "qSNaN",	//421
    "qSetFieldWidth",	//422
    "qSetFieldWidth$",	//423
    "qSetPadChar",	//424
    "qSetPadChar#",	//425
    "qSetRealNumberPrecision",	//426
    "qSetRealNumberPrecision$",	//427
    "qSharedBuild",	//428
    "qSin",	//429
    "qSin$",	//430
    "qSqrt",	//431
    "qSqrt$",	//432
    "qStringComparisonHelper",	//433
    "qStringComparisonHelper#$",	//434
    "qStringComparisonHelper$$",	//435
    "qTan",	//436
    "qTan$",	//437
    "qUncompress",	//438
    "qUncompress#",	//439
    "qUncompress$$",	//440
    "qVersion",	//441
    "qWarning",	//442
    "qbswap_helper",	//443
    "qbswap_helper$$$",	//444
    "qgetenv",	//445
    "qgetenv$",	//446
    "qputenv",	//447
    "qputenv$#",	//448
    "qrand",	//449
    "qsrand",	//450
    "qsrand$",	//451
    "qstrcmp",	//452
    "qstrcmp##",	//453
    "qstrcmp#$",	//454
    "qstrcmp$#",	//455
    "qstrcmp$$",	//456
    "qstrcpy",	//457
    "qstrcpy$$",	//458
    "qstrdup",	//459
    "qstrdup$",	//460
    "qstricmp",	//461
    "qstricmp$$",	//462
    "qstrlen",	//463
    "qstrlen$",	//464
    "qstrncmp",	//465
    "qstrncmp$$$",	//466
    "qstrncpy",	//467
    "qstrncpy$$$",	//468
    "qstrnicmp",	//469
    "qstrnicmp$$$",	//470
    "qstrnlen",	//471
    "qstrnlen$$",	//472
    "qtTrId",	//473
    "qtTrId$",	//474
    "qtTrId$$",	//475
    "qt_assert",	//476
    "qt_assert$$$",	//477
    "qt_assert_x",	//478
    "qt_assert_x$$$$",	//479
    "qt_check_pointer",	//480
    "qt_check_pointer$$",	//481
    "qt_error_string",	//482
    "qt_error_string$",	//483
    "qt_message_output",	//484
    "qt_message_output$$",	//485
    "qt_metacall",	//486
    "qt_metacall$$?",	//487
    "qt_metacast",	//488
    "qt_metacast$",	//489
    "qt_noop",	//490
    "qt_qFindChild_helper",	//491
    "qt_qFindChild_helper#$#",	//492
    "qt_qFindChildren_helper",	//493
    "qt_qFindChildren_helper#$##?",	//494
    "qvariant_cast_helper",	//495
    "qvariant_cast_helper#$$",	//496
    "qvsnprintf",	//497
    "qvsnprintf$?$?",	//498
    "render",	//499
    "render#",	//500
    "render##",	//501
    "render#$",	//502
    "render#$#",	//503
    "renderer",	//504
    "repaintNeeded",	//505
    "resizeEvent",	//506
    "resolution",	//507
    "sceneEvent",	//508
    "sceneEventFilter",	//509
    "setCachingEnabled",	//510
    "setCachingEnabled$",	//511
    "setCurrentFrame",	//512
    "setCurrentFrame$",	//513
    "setDescription",	//514
    "setDescription$",	//515
    "setElementId",	//516
    "setElementId$",	//517
    "setExtension",	//518
    "setFileName",	//519
    "setFileName$",	//520
    "setFramesPerSecond",	//521
    "setFramesPerSecond$",	//522
    "setMaximumCacheSize",	//523
    "setMaximumCacheSize#",	//524
    "setOutputDevice",	//525
    "setOutputDevice#",	//526
    "setResolution",	//527
    "setResolution$",	//528
    "setSharedRenderer",	//529
    "setSharedRenderer#",	//530
    "setSize",	//531
    "setSize#",	//532
    "setTitle",	//533
    "setTitle$",	//534
    "setViewBox",	//535
    "setViewBox#",	//536
    "setVisible",	//537
    "shape",	//538
    "showEvent",	//539
    "size",	//540
    "sizeHint",	//541
    "staticMetaObject",	//542
    "styleChange",	//543
    "supportsExtension",	//544
    "tabletEvent",	//545
    "timerEvent",	//546
    "title",	//547
    "tr",	//548
    "tr$",	//549
    "tr$$",	//550
    "tr$$$",	//551
    "trUtf8",	//552
    "trUtf8$",	//553
    "trUtf8$$",	//554
    "trUtf8$$$",	//555
    "type",	//556
    "viewBox",	//557
    "viewBoxF",	//558
    "wheelEvent",	//559
    "windowActivationChange",	//560
    "x11Event",	//561
    "~QGraphicsSvgItem",	//562
    "~QSvgGenerator",	//563
    "~QSvgRenderer",	//564
    "~QSvgWidget",	//565
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 192, 1, 2, Smoke::mf_static, 12, 1},	//1 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {26, 288, 0, 0, Smoke::mf_static, 30, 2},	//2 QGlobalSpace::qCritical()
    {26, 371, 4, 1, Smoke::mf_static, 471, 3},	//3 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {26, 244, 6, 2, Smoke::mf_static, 150, 4},	//4 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {26, 476, 9, 3, Smoke::mf_static, 0, 5},	//5 QGlobalSpace::qt_assert(const char*, const char*, int)
    {26, 244, 13, 2, Smoke::mf_static, 65, 6},	//6 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {26, 194, 16, 2, Smoke::mf_static, 412, 7},	//7 QGlobalSpace::operator*(const QPoint&, double)
    {26, 384, 19, 1, Smoke::mf_static, 371, 8},	//8 QGlobalSpace::qIsInf(double)
    {26, 214, 21, 2, Smoke::mf_static, 30, 9},	//9 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {26, 194, 24, 2, Smoke::mf_static, 414, 10},	//10 QGlobalSpace::operator*(double, const QPointF&)
    {26, 244, 27, 2, Smoke::mf_static, 116, 11},	//11 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {26, 187, 30, 2, Smoke::mf_static, 371, 12},	//12 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {26, 214, 33, 2, Smoke::mf_static, 30, 13},	//13 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {26, 194, 36, 2, Smoke::mf_static, 427, 14},	//14 QGlobalSpace::operator*(double, const QSizeF&)
    {26, 244, 39, 2, Smoke::mf_static, 150, 15},	//15 QGlobalSpace::operator|(QDir::SortFlag, int)
    {26, 244, 42, 2, Smoke::mf_static, 47, 16},	//16 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {26, 214, 45, 2, Smoke::mf_static, 30, 17},	//17 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {26, 238, 48, 2, Smoke::mf_static, 26, 18},	//18 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {26, 214, 51, 2, Smoke::mf_static, 26, 19},	//19 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {26, 244, 54, 2, Smoke::mf_static, 150, 20},	//20 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {26, 244, 57, 2, Smoke::mf_static, 150, 21},	//21 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {26, 214, 60, 2, Smoke::mf_static, 30, 22},	//22 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {26, 457, 63, 2, Smoke::mf_static, 373, 23},	//23 QGlobalSpace::qstrcpy(char*, const char*)
    {26, 187, 66, 2, Smoke::mf_static, 371, 24},	//24 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {26, 198, 69, 2, Smoke::mf_static, 425, 25},	//25 QGlobalSpace::operator+(const QSize&, const QSize&)
    {26, 347, 19, 1, Smoke::mf_static, 461, 26},	//26 QGlobalSpace::qFabs(double)
    {26, 214, 72, 2, Smoke::mf_static, 26, 27},	//27 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {26, 244, 75, 2, Smoke::mf_static, 96, 28},	//28 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {26, 214, 78, 2, Smoke::mf_static, 30, 29},	//29 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {26, 402, 0, 0, Smoke::mf_static, 461, 30},	//30 QGlobalSpace::qQNaN()
    {26, 203, 81, 2, Smoke::mf_static, 169, 31},	//31 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {26, 371, 84, 1, Smoke::mf_static, 471, 32},	//32 QGlobalSpace::qHash(unsigned char)
    {26, 244, 86, 2, Smoke::mf_static, 55, 33},	//33 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {26, 203, 89, 2, Smoke::mf_static, 456, 34},	//34 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {26, 194, 92, 2, Smoke::mf_static, 194, 35},	//35 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {26, 244, 95, 2, Smoke::mf_static, 83, 36},	//36 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {26, 194, 98, 2, Smoke::mf_static, 158, 37},	//37 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {26, 441, 0, 0, Smoke::mf_static, 458, 38},	//38 QGlobalSpace::qVersion()
    {26, 361, 101, 2, Smoke::mf_static, 371, 39},	//39 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {26, 244, 104, 2, Smoke::mf_static, 60, 40},	//40 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {26, 223, 30, 2, Smoke::mf_static, 371, 41},	//41 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {26, 244, 107, 2, Smoke::mf_static, 121, 42},	//42 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {26, 194, 110, 2, Smoke::mf_static, 427, 43},	//43 QGlobalSpace::operator*(const QSizeF&, double)
    {26, 214, 113, 2, Smoke::mf_static, 26, 44},	//44 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {26, 244, 116, 2, Smoke::mf_static, 150, 45},	//45 QGlobalSpace::operator|(QDir::Filter, int)
    {26, 361, 119, 2, Smoke::mf_static, 371, 46},	//46 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {26, 228, 122, 2, Smoke::mf_static, 371, 47},	//47 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {26, 277, 19, 1, Smoke::mf_static, 463, 48},	//48 QGlobalSpace::qCeil(double)
    {26, 449, 0, 0, Smoke::mf_static, 463, 49},	//49 QGlobalSpace::qrand()
    {26, 366, 125, 1, Smoke::mf_static, 463, 50},	//50 QGlobalSpace::qGray(unsigned int)
    {26, 244, 127, 2, Smoke::mf_static, 62, 51},	//51 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {26, 203, 130, 2, Smoke::mf_static, 427, 52},	//52 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {26, 233, 133, 2, Smoke::mf_static, 371, 53},	//53 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {26, 223, 136, 2, Smoke::mf_static, 371, 54},	//54 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {26, 203, 139, 1, Smoke::mf_static, 418, 55},	//55 QGlobalSpace::operator-(const QQuaternion&)
    {26, 244, 141, 2, Smoke::mf_static, 48, 56},	//56 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {26, 244, 144, 2, Smoke::mf_static, 116, 57},	//57 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {26, 214, 147, 2, Smoke::mf_static, 30, 58},	//58 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {26, 407, 125, 1, Smoke::mf_static, 463, 59},	//59 QGlobalSpace::qRed(unsigned int)
    {26, 187, 150, 2, Smoke::mf_static, 371, 60},	//60 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {26, 194, 153, 2, Smoke::mf_static, 418, 61},	//61 QGlobalSpace::operator*(const QQuaternion&, double)
    {26, 223, 156, 2, Smoke::mf_static, 371, 62},	//62 QGlobalSpace::operator==(QBool, QBool)
    {26, 244, 159, 2, Smoke::mf_static, 92, 63},	//63 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {26, 244, 162, 2, Smoke::mf_static, 91, 64},	//64 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {26, 244, 165, 2, Smoke::mf_static, 63, 65},	//65 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {26, 244, 168, 2, Smoke::mf_static, 107, 66},	//66 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {26, 371, 171, 1, Smoke::mf_static, 471, 67},	//67 QGlobalSpace::qHash(const QStringRef&)
    {26, 244, 173, 2, Smoke::mf_static, 99, 68},	//68 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {26, 223, 176, 2, Smoke::mf_static, 371, 69},	//69 QGlobalSpace::operator==(QString::Null, QString::Null)
    {26, 214, 179, 2, Smoke::mf_static, 30, 70},	//70 QGlobalSpace::operator<<(QDebug, const QFont&)
    {26, 214, 182, 2, Smoke::mf_static, 30, 71},	//71 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {26, 214, 185, 2, Smoke::mf_static, 26, 72},	//72 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {26, 238, 188, 2, Smoke::mf_static, 26, 73},	//73 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {26, 265, 125, 1, Smoke::mf_static, 463, 74},	//74 QGlobalSpace::qAlpha(unsigned int)
    {26, 244, 191, 2, Smoke::mf_static, 150, 75},	//75 QGlobalSpace::operator|(QStyle::SubControl, int)
    {26, 244, 194, 2, Smoke::mf_static, 58, 76},	//76 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {26, 198, 197, 2, Smoke::mf_static, 432, 77},	//77 QGlobalSpace::operator+(QChar, const QString&)
    {26, 369, 125, 1, Smoke::mf_static, 463, 78},	//78 QGlobalSpace::qGreen(unsigned int)
    {26, 244, 200, 2, Smoke::mf_static, 72, 79},	//79 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {26, 203, 203, 1, Smoke::mf_static, 452, 80},	//80 QGlobalSpace::operator-(const QVector2D&)
    {26, 311, 205, 6, Smoke::mf_static, 0, 81},	//81 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {26, 311, 212, 3, Smoke::mf_static, 0, 82},	//82 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {26, 311, 216, 4, Smoke::mf_static, 0, 83},	//83 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 311, 221, 5, Smoke::mf_static, 0, 84},	//84 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 244, 227, 2, Smoke::mf_static, 55, 85},	//85 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {26, 214, 230, 2, Smoke::mf_static, 26, 86},	//86 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {26, 214, 233, 2, Smoke::mf_static, 30, 87},	//87 QGlobalSpace::operator<<(QDebug, const QTime&)
    {26, 194, 89, 2, Smoke::mf_static, 456, 88},	//88 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {26, 244, 236, 2, Smoke::mf_static, 97, 89},	//89 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {26, 194, 239, 2, Smoke::mf_static, 418, 90},	//90 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {26, 214, 242, 2, Smoke::mf_static, 26, 91},	//91 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {26, 214, 245, 2, Smoke::mf_static, 30, 92},	//92 QGlobalSpace::operator<<(QDebug, const QDate&)
    {26, 371, 248, 1, Smoke::mf_static, 471, 93},	//93 QGlobalSpace::qHash(const QBitArray&)
    {26, 244, 250, 2, Smoke::mf_static, 98, 94},	//94 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {26, 270, 19, 1, Smoke::mf_static, 461, 95},	//95 QGlobalSpace::qAtan(double)
    {26, 443, 253, 3, Smoke::mf_static, 0, 96},	//96 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {26, 244, 257, 2, Smoke::mf_static, 51, 97},	//97 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {26, 194, 260, 2, Smoke::mf_static, 198, 98},	//98 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {26, 495, 263, 3, Smoke::mf_static, 371, 99},	//99 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {26, 371, 267, 1, Smoke::mf_static, 471, 100},	//100 QGlobalSpace::qHash(const QString&)
    {26, 371, 269, 1, Smoke::mf_static, 471, 101},	//101 QGlobalSpace::qHash(unsigned short)
    {26, 409, 271, 1, Smoke::mf_static, 0, 102},	//102 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {26, 371, 273, 1, Smoke::mf_static, 471, 103},	//103 QGlobalSpace::qHash(long)
    {26, 244, 275, 2, Smoke::mf_static, 119, 104},	//104 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {26, 371, 278, 1, Smoke::mf_static, 471, 105},	//105 QGlobalSpace::qHash(long long)
    {26, 214, 280, 2, Smoke::mf_static, 30, 106},	//106 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {26, 198, 130, 2, Smoke::mf_static, 427, 107},	//107 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {26, 331, 283, 8, Smoke::mf_static, 0, 108},	//108 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 331, 292, 6, Smoke::mf_static, 0, 109},	//109 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {26, 331, 299, 7, Smoke::mf_static, 0, 110},	//110 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 244, 307, 2, Smoke::mf_static, 150, 111},	//111 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {26, 214, 310, 2, Smoke::mf_static, 30, 112},	//112 QGlobalSpace::operator<<(QDebug, const QColor&)
    {26, 244, 313, 2, Smoke::mf_static, 150, 113},	//113 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {26, 244, 316, 2, Smoke::mf_static, 150, 114},	//114 QGlobalSpace::operator|(Qt::DropAction, int)
    {26, 320, 319, 10, Smoke::mf_static, 0, 115},	//115 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {26, 320, 292, 6, Smoke::mf_static, 0, 116},	//116 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {26, 320, 299, 7, Smoke::mf_static, 0, 117},	//117 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 320, 330, 8, Smoke::mf_static, 0, 118},	//118 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 320, 339, 9, Smoke::mf_static, 0, 119},	//119 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 286, 19, 1, Smoke::mf_static, 461, 120},	//120 QGlobalSpace::qCos(double)
    {26, 214, 349, 2, Smoke::mf_static, 26, 121},	//121 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {26, 244, 352, 2, Smoke::mf_static, 46, 122},	//122 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {26, 238, 355, 2, Smoke::mf_static, 26, 123},	//123 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {26, 450, 125, 1, Smoke::mf_static, 0, 124},	//124 QGlobalSpace::qsrand(unsigned int)
    {26, 384, 358, 1, Smoke::mf_static, 371, 125},	//125 QGlobalSpace::qIsInf(float)
    {26, 244, 360, 2, Smoke::mf_static, 65, 126},	//126 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {26, 244, 363, 2, Smoke::mf_static, 107, 127},	//127 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {26, 238, 366, 2, Smoke::mf_static, 26, 128},	//128 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {26, 244, 369, 2, Smoke::mf_static, 150, 129},	//129 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {26, 214, 372, 2, Smoke::mf_static, 26, 130},	//130 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {26, 244, 375, 2, Smoke::mf_static, 150, 131},	//131 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {26, 244, 378, 2, Smoke::mf_static, 57, 132},	//132 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {26, 209, 381, 2, Smoke::mf_static, 371, 133},	//133 QGlobalSpace::operator<(const QByteArray&, const char*)
    {26, 244, 384, 2, Smoke::mf_static, 67, 134},	//134 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {26, 244, 387, 2, Smoke::mf_static, 150, 135},	//135 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {26, 214, 390, 2, Smoke::mf_static, 30, 136},	//136 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {26, 244, 393, 2, Smoke::mf_static, 108, 137},	//137 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {26, 244, 396, 2, Smoke::mf_static, 150, 138},	//138 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {26, 194, 399, 2, Smoke::mf_static, 158, 139},	//139 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {26, 442, 0, 0, Smoke::mf_static, 30, 140},	//140 QGlobalSpace::qWarning()
    {26, 244, 402, 2, Smoke::mf_static, 82, 141},	//141 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {26, 198, 89, 2, Smoke::mf_static, 456, 142},	//142 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {26, 366, 405, 3, Smoke::mf_static, 463, 143},	//143 QGlobalSpace::qGray(int, int, int)
    {26, 194, 409, 2, Smoke::mf_static, 160, 144},	//144 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {26, 244, 412, 2, Smoke::mf_static, 117, 145},	//145 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {26, 194, 415, 2, Smoke::mf_static, 186, 146},	//146 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {26, 244, 418, 2, Smoke::mf_static, 150, 147},	//147 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {26, 223, 421, 2, Smoke::mf_static, 371, 148},	//148 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {26, 187, 101, 2, Smoke::mf_static, 371, 149},	//149 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {26, 238, 424, 2, Smoke::mf_static, 26, 150},	//150 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {26, 214, 427, 2, Smoke::mf_static, 26, 151},	//151 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {26, 244, 430, 2, Smoke::mf_static, 150, 152},	//152 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {26, 198, 433, 2, Smoke::mf_static, 432, 153},	//153 QGlobalSpace::operator+(const QString&, const char*)
    {26, 214, 436, 2, Smoke::mf_static, 26, 154},	//154 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {26, 214, 439, 2, Smoke::mf_static, 30, 155},	//155 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {26, 214, 442, 2, Smoke::mf_static, 30, 156},	//156 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {26, 244, 445, 2, Smoke::mf_static, 150, 157},	//157 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {26, 214, 448, 2, Smoke::mf_static, 26, 158},	//158 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {26, 244, 451, 2, Smoke::mf_static, 81, 159},	//159 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {26, 244, 454, 2, Smoke::mf_static, 110, 160},	//160 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {26, 238, 457, 2, Smoke::mf_static, 26, 161},	//161 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {26, 214, 460, 2, Smoke::mf_static, 26, 162},	//162 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {26, 244, 463, 2, Smoke::mf_static, 72, 163},	//163 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {26, 244, 466, 2, Smoke::mf_static, 81, 164},	//164 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {26, 244, 469, 2, Smoke::mf_static, 150, 165},	//165 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {26, 198, 472, 2, Smoke::mf_static, 377, 166},	//166 QGlobalSpace::operator+(char, const QByteArray&)
    {26, 207, 16, 2, Smoke::mf_static, 412, 167},	//167 QGlobalSpace::operator/(const QPoint&, double)
    {26, 238, 475, 2, Smoke::mf_static, 26, 168},	//168 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {26, 198, 478, 2, Smoke::mf_static, 432, 169},	//169 QGlobalSpace::operator+(const char*, const QString&)
    {26, 198, 101, 2, Smoke::mf_static, 452, 170},	//170 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {26, 244, 481, 2, Smoke::mf_static, 80, 171},	//171 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {26, 214, 484, 2, Smoke::mf_static, 30, 172},	//172 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {26, 223, 487, 2, Smoke::mf_static, 371, 173},	//173 QGlobalSpace::operator==(const char*, const QByteArray&)
    {26, 244, 490, 2, Smoke::mf_static, 64, 174},	//174 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {26, 238, 493, 2, Smoke::mf_static, 26, 175},	//175 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {26, 386, 358, 1, Smoke::mf_static, 371, 176},	//176 QGlobalSpace::qIsNaN(float)
    {26, 361, 496, 2, Smoke::mf_static, 371, 177},	//177 QGlobalSpace::qFuzzyCompare(double, double)
    {26, 388, 358, 1, Smoke::mf_static, 371, 178},	//178 QGlobalSpace::qIsNull(float)
    {26, 238, 499, 2, Smoke::mf_static, 26, 179},	//179 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {26, 238, 502, 2, Smoke::mf_static, 26, 180},	//180 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {26, 214, 505, 2, Smoke::mf_static, 26, 181},	//181 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {26, 238, 508, 2, Smoke::mf_static, 26, 182},	//182 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {26, 244, 511, 2, Smoke::mf_static, 84, 183},	//183 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {26, 223, 514, 2, Smoke::mf_static, 371, 184},	//184 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {26, 207, 517, 2, Smoke::mf_static, 254, 185},	//185 QGlobalSpace::operator/(const QTransform&, double)
    {26, 214, 520, 2, Smoke::mf_static, 248, 186},	//186 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {26, 244, 523, 2, Smoke::mf_static, 49, 187},	//187 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {26, 218, 478, 2, Smoke::mf_static, 371, 188},	//188 QGlobalSpace::operator<=(const char*, const QString&)
    {26, 194, 526, 2, Smoke::mf_static, 452, 189},	//189 QGlobalSpace::operator*(const QVector2D&, double)
    {26, 244, 529, 2, Smoke::mf_static, 103, 190},	//190 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {26, 244, 532, 2, Smoke::mf_static, 89, 191},	//191 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {26, 187, 535, 2, Smoke::mf_static, 371, 192},	//192 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {26, 194, 538, 2, Smoke::mf_static, 456, 193},	//193 QGlobalSpace::operator*(const QVector4D&, double)
    {26, 244, 541, 2, Smoke::mf_static, 150, 194},	//194 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {26, 244, 544, 2, Smoke::mf_static, 150, 195},	//195 QGlobalSpace::operator|(QFile::Permission, int)
    {26, 214, 547, 2, Smoke::mf_static, 30, 196},	//196 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {26, 209, 550, 2, Smoke::mf_static, 371, 197},	//197 QGlobalSpace::operator<(QChar, QChar)
    {26, 259, 0, 0, Smoke::mf_static, 8, 198},	//198 QGlobalSpace::qAccessibleTextCastHelper()
    {26, 223, 239, 2, Smoke::mf_static, 371, 199},	//199 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {26, 361, 81, 2, Smoke::mf_static, 371, 200},	//200 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {26, 207, 553, 2, Smoke::mf_static, 169, 201},	//201 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {26, 194, 556, 2, Smoke::mf_static, 186, 202},	//202 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {26, 214, 559, 2, Smoke::mf_static, 26, 203},	//203 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {26, 233, 122, 2, Smoke::mf_static, 371, 204},	//204 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {26, 244, 562, 2, Smoke::mf_static, 79, 205},	//205 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {26, 469, 565, 3, Smoke::mf_static, 463, 206},	//206 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {26, 371, 569, 1, Smoke::mf_static, 471, 207},	//207 QGlobalSpace::qHash(const QByteArray&)
    {26, 244, 571, 2, Smoke::mf_static, 49, 208},	//208 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {26, 244, 574, 2, Smoke::mf_static, 150, 209},	//209 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {26, 244, 577, 2, Smoke::mf_static, 150, 210},	//210 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {26, 198, 81, 2, Smoke::mf_static, 169, 211},	//211 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {26, 214, 580, 2, Smoke::mf_static, 30, 212},	//212 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {26, 194, 101, 2, Smoke::mf_static, 452, 213},	//213 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {26, 480, 583, 2, Smoke::mf_static, 0, 214},	//214 QGlobalSpace::qt_check_pointer(const char*, int)
    {26, 238, 586, 2, Smoke::mf_static, 26, 215},	//215 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {26, 244, 589, 2, Smoke::mf_static, 150, 216},	//216 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {26, 244, 592, 2, Smoke::mf_static, 150, 217},	//217 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {26, 244, 595, 2, Smoke::mf_static, 106, 218},	//218 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {26, 244, 598, 2, Smoke::mf_static, 102, 219},	//219 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {26, 238, 601, 2, Smoke::mf_static, 26, 220},	//220 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {26, 244, 604, 2, Smoke::mf_static, 106, 221},	//221 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {26, 194, 607, 2, Smoke::mf_static, 414, 222},	//222 QGlobalSpace::operator*(const QPointF&, double)
    {26, 452, 133, 2, Smoke::mf_static, 463, 223},	//223 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {26, 244, 610, 2, Smoke::mf_static, 83, 224},	//224 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {26, 244, 613, 2, Smoke::mf_static, 68, 225},	//225 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {26, 424, 616, 1, Smoke::mf_static, 251, 226},	//226 QGlobalSpace::qSetPadChar(QChar)
    {26, 452, 381, 2, Smoke::mf_static, 463, 227},	//227 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {26, 223, 69, 2, Smoke::mf_static, 371, 228},	//228 QGlobalSpace::operator==(const QSize&, const QSize&)
    {26, 311, 618, 9, Smoke::mf_static, 0, 229},	//229 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {26, 311, 292, 6, Smoke::mf_static, 0, 230},	//230 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 311, 299, 7, Smoke::mf_static, 0, 231},	//231 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 311, 330, 8, Smoke::mf_static, 0, 232},	//232 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 428, 0, 0, Smoke::mf_static, 371, 233},	//233 QGlobalSpace::qSharedBuild()
    {26, 198, 239, 2, Smoke::mf_static, 418, 234},	//234 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {26, 244, 628, 2, Smoke::mf_static, 46, 235},	//235 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {26, 376, 631, 1, Smoke::mf_static, 477, 236},	//236 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {26, 214, 633, 2, Smoke::mf_static, 26, 237},	//237 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {26, 491, 636, 3, Smoke::mf_static, 177, 238},	//238 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {26, 223, 122, 2, Smoke::mf_static, 371, 239},	//239 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {26, 244, 640, 2, Smoke::mf_static, 115, 240},	//240 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {26, 194, 643, 2, Smoke::mf_static, 266, 241},	//241 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {26, 244, 646, 2, Smoke::mf_static, 150, 242},	//242 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {26, 187, 133, 2, Smoke::mf_static, 371, 243},	//243 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {26, 331, 649, 5, Smoke::mf_static, 0, 244},	//244 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 331, 212, 3, Smoke::mf_static, 0, 245},	//245 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {26, 331, 216, 4, Smoke::mf_static, 0, 246},	//246 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {26, 244, 655, 2, Smoke::mf_static, 150, 247},	//247 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {26, 244, 658, 2, Smoke::mf_static, 85, 248},	//248 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {26, 244, 661, 2, Smoke::mf_static, 150, 249},	//249 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {26, 244, 664, 2, Smoke::mf_static, 150, 250},	//250 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {26, 238, 667, 2, Smoke::mf_static, 26, 251},	//251 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {26, 203, 101, 2, Smoke::mf_static, 452, 252},	//252 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {26, 244, 670, 2, Smoke::mf_static, 114, 253},	//253 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {26, 207, 110, 2, Smoke::mf_static, 427, 254},	//254 QGlobalSpace::operator/(const QSizeF&, double)
    {26, 194, 673, 2, Smoke::mf_static, 454, 255},	//255 QGlobalSpace::operator*(const QVector3D&, double)
    {26, 244, 676, 2, Smoke::mf_static, 115, 256},	//256 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {26, 238, 679, 2, Smoke::mf_static, 26, 257},	//257 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {26, 194, 682, 2, Smoke::mf_static, 196, 258},	//258 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {26, 228, 550, 2, Smoke::mf_static, 371, 259},	//259 QGlobalSpace::operator>(QChar, QChar)
    {26, 233, 487, 2, Smoke::mf_static, 371, 260},	//260 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {26, 359, 685, 1, Smoke::mf_static, 0, 261},	//261 QGlobalSpace::qFreeAligned(void*)
    {26, 244, 687, 2, Smoke::mf_static, 92, 262},	//262 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {26, 223, 690, 2, Smoke::mf_static, 371, 263},	//263 QGlobalSpace::operator==(const QString&, QString::Null)
    {26, 214, 693, 2, Smoke::mf_static, 30, 264},	//264 QGlobalSpace::operator<<(QDebug, const QPen&)
    {26, 378, 358, 1, Smoke::mf_static, 463, 265},	//265 QGlobalSpace::qIntCast(float)
    {26, 209, 133, 2, Smoke::mf_static, 371, 266},	//266 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {26, 244, 696, 2, Smoke::mf_static, 94, 267},	//267 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {26, 447, 487, 2, Smoke::mf_static, 371, 268},	//268 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {26, 244, 699, 2, Smoke::mf_static, 150, 269},	//269 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {26, 238, 702, 2, Smoke::mf_static, 26, 270},	//270 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {26, 433, 705, 2, Smoke::mf_static, 371, 271},	//271 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {26, 465, 565, 3, Smoke::mf_static, 463, 272},	//272 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {26, 320, 708, 7, Smoke::mf_static, 0, 273},	//273 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {26, 320, 212, 3, Smoke::mf_static, 0, 274},	//274 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {26, 320, 216, 4, Smoke::mf_static, 0, 275},	//275 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {26, 320, 221, 5, Smoke::mf_static, 0, 276},	//276 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 320, 716, 6, Smoke::mf_static, 0, 277},	//277 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {26, 244, 723, 2, Smoke::mf_static, 98, 278},	//278 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {26, 244, 726, 2, Smoke::mf_static, 150, 279},	//279 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {26, 244, 729, 2, Smoke::mf_static, 150, 280},	//280 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {26, 203, 732, 1, Smoke::mf_static, 414, 281},	//281 QGlobalSpace::operator-(const QPointF&)
    {26, 405, 734, 4, Smoke::mf_static, 478, 282},	//282 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {26, 244, 739, 2, Smoke::mf_static, 113, 283},	//283 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {26, 214, 742, 2, Smoke::mf_static, 26, 284},	//284 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {26, 371, 745, 1, Smoke::mf_static, 471, 285},	//285 QGlobalSpace::qHash(unsigned long long)
    {26, 198, 747, 2, Smoke::mf_static, 432, 286},	//286 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {26, 244, 750, 2, Smoke::mf_static, 122, 287},	//287 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {26, 214, 753, 2, Smoke::mf_static, 30, 288},	//288 QGlobalSpace::operator<<(QDebug, const QSize&)
    {26, 194, 756, 2, Smoke::mf_static, 194, 289},	//289 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {26, 244, 759, 2, Smoke::mf_static, 113, 290},	//290 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {26, 214, 762, 2, Smoke::mf_static, 30, 291},	//291 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {26, 244, 765, 2, Smoke::mf_static, 120, 292},	//292 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {26, 267, 0, 0, Smoke::mf_static, 217, 293},	//293 QGlobalSpace::qAppName()
    {26, 198, 768, 2, Smoke::mf_static, 432, 294},	//294 QGlobalSpace::operator+(const QString&, char)
    {26, 233, 535, 2, Smoke::mf_static, 371, 295},	//295 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {26, 244, 771, 2, Smoke::mf_static, 58, 296},	//296 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {26, 371, 616, 1, Smoke::mf_static, 471, 297},	//297 QGlobalSpace::qHash(QChar)
    {26, 244, 774, 2, Smoke::mf_static, 150, 298},	//298 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {26, 295, 777, 8, Smoke::mf_static, 0, 299},	//299 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {26, 295, 786, 6, Smoke::mf_static, 0, 300},	//300 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {26, 295, 793, 7, Smoke::mf_static, 0, 301},	//301 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {26, 223, 150, 2, Smoke::mf_static, 371, 302},	//302 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {26, 364, 19, 1, Smoke::mf_static, 371, 303},	//303 QGlobalSpace::qFuzzyIsNull(double)
    {26, 194, 81, 2, Smoke::mf_static, 169, 304},	//304 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {26, 214, 801, 2, Smoke::mf_static, 26, 305},	//305 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {26, 398, 804, 3, Smoke::mf_static, 478, 306},	//306 QGlobalSpace::qMemSet(void*, int, size_t)
    {26, 272, 496, 2, Smoke::mf_static, 461, 307},	//307 QGlobalSpace::qAtan2(double, double)
    {26, 244, 808, 2, Smoke::mf_static, 85, 308},	//308 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {26, 214, 811, 2, Smoke::mf_static, 26, 309},	//309 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {26, 238, 814, 2, Smoke::mf_static, 26, 310},	//310 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {26, 281, 817, 2, Smoke::mf_static, 16, 311},	//311 QGlobalSpace::qCompress(const QByteArray&, int)
    {26, 281, 569, 1, Smoke::mf_static, 16, 312},	//312 QGlobalSpace::qCompress(const QByteArray&)
    {26, 244, 820, 2, Smoke::mf_static, 150, 313},	//313 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {26, 214, 823, 2, Smoke::mf_static, 30, 314},	//314 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {26, 244, 826, 2, Smoke::mf_static, 114, 315},	//315 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {26, 194, 829, 2, Smoke::mf_static, 268, 316},	//316 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {26, 244, 832, 2, Smoke::mf_static, 150, 317},	//317 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {26, 209, 487, 2, Smoke::mf_static, 371, 318},	//318 QGlobalSpace::operator<(const char*, const QByteArray&)
    {26, 295, 835, 5, Smoke::mf_static, 0, 319},	//319 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {26, 295, 841, 3, Smoke::mf_static, 0, 320},	//320 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {26, 295, 845, 4, Smoke::mf_static, 0, 321},	//321 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {26, 244, 850, 2, Smoke::mf_static, 150, 322},	//322 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {26, 263, 853, 1, Smoke::mf_static, 0, 323},	//323 QGlobalSpace::qAddPostRoutine(void(*)())
    {26, 244, 855, 2, Smoke::mf_static, 150, 324},	//324 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {26, 194, 858, 2, Smoke::mf_static, 192, 325},	//325 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {26, 244, 861, 2, Smoke::mf_static, 150, 326},	//326 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {26, 244, 864, 2, Smoke::mf_static, 150, 327},	//327 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {26, 345, 19, 1, Smoke::mf_static, 461, 328},	//328 QGlobalSpace::qExp(double)
    {26, 187, 69, 2, Smoke::mf_static, 371, 329},	//329 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {26, 244, 867, 2, Smoke::mf_static, 111, 330},	//330 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {26, 218, 381, 2, Smoke::mf_static, 371, 331},	//331 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {26, 214, 870, 2, Smoke::mf_static, 26, 332},	//332 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {26, 187, 873, 2, Smoke::mf_static, 371, 333},	//333 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {26, 244, 876, 2, Smoke::mf_static, 150, 334},	//334 QGlobalSpace::operator|(QString::SectionFlag, int)
    {26, 244, 879, 2, Smoke::mf_static, 150, 335},	//335 QGlobalSpace::operator|(Qt::WindowType, int)
    {26, 244, 882, 2, Smoke::mf_static, 105, 336},	//336 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {26, 223, 885, 2, Smoke::mf_static, 371, 337},	//337 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {26, 388, 19, 1, Smoke::mf_static, 371, 338},	//338 QGlobalSpace::qIsNull(double)
    {26, 290, 888, 8, Smoke::mf_static, 0, 339},	//339 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {26, 290, 897, 6, Smoke::mf_static, 0, 340},	//340 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {26, 290, 904, 7, Smoke::mf_static, 0, 341},	//341 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {26, 233, 912, 2, Smoke::mf_static, 371, 342},	//342 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {26, 223, 915, 2, Smoke::mf_static, 371, 343},	//343 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {26, 378, 19, 1, Smoke::mf_static, 463, 344},	//344 QGlobalSpace::qIntCast(double)
    {26, 242, 1, 2, Smoke::mf_static, 12, 345},	//345 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {26, 279, 918, 2, Smoke::mf_static, 474, 346},	//346 QGlobalSpace::qChecksum(const char*, unsigned int)
    {26, 244, 921, 2, Smoke::mf_static, 104, 347},	//347 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {26, 244, 924, 2, Smoke::mf_static, 150, 348},	//348 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {26, 238, 927, 2, Smoke::mf_static, 26, 349},	//349 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {26, 214, 930, 2, Smoke::mf_static, 26, 350},	//350 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {26, 194, 517, 2, Smoke::mf_static, 254, 351},	//351 QGlobalSpace::operator*(const QTransform&, double)
    {26, 244, 933, 2, Smoke::mf_static, 150, 352},	//352 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {26, 244, 936, 2, Smoke::mf_static, 105, 353},	//353 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {26, 209, 535, 2, Smoke::mf_static, 371, 354},	//354 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {26, 214, 939, 2, Smoke::mf_static, 30, 355},	//355 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {26, 244, 942, 2, Smoke::mf_static, 150, 356},	//356 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {26, 445, 945, 1, Smoke::mf_static, 16, 357},	//357 QGlobalSpace::qgetenv(const char*)
    {26, 244, 947, 2, Smoke::mf_static, 150, 358},	//358 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {26, 214, 950, 2, Smoke::mf_static, 30, 359},	//359 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 244, 953, 2, Smoke::mf_static, 150, 360},	//360 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {26, 244, 956, 2, Smoke::mf_static, 150, 361},	//361 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {26, 187, 705, 2, Smoke::mf_static, 371, 362},	//362 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {26, 214, 959, 2, Smoke::mf_static, 30, 363},	//363 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {26, 238, 962, 2, Smoke::mf_static, 248, 364},	//364 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 244, 965, 2, Smoke::mf_static, 150, 365},	//365 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {26, 187, 487, 2, Smoke::mf_static, 371, 366},	//366 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {26, 244, 968, 2, Smoke::mf_static, 150, 367},	//367 QGlobalSpace::operator|(QFileDialog::Option, int)
    {26, 261, 19, 1, Smoke::mf_static, 461, 368},	//368 QGlobalSpace::qAcos(double)
    {26, 244, 971, 2, Smoke::mf_static, 87, 369},	//369 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {26, 228, 535, 2, Smoke::mf_static, 371, 370},	//370 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {26, 207, 538, 2, Smoke::mf_static, 456, 371},	//371 QGlobalSpace::operator/(const QVector4D&, double)
    {26, 194, 974, 2, Smoke::mf_static, 192, 372},	//372 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {26, 244, 977, 2, Smoke::mf_static, 94, 373},	//373 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {26, 238, 980, 2, Smoke::mf_static, 26, 374},	//374 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {26, 244, 983, 2, Smoke::mf_static, 69, 375},	//375 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {26, 207, 153, 2, Smoke::mf_static, 418, 376},	//376 QGlobalSpace::operator/(const QQuaternion&, double)
    {26, 244, 986, 2, Smoke::mf_static, 79, 377},	//377 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {26, 238, 989, 2, Smoke::mf_static, 26, 378},	//378 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {26, 214, 992, 2, Smoke::mf_static, 26, 379},	//379 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {26, 244, 995, 2, Smoke::mf_static, 61, 380},	//380 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {26, 257, 0, 0, Smoke::mf_static, 8, 381},	//381 QGlobalSpace::qAccessibleImageCastHelper()
    {26, 244, 998, 2, Smoke::mf_static, 150, 382},	//382 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {26, 214, 1001, 2, Smoke::mf_static, 30, 383},	//383 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {26, 467, 1004, 3, Smoke::mf_static, 373, 384},	//384 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {26, 244, 1008, 2, Smoke::mf_static, 52, 385},	//385 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {26, 238, 1011, 2, Smoke::mf_static, 26, 386},	//386 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {26, 214, 1014, 2, Smoke::mf_static, 26, 387},	//387 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {26, 238, 1017, 2, Smoke::mf_static, 26, 388},	//388 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {26, 203, 1020, 1, Smoke::mf_static, 456, 389},	//389 QGlobalSpace::operator-(const QVector4D&)
    {26, 214, 1022, 2, Smoke::mf_static, 30, 390},	//390 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {26, 371, 1025, 1, Smoke::mf_static, 471, 391},	//391 QGlobalSpace::qHash(const QUrl&)
    {26, 244, 1027, 2, Smoke::mf_static, 150, 392},	//392 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {26, 238, 1030, 2, Smoke::mf_static, 26, 393},	//393 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {26, 380, 358, 1, Smoke::mf_static, 371, 394},	//394 QGlobalSpace::qIsFinite(float)
    {26, 187, 421, 2, Smoke::mf_static, 371, 395},	//395 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {26, 223, 101, 2, Smoke::mf_static, 371, 396},	//396 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {26, 482, 1033, 1, Smoke::mf_static, 217, 397},	//397 QGlobalSpace::qt_error_string(int)
    {26, 482, 0, 0, Smoke::mf_static, 217, 398},	//398 QGlobalSpace::qt_error_string()
    {26, 207, 526, 2, Smoke::mf_static, 452, 399},	//399 QGlobalSpace::operator/(const QVector2D&, double)
    {26, 244, 1035, 2, Smoke::mf_static, 150, 400},	//400 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {26, 238, 1038, 2, Smoke::mf_static, 26, 401},	//401 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {26, 403, 1041, 2, Smoke::mf_static, 478, 402},	//402 QGlobalSpace::qRealloc(void*, size_t)
    {26, 244, 1044, 2, Smoke::mf_static, 67, 403},	//403 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {26, 244, 1047, 2, Smoke::mf_static, 66, 404},	//404 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {26, 198, 1050, 2, Smoke::mf_static, 432, 405},	//405 QGlobalSpace::operator+(const QString&, const QString&)
    {26, 244, 1053, 2, Smoke::mf_static, 150, 406},	//406 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {26, 258, 0, 0, Smoke::mf_static, 8, 407},	//407 QGlobalSpace::qAccessibleTableCastHelper()
    {26, 244, 1056, 2, Smoke::mf_static, 150, 408},	//408 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {26, 194, 553, 2, Smoke::mf_static, 169, 409},	//409 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {26, 478, 1059, 4, Smoke::mf_static, 0, 410},	//410 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {26, 209, 478, 2, Smoke::mf_static, 371, 411},	//411 QGlobalSpace::operator<(const char*, const QString&)
    {26, 187, 478, 2, Smoke::mf_static, 371, 412},	//412 QGlobalSpace::operator!=(const char*, const QString&)
    {26, 187, 381, 2, Smoke::mf_static, 371, 413},	//413 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {26, 187, 1064, 2, Smoke::mf_static, 371, 414},	//414 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {26, 214, 1067, 2, Smoke::mf_static, 30, 415},	//415 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {26, 244, 1070, 2, Smoke::mf_static, 50, 416},	//416 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {26, 223, 1073, 2, Smoke::mf_static, 371, 417},	//417 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {26, 244, 1076, 2, Smoke::mf_static, 150, 418},	//418 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {26, 238, 1079, 2, Smoke::mf_static, 26, 419},	//419 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {26, 228, 133, 2, Smoke::mf_static, 371, 420},	//420 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {26, 417, 19, 1, Smoke::mf_static, 463, 421},	//421 QGlobalSpace::qRound(double)
    {26, 218, 122, 2, Smoke::mf_static, 371, 422},	//422 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {26, 223, 873, 2, Smoke::mf_static, 371, 423},	//423 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {26, 244, 1, 2, Smoke::mf_static, 12, 424},	//424 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {26, 223, 1082, 2, Smoke::mf_static, 371, 425},	//425 QGlobalSpace::operator==(const char*, const QStringRef&)
    {26, 198, 487, 2, Smoke::mf_static, 377, 426},	//426 QGlobalSpace::operator+(const char*, const QByteArray&)
    {26, 238, 1085, 2, Smoke::mf_static, 26, 427},	//427 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {26, 244, 1088, 2, Smoke::mf_static, 150, 428},	//428 QGlobalSpace::operator|(Qt::MouseButton, int)
    {26, 244, 1091, 2, Smoke::mf_static, 91, 429},	//429 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {26, 218, 535, 2, Smoke::mf_static, 371, 430},	//430 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {26, 238, 1094, 2, Smoke::mf_static, 26, 431},	//431 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {26, 244, 1097, 2, Smoke::mf_static, 57, 432},	//432 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {26, 244, 1100, 2, Smoke::mf_static, 112, 433},	//433 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {26, 382, 125, 1, Smoke::mf_static, 371, 434},	//434 QGlobalSpace::qIsGray(unsigned int)
    {26, 244, 1103, 2, Smoke::mf_static, 102, 435},	//435 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {26, 194, 1106, 2, Smoke::mf_static, 194, 436},	//436 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {26, 203, 1109, 1, Smoke::mf_static, 169, 437},	//437 QGlobalSpace::operator-(const QMatrix4x4&)
    {26, 244, 1111, 2, Smoke::mf_static, 48, 438},	//438 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {26, 194, 1114, 2, Smoke::mf_static, 452, 439},	//439 QGlobalSpace::operator*(double, const QVector2D&)
    {26, 244, 1117, 2, Smoke::mf_static, 74, 440},	//440 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {26, 244, 1120, 2, Smoke::mf_static, 150, 441},	//441 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {26, 238, 1123, 2, Smoke::mf_static, 26, 442},	//442 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {26, 223, 550, 2, Smoke::mf_static, 371, 443},	//443 QGlobalSpace::operator==(QChar, QChar)
    {26, 244, 1126, 2, Smoke::mf_static, 118, 444},	//444 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {26, 214, 1129, 2, Smoke::mf_static, 26, 445},	//445 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {26, 187, 885, 2, Smoke::mf_static, 371, 446},	//446 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {26, 194, 1132, 2, Smoke::mf_static, 160, 447},	//447 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {26, 187, 1135, 2, Smoke::mf_static, 371, 448},	//448 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {26, 371, 1138, 1, Smoke::mf_static, 471, 449},	//449 QGlobalSpace::qHash(signed char)
    {26, 214, 1140, 2, Smoke::mf_static, 26, 450},	//450 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {26, 214, 1143, 2, Smoke::mf_static, 26, 451},	//451 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {26, 244, 1146, 2, Smoke::mf_static, 119, 452},	//452 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {26, 194, 1149, 2, Smoke::mf_static, 454, 453},	//453 QGlobalSpace::operator*(double, const QVector3D&)
    {26, 431, 19, 1, Smoke::mf_static, 461, 454},	//454 QGlobalSpace::qSqrt(double)
    {26, 214, 1152, 2, Smoke::mf_static, 26, 455},	//455 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {26, 244, 1155, 2, Smoke::mf_static, 101, 456},	//456 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {26, 452, 1158, 2, Smoke::mf_static, 463, 457},	//457 QGlobalSpace::qstrcmp(const char*, const char*)
    {26, 238, 1161, 2, Smoke::mf_static, 26, 458},	//458 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {26, 244, 1164, 2, Smoke::mf_static, 88, 459},	//459 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {26, 223, 89, 2, Smoke::mf_static, 371, 460},	//460 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {26, 214, 1167, 2, Smoke::mf_static, 26, 461},	//461 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {26, 214, 1170, 2, Smoke::mf_static, 26, 462},	//462 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {26, 198, 1173, 2, Smoke::mf_static, 432, 463},	//463 QGlobalSpace::operator+(char, const QString&)
    {26, 207, 673, 2, Smoke::mf_static, 454, 464},	//464 QGlobalSpace::operator/(const QVector3D&, double)
    {26, 244, 1176, 2, Smoke::mf_static, 84, 465},	//465 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {26, 187, 136, 2, Smoke::mf_static, 371, 466},	//466 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {26, 187, 550, 2, Smoke::mf_static, 371, 467},	//467 QGlobalSpace::operator!=(QChar, QChar)
    {26, 244, 1179, 2, Smoke::mf_static, 76, 468},	//468 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {26, 194, 1182, 2, Smoke::mf_static, 169, 469},	//469 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {26, 471, 918, 2, Smoke::mf_static, 471, 470},	//470 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {26, 244, 1185, 2, Smoke::mf_static, 71, 471},	//471 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {26, 223, 912, 2, Smoke::mf_static, 371, 472},	//472 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {26, 413, 405, 3, Smoke::mf_static, 471, 473},	//473 QGlobalSpace::qRgb(int, int, int)
    {26, 361, 89, 2, Smoke::mf_static, 371, 474},	//474 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {26, 355, 19, 1, Smoke::mf_static, 463, 475},	//475 QGlobalSpace::qFloor(double)
    {26, 244, 1188, 2, Smoke::mf_static, 121, 476},	//476 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {26, 244, 1191, 2, Smoke::mf_static, 100, 477},	//477 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {26, 214, 1194, 2, Smoke::mf_static, 30, 478},	//478 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {26, 244, 1197, 2, Smoke::mf_static, 70, 479},	//479 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {26, 244, 1200, 2, Smoke::mf_static, 104, 480},	//480 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {26, 223, 130, 2, Smoke::mf_static, 371, 481},	//481 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {26, 238, 1203, 2, Smoke::mf_static, 26, 482},	//482 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {26, 244, 1206, 2, Smoke::mf_static, 103, 483},	//483 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {26, 238, 1209, 2, Smoke::mf_static, 26, 484},	//484 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {26, 214, 1212, 2, Smoke::mf_static, 26, 485},	//485 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {26, 244, 1215, 2, Smoke::mf_static, 51, 486},	//486 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {26, 223, 535, 2, Smoke::mf_static, 371, 487},	//487 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {26, 187, 1218, 2, Smoke::mf_static, 371, 488},	//488 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {26, 194, 1221, 2, Smoke::mf_static, 425, 489},	//489 QGlobalSpace::operator*(double, const QSize&)
    {26, 223, 1224, 2, Smoke::mf_static, 371, 490},	//490 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {26, 244, 1227, 2, Smoke::mf_static, 61, 491},	//491 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {26, 371, 1230, 1, Smoke::mf_static, 471, 492},	//492 QGlobalSpace::qHash(const QModelIndex&)
    {26, 244, 1232, 2, Smoke::mf_static, 70, 493},	//493 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {26, 244, 1235, 2, Smoke::mf_static, 88, 494},	//494 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {26, 214, 1238, 2, Smoke::mf_static, 30, 495},	//495 QGlobalSpace::operator<<(QDebug, const QLine&)
    {26, 260, 0, 0, Smoke::mf_static, 8, 496},	//496 QGlobalSpace::qAccessibleValueCastHelper()
    {26, 244, 1241, 2, Smoke::mf_static, 47, 497},	//497 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {26, 411, 853, 1, Smoke::mf_static, 0, 498},	//498 QGlobalSpace::qRemovePostRoutine(void(*)())
    {26, 238, 1244, 2, Smoke::mf_static, 26, 499},	//499 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {26, 194, 1247, 2, Smoke::mf_static, 268, 500},	//500 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {26, 214, 1250, 2, Smoke::mf_static, 26, 501},	//501 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {26, 361, 1253, 2, Smoke::mf_static, 371, 502},	//502 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {26, 244, 1256, 2, Smoke::mf_static, 95, 503},	//503 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {26, 353, 945, 1, Smoke::mf_static, 458, 504},	//504 QGlobalSpace::qFlagLocation(const char*)
    {26, 396, 1259, 3, Smoke::mf_static, 478, 505},	//505 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {26, 233, 381, 2, Smoke::mf_static, 371, 506},	//506 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {26, 194, 1263, 2, Smoke::mf_static, 412, 507},	//507 QGlobalSpace::operator*(double, const QPoint&)
    {26, 386, 19, 1, Smoke::mf_static, 371, 508},	//508 QGlobalSpace::qIsNaN(double)
    {26, 244, 1266, 2, Smoke::mf_static, 78, 509},	//509 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {26, 214, 1269, 2, Smoke::mf_static, 30, 510},	//510 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {26, 214, 1272, 2, Smoke::mf_static, 30, 511},	//511 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {26, 371, 1275, 1, Smoke::mf_static, 471, 512},	//512 QGlobalSpace::qHash(short)
    {26, 375, 0, 0, Smoke::mf_static, 461, 513},	//513 QGlobalSpace::qInf()
    {26, 214, 1277, 2, Smoke::mf_static, 30, 514},	//514 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {26, 244, 1280, 2, Smoke::mf_static, 80, 515},	//515 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {26, 214, 1283, 2, Smoke::mf_static, 26, 516},	//516 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {26, 214, 1286, 2, Smoke::mf_static, 26, 517},	//517 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {26, 194, 1289, 2, Smoke::mf_static, 418, 518},	//518 QGlobalSpace::operator*(double, const QQuaternion&)
    {26, 198, 1292, 2, Smoke::mf_static, 377, 519},	//519 QGlobalSpace::operator+(const QByteArray&, char)
    {26, 244, 1295, 2, Smoke::mf_static, 97, 520},	//520 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {26, 214, 1298, 2, Smoke::mf_static, 30, 521},	//521 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {26, 244, 1301, 2, Smoke::mf_static, 82, 522},	//522 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {26, 244, 1304, 2, Smoke::mf_static, 54, 523},	//523 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {26, 207, 607, 2, Smoke::mf_static, 414, 524},	//524 QGlobalSpace::operator/(const QPointF&, double)
    {26, 438, 569, 1, Smoke::mf_static, 16, 525},	//525 QGlobalSpace::qUncompress(const QByteArray&)
    {26, 233, 550, 2, Smoke::mf_static, 371, 526},	//526 QGlobalSpace::operator>=(QChar, QChar)
    {26, 244, 1307, 2, Smoke::mf_static, 50, 527},	//527 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {26, 218, 133, 2, Smoke::mf_static, 371, 528},	//528 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {26, 426, 1033, 1, Smoke::mf_static, 251, 529},	//529 QGlobalSpace::qSetRealNumberPrecision(int)
    {26, 214, 1310, 2, Smoke::mf_static, 30, 530},	//530 QGlobalSpace::operator<<(QDebug, const QObject*)
    {26, 429, 19, 1, Smoke::mf_static, 461, 531},	//531 QGlobalSpace::qSin(double)
    {26, 268, 19, 1, Smoke::mf_static, 461, 532},	//532 QGlobalSpace::qAsin(double)
    {26, 361, 421, 2, Smoke::mf_static, 371, 533},	//533 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {26, 461, 1158, 2, Smoke::mf_static, 463, 534},	//534 QGlobalSpace::qstricmp(const char*, const char*)
    {26, 244, 1313, 2, Smoke::mf_static, 69, 535},	//535 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {26, 214, 1316, 2, Smoke::mf_static, 30, 536},	//536 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {26, 361, 1319, 2, Smoke::mf_static, 371, 537},	//537 QGlobalSpace::qFuzzyCompare(float, float)
    {26, 238, 1322, 2, Smoke::mf_static, 26, 538},	//538 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {26, 244, 1325, 2, Smoke::mf_static, 56, 539},	//539 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {26, 218, 912, 2, Smoke::mf_static, 371, 540},	//540 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {26, 497, 1328, 4, Smoke::mf_static, 463, 541},	//541 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {26, 244, 1333, 2, Smoke::mf_static, 74, 542},	//542 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {26, 244, 1336, 2, Smoke::mf_static, 86, 543},	//543 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {26, 214, 1339, 2, Smoke::mf_static, 26, 544},	//544 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {26, 490, 0, 0, Smoke::mf_static, 0, 545},	//545 QGlobalSpace::qt_noop()
    {26, 244, 1342, 2, Smoke::mf_static, 75, 546},	//546 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {26, 228, 487, 2, Smoke::mf_static, 371, 547},	//547 QGlobalSpace::operator>(const char*, const QByteArray&)
    {26, 238, 1345, 2, Smoke::mf_static, 26, 548},	//548 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {26, 422, 1033, 1, Smoke::mf_static, 251, 549},	//549 QGlobalSpace::qSetFieldWidth(int)
    {26, 244, 1348, 2, Smoke::mf_static, 96, 550},	//550 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {26, 214, 1351, 2, Smoke::mf_static, 30, 551},	//551 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {26, 214, 1354, 2, Smoke::mf_static, 26, 552},	//552 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {26, 223, 1218, 2, Smoke::mf_static, 371, 553},	//553 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {26, 187, 1357, 2, Smoke::mf_static, 371, 554},	//554 QGlobalSpace::operator!=(bool, QBool)
    {26, 371, 1360, 1, Smoke::mf_static, 471, 555},	//555 QGlobalSpace::qHash(unsigned long)
    {26, 214, 1362, 2, Smoke::mf_static, 30, 556},	//556 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {26, 244, 1365, 2, Smoke::mf_static, 150, 557},	//557 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {26, 194, 1368, 2, Smoke::mf_static, 196, 558},	//558 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {26, 187, 1371, 2, Smoke::mf_static, 371, 559},	//559 QGlobalSpace::operator!=(QBool, bool)
    {26, 244, 1374, 2, Smoke::mf_static, 150, 560},	//560 QGlobalSpace::operator|(Qt::WindowState, int)
    {26, 244, 1377, 2, Smoke::mf_static, 95, 561},	//561 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {26, 203, 873, 2, Smoke::mf_static, 412, 562},	//562 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {26, 390, 19, 1, Smoke::mf_static, 461, 563},	//563 QGlobalSpace::qLn(double)
    {26, 238, 1380, 2, Smoke::mf_static, 26, 564},	//564 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {26, 238, 1383, 2, Smoke::mf_static, 26, 565},	//565 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {26, 361, 239, 2, Smoke::mf_static, 371, 566},	//566 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {26, 302, 339, 9, Smoke::mf_static, 0, 567},	//567 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 302, 292, 6, Smoke::mf_static, 0, 568},	//568 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {26, 302, 299, 7, Smoke::mf_static, 0, 569},	//569 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 302, 330, 8, Smoke::mf_static, 0, 570},	//570 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 463, 945, 1, Smoke::mf_static, 471, 571},	//571 QGlobalSpace::qstrlen(const char*)
    {26, 198, 381, 2, Smoke::mf_static, 377, 572},	//572 QGlobalSpace::operator+(const QByteArray&, const char*)
    {26, 214, 1386, 2, Smoke::mf_static, 26, 573},	//573 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {26, 187, 130, 2, Smoke::mf_static, 371, 574},	//574 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {26, 218, 487, 2, Smoke::mf_static, 371, 575},	//575 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {26, 214, 1389, 2, Smoke::mf_static, 26, 576},	//576 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {26, 244, 1392, 2, Smoke::mf_static, 108, 577},	//577 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {26, 214, 1395, 2, Smoke::mf_static, 30, 578},	//578 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {26, 244, 1398, 2, Smoke::mf_static, 150, 579},	//579 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {26, 223, 1064, 2, Smoke::mf_static, 371, 580},	//580 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {26, 244, 1401, 2, Smoke::mf_static, 77, 581},	//581 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {26, 187, 912, 2, Smoke::mf_static, 371, 582},	//582 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {26, 244, 1404, 2, Smoke::mf_static, 101, 583},	//583 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {26, 214, 1407, 2, Smoke::mf_static, 26, 584},	//584 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {26, 244, 1410, 2, Smoke::mf_static, 122, 585},	//585 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {26, 244, 1413, 2, Smoke::mf_static, 53, 586},	//586 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {26, 256, 0, 0, Smoke::mf_static, 8, 587},	//587 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {26, 194, 1416, 2, Smoke::mf_static, 425, 588},	//588 QGlobalSpace::operator*(const QSize&, double)
    {26, 194, 1419, 2, Smoke::mf_static, 266, 589},	//589 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {26, 223, 1422, 2, Smoke::mf_static, 371, 590},	//590 QGlobalSpace::operator==(QString::Null, const QString&)
    {26, 214, 1425, 2, Smoke::mf_static, 30, 591},	//591 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {26, 244, 1428, 2, Smoke::mf_static, 56, 592},	//592 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {26, 244, 1431, 2, Smoke::mf_static, 112, 593},	//593 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {26, 238, 1434, 2, Smoke::mf_static, 26, 594},	//594 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {26, 214, 1437, 2, Smoke::mf_static, 30, 595},	//595 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {26, 223, 381, 2, Smoke::mf_static, 371, 596},	//596 QGlobalSpace::operator==(const QByteArray&, const char*)
    {26, 493, 1440, 5, Smoke::mf_static, 0, 597},	//597 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {26, 238, 1446, 2, Smoke::mf_static, 26, 598},	//598 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {26, 244, 1449, 2, Smoke::mf_static, 90, 599},	//599 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {26, 228, 478, 2, Smoke::mf_static, 371, 600},	//600 QGlobalSpace::operator>(const char*, const QString&)
    {26, 214, 1452, 2, Smoke::mf_static, 26, 601},	//601 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {26, 238, 1455, 2, Smoke::mf_static, 26, 602},	//602 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {26, 238, 1458, 2, Smoke::mf_static, 26, 603},	//603 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {26, 228, 381, 2, Smoke::mf_static, 371, 604},	//604 QGlobalSpace::operator>(const QByteArray&, const char*)
    {26, 209, 122, 2, Smoke::mf_static, 371, 605},	//605 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {26, 244, 1461, 2, Smoke::mf_static, 150, 606},	//606 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {26, 198, 873, 2, Smoke::mf_static, 412, 607},	//607 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {26, 214, 1464, 2, Smoke::mf_static, 26, 608},	//608 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {26, 357, 685, 1, Smoke::mf_static, 0, 609},	//609 QGlobalSpace::qFree(void*)
    {26, 198, 421, 2, Smoke::mf_static, 454, 610},	//610 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {26, 218, 550, 2, Smoke::mf_static, 371, 611},	//611 QGlobalSpace::operator<=(QChar, QChar)
    {26, 214, 1467, 2, Smoke::mf_static, 248, 612},	//612 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {26, 244, 1470, 2, Smoke::mf_static, 73, 613},	//613 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {26, 214, 1473, 2, Smoke::mf_static, 26, 614},	//614 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {26, 371, 125, 1, Smoke::mf_static, 471, 615},	//615 QGlobalSpace::qHash(unsigned int)
    {26, 194, 1476, 2, Smoke::mf_static, 206, 616},	//616 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {26, 187, 1422, 2, Smoke::mf_static, 371, 617},	//617 QGlobalSpace::operator!=(QString::Null, const QString&)
    {26, 419, 19, 1, Smoke::mf_static, 465, 618},	//618 QGlobalSpace::qRound64(double)
    {26, 194, 1479, 2, Smoke::mf_static, 194, 619},	//619 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {26, 228, 912, 2, Smoke::mf_static, 371, 620},	//620 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {26, 214, 1482, 2, Smoke::mf_static, 30, 621},	//621 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {26, 244, 1485, 2, Smoke::mf_static, 150, 622},	//622 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {26, 214, 1488, 2, Smoke::mf_static, 26, 623},	//623 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {26, 244, 1491, 2, Smoke::mf_static, 86, 624},	//624 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {26, 394, 1494, 2, Smoke::mf_static, 478, 625},	//625 QGlobalSpace::qMallocAligned(size_t, size_t)
    {26, 244, 1497, 2, Smoke::mf_static, 150, 626},	//626 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {26, 244, 1500, 2, Smoke::mf_static, 150, 627},	//627 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {26, 187, 690, 2, Smoke::mf_static, 371, 628},	//628 QGlobalSpace::operator!=(const QString&, QString::Null)
    {26, 281, 1503, 3, Smoke::mf_static, 16, 629},	//629 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {26, 281, 1507, 2, Smoke::mf_static, 16, 630},	//630 QGlobalSpace::qCompress(const unsigned char*, int)
    {26, 244, 1510, 2, Smoke::mf_static, 150, 631},	//631 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {26, 214, 1513, 2, Smoke::mf_static, 30, 632},	//632 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {26, 459, 945, 1, Smoke::mf_static, 373, 633},	//633 QGlobalSpace::qstrdup(const char*)
    {26, 244, 1516, 2, Smoke::mf_static, 110, 634},	//634 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {26, 214, 1519, 2, Smoke::mf_static, 26, 635},	//635 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {26, 194, 1522, 2, Smoke::mf_static, 198, 636},	//636 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {26, 244, 1525, 2, Smoke::mf_static, 150, 637},	//637 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {26, 187, 239, 2, Smoke::mf_static, 371, 638},	//638 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {26, 289, 0, 0, Smoke::mf_static, 30, 639},	//639 QGlobalSpace::qDebug()
    {26, 203, 1528, 1, Smoke::mf_static, 412, 640},	//640 QGlobalSpace::operator-(const QPoint&)
    {26, 238, 1530, 2, Smoke::mf_static, 26, 641},	//641 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {26, 187, 89, 2, Smoke::mf_static, 371, 642},	//642 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {26, 290, 1533, 4, Smoke::mf_static, 0, 643},	//643 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {26, 244, 1538, 2, Smoke::mf_static, 63, 644},	//644 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {26, 452, 487, 2, Smoke::mf_static, 463, 645},	//645 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {26, 244, 1541, 2, Smoke::mf_static, 62, 646},	//646 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {26, 244, 1544, 2, Smoke::mf_static, 150, 647},	//647 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {26, 436, 19, 1, Smoke::mf_static, 461, 648},	//648 QGlobalSpace::qTan(double)
    {26, 238, 1547, 2, Smoke::mf_static, 26, 649},	//649 QGlobalSpace::operator>>(QDataStream&, QString&)
    {26, 244, 1550, 2, Smoke::mf_static, 53, 650},	//650 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {26, 223, 133, 2, Smoke::mf_static, 371, 651},	//651 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {26, 244, 1553, 2, Smoke::mf_static, 54, 652},	//652 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {26, 302, 1556, 7, Smoke::mf_static, 0, 653},	//653 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {26, 302, 1564, 4, Smoke::mf_static, 0, 654},	//654 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {26, 302, 1569, 5, Smoke::mf_static, 0, 655},	//655 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {26, 302, 1575, 6, Smoke::mf_static, 0, 656},	//656 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {26, 244, 1582, 2, Smoke::mf_static, 75, 657},	//657 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {26, 194, 421, 2, Smoke::mf_static, 454, 658},	//658 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {26, 338, 649, 5, Smoke::mf_static, 0, 659},	//659 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 338, 212, 3, Smoke::mf_static, 0, 660},	//660 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {26, 338, 216, 4, Smoke::mf_static, 0, 661},	//661 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 214, 1585, 2, Smoke::mf_static, 26, 662},	//662 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {26, 371, 1033, 1, Smoke::mf_static, 471, 663},	//663 QGlobalSpace::qHash(int)
    {26, 203, 514, 2, Smoke::mf_static, 414, 664},	//664 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {26, 209, 912, 2, Smoke::mf_static, 371, 665},	//665 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {26, 214, 1588, 2, Smoke::mf_static, 26, 666},	//666 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {26, 238, 1591, 2, Smoke::mf_static, 248, 667},	//667 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {26, 214, 1594, 2, Smoke::mf_static, 26, 668},	//668 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {26, 238, 1597, 2, Smoke::mf_static, 26, 669},	//669 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {26, 198, 517, 2, Smoke::mf_static, 254, 670},	//670 QGlobalSpace::operator+(const QTransform&, double)
    {26, 214, 1600, 2, Smoke::mf_static, 26, 671},	//671 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {26, 244, 1603, 2, Smoke::mf_static, 87, 672},	//672 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {26, 371, 1606, 1, Smoke::mf_static, 471, 673},	//673 QGlobalSpace::qHash(const QItemSelectionRange&)
    {26, 244, 1608, 2, Smoke::mf_static, 118, 674},	//674 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {26, 400, 496, 2, Smoke::mf_static, 461, 675},	//675 QGlobalSpace::qPow(double, double)
    {26, 223, 705, 2, Smoke::mf_static, 371, 676},	//676 QGlobalSpace::operator==(const QStringRef&, const char*)
    {26, 187, 1082, 2, Smoke::mf_static, 371, 677},	//677 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {26, 238, 1611, 2, Smoke::mf_static, 26, 678},	//678 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {26, 198, 133, 2, Smoke::mf_static, 377, 679},	//679 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {26, 198, 1614, 2, Smoke::mf_static, 432, 680},	//680 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {26, 433, 433, 2, Smoke::mf_static, 371, 681},	//681 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {26, 244, 1617, 2, Smoke::mf_static, 60, 682},	//682 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {26, 194, 1620, 2, Smoke::mf_static, 192, 683},	//683 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {26, 238, 1623, 2, Smoke::mf_static, 26, 684},	//684 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {26, 244, 1626, 2, Smoke::mf_static, 150, 685},	//685 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {26, 244, 1629, 2, Smoke::mf_static, 64, 686},	//686 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {26, 244, 1632, 2, Smoke::mf_static, 71, 687},	//687 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {26, 484, 1635, 2, Smoke::mf_static, 0, 688},	//688 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {26, 244, 1638, 2, Smoke::mf_static, 150, 689},	//689 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {26, 203, 1641, 1, Smoke::mf_static, 454, 690},	//690 QGlobalSpace::operator-(const QVector3D&)
    {26, 244, 1643, 2, Smoke::mf_static, 89, 691},	//691 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {26, 223, 478, 2, Smoke::mf_static, 371, 692},	//692 QGlobalSpace::operator==(const char*, const QString&)
    {26, 244, 1646, 2, Smoke::mf_static, 52, 693},	//693 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {26, 214, 1649, 2, Smoke::mf_static, 30, 694},	//694 QGlobalSpace::operator<<(QDebug, const QRect&)
    {26, 349, 19, 1, Smoke::mf_static, 461, 695},	//695 QGlobalSpace::qFastCos(double)
    {26, 214, 1652, 2, Smoke::mf_static, 26, 696},	//696 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {26, 214, 1655, 2, Smoke::mf_static, 26, 697},	//697 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {26, 238, 1658, 2, Smoke::mf_static, 26, 698},	//698 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {26, 244, 1661, 2, Smoke::mf_static, 150, 699},	//699 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {26, 194, 1664, 2, Smoke::mf_static, 456, 700},	//700 QGlobalSpace::operator*(double, const QVector4D&)
    {26, 207, 1416, 2, Smoke::mf_static, 425, 701},	//701 QGlobalSpace::operator/(const QSize&, double)
    {26, 238, 1667, 2, Smoke::mf_static, 26, 702},	//702 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {26, 238, 1670, 2, Smoke::mf_static, 26, 703},	//703 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {26, 244, 1673, 2, Smoke::mf_static, 68, 704},	//704 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 238, 1676, 2, Smoke::mf_static, 26, 705},	//705 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {26, 223, 1357, 2, Smoke::mf_static, 371, 706},	//706 QGlobalSpace::operator==(bool, QBool)
    {26, 338, 283, 8, Smoke::mf_static, 0, 707},	//707 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 338, 292, 6, Smoke::mf_static, 0, 708},	//708 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 338, 299, 7, Smoke::mf_static, 0, 709},	//709 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 244, 1679, 2, Smoke::mf_static, 120, 710},	//710 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {26, 244, 1682, 2, Smoke::mf_static, 100, 711},	//711 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {26, 244, 1685, 2, Smoke::mf_static, 150, 712},	//712 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {26, 194, 1688, 2, Smoke::mf_static, 192, 713},	//713 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {26, 244, 1691, 2, Smoke::mf_static, 150, 714},	//714 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {26, 244, 1694, 2, Smoke::mf_static, 150, 715},	//715 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {26, 203, 239, 2, Smoke::mf_static, 418, 716},	//716 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {26, 244, 1697, 2, Smoke::mf_static, 93, 717},	//717 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {26, 203, 421, 2, Smoke::mf_static, 454, 718},	//718 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {26, 238, 1700, 2, Smoke::mf_static, 26, 719},	//719 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {26, 244, 1703, 2, Smoke::mf_static, 150, 720},	//720 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {26, 233, 478, 2, Smoke::mf_static, 371, 721},	//721 QGlobalSpace::operator>=(const char*, const QString&)
    {26, 255, 0, 0, Smoke::mf_static, 8, 722},	//722 QGlobalSpace::qAccessibleActionCastHelper()
    {26, 371, 1706, 1, Smoke::mf_static, 471, 723},	//723 QGlobalSpace::qHash(char)
    {26, 214, 1708, 2, Smoke::mf_static, 26, 724},	//724 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {26, 275, 125, 1, Smoke::mf_static, 463, 725},	//725 QGlobalSpace::qBlue(unsigned int)
    {26, 244, 1711, 2, Smoke::mf_static, 150, 726},	//726 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {26, 238, 1714, 2, Smoke::mf_static, 26, 727},	//727 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {26, 187, 514, 2, Smoke::mf_static, 371, 728},	//728 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {26, 244, 1717, 2, Smoke::mf_static, 99, 729},	//729 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {26, 380, 19, 1, Smoke::mf_static, 371, 730},	//730 QGlobalSpace::qIsFinite(double)
    {26, 244, 1720, 2, Smoke::mf_static, 111, 731},	//731 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {26, 203, 69, 2, Smoke::mf_static, 425, 732},	//732 QGlobalSpace::operator-(const QSize&, const QSize&)
    {26, 214, 1723, 2, Smoke::mf_static, 30, 733},	//733 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {26, 421, 0, 0, Smoke::mf_static, 461, 734},	//734 QGlobalSpace::qSNaN()
    {26, 244, 1726, 2, Smoke::mf_static, 90, 735},	//735 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {26, 214, 1729, 2, Smoke::mf_static, 26, 736},	//736 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {26, 364, 358, 1, Smoke::mf_static, 371, 737},	//737 QGlobalSpace::qFuzzyIsNull(float)
    {26, 244, 1732, 2, Smoke::mf_static, 109, 738},	//738 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {26, 244, 1735, 2, Smoke::mf_static, 150, 739},	//739 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {26, 438, 1507, 2, Smoke::mf_static, 16, 740},	//740 QGlobalSpace::qUncompress(const unsigned char*, int)
    {26, 244, 1738, 2, Smoke::mf_static, 109, 741},	//741 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {26, 244, 1741, 2, Smoke::mf_static, 66, 742},	//742 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {26, 244, 1744, 2, Smoke::mf_static, 150, 743},	//743 QGlobalSpace::operator|(Qt::Orientation, int)
    {26, 351, 19, 1, Smoke::mf_static, 461, 744},	//744 QGlobalSpace::qFastSin(double)
    {26, 187, 122, 2, Smoke::mf_static, 371, 745},	//745 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {26, 244, 1747, 2, Smoke::mf_static, 73, 746},	//746 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {26, 214, 1750, 2, Smoke::mf_static, 26, 747},	//747 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {26, 214, 1753, 2, Smoke::mf_static, 30, 748},	//748 QGlobalSpace::operator<<(QDebug, const QDir&)
    {26, 198, 514, 2, Smoke::mf_static, 414, 749},	//749 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {26, 194, 1756, 2, Smoke::mf_static, 206, 750},	//750 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {26, 223, 1371, 2, Smoke::mf_static, 371, 751},	//751 QGlobalSpace::operator==(QBool, bool)
    {26, 223, 66, 2, Smoke::mf_static, 371, 752},	//752 QGlobalSpace::operator==(const QRect&, const QRect&)
    {26, 214, 1759, 2, Smoke::mf_static, 30, 753},	//753 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {26, 473, 583, 2, Smoke::mf_static, 217, 754},	//754 QGlobalSpace::qtTrId(const char*, int)
    {26, 473, 945, 1, Smoke::mf_static, 217, 755},	//755 QGlobalSpace::qtTrId(const char*)
    {26, 238, 1762, 2, Smoke::mf_static, 26, 756},	//756 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {26, 244, 1765, 2, Smoke::mf_static, 76, 757},	//757 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {26, 244, 1768, 2, Smoke::mf_static, 150, 758},	//758 QGlobalSpace::operator|(QTextOption::Flag, int)
    {26, 198, 1771, 2, Smoke::mf_static, 432, 759},	//759 QGlobalSpace::operator+(const QString&, QChar)
    {26, 274, 0, 0, Smoke::mf_static, 0, 760},	//760 QGlobalSpace::qBadAlloc()
    {26, 187, 176, 2, Smoke::mf_static, 371, 761},	//761 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {26, 415, 1774, 4, Smoke::mf_static, 471, 762},	//762 QGlobalSpace::qRgba(int, int, int, int)
    {26, 244, 1779, 2, Smoke::mf_static, 117, 763},	//763 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {26, 244, 1782, 2, Smoke::mf_static, 93, 764},	//764 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {26, 244, 1785, 2, Smoke::mf_static, 78, 765},	//765 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {26, 187, 156, 2, Smoke::mf_static, 371, 766},	//766 QGlobalSpace::operator!=(QBool, QBool)
    {26, 214, 962, 2, Smoke::mf_static, 248, 767},	//767 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 392, 1788, 1, Smoke::mf_static, 478, 768},	//768 QGlobalSpace::qMalloc(size_t)
    {26, 214, 1790, 2, Smoke::mf_static, 30, 769},	//769 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {26, 223, 1135, 2, Smoke::mf_static, 371, 770},	//770 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {26, 203, 517, 2, Smoke::mf_static, 254, 771},	//771 QGlobalSpace::operator-(const QTransform&, double)
    {26, 244, 1793, 2, Smoke::mf_static, 77, 772},	//772 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {26, 214, 1796, 2, Smoke::mf_static, 26, 773},	//773 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {26, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 464, 774},	//774 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {26, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 464, 775},	//775 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {26, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 464, 776},	//776 QGlobalSpace::Q_STATIC_TYPE (enum)
    {26, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 464, 777},	//777 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {26, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 464, 778},	//778 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {26, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 359, 779},	//779 QGlobalSpace::LicensedOpenGL (enum)
    {26, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 780},	//780 QGlobalSpace::LicensedSvg (enum)
    {26, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 360, 781},	//781 QGlobalSpace::LicensedOpenVG (enum)
    {26, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 363, 782},	//782 QGlobalSpace::LicensedScript (enum)
    {26, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 361, 783},	//783 QGlobalSpace::LicensedQt3SupportLight (enum)
    {26, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 350, 784},	//784 QGlobalSpace::QtDebugMsg (enum)
    {26, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 350, 785},	//785 QGlobalSpace::QtWarningMsg (enum)
    {26, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 350, 786},	//786 QGlobalSpace::QtCriticalMsg (enum)
    {26, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 350, 787},	//787 QGlobalSpace::QtFatalMsg (enum)
    {26, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 350, 788},	//788 QGlobalSpace::QtSystemMsg (enum)
    {26, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 789},	//789 QGlobalSpace::LicensedGui (enum)
    {26, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 369, 790},	//790 QGlobalSpace::LicensedXmlPatterns (enum)
    {26, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 791},	//791 QGlobalSpace::LicensedSql (enum)
    {26, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 792},	//792 QGlobalSpace::LicensedActiveQt (enum)
    {26, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 362, 793},	//793 QGlobalSpace::LicensedQt3Support (enum)
    {26, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 353, 794},	//794 QGlobalSpace::LicensedDBus (enum)
    {26, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 795},	//795 QGlobalSpace::LicensedCore (enum)
    {26, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 358, 796},	//796 QGlobalSpace::LicensedNetwork (enum)
    {26, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 357, 797},	//797 QGlobalSpace::LicensedMultimedia (enum)
    {26, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 367, 798},	//798 QGlobalSpace::LicensedTest (enum)
    {26, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 364, 799},	//799 QGlobalSpace::LicensedScriptTools (enum)
    {26, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 800},	//800 QGlobalSpace::LicensedHelp (enum)
    {26, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 801},	//801 QGlobalSpace::LicensedXml (enum)
    {26, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 802},	//802 QGlobalSpace::LicensedDeclarative (enum)
    {27, 118, 1033, 1, Smoke::mf_virtual, 0, 0},	//803 QGraphicsItem::advance(int)
    {27, 538, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 0},	//804 QGraphicsItem::shape() const
    {27, 130, 732, 1, Smoke::mf_const|Smoke::mf_virtual, 371, 0},	//805 QGraphicsItem::contains(const QPointF&) const
    {27, 127, 1799, 2, Smoke::mf_const|Smoke::mf_virtual, 371, 0},	//806 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {27, 128, 1802, 2, Smoke::mf_const|Smoke::mf_virtual, 371, 0},	//807 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {27, 164, 1805, 1, Smoke::mf_const|Smoke::mf_virtual, 371, 0},	//808 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {27, 186, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 0},	//809 QGraphicsItem::opaqueArea() const
    {27, 509, 1807, 2, Smoke::mf_protected|Smoke::mf_virtual, 371, 0},	//810 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {27, 508, 1810, 1, Smoke::mf_protected|Smoke::mf_virtual, 371, 0},	//811 QGraphicsItem::sceneEvent(QEvent*)
    {27, 131, 1812, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//812 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {27, 138, 1814, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//813 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {27, 139, 1814, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//814 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {27, 140, 1814, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//815 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {27, 141, 1814, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//816 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {27, 151, 1816, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//817 QGraphicsItem::focusInEvent(QFocusEvent*)
    {27, 153, 1816, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//818 QGraphicsItem::focusOutEvent(QFocusEvent*)
    {27, 158, 1818, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//819 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {27, 160, 1818, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//820 QGraphicsItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {27, 159, 1818, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//821 QGraphicsItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {27, 167, 1820, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//822 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {27, 168, 1820, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//823 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {27, 183, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//824 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {27, 182, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//825 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {27, 184, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//826 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {27, 181, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//827 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {27, 559, 1824, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//828 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {27, 161, 1826, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//829 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {27, 162, 1828, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 261, 0},	//830 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {27, 166, 1830, 2, Smoke::mf_protected|Smoke::mf_virtual, 261, 0},	//831 QGraphicsItem::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {27, 544, 1833, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 371, 0},	//832 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {27, 518, 1835, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//833 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {27, 149, 1838, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 261, 0},	//834 QGraphicsItem::extension(const QVariant&) const
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 33},	//835 QGraphicsItem::ItemIsMovable (enum)
    {27, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 34},	//836 QGraphicsItem::ItemIsSelectable (enum)
    {27, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 35},	//837 QGraphicsItem::ItemIsFocusable (enum)
    {27, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 36},	//838 QGraphicsItem::ItemClipsToShape (enum)
    {27, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 37},	//839 QGraphicsItem::ItemClipsChildrenToShape (enum)
    {27, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 38},	//840 QGraphicsItem::ItemIgnoresTransformations (enum)
    {27, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 39},	//841 QGraphicsItem::ItemIgnoresParentOpacity (enum)
    {27, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 40},	//842 QGraphicsItem::ItemDoesntPropagateOpacityToChildren (enum)
    {27, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 41},	//843 QGraphicsItem::ItemStacksBehindParent (enum)
    {27, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 42},	//844 QGraphicsItem::ItemUsesExtendedStyleOption (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 43},	//845 QGraphicsItem::ItemHasNoContents (enum)
    {27, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 44},	//846 QGraphicsItem::ItemSendsGeometryChanges (enum)
    {27, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 45},	//847 QGraphicsItem::ItemAcceptsInputMethod (enum)
    {27, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 46},	//848 QGraphicsItem::ItemNegativeZStacksBehindParent (enum)
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 47},	//849 QGraphicsItem::ItemIsPanel (enum)
    {27, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 48},	//850 QGraphicsItem::ItemIsFocusScope (enum)
    {27, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 49},	//851 QGraphicsItem::ItemSendsScenePositionChanges (enum)
    {27, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 50},	//852 QGraphicsItem::ItemPositionChange (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 51},	//853 QGraphicsItem::ItemMatrixChange (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 52},	//854 QGraphicsItem::ItemVisibleChange (enum)
    {27, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 53},	//855 QGraphicsItem::ItemEnabledChange (enum)
    {27, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 54},	//856 QGraphicsItem::ItemSelectedChange (enum)
    {27, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 55},	//857 QGraphicsItem::ItemParentChange (enum)
    {27, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 56},	//858 QGraphicsItem::ItemChildAddedChange (enum)
    {27, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 57},	//859 QGraphicsItem::ItemChildRemovedChange (enum)
    {27, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 58},	//860 QGraphicsItem::ItemTransformChange (enum)
    {27, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 59},	//861 QGraphicsItem::ItemPositionHasChanged (enum)
    {27, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 60},	//862 QGraphicsItem::ItemTransformHasChanged (enum)
    {27, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 61},	//863 QGraphicsItem::ItemSceneChange (enum)
    {27, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 62},	//864 QGraphicsItem::ItemVisibleHasChanged (enum)
    {27, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 63},	//865 QGraphicsItem::ItemEnabledHasChanged (enum)
    {27, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 64},	//866 QGraphicsItem::ItemSelectedHasChanged (enum)
    {27, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 65},	//867 QGraphicsItem::ItemParentHasChanged (enum)
    {27, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 66},	//868 QGraphicsItem::ItemSceneHasChanged (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 67},	//869 QGraphicsItem::ItemCursorChange (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 68},	//870 QGraphicsItem::ItemCursorHasChanged (enum)
    {27, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 69},	//871 QGraphicsItem::ItemToolTipChange (enum)
    {27, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 70},	//872 QGraphicsItem::ItemToolTipHasChanged (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 71},	//873 QGraphicsItem::ItemFlagsChange (enum)
    {27, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 72},	//874 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {27, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 73},	//875 QGraphicsItem::ItemZValueChange (enum)
    {27, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 74},	//876 QGraphicsItem::ItemZValueHasChanged (enum)
    {27, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 75},	//877 QGraphicsItem::ItemOpacityChange (enum)
    {27, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 76},	//878 QGraphicsItem::ItemOpacityHasChanged (enum)
    {27, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 77},	//879 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {27, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 78},	//880 QGraphicsItem::ItemRotationChange (enum)
    {27, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 79},	//881 QGraphicsItem::ItemRotationHasChanged (enum)
    {27, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 80},	//882 QGraphicsItem::ItemScaleChange (enum)
    {27, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 81},	//883 QGraphicsItem::ItemScaleHasChanged (enum)
    {27, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 82},	//884 QGraphicsItem::ItemTransformOriginPointChange (enum)
    {27, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 83},	//885 QGraphicsItem::ItemTransformOriginPointHasChanged (enum)
    {27, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 464, 84},	//886 QGraphicsItem::Type (enum)
    {27, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 464, 85},	//887 QGraphicsItem::UserType (enum)
    {27, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 86},	//888 QGraphicsItem::UserExtension (enum)
    {34, 177, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 1},	//889 QGraphicsSvgItem::metaObject() const
    {34, 488, 945, 1, Smoke::mf_virtual, 478, 2},	//890 QGraphicsSvgItem::qt_metacast(const char*)
    {34, 548, 1158, 2, Smoke::mf_static, 217, 3},	//891 QGraphicsSvgItem::tr(const char*, const char*)
    {34, 552, 1158, 2, Smoke::mf_static, 217, 4},	//892 QGraphicsSvgItem::trUtf8(const char*, const char*)
    {34, 548, 9, 3, Smoke::mf_static, 217, 5},	//893 QGraphicsSvgItem::tr(const char*, const char*, int)
    {34, 552, 9, 3, Smoke::mf_static, 217, 6},	//894 QGraphicsSvgItem::trUtf8(const char*, const char*, int)
    {34, 486, 1840, 3, Smoke::mf_virtual, 463, 7},	//895 QGraphicsSvgItem::qt_metacall(QMetaObject::Call, int, void**)
    {34, 89, 1844, 1, Smoke::mf_ctor, 141, 8},	//896 QGraphicsSvgItem::QGraphicsSvgItem(QGraphicsItem*)
    {34, 89, 1846, 2, Smoke::mf_ctor, 141, 9},	//897 QGraphicsSvgItem::QGraphicsSvgItem(const QString&, QGraphicsItem*)
    {34, 529, 1849, 1, 0, 0, 10},	//898 QGraphicsSvgItem::setSharedRenderer(QSvgRenderer*)
    {34, 504, 0, 0, Smoke::mf_const, 235, 11},	//899 QGraphicsSvgItem::renderer() const
    {34, 516, 267, 1, Smoke::mf_property, 0, 12},	//900 QGraphicsSvgItem::setElementId(const QString&)
    {34, 144, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 13},	//901 QGraphicsSvgItem::elementId() const
    {34, 510, 1851, 1, 0, 0, 14},	//902 QGraphicsSvgItem::setCachingEnabled(bool)
    {34, 163, 0, 0, Smoke::mf_const, 371, 15},	//903 QGraphicsSvgItem::isCachingEnabled() const
    {34, 523, 1853, 1, Smoke::mf_property, 0, 16},	//904 QGraphicsSvgItem::setMaximumCacheSize(const QSize&)
    {34, 176, 0, 0, Smoke::mf_const|Smoke::mf_property, 210, 17},	//905 QGraphicsSvgItem::maximumCacheSize() const
    {34, 121, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 203, 18},	//906 QGraphicsSvgItem::boundingRect() const
    {34, 248, 1855, 3, Smoke::mf_virtual, 0, 19},	//907 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {34, 556, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 20},	//908 QGraphicsSvgItem::type() const
    {34, 548, 945, 1, Smoke::mf_static, 217, 21},	//909 QGraphicsSvgItem::tr(const char*)
    {34, 552, 945, 1, Smoke::mf_static, 217, 22},	//910 QGraphicsSvgItem::trUtf8(const char*)
    {34, 89, 0, 0, Smoke::mf_ctor, 141, 23},	//911 QGraphicsSvgItem::QGraphicsSvgItem()
    {34, 89, 267, 1, Smoke::mf_ctor, 141, 24},	//912 QGraphicsSvgItem::QGraphicsSvgItem(const QString&)
    {34, 248, 1859, 2, 0, 0, 25},	//913 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {34, 542, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 402, 26},	//914 QGraphicsSvgItem::staticMetaObject() const
    {34, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 464, 27},	//915 QGraphicsSvgItem::Type (enum)
    {34, 562, 0, 0, Smoke::mf_dtor, 0, 28 },	//916 QGraphicsSvgItem::~QGraphicsSvgItem()
    {57, 147, 1810, 1, Smoke::mf_virtual, 371, 0},	//917 QObject::event(QEvent*)
    {57, 148, 1862, 2, Smoke::mf_virtual, 371, 0},	//918 QObject::eventFilter(QObject*, QEvent*)
    {57, 546, 1865, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//919 QObject::timerEvent(QTimerEvent*)
    {57, 125, 1867, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//920 QObject::childEvent(QChildEvent*)
    {57, 133, 1810, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//921 QObject::customEvent(QEvent*)
    {57, 129, 945, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//922 QObject::connectNotify(const char*)
    {57, 137, 945, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//923 QObject::disconnectNotify(const char*)
    {58, 136, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 0},	//924 QPaintDevice::devType() const
    {58, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 2},	//925 QPaintDevice::PdmWidth (enum)
    {58, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 3},	//926 QPaintDevice::PdmHeight (enum)
    {58, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 4},	//927 QPaintDevice::PdmWidthMM (enum)
    {58, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 5},	//928 QPaintDevice::PdmHeightMM (enum)
    {58, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 6},	//929 QPaintDevice::PdmNumColors (enum)
    {58, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 7},	//930 QPaintDevice::PdmDepth (enum)
    {58, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 8},	//931 QPaintDevice::PdmDpiX (enum)
    {58, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 9},	//932 QPaintDevice::PdmDpiY (enum)
    {58, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 10},	//933 QPaintDevice::PdmPhysicalDpiX (enum)
    {58, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 11},	//934 QPaintDevice::PdmPhysicalDpiY (enum)
    {89, 93, 0, 0, Smoke::mf_ctor, 234, 1},	//935 QSvgGenerator::QSvgGenerator()
    {89, 547, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 2},	//936 QSvgGenerator::title() const
    {89, 533, 267, 1, Smoke::mf_property, 0, 3},	//937 QSvgGenerator::setTitle(const QString&)
    {89, 135, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 4},	//938 QSvgGenerator::description() const
    {89, 514, 267, 1, Smoke::mf_property, 0, 5},	//939 QSvgGenerator::setDescription(const QString&)
    {89, 540, 0, 0, Smoke::mf_const|Smoke::mf_property, 210, 6},	//940 QSvgGenerator::size() const
    {89, 531, 1853, 1, Smoke::mf_property, 0, 7},	//941 QSvgGenerator::setSize(const QSize&)
    {89, 557, 0, 0, Smoke::mf_const, 201, 8},	//942 QSvgGenerator::viewBox() const
    {89, 558, 0, 0, Smoke::mf_const|Smoke::mf_property, 203, 9},	//943 QSvgGenerator::viewBoxF() const
    {89, 535, 1869, 1, 0, 0, 10},	//944 QSvgGenerator::setViewBox(const QRect&)
    {89, 535, 1871, 1, Smoke::mf_property, 0, 11},	//945 QSvgGenerator::setViewBox(const QRectF&)
    {89, 150, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 12},	//946 QSvgGenerator::fileName() const
    {89, 519, 267, 1, Smoke::mf_property, 0, 13},	//947 QSvgGenerator::setFileName(const QString&)
    {89, 247, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 14},	//948 QSvgGenerator::outputDevice() const
    {89, 525, 1873, 1, Smoke::mf_property, 0, 15},	//949 QSvgGenerator::setOutputDevice(QIODevice*)
    {89, 527, 1033, 1, Smoke::mf_property, 0, 16},	//950 QSvgGenerator::setResolution(int)
    {89, 507, 0, 0, Smoke::mf_const|Smoke::mf_property, 463, 17},	//951 QSvgGenerator::resolution() const
    {89, 251, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 18},	//952 QSvgGenerator::paintEngine() const
    {89, 178, 1875, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 463, 19},	//953 QSvgGenerator::metric(QPaintDevice::PaintDeviceMetric) const
    {89, 563, 0, 0, Smoke::mf_dtor, 0, 20 },	//954 QSvgGenerator::~QSvgGenerator()
    {90, 177, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 1},	//955 QSvgRenderer::metaObject() const
    {90, 488, 945, 1, Smoke::mf_virtual, 478, 2},	//956 QSvgRenderer::qt_metacast(const char*)
    {90, 548, 1158, 2, Smoke::mf_static, 217, 3},	//957 QSvgRenderer::tr(const char*, const char*)
    {90, 552, 1158, 2, Smoke::mf_static, 217, 4},	//958 QSvgRenderer::trUtf8(const char*, const char*)
    {90, 548, 9, 3, Smoke::mf_static, 217, 5},	//959 QSvgRenderer::tr(const char*, const char*, int)
    {90, 552, 9, 3, Smoke::mf_static, 217, 6},	//960 QSvgRenderer::trUtf8(const char*, const char*, int)
    {90, 486, 1840, 3, Smoke::mf_virtual, 463, 7},	//961 QSvgRenderer::qt_metacall(QMetaObject::Call, int, void**)
    {90, 94, 1877, 1, Smoke::mf_ctor, 235, 8},	//962 QSvgRenderer::QSvgRenderer(QObject*)
    {90, 94, 1879, 2, Smoke::mf_ctor, 235, 9},	//963 QSvgRenderer::QSvgRenderer(const QString&, QObject*)
    {90, 94, 1882, 2, Smoke::mf_ctor, 235, 10},	//964 QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    {90, 94, 1885, 2, Smoke::mf_ctor, 235, 11},	//965 QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    {90, 165, 0, 0, Smoke::mf_const, 371, 12},	//966 QSvgRenderer::isValid() const
    {90, 134, 0, 0, Smoke::mf_const, 210, 13},	//967 QSvgRenderer::defaultSize() const
    {90, 557, 0, 0, Smoke::mf_const, 201, 14},	//968 QSvgRenderer::viewBox() const
    {90, 558, 0, 0, Smoke::mf_const|Smoke::mf_property, 203, 15},	//969 QSvgRenderer::viewBoxF() const
    {90, 535, 1869, 1, 0, 0, 16},	//970 QSvgRenderer::setViewBox(const QRect&)
    {90, 535, 1871, 1, Smoke::mf_property, 0, 17},	//971 QSvgRenderer::setViewBox(const QRectF&)
    {90, 119, 0, 0, Smoke::mf_const, 371, 18},	//972 QSvgRenderer::animated() const
    {90, 155, 0, 0, Smoke::mf_const|Smoke::mf_property, 463, 19},	//973 QSvgRenderer::framesPerSecond() const
    {90, 521, 1033, 1, Smoke::mf_property, 0, 20},	//974 QSvgRenderer::setFramesPerSecond(int)
    {90, 132, 0, 0, Smoke::mf_const|Smoke::mf_property, 463, 21},	//975 QSvgRenderer::currentFrame() const
    {90, 512, 1033, 1, Smoke::mf_property, 0, 22},	//976 QSvgRenderer::setCurrentFrame(int)
    {90, 120, 0, 0, Smoke::mf_const, 463, 23},	//977 QSvgRenderer::animationDuration() const
    {90, 122, 267, 1, Smoke::mf_const, 203, 24},	//978 QSvgRenderer::boundsOnElement(const QString&) const
    {90, 142, 267, 1, Smoke::mf_const, 371, 25},	//979 QSvgRenderer::elementExists(const QString&) const
    {90, 174, 267, 1, Smoke::mf_const, 167, 26},	//980 QSvgRenderer::matrixForElement(const QString&) const
    {90, 171, 267, 1, Smoke::mf_slot, 371, 27},	//981 QSvgRenderer::load(const QString&)
    {90, 171, 569, 1, Smoke::mf_slot, 371, 28},	//982 QSvgRenderer::load(const QByteArray&)
    {90, 171, 1888, 1, Smoke::mf_slot, 371, 29},	//983 QSvgRenderer::load(QXmlStreamReader*)
    {90, 499, 1890, 1, Smoke::mf_slot, 0, 30},	//984 QSvgRenderer::render(QPainter*)
    {90, 499, 1892, 2, Smoke::mf_slot, 0, 31},	//985 QSvgRenderer::render(QPainter*, const QRectF&)
    {90, 499, 1895, 3, Smoke::mf_slot, 0, 32},	//986 QSvgRenderer::render(QPainter*, const QString&, const QRectF&)
    {90, 505, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//987 QSvgRenderer::repaintNeeded()
    {90, 548, 945, 1, Smoke::mf_static, 217, 34},	//988 QSvgRenderer::tr(const char*)
    {90, 552, 945, 1, Smoke::mf_static, 217, 35},	//989 QSvgRenderer::trUtf8(const char*)
    {90, 94, 0, 0, Smoke::mf_ctor, 235, 36},	//990 QSvgRenderer::QSvgRenderer()
    {90, 94, 267, 1, Smoke::mf_ctor, 235, 37},	//991 QSvgRenderer::QSvgRenderer(const QString&)
    {90, 94, 569, 1, Smoke::mf_ctor, 235, 38},	//992 QSvgRenderer::QSvgRenderer(const QByteArray&)
    {90, 94, 1888, 1, Smoke::mf_ctor, 235, 39},	//993 QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    {90, 499, 1899, 2, Smoke::mf_slot, 0, 40},	//994 QSvgRenderer::render(QPainter*, const QString&)
    {90, 542, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 402, 41},	//995 QSvgRenderer::staticMetaObject() const
    {90, 564, 0, 0, Smoke::mf_dtor, 0, 42 },	//996 QSvgRenderer::~QSvgRenderer()
    {91, 177, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 1},	//997 QSvgWidget::metaObject() const
    {91, 488, 945, 1, Smoke::mf_virtual, 478, 2},	//998 QSvgWidget::qt_metacast(const char*)
    {91, 548, 1158, 2, Smoke::mf_static, 217, 3},	//999 QSvgWidget::tr(const char*, const char*)
    {91, 552, 1158, 2, Smoke::mf_static, 217, 4},	//1000 QSvgWidget::trUtf8(const char*, const char*)
    {91, 548, 9, 3, Smoke::mf_static, 217, 5},	//1001 QSvgWidget::tr(const char*, const char*, int)
    {91, 552, 9, 3, Smoke::mf_static, 217, 6},	//1002 QSvgWidget::trUtf8(const char*, const char*, int)
    {91, 486, 1840, 3, Smoke::mf_virtual, 463, 7},	//1003 QSvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {91, 99, 1902, 1, Smoke::mf_ctor, 236, 8},	//1004 QSvgWidget::QSvgWidget(QWidget*)
    {91, 99, 1904, 2, Smoke::mf_ctor, 236, 9},	//1005 QSvgWidget::QSvgWidget(const QString&, QWidget*)
    {91, 504, 0, 0, Smoke::mf_const, 235, 10},	//1006 QSvgWidget::renderer() const
    {91, 541, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 11},	//1007 QSvgWidget::sizeHint() const
    {91, 171, 267, 1, Smoke::mf_slot, 0, 12},	//1008 QSvgWidget::load(const QString&)
    {91, 171, 569, 1, Smoke::mf_slot, 0, 13},	//1009 QSvgWidget::load(const QByteArray&)
    {91, 252, 1907, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1010 QSvgWidget::paintEvent(QPaintEvent*)
    {91, 548, 945, 1, Smoke::mf_static, 217, 15},	//1011 QSvgWidget::tr(const char*)
    {91, 552, 945, 1, Smoke::mf_static, 217, 16},	//1012 QSvgWidget::trUtf8(const char*)
    {91, 99, 0, 0, Smoke::mf_ctor, 236, 17},	//1013 QSvgWidget::QSvgWidget()
    {91, 99, 267, 1, Smoke::mf_ctor, 236, 18},	//1014 QSvgWidget::QSvgWidget(const QString&)
    {91, 542, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 402, 19},	//1015 QSvgWidget::staticMetaObject() const
    {91, 565, 0, 0, Smoke::mf_dtor, 0, 20 },	//1016 QSvgWidget::~QSvgWidget()
    {112, 136, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 0},	//1017 QWidget::devType() const
    {112, 537, 1851, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1018 QWidget::setVisible(bool)
    {112, 180, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 210, 0},	//1019 QWidget::minimumSizeHint() const
    {112, 156, 1033, 1, Smoke::mf_const|Smoke::mf_virtual, 463, 0},	//1020 QWidget::heightForWidth(int) const
    {112, 251, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 180, 0},	//1021 QWidget::paintEngine() const
    {112, 147, 1810, 1, Smoke::mf_protected|Smoke::mf_virtual, 371, 0},	//1022 QWidget::event(QEvent*)
    {112, 183, 1909, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1023 QWidget::mousePressEvent(QMouseEvent*)
    {112, 184, 1909, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1024 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 181, 1909, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1025 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 182, 1909, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1026 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 559, 1911, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1027 QWidget::wheelEvent(QWheelEvent*)
    {112, 167, 1820, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1028 QWidget::keyPressEvent(QKeyEvent*)
    {112, 168, 1820, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1029 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 151, 1816, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1030 QWidget::focusInEvent(QFocusEvent*)
    {112, 153, 1816, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1031 QWidget::focusOutEvent(QFocusEvent*)
    {112, 146, 1810, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1032 QWidget::enterEvent(QEvent*)
    {112, 170, 1810, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1033 QWidget::leaveEvent(QEvent*)
    {112, 185, 1913, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1034 QWidget::moveEvent(QMoveEvent*)
    {112, 506, 1915, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1035 QWidget::resizeEvent(QResizeEvent*)
    {112, 126, 1917, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1036 QWidget::closeEvent(QCloseEvent*)
    {112, 131, 1919, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1037 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 545, 1921, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1038 QWidget::tabletEvent(QTabletEvent*)
    {112, 117, 1923, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1039 QWidget::actionEvent(QActionEvent*)
    {112, 138, 1925, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1040 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 140, 1927, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1041 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 139, 1929, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1042 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 141, 1931, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1043 QWidget::dropEvent(QDropEvent*)
    {112, 539, 1933, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1044 QWidget::showEvent(QShowEvent*)
    {112, 157, 1935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1045 QWidget::hideEvent(QHideEvent*)
    {112, 561, 1937, 1, Smoke::mf_protected|Smoke::mf_virtual, 371, 0},	//1046 QWidget::x11Event(_XEvent*)
    {112, 124, 1810, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1047 QWidget::changeEvent(QEvent*)
    {112, 178, 1875, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 463, 0},	//1048 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 161, 1826, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1049 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 162, 1828, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//1050 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 152, 1851, 1, Smoke::mf_protected|Smoke::mf_virtual, 371, 0},	//1051 QWidget::focusNextPrevChild(bool)
    {112, 543, 1939, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1052 QWidget::styleChange(QStyle&)
    {112, 145, 1851, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1053 QWidget::enabledChange(bool)
    {112, 254, 1941, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1054 QWidget::paletteChange(const QPalette&)
    {112, 154, 1943, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1055 QWidget::fontChange(const QFont&)
    {112, 560, 1851, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1056 QWidget::windowActivationChange(bool)
    {112, 169, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1057 QWidget::languageChange()
    {112, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 42},	//1058 QWidget::DrawWindowBackground (enum)
    {112, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 43},	//1059 QWidget::DrawChildren (enum)
    {112, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 44},	//1060 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    12,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    24,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    60,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    149,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    192,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    243,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    329,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    333,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    395,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    448,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    466,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    467,  // QGlobalSpace::operator!=(QChar, QChar)
    488,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    574,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    582,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    638,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    642,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    728,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    761,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    766,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    362,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    413,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    446,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    559,  // QGlobalSpace::operator!=(QBool, bool)
    617,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    366,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    414,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    554,  // QGlobalSpace::operator!=(bool, QBool)
    628,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    677,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    745,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    35,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    37,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    88,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    90,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    98,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    139,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    144,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    146,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    202,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    213,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    241,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    258,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    289,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    304,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    316,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    325,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    372,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    436,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    447,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    500,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    558,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    589,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    616,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    619,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    636,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    658,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    683,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    713,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    750,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    7,  // QGlobalSpace::operator*(const QPoint&, double)
    43,  // QGlobalSpace::operator*(const QSizeF&, double)
    61,  // QGlobalSpace::operator*(const QQuaternion&, double)
    189,  // QGlobalSpace::operator*(const QVector2D&, double)
    193,  // QGlobalSpace::operator*(const QVector4D&, double)
    222,  // QGlobalSpace::operator*(const QPointF&, double)
    255,  // QGlobalSpace::operator*(const QVector3D&, double)
    351,  // QGlobalSpace::operator*(const QTransform&, double)
    409,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    588,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    10,  // QGlobalSpace::operator*(double, const QPointF&)
    14,  // QGlobalSpace::operator*(double, const QSizeF&)
    439,  // QGlobalSpace::operator*(double, const QVector2D&)
    453,  // QGlobalSpace::operator*(double, const QVector3D&)
    469,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    489,  // QGlobalSpace::operator*(double, const QSize&)
    507,  // QGlobalSpace::operator*(double, const QPoint&)
    518,  // QGlobalSpace::operator*(double, const QQuaternion&)
    700,  // QGlobalSpace::operator*(double, const QVector4D&)
    0,
    25,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    107,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    142,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    170,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    211,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    234,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    607,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    610,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    679,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    749,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    77,  // QGlobalSpace::operator+(QChar, const QString&)
    286,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    519,  // QGlobalSpace::operator+(const QByteArray&, char)
    572,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    670,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    166,  // QGlobalSpace::operator+(char, const QByteArray&)
    426,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    680,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    759,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    153,  // QGlobalSpace::operator+(const QString&, const char*)
    169,  // QGlobalSpace::operator+(const char*, const QString&)
    294,  // QGlobalSpace::operator+(const QString&, char)
    405,  // QGlobalSpace::operator+(const QString&, const QString&)
    463,  // QGlobalSpace::operator+(char, const QString&)
    0,
    55,  // QGlobalSpace::operator-(const QQuaternion&)
    80,  // QGlobalSpace::operator-(const QVector2D&)
    281,  // QGlobalSpace::operator-(const QPointF&)
    389,  // QGlobalSpace::operator-(const QVector4D&)
    437,  // QGlobalSpace::operator-(const QMatrix4x4&)
    640,  // QGlobalSpace::operator-(const QPoint&)
    690,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    31,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    34,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    52,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    252,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    562,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    664,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    716,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    718,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    732,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    167,  // QGlobalSpace::operator/(const QPoint&, double)
    185,  // QGlobalSpace::operator/(const QTransform&, double)
    201,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    254,  // QGlobalSpace::operator/(const QSizeF&, double)
    371,  // QGlobalSpace::operator/(const QVector4D&, double)
    376,  // QGlobalSpace::operator/(const QQuaternion&, double)
    399,  // QGlobalSpace::operator/(const QVector2D&, double)
    464,  // QGlobalSpace::operator/(const QVector3D&, double)
    524,  // QGlobalSpace::operator/(const QPointF&, double)
    701,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    197,  // QGlobalSpace::operator<(QChar, QChar)
    266,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    354,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    665,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    318,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    605,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    9,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    13,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    17,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    19,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    22,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    27,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    29,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    44,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    70,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    71,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    72,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    86,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    87,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    91,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    92,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    106,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    112,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    130,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    136,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    151,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    154,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    156,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    158,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    162,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    181,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    186,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    196,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    203,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    237,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    264,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    284,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    288,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    291,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    305,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    309,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    314,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    332,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    350,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    355,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    363,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    379,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    383,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    387,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    390,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    445,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    450,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    451,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    455,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    461,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    462,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    478,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    485,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    495,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    501,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    510,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    511,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    514,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    516,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    517,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    521,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    530,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    536,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    544,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    552,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    556,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    573,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    576,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    578,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    584,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    591,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    595,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    601,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    608,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    612,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    614,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    621,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    623,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    635,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    666,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    668,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    671,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    694,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    696,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    724,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    733,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    736,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    747,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    748,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    753,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    767,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    769,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    773,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    58,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    155,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    172,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    212,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    359,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    415,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    551,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    632,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    662,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    697,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    430,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    528,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    540,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    611,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    422,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    575,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    41,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    54,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    62,  // QGlobalSpace::operator==(QBool, QBool)
    69,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    148,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    184,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    199,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    228,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    302,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    343,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    396,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    423,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    443,  // QGlobalSpace::operator==(QChar, QChar)
    460,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    472,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    481,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    487,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    553,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    651,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    752,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    770,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    337,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    490,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    590,  // QGlobalSpace::operator==(QString::Null, const QString&)
    596,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    676,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    751,  // QGlobalSpace::operator==(QBool, bool)
    0,
    173,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    239,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    263,  // QGlobalSpace::operator==(const QString&, QString::Null)
    417,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    425,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    580,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    706,  // QGlobalSpace::operator==(bool, QBool)
    0,
    259,  // QGlobalSpace::operator>(QChar, QChar)
    370,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    420,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    620,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    47,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    547,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    53,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    295,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    342,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    526,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    204,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    260,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    18,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    73,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    123,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    128,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    150,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    161,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    168,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    175,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    179,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    180,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    182,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    215,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    220,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    251,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    257,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    270,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    310,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    349,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    364,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    374,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    378,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    386,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    388,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    393,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    401,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    419,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    427,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    431,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    458,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    482,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    484,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    499,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    538,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    548,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    564,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    594,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    598,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    602,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    603,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    641,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    667,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    669,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    678,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    684,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    698,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    702,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    703,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    705,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    719,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    727,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    756,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    442,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    649,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    4,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    6,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    11,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    15,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    16,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    20,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    21,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    28,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    33,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    36,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    40,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    42,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    45,  // QGlobalSpace::operator|(QDir::Filter, int)
    51,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    56,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    57,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    63,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    64,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    65,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    66,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    68,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    75,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    76,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    79,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    85,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    89,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    94,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    97,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    104,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    111,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    113,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    114,  // QGlobalSpace::operator|(Qt::DropAction, int)
    122,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    126,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    127,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    129,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    131,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    132,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    134,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    135,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    137,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    138,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    141,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    145,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    147,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    152,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    157,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    159,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    160,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    163,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    164,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    165,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    171,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    174,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    183,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    187,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    190,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    191,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    194,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    195,  // QGlobalSpace::operator|(QFile::Permission, int)
    205,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    208,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    209,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    210,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    216,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    217,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    218,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    219,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    221,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    224,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    225,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    235,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    240,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    242,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    247,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    248,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    249,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    250,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    253,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    256,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    262,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    267,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    269,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    278,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    279,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    280,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    283,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    287,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    290,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    292,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    296,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    298,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    308,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    313,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    315,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    317,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    322,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    324,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    326,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    327,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    330,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    334,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    335,  // QGlobalSpace::operator|(Qt::WindowType, int)
    336,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    347,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    348,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    352,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    353,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    356,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    358,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    360,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    361,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    365,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    367,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    369,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    373,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    375,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    377,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    380,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    382,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    385,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    392,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    400,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    403,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    404,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    406,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    408,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    416,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    418,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    428,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    429,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    432,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    433,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    435,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    438,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    440,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    441,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    444,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    452,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    456,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    459,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    465,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    468,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    471,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    476,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    477,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    479,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    480,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    483,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    486,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    491,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    493,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    494,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    497,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    503,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    509,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    515,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    520,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    522,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    523,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    527,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    535,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    539,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    542,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    543,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    546,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    550,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    557,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    560,  // QGlobalSpace::operator|(Qt::WindowState, int)
    561,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    577,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    579,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    581,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    583,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    585,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    586,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    592,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    593,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    599,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    606,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    613,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    622,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    624,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    626,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    627,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    631,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    634,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    637,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    644,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    646,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    647,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    650,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    652,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    657,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    672,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    674,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    682,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    685,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    686,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    687,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    689,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    691,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    693,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    699,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    704,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    710,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    711,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    712,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    714,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    715,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    717,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    720,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    726,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    729,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    731,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    735,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    738,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    739,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    741,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    742,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    743,  // QGlobalSpace::operator|(Qt::Orientation, int)
    746,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    757,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    758,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    763,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    764,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    765,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    772,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    39,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    46,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    200,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    474,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    502,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    533,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    566,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    0,
    177,  // QGlobalSpace::qFuzzyCompare(double, double)
    537,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    303,  // QGlobalSpace::qFuzzyIsNull(double)
    737,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    3,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    67,  // QGlobalSpace::qHash(const QStringRef&)
    93,  // QGlobalSpace::qHash(const QBitArray&)
    207,  // QGlobalSpace::qHash(const QByteArray&)
    297,  // QGlobalSpace::qHash(QChar)
    391,  // QGlobalSpace::qHash(const QUrl&)
    492,  // QGlobalSpace::qHash(const QModelIndex&)
    673,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    0,
    32,  // QGlobalSpace::qHash(unsigned char)
    100,  // QGlobalSpace::qHash(const QString&)
    101,  // QGlobalSpace::qHash(unsigned short)
    103,  // QGlobalSpace::qHash(long)
    449,  // QGlobalSpace::qHash(signed char)
    512,  // QGlobalSpace::qHash(short)
    555,  // QGlobalSpace::qHash(unsigned long)
    615,  // QGlobalSpace::qHash(unsigned int)
    663,  // QGlobalSpace::qHash(int)
    723,  // QGlobalSpace::qHash(char)
    0,
    105,  // QGlobalSpace::qHash(long long)
    285,  // QGlobalSpace::qHash(unsigned long long)
    0,
    265,  // QGlobalSpace::qIntCast(float)
    344,  // QGlobalSpace::qIntCast(double)
    0,
    394,  // QGlobalSpace::qIsFinite(float)
    730,  // QGlobalSpace::qIsFinite(double)
    0,
    8,  // QGlobalSpace::qIsInf(double)
    125,  // QGlobalSpace::qIsInf(float)
    0,
    176,  // QGlobalSpace::qIsNaN(float)
    508,  // QGlobalSpace::qIsNaN(double)
    0,
    178,  // QGlobalSpace::qIsNull(float)
    338,  // QGlobalSpace::qIsNull(double)
    0,
    962,  // QSvgRenderer::QSvgRenderer(QObject*)
    992,  // QSvgRenderer::QSvgRenderer(const QByteArray&)
    993,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    0,
    964,  // QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    965,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    0,
    982,  // QSvgRenderer::load(const QByteArray&)
    983,  // QSvgRenderer::load(QXmlStreamReader*)
    0,
    970,  // QSvgRenderer::setViewBox(const QRect&)
    971,  // QSvgRenderer::setViewBox(const QRectF&)
    0,
    944,  // QSvgGenerator::setViewBox(const QRect&)
    945,  // QSvgGenerator::setViewBox(const QRectF&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 57, 792},	// QGlobalSpace::LicensedActiveQt
    {26, 58, 795},	// QGlobalSpace::LicensedCore
    {26, 59, 794},	// QGlobalSpace::LicensedDBus
    {26, 60, 802},	// QGlobalSpace::LicensedDeclarative
    {26, 61, 789},	// QGlobalSpace::LicensedGui
    {26, 62, 800},	// QGlobalSpace::LicensedHelp
    {26, 63, 797},	// QGlobalSpace::LicensedMultimedia
    {26, 64, 796},	// QGlobalSpace::LicensedNetwork
    {26, 65, 779},	// QGlobalSpace::LicensedOpenGL
    {26, 66, 781},	// QGlobalSpace::LicensedOpenVG
    {26, 67, 793},	// QGlobalSpace::LicensedQt3Support
    {26, 68, 783},	// QGlobalSpace::LicensedQt3SupportLight
    {26, 69, 782},	// QGlobalSpace::LicensedScript
    {26, 70, 799},	// QGlobalSpace::LicensedScriptTools
    {26, 71, 791},	// QGlobalSpace::LicensedSql
    {26, 72, 780},	// QGlobalSpace::LicensedSvg
    {26, 73, 798},	// QGlobalSpace::LicensedTest
    {26, 74, 801},	// QGlobalSpace::LicensedXml
    {26, 75, 790},	// QGlobalSpace::LicensedXmlPatterns
    {26, 103, 774},	// QGlobalSpace::Q_COMPLEX_TYPE
    {26, 104, 778},	// QGlobalSpace::Q_DUMMY_TYPE
    {26, 105, 777},	// QGlobalSpace::Q_MOVABLE_TYPE
    {26, 106, 775},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {26, 107, 776},	// QGlobalSpace::Q_STATIC_TYPE
    {26, 108, 786},	// QGlobalSpace::QtCriticalMsg
    {26, 109, 784},	// QGlobalSpace::QtDebugMsg
    {26, 110, 787},	// QGlobalSpace::QtFatalMsg
    {26, 111, 788},	// QGlobalSpace::QtSystemMsg
    {26, 112, 785},	// QGlobalSpace::QtWarningMsg
    {26, 188, -1},	// QGlobalSpace::operator!=##
    {26, 189, -22},	// QGlobalSpace::operator!=#$
    {26, 190, -28},	// QGlobalSpace::operator!=$#
    {26, 191, 412},	// QGlobalSpace::operator!=$$
    {26, 193, 1},	// QGlobalSpace::operator&##
    {26, 195, -35},	// QGlobalSpace::operator*##
    {26, 196, -65},	// QGlobalSpace::operator*#$
    {26, 197, -76},	// QGlobalSpace::operator*$#
    {26, 199, -86},	// QGlobalSpace::operator+##
    {26, 200, -97},	// QGlobalSpace::operator+#$
    {26, 201, -103},	// QGlobalSpace::operator+$#
    {26, 202, -108},	// QGlobalSpace::operator+$$
    {26, 204, -114},	// QGlobalSpace::operator-#
    {26, 205, -122},	// QGlobalSpace::operator-##
    {26, 206, 771},	// QGlobalSpace::operator-#$
    {26, 208, -132},	// QGlobalSpace::operator/#$
    {26, 210, -143},	// QGlobalSpace::operator<##
    {26, 211, 133},	// QGlobalSpace::operator<#$
    {26, 212, -148},	// QGlobalSpace::operator<$#
    {26, 213, 411},	// QGlobalSpace::operator<$$
    {26, 215, -151},	// QGlobalSpace::operator<<##
    {26, 216, -244},	// QGlobalSpace::operator<<#$
    {26, 217, 121},	// QGlobalSpace::operator<<#?
    {26, 219, -255},	// QGlobalSpace::operator<=##
    {26, 220, 331},	// QGlobalSpace::operator<=#$
    {26, 221, -260},	// QGlobalSpace::operator<=$#
    {26, 222, 188},	// QGlobalSpace::operator<=$$
    {26, 224, -263},	// QGlobalSpace::operator==##
    {26, 225, -285},	// QGlobalSpace::operator==#$
    {26, 226, -292},	// QGlobalSpace::operator==$#
    {26, 227, 692},	// QGlobalSpace::operator==$$
    {26, 229, -300},	// QGlobalSpace::operator>##
    {26, 230, 604},	// QGlobalSpace::operator>#$
    {26, 231, -305},	// QGlobalSpace::operator>$#
    {26, 232, 600},	// QGlobalSpace::operator>$$
    {26, 234, -308},	// QGlobalSpace::operator>=##
    {26, 235, 506},	// QGlobalSpace::operator>=#$
    {26, 236, -313},	// QGlobalSpace::operator>=$#
    {26, 237, 721},	// QGlobalSpace::operator>=$$
    {26, 239, -316},	// QGlobalSpace::operator>>##
    {26, 240, -368},	// QGlobalSpace::operator>>#$
    {26, 241, 565},	// QGlobalSpace::operator>>#?
    {26, 243, 345},	// QGlobalSpace::operator^##
    {26, 245, 424},	// QGlobalSpace::operator|##
    {26, 246, -371},	// QGlobalSpace::operator|$$
    {26, 255, 722},	// QGlobalSpace::qAccessibleActionCastHelper
    {26, 256, 587},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {26, 257, 381},	// QGlobalSpace::qAccessibleImageCastHelper
    {26, 258, 407},	// QGlobalSpace::qAccessibleTableCastHelper
    {26, 259, 198},	// QGlobalSpace::qAccessibleTextCastHelper
    {26, 260, 496},	// QGlobalSpace::qAccessibleValueCastHelper
    {26, 262, 368},	// QGlobalSpace::qAcos$
    {26, 264, 323},	// QGlobalSpace::qAddPostRoutine$
    {26, 266, 74},	// QGlobalSpace::qAlpha$
    {26, 267, 293},	// QGlobalSpace::qAppName
    {26, 269, 532},	// QGlobalSpace::qAsin$
    {26, 271, 95},	// QGlobalSpace::qAtan$
    {26, 273, 307},	// QGlobalSpace::qAtan2$$
    {26, 274, 760},	// QGlobalSpace::qBadAlloc
    {26, 276, 725},	// QGlobalSpace::qBlue$
    {26, 278, 48},	// QGlobalSpace::qCeil$
    {26, 280, 346},	// QGlobalSpace::qChecksum$$
    {26, 282, 312},	// QGlobalSpace::qCompress#
    {26, 283, 311},	// QGlobalSpace::qCompress#$
    {26, 284, 630},	// QGlobalSpace::qCompress$$
    {26, 285, 629},	// QGlobalSpace::qCompress$$$
    {26, 287, 120},	// QGlobalSpace::qCos$
    {26, 288, 2},	// QGlobalSpace::qCritical
    {26, 289, 639},	// QGlobalSpace::qDebug
    {26, 291, 643},	// QGlobalSpace::qDrawBorderPixmap####
    {26, 292, 340},	// QGlobalSpace::qDrawBorderPixmap######
    {26, 293, 341},	// QGlobalSpace::qDrawBorderPixmap#######
    {26, 294, 339},	// QGlobalSpace::qDrawBorderPixmap#######$
    {26, 296, 320},	// QGlobalSpace::qDrawPlainRect###
    {26, 297, 321},	// QGlobalSpace::qDrawPlainRect###$
    {26, 298, 319},	// QGlobalSpace::qDrawPlainRect###$#
    {26, 299, 300},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {26, 300, 301},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {26, 301, 299},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {26, 303, 654},	// QGlobalSpace::qDrawShadeLine####
    {26, 304, 655},	// QGlobalSpace::qDrawShadeLine####$
    {26, 305, 656},	// QGlobalSpace::qDrawShadeLine####$$
    {26, 306, 653},	// QGlobalSpace::qDrawShadeLine####$$$
    {26, 307, 568},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {26, 308, 569},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {26, 309, 570},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {26, 310, 567},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {26, 312, 82},	// QGlobalSpace::qDrawShadePanel###
    {26, 313, 83},	// QGlobalSpace::qDrawShadePanel###$
    {26, 314, 84},	// QGlobalSpace::qDrawShadePanel###$$
    {26, 315, 81},	// QGlobalSpace::qDrawShadePanel###$$#
    {26, 316, 230},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {26, 317, 231},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {26, 318, 232},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {26, 319, 229},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {26, 321, 274},	// QGlobalSpace::qDrawShadeRect###
    {26, 322, 275},	// QGlobalSpace::qDrawShadeRect###$
    {26, 323, 276},	// QGlobalSpace::qDrawShadeRect###$$
    {26, 324, 277},	// QGlobalSpace::qDrawShadeRect###$$$
    {26, 325, 273},	// QGlobalSpace::qDrawShadeRect###$$$#
    {26, 326, 116},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {26, 327, 117},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {26, 328, 118},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {26, 329, 119},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {26, 330, 115},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {26, 332, 245},	// QGlobalSpace::qDrawWinButton###
    {26, 333, 246},	// QGlobalSpace::qDrawWinButton###$
    {26, 334, 244},	// QGlobalSpace::qDrawWinButton###$#
    {26, 335, 109},	// QGlobalSpace::qDrawWinButton#$$$$#
    {26, 336, 110},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {26, 337, 108},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {26, 339, 660},	// QGlobalSpace::qDrawWinPanel###
    {26, 340, 661},	// QGlobalSpace::qDrawWinPanel###$
    {26, 341, 659},	// QGlobalSpace::qDrawWinPanel###$#
    {26, 342, 708},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {26, 343, 709},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {26, 344, 707},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {26, 346, 328},	// QGlobalSpace::qExp$
    {26, 348, 26},	// QGlobalSpace::qFabs$
    {26, 350, 695},	// QGlobalSpace::qFastCos$
    {26, 352, 744},	// QGlobalSpace::qFastSin$
    {26, 354, 504},	// QGlobalSpace::qFlagLocation$
    {26, 356, 475},	// QGlobalSpace::qFloor$
    {26, 358, 609},	// QGlobalSpace::qFree$
    {26, 360, 261},	// QGlobalSpace::qFreeAligned$
    {26, 362, -600},	// QGlobalSpace::qFuzzyCompare##
    {26, 363, -608},	// QGlobalSpace::qFuzzyCompare$$
    {26, 365, -611},	// QGlobalSpace::qFuzzyIsNull$
    {26, 367, 50},	// QGlobalSpace::qGray$
    {26, 368, 143},	// QGlobalSpace::qGray$$$
    {26, 370, 78},	// QGlobalSpace::qGreen$
    {26, 372, -614},	// QGlobalSpace::qHash#
    {26, 373, -623},	// QGlobalSpace::qHash$
    {26, 374, -634},	// QGlobalSpace::qHash?
    {26, 375, 513},	// QGlobalSpace::qInf
    {26, 377, 236},	// QGlobalSpace::qInstallMsgHandler$
    {26, 379, -637},	// QGlobalSpace::qIntCast$
    {26, 381, -640},	// QGlobalSpace::qIsFinite$
    {26, 383, 434},	// QGlobalSpace::qIsGray$
    {26, 385, -643},	// QGlobalSpace::qIsInf$
    {26, 387, -646},	// QGlobalSpace::qIsNaN$
    {26, 389, -649},	// QGlobalSpace::qIsNull$
    {26, 391, 563},	// QGlobalSpace::qLn$
    {26, 393, 768},	// QGlobalSpace::qMalloc?
    {26, 395, 625},	// QGlobalSpace::qMallocAligned??
    {26, 397, 505},	// QGlobalSpace::qMemCopy$$?
    {26, 399, 306},	// QGlobalSpace::qMemSet$$?
    {26, 401, 675},	// QGlobalSpace::qPow$$
    {26, 402, 30},	// QGlobalSpace::qQNaN
    {26, 404, 402},	// QGlobalSpace::qRealloc$?
    {26, 406, 282},	// QGlobalSpace::qReallocAligned$???
    {26, 408, 59},	// QGlobalSpace::qRed$
    {26, 410, 102},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {26, 412, 498},	// QGlobalSpace::qRemovePostRoutine$
    {26, 414, 473},	// QGlobalSpace::qRgb$$$
    {26, 416, 762},	// QGlobalSpace::qRgba$$$$
    {26, 418, 421},	// QGlobalSpace::qRound$
    {26, 420, 618},	// QGlobalSpace::qRound64$
    {26, 421, 734},	// QGlobalSpace::qSNaN
    {26, 423, 549},	// QGlobalSpace::qSetFieldWidth$
    {26, 425, 226},	// QGlobalSpace::qSetPadChar#
    {26, 427, 529},	// QGlobalSpace::qSetRealNumberPrecision$
    {26, 428, 233},	// QGlobalSpace::qSharedBuild
    {26, 430, 531},	// QGlobalSpace::qSin$
    {26, 432, 454},	// QGlobalSpace::qSqrt$
    {26, 434, 271},	// QGlobalSpace::qStringComparisonHelper#$
    {26, 435, 681},	// QGlobalSpace::qStringComparisonHelper$$
    {26, 437, 648},	// QGlobalSpace::qTan$
    {26, 439, 525},	// QGlobalSpace::qUncompress#
    {26, 440, 740},	// QGlobalSpace::qUncompress$$
    {26, 441, 38},	// QGlobalSpace::qVersion
    {26, 442, 140},	// QGlobalSpace::qWarning
    {26, 444, 96},	// QGlobalSpace::qbswap_helper$$$
    {26, 446, 357},	// QGlobalSpace::qgetenv$
    {26, 448, 268},	// QGlobalSpace::qputenv$#
    {26, 449, 49},	// QGlobalSpace::qrand
    {26, 451, 124},	// QGlobalSpace::qsrand$
    {26, 453, 223},	// QGlobalSpace::qstrcmp##
    {26, 454, 227},	// QGlobalSpace::qstrcmp#$
    {26, 455, 645},	// QGlobalSpace::qstrcmp$#
    {26, 456, 457},	// QGlobalSpace::qstrcmp$$
    {26, 458, 23},	// QGlobalSpace::qstrcpy$$
    {26, 460, 633},	// QGlobalSpace::qstrdup$
    {26, 462, 534},	// QGlobalSpace::qstricmp$$
    {26, 464, 571},	// QGlobalSpace::qstrlen$
    {26, 466, 272},	// QGlobalSpace::qstrncmp$$$
    {26, 468, 384},	// QGlobalSpace::qstrncpy$$$
    {26, 470, 206},	// QGlobalSpace::qstrnicmp$$$
    {26, 472, 470},	// QGlobalSpace::qstrnlen$$
    {26, 474, 755},	// QGlobalSpace::qtTrId$
    {26, 475, 754},	// QGlobalSpace::qtTrId$$
    {26, 477, 5},	// QGlobalSpace::qt_assert$$$
    {26, 479, 410},	// QGlobalSpace::qt_assert_x$$$$
    {26, 481, 214},	// QGlobalSpace::qt_check_pointer$$
    {26, 482, 398},	// QGlobalSpace::qt_error_string
    {26, 483, 397},	// QGlobalSpace::qt_error_string$
    {26, 485, 688},	// QGlobalSpace::qt_message_output$$
    {26, 490, 545},	// QGlobalSpace::qt_noop
    {26, 492, 238},	// QGlobalSpace::qt_qFindChild_helper#$#
    {26, 494, 597},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {26, 496, 99},	// QGlobalSpace::qvariant_cast_helper#$$
    {26, 498, 541},	// QGlobalSpace::qvsnprintf$?$?
    {34, 89, 911},	// QGraphicsSvgItem::QGraphicsSvgItem
    {34, 90, 896},	// QGraphicsSvgItem::QGraphicsSvgItem#
    {34, 91, 912},	// QGraphicsSvgItem::QGraphicsSvgItem$
    {34, 92, 897},	// QGraphicsSvgItem::QGraphicsSvgItem$#
    {34, 114, 915},	// QGraphicsSvgItem::Type
    {34, 121, 906},	// QGraphicsSvgItem::boundingRect
    {34, 144, 901},	// QGraphicsSvgItem::elementId
    {34, 163, 903},	// QGraphicsSvgItem::isCachingEnabled
    {34, 176, 905},	// QGraphicsSvgItem::maximumCacheSize
    {34, 177, 889},	// QGraphicsSvgItem::metaObject
    {34, 249, 913},	// QGraphicsSvgItem::paint##
    {34, 250, 907},	// QGraphicsSvgItem::paint###
    {34, 487, 895},	// QGraphicsSvgItem::qt_metacall$$?
    {34, 489, 890},	// QGraphicsSvgItem::qt_metacast$
    {34, 504, 899},	// QGraphicsSvgItem::renderer
    {34, 511, 902},	// QGraphicsSvgItem::setCachingEnabled$
    {34, 517, 900},	// QGraphicsSvgItem::setElementId$
    {34, 524, 904},	// QGraphicsSvgItem::setMaximumCacheSize#
    {34, 530, 898},	// QGraphicsSvgItem::setSharedRenderer#
    {34, 542, 914},	// QGraphicsSvgItem::staticMetaObject
    {34, 549, 909},	// QGraphicsSvgItem::tr$
    {34, 550, 891},	// QGraphicsSvgItem::tr$$
    {34, 551, 893},	// QGraphicsSvgItem::tr$$$
    {34, 553, 910},	// QGraphicsSvgItem::trUtf8$
    {34, 554, 892},	// QGraphicsSvgItem::trUtf8$$
    {34, 555, 894},	// QGraphicsSvgItem::trUtf8$$$
    {34, 556, 908},	// QGraphicsSvgItem::type
    {34, 562, 916},	// QGraphicsSvgItem::~QGraphicsSvgItem
    {89, 93, 935},	// QSvgGenerator::QSvgGenerator
    {89, 135, 938},	// QSvgGenerator::description
    {89, 150, 946},	// QSvgGenerator::fileName
    {89, 179, 953},	// QSvgGenerator::metric$
    {89, 247, 948},	// QSvgGenerator::outputDevice
    {89, 251, 952},	// QSvgGenerator::paintEngine
    {89, 507, 951},	// QSvgGenerator::resolution
    {89, 515, 939},	// QSvgGenerator::setDescription$
    {89, 520, 947},	// QSvgGenerator::setFileName$
    {89, 526, 949},	// QSvgGenerator::setOutputDevice#
    {89, 528, 950},	// QSvgGenerator::setResolution$
    {89, 532, 941},	// QSvgGenerator::setSize#
    {89, 534, 937},	// QSvgGenerator::setTitle$
    {89, 536, -665},	// QSvgGenerator::setViewBox#
    {89, 540, 940},	// QSvgGenerator::size
    {89, 547, 936},	// QSvgGenerator::title
    {89, 557, 942},	// QSvgGenerator::viewBox
    {89, 558, 943},	// QSvgGenerator::viewBoxF
    {89, 563, 954},	// QSvgGenerator::~QSvgGenerator
    {90, 94, 990},	// QSvgRenderer::QSvgRenderer
    {90, 95, -652},	// QSvgRenderer::QSvgRenderer#
    {90, 96, -656},	// QSvgRenderer::QSvgRenderer##
    {90, 97, 991},	// QSvgRenderer::QSvgRenderer$
    {90, 98, 963},	// QSvgRenderer::QSvgRenderer$#
    {90, 119, 972},	// QSvgRenderer::animated
    {90, 120, 977},	// QSvgRenderer::animationDuration
    {90, 123, 978},	// QSvgRenderer::boundsOnElement$
    {90, 132, 975},	// QSvgRenderer::currentFrame
    {90, 134, 967},	// QSvgRenderer::defaultSize
    {90, 143, 979},	// QSvgRenderer::elementExists$
    {90, 155, 973},	// QSvgRenderer::framesPerSecond
    {90, 165, 966},	// QSvgRenderer::isValid
    {90, 172, -659},	// QSvgRenderer::load#
    {90, 173, 981},	// QSvgRenderer::load$
    {90, 175, 980},	// QSvgRenderer::matrixForElement$
    {90, 177, 955},	// QSvgRenderer::metaObject
    {90, 487, 961},	// QSvgRenderer::qt_metacall$$?
    {90, 489, 956},	// QSvgRenderer::qt_metacast$
    {90, 500, 984},	// QSvgRenderer::render#
    {90, 501, 985},	// QSvgRenderer::render##
    {90, 502, 994},	// QSvgRenderer::render#$
    {90, 503, 986},	// QSvgRenderer::render#$#
    {90, 505, 987},	// QSvgRenderer::repaintNeeded
    {90, 513, 976},	// QSvgRenderer::setCurrentFrame$
    {90, 522, 974},	// QSvgRenderer::setFramesPerSecond$
    {90, 536, -662},	// QSvgRenderer::setViewBox#
    {90, 542, 995},	// QSvgRenderer::staticMetaObject
    {90, 549, 988},	// QSvgRenderer::tr$
    {90, 550, 957},	// QSvgRenderer::tr$$
    {90, 551, 959},	// QSvgRenderer::tr$$$
    {90, 553, 989},	// QSvgRenderer::trUtf8$
    {90, 554, 958},	// QSvgRenderer::trUtf8$$
    {90, 555, 960},	// QSvgRenderer::trUtf8$$$
    {90, 557, 968},	// QSvgRenderer::viewBox
    {90, 558, 969},	// QSvgRenderer::viewBoxF
    {90, 564, 996},	// QSvgRenderer::~QSvgRenderer
    {91, 99, 1013},	// QSvgWidget::QSvgWidget
    {91, 100, 1004},	// QSvgWidget::QSvgWidget#
    {91, 101, 1014},	// QSvgWidget::QSvgWidget$
    {91, 102, 1005},	// QSvgWidget::QSvgWidget$#
    {91, 172, 1009},	// QSvgWidget::load#
    {91, 173, 1008},	// QSvgWidget::load$
    {91, 177, 997},	// QSvgWidget::metaObject
    {91, 253, 1010},	// QSvgWidget::paintEvent#
    {91, 487, 1003},	// QSvgWidget::qt_metacall$$?
    {91, 489, 998},	// QSvgWidget::qt_metacast$
    {91, 504, 1006},	// QSvgWidget::renderer
    {91, 541, 1007},	// QSvgWidget::sizeHint
    {91, 542, 1015},	// QSvgWidget::staticMetaObject
    {91, 549, 1011},	// QSvgWidget::tr$
    {91, 550, 999},	// QSvgWidget::tr$$
    {91, 551, 1001},	// QSvgWidget::tr$$$
    {91, 553, 1012},	// QSvgWidget::trUtf8$
    {91, 554, 1000},	// QSvgWidget::trUtf8$$
    {91, 555, 1002},	// QSvgWidget::trUtf8$$$
    {91, 565, 1016},	// QSvgWidget::~QSvgWidget
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsvg_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsvg_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsvg_Smoke = new Smoke(
        "qtsvg",
        __smokeqtsvg::classes, 113,
        __smokeqtsvg::methods, 1061,
        __smokeqtsvg::methodMaps, 336,
        __smokeqtsvg::methodNames, 565,
        __smokeqtsvg::types, 480,
        __smokeqtsvg::inheritanceList,
        __smokeqtsvg::argumentList,
        __smokeqtsvg::ambiguousMethodList,
        __smokeqtsvg::cast );
    initialized = true;
}

void delete_qtsvg_Smoke() { delete qtsvg_Smoke; }

}
